function chgtab = contab_ACTIVSg200
%CONTAB_ACTIVSG200  Returns a change table suitable for use with APPLY_CHANGES
%
%   This contingency table is for use with case_ACTIVSg200.
%
%   One-line diagrams and other data formats available at:
%       https://electricgrids.engr.tamu.edu
%
%   Created via PSSECON2CHGTAB from ACTIVSg200.con as exported from
%   ACTIVSg200.pwb by PowerWorld.

%   MATPOWER
%   Copyright (c) 2017 by A.B. Birchfield, T. Xu, K.M. Gegner, K.S. Shetye,
%   and T.J. Overbye
%   Licensed under the Creative Commons Attribution 4.0 International license,
%   https://creativecommons.org/licenses/by/4.0/


define_constants;

%% Change Table
%	label	prob	table	row	col	chgtype	newval
chgtab = [
	1	0	CT_TBRCH	1	BR_STATUS	CT_REP	0;
	2	0	CT_TBRCH	2	BR_STATUS	CT_REP	0;
	3	0	CT_TBRCH	3	BR_STATUS	CT_REP	0;
	4	0	CT_TBRCH	4	BR_STATUS	CT_REP	0;
	5	0	CT_TBRCH	5	BR_STATUS	CT_REP	0;
	6	0	CT_TBRCH	6	BR_STATUS	CT_REP	0;
	7	0	CT_TBRCH	7	BR_STATUS	CT_REP	0;
	8	0	CT_TBRCH	8	BR_STATUS	CT_REP	0;
	9	0	CT_TBRCH	9	BR_STATUS	CT_REP	0;
	10	0	CT_TBRCH	10	BR_STATUS	CT_REP	0;
	11	0	CT_TBRCH	11	BR_STATUS	CT_REP	0;
	12	0	CT_TBRCH	12	BR_STATUS	CT_REP	0;
	13	0	CT_TBRCH	13	BR_STATUS	CT_REP	0;
	14	0	CT_TBRCH	14	BR_STATUS	CT_REP	0;
	15	0	CT_TBRCH	15	BR_STATUS	CT_REP	0;
	16	0	CT_TBRCH	16	BR_STATUS	CT_REP	0;
	17	0	CT_TBRCH	17	BR_STATUS	CT_REP	0;
	18	0	CT_TBRCH	18	BR_STATUS	CT_REP	0;
	19	0	CT_TBRCH	19	BR_STATUS	CT_REP	0;
	20	0	CT_TBRCH	20	BR_STATUS	CT_REP	0;
	21	0	CT_TBRCH	21	BR_STATUS	CT_REP	0;
	22	0	CT_TBRCH	22	BR_STATUS	CT_REP	0;
	23	0	CT_TBRCH	23	BR_STATUS	CT_REP	0;
	24	0	CT_TBRCH	24	BR_STATUS	CT_REP	0;
	25	0	CT_TBRCH	25	BR_STATUS	CT_REP	0;
	26	0	CT_TBRCH	26	BR_STATUS	CT_REP	0;
	27	0	CT_TBRCH	27	BR_STATUS	CT_REP	0;
	28	0	CT_TBRCH	28	BR_STATUS	CT_REP	0;
	29	0	CT_TBRCH	29	BR_STATUS	CT_REP	0;
	30	0	CT_TBRCH	30	BR_STATUS	CT_REP	0;
	31	0	CT_TBRCH	31	BR_STATUS	CT_REP	0;
	32	0	CT_TBRCH	32	BR_STATUS	CT_REP	0;
	33	0	CT_TBRCH	33	BR_STATUS	CT_REP	0;
	34	0	CT_TBRCH	34	BR_STATUS	CT_REP	0;
	35	0	CT_TBRCH	35	BR_STATUS	CT_REP	0;
	36	0	CT_TBRCH	36	BR_STATUS	CT_REP	0;
	37	0	CT_TBRCH	37	BR_STATUS	CT_REP	0;
	38	0	CT_TBRCH	38	BR_STATUS	CT_REP	0;
	39	0	CT_TBRCH	39	BR_STATUS	CT_REP	0;
	40	0	CT_TBRCH	40	BR_STATUS	CT_REP	0;
	41	0	CT_TBRCH	41	BR_STATUS	CT_REP	0;
	42	0	CT_TBRCH	42	BR_STATUS	CT_REP	0;
	43	0	CT_TBRCH	43	BR_STATUS	CT_REP	0;
	44	0	CT_TBRCH	44	BR_STATUS	CT_REP	0;
	45	0	CT_TBRCH	45	BR_STATUS	CT_REP	0;
	46	0	CT_TBRCH	46	BR_STATUS	CT_REP	0;
	47	0	CT_TBRCH	47	BR_STATUS	CT_REP	0;
	48	0	CT_TBRCH	48	BR_STATUS	CT_REP	0;
	49	0	CT_TBRCH	49	BR_STATUS	CT_REP	0;
	50	0	CT_TBRCH	50	BR_STATUS	CT_REP	0;
	51	0	CT_TBRCH	51	BR_STATUS	CT_REP	0;
	52	0	CT_TBRCH	52	BR_STATUS	CT_REP	0;
	53	0	CT_TBRCH	53	BR_STATUS	CT_REP	0;
	54	0	CT_TBRCH	54	BR_STATUS	CT_REP	0;
	55	0	CT_TBRCH	55	BR_STATUS	CT_REP	0;
	56	0	CT_TBRCH	56	BR_STATUS	CT_REP	0;
	57	0	CT_TBRCH	57	BR_STATUS	CT_REP	0;
	58	0	CT_TBRCH	58	BR_STATUS	CT_REP	0;
	59	0	CT_TBRCH	59	BR_STATUS	CT_REP	0;
	60	0	CT_TBRCH	60	BR_STATUS	CT_REP	0;
	61	0	CT_TBRCH	61	BR_STATUS	CT_REP	0;
	62	0	CT_TBRCH	62	BR_STATUS	CT_REP	0;
	63	0	CT_TBRCH	63	BR_STATUS	CT_REP	0;
	64	0	CT_TBRCH	64	BR_STATUS	CT_REP	0;
	65	0	CT_TBRCH	65	BR_STATUS	CT_REP	0;
	66	0	CT_TBRCH	66	BR_STATUS	CT_REP	0;
	67	0	CT_TBRCH	67	BR_STATUS	CT_REP	0;
	68	0	CT_TBRCH	68	BR_STATUS	CT_REP	0;
	69	0	CT_TBRCH	69	BR_STATUS	CT_REP	0;
	70	0	CT_TBRCH	70	BR_STATUS	CT_REP	0;
	71	0	CT_TBRCH	71	BR_STATUS	CT_REP	0;
	72	0	CT_TBRCH	72	BR_STATUS	CT_REP	0;
	73	0	CT_TBRCH	73	BR_STATUS	CT_REP	0;
	74	0	CT_TBRCH	74	BR_STATUS	CT_REP	0;
	75	0	CT_TBRCH	75	BR_STATUS	CT_REP	0;
	76	0	CT_TBRCH	76	BR_STATUS	CT_REP	0;
	77	0	CT_TBRCH	77	BR_STATUS	CT_REP	0;
	78	0	CT_TBRCH	78	BR_STATUS	CT_REP	0;
	79	0	CT_TBRCH	79	BR_STATUS	CT_REP	0;
	80	0	CT_TBRCH	80	BR_STATUS	CT_REP	0;
	81	0	CT_TBRCH	81	BR_STATUS	CT_REP	0;
	82	0	CT_TBRCH	82	BR_STATUS	CT_REP	0;
	83	0	CT_TBRCH	83	BR_STATUS	CT_REP	0;
	84	0	CT_TBRCH	84	BR_STATUS	CT_REP	0;
	85	0	CT_TBRCH	85	BR_STATUS	CT_REP	0;
	86	0	CT_TBRCH	86	BR_STATUS	CT_REP	0;
	87	0	CT_TBRCH	87	BR_STATUS	CT_REP	0;
	88	0	CT_TBRCH	88	BR_STATUS	CT_REP	0;
	89	0	CT_TBRCH	89	BR_STATUS	CT_REP	0;
	90	0	CT_TBRCH	90	BR_STATUS	CT_REP	0;
	91	0	CT_TBRCH	91	BR_STATUS	CT_REP	0;
	92	0	CT_TBRCH	92	BR_STATUS	CT_REP	0;
	93	0	CT_TBRCH	93	BR_STATUS	CT_REP	0;
	94	0	CT_TBRCH	94	BR_STATUS	CT_REP	0;
	95	0	CT_TBRCH	95	BR_STATUS	CT_REP	0;
	96	0	CT_TBRCH	96	BR_STATUS	CT_REP	0;
	97	0	CT_TBRCH	97	BR_STATUS	CT_REP	0;
	98	0	CT_TBRCH	98	BR_STATUS	CT_REP	0;
	99	0	CT_TBRCH	99	BR_STATUS	CT_REP	0;
	100	0	CT_TBRCH	100	BR_STATUS	CT_REP	0;
	101	0	CT_TBRCH	101	BR_STATUS	CT_REP	0;
	102	0	CT_TBRCH	102	BR_STATUS	CT_REP	0;
	103	0	CT_TBRCH	103	BR_STATUS	CT_REP	0;
	104	0	CT_TBRCH	104	BR_STATUS	CT_REP	0;
	105	0	CT_TBRCH	105	BR_STATUS	CT_REP	0;
	106	0	CT_TBRCH	106	BR_STATUS	CT_REP	0;
	107	0	CT_TBRCH	107	BR_STATUS	CT_REP	0;
	108	0	CT_TBRCH	108	BR_STATUS	CT_REP	0;
	109	0	CT_TBRCH	109	BR_STATUS	CT_REP	0;
	110	0	CT_TBRCH	110	BR_STATUS	CT_REP	0;
	111	0	CT_TBRCH	111	BR_STATUS	CT_REP	0;
	112	0	CT_TBRCH	112	BR_STATUS	CT_REP	0;
	113	0	CT_TBRCH	113	BR_STATUS	CT_REP	0;
	114	0	CT_TBRCH	114	BR_STATUS	CT_REP	0;
	115	0	CT_TBRCH	115	BR_STATUS	CT_REP	0;
	116	0	CT_TBRCH	116	BR_STATUS	CT_REP	0;
	117	0	CT_TBRCH	117	BR_STATUS	CT_REP	0;
	118	0	CT_TBRCH	118	BR_STATUS	CT_REP	0;
	119	0	CT_TBRCH	119	BR_STATUS	CT_REP	0;
	120	0	CT_TBRCH	120	BR_STATUS	CT_REP	0;
	121	0	CT_TBRCH	121	BR_STATUS	CT_REP	0;
	122	0	CT_TBRCH	122	BR_STATUS	CT_REP	0;
	123	0	CT_TBRCH	123	BR_STATUS	CT_REP	0;
	124	0	CT_TBRCH	124	BR_STATUS	CT_REP	0;
	125	0	CT_TBRCH	125	BR_STATUS	CT_REP	0;
	126	0	CT_TBRCH	126	BR_STATUS	CT_REP	0;
	127	0	CT_TBRCH	127	BR_STATUS	CT_REP	0;
	128	0	CT_TBRCH	128	BR_STATUS	CT_REP	0;
	129	0	CT_TBRCH	129	BR_STATUS	CT_REP	0;
	130	0	CT_TBRCH	130	BR_STATUS	CT_REP	0;
	131	0	CT_TBRCH	131	BR_STATUS	CT_REP	0;
	132	0	CT_TBRCH	132	BR_STATUS	CT_REP	0;
	133	0	CT_TBRCH	133	BR_STATUS	CT_REP	0;
	134	0	CT_TBRCH	134	BR_STATUS	CT_REP	0;
	135	0	CT_TBRCH	135	BR_STATUS	CT_REP	0;
	136	0	CT_TBRCH	136	BR_STATUS	CT_REP	0;
	137	0	CT_TBRCH	137	BR_STATUS	CT_REP	0;
	138	0	CT_TBRCH	138	BR_STATUS	CT_REP	0;
	139	0	CT_TBRCH	139	BR_STATUS	CT_REP	0;
	140	0	CT_TBRCH	140	BR_STATUS	CT_REP	0;
	141	0	CT_TBRCH	141	BR_STATUS	CT_REP	0;
	142	0	CT_TBRCH	142	BR_STATUS	CT_REP	0;
	143	0	CT_TBRCH	143	BR_STATUS	CT_REP	0;
	144	0	CT_TBRCH	144	BR_STATUS	CT_REP	0;
	145	0	CT_TBRCH	145	BR_STATUS	CT_REP	0;
	146	0	CT_TBRCH	146	BR_STATUS	CT_REP	0;
	147	0	CT_TBRCH	147	BR_STATUS	CT_REP	0;
	148	0	CT_TBRCH	148	BR_STATUS	CT_REP	0;
	149	0	CT_TBRCH	149	BR_STATUS	CT_REP	0;
	150	0	CT_TBRCH	150	BR_STATUS	CT_REP	0;
	151	0	CT_TBRCH	151	BR_STATUS	CT_REP	0;
	152	0	CT_TBRCH	152	BR_STATUS	CT_REP	0;
	153	0	CT_TBRCH	153	BR_STATUS	CT_REP	0;
	154	0	CT_TBRCH	154	BR_STATUS	CT_REP	0;
	155	0	CT_TBRCH	155	BR_STATUS	CT_REP	0;
	156	0	CT_TBRCH	156	BR_STATUS	CT_REP	0;
	157	0	CT_TBRCH	157	BR_STATUS	CT_REP	0;
	158	0	CT_TBRCH	158	BR_STATUS	CT_REP	0;
	159	0	CT_TBRCH	159	BR_STATUS	CT_REP	0;
	160	0	CT_TBRCH	160	BR_STATUS	CT_REP	0;
	161	0	CT_TBRCH	161	BR_STATUS	CT_REP	0;
	162	0	CT_TBRCH	162	BR_STATUS	CT_REP	0;
	163	0	CT_TBRCH	163	BR_STATUS	CT_REP	0;
	164	0	CT_TBRCH	164	BR_STATUS	CT_REP	0;
	165	0	CT_TBRCH	165	BR_STATUS	CT_REP	0;
	166	0	CT_TBRCH	166	BR_STATUS	CT_REP	0;
	167	0	CT_TBRCH	167	BR_STATUS	CT_REP	0;
	168	0	CT_TBRCH	168	BR_STATUS	CT_REP	0;
	169	0	CT_TBRCH	169	BR_STATUS	CT_REP	0;
	170	0	CT_TBRCH	170	BR_STATUS	CT_REP	0;
	171	0	CT_TBRCH	171	BR_STATUS	CT_REP	0;
	172	0	CT_TBRCH	172	BR_STATUS	CT_REP	0;
	173	0	CT_TBRCH	173	BR_STATUS	CT_REP	0;
	174	0	CT_TBRCH	174	BR_STATUS	CT_REP	0;
	175	0	CT_TBRCH	175	BR_STATUS	CT_REP	0;
	176	0	CT_TBRCH	176	BR_STATUS	CT_REP	0;
	177	0	CT_TBRCH	177	BR_STATUS	CT_REP	0;
	178	0	CT_TBRCH	178	BR_STATUS	CT_REP	0;
	179	0	CT_TBRCH	179	BR_STATUS	CT_REP	0;
	180	0	CT_TBRCH	180	BR_STATUS	CT_REP	0;
	181	0	CT_TBRCH	181	BR_STATUS	CT_REP	0;
	182	0	CT_TBRCH	182	BR_STATUS	CT_REP	0;
	183	0	CT_TBRCH	183	BR_STATUS	CT_REP	0;
	184	0	CT_TBRCH	184	BR_STATUS	CT_REP	0;
	185	0	CT_TBRCH	185	BR_STATUS	CT_REP	0;
	186	0	CT_TBRCH	186	BR_STATUS	CT_REP	0;
	187	0	CT_TBRCH	187	BR_STATUS	CT_REP	0;
	188	0	CT_TBRCH	188	BR_STATUS	CT_REP	0;
	189	0	CT_TBRCH	189	BR_STATUS	CT_REP	0;
	190	0	CT_TBRCH	190	BR_STATUS	CT_REP	0;
	191	0	CT_TBRCH	191	BR_STATUS	CT_REP	0;
	192	0	CT_TBRCH	192	BR_STATUS	CT_REP	0;
	193	0	CT_TBRCH	193	BR_STATUS	CT_REP	0;
	194	0	CT_TBRCH	194	BR_STATUS	CT_REP	0;
	195	0	CT_TBRCH	195	BR_STATUS	CT_REP	0;
	196	0	CT_TBRCH	196	BR_STATUS	CT_REP	0;
	197	0	CT_TBRCH	197	BR_STATUS	CT_REP	0;
	198	0	CT_TBRCH	198	BR_STATUS	CT_REP	0;
	199	0	CT_TBRCH	199	BR_STATUS	CT_REP	0;
	200	0	CT_TBRCH	200	BR_STATUS	CT_REP	0;
	201	0	CT_TBRCH	201	BR_STATUS	CT_REP	0;
	202	0	CT_TBRCH	202	BR_STATUS	CT_REP	0;
	203	0	CT_TBRCH	203	BR_STATUS	CT_REP	0;
	204	0	CT_TBRCH	204	BR_STATUS	CT_REP	0;
	205	0	CT_TBRCH	205	BR_STATUS	CT_REP	0;
	206	0	CT_TBRCH	206	BR_STATUS	CT_REP	0;
	207	0	CT_TBRCH	207	BR_STATUS	CT_REP	0;
	208	0	CT_TBRCH	208	BR_STATUS	CT_REP	0;
	209	0	CT_TBRCH	209	BR_STATUS	CT_REP	0;
	210	0	CT_TBRCH	210	BR_STATUS	CT_REP	0;
	211	0	CT_TBRCH	211	BR_STATUS	CT_REP	0;
	212	0	CT_TBRCH	212	BR_STATUS	CT_REP	0;
	213	0	CT_TBRCH	213	BR_STATUS	CT_REP	0;
	214	0	CT_TBRCH	214	BR_STATUS	CT_REP	0;
	215	0	CT_TBRCH	215	BR_STATUS	CT_REP	0;
	216	0	CT_TBRCH	216	BR_STATUS	CT_REP	0;
	217	0	CT_TBRCH	217	BR_STATUS	CT_REP	0;
	218	0	CT_TBRCH	218	BR_STATUS	CT_REP	0;
	219	0	CT_TBRCH	219	BR_STATUS	CT_REP	0;
	220	0	CT_TBRCH	220	BR_STATUS	CT_REP	0;
	221	0	CT_TBRCH	221	BR_STATUS	CT_REP	0;
	222	0	CT_TBRCH	222	BR_STATUS	CT_REP	0;
	223	0	CT_TBRCH	223	BR_STATUS	CT_REP	0;
	224	0	CT_TBRCH	224	BR_STATUS	CT_REP	0;
	225	0	CT_TBRCH	225	BR_STATUS	CT_REP	0;
	226	0	CT_TBRCH	226	BR_STATUS	CT_REP	0;
	227	0	CT_TBRCH	227	BR_STATUS	CT_REP	0;
	228	0	CT_TBRCH	228	BR_STATUS	CT_REP	0;
	229	0	CT_TBRCH	229	BR_STATUS	CT_REP	0;
	230	0	CT_TBRCH	230	BR_STATUS	CT_REP	0;
	231	0	CT_TBRCH	231	BR_STATUS	CT_REP	0;
	232	0	CT_TBRCH	232	BR_STATUS	CT_REP	0;
	233	0	CT_TBRCH	233	BR_STATUS	CT_REP	0;
	234	0	CT_TBRCH	234	BR_STATUS	CT_REP	0;
	235	0	CT_TBRCH	235	BR_STATUS	CT_REP	0;
	236	0	CT_TBRCH	236	BR_STATUS	CT_REP	0;
	237	0	CT_TBRCH	237	BR_STATUS	CT_REP	0;
	238	0	CT_TBRCH	238	BR_STATUS	CT_REP	0;
	239	0	CT_TBRCH	239	BR_STATUS	CT_REP	0;
	240	0	CT_TBRCH	240	BR_STATUS	CT_REP	0;
	241	0	CT_TBRCH	241	BR_STATUS	CT_REP	0;
	242	0	CT_TBRCH	242	BR_STATUS	CT_REP	0;
	243	0	CT_TBRCH	243	BR_STATUS	CT_REP	0;
	244	0	CT_TBRCH	244	BR_STATUS	CT_REP	0;
	245	0	CT_TBRCH	245	BR_STATUS	CT_REP	0;
];
