function chgtab = contab_ACTIVSg500
%CONTAB_ACTIVSG500  Returns a change table suitable for use with APPLY_CHANGES
%
%   This contingency table is for use with case_ACTIVSg500.
%
%   One-line diagrams and other data formats available at:
%       https://electricgrids.engr.tamu.edu
%
%   Created via PSSECON2CHGTAB from ACTIVSg500.con as exported from
%   ACTIVSg500.pwb by PowerWorld.

%   MATPOWER
%   Copyright (c) 2017 by A.B. Birchfield, T. Xu, K.M. Gegner, K.S. Shetye,
%   and T.J. Overbye
%   Licensed under the Creative Commons Attribution 4.0 International license,
%   https://creativecommons.org/licenses/by/4.0/

define_constants;

%% Change Table
%	label	prob	table	row	col	chgtype	newval
chgtab = [
	1	0	CT_TBRCH	1	BR_STATUS	CT_REP	0;
	2	0	CT_TBRCH	2	BR_STATUS	CT_REP	0;
	3	0	CT_TBRCH	3	BR_STATUS	CT_REP	0;
	4	0	CT_TBRCH	4	BR_STATUS	CT_REP	0;
	5	0	CT_TBRCH	5	BR_STATUS	CT_REP	0;
	6	0	CT_TBRCH	6	BR_STATUS	CT_REP	0;
	7	0	CT_TBRCH	7	BR_STATUS	CT_REP	0;
	8	0	CT_TBRCH	8	BR_STATUS	CT_REP	0;
	9	0	CT_TBRCH	9	BR_STATUS	CT_REP	0;
	10	0	CT_TBRCH	10	BR_STATUS	CT_REP	0;
	11	0	CT_TBRCH	11	BR_STATUS	CT_REP	0;
	12	0	CT_TBRCH	12	BR_STATUS	CT_REP	0;
	13	0	CT_TBRCH	13	BR_STATUS	CT_REP	0;
	14	0	CT_TBRCH	14	BR_STATUS	CT_REP	0;
	15	0	CT_TBRCH	15	BR_STATUS	CT_REP	0;
	16	0	CT_TBRCH	16	BR_STATUS	CT_REP	0;
	17	0	CT_TBRCH	17	BR_STATUS	CT_REP	0;
	18	0	CT_TBRCH	18	BR_STATUS	CT_REP	0;
	19	0	CT_TBRCH	19	BR_STATUS	CT_REP	0;
	20	0	CT_TBRCH	20	BR_STATUS	CT_REP	0;
	21	0	CT_TBRCH	21	BR_STATUS	CT_REP	0;
	22	0	CT_TBRCH	22	BR_STATUS	CT_REP	0;
	23	0	CT_TBRCH	23	BR_STATUS	CT_REP	0;
	24	0	CT_TBRCH	24	BR_STATUS	CT_REP	0;
	25	0	CT_TBRCH	25	BR_STATUS	CT_REP	0;
	26	0	CT_TBRCH	26	BR_STATUS	CT_REP	0;
	27	0	CT_TBRCH	27	BR_STATUS	CT_REP	0;
	28	0	CT_TBRCH	28	BR_STATUS	CT_REP	0;
	29	0	CT_TBRCH	29	BR_STATUS	CT_REP	0;
	30	0	CT_TBRCH	31	BR_STATUS	CT_REP	0;
	31	0	CT_TBRCH	32	BR_STATUS	CT_REP	0;
	32	0	CT_TBRCH	33	BR_STATUS	CT_REP	0;
	33	0	CT_TBRCH	34	BR_STATUS	CT_REP	0;
	34	0	CT_TBRCH	35	BR_STATUS	CT_REP	0;
	35	0	CT_TBRCH	36	BR_STATUS	CT_REP	0;
	36	0	CT_TBRCH	37	BR_STATUS	CT_REP	0;
	37	0	CT_TBRCH	38	BR_STATUS	CT_REP	0;
	38	0	CT_TBRCH	39	BR_STATUS	CT_REP	0;
	39	0	CT_TBRCH	40	BR_STATUS	CT_REP	0;
	40	0	CT_TBRCH	41	BR_STATUS	CT_REP	0;
	41	0	CT_TBRCH	42	BR_STATUS	CT_REP	0;
	42	0	CT_TBRCH	43	BR_STATUS	CT_REP	0;
	43	0	CT_TBRCH	44	BR_STATUS	CT_REP	0;
	44	0	CT_TBRCH	45	BR_STATUS	CT_REP	0;
	45	0	CT_TBRCH	46	BR_STATUS	CT_REP	0;
	46	0	CT_TBRCH	47	BR_STATUS	CT_REP	0;
	47	0	CT_TBRCH	48	BR_STATUS	CT_REP	0;
	48	0	CT_TBRCH	49	BR_STATUS	CT_REP	0;
	49	0	CT_TBRCH	50	BR_STATUS	CT_REP	0;
	50	0	CT_TBRCH	51	BR_STATUS	CT_REP	0;
	51	0	CT_TBRCH	52	BR_STATUS	CT_REP	0;
	52	0	CT_TBRCH	53	BR_STATUS	CT_REP	0;
	53	0	CT_TBRCH	54	BR_STATUS	CT_REP	0;
	54	0	CT_TBRCH	55	BR_STATUS	CT_REP	0;
	55	0	CT_TBRCH	56	BR_STATUS	CT_REP	0;
	56	0	CT_TBRCH	57	BR_STATUS	CT_REP	0;
	57	0	CT_TBRCH	58	BR_STATUS	CT_REP	0;
	58	0	CT_TBRCH	59	BR_STATUS	CT_REP	0;
	59	0	CT_TBRCH	60	BR_STATUS	CT_REP	0;
	60	0	CT_TBRCH	61	BR_STATUS	CT_REP	0;
	61	0	CT_TBRCH	62	BR_STATUS	CT_REP	0;
	62	0	CT_TBRCH	63	BR_STATUS	CT_REP	0;
	63	0	CT_TBRCH	64	BR_STATUS	CT_REP	0;
	64	0	CT_TBRCH	65	BR_STATUS	CT_REP	0;
	65	0	CT_TBRCH	66	BR_STATUS	CT_REP	0;
	66	0	CT_TBRCH	67	BR_STATUS	CT_REP	0;
	67	0	CT_TBRCH	68	BR_STATUS	CT_REP	0;
	68	0	CT_TBRCH	69	BR_STATUS	CT_REP	0;
	69	0	CT_TBRCH	70	BR_STATUS	CT_REP	0;
	70	0	CT_TBRCH	71	BR_STATUS	CT_REP	0;
	71	0	CT_TBRCH	72	BR_STATUS	CT_REP	0;
	72	0	CT_TBRCH	73	BR_STATUS	CT_REP	0;
	73	0	CT_TBRCH	74	BR_STATUS	CT_REP	0;
	74	0	CT_TBRCH	75	BR_STATUS	CT_REP	0;
	75	0	CT_TBRCH	76	BR_STATUS	CT_REP	0;
	76	0	CT_TBRCH	77	BR_STATUS	CT_REP	0;
	77	0	CT_TBRCH	78	BR_STATUS	CT_REP	0;
	78	0	CT_TBRCH	79	BR_STATUS	CT_REP	0;
	79	0	CT_TBRCH	80	BR_STATUS	CT_REP	0;
	80	0	CT_TBRCH	81	BR_STATUS	CT_REP	0;
	81	0	CT_TBRCH	82	BR_STATUS	CT_REP	0;
	82	0	CT_TBRCH	83	BR_STATUS	CT_REP	0;
	83	0	CT_TBRCH	84	BR_STATUS	CT_REP	0;
	84	0	CT_TBRCH	85	BR_STATUS	CT_REP	0;
	85	0	CT_TBRCH	86	BR_STATUS	CT_REP	0;
	86	0	CT_TBRCH	87	BR_STATUS	CT_REP	0;
	87	0	CT_TBRCH	88	BR_STATUS	CT_REP	0;
	88	0	CT_TBRCH	89	BR_STATUS	CT_REP	0;
	89	0	CT_TBRCH	90	BR_STATUS	CT_REP	0;
	90	0	CT_TBRCH	91	BR_STATUS	CT_REP	0;
	91	0	CT_TBRCH	92	BR_STATUS	CT_REP	0;
	92	0	CT_TBRCH	93	BR_STATUS	CT_REP	0;
	93	0	CT_TBRCH	94	BR_STATUS	CT_REP	0;
	94	0	CT_TBRCH	95	BR_STATUS	CT_REP	0;
	95	0	CT_TBRCH	96	BR_STATUS	CT_REP	0;
	96	0	CT_TBRCH	97	BR_STATUS	CT_REP	0;
	97	0	CT_TBRCH	98	BR_STATUS	CT_REP	0;
	98	0	CT_TBRCH	99	BR_STATUS	CT_REP	0;
	99	0	CT_TBRCH	101	BR_STATUS	CT_REP	0;
	100	0	CT_TBRCH	102	BR_STATUS	CT_REP	0;
	101	0	CT_TBRCH	103	BR_STATUS	CT_REP	0;
	102	0	CT_TBRCH	104	BR_STATUS	CT_REP	0;
	103	0	CT_TBRCH	105	BR_STATUS	CT_REP	0;
	104	0	CT_TBRCH	107	BR_STATUS	CT_REP	0;
	105	0	CT_TBRCH	108	BR_STATUS	CT_REP	0;
	106	0	CT_TBRCH	109	BR_STATUS	CT_REP	0;
	107	0	CT_TBRCH	110	BR_STATUS	CT_REP	0;
	108	0	CT_TBRCH	111	BR_STATUS	CT_REP	0;
	109	0	CT_TBRCH	112	BR_STATUS	CT_REP	0;
	110	0	CT_TBRCH	113	BR_STATUS	CT_REP	0;
	111	0	CT_TBRCH	114	BR_STATUS	CT_REP	0;
	112	0	CT_TBRCH	115	BR_STATUS	CT_REP	0;
	113	0	CT_TBRCH	116	BR_STATUS	CT_REP	0;
	114	0	CT_TBRCH	117	BR_STATUS	CT_REP	0;
	115	0	CT_TBRCH	118	BR_STATUS	CT_REP	0;
	116	0	CT_TBRCH	119	BR_STATUS	CT_REP	0;
	117	0	CT_TBRCH	120	BR_STATUS	CT_REP	0;
	118	0	CT_TBRCH	121	BR_STATUS	CT_REP	0;
	119	0	CT_TBRCH	122	BR_STATUS	CT_REP	0;
	120	0	CT_TBRCH	123	BR_STATUS	CT_REP	0;
	121	0	CT_TBRCH	124	BR_STATUS	CT_REP	0;
	122	0	CT_TBRCH	125	BR_STATUS	CT_REP	0;
	123	0	CT_TBRCH	126	BR_STATUS	CT_REP	0;
	124	0	CT_TBRCH	127	BR_STATUS	CT_REP	0;
	125	0	CT_TBRCH	128	BR_STATUS	CT_REP	0;
	126	0	CT_TBRCH	129	BR_STATUS	CT_REP	0;
	127	0	CT_TBRCH	130	BR_STATUS	CT_REP	0;
	128	0	CT_TBRCH	131	BR_STATUS	CT_REP	0;
	129	0	CT_TBRCH	132	BR_STATUS	CT_REP	0;
	130	0	CT_TBRCH	133	BR_STATUS	CT_REP	0;
	131	0	CT_TBRCH	134	BR_STATUS	CT_REP	0;
	132	0	CT_TBRCH	135	BR_STATUS	CT_REP	0;
	133	0	CT_TBRCH	136	BR_STATUS	CT_REP	0;
	134	0	CT_TBRCH	137	BR_STATUS	CT_REP	0;
	135	0	CT_TBRCH	138	BR_STATUS	CT_REP	0;
	136	0	CT_TBRCH	139	BR_STATUS	CT_REP	0;
	137	0	CT_TBRCH	140	BR_STATUS	CT_REP	0;
	138	0	CT_TBRCH	141	BR_STATUS	CT_REP	0;
	139	0	CT_TBRCH	142	BR_STATUS	CT_REP	0;
	140	0	CT_TBRCH	143	BR_STATUS	CT_REP	0;
	141	0	CT_TBRCH	144	BR_STATUS	CT_REP	0;
	142	0	CT_TBRCH	145	BR_STATUS	CT_REP	0;
	143	0	CT_TBRCH	146	BR_STATUS	CT_REP	0;
	144	0	CT_TBRCH	147	BR_STATUS	CT_REP	0;
	145	0	CT_TBRCH	148	BR_STATUS	CT_REP	0;
	146	0	CT_TBRCH	149	BR_STATUS	CT_REP	0;
	147	0	CT_TBRCH	150	BR_STATUS	CT_REP	0;
	148	0	CT_TBRCH	151	BR_STATUS	CT_REP	0;
	149	0	CT_TBRCH	152	BR_STATUS	CT_REP	0;
	150	0	CT_TBRCH	153	BR_STATUS	CT_REP	0;
	151	0	CT_TBRCH	154	BR_STATUS	CT_REP	0;
	152	0	CT_TBRCH	155	BR_STATUS	CT_REP	0;
	153	0	CT_TBRCH	156	BR_STATUS	CT_REP	0;
	154	0	CT_TBRCH	157	BR_STATUS	CT_REP	0;
	155	0	CT_TBRCH	158	BR_STATUS	CT_REP	0;
	156	0	CT_TBRCH	159	BR_STATUS	CT_REP	0;
	157	0	CT_TBRCH	160	BR_STATUS	CT_REP	0;
	158	0	CT_TBRCH	161	BR_STATUS	CT_REP	0;
	159	0	CT_TBRCH	162	BR_STATUS	CT_REP	0;
	160	0	CT_TBRCH	163	BR_STATUS	CT_REP	0;
	161	0	CT_TBRCH	164	BR_STATUS	CT_REP	0;
	162	0	CT_TBRCH	165	BR_STATUS	CT_REP	0;
	163	0	CT_TBRCH	166	BR_STATUS	CT_REP	0;
	164	0	CT_TBRCH	167	BR_STATUS	CT_REP	0;
	165	0	CT_TBRCH	168	BR_STATUS	CT_REP	0;
	166	0	CT_TBRCH	169	BR_STATUS	CT_REP	0;
	167	0	CT_TBRCH	170	BR_STATUS	CT_REP	0;
	168	0	CT_TBRCH	171	BR_STATUS	CT_REP	0;
	169	0	CT_TBRCH	172	BR_STATUS	CT_REP	0;
	170	0	CT_TBRCH	173	BR_STATUS	CT_REP	0;
	171	0	CT_TBRCH	174	BR_STATUS	CT_REP	0;
	172	0	CT_TBRCH	175	BR_STATUS	CT_REP	0;
	173	0	CT_TBRCH	176	BR_STATUS	CT_REP	0;
	174	0	CT_TBRCH	177	BR_STATUS	CT_REP	0;
	175	0	CT_TBRCH	178	BR_STATUS	CT_REP	0;
	176	0	CT_TBRCH	179	BR_STATUS	CT_REP	0;
	177	0	CT_TBRCH	180	BR_STATUS	CT_REP	0;
	178	0	CT_TBRCH	181	BR_STATUS	CT_REP	0;
	179	0	CT_TBRCH	182	BR_STATUS	CT_REP	0;
	180	0	CT_TBRCH	183	BR_STATUS	CT_REP	0;
	181	0	CT_TBRCH	184	BR_STATUS	CT_REP	0;
	182	0	CT_TBRCH	185	BR_STATUS	CT_REP	0;
	183	0	CT_TBRCH	186	BR_STATUS	CT_REP	0;
	184	0	CT_TBRCH	187	BR_STATUS	CT_REP	0;
	185	0	CT_TBRCH	188	BR_STATUS	CT_REP	0;
	186	0	CT_TBRCH	189	BR_STATUS	CT_REP	0;
	187	0	CT_TBRCH	190	BR_STATUS	CT_REP	0;
	188	0	CT_TBRCH	191	BR_STATUS	CT_REP	0;
	189	0	CT_TBRCH	192	BR_STATUS	CT_REP	0;
	190	0	CT_TBRCH	193	BR_STATUS	CT_REP	0;
	191	0	CT_TBRCH	194	BR_STATUS	CT_REP	0;
	192	0	CT_TBRCH	195	BR_STATUS	CT_REP	0;
	193	0	CT_TBRCH	196	BR_STATUS	CT_REP	0;
	194	0	CT_TBRCH	197	BR_STATUS	CT_REP	0;
	195	0	CT_TBRCH	198	BR_STATUS	CT_REP	0;
	196	0	CT_TBRCH	199	BR_STATUS	CT_REP	0;
	197	0	CT_TBRCH	200	BR_STATUS	CT_REP	0;
	198	0	CT_TBRCH	201	BR_STATUS	CT_REP	0;
	199	0	CT_TBRCH	202	BR_STATUS	CT_REP	0;
	200	0	CT_TBRCH	203	BR_STATUS	CT_REP	0;
	201	0	CT_TBRCH	204	BR_STATUS	CT_REP	0;
	202	0	CT_TBRCH	205	BR_STATUS	CT_REP	0;
	203	0	CT_TBRCH	206	BR_STATUS	CT_REP	0;
	204	0	CT_TBRCH	207	BR_STATUS	CT_REP	0;
	205	0	CT_TBRCH	208	BR_STATUS	CT_REP	0;
	206	0	CT_TBRCH	209	BR_STATUS	CT_REP	0;
	207	0	CT_TBRCH	210	BR_STATUS	CT_REP	0;
	208	0	CT_TBRCH	211	BR_STATUS	CT_REP	0;
	209	0	CT_TBRCH	212	BR_STATUS	CT_REP	0;
	210	0	CT_TBRCH	213	BR_STATUS	CT_REP	0;
	211	0	CT_TBRCH	214	BR_STATUS	CT_REP	0;
	212	0	CT_TBRCH	215	BR_STATUS	CT_REP	0;
	213	0	CT_TBRCH	216	BR_STATUS	CT_REP	0;
	214	0	CT_TBRCH	217	BR_STATUS	CT_REP	0;
	215	0	CT_TBRCH	218	BR_STATUS	CT_REP	0;
	216	0	CT_TBRCH	219	BR_STATUS	CT_REP	0;
	217	0	CT_TBRCH	220	BR_STATUS	CT_REP	0;
	218	0	CT_TBRCH	222	BR_STATUS	CT_REP	0;
	219	0	CT_TBRCH	223	BR_STATUS	CT_REP	0;
	220	0	CT_TBRCH	224	BR_STATUS	CT_REP	0;
	221	0	CT_TBRCH	225	BR_STATUS	CT_REP	0;
	222	0	CT_TBRCH	226	BR_STATUS	CT_REP	0;
	223	0	CT_TBRCH	227	BR_STATUS	CT_REP	0;
	224	0	CT_TBRCH	228	BR_STATUS	CT_REP	0;
	225	0	CT_TBRCH	229	BR_STATUS	CT_REP	0;
	226	0	CT_TBRCH	230	BR_STATUS	CT_REP	0;
	227	0	CT_TBRCH	231	BR_STATUS	CT_REP	0;
	228	0	CT_TBRCH	232	BR_STATUS	CT_REP	0;
	229	0	CT_TBRCH	233	BR_STATUS	CT_REP	0;
	230	0	CT_TBRCH	234	BR_STATUS	CT_REP	0;
	231	0	CT_TBRCH	235	BR_STATUS	CT_REP	0;
	232	0	CT_TBRCH	236	BR_STATUS	CT_REP	0;
	233	0	CT_TBRCH	237	BR_STATUS	CT_REP	0;
	234	0	CT_TBRCH	238	BR_STATUS	CT_REP	0;
	235	0	CT_TBRCH	239	BR_STATUS	CT_REP	0;
	236	0	CT_TBRCH	240	BR_STATUS	CT_REP	0;
	237	0	CT_TBRCH	241	BR_STATUS	CT_REP	0;
	238	0	CT_TBRCH	242	BR_STATUS	CT_REP	0;
	239	0	CT_TBRCH	243	BR_STATUS	CT_REP	0;
	240	0	CT_TBRCH	244	BR_STATUS	CT_REP	0;
	241	0	CT_TBRCH	245	BR_STATUS	CT_REP	0;
	242	0	CT_TBRCH	246	BR_STATUS	CT_REP	0;
	243	0	CT_TBRCH	247	BR_STATUS	CT_REP	0;
	244	0	CT_TBRCH	248	BR_STATUS	CT_REP	0;
	245	0	CT_TBRCH	249	BR_STATUS	CT_REP	0;
	246	0	CT_TBRCH	250	BR_STATUS	CT_REP	0;
	247	0	CT_TBRCH	251	BR_STATUS	CT_REP	0;
	248	0	CT_TBRCH	252	BR_STATUS	CT_REP	0;
	249	0	CT_TBRCH	253	BR_STATUS	CT_REP	0;
	250	0	CT_TBRCH	254	BR_STATUS	CT_REP	0;
	251	0	CT_TBRCH	255	BR_STATUS	CT_REP	0;
	252	0	CT_TBRCH	256	BR_STATUS	CT_REP	0;
	253	0	CT_TBRCH	257	BR_STATUS	CT_REP	0;
	254	0	CT_TBRCH	258	BR_STATUS	CT_REP	0;
	255	0	CT_TBRCH	260	BR_STATUS	CT_REP	0;
	256	0	CT_TBRCH	261	BR_STATUS	CT_REP	0;
	257	0	CT_TBRCH	262	BR_STATUS	CT_REP	0;
	258	0	CT_TBRCH	263	BR_STATUS	CT_REP	0;
	259	0	CT_TBRCH	264	BR_STATUS	CT_REP	0;
	260	0	CT_TBRCH	265	BR_STATUS	CT_REP	0;
	261	0	CT_TBRCH	266	BR_STATUS	CT_REP	0;
	262	0	CT_TBRCH	267	BR_STATUS	CT_REP	0;
	263	0	CT_TBRCH	268	BR_STATUS	CT_REP	0;
	264	0	CT_TBRCH	269	BR_STATUS	CT_REP	0;
	265	0	CT_TBRCH	270	BR_STATUS	CT_REP	0;
	266	0	CT_TBRCH	271	BR_STATUS	CT_REP	0;
	267	0	CT_TBRCH	272	BR_STATUS	CT_REP	0;
	268	0	CT_TBRCH	273	BR_STATUS	CT_REP	0;
	269	0	CT_TBRCH	274	BR_STATUS	CT_REP	0;
	270	0	CT_TBRCH	275	BR_STATUS	CT_REP	0;
	271	0	CT_TBRCH	276	BR_STATUS	CT_REP	0;
	272	0	CT_TBRCH	277	BR_STATUS	CT_REP	0;
	273	0	CT_TBRCH	278	BR_STATUS	CT_REP	0;
	274	0	CT_TBRCH	279	BR_STATUS	CT_REP	0;
	275	0	CT_TBRCH	280	BR_STATUS	CT_REP	0;
	276	0	CT_TBRCH	281	BR_STATUS	CT_REP	0;
	277	0	CT_TBRCH	282	BR_STATUS	CT_REP	0;
	278	0	CT_TBRCH	283	BR_STATUS	CT_REP	0;
	279	0	CT_TBRCH	284	BR_STATUS	CT_REP	0;
	280	0	CT_TBRCH	285	BR_STATUS	CT_REP	0;
	281	0	CT_TBRCH	286	BR_STATUS	CT_REP	0;
	282	0	CT_TBRCH	287	BR_STATUS	CT_REP	0;
	283	0	CT_TBRCH	288	BR_STATUS	CT_REP	0;
	284	0	CT_TBRCH	289	BR_STATUS	CT_REP	0;
	285	0	CT_TBRCH	290	BR_STATUS	CT_REP	0;
	286	0	CT_TBRCH	291	BR_STATUS	CT_REP	0;
	287	0	CT_TBRCH	292	BR_STATUS	CT_REP	0;
	288	0	CT_TBRCH	293	BR_STATUS	CT_REP	0;
	289	0	CT_TBRCH	294	BR_STATUS	CT_REP	0;
	290	0	CT_TBRCH	295	BR_STATUS	CT_REP	0;
	291	0	CT_TBRCH	296	BR_STATUS	CT_REP	0;
	292	0	CT_TBRCH	297	BR_STATUS	CT_REP	0;
	293	0	CT_TBRCH	298	BR_STATUS	CT_REP	0;
	294	0	CT_TBRCH	299	BR_STATUS	CT_REP	0;
	295	0	CT_TBRCH	300	BR_STATUS	CT_REP	0;
	296	0	CT_TBRCH	301	BR_STATUS	CT_REP	0;
	297	0	CT_TBRCH	302	BR_STATUS	CT_REP	0;
	298	0	CT_TBRCH	303	BR_STATUS	CT_REP	0;
	299	0	CT_TBRCH	304	BR_STATUS	CT_REP	0;
	300	0	CT_TBRCH	305	BR_STATUS	CT_REP	0;
	301	0	CT_TBRCH	306	BR_STATUS	CT_REP	0;
	302	0	CT_TBRCH	307	BR_STATUS	CT_REP	0;
	303	0	CT_TBRCH	308	BR_STATUS	CT_REP	0;
	304	0	CT_TBRCH	309	BR_STATUS	CT_REP	0;
	305	0	CT_TBRCH	310	BR_STATUS	CT_REP	0;
	306	0	CT_TBRCH	311	BR_STATUS	CT_REP	0;
	307	0	CT_TBRCH	312	BR_STATUS	CT_REP	0;
	308	0	CT_TBRCH	313	BR_STATUS	CT_REP	0;
	309	0	CT_TBRCH	314	BR_STATUS	CT_REP	0;
	310	0	CT_TBRCH	315	BR_STATUS	CT_REP	0;
	311	0	CT_TBRCH	316	BR_STATUS	CT_REP	0;
	312	0	CT_TBRCH	317	BR_STATUS	CT_REP	0;
	313	0	CT_TBRCH	318	BR_STATUS	CT_REP	0;
	314	0	CT_TBRCH	319	BR_STATUS	CT_REP	0;
	315	0	CT_TBRCH	320	BR_STATUS	CT_REP	0;
	316	0	CT_TBRCH	321	BR_STATUS	CT_REP	0;
	317	0	CT_TBRCH	322	BR_STATUS	CT_REP	0;
	318	0	CT_TBRCH	323	BR_STATUS	CT_REP	0;
	319	0	CT_TBRCH	324	BR_STATUS	CT_REP	0;
	320	0	CT_TBRCH	325	BR_STATUS	CT_REP	0;
	321	0	CT_TBRCH	326	BR_STATUS	CT_REP	0;
	322	0	CT_TBRCH	327	BR_STATUS	CT_REP	0;
	323	0	CT_TBRCH	328	BR_STATUS	CT_REP	0;
	324	0	CT_TBRCH	329	BR_STATUS	CT_REP	0;
	325	0	CT_TBRCH	330	BR_STATUS	CT_REP	0;
	326	0	CT_TBRCH	331	BR_STATUS	CT_REP	0;
	327	0	CT_TBRCH	332	BR_STATUS	CT_REP	0;
	328	0	CT_TBRCH	333	BR_STATUS	CT_REP	0;
	329	0	CT_TBRCH	334	BR_STATUS	CT_REP	0;
	330	0	CT_TBRCH	335	BR_STATUS	CT_REP	0;
	331	0	CT_TBRCH	336	BR_STATUS	CT_REP	0;
	332	0	CT_TBRCH	337	BR_STATUS	CT_REP	0;
	333	0	CT_TBRCH	338	BR_STATUS	CT_REP	0;
	334	0	CT_TBRCH	339	BR_STATUS	CT_REP	0;
	335	0	CT_TBRCH	340	BR_STATUS	CT_REP	0;
	336	0	CT_TBRCH	341	BR_STATUS	CT_REP	0;
	337	0	CT_TBRCH	342	BR_STATUS	CT_REP	0;
	338	0	CT_TBRCH	343	BR_STATUS	CT_REP	0;
	339	0	CT_TBRCH	344	BR_STATUS	CT_REP	0;
	340	0	CT_TBRCH	345	BR_STATUS	CT_REP	0;
	341	0	CT_TBRCH	346	BR_STATUS	CT_REP	0;
	342	0	CT_TBRCH	347	BR_STATUS	CT_REP	0;
	343	0	CT_TBRCH	348	BR_STATUS	CT_REP	0;
	344	0	CT_TBRCH	349	BR_STATUS	CT_REP	0;
	345	0	CT_TBRCH	350	BR_STATUS	CT_REP	0;
	346	0	CT_TBRCH	351	BR_STATUS	CT_REP	0;
	347	0	CT_TBRCH	352	BR_STATUS	CT_REP	0;
	348	0	CT_TBRCH	353	BR_STATUS	CT_REP	0;
	349	0	CT_TBRCH	354	BR_STATUS	CT_REP	0;
	350	0	CT_TBRCH	355	BR_STATUS	CT_REP	0;
	351	0	CT_TBRCH	356	BR_STATUS	CT_REP	0;
	352	0	CT_TBRCH	357	BR_STATUS	CT_REP	0;
	353	0	CT_TBRCH	358	BR_STATUS	CT_REP	0;
	354	0	CT_TBRCH	359	BR_STATUS	CT_REP	0;
	355	0	CT_TBRCH	360	BR_STATUS	CT_REP	0;
	356	0	CT_TBRCH	361	BR_STATUS	CT_REP	0;
	357	0	CT_TBRCH	362	BR_STATUS	CT_REP	0;
	358	0	CT_TBRCH	363	BR_STATUS	CT_REP	0;
	359	0	CT_TBRCH	364	BR_STATUS	CT_REP	0;
	360	0	CT_TBRCH	365	BR_STATUS	CT_REP	0;
	361	0	CT_TBRCH	366	BR_STATUS	CT_REP	0;
	362	0	CT_TBRCH	367	BR_STATUS	CT_REP	0;
	363	0	CT_TBRCH	368	BR_STATUS	CT_REP	0;
	364	0	CT_TBRCH	369	BR_STATUS	CT_REP	0;
	365	0	CT_TBRCH	370	BR_STATUS	CT_REP	0;
	366	0	CT_TBRCH	371	BR_STATUS	CT_REP	0;
	367	0	CT_TBRCH	372	BR_STATUS	CT_REP	0;
	368	0	CT_TBRCH	373	BR_STATUS	CT_REP	0;
	369	0	CT_TBRCH	374	BR_STATUS	CT_REP	0;
	370	0	CT_TBRCH	375	BR_STATUS	CT_REP	0;
	371	0	CT_TBRCH	376	BR_STATUS	CT_REP	0;
	372	0	CT_TBRCH	377	BR_STATUS	CT_REP	0;
	373	0	CT_TBRCH	378	BR_STATUS	CT_REP	0;
	374	0	CT_TBRCH	379	BR_STATUS	CT_REP	0;
	375	0	CT_TBRCH	380	BR_STATUS	CT_REP	0;
	376	0	CT_TBRCH	381	BR_STATUS	CT_REP	0;
	377	0	CT_TBRCH	382	BR_STATUS	CT_REP	0;
	378	0	CT_TBRCH	383	BR_STATUS	CT_REP	0;
	379	0	CT_TBRCH	384	BR_STATUS	CT_REP	0;
	380	0	CT_TBRCH	385	BR_STATUS	CT_REP	0;
	381	0	CT_TBRCH	386	BR_STATUS	CT_REP	0;
	382	0	CT_TBRCH	387	BR_STATUS	CT_REP	0;
	383	0	CT_TBRCH	388	BR_STATUS	CT_REP	0;
	384	0	CT_TBRCH	389	BR_STATUS	CT_REP	0;
	385	0	CT_TBRCH	390	BR_STATUS	CT_REP	0;
	386	0	CT_TBRCH	391	BR_STATUS	CT_REP	0;
	387	0	CT_TBRCH	392	BR_STATUS	CT_REP	0;
	388	0	CT_TBRCH	393	BR_STATUS	CT_REP	0;
	389	0	CT_TBRCH	394	BR_STATUS	CT_REP	0;
	390	0	CT_TBRCH	395	BR_STATUS	CT_REP	0;
	391	0	CT_TBRCH	396	BR_STATUS	CT_REP	0;
	392	0	CT_TBRCH	397	BR_STATUS	CT_REP	0;
	393	0	CT_TBRCH	398	BR_STATUS	CT_REP	0;
	394	0	CT_TBRCH	399	BR_STATUS	CT_REP	0;
	395	0	CT_TBRCH	400	BR_STATUS	CT_REP	0;
	396	0	CT_TBRCH	401	BR_STATUS	CT_REP	0;
	397	0	CT_TBRCH	402	BR_STATUS	CT_REP	0;
	398	0	CT_TBRCH	403	BR_STATUS	CT_REP	0;
	399	0	CT_TBRCH	404	BR_STATUS	CT_REP	0;
	400	0	CT_TBRCH	405	BR_STATUS	CT_REP	0;
	401	0	CT_TBRCH	406	BR_STATUS	CT_REP	0;
	402	0	CT_TBRCH	407	BR_STATUS	CT_REP	0;
	403	0	CT_TBRCH	408	BR_STATUS	CT_REP	0;
	404	0	CT_TBRCH	409	BR_STATUS	CT_REP	0;
	405	0	CT_TBRCH	410	BR_STATUS	CT_REP	0;
	406	0	CT_TBRCH	411	BR_STATUS	CT_REP	0;
	407	0	CT_TBRCH	412	BR_STATUS	CT_REP	0;
	408	0	CT_TBRCH	413	BR_STATUS	CT_REP	0;
	409	0	CT_TBRCH	414	BR_STATUS	CT_REP	0;
	410	0	CT_TBRCH	415	BR_STATUS	CT_REP	0;
	411	0	CT_TBRCH	416	BR_STATUS	CT_REP	0;
	412	0	CT_TBRCH	417	BR_STATUS	CT_REP	0;
	413	0	CT_TBRCH	418	BR_STATUS	CT_REP	0;
	414	0	CT_TBRCH	419	BR_STATUS	CT_REP	0;
	415	0	CT_TBRCH	420	BR_STATUS	CT_REP	0;
	416	0	CT_TBRCH	421	BR_STATUS	CT_REP	0;
	417	0	CT_TBRCH	422	BR_STATUS	CT_REP	0;
	418	0	CT_TBRCH	423	BR_STATUS	CT_REP	0;
	419	0	CT_TBRCH	424	BR_STATUS	CT_REP	0;
	420	0	CT_TBRCH	425	BR_STATUS	CT_REP	0;
	421	0	CT_TBRCH	426	BR_STATUS	CT_REP	0;
	422	0	CT_TBRCH	427	BR_STATUS	CT_REP	0;
	423	0	CT_TBRCH	428	BR_STATUS	CT_REP	0;
	424	0	CT_TBRCH	429	BR_STATUS	CT_REP	0;
	425	0	CT_TBRCH	430	BR_STATUS	CT_REP	0;
	426	0	CT_TBRCH	431	BR_STATUS	CT_REP	0;
	427	0	CT_TBRCH	432	BR_STATUS	CT_REP	0;
	428	0	CT_TBRCH	433	BR_STATUS	CT_REP	0;
	429	0	CT_TBRCH	434	BR_STATUS	CT_REP	0;
	430	0	CT_TBRCH	435	BR_STATUS	CT_REP	0;
	431	0	CT_TBRCH	436	BR_STATUS	CT_REP	0;
	432	0	CT_TBRCH	437	BR_STATUS	CT_REP	0;
	433	0	CT_TBRCH	438	BR_STATUS	CT_REP	0;
	434	0	CT_TBRCH	439	BR_STATUS	CT_REP	0;
	435	0	CT_TBRCH	440	BR_STATUS	CT_REP	0;
	436	0	CT_TBRCH	441	BR_STATUS	CT_REP	0;
	437	0	CT_TBRCH	442	BR_STATUS	CT_REP	0;
	438	0	CT_TBRCH	443	BR_STATUS	CT_REP	0;
	439	0	CT_TBRCH	444	BR_STATUS	CT_REP	0;
	440	0	CT_TBRCH	445	BR_STATUS	CT_REP	0;
	441	0	CT_TBRCH	446	BR_STATUS	CT_REP	0;
	442	0	CT_TBRCH	447	BR_STATUS	CT_REP	0;
	443	0	CT_TBRCH	448	BR_STATUS	CT_REP	0;
	444	0	CT_TBRCH	449	BR_STATUS	CT_REP	0;
	445	0	CT_TBRCH	450	BR_STATUS	CT_REP	0;
	446	0	CT_TBRCH	451	BR_STATUS	CT_REP	0;
	447	0	CT_TBRCH	452	BR_STATUS	CT_REP	0;
	448	0	CT_TBRCH	453	BR_STATUS	CT_REP	0;
	449	0	CT_TBRCH	454	BR_STATUS	CT_REP	0;
	450	0	CT_TBRCH	455	BR_STATUS	CT_REP	0;
	451	0	CT_TBRCH	456	BR_STATUS	CT_REP	0;
	452	0	CT_TBRCH	457	BR_STATUS	CT_REP	0;
	453	0	CT_TBRCH	458	BR_STATUS	CT_REP	0;
	454	0	CT_TBRCH	459	BR_STATUS	CT_REP	0;
	455	0	CT_TBRCH	460	BR_STATUS	CT_REP	0;
	456	0	CT_TBRCH	461	BR_STATUS	CT_REP	0;
	457	0	CT_TBRCH	462	BR_STATUS	CT_REP	0;
	458	0	CT_TBRCH	463	BR_STATUS	CT_REP	0;
	459	0	CT_TBRCH	464	BR_STATUS	CT_REP	0;
	460	0	CT_TBRCH	465	BR_STATUS	CT_REP	0;
	461	0	CT_TBRCH	466	BR_STATUS	CT_REP	0;
	462	0	CT_TBRCH	467	BR_STATUS	CT_REP	0;
	463	0	CT_TBRCH	468	BR_STATUS	CT_REP	0;
	464	0	CT_TBRCH	469	BR_STATUS	CT_REP	0;
	465	0	CT_TBRCH	470	BR_STATUS	CT_REP	0;
	466	0	CT_TBRCH	471	BR_STATUS	CT_REP	0;
	467	0	CT_TBRCH	472	BR_STATUS	CT_REP	0;
	468	0	CT_TBRCH	473	BR_STATUS	CT_REP	0;
	469	0	CT_TBRCH	474	BR_STATUS	CT_REP	0;
	470	0	CT_TBRCH	475	BR_STATUS	CT_REP	0;
	471	0	CT_TBRCH	476	BR_STATUS	CT_REP	0;
	472	0	CT_TBRCH	477	BR_STATUS	CT_REP	0;
	473	0	CT_TBRCH	478	BR_STATUS	CT_REP	0;
	474	0	CT_TBRCH	479	BR_STATUS	CT_REP	0;
	475	0	CT_TBRCH	480	BR_STATUS	CT_REP	0;
	476	0	CT_TBRCH	481	BR_STATUS	CT_REP	0;
	477	0	CT_TBRCH	482	BR_STATUS	CT_REP	0;
	478	0	CT_TBRCH	483	BR_STATUS	CT_REP	0;
	479	0	CT_TBRCH	484	BR_STATUS	CT_REP	0;
	480	0	CT_TBRCH	485	BR_STATUS	CT_REP	0;
	481	0	CT_TBRCH	486	BR_STATUS	CT_REP	0;
	482	0	CT_TBRCH	487	BR_STATUS	CT_REP	0;
	483	0	CT_TBRCH	488	BR_STATUS	CT_REP	0;
	484	0	CT_TBRCH	489	BR_STATUS	CT_REP	0;
	485	0	CT_TBRCH	490	BR_STATUS	CT_REP	0;
	486	0	CT_TBRCH	491	BR_STATUS	CT_REP	0;
	487	0	CT_TBRCH	492	BR_STATUS	CT_REP	0;
	488	0	CT_TBRCH	493	BR_STATUS	CT_REP	0;
	489	0	CT_TBRCH	494	BR_STATUS	CT_REP	0;
	490	0	CT_TBRCH	495	BR_STATUS	CT_REP	0;
	491	0	CT_TBRCH	496	BR_STATUS	CT_REP	0;
	492	0	CT_TBRCH	497	BR_STATUS	CT_REP	0;
	493	0	CT_TBRCH	498	BR_STATUS	CT_REP	0;
	494	0	CT_TBRCH	499	BR_STATUS	CT_REP	0;
	495	0	CT_TBRCH	500	BR_STATUS	CT_REP	0;
	496	0	CT_TBRCH	501	BR_STATUS	CT_REP	0;
	497	0	CT_TBRCH	502	BR_STATUS	CT_REP	0;
	498	0	CT_TBRCH	503	BR_STATUS	CT_REP	0;
	499	0	CT_TBRCH	504	BR_STATUS	CT_REP	0;
	500	0	CT_TBRCH	505	BR_STATUS	CT_REP	0;
	501	0	CT_TBRCH	506	BR_STATUS	CT_REP	0;
	502	0	CT_TBRCH	507	BR_STATUS	CT_REP	0;
	503	0	CT_TBRCH	508	BR_STATUS	CT_REP	0;
	504	0	CT_TBRCH	509	BR_STATUS	CT_REP	0;
	505	0	CT_TBRCH	510	BR_STATUS	CT_REP	0;
	506	0	CT_TBRCH	511	BR_STATUS	CT_REP	0;
	507	0	CT_TBRCH	512	BR_STATUS	CT_REP	0;
	508	0	CT_TBRCH	514	BR_STATUS	CT_REP	0;
	509	0	CT_TBRCH	515	BR_STATUS	CT_REP	0;
	510	0	CT_TBRCH	516	BR_STATUS	CT_REP	0;
	511	0	CT_TBRCH	517	BR_STATUS	CT_REP	0;
	512	0	CT_TBRCH	518	BR_STATUS	CT_REP	0;
	513	0	CT_TBRCH	519	BR_STATUS	CT_REP	0;
	514	0	CT_TBRCH	520	BR_STATUS	CT_REP	0;
	515	0	CT_TBRCH	521	BR_STATUS	CT_REP	0;
	516	0	CT_TBRCH	522	BR_STATUS	CT_REP	0;
	517	0	CT_TBRCH	523	BR_STATUS	CT_REP	0;
	518	0	CT_TBRCH	524	BR_STATUS	CT_REP	0;
	519	0	CT_TBRCH	525	BR_STATUS	CT_REP	0;
	520	0	CT_TBRCH	526	BR_STATUS	CT_REP	0;
	521	0	CT_TBRCH	527	BR_STATUS	CT_REP	0;
	522	0	CT_TBRCH	528	BR_STATUS	CT_REP	0;
	523	0	CT_TBRCH	529	BR_STATUS	CT_REP	0;
	524	0	CT_TBRCH	530	BR_STATUS	CT_REP	0;
	525	0	CT_TBRCH	531	BR_STATUS	CT_REP	0;
	526	0	CT_TBRCH	532	BR_STATUS	CT_REP	0;
	527	0	CT_TBRCH	533	BR_STATUS	CT_REP	0;
	528	0	CT_TBRCH	534	BR_STATUS	CT_REP	0;
	529	0	CT_TBRCH	535	BR_STATUS	CT_REP	0;
	530	0	CT_TBRCH	536	BR_STATUS	CT_REP	0;
	531	0	CT_TBRCH	537	BR_STATUS	CT_REP	0;
	532	0	CT_TBRCH	538	BR_STATUS	CT_REP	0;
	533	0	CT_TBRCH	539	BR_STATUS	CT_REP	0;
	534	0	CT_TBRCH	540	BR_STATUS	CT_REP	0;
	535	0	CT_TBRCH	541	BR_STATUS	CT_REP	0;
	536	0	CT_TBRCH	542	BR_STATUS	CT_REP	0;
	537	0	CT_TBRCH	543	BR_STATUS	CT_REP	0;
	538	0	CT_TBRCH	544	BR_STATUS	CT_REP	0;
	539	0	CT_TBRCH	545	BR_STATUS	CT_REP	0;
	540	0	CT_TBRCH	546	BR_STATUS	CT_REP	0;
	541	0	CT_TBRCH	547	BR_STATUS	CT_REP	0;
	542	0	CT_TBRCH	548	BR_STATUS	CT_REP	0;
	543	0	CT_TBRCH	549	BR_STATUS	CT_REP	0;
	544	0	CT_TBRCH	550	BR_STATUS	CT_REP	0;
	545	0	CT_TBRCH	551	BR_STATUS	CT_REP	0;
	546	0	CT_TBRCH	552	BR_STATUS	CT_REP	0;
	547	0	CT_TBRCH	553	BR_STATUS	CT_REP	0;
	548	0	CT_TBRCH	554	BR_STATUS	CT_REP	0;
	549	0	CT_TBRCH	555	BR_STATUS	CT_REP	0;
	550	0	CT_TBRCH	556	BR_STATUS	CT_REP	0;
	551	0	CT_TBRCH	557	BR_STATUS	CT_REP	0;
	552	0	CT_TBRCH	558	BR_STATUS	CT_REP	0;
	553	0	CT_TBRCH	559	BR_STATUS	CT_REP	0;
	554	0	CT_TBRCH	560	BR_STATUS	CT_REP	0;
	555	0	CT_TBRCH	561	BR_STATUS	CT_REP	0;
	556	0	CT_TBRCH	562	BR_STATUS	CT_REP	0;
	557	0	CT_TBRCH	563	BR_STATUS	CT_REP	0;
	558	0	CT_TBRCH	564	BR_STATUS	CT_REP	0;
	559	0	CT_TBRCH	565	BR_STATUS	CT_REP	0;
	560	0	CT_TBRCH	566	BR_STATUS	CT_REP	0;
	561	0	CT_TBRCH	567	BR_STATUS	CT_REP	0;
	562	0	CT_TBRCH	568	BR_STATUS	CT_REP	0;
	563	0	CT_TBRCH	569	BR_STATUS	CT_REP	0;
	564	0	CT_TBRCH	570	BR_STATUS	CT_REP	0;
	565	0	CT_TBRCH	571	BR_STATUS	CT_REP	0;
	566	0	CT_TBRCH	572	BR_STATUS	CT_REP	0;
	567	0	CT_TBRCH	573	BR_STATUS	CT_REP	0;
	568	0	CT_TBRCH	574	BR_STATUS	CT_REP	0;
	569	0	CT_TBRCH	575	BR_STATUS	CT_REP	0;
	570	0	CT_TBRCH	576	BR_STATUS	CT_REP	0;
	571	0	CT_TBRCH	577	BR_STATUS	CT_REP	0;
	572	0	CT_TBRCH	578	BR_STATUS	CT_REP	0;
	573	0	CT_TBRCH	579	BR_STATUS	CT_REP	0;
	574	0	CT_TBRCH	580	BR_STATUS	CT_REP	0;
	575	0	CT_TBRCH	581	BR_STATUS	CT_REP	0;
	576	0	CT_TBRCH	582	BR_STATUS	CT_REP	0;
	577	0	CT_TBRCH	583	BR_STATUS	CT_REP	0;
	578	0	CT_TBRCH	584	BR_STATUS	CT_REP	0;
	579	0	CT_TBRCH	585	BR_STATUS	CT_REP	0;
	580	0	CT_TBRCH	586	BR_STATUS	CT_REP	0;
	581	0	CT_TBRCH	587	BR_STATUS	CT_REP	0;
	582	0	CT_TBRCH	588	BR_STATUS	CT_REP	0;
	583	0	CT_TBRCH	589	BR_STATUS	CT_REP	0;
	584	0	CT_TBRCH	590	BR_STATUS	CT_REP	0;
	585	0	CT_TBRCH	591	BR_STATUS	CT_REP	0;
	586	0	CT_TBRCH	592	BR_STATUS	CT_REP	0;
	587	0	CT_TBRCH	593	BR_STATUS	CT_REP	0;
	588	0	CT_TBRCH	594	BR_STATUS	CT_REP	0;
	589	0	CT_TBRCH	595	BR_STATUS	CT_REP	0;
	590	0	CT_TBRCH	596	BR_STATUS	CT_REP	0;
	591	0	CT_TBRCH	597	BR_STATUS	CT_REP	0;
	592	0	CT_TGEN	1	GEN_STATUS	CT_REP	0;
	593	0	CT_TGEN	2	GEN_STATUS	CT_REP	0;
	594	0	CT_TGEN	3	GEN_STATUS	CT_REP	0;
	595	0	CT_TGEN	4	GEN_STATUS	CT_REP	0;
	596	0	CT_TGEN	5	GEN_STATUS	CT_REP	0;
	597	0	CT_TGEN	6	GEN_STATUS	CT_REP	0;
	598	0	CT_TGEN	7	GEN_STATUS	CT_REP	0;
	599	0	CT_TGEN	8	GEN_STATUS	CT_REP	0;
	600	0	CT_TGEN	9	GEN_STATUS	CT_REP	0;
	601	0	CT_TGEN	10	GEN_STATUS	CT_REP	0;
	602	0	CT_TGEN	11	GEN_STATUS	CT_REP	0;
	603	0	CT_TGEN	12	GEN_STATUS	CT_REP	0;
	604	0	CT_TGEN	13	GEN_STATUS	CT_REP	0;
	605	0	CT_TGEN	14	GEN_STATUS	CT_REP	0;
	606	0	CT_TGEN	15	GEN_STATUS	CT_REP	0;
	607	0	CT_TGEN	16	GEN_STATUS	CT_REP	0;
	608	0	CT_TGEN	17	GEN_STATUS	CT_REP	0;
	609	0	CT_TGEN	18	GEN_STATUS	CT_REP	0;
	610	0	CT_TGEN	19	GEN_STATUS	CT_REP	0;
	611	0	CT_TGEN	20	GEN_STATUS	CT_REP	0;
	612	0	CT_TGEN	21	GEN_STATUS	CT_REP	0;
	613	0	CT_TGEN	22	GEN_STATUS	CT_REP	0;
	614	0	CT_TGEN	23	GEN_STATUS	CT_REP	0;
	615	0	CT_TGEN	24	GEN_STATUS	CT_REP	0;
	616	0	CT_TGEN	25	GEN_STATUS	CT_REP	0;
	617	0	CT_TGEN	26	GEN_STATUS	CT_REP	0;
	618	0	CT_TGEN	27	GEN_STATUS	CT_REP	0;
	619	0	CT_TGEN	28	GEN_STATUS	CT_REP	0;
	620	0	CT_TGEN	29	GEN_STATUS	CT_REP	0;
	621	0	CT_TGEN	30	GEN_STATUS	CT_REP	0;
	622	0	CT_TGEN	31	GEN_STATUS	CT_REP	0;
	623	0	CT_TGEN	32	GEN_STATUS	CT_REP	0;
	624	0	CT_TGEN	33	GEN_STATUS	CT_REP	0;
	625	0	CT_TGEN	34	GEN_STATUS	CT_REP	0;
	626	0	CT_TGEN	35	GEN_STATUS	CT_REP	0;
	627	0	CT_TGEN	36	GEN_STATUS	CT_REP	0;
	628	0	CT_TGEN	37	GEN_STATUS	CT_REP	0;
	629	0	CT_TGEN	38	GEN_STATUS	CT_REP	0;
	630	0	CT_TGEN	39	GEN_STATUS	CT_REP	0;
	631	0	CT_TGEN	40	GEN_STATUS	CT_REP	0;
	632	0	CT_TGEN	41	GEN_STATUS	CT_REP	0;
	633	0	CT_TGEN	42	GEN_STATUS	CT_REP	0;
	634	0	CT_TGEN	43	GEN_STATUS	CT_REP	0;
	635	0	CT_TGEN	44	GEN_STATUS	CT_REP	0;
	636	0	CT_TGEN	45	GEN_STATUS	CT_REP	0;
	637	0	CT_TGEN	46	GEN_STATUS	CT_REP	0;
	638	0	CT_TGEN	47	GEN_STATUS	CT_REP	0;
	639	0	CT_TGEN	48	GEN_STATUS	CT_REP	0;
	640	0	CT_TGEN	49	GEN_STATUS	CT_REP	0;
	641	0	CT_TGEN	50	GEN_STATUS	CT_REP	0;
	642	0	CT_TGEN	51	GEN_STATUS	CT_REP	0;
	643	0	CT_TGEN	52	GEN_STATUS	CT_REP	0;
	644	0	CT_TGEN	53	GEN_STATUS	CT_REP	0;
	645	0	CT_TGEN	54	GEN_STATUS	CT_REP	0;
	646	0	CT_TGEN	55	GEN_STATUS	CT_REP	0;
	647	0	CT_TGEN	56	GEN_STATUS	CT_REP	0;
	648	0	CT_TGEN	57	GEN_STATUS	CT_REP	0;
	649	0	CT_TGEN	58	GEN_STATUS	CT_REP	0;
	650	0	CT_TGEN	59	GEN_STATUS	CT_REP	0;
	651	0	CT_TGEN	60	GEN_STATUS	CT_REP	0;
	652	0	CT_TGEN	61	GEN_STATUS	CT_REP	0;
	653	0	CT_TGEN	62	GEN_STATUS	CT_REP	0;
	654	0	CT_TGEN	63	GEN_STATUS	CT_REP	0;
	655	0	CT_TGEN	64	GEN_STATUS	CT_REP	0;
	656	0	CT_TGEN	65	GEN_STATUS	CT_REP	0;
	657	0	CT_TGEN	66	GEN_STATUS	CT_REP	0;
	658	0	CT_TGEN	67	GEN_STATUS	CT_REP	0;
	659	0	CT_TGEN	68	GEN_STATUS	CT_REP	0;
	660	0	CT_TGEN	69	GEN_STATUS	CT_REP	0;
	661	0	CT_TGEN	70	GEN_STATUS	CT_REP	0;
	662	0	CT_TGEN	71	GEN_STATUS	CT_REP	0;
	663	0	CT_TGEN	72	GEN_STATUS	CT_REP	0;
	664	0	CT_TGEN	73	GEN_STATUS	CT_REP	0;
	665	0	CT_TGEN	74	GEN_STATUS	CT_REP	0;
	666	0	CT_TGEN	75	GEN_STATUS	CT_REP	0;
	667	0	CT_TGEN	76	GEN_STATUS	CT_REP	0;
	668	0	CT_TGEN	77	GEN_STATUS	CT_REP	0;
	669	0	CT_TGEN	78	GEN_STATUS	CT_REP	0;
	670	0	CT_TGEN	79	GEN_STATUS	CT_REP	0;
	671	0	CT_TGEN	80	GEN_STATUS	CT_REP	0;
	672	0	CT_TGEN	81	GEN_STATUS	CT_REP	0;
	673	0	CT_TGEN	82	GEN_STATUS	CT_REP	0;
	674	0	CT_TGEN	83	GEN_STATUS	CT_REP	0;
	675	0	CT_TGEN	84	GEN_STATUS	CT_REP	0;
	676	0	CT_TGEN	85	GEN_STATUS	CT_REP	0;
	677	0	CT_TGEN	86	GEN_STATUS	CT_REP	0;
	678	0	CT_TGEN	87	GEN_STATUS	CT_REP	0;
	679	0	CT_TGEN	88	GEN_STATUS	CT_REP	0;
	680	0	CT_TGEN	89	GEN_STATUS	CT_REP	0;
	681	0	CT_TGEN	90	GEN_STATUS	CT_REP	0;
];
