function xgd_table = ex_xgd_ramp(mpc)
%EX_XGD_RAMP  Example xGenData table for multiperiod DC OPF with ramping.

%   MOST
%   Copyright (c) 2015-2016, Power Systems Engineering Research Center (PSERC)
%   by Ray Zimmerman, PSERC Cornell
%
%   This file is part of MOST.
%   Covered by the 3-clause BSD License (see LICENSE file for details).
%   See https://github.com/MATPOWER/most for more info.

%% initial xGenData
xgd_table.colnames = {
    'PositiveActiveReservePrice', ...
            'PositiveActiveReserveQuantity', ...
                    'NegativeActiveReservePrice', ...
                            'NegativeActiveReserveQuantity', ...
                                    'PositiveActiveDeltaPrice', ...
                                            'NegativeActiveDeltaPrice', ...
                                                    'PositiveLoadFollowReservePrice', ...
                                                            'PositiveLoadFollowReserveQuantity', ...
                                                                'NegativeLoadFollowReservePrice', ...
                                                                        'NegativeLoadFollowReserveQuantity', ...
};
xgd_table.data = [
    5       250     10      250     1e-9    1e-9    1e-6    250 1e-6    250;
    1e-8    250     2e-8    250     1e-9    1e-9    1e-6    250 1e-6    250;
    1.5     600     3       600     1e-9    1e-9    10      100 10      250;
    1e-8    800     2e-8    800     1e-9    1e-9    1e-6    800 1e-6    800;
];
