function chgtab = contab_ACTIVSg10k
%CONTAB_ACTIVSG10K  Returns a change table suitable for use with APPLY_CHANGES
%
%   This contingency table is for use with case_ACTIVSg10k.
%
%   One-line diagrams and other data formats available at:
%       https://electricgrids.engr.tamu.edu
%
%   Created via PSSECON2CHGTAB from ACTIVSg10k.con as exported from
%   ACTIVSg10k.pwb by PowerWorld.
%
% Warnings:
%     Circuit 2 does not exist from bus 70032 to bus 77215, using circuit 1 instead.

%   MATPOWER
%   Copyright (c) 2017 by A.B. Birchfield, T. Xu, K.M. Gegner, K.S. Shetye,
%   and T.J. Overbye
%   Licensed under the Creative Commons Attribution 4.0 International license,
%   https://creativecommons.org/licenses/by/4.0/

define_constants;

%% Change Table
%	label	prob	table	row	col	chgtype	newval
chgtab = [
	1	0	CT_TBRCH	1	BR_STATUS	CT_REP	0;
	2	0	CT_TBRCH	2	BR_STATUS	CT_REP	0;
	3	0	CT_TBRCH	3	BR_STATUS	CT_REP	0;
	4	0	CT_TBRCH	4	BR_STATUS	CT_REP	0;
	5	0	CT_TBRCH	5	BR_STATUS	CT_REP	0;
	6	0	CT_TBRCH	6	BR_STATUS	CT_REP	0;
	7	0	CT_TBRCH	7	BR_STATUS	CT_REP	0;
	8	0	CT_TBRCH	8	BR_STATUS	CT_REP	0;
	9	0	CT_TBRCH	9	BR_STATUS	CT_REP	0;
	10	0	CT_TBRCH	10	BR_STATUS	CT_REP	0;
	11	0	CT_TBRCH	11	BR_STATUS	CT_REP	0;
	12	0	CT_TBRCH	12	BR_STATUS	CT_REP	0;
	13	0	CT_TBRCH	13	BR_STATUS	CT_REP	0;
	14	0	CT_TBRCH	14	BR_STATUS	CT_REP	0;
	15	0	CT_TBRCH	15	BR_STATUS	CT_REP	0;
	16	0	CT_TBRCH	16	BR_STATUS	CT_REP	0;
	17	0	CT_TBRCH	17	BR_STATUS	CT_REP	0;
	18	0	CT_TBRCH	18	BR_STATUS	CT_REP	0;
	19	0	CT_TBRCH	19	BR_STATUS	CT_REP	0;
	20	0	CT_TBRCH	20	BR_STATUS	CT_REP	0;
	21	0	CT_TBRCH	21	BR_STATUS	CT_REP	0;
	22	0	CT_TBRCH	22	BR_STATUS	CT_REP	0;
	23	0	CT_TBRCH	23	BR_STATUS	CT_REP	0;
	24	0	CT_TBRCH	24	BR_STATUS	CT_REP	0;
	25	0	CT_TBRCH	25	BR_STATUS	CT_REP	0;
	26	0	CT_TBRCH	26	BR_STATUS	CT_REP	0;
	27	0	CT_TBRCH	27	BR_STATUS	CT_REP	0;
	28	0	CT_TBRCH	28	BR_STATUS	CT_REP	0;
	29	0	CT_TBRCH	29	BR_STATUS	CT_REP	0;
	30	0	CT_TBRCH	30	BR_STATUS	CT_REP	0;
	31	0	CT_TBRCH	31	BR_STATUS	CT_REP	0;
	32	0	CT_TBRCH	32	BR_STATUS	CT_REP	0;
	33	0	CT_TBRCH	33	BR_STATUS	CT_REP	0;
	34	0	CT_TBRCH	34	BR_STATUS	CT_REP	0;
	35	0	CT_TBRCH	35	BR_STATUS	CT_REP	0;
	36	0	CT_TBRCH	36	BR_STATUS	CT_REP	0;
	37	0	CT_TBRCH	37	BR_STATUS	CT_REP	0;
	38	0	CT_TBRCH	38	BR_STATUS	CT_REP	0;
	39	0	CT_TBRCH	39	BR_STATUS	CT_REP	0;
	40	0	CT_TBRCH	40	BR_STATUS	CT_REP	0;
	41	0	CT_TBRCH	41	BR_STATUS	CT_REP	0;
	42	0	CT_TBRCH	42	BR_STATUS	CT_REP	0;
	43	0	CT_TBRCH	43	BR_STATUS	CT_REP	0;
	44	0	CT_TBRCH	44	BR_STATUS	CT_REP	0;
	45	0	CT_TBRCH	45	BR_STATUS	CT_REP	0;
	46	0	CT_TBRCH	46	BR_STATUS	CT_REP	0;
	47	0	CT_TBRCH	47	BR_STATUS	CT_REP	0;
	48	0	CT_TBRCH	48	BR_STATUS	CT_REP	0;
	49	0	CT_TBRCH	49	BR_STATUS	CT_REP	0;
	50	0	CT_TBRCH	50	BR_STATUS	CT_REP	0;
	51	0	CT_TBRCH	51	BR_STATUS	CT_REP	0;
	52	0	CT_TBRCH	52	BR_STATUS	CT_REP	0;
	53	0	CT_TBRCH	53	BR_STATUS	CT_REP	0;
	54	0	CT_TBRCH	54	BR_STATUS	CT_REP	0;
	55	0	CT_TBRCH	55	BR_STATUS	CT_REP	0;
	56	0	CT_TBRCH	56	BR_STATUS	CT_REP	0;
	57	0	CT_TBRCH	57	BR_STATUS	CT_REP	0;
	58	0	CT_TBRCH	58	BR_STATUS	CT_REP	0;
	59	0	CT_TBRCH	59	BR_STATUS	CT_REP	0;
	60	0	CT_TBRCH	60	BR_STATUS	CT_REP	0;
	61	0	CT_TBRCH	61	BR_STATUS	CT_REP	0;
	62	0	CT_TBRCH	62	BR_STATUS	CT_REP	0;
	63	0	CT_TBRCH	63	BR_STATUS	CT_REP	0;
	64	0	CT_TBRCH	64	BR_STATUS	CT_REP	0;
	65	0	CT_TBRCH	65	BR_STATUS	CT_REP	0;
	66	0	CT_TBRCH	66	BR_STATUS	CT_REP	0;
	67	0	CT_TBRCH	67	BR_STATUS	CT_REP	0;
	68	0	CT_TBRCH	68	BR_STATUS	CT_REP	0;
	69	0	CT_TBRCH	69	BR_STATUS	CT_REP	0;
	70	0	CT_TBRCH	70	BR_STATUS	CT_REP	0;
	71	0	CT_TBRCH	71	BR_STATUS	CT_REP	0;
	72	0	CT_TBRCH	72	BR_STATUS	CT_REP	0;
	73	0	CT_TBRCH	73	BR_STATUS	CT_REP	0;
	74	0	CT_TBRCH	74	BR_STATUS	CT_REP	0;
	75	0	CT_TBRCH	75	BR_STATUS	CT_REP	0;
	76	0	CT_TBRCH	76	BR_STATUS	CT_REP	0;
	77	0	CT_TBRCH	77	BR_STATUS	CT_REP	0;
	78	0	CT_TBRCH	78	BR_STATUS	CT_REP	0;
	79	0	CT_TBRCH	79	BR_STATUS	CT_REP	0;
	80	0	CT_TBRCH	80	BR_STATUS	CT_REP	0;
	81	0	CT_TBRCH	81	BR_STATUS	CT_REP	0;
	82	0	CT_TBRCH	82	BR_STATUS	CT_REP	0;
	83	0	CT_TBRCH	83	BR_STATUS	CT_REP	0;
	84	0	CT_TBRCH	84	BR_STATUS	CT_REP	0;
	85	0	CT_TBRCH	85	BR_STATUS	CT_REP	0;
	86	0	CT_TBRCH	86	BR_STATUS	CT_REP	0;
	87	0	CT_TBRCH	87	BR_STATUS	CT_REP	0;
	88	0	CT_TBRCH	88	BR_STATUS	CT_REP	0;
	89	0	CT_TBRCH	89	BR_STATUS	CT_REP	0;
	90	0	CT_TBRCH	90	BR_STATUS	CT_REP	0;
	91	0	CT_TBRCH	91	BR_STATUS	CT_REP	0;
	92	0	CT_TBRCH	92	BR_STATUS	CT_REP	0;
	93	0	CT_TBRCH	93	BR_STATUS	CT_REP	0;
	94	0	CT_TBRCH	97	BR_STATUS	CT_REP	0;
	95	0	CT_TBRCH	98	BR_STATUS	CT_REP	0;
	96	0	CT_TBRCH	99	BR_STATUS	CT_REP	0;
	97	0	CT_TBRCH	100	BR_STATUS	CT_REP	0;
	98	0	CT_TBRCH	101	BR_STATUS	CT_REP	0;
	99	0	CT_TBRCH	102	BR_STATUS	CT_REP	0;
	100	0	CT_TBRCH	103	BR_STATUS	CT_REP	0;
	101	0	CT_TBRCH	104	BR_STATUS	CT_REP	0;
	102	0	CT_TBRCH	105	BR_STATUS	CT_REP	0;
	103	0	CT_TBRCH	106	BR_STATUS	CT_REP	0;
	104	0	CT_TBRCH	107	BR_STATUS	CT_REP	0;
	105	0	CT_TBRCH	108	BR_STATUS	CT_REP	0;
	106	0	CT_TBRCH	109	BR_STATUS	CT_REP	0;
	107	0	CT_TBRCH	110	BR_STATUS	CT_REP	0;
	108	0	CT_TBRCH	111	BR_STATUS	CT_REP	0;
	109	0	CT_TBRCH	113	BR_STATUS	CT_REP	0;
	110	0	CT_TBRCH	115	BR_STATUS	CT_REP	0;
	111	0	CT_TBRCH	116	BR_STATUS	CT_REP	0;
	112	0	CT_TBRCH	118	BR_STATUS	CT_REP	0;
	113	0	CT_TBRCH	119	BR_STATUS	CT_REP	0;
	114	0	CT_TBRCH	120	BR_STATUS	CT_REP	0;
	115	0	CT_TBRCH	121	BR_STATUS	CT_REP	0;
	116	0	CT_TBRCH	122	BR_STATUS	CT_REP	0;
	117	0	CT_TBRCH	123	BR_STATUS	CT_REP	0;
	118	0	CT_TBRCH	124	BR_STATUS	CT_REP	0;
	119	0	CT_TBRCH	125	BR_STATUS	CT_REP	0;
	120	0	CT_TBRCH	126	BR_STATUS	CT_REP	0;
	121	0	CT_TBRCH	127	BR_STATUS	CT_REP	0;
	122	0	CT_TBRCH	128	BR_STATUS	CT_REP	0;
	123	0	CT_TBRCH	129	BR_STATUS	CT_REP	0;
	124	0	CT_TBRCH	130	BR_STATUS	CT_REP	0;
	125	0	CT_TBRCH	131	BR_STATUS	CT_REP	0;
	126	0	CT_TBRCH	132	BR_STATUS	CT_REP	0;
	127	0	CT_TBRCH	133	BR_STATUS	CT_REP	0;
	128	0	CT_TBRCH	134	BR_STATUS	CT_REP	0;
	129	0	CT_TBRCH	135	BR_STATUS	CT_REP	0;
	130	0	CT_TBRCH	136	BR_STATUS	CT_REP	0;
	131	0	CT_TBRCH	137	BR_STATUS	CT_REP	0;
	132	0	CT_TBRCH	138	BR_STATUS	CT_REP	0;
	133	0	CT_TBRCH	139	BR_STATUS	CT_REP	0;
	134	0	CT_TBRCH	140	BR_STATUS	CT_REP	0;
	135	0	CT_TBRCH	141	BR_STATUS	CT_REP	0;
	136	0	CT_TBRCH	142	BR_STATUS	CT_REP	0;
	137	0	CT_TBRCH	143	BR_STATUS	CT_REP	0;
	138	0	CT_TBRCH	144	BR_STATUS	CT_REP	0;
	139	0	CT_TBRCH	145	BR_STATUS	CT_REP	0;
	140	0	CT_TBRCH	146	BR_STATUS	CT_REP	0;
	141	0	CT_TBRCH	147	BR_STATUS	CT_REP	0;
	142	0	CT_TBRCH	148	BR_STATUS	CT_REP	0;
	143	0	CT_TBRCH	149	BR_STATUS	CT_REP	0;
	144	0	CT_TBRCH	150	BR_STATUS	CT_REP	0;
	145	0	CT_TBRCH	151	BR_STATUS	CT_REP	0;
	146	0	CT_TBRCH	152	BR_STATUS	CT_REP	0;
	147	0	CT_TBRCH	153	BR_STATUS	CT_REP	0;
	148	0	CT_TBRCH	154	BR_STATUS	CT_REP	0;
	149	0	CT_TBRCH	155	BR_STATUS	CT_REP	0;
	150	0	CT_TBRCH	156	BR_STATUS	CT_REP	0;
	151	0	CT_TBRCH	157	BR_STATUS	CT_REP	0;
	152	0	CT_TBRCH	158	BR_STATUS	CT_REP	0;
	153	0	CT_TBRCH	159	BR_STATUS	CT_REP	0;
	154	0	CT_TBRCH	160	BR_STATUS	CT_REP	0;
	155	0	CT_TBRCH	161	BR_STATUS	CT_REP	0;
	156	0	CT_TBRCH	162	BR_STATUS	CT_REP	0;
	157	0	CT_TBRCH	163	BR_STATUS	CT_REP	0;
	158	0	CT_TBRCH	164	BR_STATUS	CT_REP	0;
	159	0	CT_TBRCH	165	BR_STATUS	CT_REP	0;
	160	0	CT_TBRCH	166	BR_STATUS	CT_REP	0;
	161	0	CT_TBRCH	167	BR_STATUS	CT_REP	0;
	162	0	CT_TBRCH	168	BR_STATUS	CT_REP	0;
	163	0	CT_TBRCH	169	BR_STATUS	CT_REP	0;
	164	0	CT_TBRCH	170	BR_STATUS	CT_REP	0;
	165	0	CT_TBRCH	171	BR_STATUS	CT_REP	0;
	166	0	CT_TBRCH	172	BR_STATUS	CT_REP	0;
	167	0	CT_TBRCH	173	BR_STATUS	CT_REP	0;
	168	0	CT_TBRCH	175	BR_STATUS	CT_REP	0;
	169	0	CT_TBRCH	176	BR_STATUS	CT_REP	0;
	170	0	CT_TBRCH	177	BR_STATUS	CT_REP	0;
	171	0	CT_TBRCH	179	BR_STATUS	CT_REP	0;
	172	0	CT_TBRCH	180	BR_STATUS	CT_REP	0;
	173	0	CT_TBRCH	181	BR_STATUS	CT_REP	0;
	174	0	CT_TBRCH	183	BR_STATUS	CT_REP	0;
	175	0	CT_TBRCH	184	BR_STATUS	CT_REP	0;
	176	0	CT_TBRCH	185	BR_STATUS	CT_REP	0;
	177	0	CT_TBRCH	186	BR_STATUS	CT_REP	0;
	178	0	CT_TBRCH	187	BR_STATUS	CT_REP	0;
	179	0	CT_TBRCH	188	BR_STATUS	CT_REP	0;
	180	0	CT_TBRCH	189	BR_STATUS	CT_REP	0;
	181	0	CT_TBRCH	190	BR_STATUS	CT_REP	0;
	182	0	CT_TBRCH	191	BR_STATUS	CT_REP	0;
	183	0	CT_TBRCH	192	BR_STATUS	CT_REP	0;
	184	0	CT_TBRCH	193	BR_STATUS	CT_REP	0;
	185	0	CT_TBRCH	194	BR_STATUS	CT_REP	0;
	186	0	CT_TBRCH	195	BR_STATUS	CT_REP	0;
	187	0	CT_TBRCH	196	BR_STATUS	CT_REP	0;
	188	0	CT_TBRCH	197	BR_STATUS	CT_REP	0;
	189	0	CT_TBRCH	198	BR_STATUS	CT_REP	0;
	190	0	CT_TBRCH	199	BR_STATUS	CT_REP	0;
	191	0	CT_TBRCH	200	BR_STATUS	CT_REP	0;
	192	0	CT_TBRCH	201	BR_STATUS	CT_REP	0;
	193	0	CT_TBRCH	202	BR_STATUS	CT_REP	0;
	194	0	CT_TBRCH	203	BR_STATUS	CT_REP	0;
	195	0	CT_TBRCH	204	BR_STATUS	CT_REP	0;
	196	0	CT_TBRCH	205	BR_STATUS	CT_REP	0;
	197	0	CT_TBRCH	206	BR_STATUS	CT_REP	0;
	198	0	CT_TBRCH	207	BR_STATUS	CT_REP	0;
	199	0	CT_TBRCH	208	BR_STATUS	CT_REP	0;
	200	0	CT_TBRCH	209	BR_STATUS	CT_REP	0;
	201	0	CT_TBRCH	210	BR_STATUS	CT_REP	0;
	202	0	CT_TBRCH	211	BR_STATUS	CT_REP	0;
	203	0	CT_TBRCH	212	BR_STATUS	CT_REP	0;
	204	0	CT_TBRCH	213	BR_STATUS	CT_REP	0;
	205	0	CT_TBRCH	214	BR_STATUS	CT_REP	0;
	206	0	CT_TBRCH	215	BR_STATUS	CT_REP	0;
	207	0	CT_TBRCH	216	BR_STATUS	CT_REP	0;
	208	0	CT_TBRCH	217	BR_STATUS	CT_REP	0;
	209	0	CT_TBRCH	218	BR_STATUS	CT_REP	0;
	210	0	CT_TBRCH	222	BR_STATUS	CT_REP	0;
	211	0	CT_TBRCH	223	BR_STATUS	CT_REP	0;
	212	0	CT_TBRCH	224	BR_STATUS	CT_REP	0;
	213	0	CT_TBRCH	225	BR_STATUS	CT_REP	0;
	214	0	CT_TBRCH	226	BR_STATUS	CT_REP	0;
	215	0	CT_TBRCH	227	BR_STATUS	CT_REP	0;
	216	0	CT_TBRCH	228	BR_STATUS	CT_REP	0;
	217	0	CT_TBRCH	229	BR_STATUS	CT_REP	0;
	218	0	CT_TBRCH	230	BR_STATUS	CT_REP	0;
	219	0	CT_TBRCH	231	BR_STATUS	CT_REP	0;
	220	0	CT_TBRCH	232	BR_STATUS	CT_REP	0;
	221	0	CT_TBRCH	233	BR_STATUS	CT_REP	0;
	222	0	CT_TBRCH	234	BR_STATUS	CT_REP	0;
	223	0	CT_TBRCH	235	BR_STATUS	CT_REP	0;
	224	0	CT_TBRCH	236	BR_STATUS	CT_REP	0;
	225	0	CT_TBRCH	237	BR_STATUS	CT_REP	0;
	226	0	CT_TBRCH	238	BR_STATUS	CT_REP	0;
	227	0	CT_TBRCH	239	BR_STATUS	CT_REP	0;
	228	0	CT_TBRCH	240	BR_STATUS	CT_REP	0;
	229	0	CT_TBRCH	241	BR_STATUS	CT_REP	0;
	230	0	CT_TBRCH	242	BR_STATUS	CT_REP	0;
	231	0	CT_TBRCH	243	BR_STATUS	CT_REP	0;
	232	0	CT_TBRCH	244	BR_STATUS	CT_REP	0;
	233	0	CT_TBRCH	245	BR_STATUS	CT_REP	0;
	234	0	CT_TBRCH	246	BR_STATUS	CT_REP	0;
	235	0	CT_TBRCH	247	BR_STATUS	CT_REP	0;
	236	0	CT_TBRCH	248	BR_STATUS	CT_REP	0;
	237	0	CT_TBRCH	249	BR_STATUS	CT_REP	0;
	238	0	CT_TBRCH	250	BR_STATUS	CT_REP	0;
	239	0	CT_TBRCH	251	BR_STATUS	CT_REP	0;
	240	0	CT_TBRCH	252	BR_STATUS	CT_REP	0;
	241	0	CT_TBRCH	253	BR_STATUS	CT_REP	0;
	242	0	CT_TBRCH	254	BR_STATUS	CT_REP	0;
	243	0	CT_TBRCH	255	BR_STATUS	CT_REP	0;
	244	0	CT_TBRCH	256	BR_STATUS	CT_REP	0;
	245	0	CT_TBRCH	257	BR_STATUS	CT_REP	0;
	246	0	CT_TBRCH	258	BR_STATUS	CT_REP	0;
	247	0	CT_TBRCH	259	BR_STATUS	CT_REP	0;
	248	0	CT_TBRCH	260	BR_STATUS	CT_REP	0;
	249	0	CT_TBRCH	261	BR_STATUS	CT_REP	0;
	250	0	CT_TBRCH	262	BR_STATUS	CT_REP	0;
	251	0	CT_TBRCH	263	BR_STATUS	CT_REP	0;
	252	0	CT_TBRCH	264	BR_STATUS	CT_REP	0;
	253	0	CT_TBRCH	265	BR_STATUS	CT_REP	0;
	254	0	CT_TBRCH	266	BR_STATUS	CT_REP	0;
	255	0	CT_TBRCH	267	BR_STATUS	CT_REP	0;
	256	0	CT_TBRCH	268	BR_STATUS	CT_REP	0;
	257	0	CT_TBRCH	269	BR_STATUS	CT_REP	0;
	258	0	CT_TBRCH	270	BR_STATUS	CT_REP	0;
	259	0	CT_TBRCH	271	BR_STATUS	CT_REP	0;
	260	0	CT_TBRCH	272	BR_STATUS	CT_REP	0;
	261	0	CT_TBRCH	273	BR_STATUS	CT_REP	0;
	262	0	CT_TBRCH	274	BR_STATUS	CT_REP	0;
	263	0	CT_TBRCH	275	BR_STATUS	CT_REP	0;
	264	0	CT_TBRCH	276	BR_STATUS	CT_REP	0;
	265	0	CT_TBRCH	278	BR_STATUS	CT_REP	0;
	266	0	CT_TBRCH	279	BR_STATUS	CT_REP	0;
	267	0	CT_TBRCH	280	BR_STATUS	CT_REP	0;
	268	0	CT_TBRCH	281	BR_STATUS	CT_REP	0;
	269	0	CT_TBRCH	284	BR_STATUS	CT_REP	0;
	270	0	CT_TBRCH	285	BR_STATUS	CT_REP	0;
	271	0	CT_TBRCH	286	BR_STATUS	CT_REP	0;
	272	0	CT_TBRCH	287	BR_STATUS	CT_REP	0;
	273	0	CT_TBRCH	288	BR_STATUS	CT_REP	0;
	274	0	CT_TBRCH	289	BR_STATUS	CT_REP	0;
	275	0	CT_TBRCH	290	BR_STATUS	CT_REP	0;
	276	0	CT_TBRCH	291	BR_STATUS	CT_REP	0;
	277	0	CT_TBRCH	292	BR_STATUS	CT_REP	0;
	278	0	CT_TBRCH	293	BR_STATUS	CT_REP	0;
	279	0	CT_TBRCH	294	BR_STATUS	CT_REP	0;
	280	0	CT_TBRCH	295	BR_STATUS	CT_REP	0;
	281	0	CT_TBRCH	296	BR_STATUS	CT_REP	0;
	282	0	CT_TBRCH	297	BR_STATUS	CT_REP	0;
	283	0	CT_TBRCH	298	BR_STATUS	CT_REP	0;
	284	0	CT_TBRCH	299	BR_STATUS	CT_REP	0;
	285	0	CT_TBRCH	300	BR_STATUS	CT_REP	0;
	286	0	CT_TBRCH	301	BR_STATUS	CT_REP	0;
	287	0	CT_TBRCH	302	BR_STATUS	CT_REP	0;
	288	0	CT_TBRCH	303	BR_STATUS	CT_REP	0;
	289	0	CT_TBRCH	304	BR_STATUS	CT_REP	0;
	290	0	CT_TBRCH	305	BR_STATUS	CT_REP	0;
	291	0	CT_TBRCH	306	BR_STATUS	CT_REP	0;
	292	0	CT_TBRCH	307	BR_STATUS	CT_REP	0;
	293	0	CT_TBRCH	308	BR_STATUS	CT_REP	0;
	294	0	CT_TBRCH	309	BR_STATUS	CT_REP	0;
	295	0	CT_TBRCH	310	BR_STATUS	CT_REP	0;
	296	0	CT_TBRCH	311	BR_STATUS	CT_REP	0;
	297	0	CT_TBRCH	312	BR_STATUS	CT_REP	0;
	298	0	CT_TBRCH	313	BR_STATUS	CT_REP	0;
	299	0	CT_TBRCH	314	BR_STATUS	CT_REP	0;
	300	0	CT_TBRCH	315	BR_STATUS	CT_REP	0;
	301	0	CT_TBRCH	316	BR_STATUS	CT_REP	0;
	302	0	CT_TBRCH	317	BR_STATUS	CT_REP	0;
	303	0	CT_TBRCH	318	BR_STATUS	CT_REP	0;
	304	0	CT_TBRCH	319	BR_STATUS	CT_REP	0;
	305	0	CT_TBRCH	320	BR_STATUS	CT_REP	0;
	306	0	CT_TBRCH	321	BR_STATUS	CT_REP	0;
	307	0	CT_TBRCH	322	BR_STATUS	CT_REP	0;
	308	0	CT_TBRCH	323	BR_STATUS	CT_REP	0;
	309	0	CT_TBRCH	324	BR_STATUS	CT_REP	0;
	310	0	CT_TBRCH	325	BR_STATUS	CT_REP	0;
	311	0	CT_TBRCH	326	BR_STATUS	CT_REP	0;
	312	0	CT_TBRCH	327	BR_STATUS	CT_REP	0;
	313	0	CT_TBRCH	328	BR_STATUS	CT_REP	0;
	314	0	CT_TBRCH	329	BR_STATUS	CT_REP	0;
	315	0	CT_TBRCH	330	BR_STATUS	CT_REP	0;
	316	0	CT_TBRCH	331	BR_STATUS	CT_REP	0;
	317	0	CT_TBRCH	332	BR_STATUS	CT_REP	0;
	318	0	CT_TBRCH	333	BR_STATUS	CT_REP	0;
	319	0	CT_TBRCH	334	BR_STATUS	CT_REP	0;
	320	0	CT_TBRCH	335	BR_STATUS	CT_REP	0;
	321	0	CT_TBRCH	336	BR_STATUS	CT_REP	0;
	322	0	CT_TBRCH	337	BR_STATUS	CT_REP	0;
	323	0	CT_TBRCH	338	BR_STATUS	CT_REP	0;
	324	0	CT_TBRCH	339	BR_STATUS	CT_REP	0;
	325	0	CT_TBRCH	340	BR_STATUS	CT_REP	0;
	326	0	CT_TBRCH	341	BR_STATUS	CT_REP	0;
	327	0	CT_TBRCH	342	BR_STATUS	CT_REP	0;
	328	0	CT_TBRCH	343	BR_STATUS	CT_REP	0;
	329	0	CT_TBRCH	344	BR_STATUS	CT_REP	0;
	330	0	CT_TBRCH	345	BR_STATUS	CT_REP	0;
	331	0	CT_TBRCH	346	BR_STATUS	CT_REP	0;
	332	0	CT_TBRCH	347	BR_STATUS	CT_REP	0;
	333	0	CT_TBRCH	348	BR_STATUS	CT_REP	0;
	334	0	CT_TBRCH	349	BR_STATUS	CT_REP	0;
	335	0	CT_TBRCH	350	BR_STATUS	CT_REP	0;
	336	0	CT_TBRCH	351	BR_STATUS	CT_REP	0;
	337	0	CT_TBRCH	352	BR_STATUS	CT_REP	0;
	338	0	CT_TBRCH	353	BR_STATUS	CT_REP	0;
	339	0	CT_TBRCH	354	BR_STATUS	CT_REP	0;
	340	0	CT_TBRCH	355	BR_STATUS	CT_REP	0;
	341	0	CT_TBRCH	356	BR_STATUS	CT_REP	0;
	342	0	CT_TBRCH	357	BR_STATUS	CT_REP	0;
	343	0	CT_TBRCH	358	BR_STATUS	CT_REP	0;
	344	0	CT_TBRCH	359	BR_STATUS	CT_REP	0;
	345	0	CT_TBRCH	360	BR_STATUS	CT_REP	0;
	346	0	CT_TBRCH	361	BR_STATUS	CT_REP	0;
	347	0	CT_TBRCH	362	BR_STATUS	CT_REP	0;
	348	0	CT_TBRCH	363	BR_STATUS	CT_REP	0;
	349	0	CT_TBRCH	364	BR_STATUS	CT_REP	0;
	350	0	CT_TBRCH	365	BR_STATUS	CT_REP	0;
	351	0	CT_TBRCH	366	BR_STATUS	CT_REP	0;
	352	0	CT_TBRCH	367	BR_STATUS	CT_REP	0;
	353	0	CT_TBRCH	368	BR_STATUS	CT_REP	0;
	354	0	CT_TBRCH	369	BR_STATUS	CT_REP	0;
	355	0	CT_TBRCH	370	BR_STATUS	CT_REP	0;
	356	0	CT_TBRCH	371	BR_STATUS	CT_REP	0;
	357	0	CT_TBRCH	372	BR_STATUS	CT_REP	0;
	358	0	CT_TBRCH	373	BR_STATUS	CT_REP	0;
	359	0	CT_TBRCH	374	BR_STATUS	CT_REP	0;
	360	0	CT_TBRCH	375	BR_STATUS	CT_REP	0;
	361	0	CT_TBRCH	376	BR_STATUS	CT_REP	0;
	362	0	CT_TBRCH	377	BR_STATUS	CT_REP	0;
	363	0	CT_TBRCH	378	BR_STATUS	CT_REP	0;
	364	0	CT_TBRCH	379	BR_STATUS	CT_REP	0;
	365	0	CT_TBRCH	380	BR_STATUS	CT_REP	0;
	366	0	CT_TBRCH	381	BR_STATUS	CT_REP	0;
	367	0	CT_TBRCH	382	BR_STATUS	CT_REP	0;
	368	0	CT_TBRCH	383	BR_STATUS	CT_REP	0;
	369	0	CT_TBRCH	384	BR_STATUS	CT_REP	0;
	370	0	CT_TBRCH	385	BR_STATUS	CT_REP	0;
	371	0	CT_TBRCH	386	BR_STATUS	CT_REP	0;
	372	0	CT_TBRCH	387	BR_STATUS	CT_REP	0;
	373	0	CT_TBRCH	388	BR_STATUS	CT_REP	0;
	374	0	CT_TBRCH	389	BR_STATUS	CT_REP	0;
	375	0	CT_TBRCH	390	BR_STATUS	CT_REP	0;
	376	0	CT_TBRCH	391	BR_STATUS	CT_REP	0;
	377	0	CT_TBRCH	392	BR_STATUS	CT_REP	0;
	378	0	CT_TBRCH	393	BR_STATUS	CT_REP	0;
	379	0	CT_TBRCH	394	BR_STATUS	CT_REP	0;
	380	0	CT_TBRCH	395	BR_STATUS	CT_REP	0;
	381	0	CT_TBRCH	396	BR_STATUS	CT_REP	0;
	382	0	CT_TBRCH	397	BR_STATUS	CT_REP	0;
	383	0	CT_TBRCH	398	BR_STATUS	CT_REP	0;
	384	0	CT_TBRCH	399	BR_STATUS	CT_REP	0;
	385	0	CT_TBRCH	400	BR_STATUS	CT_REP	0;
	386	0	CT_TBRCH	401	BR_STATUS	CT_REP	0;
	387	0	CT_TBRCH	402	BR_STATUS	CT_REP	0;
	388	0	CT_TBRCH	403	BR_STATUS	CT_REP	0;
	389	0	CT_TBRCH	404	BR_STATUS	CT_REP	0;
	390	0	CT_TBRCH	405	BR_STATUS	CT_REP	0;
	391	0	CT_TBRCH	406	BR_STATUS	CT_REP	0;
	392	0	CT_TBRCH	407	BR_STATUS	CT_REP	0;
	393	0	CT_TBRCH	408	BR_STATUS	CT_REP	0;
	394	0	CT_TBRCH	409	BR_STATUS	CT_REP	0;
	395	0	CT_TBRCH	410	BR_STATUS	CT_REP	0;
	396	0	CT_TBRCH	411	BR_STATUS	CT_REP	0;
	397	0	CT_TBRCH	412	BR_STATUS	CT_REP	0;
	398	0	CT_TBRCH	413	BR_STATUS	CT_REP	0;
	399	0	CT_TBRCH	414	BR_STATUS	CT_REP	0;
	400	0	CT_TBRCH	415	BR_STATUS	CT_REP	0;
	401	0	CT_TBRCH	416	BR_STATUS	CT_REP	0;
	402	0	CT_TBRCH	417	BR_STATUS	CT_REP	0;
	403	0	CT_TBRCH	418	BR_STATUS	CT_REP	0;
	404	0	CT_TBRCH	419	BR_STATUS	CT_REP	0;
	405	0	CT_TBRCH	420	BR_STATUS	CT_REP	0;
	406	0	CT_TBRCH	421	BR_STATUS	CT_REP	0;
	407	0	CT_TBRCH	422	BR_STATUS	CT_REP	0;
	408	0	CT_TBRCH	423	BR_STATUS	CT_REP	0;
	409	0	CT_TBRCH	424	BR_STATUS	CT_REP	0;
	410	0	CT_TBRCH	425	BR_STATUS	CT_REP	0;
	411	0	CT_TBRCH	426	BR_STATUS	CT_REP	0;
	412	0	CT_TBRCH	427	BR_STATUS	CT_REP	0;
	413	0	CT_TBRCH	428	BR_STATUS	CT_REP	0;
	414	0	CT_TBRCH	429	BR_STATUS	CT_REP	0;
	415	0	CT_TBRCH	430	BR_STATUS	CT_REP	0;
	416	0	CT_TBRCH	431	BR_STATUS	CT_REP	0;
	417	0	CT_TBRCH	432	BR_STATUS	CT_REP	0;
	418	0	CT_TBRCH	433	BR_STATUS	CT_REP	0;
	419	0	CT_TBRCH	434	BR_STATUS	CT_REP	0;
	420	0	CT_TBRCH	435	BR_STATUS	CT_REP	0;
	421	0	CT_TBRCH	436	BR_STATUS	CT_REP	0;
	422	0	CT_TBRCH	437	BR_STATUS	CT_REP	0;
	423	0	CT_TBRCH	438	BR_STATUS	CT_REP	0;
	424	0	CT_TBRCH	439	BR_STATUS	CT_REP	0;
	425	0	CT_TBRCH	440	BR_STATUS	CT_REP	0;
	426	0	CT_TBRCH	441	BR_STATUS	CT_REP	0;
	427	0	CT_TBRCH	442	BR_STATUS	CT_REP	0;
	428	0	CT_TBRCH	443	BR_STATUS	CT_REP	0;
	429	0	CT_TBRCH	444	BR_STATUS	CT_REP	0;
	430	0	CT_TBRCH	445	BR_STATUS	CT_REP	0;
	431	0	CT_TBRCH	446	BR_STATUS	CT_REP	0;
	432	0	CT_TBRCH	447	BR_STATUS	CT_REP	0;
	433	0	CT_TBRCH	448	BR_STATUS	CT_REP	0;
	434	0	CT_TBRCH	449	BR_STATUS	CT_REP	0;
	435	0	CT_TBRCH	450	BR_STATUS	CT_REP	0;
	436	0	CT_TBRCH	451	BR_STATUS	CT_REP	0;
	437	0	CT_TBRCH	452	BR_STATUS	CT_REP	0;
	438	0	CT_TBRCH	453	BR_STATUS	CT_REP	0;
	439	0	CT_TBRCH	454	BR_STATUS	CT_REP	0;
	440	0	CT_TBRCH	455	BR_STATUS	CT_REP	0;
	441	0	CT_TBRCH	456	BR_STATUS	CT_REP	0;
	442	0	CT_TBRCH	457	BR_STATUS	CT_REP	0;
	443	0	CT_TBRCH	458	BR_STATUS	CT_REP	0;
	444	0	CT_TBRCH	459	BR_STATUS	CT_REP	0;
	445	0	CT_TBRCH	460	BR_STATUS	CT_REP	0;
	446	0	CT_TBRCH	461	BR_STATUS	CT_REP	0;
	447	0	CT_TBRCH	462	BR_STATUS	CT_REP	0;
	448	0	CT_TBRCH	463	BR_STATUS	CT_REP	0;
	449	0	CT_TBRCH	464	BR_STATUS	CT_REP	0;
	450	0	CT_TBRCH	465	BR_STATUS	CT_REP	0;
	451	0	CT_TBRCH	466	BR_STATUS	CT_REP	0;
	452	0	CT_TBRCH	467	BR_STATUS	CT_REP	0;
	453	0	CT_TBRCH	468	BR_STATUS	CT_REP	0;
	454	0	CT_TBRCH	469	BR_STATUS	CT_REP	0;
	455	0	CT_TBRCH	470	BR_STATUS	CT_REP	0;
	456	0	CT_TBRCH	471	BR_STATUS	CT_REP	0;
	457	0	CT_TBRCH	472	BR_STATUS	CT_REP	0;
	458	0	CT_TBRCH	473	BR_STATUS	CT_REP	0;
	459	0	CT_TBRCH	474	BR_STATUS	CT_REP	0;
	460	0	CT_TBRCH	475	BR_STATUS	CT_REP	0;
	461	0	CT_TBRCH	476	BR_STATUS	CT_REP	0;
	462	0	CT_TBRCH	477	BR_STATUS	CT_REP	0;
	463	0	CT_TBRCH	478	BR_STATUS	CT_REP	0;
	464	0	CT_TBRCH	479	BR_STATUS	CT_REP	0;
	465	0	CT_TBRCH	480	BR_STATUS	CT_REP	0;
	466	0	CT_TBRCH	481	BR_STATUS	CT_REP	0;
	467	0	CT_TBRCH	482	BR_STATUS	CT_REP	0;
	468	0	CT_TBRCH	483	BR_STATUS	CT_REP	0;
	469	0	CT_TBRCH	484	BR_STATUS	CT_REP	0;
	470	0	CT_TBRCH	485	BR_STATUS	CT_REP	0;
	471	0	CT_TBRCH	486	BR_STATUS	CT_REP	0;
	472	0	CT_TBRCH	487	BR_STATUS	CT_REP	0;
	473	0	CT_TBRCH	488	BR_STATUS	CT_REP	0;
	474	0	CT_TBRCH	489	BR_STATUS	CT_REP	0;
	475	0	CT_TBRCH	490	BR_STATUS	CT_REP	0;
	476	0	CT_TBRCH	492	BR_STATUS	CT_REP	0;
	477	0	CT_TBRCH	495	BR_STATUS	CT_REP	0;
	478	0	CT_TBRCH	496	BR_STATUS	CT_REP	0;
	479	0	CT_TBRCH	497	BR_STATUS	CT_REP	0;
	480	0	CT_TBRCH	498	BR_STATUS	CT_REP	0;
	481	0	CT_TBRCH	499	BR_STATUS	CT_REP	0;
	482	0	CT_TBRCH	500	BR_STATUS	CT_REP	0;
	483	0	CT_TBRCH	501	BR_STATUS	CT_REP	0;
	484	0	CT_TBRCH	502	BR_STATUS	CT_REP	0;
	485	0	CT_TBRCH	503	BR_STATUS	CT_REP	0;
	486	0	CT_TBRCH	505	BR_STATUS	CT_REP	0;
	487	0	CT_TBRCH	508	BR_STATUS	CT_REP	0;
	488	0	CT_TBRCH	509	BR_STATUS	CT_REP	0;
	489	0	CT_TBRCH	513	BR_STATUS	CT_REP	0;
	490	0	CT_TBRCH	514	BR_STATUS	CT_REP	0;
	491	0	CT_TBRCH	515	BR_STATUS	CT_REP	0;
	492	0	CT_TBRCH	516	BR_STATUS	CT_REP	0;
	493	0	CT_TBRCH	517	BR_STATUS	CT_REP	0;
	494	0	CT_TBRCH	518	BR_STATUS	CT_REP	0;
	495	0	CT_TBRCH	519	BR_STATUS	CT_REP	0;
	496	0	CT_TBRCH	521	BR_STATUS	CT_REP	0;
	497	0	CT_TBRCH	522	BR_STATUS	CT_REP	0;
	498	0	CT_TBRCH	523	BR_STATUS	CT_REP	0;
	499	0	CT_TBRCH	526	BR_STATUS	CT_REP	0;
	500	0	CT_TBRCH	527	BR_STATUS	CT_REP	0;
	501	0	CT_TBRCH	528	BR_STATUS	CT_REP	0;
	502	0	CT_TBRCH	529	BR_STATUS	CT_REP	0;
	503	0	CT_TBRCH	530	BR_STATUS	CT_REP	0;
	504	0	CT_TBRCH	531	BR_STATUS	CT_REP	0;
	505	0	CT_TBRCH	532	BR_STATUS	CT_REP	0;
	506	0	CT_TBRCH	533	BR_STATUS	CT_REP	0;
	507	0	CT_TBRCH	534	BR_STATUS	CT_REP	0;
	508	0	CT_TBRCH	535	BR_STATUS	CT_REP	0;
	509	0	CT_TBRCH	536	BR_STATUS	CT_REP	0;
	510	0	CT_TBRCH	537	BR_STATUS	CT_REP	0;
	511	0	CT_TBRCH	538	BR_STATUS	CT_REP	0;
	512	0	CT_TBRCH	539	BR_STATUS	CT_REP	0;
	513	0	CT_TBRCH	540	BR_STATUS	CT_REP	0;
	514	0	CT_TBRCH	541	BR_STATUS	CT_REP	0;
	515	0	CT_TBRCH	542	BR_STATUS	CT_REP	0;
	516	0	CT_TBRCH	543	BR_STATUS	CT_REP	0;
	517	0	CT_TBRCH	544	BR_STATUS	CT_REP	0;
	518	0	CT_TBRCH	545	BR_STATUS	CT_REP	0;
	519	0	CT_TBRCH	546	BR_STATUS	CT_REP	0;
	520	0	CT_TBRCH	547	BR_STATUS	CT_REP	0;
	521	0	CT_TBRCH	548	BR_STATUS	CT_REP	0;
	522	0	CT_TBRCH	549	BR_STATUS	CT_REP	0;
	523	0	CT_TBRCH	550	BR_STATUS	CT_REP	0;
	524	0	CT_TBRCH	551	BR_STATUS	CT_REP	0;
	525	0	CT_TBRCH	552	BR_STATUS	CT_REP	0;
	526	0	CT_TBRCH	553	BR_STATUS	CT_REP	0;
	527	0	CT_TBRCH	554	BR_STATUS	CT_REP	0;
	528	0	CT_TBRCH	555	BR_STATUS	CT_REP	0;
	529	0	CT_TBRCH	556	BR_STATUS	CT_REP	0;
	530	0	CT_TBRCH	557	BR_STATUS	CT_REP	0;
	531	0	CT_TBRCH	558	BR_STATUS	CT_REP	0;
	532	0	CT_TBRCH	559	BR_STATUS	CT_REP	0;
	533	0	CT_TBRCH	560	BR_STATUS	CT_REP	0;
	534	0	CT_TBRCH	561	BR_STATUS	CT_REP	0;
	535	0	CT_TBRCH	562	BR_STATUS	CT_REP	0;
	536	0	CT_TBRCH	563	BR_STATUS	CT_REP	0;
	537	0	CT_TBRCH	564	BR_STATUS	CT_REP	0;
	538	0	CT_TBRCH	565	BR_STATUS	CT_REP	0;
	539	0	CT_TBRCH	566	BR_STATUS	CT_REP	0;
	540	0	CT_TBRCH	567	BR_STATUS	CT_REP	0;
	541	0	CT_TBRCH	568	BR_STATUS	CT_REP	0;
	542	0	CT_TBRCH	569	BR_STATUS	CT_REP	0;
	543	0	CT_TBRCH	570	BR_STATUS	CT_REP	0;
	544	0	CT_TBRCH	571	BR_STATUS	CT_REP	0;
	545	0	CT_TBRCH	572	BR_STATUS	CT_REP	0;
	546	0	CT_TBRCH	573	BR_STATUS	CT_REP	0;
	547	0	CT_TBRCH	574	BR_STATUS	CT_REP	0;
	548	0	CT_TBRCH	575	BR_STATUS	CT_REP	0;
	549	0	CT_TBRCH	576	BR_STATUS	CT_REP	0;
	550	0	CT_TBRCH	577	BR_STATUS	CT_REP	0;
	551	0	CT_TBRCH	578	BR_STATUS	CT_REP	0;
	552	0	CT_TBRCH	579	BR_STATUS	CT_REP	0;
	553	0	CT_TBRCH	580	BR_STATUS	CT_REP	0;
	554	0	CT_TBRCH	581	BR_STATUS	CT_REP	0;
	555	0	CT_TBRCH	582	BR_STATUS	CT_REP	0;
	556	0	CT_TBRCH	583	BR_STATUS	CT_REP	0;
	557	0	CT_TBRCH	584	BR_STATUS	CT_REP	0;
	558	0	CT_TBRCH	585	BR_STATUS	CT_REP	0;
	559	0	CT_TBRCH	586	BR_STATUS	CT_REP	0;
	560	0	CT_TBRCH	587	BR_STATUS	CT_REP	0;
	561	0	CT_TBRCH	588	BR_STATUS	CT_REP	0;
	562	0	CT_TBRCH	589	BR_STATUS	CT_REP	0;
	563	0	CT_TBRCH	590	BR_STATUS	CT_REP	0;
	564	0	CT_TBRCH	591	BR_STATUS	CT_REP	0;
	565	0	CT_TBRCH	592	BR_STATUS	CT_REP	0;
	566	0	CT_TBRCH	593	BR_STATUS	CT_REP	0;
	567	0	CT_TBRCH	594	BR_STATUS	CT_REP	0;
	568	0	CT_TBRCH	595	BR_STATUS	CT_REP	0;
	569	0	CT_TBRCH	596	BR_STATUS	CT_REP	0;
	570	0	CT_TBRCH	597	BR_STATUS	CT_REP	0;
	571	0	CT_TBRCH	598	BR_STATUS	CT_REP	0;
	572	0	CT_TBRCH	599	BR_STATUS	CT_REP	0;
	573	0	CT_TBRCH	600	BR_STATUS	CT_REP	0;
	574	0	CT_TBRCH	601	BR_STATUS	CT_REP	0;
	575	0	CT_TBRCH	602	BR_STATUS	CT_REP	0;
	576	0	CT_TBRCH	603	BR_STATUS	CT_REP	0;
	577	0	CT_TBRCH	604	BR_STATUS	CT_REP	0;
	578	0	CT_TBRCH	605	BR_STATUS	CT_REP	0;
	579	0	CT_TBRCH	606	BR_STATUS	CT_REP	0;
	580	0	CT_TBRCH	607	BR_STATUS	CT_REP	0;
	581	0	CT_TBRCH	608	BR_STATUS	CT_REP	0;
	582	0	CT_TBRCH	609	BR_STATUS	CT_REP	0;
	583	0	CT_TBRCH	610	BR_STATUS	CT_REP	0;
	584	0	CT_TBRCH	611	BR_STATUS	CT_REP	0;
	585	0	CT_TBRCH	612	BR_STATUS	CT_REP	0;
	586	0	CT_TBRCH	613	BR_STATUS	CT_REP	0;
	587	0	CT_TBRCH	614	BR_STATUS	CT_REP	0;
	588	0	CT_TBRCH	615	BR_STATUS	CT_REP	0;
	589	0	CT_TBRCH	616	BR_STATUS	CT_REP	0;
	590	0	CT_TBRCH	617	BR_STATUS	CT_REP	0;
	591	0	CT_TBRCH	618	BR_STATUS	CT_REP	0;
	592	0	CT_TBRCH	619	BR_STATUS	CT_REP	0;
	593	0	CT_TBRCH	620	BR_STATUS	CT_REP	0;
	594	0	CT_TBRCH	621	BR_STATUS	CT_REP	0;
	595	0	CT_TBRCH	622	BR_STATUS	CT_REP	0;
	596	0	CT_TBRCH	623	BR_STATUS	CT_REP	0;
	597	0	CT_TBRCH	624	BR_STATUS	CT_REP	0;
	598	0	CT_TBRCH	625	BR_STATUS	CT_REP	0;
	599	0	CT_TBRCH	626	BR_STATUS	CT_REP	0;
	600	0	CT_TBRCH	627	BR_STATUS	CT_REP	0;
	601	0	CT_TBRCH	628	BR_STATUS	CT_REP	0;
	602	0	CT_TBRCH	629	BR_STATUS	CT_REP	0;
	603	0	CT_TBRCH	630	BR_STATUS	CT_REP	0;
	604	0	CT_TBRCH	631	BR_STATUS	CT_REP	0;
	605	0	CT_TBRCH	632	BR_STATUS	CT_REP	0;
	606	0	CT_TBRCH	633	BR_STATUS	CT_REP	0;
	607	0	CT_TBRCH	634	BR_STATUS	CT_REP	0;
	608	0	CT_TBRCH	635	BR_STATUS	CT_REP	0;
	609	0	CT_TBRCH	636	BR_STATUS	CT_REP	0;
	610	0	CT_TBRCH	637	BR_STATUS	CT_REP	0;
	611	0	CT_TBRCH	638	BR_STATUS	CT_REP	0;
	612	0	CT_TBRCH	639	BR_STATUS	CT_REP	0;
	613	0	CT_TBRCH	640	BR_STATUS	CT_REP	0;
	614	0	CT_TBRCH	641	BR_STATUS	CT_REP	0;
	615	0	CT_TBRCH	642	BR_STATUS	CT_REP	0;
	616	0	CT_TBRCH	643	BR_STATUS	CT_REP	0;
	617	0	CT_TBRCH	644	BR_STATUS	CT_REP	0;
	618	0	CT_TBRCH	645	BR_STATUS	CT_REP	0;
	619	0	CT_TBRCH	646	BR_STATUS	CT_REP	0;
	620	0	CT_TBRCH	647	BR_STATUS	CT_REP	0;
	621	0	CT_TBRCH	648	BR_STATUS	CT_REP	0;
	622	0	CT_TBRCH	649	BR_STATUS	CT_REP	0;
	623	0	CT_TBRCH	650	BR_STATUS	CT_REP	0;
	624	0	CT_TBRCH	651	BR_STATUS	CT_REP	0;
	625	0	CT_TBRCH	652	BR_STATUS	CT_REP	0;
	626	0	CT_TBRCH	653	BR_STATUS	CT_REP	0;
	627	0	CT_TBRCH	654	BR_STATUS	CT_REP	0;
	628	0	CT_TBRCH	655	BR_STATUS	CT_REP	0;
	629	0	CT_TBRCH	656	BR_STATUS	CT_REP	0;
	630	0	CT_TBRCH	657	BR_STATUS	CT_REP	0;
	631	0	CT_TBRCH	658	BR_STATUS	CT_REP	0;
	632	0	CT_TBRCH	659	BR_STATUS	CT_REP	0;
	633	0	CT_TBRCH	660	BR_STATUS	CT_REP	0;
	634	0	CT_TBRCH	661	BR_STATUS	CT_REP	0;
	635	0	CT_TBRCH	662	BR_STATUS	CT_REP	0;
	636	0	CT_TBRCH	663	BR_STATUS	CT_REP	0;
	637	0	CT_TBRCH	664	BR_STATUS	CT_REP	0;
	638	0	CT_TBRCH	665	BR_STATUS	CT_REP	0;
	639	0	CT_TBRCH	666	BR_STATUS	CT_REP	0;
	640	0	CT_TBRCH	667	BR_STATUS	CT_REP	0;
	641	0	CT_TBRCH	668	BR_STATUS	CT_REP	0;
	642	0	CT_TBRCH	669	BR_STATUS	CT_REP	0;
	643	0	CT_TBRCH	670	BR_STATUS	CT_REP	0;
	644	0	CT_TBRCH	671	BR_STATUS	CT_REP	0;
	645	0	CT_TBRCH	672	BR_STATUS	CT_REP	0;
	646	0	CT_TBRCH	673	BR_STATUS	CT_REP	0;
	647	0	CT_TBRCH	674	BR_STATUS	CT_REP	0;
	648	0	CT_TBRCH	675	BR_STATUS	CT_REP	0;
	649	0	CT_TBRCH	676	BR_STATUS	CT_REP	0;
	650	0	CT_TBRCH	677	BR_STATUS	CT_REP	0;
	651	0	CT_TBRCH	678	BR_STATUS	CT_REP	0;
	652	0	CT_TBRCH	679	BR_STATUS	CT_REP	0;
	653	0	CT_TBRCH	680	BR_STATUS	CT_REP	0;
	654	0	CT_TBRCH	681	BR_STATUS	CT_REP	0;
	655	0	CT_TBRCH	682	BR_STATUS	CT_REP	0;
	656	0	CT_TBRCH	683	BR_STATUS	CT_REP	0;
	657	0	CT_TBRCH	684	BR_STATUS	CT_REP	0;
	658	0	CT_TBRCH	685	BR_STATUS	CT_REP	0;
	659	0	CT_TBRCH	686	BR_STATUS	CT_REP	0;
	660	0	CT_TBRCH	687	BR_STATUS	CT_REP	0;
	661	0	CT_TBRCH	688	BR_STATUS	CT_REP	0;
	662	0	CT_TBRCH	689	BR_STATUS	CT_REP	0;
	663	0	CT_TBRCH	690	BR_STATUS	CT_REP	0;
	664	0	CT_TBRCH	691	BR_STATUS	CT_REP	0;
	665	0	CT_TBRCH	692	BR_STATUS	CT_REP	0;
	666	0	CT_TBRCH	693	BR_STATUS	CT_REP	0;
	667	0	CT_TBRCH	694	BR_STATUS	CT_REP	0;
	668	0	CT_TBRCH	695	BR_STATUS	CT_REP	0;
	669	0	CT_TBRCH	696	BR_STATUS	CT_REP	0;
	670	0	CT_TBRCH	698	BR_STATUS	CT_REP	0;
	671	0	CT_TBRCH	701	BR_STATUS	CT_REP	0;
	672	0	CT_TBRCH	702	BR_STATUS	CT_REP	0;
	673	0	CT_TBRCH	703	BR_STATUS	CT_REP	0;
	674	0	CT_TBRCH	704	BR_STATUS	CT_REP	0;
	675	0	CT_TBRCH	705	BR_STATUS	CT_REP	0;
	676	0	CT_TBRCH	706	BR_STATUS	CT_REP	0;
	677	0	CT_TBRCH	707	BR_STATUS	CT_REP	0;
	678	0	CT_TBRCH	708	BR_STATUS	CT_REP	0;
	679	0	CT_TBRCH	709	BR_STATUS	CT_REP	0;
	680	0	CT_TBRCH	710	BR_STATUS	CT_REP	0;
	681	0	CT_TBRCH	711	BR_STATUS	CT_REP	0;
	682	0	CT_TBRCH	712	BR_STATUS	CT_REP	0;
	683	0	CT_TBRCH	713	BR_STATUS	CT_REP	0;
	684	0	CT_TBRCH	714	BR_STATUS	CT_REP	0;
	685	0	CT_TBRCH	715	BR_STATUS	CT_REP	0;
	686	0	CT_TBRCH	716	BR_STATUS	CT_REP	0;
	687	0	CT_TBRCH	717	BR_STATUS	CT_REP	0;
	688	0	CT_TBRCH	718	BR_STATUS	CT_REP	0;
	689	0	CT_TBRCH	719	BR_STATUS	CT_REP	0;
	690	0	CT_TBRCH	720	BR_STATUS	CT_REP	0;
	691	0	CT_TBRCH	721	BR_STATUS	CT_REP	0;
	692	0	CT_TBRCH	722	BR_STATUS	CT_REP	0;
	693	0	CT_TBRCH	723	BR_STATUS	CT_REP	0;
	694	0	CT_TBRCH	724	BR_STATUS	CT_REP	0;
	695	0	CT_TBRCH	725	BR_STATUS	CT_REP	0;
	696	0	CT_TBRCH	726	BR_STATUS	CT_REP	0;
	697	0	CT_TBRCH	727	BR_STATUS	CT_REP	0;
	698	0	CT_TBRCH	728	BR_STATUS	CT_REP	0;
	699	0	CT_TBRCH	729	BR_STATUS	CT_REP	0;
	700	0	CT_TBRCH	730	BR_STATUS	CT_REP	0;
	701	0	CT_TBRCH	731	BR_STATUS	CT_REP	0;
	702	0	CT_TBRCH	732	BR_STATUS	CT_REP	0;
	703	0	CT_TBRCH	733	BR_STATUS	CT_REP	0;
	704	0	CT_TBRCH	734	BR_STATUS	CT_REP	0;
	705	0	CT_TBRCH	735	BR_STATUS	CT_REP	0;
	706	0	CT_TBRCH	736	BR_STATUS	CT_REP	0;
	707	0	CT_TBRCH	737	BR_STATUS	CT_REP	0;
	708	0	CT_TBRCH	738	BR_STATUS	CT_REP	0;
	709	0	CT_TBRCH	739	BR_STATUS	CT_REP	0;
	710	0	CT_TBRCH	740	BR_STATUS	CT_REP	0;
	711	0	CT_TBRCH	741	BR_STATUS	CT_REP	0;
	712	0	CT_TBRCH	742	BR_STATUS	CT_REP	0;
	713	0	CT_TBRCH	743	BR_STATUS	CT_REP	0;
	714	0	CT_TBRCH	744	BR_STATUS	CT_REP	0;
	715	0	CT_TBRCH	745	BR_STATUS	CT_REP	0;
	716	0	CT_TBRCH	746	BR_STATUS	CT_REP	0;
	717	0	CT_TBRCH	747	BR_STATUS	CT_REP	0;
	718	0	CT_TBRCH	748	BR_STATUS	CT_REP	0;
	719	0	CT_TBRCH	749	BR_STATUS	CT_REP	0;
	720	0	CT_TBRCH	750	BR_STATUS	CT_REP	0;
	721	0	CT_TBRCH	751	BR_STATUS	CT_REP	0;
	722	0	CT_TBRCH	752	BR_STATUS	CT_REP	0;
	723	0	CT_TBRCH	753	BR_STATUS	CT_REP	0;
	724	0	CT_TBRCH	754	BR_STATUS	CT_REP	0;
	725	0	CT_TBRCH	755	BR_STATUS	CT_REP	0;
	726	0	CT_TBRCH	756	BR_STATUS	CT_REP	0;
	727	0	CT_TBRCH	757	BR_STATUS	CT_REP	0;
	728	0	CT_TBRCH	758	BR_STATUS	CT_REP	0;
	729	0	CT_TBRCH	759	BR_STATUS	CT_REP	0;
	730	0	CT_TBRCH	760	BR_STATUS	CT_REP	0;
	731	0	CT_TBRCH	761	BR_STATUS	CT_REP	0;
	732	0	CT_TBRCH	762	BR_STATUS	CT_REP	0;
	733	0	CT_TBRCH	763	BR_STATUS	CT_REP	0;
	734	0	CT_TBRCH	764	BR_STATUS	CT_REP	0;
	735	0	CT_TBRCH	765	BR_STATUS	CT_REP	0;
	736	0	CT_TBRCH	766	BR_STATUS	CT_REP	0;
	737	0	CT_TBRCH	767	BR_STATUS	CT_REP	0;
	738	0	CT_TBRCH	768	BR_STATUS	CT_REP	0;
	739	0	CT_TBRCH	769	BR_STATUS	CT_REP	0;
	740	0	CT_TBRCH	770	BR_STATUS	CT_REP	0;
	741	0	CT_TBRCH	771	BR_STATUS	CT_REP	0;
	742	0	CT_TBRCH	772	BR_STATUS	CT_REP	0;
	743	0	CT_TBRCH	773	BR_STATUS	CT_REP	0;
	744	0	CT_TBRCH	774	BR_STATUS	CT_REP	0;
	745	0	CT_TBRCH	775	BR_STATUS	CT_REP	0;
	746	0	CT_TBRCH	776	BR_STATUS	CT_REP	0;
	747	0	CT_TBRCH	777	BR_STATUS	CT_REP	0;
	748	0	CT_TBRCH	778	BR_STATUS	CT_REP	0;
	749	0	CT_TBRCH	779	BR_STATUS	CT_REP	0;
	750	0	CT_TBRCH	780	BR_STATUS	CT_REP	0;
	751	0	CT_TBRCH	781	BR_STATUS	CT_REP	0;
	752	0	CT_TBRCH	782	BR_STATUS	CT_REP	0;
	753	0	CT_TBRCH	783	BR_STATUS	CT_REP	0;
	754	0	CT_TBRCH	784	BR_STATUS	CT_REP	0;
	755	0	CT_TBRCH	785	BR_STATUS	CT_REP	0;
	756	0	CT_TBRCH	786	BR_STATUS	CT_REP	0;
	757	0	CT_TBRCH	787	BR_STATUS	CT_REP	0;
	758	0	CT_TBRCH	788	BR_STATUS	CT_REP	0;
	759	0	CT_TBRCH	789	BR_STATUS	CT_REP	0;
	760	0	CT_TBRCH	790	BR_STATUS	CT_REP	0;
	761	0	CT_TBRCH	791	BR_STATUS	CT_REP	0;
	762	0	CT_TBRCH	792	BR_STATUS	CT_REP	0;
	763	0	CT_TBRCH	793	BR_STATUS	CT_REP	0;
	764	0	CT_TBRCH	794	BR_STATUS	CT_REP	0;
	765	0	CT_TBRCH	795	BR_STATUS	CT_REP	0;
	766	0	CT_TBRCH	796	BR_STATUS	CT_REP	0;
	767	0	CT_TBRCH	797	BR_STATUS	CT_REP	0;
	768	0	CT_TBRCH	798	BR_STATUS	CT_REP	0;
	769	0	CT_TBRCH	799	BR_STATUS	CT_REP	0;
	770	0	CT_TBRCH	800	BR_STATUS	CT_REP	0;
	771	0	CT_TBRCH	801	BR_STATUS	CT_REP	0;
	772	0	CT_TBRCH	802	BR_STATUS	CT_REP	0;
	773	0	CT_TBRCH	803	BR_STATUS	CT_REP	0;
	774	0	CT_TBRCH	804	BR_STATUS	CT_REP	0;
	775	0	CT_TBRCH	805	BR_STATUS	CT_REP	0;
	776	0	CT_TBRCH	806	BR_STATUS	CT_REP	0;
	777	0	CT_TBRCH	807	BR_STATUS	CT_REP	0;
	778	0	CT_TBRCH	808	BR_STATUS	CT_REP	0;
	779	0	CT_TBRCH	809	BR_STATUS	CT_REP	0;
	780	0	CT_TBRCH	810	BR_STATUS	CT_REP	0;
	781	0	CT_TBRCH	811	BR_STATUS	CT_REP	0;
	782	0	CT_TBRCH	812	BR_STATUS	CT_REP	0;
	783	0	CT_TBRCH	813	BR_STATUS	CT_REP	0;
	784	0	CT_TBRCH	814	BR_STATUS	CT_REP	0;
	785	0	CT_TBRCH	815	BR_STATUS	CT_REP	0;
	786	0	CT_TBRCH	816	BR_STATUS	CT_REP	0;
	787	0	CT_TBRCH	817	BR_STATUS	CT_REP	0;
	788	0	CT_TBRCH	818	BR_STATUS	CT_REP	0;
	789	0	CT_TBRCH	819	BR_STATUS	CT_REP	0;
	790	0	CT_TBRCH	820	BR_STATUS	CT_REP	0;
	791	0	CT_TBRCH	821	BR_STATUS	CT_REP	0;
	792	0	CT_TBRCH	822	BR_STATUS	CT_REP	0;
	793	0	CT_TBRCH	823	BR_STATUS	CT_REP	0;
	794	0	CT_TBRCH	824	BR_STATUS	CT_REP	0;
	795	0	CT_TBRCH	825	BR_STATUS	CT_REP	0;
	796	0	CT_TBRCH	826	BR_STATUS	CT_REP	0;
	797	0	CT_TBRCH	827	BR_STATUS	CT_REP	0;
	798	0	CT_TBRCH	828	BR_STATUS	CT_REP	0;
	799	0	CT_TBRCH	829	BR_STATUS	CT_REP	0;
	800	0	CT_TBRCH	830	BR_STATUS	CT_REP	0;
	801	0	CT_TBRCH	831	BR_STATUS	CT_REP	0;
	802	0	CT_TBRCH	832	BR_STATUS	CT_REP	0;
	803	0	CT_TBRCH	833	BR_STATUS	CT_REP	0;
	804	0	CT_TBRCH	834	BR_STATUS	CT_REP	0;
	805	0	CT_TBRCH	835	BR_STATUS	CT_REP	0;
	806	0	CT_TBRCH	836	BR_STATUS	CT_REP	0;
	807	0	CT_TBRCH	837	BR_STATUS	CT_REP	0;
	808	0	CT_TBRCH	838	BR_STATUS	CT_REP	0;
	809	0	CT_TBRCH	839	BR_STATUS	CT_REP	0;
	810	0	CT_TBRCH	840	BR_STATUS	CT_REP	0;
	811	0	CT_TBRCH	841	BR_STATUS	CT_REP	0;
	812	0	CT_TBRCH	842	BR_STATUS	CT_REP	0;
	813	0	CT_TBRCH	843	BR_STATUS	CT_REP	0;
	814	0	CT_TBRCH	844	BR_STATUS	CT_REP	0;
	815	0	CT_TBRCH	845	BR_STATUS	CT_REP	0;
	816	0	CT_TBRCH	846	BR_STATUS	CT_REP	0;
	817	0	CT_TBRCH	847	BR_STATUS	CT_REP	0;
	818	0	CT_TBRCH	848	BR_STATUS	CT_REP	0;
	819	0	CT_TBRCH	849	BR_STATUS	CT_REP	0;
	820	0	CT_TBRCH	850	BR_STATUS	CT_REP	0;
	821	0	CT_TBRCH	851	BR_STATUS	CT_REP	0;
	822	0	CT_TBRCH	852	BR_STATUS	CT_REP	0;
	823	0	CT_TBRCH	853	BR_STATUS	CT_REP	0;
	824	0	CT_TBRCH	854	BR_STATUS	CT_REP	0;
	825	0	CT_TBRCH	855	BR_STATUS	CT_REP	0;
	826	0	CT_TBRCH	856	BR_STATUS	CT_REP	0;
	827	0	CT_TBRCH	857	BR_STATUS	CT_REP	0;
	828	0	CT_TBRCH	858	BR_STATUS	CT_REP	0;
	829	0	CT_TBRCH	859	BR_STATUS	CT_REP	0;
	830	0	CT_TBRCH	860	BR_STATUS	CT_REP	0;
	831	0	CT_TBRCH	861	BR_STATUS	CT_REP	0;
	832	0	CT_TBRCH	862	BR_STATUS	CT_REP	0;
	833	0	CT_TBRCH	863	BR_STATUS	CT_REP	0;
	834	0	CT_TBRCH	864	BR_STATUS	CT_REP	0;
	835	0	CT_TBRCH	865	BR_STATUS	CT_REP	0;
	836	0	CT_TBRCH	866	BR_STATUS	CT_REP	0;
	837	0	CT_TBRCH	867	BR_STATUS	CT_REP	0;
	838	0	CT_TBRCH	868	BR_STATUS	CT_REP	0;
	839	0	CT_TBRCH	869	BR_STATUS	CT_REP	0;
	840	0	CT_TBRCH	870	BR_STATUS	CT_REP	0;
	841	0	CT_TBRCH	871	BR_STATUS	CT_REP	0;
	842	0	CT_TBRCH	872	BR_STATUS	CT_REP	0;
	843	0	CT_TBRCH	873	BR_STATUS	CT_REP	0;
	844	0	CT_TBRCH	874	BR_STATUS	CT_REP	0;
	845	0	CT_TBRCH	875	BR_STATUS	CT_REP	0;
	846	0	CT_TBRCH	876	BR_STATUS	CT_REP	0;
	847	0	CT_TBRCH	877	BR_STATUS	CT_REP	0;
	848	0	CT_TBRCH	878	BR_STATUS	CT_REP	0;
	849	0	CT_TBRCH	879	BR_STATUS	CT_REP	0;
	850	0	CT_TBRCH	880	BR_STATUS	CT_REP	0;
	851	0	CT_TBRCH	881	BR_STATUS	CT_REP	0;
	852	0	CT_TBRCH	882	BR_STATUS	CT_REP	0;
	853	0	CT_TBRCH	883	BR_STATUS	CT_REP	0;
	854	0	CT_TBRCH	884	BR_STATUS	CT_REP	0;
	855	0	CT_TBRCH	885	BR_STATUS	CT_REP	0;
	856	0	CT_TBRCH	886	BR_STATUS	CT_REP	0;
	857	0	CT_TBRCH	887	BR_STATUS	CT_REP	0;
	858	0	CT_TBRCH	888	BR_STATUS	CT_REP	0;
	859	0	CT_TBRCH	889	BR_STATUS	CT_REP	0;
	860	0	CT_TBRCH	890	BR_STATUS	CT_REP	0;
	861	0	CT_TBRCH	891	BR_STATUS	CT_REP	0;
	862	0	CT_TBRCH	892	BR_STATUS	CT_REP	0;
	863	0	CT_TBRCH	893	BR_STATUS	CT_REP	0;
	864	0	CT_TBRCH	894	BR_STATUS	CT_REP	0;
	865	0	CT_TBRCH	895	BR_STATUS	CT_REP	0;
	866	0	CT_TBRCH	896	BR_STATUS	CT_REP	0;
	867	0	CT_TBRCH	897	BR_STATUS	CT_REP	0;
	868	0	CT_TBRCH	898	BR_STATUS	CT_REP	0;
	869	0	CT_TBRCH	899	BR_STATUS	CT_REP	0;
	870	0	CT_TBRCH	900	BR_STATUS	CT_REP	0;
	871	0	CT_TBRCH	901	BR_STATUS	CT_REP	0;
	872	0	CT_TBRCH	902	BR_STATUS	CT_REP	0;
	873	0	CT_TBRCH	903	BR_STATUS	CT_REP	0;
	874	0	CT_TBRCH	904	BR_STATUS	CT_REP	0;
	875	0	CT_TBRCH	905	BR_STATUS	CT_REP	0;
	876	0	CT_TBRCH	906	BR_STATUS	CT_REP	0;
	877	0	CT_TBRCH	907	BR_STATUS	CT_REP	0;
	878	0	CT_TBRCH	908	BR_STATUS	CT_REP	0;
	879	0	CT_TBRCH	909	BR_STATUS	CT_REP	0;
	880	0	CT_TBRCH	910	BR_STATUS	CT_REP	0;
	881	0	CT_TBRCH	911	BR_STATUS	CT_REP	0;
	882	0	CT_TBRCH	912	BR_STATUS	CT_REP	0;
	883	0	CT_TBRCH	913	BR_STATUS	CT_REP	0;
	884	0	CT_TBRCH	914	BR_STATUS	CT_REP	0;
	885	0	CT_TBRCH	915	BR_STATUS	CT_REP	0;
	886	0	CT_TBRCH	916	BR_STATUS	CT_REP	0;
	887	0	CT_TBRCH	917	BR_STATUS	CT_REP	0;
	888	0	CT_TBRCH	918	BR_STATUS	CT_REP	0;
	889	0	CT_TBRCH	919	BR_STATUS	CT_REP	0;
	890	0	CT_TBRCH	920	BR_STATUS	CT_REP	0;
	891	0	CT_TBRCH	921	BR_STATUS	CT_REP	0;
	892	0	CT_TBRCH	922	BR_STATUS	CT_REP	0;
	893	0	CT_TBRCH	923	BR_STATUS	CT_REP	0;
	894	0	CT_TBRCH	924	BR_STATUS	CT_REP	0;
	895	0	CT_TBRCH	925	BR_STATUS	CT_REP	0;
	896	0	CT_TBRCH	926	BR_STATUS	CT_REP	0;
	897	0	CT_TBRCH	927	BR_STATUS	CT_REP	0;
	898	0	CT_TBRCH	928	BR_STATUS	CT_REP	0;
	899	0	CT_TBRCH	929	BR_STATUS	CT_REP	0;
	900	0	CT_TBRCH	930	BR_STATUS	CT_REP	0;
	901	0	CT_TBRCH	931	BR_STATUS	CT_REP	0;
	902	0	CT_TBRCH	932	BR_STATUS	CT_REP	0;
	903	0	CT_TBRCH	933	BR_STATUS	CT_REP	0;
	904	0	CT_TBRCH	934	BR_STATUS	CT_REP	0;
	905	0	CT_TBRCH	935	BR_STATUS	CT_REP	0;
	906	0	CT_TBRCH	936	BR_STATUS	CT_REP	0;
	907	0	CT_TBRCH	937	BR_STATUS	CT_REP	0;
	908	0	CT_TBRCH	938	BR_STATUS	CT_REP	0;
	909	0	CT_TBRCH	939	BR_STATUS	CT_REP	0;
	910	0	CT_TBRCH	940	BR_STATUS	CT_REP	0;
	911	0	CT_TBRCH	941	BR_STATUS	CT_REP	0;
	912	0	CT_TBRCH	942	BR_STATUS	CT_REP	0;
	913	0	CT_TBRCH	943	BR_STATUS	CT_REP	0;
	914	0	CT_TBRCH	944	BR_STATUS	CT_REP	0;
	915	0	CT_TBRCH	945	BR_STATUS	CT_REP	0;
	916	0	CT_TBRCH	946	BR_STATUS	CT_REP	0;
	917	0	CT_TBRCH	947	BR_STATUS	CT_REP	0;
	918	0	CT_TBRCH	948	BR_STATUS	CT_REP	0;
	919	0	CT_TBRCH	949	BR_STATUS	CT_REP	0;
	920	0	CT_TBRCH	950	BR_STATUS	CT_REP	0;
	921	0	CT_TBRCH	951	BR_STATUS	CT_REP	0;
	922	0	CT_TBRCH	952	BR_STATUS	CT_REP	0;
	923	0	CT_TBRCH	953	BR_STATUS	CT_REP	0;
	924	0	CT_TBRCH	954	BR_STATUS	CT_REP	0;
	925	0	CT_TBRCH	955	BR_STATUS	CT_REP	0;
	926	0	CT_TBRCH	956	BR_STATUS	CT_REP	0;
	927	0	CT_TBRCH	957	BR_STATUS	CT_REP	0;
	928	0	CT_TBRCH	958	BR_STATUS	CT_REP	0;
	929	0	CT_TBRCH	959	BR_STATUS	CT_REP	0;
	930	0	CT_TBRCH	960	BR_STATUS	CT_REP	0;
	931	0	CT_TBRCH	961	BR_STATUS	CT_REP	0;
	932	0	CT_TBRCH	962	BR_STATUS	CT_REP	0;
	933	0	CT_TBRCH	964	BR_STATUS	CT_REP	0;
	934	0	CT_TBRCH	967	BR_STATUS	CT_REP	0;
	935	0	CT_TBRCH	968	BR_STATUS	CT_REP	0;
	936	0	CT_TBRCH	969	BR_STATUS	CT_REP	0;
	937	0	CT_TBRCH	970	BR_STATUS	CT_REP	0;
	938	0	CT_TBRCH	971	BR_STATUS	CT_REP	0;
	939	0	CT_TBRCH	972	BR_STATUS	CT_REP	0;
	940	0	CT_TBRCH	973	BR_STATUS	CT_REP	0;
	941	0	CT_TBRCH	974	BR_STATUS	CT_REP	0;
	942	0	CT_TBRCH	975	BR_STATUS	CT_REP	0;
	943	0	CT_TBRCH	976	BR_STATUS	CT_REP	0;
	944	0	CT_TBRCH	977	BR_STATUS	CT_REP	0;
	945	0	CT_TBRCH	978	BR_STATUS	CT_REP	0;
	946	0	CT_TBRCH	979	BR_STATUS	CT_REP	0;
	947	0	CT_TBRCH	980	BR_STATUS	CT_REP	0;
	948	0	CT_TBRCH	981	BR_STATUS	CT_REP	0;
	949	0	CT_TBRCH	982	BR_STATUS	CT_REP	0;
	950	0	CT_TBRCH	983	BR_STATUS	CT_REP	0;
	951	0	CT_TBRCH	984	BR_STATUS	CT_REP	0;
	952	0	CT_TBRCH	985	BR_STATUS	CT_REP	0;
	953	0	CT_TBRCH	986	BR_STATUS	CT_REP	0;
	954	0	CT_TBRCH	987	BR_STATUS	CT_REP	0;
	955	0	CT_TBRCH	988	BR_STATUS	CT_REP	0;
	956	0	CT_TBRCH	989	BR_STATUS	CT_REP	0;
	957	0	CT_TBRCH	990	BR_STATUS	CT_REP	0;
	958	0	CT_TBRCH	991	BR_STATUS	CT_REP	0;
	959	0	CT_TBRCH	992	BR_STATUS	CT_REP	0;
	960	0	CT_TBRCH	993	BR_STATUS	CT_REP	0;
	961	0	CT_TBRCH	994	BR_STATUS	CT_REP	0;
	962	0	CT_TBRCH	995	BR_STATUS	CT_REP	0;
	963	0	CT_TBRCH	996	BR_STATUS	CT_REP	0;
	964	0	CT_TBRCH	997	BR_STATUS	CT_REP	0;
	965	0	CT_TBRCH	998	BR_STATUS	CT_REP	0;
	966	0	CT_TBRCH	999	BR_STATUS	CT_REP	0;
	967	0	CT_TBRCH	1000	BR_STATUS	CT_REP	0;
	968	0	CT_TBRCH	1001	BR_STATUS	CT_REP	0;
	969	0	CT_TBRCH	1002	BR_STATUS	CT_REP	0;
	970	0	CT_TBRCH	1003	BR_STATUS	CT_REP	0;
	971	0	CT_TBRCH	1007	BR_STATUS	CT_REP	0;
	972	0	CT_TBRCH	1008	BR_STATUS	CT_REP	0;
	973	0	CT_TBRCH	1009	BR_STATUS	CT_REP	0;
	974	0	CT_TBRCH	1012	BR_STATUS	CT_REP	0;
	975	0	CT_TBRCH	1014	BR_STATUS	CT_REP	0;
	976	0	CT_TBRCH	1015	BR_STATUS	CT_REP	0;
	977	0	CT_TBRCH	1016	BR_STATUS	CT_REP	0;
	978	0	CT_TBRCH	1017	BR_STATUS	CT_REP	0;
	979	0	CT_TBRCH	1018	BR_STATUS	CT_REP	0;
	980	0	CT_TBRCH	1019	BR_STATUS	CT_REP	0;
	981	0	CT_TBRCH	1020	BR_STATUS	CT_REP	0;
	982	0	CT_TBRCH	1021	BR_STATUS	CT_REP	0;
	983	0	CT_TBRCH	1022	BR_STATUS	CT_REP	0;
	984	0	CT_TBRCH	1023	BR_STATUS	CT_REP	0;
	985	0	CT_TBRCH	1024	BR_STATUS	CT_REP	0;
	986	0	CT_TBRCH	1025	BR_STATUS	CT_REP	0;
	987	0	CT_TBRCH	1026	BR_STATUS	CT_REP	0;
	988	0	CT_TBRCH	1027	BR_STATUS	CT_REP	0;
	989	0	CT_TBRCH	1028	BR_STATUS	CT_REP	0;
	990	0	CT_TBRCH	1029	BR_STATUS	CT_REP	0;
	991	0	CT_TBRCH	1030	BR_STATUS	CT_REP	0;
	992	0	CT_TBRCH	1031	BR_STATUS	CT_REP	0;
	993	0	CT_TBRCH	1032	BR_STATUS	CT_REP	0;
	994	0	CT_TBRCH	1033	BR_STATUS	CT_REP	0;
	995	0	CT_TBRCH	1034	BR_STATUS	CT_REP	0;
	996	0	CT_TBRCH	1035	BR_STATUS	CT_REP	0;
	997	0	CT_TBRCH	1036	BR_STATUS	CT_REP	0;
	998	0	CT_TBRCH	1037	BR_STATUS	CT_REP	0;
	999	0	CT_TBRCH	1038	BR_STATUS	CT_REP	0;
	1000	0	CT_TBRCH	1039	BR_STATUS	CT_REP	0;
	1001	0	CT_TBRCH	1040	BR_STATUS	CT_REP	0;
	1002	0	CT_TBRCH	1041	BR_STATUS	CT_REP	0;
	1003	0	CT_TBRCH	1042	BR_STATUS	CT_REP	0;
	1004	0	CT_TBRCH	1043	BR_STATUS	CT_REP	0;
	1005	0	CT_TBRCH	1044	BR_STATUS	CT_REP	0;
	1006	0	CT_TBRCH	1045	BR_STATUS	CT_REP	0;
	1007	0	CT_TBRCH	1046	BR_STATUS	CT_REP	0;
	1008	0	CT_TBRCH	1047	BR_STATUS	CT_REP	0;
	1009	0	CT_TBRCH	1048	BR_STATUS	CT_REP	0;
	1010	0	CT_TBRCH	1049	BR_STATUS	CT_REP	0;
	1011	0	CT_TBRCH	1050	BR_STATUS	CT_REP	0;
	1012	0	CT_TBRCH	1051	BR_STATUS	CT_REP	0;
	1013	0	CT_TBRCH	1052	BR_STATUS	CT_REP	0;
	1014	0	CT_TBRCH	1053	BR_STATUS	CT_REP	0;
	1015	0	CT_TBRCH	1054	BR_STATUS	CT_REP	0;
	1016	0	CT_TBRCH	1055	BR_STATUS	CT_REP	0;
	1017	0	CT_TBRCH	1056	BR_STATUS	CT_REP	0;
	1018	0	CT_TBRCH	1057	BR_STATUS	CT_REP	0;
	1019	0	CT_TBRCH	1058	BR_STATUS	CT_REP	0;
	1020	0	CT_TBRCH	1059	BR_STATUS	CT_REP	0;
	1021	0	CT_TBRCH	1060	BR_STATUS	CT_REP	0;
	1022	0	CT_TBRCH	1061	BR_STATUS	CT_REP	0;
	1023	0	CT_TBRCH	1062	BR_STATUS	CT_REP	0;
	1024	0	CT_TBRCH	1063	BR_STATUS	CT_REP	0;
	1025	0	CT_TBRCH	1064	BR_STATUS	CT_REP	0;
	1026	0	CT_TBRCH	1065	BR_STATUS	CT_REP	0;
	1027	0	CT_TBRCH	1066	BR_STATUS	CT_REP	0;
	1028	0	CT_TBRCH	1067	BR_STATUS	CT_REP	0;
	1029	0	CT_TBRCH	1068	BR_STATUS	CT_REP	0;
	1030	0	CT_TBRCH	1069	BR_STATUS	CT_REP	0;
	1031	0	CT_TBRCH	1070	BR_STATUS	CT_REP	0;
	1032	0	CT_TBRCH	1071	BR_STATUS	CT_REP	0;
	1033	0	CT_TBRCH	1072	BR_STATUS	CT_REP	0;
	1034	0	CT_TBRCH	1073	BR_STATUS	CT_REP	0;
	1035	0	CT_TBRCH	1074	BR_STATUS	CT_REP	0;
	1036	0	CT_TBRCH	1075	BR_STATUS	CT_REP	0;
	1037	0	CT_TBRCH	1076	BR_STATUS	CT_REP	0;
	1038	0	CT_TBRCH	1077	BR_STATUS	CT_REP	0;
	1039	0	CT_TBRCH	1078	BR_STATUS	CT_REP	0;
	1040	0	CT_TBRCH	1079	BR_STATUS	CT_REP	0;
	1041	0	CT_TBRCH	1080	BR_STATUS	CT_REP	0;
	1042	0	CT_TBRCH	1081	BR_STATUS	CT_REP	0;
	1043	0	CT_TBRCH	1082	BR_STATUS	CT_REP	0;
	1044	0	CT_TBRCH	1083	BR_STATUS	CT_REP	0;
	1045	0	CT_TBRCH	1084	BR_STATUS	CT_REP	0;
	1046	0	CT_TBRCH	1085	BR_STATUS	CT_REP	0;
	1047	0	CT_TBRCH	1086	BR_STATUS	CT_REP	0;
	1048	0	CT_TBRCH	1087	BR_STATUS	CT_REP	0;
	1049	0	CT_TBRCH	1088	BR_STATUS	CT_REP	0;
	1050	0	CT_TBRCH	1089	BR_STATUS	CT_REP	0;
	1051	0	CT_TBRCH	1090	BR_STATUS	CT_REP	0;
	1052	0	CT_TBRCH	1091	BR_STATUS	CT_REP	0;
	1053	0	CT_TBRCH	1092	BR_STATUS	CT_REP	0;
	1054	0	CT_TBRCH	1093	BR_STATUS	CT_REP	0;
	1055	0	CT_TBRCH	1094	BR_STATUS	CT_REP	0;
	1056	0	CT_TBRCH	1095	BR_STATUS	CT_REP	0;
	1057	0	CT_TBRCH	1096	BR_STATUS	CT_REP	0;
	1058	0	CT_TBRCH	1097	BR_STATUS	CT_REP	0;
	1059	0	CT_TBRCH	1098	BR_STATUS	CT_REP	0;
	1060	0	CT_TBRCH	1099	BR_STATUS	CT_REP	0;
	1061	0	CT_TBRCH	1100	BR_STATUS	CT_REP	0;
	1062	0	CT_TBRCH	1101	BR_STATUS	CT_REP	0;
	1063	0	CT_TBRCH	1102	BR_STATUS	CT_REP	0;
	1064	0	CT_TBRCH	1103	BR_STATUS	CT_REP	0;
	1065	0	CT_TBRCH	1104	BR_STATUS	CT_REP	0;
	1066	0	CT_TBRCH	1106	BR_STATUS	CT_REP	0;
	1067	0	CT_TBRCH	1109	BR_STATUS	CT_REP	0;
	1068	0	CT_TBRCH	1110	BR_STATUS	CT_REP	0;
	1069	0	CT_TBRCH	1111	BR_STATUS	CT_REP	0;
	1070	0	CT_TBRCH	1112	BR_STATUS	CT_REP	0;
	1071	0	CT_TBRCH	1113	BR_STATUS	CT_REP	0;
	1072	0	CT_TBRCH	1114	BR_STATUS	CT_REP	0;
	1073	0	CT_TBRCH	1115	BR_STATUS	CT_REP	0;
	1074	0	CT_TBRCH	1116	BR_STATUS	CT_REP	0;
	1075	0	CT_TBRCH	1117	BR_STATUS	CT_REP	0;
	1076	0	CT_TBRCH	1118	BR_STATUS	CT_REP	0;
	1077	0	CT_TBRCH	1120	BR_STATUS	CT_REP	0;
	1078	0	CT_TBRCH	1123	BR_STATUS	CT_REP	0;
	1079	0	CT_TBRCH	1124	BR_STATUS	CT_REP	0;
	1080	0	CT_TBRCH	1125	BR_STATUS	CT_REP	0;
	1081	0	CT_TBRCH	1126	BR_STATUS	CT_REP	0;
	1082	0	CT_TBRCH	1127	BR_STATUS	CT_REP	0;
	1083	0	CT_TBRCH	1128	BR_STATUS	CT_REP	0;
	1084	0	CT_TBRCH	1129	BR_STATUS	CT_REP	0;
	1085	0	CT_TBRCH	1130	BR_STATUS	CT_REP	0;
	1086	0	CT_TBRCH	1131	BR_STATUS	CT_REP	0;
	1087	0	CT_TBRCH	1133	BR_STATUS	CT_REP	0;
	1088	0	CT_TBRCH	1134	BR_STATUS	CT_REP	0;
	1089	0	CT_TBRCH	1135	BR_STATUS	CT_REP	0;
	1090	0	CT_TBRCH	1136	BR_STATUS	CT_REP	0;
	1091	0	CT_TBRCH	1137	BR_STATUS	CT_REP	0;
	1092	0	CT_TBRCH	1138	BR_STATUS	CT_REP	0;
	1093	0	CT_TBRCH	1139	BR_STATUS	CT_REP	0;
	1094	0	CT_TBRCH	1140	BR_STATUS	CT_REP	0;
	1095	0	CT_TBRCH	1142	BR_STATUS	CT_REP	0;
	1096	0	CT_TBRCH	1143	BR_STATUS	CT_REP	0;
	1097	0	CT_TBRCH	1145	BR_STATUS	CT_REP	0;
	1098	0	CT_TBRCH	1146	BR_STATUS	CT_REP	0;
	1099	0	CT_TBRCH	1147	BR_STATUS	CT_REP	0;
	1100	0	CT_TBRCH	1151	BR_STATUS	CT_REP	0;
	1101	0	CT_TBRCH	1152	BR_STATUS	CT_REP	0;
	1102	0	CT_TBRCH	1153	BR_STATUS	CT_REP	0;
	1103	0	CT_TBRCH	1154	BR_STATUS	CT_REP	0;
	1104	0	CT_TBRCH	1155	BR_STATUS	CT_REP	0;
	1105	0	CT_TBRCH	1156	BR_STATUS	CT_REP	0;
	1106	0	CT_TBRCH	1157	BR_STATUS	CT_REP	0;
	1107	0	CT_TBRCH	1158	BR_STATUS	CT_REP	0;
	1108	0	CT_TBRCH	1159	BR_STATUS	CT_REP	0;
	1109	0	CT_TBRCH	1160	BR_STATUS	CT_REP	0;
	1110	0	CT_TBRCH	1161	BR_STATUS	CT_REP	0;
	1111	0	CT_TBRCH	1162	BR_STATUS	CT_REP	0;
	1112	0	CT_TBRCH	1163	BR_STATUS	CT_REP	0;
	1113	0	CT_TBRCH	1164	BR_STATUS	CT_REP	0;
	1114	0	CT_TBRCH	1165	BR_STATUS	CT_REP	0;
	1115	0	CT_TBRCH	1166	BR_STATUS	CT_REP	0;
	1116	0	CT_TBRCH	1167	BR_STATUS	CT_REP	0;
	1117	0	CT_TBRCH	1168	BR_STATUS	CT_REP	0;
	1118	0	CT_TBRCH	1169	BR_STATUS	CT_REP	0;
	1119	0	CT_TBRCH	1170	BR_STATUS	CT_REP	0;
	1120	0	CT_TBRCH	1171	BR_STATUS	CT_REP	0;
	1121	0	CT_TBRCH	1172	BR_STATUS	CT_REP	0;
	1122	0	CT_TBRCH	1173	BR_STATUS	CT_REP	0;
	1123	0	CT_TBRCH	1174	BR_STATUS	CT_REP	0;
	1124	0	CT_TBRCH	1175	BR_STATUS	CT_REP	0;
	1125	0	CT_TBRCH	1176	BR_STATUS	CT_REP	0;
	1126	0	CT_TBRCH	1177	BR_STATUS	CT_REP	0;
	1127	0	CT_TBRCH	1178	BR_STATUS	CT_REP	0;
	1128	0	CT_TBRCH	1179	BR_STATUS	CT_REP	0;
	1129	0	CT_TBRCH	1180	BR_STATUS	CT_REP	0;
	1130	0	CT_TBRCH	1181	BR_STATUS	CT_REP	0;
	1131	0	CT_TBRCH	1182	BR_STATUS	CT_REP	0;
	1132	0	CT_TBRCH	1183	BR_STATUS	CT_REP	0;
	1133	0	CT_TBRCH	1184	BR_STATUS	CT_REP	0;
	1134	0	CT_TBRCH	1185	BR_STATUS	CT_REP	0;
	1135	0	CT_TBRCH	1187	BR_STATUS	CT_REP	0;
	1136	0	CT_TBRCH	1188	BR_STATUS	CT_REP	0;
	1137	0	CT_TBRCH	1189	BR_STATUS	CT_REP	0;
	1138	0	CT_TBRCH	1190	BR_STATUS	CT_REP	0;
	1139	0	CT_TBRCH	1191	BR_STATUS	CT_REP	0;
	1140	0	CT_TBRCH	1192	BR_STATUS	CT_REP	0;
	1141	0	CT_TBRCH	1193	BR_STATUS	CT_REP	0;
	1142	0	CT_TBRCH	1194	BR_STATUS	CT_REP	0;
	1143	0	CT_TBRCH	1195	BR_STATUS	CT_REP	0;
	1144	0	CT_TBRCH	1197	BR_STATUS	CT_REP	0;
	1145	0	CT_TBRCH	1198	BR_STATUS	CT_REP	0;
	1146	0	CT_TBRCH	1200	BR_STATUS	CT_REP	0;
	1147	0	CT_TBRCH	1201	BR_STATUS	CT_REP	0;
	1148	0	CT_TBRCH	1202	BR_STATUS	CT_REP	0;
	1149	0	CT_TBRCH	1203	BR_STATUS	CT_REP	0;
	1150	0	CT_TBRCH	1204	BR_STATUS	CT_REP	0;
	1151	0	CT_TBRCH	1205	BR_STATUS	CT_REP	0;
	1152	0	CT_TBRCH	1206	BR_STATUS	CT_REP	0;
	1153	0	CT_TBRCH	1207	BR_STATUS	CT_REP	0;
	1154	0	CT_TBRCH	1208	BR_STATUS	CT_REP	0;
	1155	0	CT_TBRCH	1209	BR_STATUS	CT_REP	0;
	1156	0	CT_TBRCH	1210	BR_STATUS	CT_REP	0;
	1157	0	CT_TBRCH	1211	BR_STATUS	CT_REP	0;
	1158	0	CT_TBRCH	1212	BR_STATUS	CT_REP	0;
	1159	0	CT_TBRCH	1213	BR_STATUS	CT_REP	0;
	1160	0	CT_TBRCH	1214	BR_STATUS	CT_REP	0;
	1161	0	CT_TBRCH	1215	BR_STATUS	CT_REP	0;
	1162	0	CT_TBRCH	1216	BR_STATUS	CT_REP	0;
	1163	0	CT_TBRCH	1217	BR_STATUS	CT_REP	0;
	1164	0	CT_TBRCH	1218	BR_STATUS	CT_REP	0;
	1165	0	CT_TBRCH	1219	BR_STATUS	CT_REP	0;
	1166	0	CT_TBRCH	1220	BR_STATUS	CT_REP	0;
	1167	0	CT_TBRCH	1221	BR_STATUS	CT_REP	0;
	1168	0	CT_TBRCH	1222	BR_STATUS	CT_REP	0;
	1169	0	CT_TBRCH	1223	BR_STATUS	CT_REP	0;
	1170	0	CT_TBRCH	1224	BR_STATUS	CT_REP	0;
	1171	0	CT_TBRCH	1225	BR_STATUS	CT_REP	0;
	1172	0	CT_TBRCH	1226	BR_STATUS	CT_REP	0;
	1173	0	CT_TBRCH	1227	BR_STATUS	CT_REP	0;
	1174	0	CT_TBRCH	1228	BR_STATUS	CT_REP	0;
	1175	0	CT_TBRCH	1229	BR_STATUS	CT_REP	0;
	1176	0	CT_TBRCH	1230	BR_STATUS	CT_REP	0;
	1177	0	CT_TBRCH	1231	BR_STATUS	CT_REP	0;
	1178	0	CT_TBRCH	1232	BR_STATUS	CT_REP	0;
	1179	0	CT_TBRCH	1233	BR_STATUS	CT_REP	0;
	1180	0	CT_TBRCH	1234	BR_STATUS	CT_REP	0;
	1181	0	CT_TBRCH	1235	BR_STATUS	CT_REP	0;
	1182	0	CT_TBRCH	1236	BR_STATUS	CT_REP	0;
	1183	0	CT_TBRCH	1237	BR_STATUS	CT_REP	0;
	1184	0	CT_TBRCH	1238	BR_STATUS	CT_REP	0;
	1185	0	CT_TBRCH	1239	BR_STATUS	CT_REP	0;
	1186	0	CT_TBRCH	1240	BR_STATUS	CT_REP	0;
	1187	0	CT_TBRCH	1241	BR_STATUS	CT_REP	0;
	1188	0	CT_TBRCH	1242	BR_STATUS	CT_REP	0;
	1189	0	CT_TBRCH	1243	BR_STATUS	CT_REP	0;
	1190	0	CT_TBRCH	1244	BR_STATUS	CT_REP	0;
	1191	0	CT_TBRCH	1245	BR_STATUS	CT_REP	0;
	1192	0	CT_TBRCH	1246	BR_STATUS	CT_REP	0;
	1193	0	CT_TBRCH	1247	BR_STATUS	CT_REP	0;
	1194	0	CT_TBRCH	1248	BR_STATUS	CT_REP	0;
	1195	0	CT_TBRCH	1249	BR_STATUS	CT_REP	0;
	1196	0	CT_TBRCH	1250	BR_STATUS	CT_REP	0;
	1197	0	CT_TBRCH	1251	BR_STATUS	CT_REP	0;
	1198	0	CT_TBRCH	1252	BR_STATUS	CT_REP	0;
	1199	0	CT_TBRCH	1253	BR_STATUS	CT_REP	0;
	1200	0	CT_TBRCH	1254	BR_STATUS	CT_REP	0;
	1201	0	CT_TBRCH	1255	BR_STATUS	CT_REP	0;
	1202	0	CT_TBRCH	1256	BR_STATUS	CT_REP	0;
	1203	0	CT_TBRCH	1257	BR_STATUS	CT_REP	0;
	1204	0	CT_TBRCH	1258	BR_STATUS	CT_REP	0;
	1205	0	CT_TBRCH	1259	BR_STATUS	CT_REP	0;
	1206	0	CT_TBRCH	1260	BR_STATUS	CT_REP	0;
	1207	0	CT_TBRCH	1261	BR_STATUS	CT_REP	0;
	1208	0	CT_TBRCH	1262	BR_STATUS	CT_REP	0;
	1209	0	CT_TBRCH	1263	BR_STATUS	CT_REP	0;
	1210	0	CT_TBRCH	1264	BR_STATUS	CT_REP	0;
	1211	0	CT_TBRCH	1265	BR_STATUS	CT_REP	0;
	1212	0	CT_TBRCH	1266	BR_STATUS	CT_REP	0;
	1213	0	CT_TBRCH	1267	BR_STATUS	CT_REP	0;
	1214	0	CT_TBRCH	1268	BR_STATUS	CT_REP	0;
	1215	0	CT_TBRCH	1269	BR_STATUS	CT_REP	0;
	1216	0	CT_TBRCH	1270	BR_STATUS	CT_REP	0;
	1217	0	CT_TBRCH	1271	BR_STATUS	CT_REP	0;
	1218	0	CT_TBRCH	1272	BR_STATUS	CT_REP	0;
	1219	0	CT_TBRCH	1273	BR_STATUS	CT_REP	0;
	1220	0	CT_TBRCH	1274	BR_STATUS	CT_REP	0;
	1221	0	CT_TBRCH	1275	BR_STATUS	CT_REP	0;
	1222	0	CT_TBRCH	1276	BR_STATUS	CT_REP	0;
	1223	0	CT_TBRCH	1277	BR_STATUS	CT_REP	0;
	1224	0	CT_TBRCH	1278	BR_STATUS	CT_REP	0;
	1225	0	CT_TBRCH	1279	BR_STATUS	CT_REP	0;
	1226	0	CT_TBRCH	1280	BR_STATUS	CT_REP	0;
	1227	0	CT_TBRCH	1281	BR_STATUS	CT_REP	0;
	1228	0	CT_TBRCH	1282	BR_STATUS	CT_REP	0;
	1229	0	CT_TBRCH	1283	BR_STATUS	CT_REP	0;
	1230	0	CT_TBRCH	1284	BR_STATUS	CT_REP	0;
	1231	0	CT_TBRCH	1286	BR_STATUS	CT_REP	0;
	1232	0	CT_TBRCH	1287	BR_STATUS	CT_REP	0;
	1233	0	CT_TBRCH	1289	BR_STATUS	CT_REP	0;
	1234	0	CT_TBRCH	1291	BR_STATUS	CT_REP	0;
	1235	0	CT_TBRCH	1292	BR_STATUS	CT_REP	0;
	1236	0	CT_TBRCH	1293	BR_STATUS	CT_REP	0;
	1237	0	CT_TBRCH	1294	BR_STATUS	CT_REP	0;
	1238	0	CT_TBRCH	1295	BR_STATUS	CT_REP	0;
	1239	0	CT_TBRCH	1296	BR_STATUS	CT_REP	0;
	1240	0	CT_TBRCH	1297	BR_STATUS	CT_REP	0;
	1241	0	CT_TBRCH	1298	BR_STATUS	CT_REP	0;
	1242	0	CT_TBRCH	1300	BR_STATUS	CT_REP	0;
	1243	0	CT_TBRCH	1301	BR_STATUS	CT_REP	0;
	1244	0	CT_TBRCH	1302	BR_STATUS	CT_REP	0;
	1245	0	CT_TBRCH	1305	BR_STATUS	CT_REP	0;
	1246	0	CT_TBRCH	1306	BR_STATUS	CT_REP	0;
	1247	0	CT_TBRCH	1307	BR_STATUS	CT_REP	0;
	1248	0	CT_TBRCH	1308	BR_STATUS	CT_REP	0;
	1249	0	CT_TBRCH	1309	BR_STATUS	CT_REP	0;
	1250	0	CT_TBRCH	1310	BR_STATUS	CT_REP	0;
	1251	0	CT_TBRCH	1311	BR_STATUS	CT_REP	0;
	1252	0	CT_TBRCH	1312	BR_STATUS	CT_REP	0;
	1253	0	CT_TBRCH	1313	BR_STATUS	CT_REP	0;
	1254	0	CT_TBRCH	1314	BR_STATUS	CT_REP	0;
	1255	0	CT_TBRCH	1315	BR_STATUS	CT_REP	0;
	1256	0	CT_TBRCH	1316	BR_STATUS	CT_REP	0;
	1257	0	CT_TBRCH	1317	BR_STATUS	CT_REP	0;
	1258	0	CT_TBRCH	1318	BR_STATUS	CT_REP	0;
	1259	0	CT_TBRCH	1319	BR_STATUS	CT_REP	0;
	1260	0	CT_TBRCH	1320	BR_STATUS	CT_REP	0;
	1261	0	CT_TBRCH	1321	BR_STATUS	CT_REP	0;
	1262	0	CT_TBRCH	1322	BR_STATUS	CT_REP	0;
	1263	0	CT_TBRCH	1323	BR_STATUS	CT_REP	0;
	1264	0	CT_TBRCH	1324	BR_STATUS	CT_REP	0;
	1265	0	CT_TBRCH	1325	BR_STATUS	CT_REP	0;
	1266	0	CT_TBRCH	1326	BR_STATUS	CT_REP	0;
	1267	0	CT_TBRCH	1327	BR_STATUS	CT_REP	0;
	1268	0	CT_TBRCH	1328	BR_STATUS	CT_REP	0;
	1269	0	CT_TBRCH	1329	BR_STATUS	CT_REP	0;
	1270	0	CT_TBRCH	1330	BR_STATUS	CT_REP	0;
	1271	0	CT_TBRCH	1332	BR_STATUS	CT_REP	0;
	1272	0	CT_TBRCH	1333	BR_STATUS	CT_REP	0;
	1273	0	CT_TBRCH	1336	BR_STATUS	CT_REP	0;
	1274	0	CT_TBRCH	1337	BR_STATUS	CT_REP	0;
	1275	0	CT_TBRCH	1338	BR_STATUS	CT_REP	0;
	1276	0	CT_TBRCH	1339	BR_STATUS	CT_REP	0;
	1277	0	CT_TBRCH	1340	BR_STATUS	CT_REP	0;
	1278	0	CT_TBRCH	1341	BR_STATUS	CT_REP	0;
	1279	0	CT_TBRCH	1342	BR_STATUS	CT_REP	0;
	1280	0	CT_TBRCH	1343	BR_STATUS	CT_REP	0;
	1281	0	CT_TBRCH	1344	BR_STATUS	CT_REP	0;
	1282	0	CT_TBRCH	1345	BR_STATUS	CT_REP	0;
	1283	0	CT_TBRCH	1346	BR_STATUS	CT_REP	0;
	1284	0	CT_TBRCH	1347	BR_STATUS	CT_REP	0;
	1285	0	CT_TBRCH	1348	BR_STATUS	CT_REP	0;
	1286	0	CT_TBRCH	1349	BR_STATUS	CT_REP	0;
	1287	0	CT_TBRCH	1350	BR_STATUS	CT_REP	0;
	1288	0	CT_TBRCH	1351	BR_STATUS	CT_REP	0;
	1289	0	CT_TBRCH	1352	BR_STATUS	CT_REP	0;
	1290	0	CT_TBRCH	1353	BR_STATUS	CT_REP	0;
	1291	0	CT_TBRCH	1354	BR_STATUS	CT_REP	0;
	1292	0	CT_TBRCH	1355	BR_STATUS	CT_REP	0;
	1293	0	CT_TBRCH	1356	BR_STATUS	CT_REP	0;
	1294	0	CT_TBRCH	1358	BR_STATUS	CT_REP	0;
	1295	0	CT_TBRCH	1359	BR_STATUS	CT_REP	0;
	1296	0	CT_TBRCH	1360	BR_STATUS	CT_REP	0;
	1297	0	CT_TBRCH	1361	BR_STATUS	CT_REP	0;
	1298	0	CT_TBRCH	1364	BR_STATUS	CT_REP	0;
	1299	0	CT_TBRCH	1365	BR_STATUS	CT_REP	0;
	1300	0	CT_TBRCH	1366	BR_STATUS	CT_REP	0;
	1301	0	CT_TBRCH	1367	BR_STATUS	CT_REP	0;
	1302	0	CT_TBRCH	1368	BR_STATUS	CT_REP	0;
	1303	0	CT_TBRCH	1369	BR_STATUS	CT_REP	0;
	1304	0	CT_TBRCH	1370	BR_STATUS	CT_REP	0;
	1305	0	CT_TBRCH	1371	BR_STATUS	CT_REP	0;
	1306	0	CT_TBRCH	1372	BR_STATUS	CT_REP	0;
	1307	0	CT_TBRCH	1373	BR_STATUS	CT_REP	0;
	1308	0	CT_TBRCH	1374	BR_STATUS	CT_REP	0;
	1309	0	CT_TBRCH	1375	BR_STATUS	CT_REP	0;
	1310	0	CT_TBRCH	1376	BR_STATUS	CT_REP	0;
	1311	0	CT_TBRCH	1377	BR_STATUS	CT_REP	0;
	1312	0	CT_TBRCH	1378	BR_STATUS	CT_REP	0;
	1313	0	CT_TBRCH	1379	BR_STATUS	CT_REP	0;
	1314	0	CT_TBRCH	1380	BR_STATUS	CT_REP	0;
	1315	0	CT_TBRCH	1381	BR_STATUS	CT_REP	0;
	1316	0	CT_TBRCH	1382	BR_STATUS	CT_REP	0;
	1317	0	CT_TBRCH	1383	BR_STATUS	CT_REP	0;
	1318	0	CT_TBRCH	1384	BR_STATUS	CT_REP	0;
	1319	0	CT_TBRCH	1385	BR_STATUS	CT_REP	0;
	1320	0	CT_TBRCH	1386	BR_STATUS	CT_REP	0;
	1321	0	CT_TBRCH	1387	BR_STATUS	CT_REP	0;
	1322	0	CT_TBRCH	1388	BR_STATUS	CT_REP	0;
	1323	0	CT_TBRCH	1389	BR_STATUS	CT_REP	0;
	1324	0	CT_TBRCH	1390	BR_STATUS	CT_REP	0;
	1325	0	CT_TBRCH	1392	BR_STATUS	CT_REP	0;
	1326	0	CT_TBRCH	1393	BR_STATUS	CT_REP	0;
	1327	0	CT_TBRCH	1396	BR_STATUS	CT_REP	0;
	1328	0	CT_TBRCH	1397	BR_STATUS	CT_REP	0;
	1329	0	CT_TBRCH	1398	BR_STATUS	CT_REP	0;
	1330	0	CT_TBRCH	1399	BR_STATUS	CT_REP	0;
	1331	0	CT_TBRCH	1400	BR_STATUS	CT_REP	0;
	1332	0	CT_TBRCH	1401	BR_STATUS	CT_REP	0;
	1333	0	CT_TBRCH	1402	BR_STATUS	CT_REP	0;
	1334	0	CT_TBRCH	1403	BR_STATUS	CT_REP	0;
	1335	0	CT_TBRCH	1404	BR_STATUS	CT_REP	0;
	1336	0	CT_TBRCH	1405	BR_STATUS	CT_REP	0;
	1337	0	CT_TBRCH	1406	BR_STATUS	CT_REP	0;
	1338	0	CT_TBRCH	1407	BR_STATUS	CT_REP	0;
	1339	0	CT_TBRCH	1408	BR_STATUS	CT_REP	0;
	1340	0	CT_TBRCH	1409	BR_STATUS	CT_REP	0;
	1341	0	CT_TBRCH	1410	BR_STATUS	CT_REP	0;
	1342	0	CT_TBRCH	1411	BR_STATUS	CT_REP	0;
	1343	0	CT_TBRCH	1412	BR_STATUS	CT_REP	0;
	1344	0	CT_TBRCH	1413	BR_STATUS	CT_REP	0;
	1345	0	CT_TBRCH	1414	BR_STATUS	CT_REP	0;
	1346	0	CT_TBRCH	1415	BR_STATUS	CT_REP	0;
	1347	0	CT_TBRCH	1416	BR_STATUS	CT_REP	0;
	1348	0	CT_TBRCH	1417	BR_STATUS	CT_REP	0;
	1349	0	CT_TBRCH	1418	BR_STATUS	CT_REP	0;
	1350	0	CT_TBRCH	1419	BR_STATUS	CT_REP	0;
	1351	0	CT_TBRCH	1420	BR_STATUS	CT_REP	0;
	1352	0	CT_TBRCH	1421	BR_STATUS	CT_REP	0;
	1353	0	CT_TBRCH	1422	BR_STATUS	CT_REP	0;
	1354	0	CT_TBRCH	1423	BR_STATUS	CT_REP	0;
	1355	0	CT_TBRCH	1424	BR_STATUS	CT_REP	0;
	1356	0	CT_TBRCH	1425	BR_STATUS	CT_REP	0;
	1357	0	CT_TBRCH	1426	BR_STATUS	CT_REP	0;
	1358	0	CT_TBRCH	1427	BR_STATUS	CT_REP	0;
	1359	0	CT_TBRCH	1428	BR_STATUS	CT_REP	0;
	1360	0	CT_TBRCH	1429	BR_STATUS	CT_REP	0;
	1361	0	CT_TBRCH	1430	BR_STATUS	CT_REP	0;
	1362	0	CT_TBRCH	1431	BR_STATUS	CT_REP	0;
	1363	0	CT_TBRCH	1432	BR_STATUS	CT_REP	0;
	1364	0	CT_TBRCH	1433	BR_STATUS	CT_REP	0;
	1365	0	CT_TBRCH	1434	BR_STATUS	CT_REP	0;
	1366	0	CT_TBRCH	1435	BR_STATUS	CT_REP	0;
	1367	0	CT_TBRCH	1436	BR_STATUS	CT_REP	0;
	1368	0	CT_TBRCH	1437	BR_STATUS	CT_REP	0;
	1369	0	CT_TBRCH	1438	BR_STATUS	CT_REP	0;
	1370	0	CT_TBRCH	1439	BR_STATUS	CT_REP	0;
	1371	0	CT_TBRCH	1440	BR_STATUS	CT_REP	0;
	1372	0	CT_TBRCH	1441	BR_STATUS	CT_REP	0;
	1373	0	CT_TBRCH	1442	BR_STATUS	CT_REP	0;
	1374	0	CT_TBRCH	1443	BR_STATUS	CT_REP	0;
	1375	0	CT_TBRCH	1444	BR_STATUS	CT_REP	0;
	1376	0	CT_TBRCH	1445	BR_STATUS	CT_REP	0;
	1377	0	CT_TBRCH	1446	BR_STATUS	CT_REP	0;
	1378	0	CT_TBRCH	1447	BR_STATUS	CT_REP	0;
	1379	0	CT_TBRCH	1448	BR_STATUS	CT_REP	0;
	1380	0	CT_TBRCH	1449	BR_STATUS	CT_REP	0;
	1381	0	CT_TBRCH	1450	BR_STATUS	CT_REP	0;
	1382	0	CT_TBRCH	1451	BR_STATUS	CT_REP	0;
	1383	0	CT_TBRCH	1452	BR_STATUS	CT_REP	0;
	1384	0	CT_TBRCH	1453	BR_STATUS	CT_REP	0;
	1385	0	CT_TBRCH	1454	BR_STATUS	CT_REP	0;
	1386	0	CT_TBRCH	1455	BR_STATUS	CT_REP	0;
	1387	0	CT_TBRCH	1456	BR_STATUS	CT_REP	0;
	1388	0	CT_TBRCH	1457	BR_STATUS	CT_REP	0;
	1389	0	CT_TBRCH	1458	BR_STATUS	CT_REP	0;
	1390	0	CT_TBRCH	1459	BR_STATUS	CT_REP	0;
	1391	0	CT_TBRCH	1460	BR_STATUS	CT_REP	0;
	1392	0	CT_TBRCH	1461	BR_STATUS	CT_REP	0;
	1393	0	CT_TBRCH	1462	BR_STATUS	CT_REP	0;
	1394	0	CT_TBRCH	1463	BR_STATUS	CT_REP	0;
	1395	0	CT_TBRCH	1464	BR_STATUS	CT_REP	0;
	1396	0	CT_TBRCH	1465	BR_STATUS	CT_REP	0;
	1397	0	CT_TBRCH	1466	BR_STATUS	CT_REP	0;
	1398	0	CT_TBRCH	1467	BR_STATUS	CT_REP	0;
	1399	0	CT_TBRCH	1468	BR_STATUS	CT_REP	0;
	1400	0	CT_TBRCH	1469	BR_STATUS	CT_REP	0;
	1401	0	CT_TBRCH	1470	BR_STATUS	CT_REP	0;
	1402	0	CT_TBRCH	1471	BR_STATUS	CT_REP	0;
	1403	0	CT_TBRCH	1472	BR_STATUS	CT_REP	0;
	1404	0	CT_TBRCH	1473	BR_STATUS	CT_REP	0;
	1405	0	CT_TBRCH	1474	BR_STATUS	CT_REP	0;
	1406	0	CT_TBRCH	1475	BR_STATUS	CT_REP	0;
	1407	0	CT_TBRCH	1476	BR_STATUS	CT_REP	0;
	1408	0	CT_TBRCH	1477	BR_STATUS	CT_REP	0;
	1409	0	CT_TBRCH	1478	BR_STATUS	CT_REP	0;
	1410	0	CT_TBRCH	1479	BR_STATUS	CT_REP	0;
	1411	0	CT_TBRCH	1480	BR_STATUS	CT_REP	0;
	1412	0	CT_TBRCH	1481	BR_STATUS	CT_REP	0;
	1413	0	CT_TBRCH	1482	BR_STATUS	CT_REP	0;
	1414	0	CT_TBRCH	1483	BR_STATUS	CT_REP	0;
	1415	0	CT_TBRCH	1484	BR_STATUS	CT_REP	0;
	1416	0	CT_TBRCH	1485	BR_STATUS	CT_REP	0;
	1417	0	CT_TBRCH	1486	BR_STATUS	CT_REP	0;
	1418	0	CT_TBRCH	1487	BR_STATUS	CT_REP	0;
	1419	0	CT_TBRCH	1488	BR_STATUS	CT_REP	0;
	1420	0	CT_TBRCH	1489	BR_STATUS	CT_REP	0;
	1421	0	CT_TBRCH	1490	BR_STATUS	CT_REP	0;
	1422	0	CT_TBRCH	1491	BR_STATUS	CT_REP	0;
	1423	0	CT_TBRCH	1492	BR_STATUS	CT_REP	0;
	1424	0	CT_TBRCH	1493	BR_STATUS	CT_REP	0;
	1425	0	CT_TBRCH	1494	BR_STATUS	CT_REP	0;
	1426	0	CT_TBRCH	1495	BR_STATUS	CT_REP	0;
	1427	0	CT_TBRCH	1496	BR_STATUS	CT_REP	0;
	1428	0	CT_TBRCH	1497	BR_STATUS	CT_REP	0;
	1429	0	CT_TBRCH	1498	BR_STATUS	CT_REP	0;
	1430	0	CT_TBRCH	1499	BR_STATUS	CT_REP	0;
	1431	0	CT_TBRCH	1500	BR_STATUS	CT_REP	0;
	1432	0	CT_TBRCH	1501	BR_STATUS	CT_REP	0;
	1433	0	CT_TBRCH	1502	BR_STATUS	CT_REP	0;
	1434	0	CT_TBRCH	1503	BR_STATUS	CT_REP	0;
	1435	0	CT_TBRCH	1504	BR_STATUS	CT_REP	0;
	1436	0	CT_TBRCH	1505	BR_STATUS	CT_REP	0;
	1437	0	CT_TBRCH	1506	BR_STATUS	CT_REP	0;
	1438	0	CT_TBRCH	1507	BR_STATUS	CT_REP	0;
	1439	0	CT_TBRCH	1508	BR_STATUS	CT_REP	0;
	1440	0	CT_TBRCH	1509	BR_STATUS	CT_REP	0;
	1441	0	CT_TBRCH	1510	BR_STATUS	CT_REP	0;
	1442	0	CT_TBRCH	1511	BR_STATUS	CT_REP	0;
	1443	0	CT_TBRCH	1513	BR_STATUS	CT_REP	0;
	1444	0	CT_TBRCH	1514	BR_STATUS	CT_REP	0;
	1445	0	CT_TBRCH	1517	BR_STATUS	CT_REP	0;
	1446	0	CT_TBRCH	1518	BR_STATUS	CT_REP	0;
	1447	0	CT_TBRCH	1519	BR_STATUS	CT_REP	0;
	1448	0	CT_TBRCH	1520	BR_STATUS	CT_REP	0;
	1449	0	CT_TBRCH	1521	BR_STATUS	CT_REP	0;
	1450	0	CT_TBRCH	1522	BR_STATUS	CT_REP	0;
	1451	0	CT_TBRCH	1523	BR_STATUS	CT_REP	0;
	1452	0	CT_TBRCH	1524	BR_STATUS	CT_REP	0;
	1453	0	CT_TBRCH	1525	BR_STATUS	CT_REP	0;
	1454	0	CT_TBRCH	1526	BR_STATUS	CT_REP	0;
	1455	0	CT_TBRCH	1527	BR_STATUS	CT_REP	0;
	1456	0	CT_TBRCH	1528	BR_STATUS	CT_REP	0;
	1457	0	CT_TBRCH	1529	BR_STATUS	CT_REP	0;
	1458	0	CT_TBRCH	1531	BR_STATUS	CT_REP	0;
	1459	0	CT_TBRCH	1532	BR_STATUS	CT_REP	0;
	1460	0	CT_TBRCH	1534	BR_STATUS	CT_REP	0;
	1461	0	CT_TBRCH	1536	BR_STATUS	CT_REP	0;
	1462	0	CT_TBRCH	1537	BR_STATUS	CT_REP	0;
	1463	0	CT_TBRCH	1538	BR_STATUS	CT_REP	0;
	1464	0	CT_TBRCH	1539	BR_STATUS	CT_REP	0;
	1465	0	CT_TBRCH	1540	BR_STATUS	CT_REP	0;
	1466	0	CT_TBRCH	1541	BR_STATUS	CT_REP	0;
	1467	0	CT_TBRCH	1542	BR_STATUS	CT_REP	0;
	1468	0	CT_TBRCH	1543	BR_STATUS	CT_REP	0;
	1469	0	CT_TBRCH	1544	BR_STATUS	CT_REP	0;
	1470	0	CT_TBRCH	1545	BR_STATUS	CT_REP	0;
	1471	0	CT_TBRCH	1546	BR_STATUS	CT_REP	0;
	1472	0	CT_TBRCH	1547	BR_STATUS	CT_REP	0;
	1473	0	CT_TBRCH	1548	BR_STATUS	CT_REP	0;
	1474	0	CT_TBRCH	1549	BR_STATUS	CT_REP	0;
	1475	0	CT_TBRCH	1550	BR_STATUS	CT_REP	0;
	1476	0	CT_TBRCH	1551	BR_STATUS	CT_REP	0;
	1477	0	CT_TBRCH	1552	BR_STATUS	CT_REP	0;
	1478	0	CT_TBRCH	1553	BR_STATUS	CT_REP	0;
	1479	0	CT_TBRCH	1554	BR_STATUS	CT_REP	0;
	1480	0	CT_TBRCH	1555	BR_STATUS	CT_REP	0;
	1481	0	CT_TBRCH	1556	BR_STATUS	CT_REP	0;
	1482	0	CT_TBRCH	1557	BR_STATUS	CT_REP	0;
	1483	0	CT_TBRCH	1558	BR_STATUS	CT_REP	0;
	1484	0	CT_TBRCH	1559	BR_STATUS	CT_REP	0;
	1485	0	CT_TBRCH	1560	BR_STATUS	CT_REP	0;
	1486	0	CT_TBRCH	1561	BR_STATUS	CT_REP	0;
	1487	0	CT_TBRCH	1562	BR_STATUS	CT_REP	0;
	1488	0	CT_TBRCH	1563	BR_STATUS	CT_REP	0;
	1489	0	CT_TBRCH	1564	BR_STATUS	CT_REP	0;
	1490	0	CT_TBRCH	1565	BR_STATUS	CT_REP	0;
	1491	0	CT_TBRCH	1566	BR_STATUS	CT_REP	0;
	1492	0	CT_TBRCH	1567	BR_STATUS	CT_REP	0;
	1493	0	CT_TBRCH	1568	BR_STATUS	CT_REP	0;
	1494	0	CT_TBRCH	1569	BR_STATUS	CT_REP	0;
	1495	0	CT_TBRCH	1570	BR_STATUS	CT_REP	0;
	1496	0	CT_TBRCH	1571	BR_STATUS	CT_REP	0;
	1497	0	CT_TBRCH	1572	BR_STATUS	CT_REP	0;
	1498	0	CT_TBRCH	1573	BR_STATUS	CT_REP	0;
	1499	0	CT_TBRCH	1574	BR_STATUS	CT_REP	0;
	1500	0	CT_TBRCH	1575	BR_STATUS	CT_REP	0;
	1501	0	CT_TBRCH	1576	BR_STATUS	CT_REP	0;
	1502	0	CT_TBRCH	1577	BR_STATUS	CT_REP	0;
	1503	0	CT_TBRCH	1579	BR_STATUS	CT_REP	0;
	1504	0	CT_TBRCH	1580	BR_STATUS	CT_REP	0;
	1505	0	CT_TBRCH	1581	BR_STATUS	CT_REP	0;
	1506	0	CT_TBRCH	1584	BR_STATUS	CT_REP	0;
	1507	0	CT_TBRCH	1585	BR_STATUS	CT_REP	0;
	1508	0	CT_TBRCH	1587	BR_STATUS	CT_REP	0;
	1509	0	CT_TBRCH	1590	BR_STATUS	CT_REP	0;
	1510	0	CT_TBRCH	1591	BR_STATUS	CT_REP	0;
	1511	0	CT_TBRCH	1592	BR_STATUS	CT_REP	0;
	1512	0	CT_TBRCH	1593	BR_STATUS	CT_REP	0;
	1513	0	CT_TBRCH	1594	BR_STATUS	CT_REP	0;
	1514	0	CT_TBRCH	1595	BR_STATUS	CT_REP	0;
	1515	0	CT_TBRCH	1596	BR_STATUS	CT_REP	0;
	1516	0	CT_TBRCH	1597	BR_STATUS	CT_REP	0;
	1517	0	CT_TBRCH	1598	BR_STATUS	CT_REP	0;
	1518	0	CT_TBRCH	1599	BR_STATUS	CT_REP	0;
	1519	0	CT_TBRCH	1600	BR_STATUS	CT_REP	0;
	1520	0	CT_TBRCH	1601	BR_STATUS	CT_REP	0;
	1521	0	CT_TBRCH	1602	BR_STATUS	CT_REP	0;
	1522	0	CT_TBRCH	1603	BR_STATUS	CT_REP	0;
	1523	0	CT_TBRCH	1604	BR_STATUS	CT_REP	0;
	1524	0	CT_TBRCH	1605	BR_STATUS	CT_REP	0;
	1525	0	CT_TBRCH	1606	BR_STATUS	CT_REP	0;
	1526	0	CT_TBRCH	1607	BR_STATUS	CT_REP	0;
	1527	0	CT_TBRCH	1608	BR_STATUS	CT_REP	0;
	1528	0	CT_TBRCH	1609	BR_STATUS	CT_REP	0;
	1529	0	CT_TBRCH	1610	BR_STATUS	CT_REP	0;
	1530	0	CT_TBRCH	1611	BR_STATUS	CT_REP	0;
	1531	0	CT_TBRCH	1612	BR_STATUS	CT_REP	0;
	1532	0	CT_TBRCH	1613	BR_STATUS	CT_REP	0;
	1533	0	CT_TBRCH	1615	BR_STATUS	CT_REP	0;
	1534	0	CT_TBRCH	1616	BR_STATUS	CT_REP	0;
	1535	0	CT_TBRCH	1618	BR_STATUS	CT_REP	0;
	1536	0	CT_TBRCH	1620	BR_STATUS	CT_REP	0;
	1537	0	CT_TBRCH	1621	BR_STATUS	CT_REP	0;
	1538	0	CT_TBRCH	1622	BR_STATUS	CT_REP	0;
	1539	0	CT_TBRCH	1623	BR_STATUS	CT_REP	0;
	1540	0	CT_TBRCH	1624	BR_STATUS	CT_REP	0;
	1541	0	CT_TBRCH	1625	BR_STATUS	CT_REP	0;
	1542	0	CT_TBRCH	1626	BR_STATUS	CT_REP	0;
	1543	0	CT_TBRCH	1627	BR_STATUS	CT_REP	0;
	1544	0	CT_TBRCH	1628	BR_STATUS	CT_REP	0;
	1545	0	CT_TBRCH	1629	BR_STATUS	CT_REP	0;
	1546	0	CT_TBRCH	1630	BR_STATUS	CT_REP	0;
	1547	0	CT_TBRCH	1631	BR_STATUS	CT_REP	0;
	1548	0	CT_TBRCH	1632	BR_STATUS	CT_REP	0;
	1549	0	CT_TBRCH	1633	BR_STATUS	CT_REP	0;
	1550	0	CT_TBRCH	1634	BR_STATUS	CT_REP	0;
	1551	0	CT_TBRCH	1635	BR_STATUS	CT_REP	0;
	1552	0	CT_TBRCH	1636	BR_STATUS	CT_REP	0;
	1553	0	CT_TBRCH	1637	BR_STATUS	CT_REP	0;
	1554	0	CT_TBRCH	1638	BR_STATUS	CT_REP	0;
	1555	0	CT_TBRCH	1639	BR_STATUS	CT_REP	0;
	1556	0	CT_TBRCH	1640	BR_STATUS	CT_REP	0;
	1557	0	CT_TBRCH	1641	BR_STATUS	CT_REP	0;
	1558	0	CT_TBRCH	1642	BR_STATUS	CT_REP	0;
	1559	0	CT_TBRCH	1643	BR_STATUS	CT_REP	0;
	1560	0	CT_TBRCH	1644	BR_STATUS	CT_REP	0;
	1561	0	CT_TBRCH	1645	BR_STATUS	CT_REP	0;
	1562	0	CT_TBRCH	1646	BR_STATUS	CT_REP	0;
	1563	0	CT_TBRCH	1647	BR_STATUS	CT_REP	0;
	1564	0	CT_TBRCH	1648	BR_STATUS	CT_REP	0;
	1565	0	CT_TBRCH	1649	BR_STATUS	CT_REP	0;
	1566	0	CT_TBRCH	1650	BR_STATUS	CT_REP	0;
	1567	0	CT_TBRCH	1651	BR_STATUS	CT_REP	0;
	1568	0	CT_TBRCH	1652	BR_STATUS	CT_REP	0;
	1569	0	CT_TBRCH	1653	BR_STATUS	CT_REP	0;
	1570	0	CT_TBRCH	1654	BR_STATUS	CT_REP	0;
	1571	0	CT_TBRCH	1655	BR_STATUS	CT_REP	0;
	1572	0	CT_TBRCH	1656	BR_STATUS	CT_REP	0;
	1573	0	CT_TBRCH	1657	BR_STATUS	CT_REP	0;
	1574	0	CT_TBRCH	1658	BR_STATUS	CT_REP	0;
	1575	0	CT_TBRCH	1659	BR_STATUS	CT_REP	0;
	1576	0	CT_TBRCH	1660	BR_STATUS	CT_REP	0;
	1577	0	CT_TBRCH	1661	BR_STATUS	CT_REP	0;
	1578	0	CT_TBRCH	1662	BR_STATUS	CT_REP	0;
	1579	0	CT_TBRCH	1663	BR_STATUS	CT_REP	0;
	1580	0	CT_TBRCH	1664	BR_STATUS	CT_REP	0;
	1581	0	CT_TBRCH	1665	BR_STATUS	CT_REP	0;
	1582	0	CT_TBRCH	1666	BR_STATUS	CT_REP	0;
	1583	0	CT_TBRCH	1667	BR_STATUS	CT_REP	0;
	1584	0	CT_TBRCH	1668	BR_STATUS	CT_REP	0;
	1585	0	CT_TBRCH	1669	BR_STATUS	CT_REP	0;
	1586	0	CT_TBRCH	1670	BR_STATUS	CT_REP	0;
	1587	0	CT_TBRCH	1671	BR_STATUS	CT_REP	0;
	1588	0	CT_TBRCH	1672	BR_STATUS	CT_REP	0;
	1589	0	CT_TBRCH	1673	BR_STATUS	CT_REP	0;
	1590	0	CT_TBRCH	1674	BR_STATUS	CT_REP	0;
	1591	0	CT_TBRCH	1675	BR_STATUS	CT_REP	0;
	1592	0	CT_TBRCH	1676	BR_STATUS	CT_REP	0;
	1593	0	CT_TBRCH	1677	BR_STATUS	CT_REP	0;
	1594	0	CT_TBRCH	1678	BR_STATUS	CT_REP	0;
	1595	0	CT_TBRCH	1679	BR_STATUS	CT_REP	0;
	1596	0	CT_TBRCH	1680	BR_STATUS	CT_REP	0;
	1597	0	CT_TBRCH	1681	BR_STATUS	CT_REP	0;
	1598	0	CT_TBRCH	1682	BR_STATUS	CT_REP	0;
	1599	0	CT_TBRCH	1683	BR_STATUS	CT_REP	0;
	1600	0	CT_TBRCH	1684	BR_STATUS	CT_REP	0;
	1601	0	CT_TBRCH	1685	BR_STATUS	CT_REP	0;
	1602	0	CT_TBRCH	1686	BR_STATUS	CT_REP	0;
	1603	0	CT_TBRCH	1687	BR_STATUS	CT_REP	0;
	1604	0	CT_TBRCH	1688	BR_STATUS	CT_REP	0;
	1605	0	CT_TBRCH	1689	BR_STATUS	CT_REP	0;
	1606	0	CT_TBRCH	1690	BR_STATUS	CT_REP	0;
	1607	0	CT_TBRCH	1691	BR_STATUS	CT_REP	0;
	1608	0	CT_TBRCH	1692	BR_STATUS	CT_REP	0;
	1609	0	CT_TBRCH	1693	BR_STATUS	CT_REP	0;
	1610	0	CT_TBRCH	1694	BR_STATUS	CT_REP	0;
	1611	0	CT_TBRCH	1695	BR_STATUS	CT_REP	0;
	1612	0	CT_TBRCH	1696	BR_STATUS	CT_REP	0;
	1613	0	CT_TBRCH	1697	BR_STATUS	CT_REP	0;
	1614	0	CT_TBRCH	1698	BR_STATUS	CT_REP	0;
	1615	0	CT_TBRCH	1699	BR_STATUS	CT_REP	0;
	1616	0	CT_TBRCH	1700	BR_STATUS	CT_REP	0;
	1617	0	CT_TBRCH	1701	BR_STATUS	CT_REP	0;
	1618	0	CT_TBRCH	1702	BR_STATUS	CT_REP	0;
	1619	0	CT_TBRCH	1703	BR_STATUS	CT_REP	0;
	1620	0	CT_TBRCH	1704	BR_STATUS	CT_REP	0;
	1621	0	CT_TBRCH	1705	BR_STATUS	CT_REP	0;
	1622	0	CT_TBRCH	1706	BR_STATUS	CT_REP	0;
	1623	0	CT_TBRCH	1708	BR_STATUS	CT_REP	0;
	1624	0	CT_TBRCH	1710	BR_STATUS	CT_REP	0;
	1625	0	CT_TBRCH	1711	BR_STATUS	CT_REP	0;
	1626	0	CT_TBRCH	1713	BR_STATUS	CT_REP	0;
	1627	0	CT_TBRCH	1714	BR_STATUS	CT_REP	0;
	1628	0	CT_TBRCH	1715	BR_STATUS	CT_REP	0;
	1629	0	CT_TBRCH	1716	BR_STATUS	CT_REP	0;
	1630	0	CT_TBRCH	1717	BR_STATUS	CT_REP	0;
	1631	0	CT_TBRCH	1718	BR_STATUS	CT_REP	0;
	1632	0	CT_TBRCH	1719	BR_STATUS	CT_REP	0;
	1633	0	CT_TBRCH	1720	BR_STATUS	CT_REP	0;
	1634	0	CT_TBRCH	1721	BR_STATUS	CT_REP	0;
	1635	0	CT_TBRCH	1722	BR_STATUS	CT_REP	0;
	1636	0	CT_TBRCH	1723	BR_STATUS	CT_REP	0;
	1637	0	CT_TBRCH	1724	BR_STATUS	CT_REP	0;
	1638	0	CT_TBRCH	1725	BR_STATUS	CT_REP	0;
	1639	0	CT_TBRCH	1726	BR_STATUS	CT_REP	0;
	1640	0	CT_TBRCH	1727	BR_STATUS	CT_REP	0;
	1641	0	CT_TBRCH	1728	BR_STATUS	CT_REP	0;
	1642	0	CT_TBRCH	1729	BR_STATUS	CT_REP	0;
	1643	0	CT_TBRCH	1730	BR_STATUS	CT_REP	0;
	1644	0	CT_TBRCH	1731	BR_STATUS	CT_REP	0;
	1645	0	CT_TBRCH	1732	BR_STATUS	CT_REP	0;
	1646	0	CT_TBRCH	1733	BR_STATUS	CT_REP	0;
	1647	0	CT_TBRCH	1734	BR_STATUS	CT_REP	0;
	1648	0	CT_TBRCH	1735	BR_STATUS	CT_REP	0;
	1649	0	CT_TBRCH	1736	BR_STATUS	CT_REP	0;
	1650	0	CT_TBRCH	1737	BR_STATUS	CT_REP	0;
	1651	0	CT_TBRCH	1738	BR_STATUS	CT_REP	0;
	1652	0	CT_TBRCH	1739	BR_STATUS	CT_REP	0;
	1653	0	CT_TBRCH	1740	BR_STATUS	CT_REP	0;
	1654	0	CT_TBRCH	1741	BR_STATUS	CT_REP	0;
	1655	0	CT_TBRCH	1742	BR_STATUS	CT_REP	0;
	1656	0	CT_TBRCH	1743	BR_STATUS	CT_REP	0;
	1657	0	CT_TBRCH	1744	BR_STATUS	CT_REP	0;
	1658	0	CT_TBRCH	1745	BR_STATUS	CT_REP	0;
	1659	0	CT_TBRCH	1746	BR_STATUS	CT_REP	0;
	1660	0	CT_TBRCH	1747	BR_STATUS	CT_REP	0;
	1661	0	CT_TBRCH	1748	BR_STATUS	CT_REP	0;
	1662	0	CT_TBRCH	1749	BR_STATUS	CT_REP	0;
	1663	0	CT_TBRCH	1750	BR_STATUS	CT_REP	0;
	1664	0	CT_TBRCH	1751	BR_STATUS	CT_REP	0;
	1665	0	CT_TBRCH	1752	BR_STATUS	CT_REP	0;
	1666	0	CT_TBRCH	1753	BR_STATUS	CT_REP	0;
	1667	0	CT_TBRCH	1754	BR_STATUS	CT_REP	0;
	1668	0	CT_TBRCH	1755	BR_STATUS	CT_REP	0;
	1669	0	CT_TBRCH	1756	BR_STATUS	CT_REP	0;
	1670	0	CT_TBRCH	1757	BR_STATUS	CT_REP	0;
	1671	0	CT_TBRCH	1758	BR_STATUS	CT_REP	0;
	1672	0	CT_TBRCH	1759	BR_STATUS	CT_REP	0;
	1673	0	CT_TBRCH	1760	BR_STATUS	CT_REP	0;
	1674	0	CT_TBRCH	1761	BR_STATUS	CT_REP	0;
	1675	0	CT_TBRCH	1762	BR_STATUS	CT_REP	0;
	1676	0	CT_TBRCH	1763	BR_STATUS	CT_REP	0;
	1677	0	CT_TBRCH	1764	BR_STATUS	CT_REP	0;
	1678	0	CT_TBRCH	1765	BR_STATUS	CT_REP	0;
	1679	0	CT_TBRCH	1766	BR_STATUS	CT_REP	0;
	1680	0	CT_TBRCH	1767	BR_STATUS	CT_REP	0;
	1681	0	CT_TBRCH	1768	BR_STATUS	CT_REP	0;
	1682	0	CT_TBRCH	1769	BR_STATUS	CT_REP	0;
	1683	0	CT_TBRCH	1770	BR_STATUS	CT_REP	0;
	1684	0	CT_TBRCH	1771	BR_STATUS	CT_REP	0;
	1685	0	CT_TBRCH	1772	BR_STATUS	CT_REP	0;
	1686	0	CT_TBRCH	1773	BR_STATUS	CT_REP	0;
	1687	0	CT_TBRCH	1774	BR_STATUS	CT_REP	0;
	1688	0	CT_TBRCH	1775	BR_STATUS	CT_REP	0;
	1689	0	CT_TBRCH	1776	BR_STATUS	CT_REP	0;
	1690	0	CT_TBRCH	1777	BR_STATUS	CT_REP	0;
	1691	0	CT_TBRCH	1778	BR_STATUS	CT_REP	0;
	1692	0	CT_TBRCH	1779	BR_STATUS	CT_REP	0;
	1693	0	CT_TBRCH	1780	BR_STATUS	CT_REP	0;
	1694	0	CT_TBRCH	1781	BR_STATUS	CT_REP	0;
	1695	0	CT_TBRCH	1782	BR_STATUS	CT_REP	0;
	1696	0	CT_TBRCH	1783	BR_STATUS	CT_REP	0;
	1697	0	CT_TBRCH	1784	BR_STATUS	CT_REP	0;
	1698	0	CT_TBRCH	1785	BR_STATUS	CT_REP	0;
	1699	0	CT_TBRCH	1786	BR_STATUS	CT_REP	0;
	1700	0	CT_TBRCH	1787	BR_STATUS	CT_REP	0;
	1701	0	CT_TBRCH	1788	BR_STATUS	CT_REP	0;
	1702	0	CT_TBRCH	1789	BR_STATUS	CT_REP	0;
	1703	0	CT_TBRCH	1790	BR_STATUS	CT_REP	0;
	1704	0	CT_TBRCH	1791	BR_STATUS	CT_REP	0;
	1705	0	CT_TBRCH	1792	BR_STATUS	CT_REP	0;
	1706	0	CT_TBRCH	1793	BR_STATUS	CT_REP	0;
	1707	0	CT_TBRCH	1794	BR_STATUS	CT_REP	0;
	1708	0	CT_TBRCH	1795	BR_STATUS	CT_REP	0;
	1709	0	CT_TBRCH	1796	BR_STATUS	CT_REP	0;
	1710	0	CT_TBRCH	1797	BR_STATUS	CT_REP	0;
	1711	0	CT_TBRCH	1798	BR_STATUS	CT_REP	0;
	1712	0	CT_TBRCH	1799	BR_STATUS	CT_REP	0;
	1713	0	CT_TBRCH	1800	BR_STATUS	CT_REP	0;
	1714	0	CT_TBRCH	1801	BR_STATUS	CT_REP	0;
	1715	0	CT_TBRCH	1802	BR_STATUS	CT_REP	0;
	1716	0	CT_TBRCH	1803	BR_STATUS	CT_REP	0;
	1717	0	CT_TBRCH	1804	BR_STATUS	CT_REP	0;
	1718	0	CT_TBRCH	1805	BR_STATUS	CT_REP	0;
	1719	0	CT_TBRCH	1806	BR_STATUS	CT_REP	0;
	1720	0	CT_TBRCH	1807	BR_STATUS	CT_REP	0;
	1721	0	CT_TBRCH	1808	BR_STATUS	CT_REP	0;
	1722	0	CT_TBRCH	1809	BR_STATUS	CT_REP	0;
	1723	0	CT_TBRCH	1810	BR_STATUS	CT_REP	0;
	1724	0	CT_TBRCH	1811	BR_STATUS	CT_REP	0;
	1725	0	CT_TBRCH	1812	BR_STATUS	CT_REP	0;
	1726	0	CT_TBRCH	1813	BR_STATUS	CT_REP	0;
	1727	0	CT_TBRCH	1814	BR_STATUS	CT_REP	0;
	1728	0	CT_TBRCH	1815	BR_STATUS	CT_REP	0;
	1729	0	CT_TBRCH	1816	BR_STATUS	CT_REP	0;
	1730	0	CT_TBRCH	1817	BR_STATUS	CT_REP	0;
	1731	0	CT_TBRCH	1818	BR_STATUS	CT_REP	0;
	1732	0	CT_TBRCH	1819	BR_STATUS	CT_REP	0;
	1733	0	CT_TBRCH	1820	BR_STATUS	CT_REP	0;
	1734	0	CT_TBRCH	1821	BR_STATUS	CT_REP	0;
	1735	0	CT_TBRCH	1822	BR_STATUS	CT_REP	0;
	1736	0	CT_TBRCH	1823	BR_STATUS	CT_REP	0;
	1737	0	CT_TBRCH	1824	BR_STATUS	CT_REP	0;
	1738	0	CT_TBRCH	1825	BR_STATUS	CT_REP	0;
	1739	0	CT_TBRCH	1826	BR_STATUS	CT_REP	0;
	1740	0	CT_TBRCH	1827	BR_STATUS	CT_REP	0;
	1741	0	CT_TBRCH	1828	BR_STATUS	CT_REP	0;
	1742	0	CT_TBRCH	1829	BR_STATUS	CT_REP	0;
	1743	0	CT_TBRCH	1830	BR_STATUS	CT_REP	0;
	1744	0	CT_TBRCH	1831	BR_STATUS	CT_REP	0;
	1745	0	CT_TBRCH	1832	BR_STATUS	CT_REP	0;
	1746	0	CT_TBRCH	1833	BR_STATUS	CT_REP	0;
	1747	0	CT_TBRCH	1834	BR_STATUS	CT_REP	0;
	1748	0	CT_TBRCH	1835	BR_STATUS	CT_REP	0;
	1749	0	CT_TBRCH	1836	BR_STATUS	CT_REP	0;
	1750	0	CT_TBRCH	1837	BR_STATUS	CT_REP	0;
	1751	0	CT_TBRCH	1838	BR_STATUS	CT_REP	0;
	1752	0	CT_TBRCH	1839	BR_STATUS	CT_REP	0;
	1753	0	CT_TBRCH	1840	BR_STATUS	CT_REP	0;
	1754	0	CT_TBRCH	1841	BR_STATUS	CT_REP	0;
	1755	0	CT_TBRCH	1842	BR_STATUS	CT_REP	0;
	1756	0	CT_TBRCH	1843	BR_STATUS	CT_REP	0;
	1757	0	CT_TBRCH	1844	BR_STATUS	CT_REP	0;
	1758	0	CT_TBRCH	1848	BR_STATUS	CT_REP	0;
	1759	0	CT_TBRCH	1849	BR_STATUS	CT_REP	0;
	1760	0	CT_TBRCH	1850	BR_STATUS	CT_REP	0;
	1761	0	CT_TBRCH	1851	BR_STATUS	CT_REP	0;
	1762	0	CT_TBRCH	1852	BR_STATUS	CT_REP	0;
	1763	0	CT_TBRCH	1853	BR_STATUS	CT_REP	0;
	1764	0	CT_TBRCH	1854	BR_STATUS	CT_REP	0;
	1765	0	CT_TBRCH	1855	BR_STATUS	CT_REP	0;
	1766	0	CT_TBRCH	1856	BR_STATUS	CT_REP	0;
	1767	0	CT_TBRCH	1857	BR_STATUS	CT_REP	0;
	1768	0	CT_TBRCH	1858	BR_STATUS	CT_REP	0;
	1769	0	CT_TBRCH	1859	BR_STATUS	CT_REP	0;
	1770	0	CT_TBRCH	1860	BR_STATUS	CT_REP	0;
	1771	0	CT_TBRCH	1861	BR_STATUS	CT_REP	0;
	1772	0	CT_TBRCH	1862	BR_STATUS	CT_REP	0;
	1773	0	CT_TBRCH	1863	BR_STATUS	CT_REP	0;
	1774	0	CT_TBRCH	1864	BR_STATUS	CT_REP	0;
	1775	0	CT_TBRCH	1865	BR_STATUS	CT_REP	0;
	1776	0	CT_TBRCH	1866	BR_STATUS	CT_REP	0;
	1777	0	CT_TBRCH	1867	BR_STATUS	CT_REP	0;
	1778	0	CT_TBRCH	1868	BR_STATUS	CT_REP	0;
	1779	0	CT_TBRCH	1869	BR_STATUS	CT_REP	0;
	1780	0	CT_TBRCH	1870	BR_STATUS	CT_REP	0;
	1781	0	CT_TBRCH	1871	BR_STATUS	CT_REP	0;
	1782	0	CT_TBRCH	1872	BR_STATUS	CT_REP	0;
	1783	0	CT_TBRCH	1873	BR_STATUS	CT_REP	0;
	1784	0	CT_TBRCH	1874	BR_STATUS	CT_REP	0;
	1785	0	CT_TBRCH	1875	BR_STATUS	CT_REP	0;
	1786	0	CT_TBRCH	1876	BR_STATUS	CT_REP	0;
	1787	0	CT_TBRCH	1877	BR_STATUS	CT_REP	0;
	1788	0	CT_TBRCH	1878	BR_STATUS	CT_REP	0;
	1789	0	CT_TBRCH	1879	BR_STATUS	CT_REP	0;
	1790	0	CT_TBRCH	1880	BR_STATUS	CT_REP	0;
	1791	0	CT_TBRCH	1881	BR_STATUS	CT_REP	0;
	1792	0	CT_TBRCH	1882	BR_STATUS	CT_REP	0;
	1793	0	CT_TBRCH	1883	BR_STATUS	CT_REP	0;
	1794	0	CT_TBRCH	1884	BR_STATUS	CT_REP	0;
	1795	0	CT_TBRCH	1885	BR_STATUS	CT_REP	0;
	1796	0	CT_TBRCH	1886	BR_STATUS	CT_REP	0;
	1797	0	CT_TBRCH	1887	BR_STATUS	CT_REP	0;
	1798	0	CT_TBRCH	1888	BR_STATUS	CT_REP	0;
	1799	0	CT_TBRCH	1889	BR_STATUS	CT_REP	0;
	1800	0	CT_TBRCH	1890	BR_STATUS	CT_REP	0;
	1801	0	CT_TBRCH	1891	BR_STATUS	CT_REP	0;
	1802	0	CT_TBRCH	1892	BR_STATUS	CT_REP	0;
	1803	0	CT_TBRCH	1893	BR_STATUS	CT_REP	0;
	1804	0	CT_TBRCH	1894	BR_STATUS	CT_REP	0;
	1805	0	CT_TBRCH	1895	BR_STATUS	CT_REP	0;
	1806	0	CT_TBRCH	1896	BR_STATUS	CT_REP	0;
	1807	0	CT_TBRCH	1897	BR_STATUS	CT_REP	0;
	1808	0	CT_TBRCH	1898	BR_STATUS	CT_REP	0;
	1809	0	CT_TBRCH	1899	BR_STATUS	CT_REP	0;
	1810	0	CT_TBRCH	1900	BR_STATUS	CT_REP	0;
	1811	0	CT_TBRCH	1901	BR_STATUS	CT_REP	0;
	1812	0	CT_TBRCH	1902	BR_STATUS	CT_REP	0;
	1813	0	CT_TBRCH	1903	BR_STATUS	CT_REP	0;
	1814	0	CT_TBRCH	1904	BR_STATUS	CT_REP	0;
	1815	0	CT_TBRCH	1906	BR_STATUS	CT_REP	0;
	1816	0	CT_TBRCH	1909	BR_STATUS	CT_REP	0;
	1817	0	CT_TBRCH	1910	BR_STATUS	CT_REP	0;
	1818	0	CT_TBRCH	1911	BR_STATUS	CT_REP	0;
	1819	0	CT_TBRCH	1912	BR_STATUS	CT_REP	0;
	1820	0	CT_TBRCH	1913	BR_STATUS	CT_REP	0;
	1821	0	CT_TBRCH	1914	BR_STATUS	CT_REP	0;
	1822	0	CT_TBRCH	1915	BR_STATUS	CT_REP	0;
	1823	0	CT_TBRCH	1916	BR_STATUS	CT_REP	0;
	1824	0	CT_TBRCH	1917	BR_STATUS	CT_REP	0;
	1825	0	CT_TBRCH	1918	BR_STATUS	CT_REP	0;
	1826	0	CT_TBRCH	1919	BR_STATUS	CT_REP	0;
	1827	0	CT_TBRCH	1920	BR_STATUS	CT_REP	0;
	1828	0	CT_TBRCH	1921	BR_STATUS	CT_REP	0;
	1829	0	CT_TBRCH	1922	BR_STATUS	CT_REP	0;
	1830	0	CT_TBRCH	1923	BR_STATUS	CT_REP	0;
	1831	0	CT_TBRCH	1924	BR_STATUS	CT_REP	0;
	1832	0	CT_TBRCH	1925	BR_STATUS	CT_REP	0;
	1833	0	CT_TBRCH	1926	BR_STATUS	CT_REP	0;
	1834	0	CT_TBRCH	1927	BR_STATUS	CT_REP	0;
	1835	0	CT_TBRCH	1928	BR_STATUS	CT_REP	0;
	1836	0	CT_TBRCH	1929	BR_STATUS	CT_REP	0;
	1837	0	CT_TBRCH	1930	BR_STATUS	CT_REP	0;
	1838	0	CT_TBRCH	1931	BR_STATUS	CT_REP	0;
	1839	0	CT_TBRCH	1932	BR_STATUS	CT_REP	0;
	1840	0	CT_TBRCH	1933	BR_STATUS	CT_REP	0;
	1841	0	CT_TBRCH	1934	BR_STATUS	CT_REP	0;
	1842	0	CT_TBRCH	1935	BR_STATUS	CT_REP	0;
	1843	0	CT_TBRCH	1936	BR_STATUS	CT_REP	0;
	1844	0	CT_TBRCH	1937	BR_STATUS	CT_REP	0;
	1845	0	CT_TBRCH	1938	BR_STATUS	CT_REP	0;
	1846	0	CT_TBRCH	1939	BR_STATUS	CT_REP	0;
	1847	0	CT_TBRCH	1940	BR_STATUS	CT_REP	0;
	1848	0	CT_TBRCH	1941	BR_STATUS	CT_REP	0;
	1849	0	CT_TBRCH	1942	BR_STATUS	CT_REP	0;
	1850	0	CT_TBRCH	1943	BR_STATUS	CT_REP	0;
	1851	0	CT_TBRCH	1944	BR_STATUS	CT_REP	0;
	1852	0	CT_TBRCH	1945	BR_STATUS	CT_REP	0;
	1853	0	CT_TBRCH	1946	BR_STATUS	CT_REP	0;
	1854	0	CT_TBRCH	1947	BR_STATUS	CT_REP	0;
	1855	0	CT_TBRCH	1948	BR_STATUS	CT_REP	0;
	1856	0	CT_TBRCH	1949	BR_STATUS	CT_REP	0;
	1857	0	CT_TBRCH	1950	BR_STATUS	CT_REP	0;
	1858	0	CT_TBRCH	1951	BR_STATUS	CT_REP	0;
	1859	0	CT_TBRCH	1952	BR_STATUS	CT_REP	0;
	1860	0	CT_TBRCH	1953	BR_STATUS	CT_REP	0;
	1861	0	CT_TBRCH	1954	BR_STATUS	CT_REP	0;
	1862	0	CT_TBRCH	1955	BR_STATUS	CT_REP	0;
	1863	0	CT_TBRCH	1956	BR_STATUS	CT_REP	0;
	1864	0	CT_TBRCH	1957	BR_STATUS	CT_REP	0;
	1865	0	CT_TBRCH	1958	BR_STATUS	CT_REP	0;
	1866	0	CT_TBRCH	1959	BR_STATUS	CT_REP	0;
	1867	0	CT_TBRCH	1960	BR_STATUS	CT_REP	0;
	1868	0	CT_TBRCH	1961	BR_STATUS	CT_REP	0;
	1869	0	CT_TBRCH	1962	BR_STATUS	CT_REP	0;
	1870	0	CT_TBRCH	1963	BR_STATUS	CT_REP	0;
	1871	0	CT_TBRCH	1964	BR_STATUS	CT_REP	0;
	1872	0	CT_TBRCH	1965	BR_STATUS	CT_REP	0;
	1873	0	CT_TBRCH	1966	BR_STATUS	CT_REP	0;
	1874	0	CT_TBRCH	1967	BR_STATUS	CT_REP	0;
	1875	0	CT_TBRCH	1968	BR_STATUS	CT_REP	0;
	1876	0	CT_TBRCH	1969	BR_STATUS	CT_REP	0;
	1877	0	CT_TBRCH	1970	BR_STATUS	CT_REP	0;
	1878	0	CT_TBRCH	1971	BR_STATUS	CT_REP	0;
	1879	0	CT_TBRCH	1972	BR_STATUS	CT_REP	0;
	1880	0	CT_TBRCH	1973	BR_STATUS	CT_REP	0;
	1881	0	CT_TBRCH	1974	BR_STATUS	CT_REP	0;
	1882	0	CT_TBRCH	1975	BR_STATUS	CT_REP	0;
	1883	0	CT_TBRCH	1976	BR_STATUS	CT_REP	0;
	1884	0	CT_TBRCH	1977	BR_STATUS	CT_REP	0;
	1885	0	CT_TBRCH	1979	BR_STATUS	CT_REP	0;
	1886	0	CT_TBRCH	1985	BR_STATUS	CT_REP	0;
	1887	0	CT_TBRCH	1986	BR_STATUS	CT_REP	0;
	1888	0	CT_TBRCH	1987	BR_STATUS	CT_REP	0;
	1889	0	CT_TBRCH	1988	BR_STATUS	CT_REP	0;
	1890	0	CT_TBRCH	1989	BR_STATUS	CT_REP	0;
	1891	0	CT_TBRCH	1990	BR_STATUS	CT_REP	0;
	1892	0	CT_TBRCH	1991	BR_STATUS	CT_REP	0;
	1893	0	CT_TBRCH	1992	BR_STATUS	CT_REP	0;
	1894	0	CT_TBRCH	1993	BR_STATUS	CT_REP	0;
	1895	0	CT_TBRCH	1994	BR_STATUS	CT_REP	0;
	1896	0	CT_TBRCH	1995	BR_STATUS	CT_REP	0;
	1897	0	CT_TBRCH	1996	BR_STATUS	CT_REP	0;
	1898	0	CT_TBRCH	1997	BR_STATUS	CT_REP	0;
	1899	0	CT_TBRCH	1998	BR_STATUS	CT_REP	0;
	1900	0	CT_TBRCH	1999	BR_STATUS	CT_REP	0;
	1901	0	CT_TBRCH	2000	BR_STATUS	CT_REP	0;
	1902	0	CT_TBRCH	2001	BR_STATUS	CT_REP	0;
	1903	0	CT_TBRCH	2002	BR_STATUS	CT_REP	0;
	1904	0	CT_TBRCH	2003	BR_STATUS	CT_REP	0;
	1905	0	CT_TBRCH	2004	BR_STATUS	CT_REP	0;
	1906	0	CT_TBRCH	2005	BR_STATUS	CT_REP	0;
	1907	0	CT_TBRCH	2006	BR_STATUS	CT_REP	0;
	1908	0	CT_TBRCH	2008	BR_STATUS	CT_REP	0;
	1909	0	CT_TBRCH	2009	BR_STATUS	CT_REP	0;
	1910	0	CT_TBRCH	2013	BR_STATUS	CT_REP	0;
	1911	0	CT_TBRCH	2015	BR_STATUS	CT_REP	0;
	1912	0	CT_TBRCH	2017	BR_STATUS	CT_REP	0;
	1913	0	CT_TBRCH	2018	BR_STATUS	CT_REP	0;
	1914	0	CT_TBRCH	2019	BR_STATUS	CT_REP	0;
	1915	0	CT_TBRCH	2020	BR_STATUS	CT_REP	0;
	1916	0	CT_TBRCH	2021	BR_STATUS	CT_REP	0;
	1917	0	CT_TBRCH	2022	BR_STATUS	CT_REP	0;
	1918	0	CT_TBRCH	2023	BR_STATUS	CT_REP	0;
	1919	0	CT_TBRCH	2024	BR_STATUS	CT_REP	0;
	1920	0	CT_TBRCH	2025	BR_STATUS	CT_REP	0;
	1921	0	CT_TBRCH	2026	BR_STATUS	CT_REP	0;
	1922	0	CT_TBRCH	2027	BR_STATUS	CT_REP	0;
	1923	0	CT_TBRCH	2028	BR_STATUS	CT_REP	0;
	1924	0	CT_TBRCH	2029	BR_STATUS	CT_REP	0;
	1925	0	CT_TBRCH	2030	BR_STATUS	CT_REP	0;
	1926	0	CT_TBRCH	2031	BR_STATUS	CT_REP	0;
	1927	0	CT_TBRCH	2032	BR_STATUS	CT_REP	0;
	1928	0	CT_TBRCH	2033	BR_STATUS	CT_REP	0;
	1929	0	CT_TBRCH	2034	BR_STATUS	CT_REP	0;
	1930	0	CT_TBRCH	2035	BR_STATUS	CT_REP	0;
	1931	0	CT_TBRCH	2036	BR_STATUS	CT_REP	0;
	1932	0	CT_TBRCH	2037	BR_STATUS	CT_REP	0;
	1933	0	CT_TBRCH	2038	BR_STATUS	CT_REP	0;
	1934	0	CT_TBRCH	2039	BR_STATUS	CT_REP	0;
	1935	0	CT_TBRCH	2040	BR_STATUS	CT_REP	0;
	1936	0	CT_TBRCH	2041	BR_STATUS	CT_REP	0;
	1937	0	CT_TBRCH	2042	BR_STATUS	CT_REP	0;
	1938	0	CT_TBRCH	2043	BR_STATUS	CT_REP	0;
	1939	0	CT_TBRCH	2044	BR_STATUS	CT_REP	0;
	1940	0	CT_TBRCH	2046	BR_STATUS	CT_REP	0;
	1941	0	CT_TBRCH	2049	BR_STATUS	CT_REP	0;
	1942	0	CT_TBRCH	2050	BR_STATUS	CT_REP	0;
	1943	0	CT_TBRCH	2051	BR_STATUS	CT_REP	0;
	1944	0	CT_TBRCH	2052	BR_STATUS	CT_REP	0;
	1945	0	CT_TBRCH	2053	BR_STATUS	CT_REP	0;
	1946	0	CT_TBRCH	2054	BR_STATUS	CT_REP	0;
	1947	0	CT_TBRCH	2055	BR_STATUS	CT_REP	0;
	1948	0	CT_TBRCH	2056	BR_STATUS	CT_REP	0;
	1949	0	CT_TBRCH	2057	BR_STATUS	CT_REP	0;
	1950	0	CT_TBRCH	2058	BR_STATUS	CT_REP	0;
	1951	0	CT_TBRCH	2059	BR_STATUS	CT_REP	0;
	1952	0	CT_TBRCH	2060	BR_STATUS	CT_REP	0;
	1953	0	CT_TBRCH	2061	BR_STATUS	CT_REP	0;
	1954	0	CT_TBRCH	2062	BR_STATUS	CT_REP	0;
	1955	0	CT_TBRCH	2063	BR_STATUS	CT_REP	0;
	1956	0	CT_TBRCH	2064	BR_STATUS	CT_REP	0;
	1957	0	CT_TBRCH	2065	BR_STATUS	CT_REP	0;
	1958	0	CT_TBRCH	2066	BR_STATUS	CT_REP	0;
	1959	0	CT_TBRCH	2070	BR_STATUS	CT_REP	0;
	1960	0	CT_TBRCH	2071	BR_STATUS	CT_REP	0;
	1961	0	CT_TBRCH	2072	BR_STATUS	CT_REP	0;
	1962	0	CT_TBRCH	2073	BR_STATUS	CT_REP	0;
	1963	0	CT_TBRCH	2074	BR_STATUS	CT_REP	0;
	1964	0	CT_TBRCH	2075	BR_STATUS	CT_REP	0;
	1965	0	CT_TBRCH	2076	BR_STATUS	CT_REP	0;
	1966	0	CT_TBRCH	2077	BR_STATUS	CT_REP	0;
	1967	0	CT_TBRCH	2078	BR_STATUS	CT_REP	0;
	1968	0	CT_TBRCH	2079	BR_STATUS	CT_REP	0;
	1969	0	CT_TBRCH	2080	BR_STATUS	CT_REP	0;
	1970	0	CT_TBRCH	2081	BR_STATUS	CT_REP	0;
	1971	0	CT_TBRCH	2082	BR_STATUS	CT_REP	0;
	1972	0	CT_TBRCH	2083	BR_STATUS	CT_REP	0;
	1973	0	CT_TBRCH	2084	BR_STATUS	CT_REP	0;
	1974	0	CT_TBRCH	2085	BR_STATUS	CT_REP	0;
	1975	0	CT_TBRCH	2086	BR_STATUS	CT_REP	0;
	1976	0	CT_TBRCH	2087	BR_STATUS	CT_REP	0;
	1977	0	CT_TBRCH	2088	BR_STATUS	CT_REP	0;
	1978	0	CT_TBRCH	2089	BR_STATUS	CT_REP	0;
	1979	0	CT_TBRCH	2090	BR_STATUS	CT_REP	0;
	1980	0	CT_TBRCH	2091	BR_STATUS	CT_REP	0;
	1981	0	CT_TBRCH	2092	BR_STATUS	CT_REP	0;
	1982	0	CT_TBRCH	2093	BR_STATUS	CT_REP	0;
	1983	0	CT_TBRCH	2094	BR_STATUS	CT_REP	0;
	1984	0	CT_TBRCH	2095	BR_STATUS	CT_REP	0;
	1985	0	CT_TBRCH	2096	BR_STATUS	CT_REP	0;
	1986	0	CT_TBRCH	2097	BR_STATUS	CT_REP	0;
	1987	0	CT_TBRCH	2098	BR_STATUS	CT_REP	0;
	1988	0	CT_TBRCH	2099	BR_STATUS	CT_REP	0;
	1989	0	CT_TBRCH	2100	BR_STATUS	CT_REP	0;
	1990	0	CT_TBRCH	2101	BR_STATUS	CT_REP	0;
	1991	0	CT_TBRCH	2102	BR_STATUS	CT_REP	0;
	1992	0	CT_TBRCH	2103	BR_STATUS	CT_REP	0;
	1993	0	CT_TBRCH	2104	BR_STATUS	CT_REP	0;
	1994	0	CT_TBRCH	2105	BR_STATUS	CT_REP	0;
	1995	0	CT_TBRCH	2106	BR_STATUS	CT_REP	0;
	1996	0	CT_TBRCH	2107	BR_STATUS	CT_REP	0;
	1997	0	CT_TBRCH	2108	BR_STATUS	CT_REP	0;
	1998	0	CT_TBRCH	2109	BR_STATUS	CT_REP	0;
	1999	0	CT_TBRCH	2110	BR_STATUS	CT_REP	0;
	2000	0	CT_TBRCH	2111	BR_STATUS	CT_REP	0;
	2001	0	CT_TBRCH	2112	BR_STATUS	CT_REP	0;
	2002	0	CT_TBRCH	2113	BR_STATUS	CT_REP	0;
	2003	0	CT_TBRCH	2114	BR_STATUS	CT_REP	0;
	2004	0	CT_TBRCH	2115	BR_STATUS	CT_REP	0;
	2005	0	CT_TBRCH	2116	BR_STATUS	CT_REP	0;
	2006	0	CT_TBRCH	2117	BR_STATUS	CT_REP	0;
	2007	0	CT_TBRCH	2118	BR_STATUS	CT_REP	0;
	2008	0	CT_TBRCH	2119	BR_STATUS	CT_REP	0;
	2009	0	CT_TBRCH	2121	BR_STATUS	CT_REP	0;
	2010	0	CT_TBRCH	2124	BR_STATUS	CT_REP	0;
	2011	0	CT_TBRCH	2125	BR_STATUS	CT_REP	0;
	2012	0	CT_TBRCH	2126	BR_STATUS	CT_REP	0;
	2013	0	CT_TBRCH	2127	BR_STATUS	CT_REP	0;
	2014	0	CT_TBRCH	2128	BR_STATUS	CT_REP	0;
	2015	0	CT_TBRCH	2129	BR_STATUS	CT_REP	0;
	2016	0	CT_TBRCH	2131	BR_STATUS	CT_REP	0;
	2017	0	CT_TBRCH	2133	BR_STATUS	CT_REP	0;
	2018	0	CT_TBRCH	2134	BR_STATUS	CT_REP	0;
	2019	0	CT_TBRCH	2136	BR_STATUS	CT_REP	0;
	2020	0	CT_TBRCH	2137	BR_STATUS	CT_REP	0;
	2021	0	CT_TBRCH	2138	BR_STATUS	CT_REP	0;
	2022	0	CT_TBRCH	2139	BR_STATUS	CT_REP	0;
	2023	0	CT_TBRCH	2140	BR_STATUS	CT_REP	0;
	2024	0	CT_TBRCH	2141	BR_STATUS	CT_REP	0;
	2025	0	CT_TBRCH	2142	BR_STATUS	CT_REP	0;
	2026	0	CT_TBRCH	2143	BR_STATUS	CT_REP	0;
	2027	0	CT_TBRCH	2144	BR_STATUS	CT_REP	0;
	2028	0	CT_TBRCH	2145	BR_STATUS	CT_REP	0;
	2029	0	CT_TBRCH	2146	BR_STATUS	CT_REP	0;
	2030	0	CT_TBRCH	2147	BR_STATUS	CT_REP	0;
	2031	0	CT_TBRCH	2148	BR_STATUS	CT_REP	0;
	2032	0	CT_TBRCH	2149	BR_STATUS	CT_REP	0;
	2033	0	CT_TBRCH	2150	BR_STATUS	CT_REP	0;
	2034	0	CT_TBRCH	2151	BR_STATUS	CT_REP	0;
	2035	0	CT_TBRCH	2152	BR_STATUS	CT_REP	0;
	2036	0	CT_TBRCH	2155	BR_STATUS	CT_REP	0;
	2037	0	CT_TBRCH	2159	BR_STATUS	CT_REP	0;
	2038	0	CT_TBRCH	2160	BR_STATUS	CT_REP	0;
	2039	0	CT_TBRCH	2165	BR_STATUS	CT_REP	0;
	2040	0	CT_TBRCH	2166	BR_STATUS	CT_REP	0;
	2041	0	CT_TBRCH	2167	BR_STATUS	CT_REP	0;
	2042	0	CT_TBRCH	2168	BR_STATUS	CT_REP	0;
	2043	0	CT_TBRCH	2169	BR_STATUS	CT_REP	0;
	2044	0	CT_TBRCH	2170	BR_STATUS	CT_REP	0;
	2045	0	CT_TBRCH	2171	BR_STATUS	CT_REP	0;
	2046	0	CT_TBRCH	2172	BR_STATUS	CT_REP	0;
	2047	0	CT_TBRCH	2173	BR_STATUS	CT_REP	0;
	2048	0	CT_TBRCH	2174	BR_STATUS	CT_REP	0;
	2049	0	CT_TBRCH	2175	BR_STATUS	CT_REP	0;
	2050	0	CT_TBRCH	2176	BR_STATUS	CT_REP	0;
	2051	0	CT_TBRCH	2177	BR_STATUS	CT_REP	0;
	2052	0	CT_TBRCH	2178	BR_STATUS	CT_REP	0;
	2053	0	CT_TBRCH	2179	BR_STATUS	CT_REP	0;
	2054	0	CT_TBRCH	2180	BR_STATUS	CT_REP	0;
	2055	0	CT_TBRCH	2181	BR_STATUS	CT_REP	0;
	2056	0	CT_TBRCH	2182	BR_STATUS	CT_REP	0;
	2057	0	CT_TBRCH	2183	BR_STATUS	CT_REP	0;
	2058	0	CT_TBRCH	2184	BR_STATUS	CT_REP	0;
	2059	0	CT_TBRCH	2185	BR_STATUS	CT_REP	0;
	2060	0	CT_TBRCH	2186	BR_STATUS	CT_REP	0;
	2061	0	CT_TBRCH	2187	BR_STATUS	CT_REP	0;
	2062	0	CT_TBRCH	2188	BR_STATUS	CT_REP	0;
	2063	0	CT_TBRCH	2189	BR_STATUS	CT_REP	0;
	2064	0	CT_TBRCH	2190	BR_STATUS	CT_REP	0;
	2065	0	CT_TBRCH	2191	BR_STATUS	CT_REP	0;
	2066	0	CT_TBRCH	2192	BR_STATUS	CT_REP	0;
	2067	0	CT_TBRCH	2193	BR_STATUS	CT_REP	0;
	2068	0	CT_TBRCH	2194	BR_STATUS	CT_REP	0;
	2069	0	CT_TBRCH	2195	BR_STATUS	CT_REP	0;
	2070	0	CT_TBRCH	2196	BR_STATUS	CT_REP	0;
	2071	0	CT_TBRCH	2197	BR_STATUS	CT_REP	0;
	2072	0	CT_TBRCH	2198	BR_STATUS	CT_REP	0;
	2073	0	CT_TBRCH	2199	BR_STATUS	CT_REP	0;
	2074	0	CT_TBRCH	2201	BR_STATUS	CT_REP	0;
	2075	0	CT_TBRCH	2202	BR_STATUS	CT_REP	0;
	2076	0	CT_TBRCH	2203	BR_STATUS	CT_REP	0;
	2077	0	CT_TBRCH	2204	BR_STATUS	CT_REP	0;
	2078	0	CT_TBRCH	2207	BR_STATUS	CT_REP	0;
	2079	0	CT_TBRCH	2208	BR_STATUS	CT_REP	0;
	2080	0	CT_TBRCH	2209	BR_STATUS	CT_REP	0;
	2081	0	CT_TBRCH	2210	BR_STATUS	CT_REP	0;
	2082	0	CT_TBRCH	2211	BR_STATUS	CT_REP	0;
	2083	0	CT_TBRCH	2212	BR_STATUS	CT_REP	0;
	2084	0	CT_TBRCH	2213	BR_STATUS	CT_REP	0;
	2085	0	CT_TBRCH	2214	BR_STATUS	CT_REP	0;
	2086	0	CT_TBRCH	2215	BR_STATUS	CT_REP	0;
	2087	0	CT_TBRCH	2216	BR_STATUS	CT_REP	0;
	2088	0	CT_TBRCH	2217	BR_STATUS	CT_REP	0;
	2089	0	CT_TBRCH	2218	BR_STATUS	CT_REP	0;
	2090	0	CT_TBRCH	2219	BR_STATUS	CT_REP	0;
	2091	0	CT_TBRCH	2220	BR_STATUS	CT_REP	0;
	2092	0	CT_TBRCH	2221	BR_STATUS	CT_REP	0;
	2093	0	CT_TBRCH	2223	BR_STATUS	CT_REP	0;
	2094	0	CT_TBRCH	2224	BR_STATUS	CT_REP	0;
	2095	0	CT_TBRCH	2225	BR_STATUS	CT_REP	0;
	2096	0	CT_TBRCH	2226	BR_STATUS	CT_REP	0;
	2097	0	CT_TBRCH	2227	BR_STATUS	CT_REP	0;
	2098	0	CT_TBRCH	2228	BR_STATUS	CT_REP	0;
	2099	0	CT_TBRCH	2229	BR_STATUS	CT_REP	0;
	2100	0	CT_TBRCH	2230	BR_STATUS	CT_REP	0;
	2101	0	CT_TBRCH	2233	BR_STATUS	CT_REP	0;
	2102	0	CT_TBRCH	2234	BR_STATUS	CT_REP	0;
	2103	0	CT_TBRCH	2235	BR_STATUS	CT_REP	0;
	2104	0	CT_TBRCH	2237	BR_STATUS	CT_REP	0;
	2105	0	CT_TBRCH	2238	BR_STATUS	CT_REP	0;
	2106	0	CT_TBRCH	2239	BR_STATUS	CT_REP	0;
	2107	0	CT_TBRCH	2240	BR_STATUS	CT_REP	0;
	2108	0	CT_TBRCH	2243	BR_STATUS	CT_REP	0;
	2109	0	CT_TBRCH	2244	BR_STATUS	CT_REP	0;
	2110	0	CT_TBRCH	2245	BR_STATUS	CT_REP	0;
	2111	0	CT_TBRCH	2246	BR_STATUS	CT_REP	0;
	2112	0	CT_TBRCH	2247	BR_STATUS	CT_REP	0;
	2113	0	CT_TBRCH	2248	BR_STATUS	CT_REP	0;
	2114	0	CT_TBRCH	2252	BR_STATUS	CT_REP	0;
	2115	0	CT_TBRCH	2253	BR_STATUS	CT_REP	0;
	2116	0	CT_TBRCH	2254	BR_STATUS	CT_REP	0;
	2117	0	CT_TBRCH	2255	BR_STATUS	CT_REP	0;
	2118	0	CT_TBRCH	2256	BR_STATUS	CT_REP	0;
	2119	0	CT_TBRCH	2257	BR_STATUS	CT_REP	0;
	2120	0	CT_TBRCH	2258	BR_STATUS	CT_REP	0;
	2121	0	CT_TBRCH	2259	BR_STATUS	CT_REP	0;
	2122	0	CT_TBRCH	2260	BR_STATUS	CT_REP	0;
	2123	0	CT_TBRCH	2261	BR_STATUS	CT_REP	0;
	2124	0	CT_TBRCH	2262	BR_STATUS	CT_REP	0;
	2125	0	CT_TBRCH	2263	BR_STATUS	CT_REP	0;
	2126	0	CT_TBRCH	2264	BR_STATUS	CT_REP	0;
	2127	0	CT_TBRCH	2265	BR_STATUS	CT_REP	0;
	2128	0	CT_TBRCH	2266	BR_STATUS	CT_REP	0;
	2129	0	CT_TBRCH	2267	BR_STATUS	CT_REP	0;
	2130	0	CT_TBRCH	2268	BR_STATUS	CT_REP	0;
	2131	0	CT_TBRCH	2269	BR_STATUS	CT_REP	0;
	2132	0	CT_TBRCH	2270	BR_STATUS	CT_REP	0;
	2133	0	CT_TBRCH	2271	BR_STATUS	CT_REP	0;
	2134	0	CT_TBRCH	2272	BR_STATUS	CT_REP	0;
	2135	0	CT_TBRCH	2273	BR_STATUS	CT_REP	0;
	2136	0	CT_TBRCH	2274	BR_STATUS	CT_REP	0;
	2137	0	CT_TBRCH	2275	BR_STATUS	CT_REP	0;
	2138	0	CT_TBRCH	2276	BR_STATUS	CT_REP	0;
	2139	0	CT_TBRCH	2277	BR_STATUS	CT_REP	0;
	2140	0	CT_TBRCH	2278	BR_STATUS	CT_REP	0;
	2141	0	CT_TBRCH	2280	BR_STATUS	CT_REP	0;
	2142	0	CT_TBRCH	2281	BR_STATUS	CT_REP	0;
	2143	0	CT_TBRCH	2284	BR_STATUS	CT_REP	0;
	2144	0	CT_TBRCH	2285	BR_STATUS	CT_REP	0;
	2145	0	CT_TBRCH	2286	BR_STATUS	CT_REP	0;
	2146	0	CT_TBRCH	2287	BR_STATUS	CT_REP	0;
	2147	0	CT_TBRCH	2288	BR_STATUS	CT_REP	0;
	2148	0	CT_TBRCH	2289	BR_STATUS	CT_REP	0;
	2149	0	CT_TBRCH	2290	BR_STATUS	CT_REP	0;
	2150	0	CT_TBRCH	2291	BR_STATUS	CT_REP	0;
	2151	0	CT_TBRCH	2292	BR_STATUS	CT_REP	0;
	2152	0	CT_TBRCH	2293	BR_STATUS	CT_REP	0;
	2153	0	CT_TBRCH	2294	BR_STATUS	CT_REP	0;
	2154	0	CT_TBRCH	2295	BR_STATUS	CT_REP	0;
	2155	0	CT_TBRCH	2296	BR_STATUS	CT_REP	0;
	2156	0	CT_TBRCH	2297	BR_STATUS	CT_REP	0;
	2157	0	CT_TBRCH	2298	BR_STATUS	CT_REP	0;
	2158	0	CT_TBRCH	2299	BR_STATUS	CT_REP	0;
	2159	0	CT_TBRCH	2300	BR_STATUS	CT_REP	0;
	2160	0	CT_TBRCH	2301	BR_STATUS	CT_REP	0;
	2161	0	CT_TBRCH	2302	BR_STATUS	CT_REP	0;
	2162	0	CT_TBRCH	2303	BR_STATUS	CT_REP	0;
	2163	0	CT_TBRCH	2304	BR_STATUS	CT_REP	0;
	2164	0	CT_TBRCH	2305	BR_STATUS	CT_REP	0;
	2165	0	CT_TBRCH	2306	BR_STATUS	CT_REP	0;
	2166	0	CT_TBRCH	2307	BR_STATUS	CT_REP	0;
	2167	0	CT_TBRCH	2308	BR_STATUS	CT_REP	0;
	2168	0	CT_TBRCH	2309	BR_STATUS	CT_REP	0;
	2169	0	CT_TBRCH	2310	BR_STATUS	CT_REP	0;
	2170	0	CT_TBRCH	2311	BR_STATUS	CT_REP	0;
	2171	0	CT_TBRCH	2312	BR_STATUS	CT_REP	0;
	2172	0	CT_TBRCH	2313	BR_STATUS	CT_REP	0;
	2173	0	CT_TBRCH	2314	BR_STATUS	CT_REP	0;
	2174	0	CT_TBRCH	2315	BR_STATUS	CT_REP	0;
	2175	0	CT_TBRCH	2316	BR_STATUS	CT_REP	0;
	2176	0	CT_TBRCH	2317	BR_STATUS	CT_REP	0;
	2177	0	CT_TBRCH	2318	BR_STATUS	CT_REP	0;
	2178	0	CT_TBRCH	2319	BR_STATUS	CT_REP	0;
	2179	0	CT_TBRCH	2320	BR_STATUS	CT_REP	0;
	2180	0	CT_TBRCH	2321	BR_STATUS	CT_REP	0;
	2181	0	CT_TBRCH	2322	BR_STATUS	CT_REP	0;
	2182	0	CT_TBRCH	2323	BR_STATUS	CT_REP	0;
	2183	0	CT_TBRCH	2324	BR_STATUS	CT_REP	0;
	2184	0	CT_TBRCH	2325	BR_STATUS	CT_REP	0;
	2185	0	CT_TBRCH	2326	BR_STATUS	CT_REP	0;
	2186	0	CT_TBRCH	2327	BR_STATUS	CT_REP	0;
	2187	0	CT_TBRCH	2328	BR_STATUS	CT_REP	0;
	2188	0	CT_TBRCH	2329	BR_STATUS	CT_REP	0;
	2189	0	CT_TBRCH	2330	BR_STATUS	CT_REP	0;
	2190	0	CT_TBRCH	2331	BR_STATUS	CT_REP	0;
	2191	0	CT_TBRCH	2332	BR_STATUS	CT_REP	0;
	2192	0	CT_TBRCH	2333	BR_STATUS	CT_REP	0;
	2193	0	CT_TBRCH	2334	BR_STATUS	CT_REP	0;
	2194	0	CT_TBRCH	2335	BR_STATUS	CT_REP	0;
	2195	0	CT_TBRCH	2336	BR_STATUS	CT_REP	0;
	2196	0	CT_TBRCH	2337	BR_STATUS	CT_REP	0;
	2197	0	CT_TBRCH	2338	BR_STATUS	CT_REP	0;
	2198	0	CT_TBRCH	2339	BR_STATUS	CT_REP	0;
	2199	0	CT_TBRCH	2340	BR_STATUS	CT_REP	0;
	2200	0	CT_TBRCH	2341	BR_STATUS	CT_REP	0;
	2201	0	CT_TBRCH	2342	BR_STATUS	CT_REP	0;
	2202	0	CT_TBRCH	2343	BR_STATUS	CT_REP	0;
	2203	0	CT_TBRCH	2344	BR_STATUS	CT_REP	0;
	2204	0	CT_TBRCH	2345	BR_STATUS	CT_REP	0;
	2205	0	CT_TBRCH	2346	BR_STATUS	CT_REP	0;
	2206	0	CT_TBRCH	2347	BR_STATUS	CT_REP	0;
	2207	0	CT_TBRCH	2348	BR_STATUS	CT_REP	0;
	2208	0	CT_TBRCH	2349	BR_STATUS	CT_REP	0;
	2209	0	CT_TBRCH	2350	BR_STATUS	CT_REP	0;
	2210	0	CT_TBRCH	2351	BR_STATUS	CT_REP	0;
	2211	0	CT_TBRCH	2352	BR_STATUS	CT_REP	0;
	2212	0	CT_TBRCH	2353	BR_STATUS	CT_REP	0;
	2213	0	CT_TBRCH	2354	BR_STATUS	CT_REP	0;
	2214	0	CT_TBRCH	2355	BR_STATUS	CT_REP	0;
	2215	0	CT_TBRCH	2356	BR_STATUS	CT_REP	0;
	2216	0	CT_TBRCH	2357	BR_STATUS	CT_REP	0;
	2217	0	CT_TBRCH	2358	BR_STATUS	CT_REP	0;
	2218	0	CT_TBRCH	2359	BR_STATUS	CT_REP	0;
	2219	0	CT_TBRCH	2360	BR_STATUS	CT_REP	0;
	2220	0	CT_TBRCH	2361	BR_STATUS	CT_REP	0;
	2221	0	CT_TBRCH	2362	BR_STATUS	CT_REP	0;
	2222	0	CT_TBRCH	2363	BR_STATUS	CT_REP	0;
	2223	0	CT_TBRCH	2364	BR_STATUS	CT_REP	0;
	2224	0	CT_TBRCH	2365	BR_STATUS	CT_REP	0;
	2225	0	CT_TBRCH	2366	BR_STATUS	CT_REP	0;
	2226	0	CT_TBRCH	2367	BR_STATUS	CT_REP	0;
	2227	0	CT_TBRCH	2368	BR_STATUS	CT_REP	0;
	2228	0	CT_TBRCH	2369	BR_STATUS	CT_REP	0;
	2229	0	CT_TBRCH	2370	BR_STATUS	CT_REP	0;
	2230	0	CT_TBRCH	2371	BR_STATUS	CT_REP	0;
	2231	0	CT_TBRCH	2372	BR_STATUS	CT_REP	0;
	2232	0	CT_TBRCH	2373	BR_STATUS	CT_REP	0;
	2233	0	CT_TBRCH	2374	BR_STATUS	CT_REP	0;
	2234	0	CT_TBRCH	2375	BR_STATUS	CT_REP	0;
	2235	0	CT_TBRCH	2376	BR_STATUS	CT_REP	0;
	2236	0	CT_TBRCH	2377	BR_STATUS	CT_REP	0;
	2237	0	CT_TBRCH	2378	BR_STATUS	CT_REP	0;
	2238	0	CT_TBRCH	2379	BR_STATUS	CT_REP	0;
	2239	0	CT_TBRCH	2380	BR_STATUS	CT_REP	0;
	2240	0	CT_TBRCH	2381	BR_STATUS	CT_REP	0;
	2241	0	CT_TBRCH	2382	BR_STATUS	CT_REP	0;
	2242	0	CT_TBRCH	2383	BR_STATUS	CT_REP	0;
	2243	0	CT_TBRCH	2384	BR_STATUS	CT_REP	0;
	2244	0	CT_TBRCH	2385	BR_STATUS	CT_REP	0;
	2245	0	CT_TBRCH	2386	BR_STATUS	CT_REP	0;
	2246	0	CT_TBRCH	2387	BR_STATUS	CT_REP	0;
	2247	0	CT_TBRCH	2388	BR_STATUS	CT_REP	0;
	2248	0	CT_TBRCH	2389	BR_STATUS	CT_REP	0;
	2249	0	CT_TBRCH	2390	BR_STATUS	CT_REP	0;
	2250	0	CT_TBRCH	2391	BR_STATUS	CT_REP	0;
	2251	0	CT_TBRCH	2392	BR_STATUS	CT_REP	0;
	2252	0	CT_TBRCH	2393	BR_STATUS	CT_REP	0;
	2253	0	CT_TBRCH	2394	BR_STATUS	CT_REP	0;
	2254	0	CT_TBRCH	2395	BR_STATUS	CT_REP	0;
	2255	0	CT_TBRCH	2396	BR_STATUS	CT_REP	0;
	2256	0	CT_TBRCH	2397	BR_STATUS	CT_REP	0;
	2257	0	CT_TBRCH	2398	BR_STATUS	CT_REP	0;
	2258	0	CT_TBRCH	2399	BR_STATUS	CT_REP	0;
	2259	0	CT_TBRCH	2400	BR_STATUS	CT_REP	0;
	2260	0	CT_TBRCH	2401	BR_STATUS	CT_REP	0;
	2261	0	CT_TBRCH	2402	BR_STATUS	CT_REP	0;
	2262	0	CT_TBRCH	2403	BR_STATUS	CT_REP	0;
	2263	0	CT_TBRCH	2404	BR_STATUS	CT_REP	0;
	2264	0	CT_TBRCH	2405	BR_STATUS	CT_REP	0;
	2265	0	CT_TBRCH	2406	BR_STATUS	CT_REP	0;
	2266	0	CT_TBRCH	2407	BR_STATUS	CT_REP	0;
	2267	0	CT_TBRCH	2408	BR_STATUS	CT_REP	0;
	2268	0	CT_TBRCH	2409	BR_STATUS	CT_REP	0;
	2269	0	CT_TBRCH	2410	BR_STATUS	CT_REP	0;
	2270	0	CT_TBRCH	2411	BR_STATUS	CT_REP	0;
	2271	0	CT_TBRCH	2412	BR_STATUS	CT_REP	0;
	2272	0	CT_TBRCH	2413	BR_STATUS	CT_REP	0;
	2273	0	CT_TBRCH	2414	BR_STATUS	CT_REP	0;
	2274	0	CT_TBRCH	2415	BR_STATUS	CT_REP	0;
	2275	0	CT_TBRCH	2416	BR_STATUS	CT_REP	0;
	2276	0	CT_TBRCH	2417	BR_STATUS	CT_REP	0;
	2277	0	CT_TBRCH	2418	BR_STATUS	CT_REP	0;
	2278	0	CT_TBRCH	2419	BR_STATUS	CT_REP	0;
	2279	0	CT_TBRCH	2420	BR_STATUS	CT_REP	0;
	2280	0	CT_TBRCH	2421	BR_STATUS	CT_REP	0;
	2281	0	CT_TBRCH	2422	BR_STATUS	CT_REP	0;
	2282	0	CT_TBRCH	2423	BR_STATUS	CT_REP	0;
	2283	0	CT_TBRCH	2424	BR_STATUS	CT_REP	0;
	2284	0	CT_TBRCH	2425	BR_STATUS	CT_REP	0;
	2285	0	CT_TBRCH	2426	BR_STATUS	CT_REP	0;
	2286	0	CT_TBRCH	2427	BR_STATUS	CT_REP	0;
	2287	0	CT_TBRCH	2428	BR_STATUS	CT_REP	0;
	2288	0	CT_TBRCH	2429	BR_STATUS	CT_REP	0;
	2289	0	CT_TBRCH	2430	BR_STATUS	CT_REP	0;
	2290	0	CT_TBRCH	2431	BR_STATUS	CT_REP	0;
	2291	0	CT_TBRCH	2432	BR_STATUS	CT_REP	0;
	2292	0	CT_TBRCH	2433	BR_STATUS	CT_REP	0;
	2293	0	CT_TBRCH	2434	BR_STATUS	CT_REP	0;
	2294	0	CT_TBRCH	2435	BR_STATUS	CT_REP	0;
	2295	0	CT_TBRCH	2436	BR_STATUS	CT_REP	0;
	2296	0	CT_TBRCH	2437	BR_STATUS	CT_REP	0;
	2297	0	CT_TBRCH	2438	BR_STATUS	CT_REP	0;
	2298	0	CT_TBRCH	2439	BR_STATUS	CT_REP	0;
	2299	0	CT_TBRCH	2440	BR_STATUS	CT_REP	0;
	2300	0	CT_TBRCH	2441	BR_STATUS	CT_REP	0;
	2301	0	CT_TBRCH	2442	BR_STATUS	CT_REP	0;
	2302	0	CT_TBRCH	2443	BR_STATUS	CT_REP	0;
	2303	0	CT_TBRCH	2444	BR_STATUS	CT_REP	0;
	2304	0	CT_TBRCH	2445	BR_STATUS	CT_REP	0;
	2305	0	CT_TBRCH	2446	BR_STATUS	CT_REP	0;
	2306	0	CT_TBRCH	2447	BR_STATUS	CT_REP	0;
	2307	0	CT_TBRCH	2448	BR_STATUS	CT_REP	0;
	2308	0	CT_TBRCH	2449	BR_STATUS	CT_REP	0;
	2309	0	CT_TBRCH	2450	BR_STATUS	CT_REP	0;
	2310	0	CT_TBRCH	2451	BR_STATUS	CT_REP	0;
	2311	0	CT_TBRCH	2452	BR_STATUS	CT_REP	0;
	2312	0	CT_TBRCH	2453	BR_STATUS	CT_REP	0;
	2313	0	CT_TBRCH	2454	BR_STATUS	CT_REP	0;
	2314	0	CT_TBRCH	2455	BR_STATUS	CT_REP	0;
	2315	0	CT_TBRCH	2456	BR_STATUS	CT_REP	0;
	2316	0	CT_TBRCH	2457	BR_STATUS	CT_REP	0;
	2317	0	CT_TBRCH	2458	BR_STATUS	CT_REP	0;
	2318	0	CT_TBRCH	2459	BR_STATUS	CT_REP	0;
	2319	0	CT_TBRCH	2460	BR_STATUS	CT_REP	0;
	2320	0	CT_TBRCH	2461	BR_STATUS	CT_REP	0;
	2321	0	CT_TBRCH	2462	BR_STATUS	CT_REP	0;
	2322	0	CT_TBRCH	2463	BR_STATUS	CT_REP	0;
	2323	0	CT_TBRCH	2464	BR_STATUS	CT_REP	0;
	2324	0	CT_TBRCH	2465	BR_STATUS	CT_REP	0;
	2325	0	CT_TBRCH	2466	BR_STATUS	CT_REP	0;
	2326	0	CT_TBRCH	2467	BR_STATUS	CT_REP	0;
	2327	0	CT_TBRCH	2468	BR_STATUS	CT_REP	0;
	2328	0	CT_TBRCH	2469	BR_STATUS	CT_REP	0;
	2329	0	CT_TBRCH	2471	BR_STATUS	CT_REP	0;
	2330	0	CT_TBRCH	2472	BR_STATUS	CT_REP	0;
	2331	0	CT_TBRCH	2475	BR_STATUS	CT_REP	0;
	2332	0	CT_TBRCH	2476	BR_STATUS	CT_REP	0;
	2333	0	CT_TBRCH	2477	BR_STATUS	CT_REP	0;
	2334	0	CT_TBRCH	2478	BR_STATUS	CT_REP	0;
	2335	0	CT_TBRCH	2479	BR_STATUS	CT_REP	0;
	2336	0	CT_TBRCH	2480	BR_STATUS	CT_REP	0;
	2337	0	CT_TBRCH	2481	BR_STATUS	CT_REP	0;
	2338	0	CT_TBRCH	2482	BR_STATUS	CT_REP	0;
	2339	0	CT_TBRCH	2483	BR_STATUS	CT_REP	0;
	2340	0	CT_TBRCH	2484	BR_STATUS	CT_REP	0;
	2341	0	CT_TBRCH	2485	BR_STATUS	CT_REP	0;
	2342	0	CT_TBRCH	2486	BR_STATUS	CT_REP	0;
	2343	0	CT_TBRCH	2487	BR_STATUS	CT_REP	0;
	2344	0	CT_TBRCH	2488	BR_STATUS	CT_REP	0;
	2345	0	CT_TBRCH	2489	BR_STATUS	CT_REP	0;
	2346	0	CT_TBRCH	2490	BR_STATUS	CT_REP	0;
	2347	0	CT_TBRCH	2491	BR_STATUS	CT_REP	0;
	2348	0	CT_TBRCH	2492	BR_STATUS	CT_REP	0;
	2349	0	CT_TBRCH	2493	BR_STATUS	CT_REP	0;
	2350	0	CT_TBRCH	2494	BR_STATUS	CT_REP	0;
	2351	0	CT_TBRCH	2495	BR_STATUS	CT_REP	0;
	2352	0	CT_TBRCH	2496	BR_STATUS	CT_REP	0;
	2353	0	CT_TBRCH	2497	BR_STATUS	CT_REP	0;
	2354	0	CT_TBRCH	2498	BR_STATUS	CT_REP	0;
	2355	0	CT_TBRCH	2499	BR_STATUS	CT_REP	0;
	2356	0	CT_TBRCH	2500	BR_STATUS	CT_REP	0;
	2357	0	CT_TBRCH	2501	BR_STATUS	CT_REP	0;
	2358	0	CT_TBRCH	2502	BR_STATUS	CT_REP	0;
	2359	0	CT_TBRCH	2503	BR_STATUS	CT_REP	0;
	2360	0	CT_TBRCH	2504	BR_STATUS	CT_REP	0;
	2361	0	CT_TBRCH	2505	BR_STATUS	CT_REP	0;
	2362	0	CT_TBRCH	2506	BR_STATUS	CT_REP	0;
	2363	0	CT_TBRCH	2507	BR_STATUS	CT_REP	0;
	2364	0	CT_TBRCH	2508	BR_STATUS	CT_REP	0;
	2365	0	CT_TBRCH	2509	BR_STATUS	CT_REP	0;
	2366	0	CT_TBRCH	2510	BR_STATUS	CT_REP	0;
	2367	0	CT_TBRCH	2511	BR_STATUS	CT_REP	0;
	2368	0	CT_TBRCH	2512	BR_STATUS	CT_REP	0;
	2369	0	CT_TBRCH	2513	BR_STATUS	CT_REP	0;
	2370	0	CT_TBRCH	2514	BR_STATUS	CT_REP	0;
	2371	0	CT_TBRCH	2515	BR_STATUS	CT_REP	0;
	2372	0	CT_TBRCH	2516	BR_STATUS	CT_REP	0;
	2373	0	CT_TBRCH	2517	BR_STATUS	CT_REP	0;
	2374	0	CT_TBRCH	2518	BR_STATUS	CT_REP	0;
	2375	0	CT_TBRCH	2519	BR_STATUS	CT_REP	0;
	2376	0	CT_TBRCH	2520	BR_STATUS	CT_REP	0;
	2377	0	CT_TBRCH	2521	BR_STATUS	CT_REP	0;
	2378	0	CT_TBRCH	2522	BR_STATUS	CT_REP	0;
	2379	0	CT_TBRCH	2523	BR_STATUS	CT_REP	0;
	2380	0	CT_TBRCH	2524	BR_STATUS	CT_REP	0;
	2381	0	CT_TBRCH	2525	BR_STATUS	CT_REP	0;
	2382	0	CT_TBRCH	2526	BR_STATUS	CT_REP	0;
	2383	0	CT_TBRCH	2527	BR_STATUS	CT_REP	0;
	2384	0	CT_TBRCH	2528	BR_STATUS	CT_REP	0;
	2385	0	CT_TBRCH	2529	BR_STATUS	CT_REP	0;
	2386	0	CT_TBRCH	2530	BR_STATUS	CT_REP	0;
	2387	0	CT_TBRCH	2531	BR_STATUS	CT_REP	0;
	2388	0	CT_TBRCH	2532	BR_STATUS	CT_REP	0;
	2389	0	CT_TBRCH	2533	BR_STATUS	CT_REP	0;
	2390	0	CT_TBRCH	2534	BR_STATUS	CT_REP	0;
	2391	0	CT_TBRCH	2535	BR_STATUS	CT_REP	0;
	2392	0	CT_TBRCH	2536	BR_STATUS	CT_REP	0;
	2393	0	CT_TBRCH	2537	BR_STATUS	CT_REP	0;
	2394	0	CT_TBRCH	2538	BR_STATUS	CT_REP	0;
	2395	0	CT_TBRCH	2539	BR_STATUS	CT_REP	0;
	2396	0	CT_TBRCH	2540	BR_STATUS	CT_REP	0;
	2397	0	CT_TBRCH	2541	BR_STATUS	CT_REP	0;
	2398	0	CT_TBRCH	2542	BR_STATUS	CT_REP	0;
	2399	0	CT_TBRCH	2543	BR_STATUS	CT_REP	0;
	2400	0	CT_TBRCH	2544	BR_STATUS	CT_REP	0;
	2401	0	CT_TBRCH	2545	BR_STATUS	CT_REP	0;
	2402	0	CT_TBRCH	2546	BR_STATUS	CT_REP	0;
	2403	0	CT_TBRCH	2547	BR_STATUS	CT_REP	0;
	2404	0	CT_TBRCH	2548	BR_STATUS	CT_REP	0;
	2405	0	CT_TBRCH	2549	BR_STATUS	CT_REP	0;
	2406	0	CT_TBRCH	2553	BR_STATUS	CT_REP	0;
	2407	0	CT_TBRCH	2554	BR_STATUS	CT_REP	0;
	2408	0	CT_TBRCH	2555	BR_STATUS	CT_REP	0;
	2409	0	CT_TBRCH	2556	BR_STATUS	CT_REP	0;
	2410	0	CT_TBRCH	2557	BR_STATUS	CT_REP	0;
	2411	0	CT_TBRCH	2558	BR_STATUS	CT_REP	0;
	2412	0	CT_TBRCH	2559	BR_STATUS	CT_REP	0;
	2413	0	CT_TBRCH	2560	BR_STATUS	CT_REP	0;
	2414	0	CT_TBRCH	2561	BR_STATUS	CT_REP	0;
	2415	0	CT_TBRCH	2562	BR_STATUS	CT_REP	0;
	2416	0	CT_TBRCH	2563	BR_STATUS	CT_REP	0;
	2417	0	CT_TBRCH	2564	BR_STATUS	CT_REP	0;
	2418	0	CT_TBRCH	2565	BR_STATUS	CT_REP	0;
	2419	0	CT_TBRCH	2566	BR_STATUS	CT_REP	0;
	2420	0	CT_TBRCH	2567	BR_STATUS	CT_REP	0;
	2421	0	CT_TBRCH	2568	BR_STATUS	CT_REP	0;
	2422	0	CT_TBRCH	2569	BR_STATUS	CT_REP	0;
	2423	0	CT_TBRCH	2570	BR_STATUS	CT_REP	0;
	2424	0	CT_TBRCH	2571	BR_STATUS	CT_REP	0;
	2425	0	CT_TBRCH	2572	BR_STATUS	CT_REP	0;
	2426	0	CT_TBRCH	2573	BR_STATUS	CT_REP	0;
	2427	0	CT_TBRCH	2574	BR_STATUS	CT_REP	0;
	2428	0	CT_TBRCH	2575	BR_STATUS	CT_REP	0;
	2429	0	CT_TBRCH	2576	BR_STATUS	CT_REP	0;
	2430	0	CT_TBRCH	2577	BR_STATUS	CT_REP	0;
	2431	0	CT_TBRCH	2578	BR_STATUS	CT_REP	0;
	2432	0	CT_TBRCH	2579	BR_STATUS	CT_REP	0;
	2433	0	CT_TBRCH	2580	BR_STATUS	CT_REP	0;
	2434	0	CT_TBRCH	2581	BR_STATUS	CT_REP	0;
	2435	0	CT_TBRCH	2582	BR_STATUS	CT_REP	0;
	2436	0	CT_TBRCH	2583	BR_STATUS	CT_REP	0;
	2437	0	CT_TBRCH	2584	BR_STATUS	CT_REP	0;
	2438	0	CT_TBRCH	2585	BR_STATUS	CT_REP	0;
	2439	0	CT_TBRCH	2586	BR_STATUS	CT_REP	0;
	2440	0	CT_TBRCH	2587	BR_STATUS	CT_REP	0;
	2441	0	CT_TBRCH	2588	BR_STATUS	CT_REP	0;
	2442	0	CT_TBRCH	2589	BR_STATUS	CT_REP	0;
	2443	0	CT_TBRCH	2590	BR_STATUS	CT_REP	0;
	2444	0	CT_TBRCH	2591	BR_STATUS	CT_REP	0;
	2445	0	CT_TBRCH	2592	BR_STATUS	CT_REP	0;
	2446	0	CT_TBRCH	2593	BR_STATUS	CT_REP	0;
	2447	0	CT_TBRCH	2595	BR_STATUS	CT_REP	0;
	2448	0	CT_TBRCH	2596	BR_STATUS	CT_REP	0;
	2449	0	CT_TBRCH	2599	BR_STATUS	CT_REP	0;
	2450	0	CT_TBRCH	2600	BR_STATUS	CT_REP	0;
	2451	0	CT_TBRCH	2601	BR_STATUS	CT_REP	0;
	2452	0	CT_TBRCH	2602	BR_STATUS	CT_REP	0;
	2453	0	CT_TBRCH	2603	BR_STATUS	CT_REP	0;
	2454	0	CT_TBRCH	2604	BR_STATUS	CT_REP	0;
	2455	0	CT_TBRCH	2605	BR_STATUS	CT_REP	0;
	2456	0	CT_TBRCH	2606	BR_STATUS	CT_REP	0;
	2457	0	CT_TBRCH	2607	BR_STATUS	CT_REP	0;
	2458	0	CT_TBRCH	2608	BR_STATUS	CT_REP	0;
	2459	0	CT_TBRCH	2609	BR_STATUS	CT_REP	0;
	2460	0	CT_TBRCH	2610	BR_STATUS	CT_REP	0;
	2461	0	CT_TBRCH	2611	BR_STATUS	CT_REP	0;
	2462	0	CT_TBRCH	2612	BR_STATUS	CT_REP	0;
	2463	0	CT_TBRCH	2613	BR_STATUS	CT_REP	0;
	2464	0	CT_TBRCH	2614	BR_STATUS	CT_REP	0;
	2465	0	CT_TBRCH	2615	BR_STATUS	CT_REP	0;
	2466	0	CT_TBRCH	2616	BR_STATUS	CT_REP	0;
	2467	0	CT_TBRCH	2617	BR_STATUS	CT_REP	0;
	2468	0	CT_TBRCH	2618	BR_STATUS	CT_REP	0;
	2469	0	CT_TBRCH	2619	BR_STATUS	CT_REP	0;
	2470	0	CT_TBRCH	2621	BR_STATUS	CT_REP	0;
	2471	0	CT_TBRCH	2624	BR_STATUS	CT_REP	0;
	2472	0	CT_TBRCH	2625	BR_STATUS	CT_REP	0;
	2473	0	CT_TBRCH	2626	BR_STATUS	CT_REP	0;
	2474	0	CT_TBRCH	2627	BR_STATUS	CT_REP	0;
	2475	0	CT_TBRCH	2628	BR_STATUS	CT_REP	0;
	2476	0	CT_TBRCH	2629	BR_STATUS	CT_REP	0;
	2477	0	CT_TBRCH	2630	BR_STATUS	CT_REP	0;
	2478	0	CT_TBRCH	2631	BR_STATUS	CT_REP	0;
	2479	0	CT_TBRCH	2632	BR_STATUS	CT_REP	0;
	2480	0	CT_TBRCH	2633	BR_STATUS	CT_REP	0;
	2481	0	CT_TBRCH	2634	BR_STATUS	CT_REP	0;
	2482	0	CT_TBRCH	2635	BR_STATUS	CT_REP	0;
	2483	0	CT_TBRCH	2636	BR_STATUS	CT_REP	0;
	2484	0	CT_TBRCH	2637	BR_STATUS	CT_REP	0;
	2485	0	CT_TBRCH	2638	BR_STATUS	CT_REP	0;
	2486	0	CT_TBRCH	2639	BR_STATUS	CT_REP	0;
	2487	0	CT_TBRCH	2640	BR_STATUS	CT_REP	0;
	2488	0	CT_TBRCH	2641	BR_STATUS	CT_REP	0;
	2489	0	CT_TBRCH	2642	BR_STATUS	CT_REP	0;
	2490	0	CT_TBRCH	2643	BR_STATUS	CT_REP	0;
	2491	0	CT_TBRCH	2644	BR_STATUS	CT_REP	0;
	2492	0	CT_TBRCH	2645	BR_STATUS	CT_REP	0;
	2493	0	CT_TBRCH	2646	BR_STATUS	CT_REP	0;
	2494	0	CT_TBRCH	2647	BR_STATUS	CT_REP	0;
	2495	0	CT_TBRCH	2648	BR_STATUS	CT_REP	0;
	2496	0	CT_TBRCH	2649	BR_STATUS	CT_REP	0;
	2497	0	CT_TBRCH	2650	BR_STATUS	CT_REP	0;
	2498	0	CT_TBRCH	2651	BR_STATUS	CT_REP	0;
	2499	0	CT_TBRCH	2652	BR_STATUS	CT_REP	0;
	2500	0	CT_TBRCH	2653	BR_STATUS	CT_REP	0;
	2501	0	CT_TBRCH	2654	BR_STATUS	CT_REP	0;
	2502	0	CT_TBRCH	2655	BR_STATUS	CT_REP	0;
	2503	0	CT_TBRCH	2656	BR_STATUS	CT_REP	0;
	2504	0	CT_TBRCH	2657	BR_STATUS	CT_REP	0;
	2505	0	CT_TBRCH	2658	BR_STATUS	CT_REP	0;
	2506	0	CT_TBRCH	2659	BR_STATUS	CT_REP	0;
	2507	0	CT_TBRCH	2660	BR_STATUS	CT_REP	0;
	2508	0	CT_TBRCH	2661	BR_STATUS	CT_REP	0;
	2509	0	CT_TBRCH	2663	BR_STATUS	CT_REP	0;
	2510	0	CT_TBRCH	2666	BR_STATUS	CT_REP	0;
	2511	0	CT_TBRCH	2667	BR_STATUS	CT_REP	0;
	2512	0	CT_TBRCH	2668	BR_STATUS	CT_REP	0;
	2513	0	CT_TBRCH	2669	BR_STATUS	CT_REP	0;
	2514	0	CT_TBRCH	2670	BR_STATUS	CT_REP	0;
	2515	0	CT_TBRCH	2671	BR_STATUS	CT_REP	0;
	2516	0	CT_TBRCH	2672	BR_STATUS	CT_REP	0;
	2517	0	CT_TBRCH	2673	BR_STATUS	CT_REP	0;
	2518	0	CT_TBRCH	2675	BR_STATUS	CT_REP	0;
	2519	0	CT_TBRCH	2676	BR_STATUS	CT_REP	0;
	2520	0	CT_TBRCH	2678	BR_STATUS	CT_REP	0;
	2521	0	CT_TBRCH	2680	BR_STATUS	CT_REP	0;
	2522	0	CT_TBRCH	2681	BR_STATUS	CT_REP	0;
	2523	0	CT_TBRCH	2682	BR_STATUS	CT_REP	0;
	2524	0	CT_TBRCH	2683	BR_STATUS	CT_REP	0;
	2525	0	CT_TBRCH	2684	BR_STATUS	CT_REP	0;
	2526	0	CT_TBRCH	2685	BR_STATUS	CT_REP	0;
	2527	0	CT_TBRCH	2686	BR_STATUS	CT_REP	0;
	2528	0	CT_TBRCH	2687	BR_STATUS	CT_REP	0;
	2529	0	CT_TBRCH	2688	BR_STATUS	CT_REP	0;
	2530	0	CT_TBRCH	2689	BR_STATUS	CT_REP	0;
	2531	0	CT_TBRCH	2690	BR_STATUS	CT_REP	0;
	2532	0	CT_TBRCH	2691	BR_STATUS	CT_REP	0;
	2533	0	CT_TBRCH	2692	BR_STATUS	CT_REP	0;
	2534	0	CT_TBRCH	2693	BR_STATUS	CT_REP	0;
	2535	0	CT_TBRCH	2694	BR_STATUS	CT_REP	0;
	2536	0	CT_TBRCH	2695	BR_STATUS	CT_REP	0;
	2537	0	CT_TBRCH	2696	BR_STATUS	CT_REP	0;
	2538	0	CT_TBRCH	2697	BR_STATUS	CT_REP	0;
	2539	0	CT_TBRCH	2698	BR_STATUS	CT_REP	0;
	2540	0	CT_TBRCH	2699	BR_STATUS	CT_REP	0;
	2541	0	CT_TBRCH	2700	BR_STATUS	CT_REP	0;
	2542	0	CT_TBRCH	2701	BR_STATUS	CT_REP	0;
	2543	0	CT_TBRCH	2702	BR_STATUS	CT_REP	0;
	2544	0	CT_TBRCH	2703	BR_STATUS	CT_REP	0;
	2545	0	CT_TBRCH	2704	BR_STATUS	CT_REP	0;
	2546	0	CT_TBRCH	2705	BR_STATUS	CT_REP	0;
	2547	0	CT_TBRCH	2706	BR_STATUS	CT_REP	0;
	2548	0	CT_TBRCH	2707	BR_STATUS	CT_REP	0;
	2549	0	CT_TBRCH	2708	BR_STATUS	CT_REP	0;
	2550	0	CT_TBRCH	2709	BR_STATUS	CT_REP	0;
	2551	0	CT_TBRCH	2710	BR_STATUS	CT_REP	0;
	2552	0	CT_TBRCH	2711	BR_STATUS	CT_REP	0;
	2553	0	CT_TBRCH	2713	BR_STATUS	CT_REP	0;
	2554	0	CT_TBRCH	2714	BR_STATUS	CT_REP	0;
	2555	0	CT_TBRCH	2715	BR_STATUS	CT_REP	0;
	2556	0	CT_TBRCH	2716	BR_STATUS	CT_REP	0;
	2557	0	CT_TBRCH	2717	BR_STATUS	CT_REP	0;
	2558	0	CT_TBRCH	2719	BR_STATUS	CT_REP	0;
	2559	0	CT_TBRCH	2720	BR_STATUS	CT_REP	0;
	2560	0	CT_TBRCH	2721	BR_STATUS	CT_REP	0;
	2561	0	CT_TBRCH	2723	BR_STATUS	CT_REP	0;
	2562	0	CT_TBRCH	2724	BR_STATUS	CT_REP	0;
	2563	0	CT_TBRCH	2725	BR_STATUS	CT_REP	0;
	2564	0	CT_TBRCH	2726	BR_STATUS	CT_REP	0;
	2565	0	CT_TBRCH	2727	BR_STATUS	CT_REP	0;
	2566	0	CT_TBRCH	2728	BR_STATUS	CT_REP	0;
	2567	0	CT_TBRCH	2729	BR_STATUS	CT_REP	0;
	2568	0	CT_TBRCH	2730	BR_STATUS	CT_REP	0;
	2569	0	CT_TBRCH	2731	BR_STATUS	CT_REP	0;
	2570	0	CT_TBRCH	2732	BR_STATUS	CT_REP	0;
	2571	0	CT_TBRCH	2733	BR_STATUS	CT_REP	0;
	2572	0	CT_TBRCH	2734	BR_STATUS	CT_REP	0;
	2573	0	CT_TBRCH	2736	BR_STATUS	CT_REP	0;
	2574	0	CT_TBRCH	2737	BR_STATUS	CT_REP	0;
	2575	0	CT_TBRCH	2738	BR_STATUS	CT_REP	0;
	2576	0	CT_TBRCH	2739	BR_STATUS	CT_REP	0;
	2577	0	CT_TBRCH	2741	BR_STATUS	CT_REP	0;
	2578	0	CT_TBRCH	2743	BR_STATUS	CT_REP	0;
	2579	0	CT_TBRCH	2744	BR_STATUS	CT_REP	0;
	2580	0	CT_TBRCH	2745	BR_STATUS	CT_REP	0;
	2581	0	CT_TBRCH	2746	BR_STATUS	CT_REP	0;
	2582	0	CT_TBRCH	2747	BR_STATUS	CT_REP	0;
	2583	0	CT_TBRCH	2748	BR_STATUS	CT_REP	0;
	2584	0	CT_TBRCH	2750	BR_STATUS	CT_REP	0;
	2585	0	CT_TBRCH	2751	BR_STATUS	CT_REP	0;
	2586	0	CT_TBRCH	2753	BR_STATUS	CT_REP	0;
	2587	0	CT_TBRCH	2754	BR_STATUS	CT_REP	0;
	2588	0	CT_TBRCH	2757	BR_STATUS	CT_REP	0;
	2589	0	CT_TBRCH	2760	BR_STATUS	CT_REP	0;
	2590	0	CT_TBRCH	2761	BR_STATUS	CT_REP	0;
	2591	0	CT_TBRCH	2762	BR_STATUS	CT_REP	0;
	2592	0	CT_TBRCH	2763	BR_STATUS	CT_REP	0;
	2593	0	CT_TBRCH	2764	BR_STATUS	CT_REP	0;
	2594	0	CT_TBRCH	2765	BR_STATUS	CT_REP	0;
	2595	0	CT_TBRCH	2766	BR_STATUS	CT_REP	0;
	2596	0	CT_TBRCH	2767	BR_STATUS	CT_REP	0;
	2597	0	CT_TBRCH	2768	BR_STATUS	CT_REP	0;
	2598	0	CT_TBRCH	2769	BR_STATUS	CT_REP	0;
	2599	0	CT_TBRCH	2770	BR_STATUS	CT_REP	0;
	2600	0	CT_TBRCH	2771	BR_STATUS	CT_REP	0;
	2601	0	CT_TBRCH	2772	BR_STATUS	CT_REP	0;
	2602	0	CT_TBRCH	2773	BR_STATUS	CT_REP	0;
	2603	0	CT_TBRCH	2774	BR_STATUS	CT_REP	0;
	2604	0	CT_TBRCH	2775	BR_STATUS	CT_REP	0;
	2605	0	CT_TBRCH	2776	BR_STATUS	CT_REP	0;
	2606	0	CT_TBRCH	2777	BR_STATUS	CT_REP	0;
	2607	0	CT_TBRCH	2778	BR_STATUS	CT_REP	0;
	2608	0	CT_TBRCH	2779	BR_STATUS	CT_REP	0;
	2609	0	CT_TBRCH	2780	BR_STATUS	CT_REP	0;
	2610	0	CT_TBRCH	2781	BR_STATUS	CT_REP	0;
	2611	0	CT_TBRCH	2782	BR_STATUS	CT_REP	0;
	2612	0	CT_TBRCH	2783	BR_STATUS	CT_REP	0;
	2613	0	CT_TBRCH	2784	BR_STATUS	CT_REP	0;
	2614	0	CT_TBRCH	2785	BR_STATUS	CT_REP	0;
	2615	0	CT_TBRCH	2786	BR_STATUS	CT_REP	0;
	2616	0	CT_TBRCH	2787	BR_STATUS	CT_REP	0;
	2617	0	CT_TBRCH	2788	BR_STATUS	CT_REP	0;
	2618	0	CT_TBRCH	2789	BR_STATUS	CT_REP	0;
	2619	0	CT_TBRCH	2790	BR_STATUS	CT_REP	0;
	2620	0	CT_TBRCH	2791	BR_STATUS	CT_REP	0;
	2621	0	CT_TBRCH	2792	BR_STATUS	CT_REP	0;
	2622	0	CT_TBRCH	2793	BR_STATUS	CT_REP	0;
	2623	0	CT_TBRCH	2794	BR_STATUS	CT_REP	0;
	2624	0	CT_TBRCH	2795	BR_STATUS	CT_REP	0;
	2625	0	CT_TBRCH	2796	BR_STATUS	CT_REP	0;
	2626	0	CT_TBRCH	2797	BR_STATUS	CT_REP	0;
	2627	0	CT_TBRCH	2798	BR_STATUS	CT_REP	0;
	2628	0	CT_TBRCH	2799	BR_STATUS	CT_REP	0;
	2629	0	CT_TBRCH	2800	BR_STATUS	CT_REP	0;
	2630	0	CT_TBRCH	2801	BR_STATUS	CT_REP	0;
	2631	0	CT_TBRCH	2802	BR_STATUS	CT_REP	0;
	2632	0	CT_TBRCH	2803	BR_STATUS	CT_REP	0;
	2633	0	CT_TBRCH	2804	BR_STATUS	CT_REP	0;
	2634	0	CT_TBRCH	2805	BR_STATUS	CT_REP	0;
	2635	0	CT_TBRCH	2806	BR_STATUS	CT_REP	0;
	2636	0	CT_TBRCH	2807	BR_STATUS	CT_REP	0;
	2637	0	CT_TBRCH	2808	BR_STATUS	CT_REP	0;
	2638	0	CT_TBRCH	2809	BR_STATUS	CT_REP	0;
	2639	0	CT_TBRCH	2810	BR_STATUS	CT_REP	0;
	2640	0	CT_TBRCH	2811	BR_STATUS	CT_REP	0;
	2641	0	CT_TBRCH	2812	BR_STATUS	CT_REP	0;
	2642	0	CT_TBRCH	2813	BR_STATUS	CT_REP	0;
	2643	0	CT_TBRCH	2814	BR_STATUS	CT_REP	0;
	2644	0	CT_TBRCH	2815	BR_STATUS	CT_REP	0;
	2645	0	CT_TBRCH	2816	BR_STATUS	CT_REP	0;
	2646	0	CT_TBRCH	2817	BR_STATUS	CT_REP	0;
	2647	0	CT_TBRCH	2818	BR_STATUS	CT_REP	0;
	2648	0	CT_TBRCH	2819	BR_STATUS	CT_REP	0;
	2649	0	CT_TBRCH	2820	BR_STATUS	CT_REP	0;
	2650	0	CT_TBRCH	2821	BR_STATUS	CT_REP	0;
	2651	0	CT_TBRCH	2826	BR_STATUS	CT_REP	0;
	2652	0	CT_TBRCH	2829	BR_STATUS	CT_REP	0;
	2653	0	CT_TBRCH	2830	BR_STATUS	CT_REP	0;
	2654	0	CT_TBRCH	2832	BR_STATUS	CT_REP	0;
	2655	0	CT_TBRCH	2835	BR_STATUS	CT_REP	0;
	2656	0	CT_TBRCH	2837	BR_STATUS	CT_REP	0;
	2657	0	CT_TBRCH	2838	BR_STATUS	CT_REP	0;
	2658	0	CT_TBRCH	2839	BR_STATUS	CT_REP	0;
	2659	0	CT_TBRCH	2842	BR_STATUS	CT_REP	0;
	2660	0	CT_TBRCH	2843	BR_STATUS	CT_REP	0;
	2661	0	CT_TBRCH	2845	BR_STATUS	CT_REP	0;
	2662	0	CT_TBRCH	2847	BR_STATUS	CT_REP	0;
	2663	0	CT_TBRCH	2850	BR_STATUS	CT_REP	0;
	2664	0	CT_TBRCH	2851	BR_STATUS	CT_REP	0;
	2665	0	CT_TBRCH	2852	BR_STATUS	CT_REP	0;
	2666	0	CT_TBRCH	2853	BR_STATUS	CT_REP	0;
	2667	0	CT_TBRCH	2854	BR_STATUS	CT_REP	0;
	2668	0	CT_TBRCH	2855	BR_STATUS	CT_REP	0;
	2669	0	CT_TBRCH	2856	BR_STATUS	CT_REP	0;
	2670	0	CT_TBRCH	2858	BR_STATUS	CT_REP	0;
	2671	0	CT_TBRCH	2860	BR_STATUS	CT_REP	0;
	2672	0	CT_TBRCH	2861	BR_STATUS	CT_REP	0;
	2673	0	CT_TBRCH	2862	BR_STATUS	CT_REP	0;
	2674	0	CT_TBRCH	2863	BR_STATUS	CT_REP	0;
	2675	0	CT_TBRCH	2864	BR_STATUS	CT_REP	0;
	2676	0	CT_TBRCH	2865	BR_STATUS	CT_REP	0;
	2677	0	CT_TBRCH	2866	BR_STATUS	CT_REP	0;
	2678	0	CT_TBRCH	2867	BR_STATUS	CT_REP	0;
	2679	0	CT_TBRCH	2868	BR_STATUS	CT_REP	0;
	2680	0	CT_TBRCH	2869	BR_STATUS	CT_REP	0;
	2681	0	CT_TBRCH	2870	BR_STATUS	CT_REP	0;
	2682	0	CT_TBRCH	2871	BR_STATUS	CT_REP	0;
	2683	0	CT_TBRCH	2872	BR_STATUS	CT_REP	0;
	2684	0	CT_TBRCH	2873	BR_STATUS	CT_REP	0;
	2685	0	CT_TBRCH	2874	BR_STATUS	CT_REP	0;
	2686	0	CT_TBRCH	2875	BR_STATUS	CT_REP	0;
	2687	0	CT_TBRCH	2876	BR_STATUS	CT_REP	0;
	2688	0	CT_TBRCH	2877	BR_STATUS	CT_REP	0;
	2689	0	CT_TBRCH	2878	BR_STATUS	CT_REP	0;
	2690	0	CT_TBRCH	2879	BR_STATUS	CT_REP	0;
	2691	0	CT_TBRCH	2880	BR_STATUS	CT_REP	0;
	2692	0	CT_TBRCH	2881	BR_STATUS	CT_REP	0;
	2693	0	CT_TBRCH	2882	BR_STATUS	CT_REP	0;
	2694	0	CT_TBRCH	2883	BR_STATUS	CT_REP	0;
	2695	0	CT_TBRCH	2884	BR_STATUS	CT_REP	0;
	2696	0	CT_TBRCH	2885	BR_STATUS	CT_REP	0;
	2697	0	CT_TBRCH	2886	BR_STATUS	CT_REP	0;
	2698	0	CT_TBRCH	2887	BR_STATUS	CT_REP	0;
	2699	0	CT_TBRCH	2888	BR_STATUS	CT_REP	0;
	2700	0	CT_TBRCH	2889	BR_STATUS	CT_REP	0;
	2701	0	CT_TBRCH	2890	BR_STATUS	CT_REP	0;
	2702	0	CT_TBRCH	2891	BR_STATUS	CT_REP	0;
	2703	0	CT_TBRCH	2892	BR_STATUS	CT_REP	0;
	2704	0	CT_TBRCH	2893	BR_STATUS	CT_REP	0;
	2705	0	CT_TBRCH	2894	BR_STATUS	CT_REP	0;
	2706	0	CT_TBRCH	2895	BR_STATUS	CT_REP	0;
	2707	0	CT_TBRCH	2896	BR_STATUS	CT_REP	0;
	2708	0	CT_TBRCH	2897	BR_STATUS	CT_REP	0;
	2709	0	CT_TBRCH	2898	BR_STATUS	CT_REP	0;
	2710	0	CT_TBRCH	2899	BR_STATUS	CT_REP	0;
	2711	0	CT_TBRCH	2900	BR_STATUS	CT_REP	0;
	2712	0	CT_TBRCH	2901	BR_STATUS	CT_REP	0;
	2713	0	CT_TBRCH	2902	BR_STATUS	CT_REP	0;
	2714	0	CT_TBRCH	2903	BR_STATUS	CT_REP	0;
	2715	0	CT_TBRCH	2904	BR_STATUS	CT_REP	0;
	2716	0	CT_TBRCH	2905	BR_STATUS	CT_REP	0;
	2717	0	CT_TBRCH	2906	BR_STATUS	CT_REP	0;
	2718	0	CT_TBRCH	2907	BR_STATUS	CT_REP	0;
	2719	0	CT_TBRCH	2908	BR_STATUS	CT_REP	0;
	2720	0	CT_TBRCH	2909	BR_STATUS	CT_REP	0;
	2721	0	CT_TBRCH	2910	BR_STATUS	CT_REP	0;
	2722	0	CT_TBRCH	2911	BR_STATUS	CT_REP	0;
	2723	0	CT_TBRCH	2912	BR_STATUS	CT_REP	0;
	2724	0	CT_TBRCH	2913	BR_STATUS	CT_REP	0;
	2725	0	CT_TBRCH	2914	BR_STATUS	CT_REP	0;
	2726	0	CT_TBRCH	2915	BR_STATUS	CT_REP	0;
	2727	0	CT_TBRCH	2916	BR_STATUS	CT_REP	0;
	2728	0	CT_TBRCH	2917	BR_STATUS	CT_REP	0;
	2729	0	CT_TBRCH	2918	BR_STATUS	CT_REP	0;
	2730	0	CT_TBRCH	2919	BR_STATUS	CT_REP	0;
	2731	0	CT_TBRCH	2920	BR_STATUS	CT_REP	0;
	2732	0	CT_TBRCH	2921	BR_STATUS	CT_REP	0;
	2733	0	CT_TBRCH	2922	BR_STATUS	CT_REP	0;
	2734	0	CT_TBRCH	2923	BR_STATUS	CT_REP	0;
	2735	0	CT_TBRCH	2924	BR_STATUS	CT_REP	0;
	2736	0	CT_TBRCH	2925	BR_STATUS	CT_REP	0;
	2737	0	CT_TBRCH	2926	BR_STATUS	CT_REP	0;
	2738	0	CT_TBRCH	2927	BR_STATUS	CT_REP	0;
	2739	0	CT_TBRCH	2928	BR_STATUS	CT_REP	0;
	2740	0	CT_TBRCH	2929	BR_STATUS	CT_REP	0;
	2741	0	CT_TBRCH	2930	BR_STATUS	CT_REP	0;
	2742	0	CT_TBRCH	2931	BR_STATUS	CT_REP	0;
	2743	0	CT_TBRCH	2932	BR_STATUS	CT_REP	0;
	2744	0	CT_TBRCH	2933	BR_STATUS	CT_REP	0;
	2745	0	CT_TBRCH	2934	BR_STATUS	CT_REP	0;
	2746	0	CT_TBRCH	2935	BR_STATUS	CT_REP	0;
	2747	0	CT_TBRCH	2936	BR_STATUS	CT_REP	0;
	2748	0	CT_TBRCH	2937	BR_STATUS	CT_REP	0;
	2749	0	CT_TBRCH	2938	BR_STATUS	CT_REP	0;
	2750	0	CT_TBRCH	2945	BR_STATUS	CT_REP	0;
	2751	0	CT_TBRCH	2946	BR_STATUS	CT_REP	0;
	2752	0	CT_TBRCH	2950	BR_STATUS	CT_REP	0;
	2753	0	CT_TBRCH	2951	BR_STATUS	CT_REP	0;
	2754	0	CT_TBRCH	2952	BR_STATUS	CT_REP	0;
	2755	0	CT_TBRCH	2953	BR_STATUS	CT_REP	0;
	2756	0	CT_TBRCH	2954	BR_STATUS	CT_REP	0;
	2757	0	CT_TBRCH	2955	BR_STATUS	CT_REP	0;
	2758	0	CT_TBRCH	2956	BR_STATUS	CT_REP	0;
	2759	0	CT_TBRCH	2957	BR_STATUS	CT_REP	0;
	2760	0	CT_TBRCH	2958	BR_STATUS	CT_REP	0;
	2761	0	CT_TBRCH	2959	BR_STATUS	CT_REP	0;
	2762	0	CT_TBRCH	2960	BR_STATUS	CT_REP	0;
	2763	0	CT_TBRCH	2961	BR_STATUS	CT_REP	0;
	2764	0	CT_TBRCH	2962	BR_STATUS	CT_REP	0;
	2765	0	CT_TBRCH	2963	BR_STATUS	CT_REP	0;
	2766	0	CT_TBRCH	2964	BR_STATUS	CT_REP	0;
	2767	0	CT_TBRCH	2965	BR_STATUS	CT_REP	0;
	2768	0	CT_TBRCH	2966	BR_STATUS	CT_REP	0;
	2769	0	CT_TBRCH	2967	BR_STATUS	CT_REP	0;
	2770	0	CT_TBRCH	2968	BR_STATUS	CT_REP	0;
	2771	0	CT_TBRCH	2969	BR_STATUS	CT_REP	0;
	2772	0	CT_TBRCH	2970	BR_STATUS	CT_REP	0;
	2773	0	CT_TBRCH	2971	BR_STATUS	CT_REP	0;
	2774	0	CT_TBRCH	2972	BR_STATUS	CT_REP	0;
	2775	0	CT_TBRCH	2973	BR_STATUS	CT_REP	0;
	2776	0	CT_TBRCH	2974	BR_STATUS	CT_REP	0;
	2777	0	CT_TBRCH	2975	BR_STATUS	CT_REP	0;
	2778	0	CT_TBRCH	2976	BR_STATUS	CT_REP	0;
	2779	0	CT_TBRCH	2977	BR_STATUS	CT_REP	0;
	2780	0	CT_TBRCH	2978	BR_STATUS	CT_REP	0;
	2781	0	CT_TBRCH	2979	BR_STATUS	CT_REP	0;
	2782	0	CT_TBRCH	2980	BR_STATUS	CT_REP	0;
	2783	0	CT_TBRCH	2981	BR_STATUS	CT_REP	0;
	2784	0	CT_TBRCH	2982	BR_STATUS	CT_REP	0;
	2785	0	CT_TBRCH	2983	BR_STATUS	CT_REP	0;
	2786	0	CT_TBRCH	2984	BR_STATUS	CT_REP	0;
	2787	0	CT_TBRCH	2985	BR_STATUS	CT_REP	0;
	2788	0	CT_TBRCH	2986	BR_STATUS	CT_REP	0;
	2789	0	CT_TBRCH	2987	BR_STATUS	CT_REP	0;
	2790	0	CT_TBRCH	2988	BR_STATUS	CT_REP	0;
	2791	0	CT_TBRCH	2989	BR_STATUS	CT_REP	0;
	2792	0	CT_TBRCH	2990	BR_STATUS	CT_REP	0;
	2793	0	CT_TBRCH	2991	BR_STATUS	CT_REP	0;
	2794	0	CT_TBRCH	2992	BR_STATUS	CT_REP	0;
	2795	0	CT_TBRCH	2994	BR_STATUS	CT_REP	0;
	2796	0	CT_TBRCH	2996	BR_STATUS	CT_REP	0;
	2797	0	CT_TBRCH	2998	BR_STATUS	CT_REP	0;
	2798	0	CT_TBRCH	2999	BR_STATUS	CT_REP	0;
	2799	0	CT_TBRCH	3000	BR_STATUS	CT_REP	0;
	2800	0	CT_TBRCH	3001	BR_STATUS	CT_REP	0;
	2801	0	CT_TBRCH	3003	BR_STATUS	CT_REP	0;
	2802	0	CT_TBRCH	3006	BR_STATUS	CT_REP	0;
	2803	0	CT_TBRCH	3007	BR_STATUS	CT_REP	0;
	2804	0	CT_TBRCH	3008	BR_STATUS	CT_REP	0;
	2805	0	CT_TBRCH	3009	BR_STATUS	CT_REP	0;
	2806	0	CT_TBRCH	3010	BR_STATUS	CT_REP	0;
	2807	0	CT_TBRCH	3011	BR_STATUS	CT_REP	0;
	2808	0	CT_TBRCH	3013	BR_STATUS	CT_REP	0;
	2809	0	CT_TBRCH	3014	BR_STATUS	CT_REP	0;
	2810	0	CT_TBRCH	3015	BR_STATUS	CT_REP	0;
	2811	0	CT_TBRCH	3017	BR_STATUS	CT_REP	0;
	2812	0	CT_TBRCH	3018	BR_STATUS	CT_REP	0;
	2813	0	CT_TBRCH	3020	BR_STATUS	CT_REP	0;
	2814	0	CT_TBRCH	3021	BR_STATUS	CT_REP	0;
	2815	0	CT_TBRCH	3022	BR_STATUS	CT_REP	0;
	2816	0	CT_TBRCH	3023	BR_STATUS	CT_REP	0;
	2817	0	CT_TBRCH	3024	BR_STATUS	CT_REP	0;
	2818	0	CT_TBRCH	3025	BR_STATUS	CT_REP	0;
	2819	0	CT_TBRCH	3026	BR_STATUS	CT_REP	0;
	2820	0	CT_TBRCH	3027	BR_STATUS	CT_REP	0;
	2821	0	CT_TBRCH	3028	BR_STATUS	CT_REP	0;
	2822	0	CT_TBRCH	3029	BR_STATUS	CT_REP	0;
	2823	0	CT_TBRCH	3030	BR_STATUS	CT_REP	0;
	2824	0	CT_TBRCH	3031	BR_STATUS	CT_REP	0;
	2825	0	CT_TBRCH	3032	BR_STATUS	CT_REP	0;
	2826	0	CT_TBRCH	3033	BR_STATUS	CT_REP	0;
	2827	0	CT_TBRCH	3034	BR_STATUS	CT_REP	0;
	2828	0	CT_TBRCH	3035	BR_STATUS	CT_REP	0;
	2829	0	CT_TBRCH	3036	BR_STATUS	CT_REP	0;
	2830	0	CT_TBRCH	3037	BR_STATUS	CT_REP	0;
	2831	0	CT_TBRCH	3038	BR_STATUS	CT_REP	0;
	2832	0	CT_TBRCH	3039	BR_STATUS	CT_REP	0;
	2833	0	CT_TBRCH	3040	BR_STATUS	CT_REP	0;
	2834	0	CT_TBRCH	3041	BR_STATUS	CT_REP	0;
	2835	0	CT_TBRCH	3042	BR_STATUS	CT_REP	0;
	2836	0	CT_TBRCH	3043	BR_STATUS	CT_REP	0;
	2837	0	CT_TBRCH	3044	BR_STATUS	CT_REP	0;
	2838	0	CT_TBRCH	3045	BR_STATUS	CT_REP	0;
	2839	0	CT_TBRCH	3046	BR_STATUS	CT_REP	0;
	2840	0	CT_TBRCH	3047	BR_STATUS	CT_REP	0;
	2841	0	CT_TBRCH	3048	BR_STATUS	CT_REP	0;
	2842	0	CT_TBRCH	3049	BR_STATUS	CT_REP	0;
	2843	0	CT_TBRCH	3050	BR_STATUS	CT_REP	0;
	2844	0	CT_TBRCH	3051	BR_STATUS	CT_REP	0;
	2845	0	CT_TBRCH	3052	BR_STATUS	CT_REP	0;
	2846	0	CT_TBRCH	3053	BR_STATUS	CT_REP	0;
	2847	0	CT_TBRCH	3054	BR_STATUS	CT_REP	0;
	2848	0	CT_TBRCH	3055	BR_STATUS	CT_REP	0;
	2849	0	CT_TBRCH	3056	BR_STATUS	CT_REP	0;
	2850	0	CT_TBRCH	3057	BR_STATUS	CT_REP	0;
	2851	0	CT_TBRCH	3058	BR_STATUS	CT_REP	0;
	2852	0	CT_TBRCH	3059	BR_STATUS	CT_REP	0;
	2853	0	CT_TBRCH	3060	BR_STATUS	CT_REP	0;
	2854	0	CT_TBRCH	3061	BR_STATUS	CT_REP	0;
	2855	0	CT_TBRCH	3062	BR_STATUS	CT_REP	0;
	2856	0	CT_TBRCH	3063	BR_STATUS	CT_REP	0;
	2857	0	CT_TBRCH	3064	BR_STATUS	CT_REP	0;
	2858	0	CT_TBRCH	3065	BR_STATUS	CT_REP	0;
	2859	0	CT_TBRCH	3066	BR_STATUS	CT_REP	0;
	2860	0	CT_TBRCH	3067	BR_STATUS	CT_REP	0;
	2861	0	CT_TBRCH	3068	BR_STATUS	CT_REP	0;
	2862	0	CT_TBRCH	3069	BR_STATUS	CT_REP	0;
	2863	0	CT_TBRCH	3070	BR_STATUS	CT_REP	0;
	2864	0	CT_TBRCH	3071	BR_STATUS	CT_REP	0;
	2865	0	CT_TBRCH	3072	BR_STATUS	CT_REP	0;
	2866	0	CT_TBRCH	3073	BR_STATUS	CT_REP	0;
	2867	0	CT_TBRCH	3074	BR_STATUS	CT_REP	0;
	2868	0	CT_TBRCH	3075	BR_STATUS	CT_REP	0;
	2869	0	CT_TBRCH	3076	BR_STATUS	CT_REP	0;
	2870	0	CT_TBRCH	3077	BR_STATUS	CT_REP	0;
	2871	0	CT_TBRCH	3078	BR_STATUS	CT_REP	0;
	2872	0	CT_TBRCH	3079	BR_STATUS	CT_REP	0;
	2873	0	CT_TBRCH	3080	BR_STATUS	CT_REP	0;
	2874	0	CT_TBRCH	3081	BR_STATUS	CT_REP	0;
	2875	0	CT_TBRCH	3082	BR_STATUS	CT_REP	0;
	2876	0	CT_TBRCH	3083	BR_STATUS	CT_REP	0;
	2877	0	CT_TBRCH	3084	BR_STATUS	CT_REP	0;
	2878	0	CT_TBRCH	3085	BR_STATUS	CT_REP	0;
	2879	0	CT_TBRCH	3086	BR_STATUS	CT_REP	0;
	2880	0	CT_TBRCH	3087	BR_STATUS	CT_REP	0;
	2881	0	CT_TBRCH	3088	BR_STATUS	CT_REP	0;
	2882	0	CT_TBRCH	3089	BR_STATUS	CT_REP	0;
	2883	0	CT_TBRCH	3090	BR_STATUS	CT_REP	0;
	2884	0	CT_TBRCH	3091	BR_STATUS	CT_REP	0;
	2885	0	CT_TBRCH	3092	BR_STATUS	CT_REP	0;
	2886	0	CT_TBRCH	3093	BR_STATUS	CT_REP	0;
	2887	0	CT_TBRCH	3094	BR_STATUS	CT_REP	0;
	2888	0	CT_TBRCH	3095	BR_STATUS	CT_REP	0;
	2889	0	CT_TBRCH	3096	BR_STATUS	CT_REP	0;
	2890	0	CT_TBRCH	3097	BR_STATUS	CT_REP	0;
	2891	0	CT_TBRCH	3098	BR_STATUS	CT_REP	0;
	2892	0	CT_TBRCH	3100	BR_STATUS	CT_REP	0;
	2893	0	CT_TBRCH	3103	BR_STATUS	CT_REP	0;
	2894	0	CT_TBRCH	3104	BR_STATUS	CT_REP	0;
	2895	0	CT_TBRCH	3105	BR_STATUS	CT_REP	0;
	2896	0	CT_TBRCH	3106	BR_STATUS	CT_REP	0;
	2897	0	CT_TBRCH	3107	BR_STATUS	CT_REP	0;
	2898	0	CT_TBRCH	3108	BR_STATUS	CT_REP	0;
	2899	0	CT_TBRCH	3109	BR_STATUS	CT_REP	0;
	2900	0	CT_TBRCH	3110	BR_STATUS	CT_REP	0;
	2901	0	CT_TBRCH	3111	BR_STATUS	CT_REP	0;
	2902	0	CT_TBRCH	3112	BR_STATUS	CT_REP	0;
	2903	0	CT_TBRCH	3113	BR_STATUS	CT_REP	0;
	2904	0	CT_TBRCH	3114	BR_STATUS	CT_REP	0;
	2905	0	CT_TBRCH	3115	BR_STATUS	CT_REP	0;
	2906	0	CT_TBRCH	3116	BR_STATUS	CT_REP	0;
	2907	0	CT_TBRCH	3117	BR_STATUS	CT_REP	0;
	2908	0	CT_TBRCH	3118	BR_STATUS	CT_REP	0;
	2909	0	CT_TBRCH	3119	BR_STATUS	CT_REP	0;
	2910	0	CT_TBRCH	3120	BR_STATUS	CT_REP	0;
	2911	0	CT_TBRCH	3121	BR_STATUS	CT_REP	0;
	2912	0	CT_TBRCH	3122	BR_STATUS	CT_REP	0;
	2913	0	CT_TBRCH	3123	BR_STATUS	CT_REP	0;
	2914	0	CT_TBRCH	3124	BR_STATUS	CT_REP	0;
	2915	0	CT_TBRCH	3126	BR_STATUS	CT_REP	0;
	2916	0	CT_TBRCH	3127	BR_STATUS	CT_REP	0;
	2917	0	CT_TBRCH	3129	BR_STATUS	CT_REP	0;
	2918	0	CT_TBRCH	3131	BR_STATUS	CT_REP	0;
	2919	0	CT_TBRCH	3132	BR_STATUS	CT_REP	0;
	2920	0	CT_TBRCH	3133	BR_STATUS	CT_REP	0;
	2921	0	CT_TBRCH	3134	BR_STATUS	CT_REP	0;
	2922	0	CT_TBRCH	3135	BR_STATUS	CT_REP	0;
	2923	0	CT_TBRCH	3136	BR_STATUS	CT_REP	0;
	2924	0	CT_TBRCH	3137	BR_STATUS	CT_REP	0;
	2925	0	CT_TBRCH	3138	BR_STATUS	CT_REP	0;
	2926	0	CT_TBRCH	3139	BR_STATUS	CT_REP	0;
	2927	0	CT_TBRCH	3140	BR_STATUS	CT_REP	0;
	2928	0	CT_TBRCH	3141	BR_STATUS	CT_REP	0;
	2929	0	CT_TBRCH	3143	BR_STATUS	CT_REP	0;
	2930	0	CT_TBRCH	3145	BR_STATUS	CT_REP	0;
	2931	0	CT_TBRCH	3146	BR_STATUS	CT_REP	0;
	2932	0	CT_TBRCH	3148	BR_STATUS	CT_REP	0;
	2933	0	CT_TBRCH	3149	BR_STATUS	CT_REP	0;
	2934	0	CT_TBRCH	3150	BR_STATUS	CT_REP	0;
	2935	0	CT_TBRCH	3151	BR_STATUS	CT_REP	0;
	2936	0	CT_TBRCH	3152	BR_STATUS	CT_REP	0;
	2937	0	CT_TBRCH	3153	BR_STATUS	CT_REP	0;
	2938	0	CT_TBRCH	3154	BR_STATUS	CT_REP	0;
	2939	0	CT_TBRCH	3155	BR_STATUS	CT_REP	0;
	2940	0	CT_TBRCH	3156	BR_STATUS	CT_REP	0;
	2941	0	CT_TBRCH	3157	BR_STATUS	CT_REP	0;
	2942	0	CT_TBRCH	3158	BR_STATUS	CT_REP	0;
	2943	0	CT_TBRCH	3159	BR_STATUS	CT_REP	0;
	2944	0	CT_TBRCH	3160	BR_STATUS	CT_REP	0;
	2945	0	CT_TBRCH	3161	BR_STATUS	CT_REP	0;
	2946	0	CT_TBRCH	3162	BR_STATUS	CT_REP	0;
	2947	0	CT_TBRCH	3163	BR_STATUS	CT_REP	0;
	2948	0	CT_TBRCH	3164	BR_STATUS	CT_REP	0;
	2949	0	CT_TBRCH	3165	BR_STATUS	CT_REP	0;
	2950	0	CT_TBRCH	3166	BR_STATUS	CT_REP	0;
	2951	0	CT_TBRCH	3167	BR_STATUS	CT_REP	0;
	2952	0	CT_TBRCH	3169	BR_STATUS	CT_REP	0;
	2953	0	CT_TBRCH	3171	BR_STATUS	CT_REP	0;
	2954	0	CT_TBRCH	3172	BR_STATUS	CT_REP	0;
	2955	0	CT_TBRCH	3173	BR_STATUS	CT_REP	0;
	2956	0	CT_TBRCH	3175	BR_STATUS	CT_REP	0;
	2957	0	CT_TBRCH	3176	BR_STATUS	CT_REP	0;
	2958	0	CT_TBRCH	3177	BR_STATUS	CT_REP	0;
	2959	0	CT_TBRCH	3178	BR_STATUS	CT_REP	0;
	2960	0	CT_TBRCH	3179	BR_STATUS	CT_REP	0;
	2961	0	CT_TBRCH	3180	BR_STATUS	CT_REP	0;
	2962	0	CT_TBRCH	3181	BR_STATUS	CT_REP	0;
	2963	0	CT_TBRCH	3182	BR_STATUS	CT_REP	0;
	2964	0	CT_TBRCH	3183	BR_STATUS	CT_REP	0;
	2965	0	CT_TBRCH	3184	BR_STATUS	CT_REP	0;
	2966	0	CT_TBRCH	3185	BR_STATUS	CT_REP	0;
	2967	0	CT_TBRCH	3186	BR_STATUS	CT_REP	0;
	2968	0	CT_TBRCH	3187	BR_STATUS	CT_REP	0;
	2969	0	CT_TBRCH	3188	BR_STATUS	CT_REP	0;
	2970	0	CT_TBRCH	3189	BR_STATUS	CT_REP	0;
	2971	0	CT_TBRCH	3190	BR_STATUS	CT_REP	0;
	2972	0	CT_TBRCH	3191	BR_STATUS	CT_REP	0;
	2973	0	CT_TBRCH	3192	BR_STATUS	CT_REP	0;
	2974	0	CT_TBRCH	3193	BR_STATUS	CT_REP	0;
	2975	0	CT_TBRCH	3194	BR_STATUS	CT_REP	0;
	2976	0	CT_TBRCH	3195	BR_STATUS	CT_REP	0;
	2977	0	CT_TBRCH	3196	BR_STATUS	CT_REP	0;
	2978	0	CT_TBRCH	3197	BR_STATUS	CT_REP	0;
	2979	0	CT_TBRCH	3198	BR_STATUS	CT_REP	0;
	2980	0	CT_TBRCH	3199	BR_STATUS	CT_REP	0;
	2981	0	CT_TBRCH	3200	BR_STATUS	CT_REP	0;
	2982	0	CT_TBRCH	3201	BR_STATUS	CT_REP	0;
	2983	0	CT_TBRCH	3202	BR_STATUS	CT_REP	0;
	2984	0	CT_TBRCH	3203	BR_STATUS	CT_REP	0;
	2985	0	CT_TBRCH	3204	BR_STATUS	CT_REP	0;
	2986	0	CT_TBRCH	3205	BR_STATUS	CT_REP	0;
	2987	0	CT_TBRCH	3206	BR_STATUS	CT_REP	0;
	2988	0	CT_TBRCH	3207	BR_STATUS	CT_REP	0;
	2989	0	CT_TBRCH	3208	BR_STATUS	CT_REP	0;
	2990	0	CT_TBRCH	3209	BR_STATUS	CT_REP	0;
	2991	0	CT_TBRCH	3210	BR_STATUS	CT_REP	0;
	2992	0	CT_TBRCH	3211	BR_STATUS	CT_REP	0;
	2993	0	CT_TBRCH	3212	BR_STATUS	CT_REP	0;
	2994	0	CT_TBRCH	3213	BR_STATUS	CT_REP	0;
	2995	0	CT_TBRCH	3214	BR_STATUS	CT_REP	0;
	2996	0	CT_TBRCH	3215	BR_STATUS	CT_REP	0;
	2997	0	CT_TBRCH	3216	BR_STATUS	CT_REP	0;
	2998	0	CT_TBRCH	3217	BR_STATUS	CT_REP	0;
	2999	0	CT_TBRCH	3218	BR_STATUS	CT_REP	0;
	3000	0	CT_TBRCH	3219	BR_STATUS	CT_REP	0;
	3001	0	CT_TBRCH	3220	BR_STATUS	CT_REP	0;
	3002	0	CT_TBRCH	3221	BR_STATUS	CT_REP	0;
	3003	0	CT_TBRCH	3222	BR_STATUS	CT_REP	0;
	3004	0	CT_TBRCH	3223	BR_STATUS	CT_REP	0;
	3005	0	CT_TBRCH	3224	BR_STATUS	CT_REP	0;
	3006	0	CT_TBRCH	3225	BR_STATUS	CT_REP	0;
	3007	0	CT_TBRCH	3226	BR_STATUS	CT_REP	0;
	3008	0	CT_TBRCH	3227	BR_STATUS	CT_REP	0;
	3009	0	CT_TBRCH	3228	BR_STATUS	CT_REP	0;
	3010	0	CT_TBRCH	3229	BR_STATUS	CT_REP	0;
	3011	0	CT_TBRCH	3230	BR_STATUS	CT_REP	0;
	3012	0	CT_TBRCH	3231	BR_STATUS	CT_REP	0;
	3013	0	CT_TBRCH	3232	BR_STATUS	CT_REP	0;
	3014	0	CT_TBRCH	3233	BR_STATUS	CT_REP	0;
	3015	0	CT_TBRCH	3234	BR_STATUS	CT_REP	0;
	3016	0	CT_TBRCH	3235	BR_STATUS	CT_REP	0;
	3017	0	CT_TBRCH	3236	BR_STATUS	CT_REP	0;
	3018	0	CT_TBRCH	3237	BR_STATUS	CT_REP	0;
	3019	0	CT_TBRCH	3238	BR_STATUS	CT_REP	0;
	3020	0	CT_TBRCH	3239	BR_STATUS	CT_REP	0;
	3021	0	CT_TBRCH	3240	BR_STATUS	CT_REP	0;
	3022	0	CT_TBRCH	3241	BR_STATUS	CT_REP	0;
	3023	0	CT_TBRCH	3242	BR_STATUS	CT_REP	0;
	3024	0	CT_TBRCH	3243	BR_STATUS	CT_REP	0;
	3025	0	CT_TBRCH	3244	BR_STATUS	CT_REP	0;
	3026	0	CT_TBRCH	3245	BR_STATUS	CT_REP	0;
	3027	0	CT_TBRCH	3246	BR_STATUS	CT_REP	0;
	3028	0	CT_TBRCH	3247	BR_STATUS	CT_REP	0;
	3029	0	CT_TBRCH	3248	BR_STATUS	CT_REP	0;
	3030	0	CT_TBRCH	3249	BR_STATUS	CT_REP	0;
	3031	0	CT_TBRCH	3250	BR_STATUS	CT_REP	0;
	3032	0	CT_TBRCH	3251	BR_STATUS	CT_REP	0;
	3033	0	CT_TBRCH	3252	BR_STATUS	CT_REP	0;
	3034	0	CT_TBRCH	3253	BR_STATUS	CT_REP	0;
	3035	0	CT_TBRCH	3254	BR_STATUS	CT_REP	0;
	3036	0	CT_TBRCH	3255	BR_STATUS	CT_REP	0;
	3037	0	CT_TBRCH	3256	BR_STATUS	CT_REP	0;
	3038	0	CT_TBRCH	3257	BR_STATUS	CT_REP	0;
	3039	0	CT_TBRCH	3258	BR_STATUS	CT_REP	0;
	3040	0	CT_TBRCH	3259	BR_STATUS	CT_REP	0;
	3041	0	CT_TBRCH	3260	BR_STATUS	CT_REP	0;
	3042	0	CT_TBRCH	3261	BR_STATUS	CT_REP	0;
	3043	0	CT_TBRCH	3262	BR_STATUS	CT_REP	0;
	3044	0	CT_TBRCH	3263	BR_STATUS	CT_REP	0;
	3045	0	CT_TBRCH	3264	BR_STATUS	CT_REP	0;
	3046	0	CT_TBRCH	3265	BR_STATUS	CT_REP	0;
	3047	0	CT_TBRCH	3266	BR_STATUS	CT_REP	0;
	3048	0	CT_TBRCH	3267	BR_STATUS	CT_REP	0;
	3049	0	CT_TBRCH	3268	BR_STATUS	CT_REP	0;
	3050	0	CT_TBRCH	3269	BR_STATUS	CT_REP	0;
	3051	0	CT_TBRCH	3270	BR_STATUS	CT_REP	0;
	3052	0	CT_TBRCH	3271	BR_STATUS	CT_REP	0;
	3053	0	CT_TBRCH	3272	BR_STATUS	CT_REP	0;
	3054	0	CT_TBRCH	3273	BR_STATUS	CT_REP	0;
	3055	0	CT_TBRCH	3274	BR_STATUS	CT_REP	0;
	3056	0	CT_TBRCH	3275	BR_STATUS	CT_REP	0;
	3057	0	CT_TBRCH	3276	BR_STATUS	CT_REP	0;
	3058	0	CT_TBRCH	3277	BR_STATUS	CT_REP	0;
	3059	0	CT_TBRCH	3278	BR_STATUS	CT_REP	0;
	3060	0	CT_TBRCH	3279	BR_STATUS	CT_REP	0;
	3061	0	CT_TBRCH	3280	BR_STATUS	CT_REP	0;
	3062	0	CT_TBRCH	3281	BR_STATUS	CT_REP	0;
	3063	0	CT_TBRCH	3282	BR_STATUS	CT_REP	0;
	3064	0	CT_TBRCH	3283	BR_STATUS	CT_REP	0;
	3065	0	CT_TBRCH	3284	BR_STATUS	CT_REP	0;
	3066	0	CT_TBRCH	3285	BR_STATUS	CT_REP	0;
	3067	0	CT_TBRCH	3286	BR_STATUS	CT_REP	0;
	3068	0	CT_TBRCH	3287	BR_STATUS	CT_REP	0;
	3069	0	CT_TBRCH	3288	BR_STATUS	CT_REP	0;
	3070	0	CT_TBRCH	3289	BR_STATUS	CT_REP	0;
	3071	0	CT_TBRCH	3290	BR_STATUS	CT_REP	0;
	3072	0	CT_TBRCH	3291	BR_STATUS	CT_REP	0;
	3073	0	CT_TBRCH	3292	BR_STATUS	CT_REP	0;
	3074	0	CT_TBRCH	3293	BR_STATUS	CT_REP	0;
	3075	0	CT_TBRCH	3294	BR_STATUS	CT_REP	0;
	3076	0	CT_TBRCH	3295	BR_STATUS	CT_REP	0;
	3077	0	CT_TBRCH	3296	BR_STATUS	CT_REP	0;
	3078	0	CT_TBRCH	3297	BR_STATUS	CT_REP	0;
	3079	0	CT_TBRCH	3298	BR_STATUS	CT_REP	0;
	3080	0	CT_TBRCH	3299	BR_STATUS	CT_REP	0;
	3081	0	CT_TBRCH	3300	BR_STATUS	CT_REP	0;
	3082	0	CT_TBRCH	3301	BR_STATUS	CT_REP	0;
	3083	0	CT_TBRCH	3302	BR_STATUS	CT_REP	0;
	3084	0	CT_TBRCH	3303	BR_STATUS	CT_REP	0;
	3085	0	CT_TBRCH	3304	BR_STATUS	CT_REP	0;
	3086	0	CT_TBRCH	3305	BR_STATUS	CT_REP	0;
	3087	0	CT_TBRCH	3306	BR_STATUS	CT_REP	0;
	3088	0	CT_TBRCH	3307	BR_STATUS	CT_REP	0;
	3089	0	CT_TBRCH	3308	BR_STATUS	CT_REP	0;
	3090	0	CT_TBRCH	3309	BR_STATUS	CT_REP	0;
	3091	0	CT_TBRCH	3310	BR_STATUS	CT_REP	0;
	3092	0	CT_TBRCH	3311	BR_STATUS	CT_REP	0;
	3093	0	CT_TBRCH	3312	BR_STATUS	CT_REP	0;
	3094	0	CT_TBRCH	3313	BR_STATUS	CT_REP	0;
	3095	0	CT_TBRCH	3314	BR_STATUS	CT_REP	0;
	3096	0	CT_TBRCH	3315	BR_STATUS	CT_REP	0;
	3097	0	CT_TBRCH	3316	BR_STATUS	CT_REP	0;
	3098	0	CT_TBRCH	3317	BR_STATUS	CT_REP	0;
	3099	0	CT_TBRCH	3318	BR_STATUS	CT_REP	0;
	3100	0	CT_TBRCH	3319	BR_STATUS	CT_REP	0;
	3101	0	CT_TBRCH	3320	BR_STATUS	CT_REP	0;
	3102	0	CT_TBRCH	3321	BR_STATUS	CT_REP	0;
	3103	0	CT_TBRCH	3322	BR_STATUS	CT_REP	0;
	3104	0	CT_TBRCH	3323	BR_STATUS	CT_REP	0;
	3105	0	CT_TBRCH	3324	BR_STATUS	CT_REP	0;
	3106	0	CT_TBRCH	3325	BR_STATUS	CT_REP	0;
	3107	0	CT_TBRCH	3326	BR_STATUS	CT_REP	0;
	3108	0	CT_TBRCH	3327	BR_STATUS	CT_REP	0;
	3109	0	CT_TBRCH	3328	BR_STATUS	CT_REP	0;
	3110	0	CT_TBRCH	3329	BR_STATUS	CT_REP	0;
	3111	0	CT_TBRCH	3330	BR_STATUS	CT_REP	0;
	3112	0	CT_TBRCH	3331	BR_STATUS	CT_REP	0;
	3113	0	CT_TBRCH	3332	BR_STATUS	CT_REP	0;
	3114	0	CT_TBRCH	3333	BR_STATUS	CT_REP	0;
	3115	0	CT_TBRCH	3334	BR_STATUS	CT_REP	0;
	3116	0	CT_TBRCH	3335	BR_STATUS	CT_REP	0;
	3117	0	CT_TBRCH	3336	BR_STATUS	CT_REP	0;
	3118	0	CT_TBRCH	3337	BR_STATUS	CT_REP	0;
	3119	0	CT_TBRCH	3338	BR_STATUS	CT_REP	0;
	3120	0	CT_TBRCH	3339	BR_STATUS	CT_REP	0;
	3121	0	CT_TBRCH	3340	BR_STATUS	CT_REP	0;
	3122	0	CT_TBRCH	3341	BR_STATUS	CT_REP	0;
	3123	0	CT_TBRCH	3342	BR_STATUS	CT_REP	0;
	3124	0	CT_TBRCH	3343	BR_STATUS	CT_REP	0;
	3125	0	CT_TBRCH	3344	BR_STATUS	CT_REP	0;
	3126	0	CT_TBRCH	3345	BR_STATUS	CT_REP	0;
	3127	0	CT_TBRCH	3346	BR_STATUS	CT_REP	0;
	3128	0	CT_TBRCH	3347	BR_STATUS	CT_REP	0;
	3129	0	CT_TBRCH	3348	BR_STATUS	CT_REP	0;
	3130	0	CT_TBRCH	3349	BR_STATUS	CT_REP	0;
	3131	0	CT_TBRCH	3350	BR_STATUS	CT_REP	0;
	3132	0	CT_TBRCH	3351	BR_STATUS	CT_REP	0;
	3133	0	CT_TBRCH	3352	BR_STATUS	CT_REP	0;
	3134	0	CT_TBRCH	3353	BR_STATUS	CT_REP	0;
	3135	0	CT_TBRCH	3354	BR_STATUS	CT_REP	0;
	3136	0	CT_TBRCH	3356	BR_STATUS	CT_REP	0;
	3137	0	CT_TBRCH	3357	BR_STATUS	CT_REP	0;
	3138	0	CT_TBRCH	3359	BR_STATUS	CT_REP	0;
	3139	0	CT_TBRCH	3360	BR_STATUS	CT_REP	0;
	3140	0	CT_TBRCH	3362	BR_STATUS	CT_REP	0;
	3141	0	CT_TBRCH	3363	BR_STATUS	CT_REP	0;
	3142	0	CT_TBRCH	3364	BR_STATUS	CT_REP	0;
	3143	0	CT_TBRCH	3365	BR_STATUS	CT_REP	0;
	3144	0	CT_TBRCH	3366	BR_STATUS	CT_REP	0;
	3145	0	CT_TBRCH	3367	BR_STATUS	CT_REP	0;
	3146	0	CT_TBRCH	3368	BR_STATUS	CT_REP	0;
	3147	0	CT_TBRCH	3369	BR_STATUS	CT_REP	0;
	3148	0	CT_TBRCH	3370	BR_STATUS	CT_REP	0;
	3149	0	CT_TBRCH	3371	BR_STATUS	CT_REP	0;
	3150	0	CT_TBRCH	3372	BR_STATUS	CT_REP	0;
	3151	0	CT_TBRCH	3373	BR_STATUS	CT_REP	0;
	3152	0	CT_TBRCH	3374	BR_STATUS	CT_REP	0;
	3153	0	CT_TBRCH	3375	BR_STATUS	CT_REP	0;
	3154	0	CT_TBRCH	3376	BR_STATUS	CT_REP	0;
	3155	0	CT_TBRCH	3377	BR_STATUS	CT_REP	0;
	3156	0	CT_TBRCH	3378	BR_STATUS	CT_REP	0;
	3157	0	CT_TBRCH	3379	BR_STATUS	CT_REP	0;
	3158	0	CT_TBRCH	3380	BR_STATUS	CT_REP	0;
	3159	0	CT_TBRCH	3381	BR_STATUS	CT_REP	0;
	3160	0	CT_TBRCH	3382	BR_STATUS	CT_REP	0;
	3161	0	CT_TBRCH	3383	BR_STATUS	CT_REP	0;
	3162	0	CT_TBRCH	3384	BR_STATUS	CT_REP	0;
	3163	0	CT_TBRCH	3385	BR_STATUS	CT_REP	0;
	3164	0	CT_TBRCH	3386	BR_STATUS	CT_REP	0;
	3165	0	CT_TBRCH	3387	BR_STATUS	CT_REP	0;
	3166	0	CT_TBRCH	3389	BR_STATUS	CT_REP	0;
	3167	0	CT_TBRCH	3390	BR_STATUS	CT_REP	0;
	3168	0	CT_TBRCH	3393	BR_STATUS	CT_REP	0;
	3169	0	CT_TBRCH	3394	BR_STATUS	CT_REP	0;
	3170	0	CT_TBRCH	3395	BR_STATUS	CT_REP	0;
	3171	0	CT_TBRCH	3396	BR_STATUS	CT_REP	0;
	3172	0	CT_TBRCH	3397	BR_STATUS	CT_REP	0;
	3173	0	CT_TBRCH	3398	BR_STATUS	CT_REP	0;
	3174	0	CT_TBRCH	3399	BR_STATUS	CT_REP	0;
	3175	0	CT_TBRCH	3400	BR_STATUS	CT_REP	0;
	3176	0	CT_TBRCH	3401	BR_STATUS	CT_REP	0;
	3177	0	CT_TBRCH	3402	BR_STATUS	CT_REP	0;
	3178	0	CT_TBRCH	3403	BR_STATUS	CT_REP	0;
	3179	0	CT_TBRCH	3404	BR_STATUS	CT_REP	0;
	3180	0	CT_TBRCH	3405	BR_STATUS	CT_REP	0;
	3181	0	CT_TBRCH	3406	BR_STATUS	CT_REP	0;
	3182	0	CT_TBRCH	3407	BR_STATUS	CT_REP	0;
	3183	0	CT_TBRCH	3408	BR_STATUS	CT_REP	0;
	3184	0	CT_TBRCH	3409	BR_STATUS	CT_REP	0;
	3185	0	CT_TBRCH	3410	BR_STATUS	CT_REP	0;
	3186	0	CT_TBRCH	3411	BR_STATUS	CT_REP	0;
	3187	0	CT_TBRCH	3412	BR_STATUS	CT_REP	0;
	3188	0	CT_TBRCH	3413	BR_STATUS	CT_REP	0;
	3189	0	CT_TBRCH	3414	BR_STATUS	CT_REP	0;
	3190	0	CT_TBRCH	3415	BR_STATUS	CT_REP	0;
	3191	0	CT_TBRCH	3416	BR_STATUS	CT_REP	0;
	3192	0	CT_TBRCH	3417	BR_STATUS	CT_REP	0;
	3193	0	CT_TBRCH	3418	BR_STATUS	CT_REP	0;
	3194	0	CT_TBRCH	3419	BR_STATUS	CT_REP	0;
	3195	0	CT_TBRCH	3420	BR_STATUS	CT_REP	0;
	3196	0	CT_TBRCH	3421	BR_STATUS	CT_REP	0;
	3197	0	CT_TBRCH	3422	BR_STATUS	CT_REP	0;
	3198	0	CT_TBRCH	3423	BR_STATUS	CT_REP	0;
	3199	0	CT_TBRCH	3424	BR_STATUS	CT_REP	0;
	3200	0	CT_TBRCH	3425	BR_STATUS	CT_REP	0;
	3201	0	CT_TBRCH	3426	BR_STATUS	CT_REP	0;
	3202	0	CT_TBRCH	3427	BR_STATUS	CT_REP	0;
	3203	0	CT_TBRCH	3428	BR_STATUS	CT_REP	0;
	3204	0	CT_TBRCH	3429	BR_STATUS	CT_REP	0;
	3205	0	CT_TBRCH	3430	BR_STATUS	CT_REP	0;
	3206	0	CT_TBRCH	3431	BR_STATUS	CT_REP	0;
	3207	0	CT_TBRCH	3432	BR_STATUS	CT_REP	0;
	3208	0	CT_TBRCH	3433	BR_STATUS	CT_REP	0;
	3209	0	CT_TBRCH	3434	BR_STATUS	CT_REP	0;
	3210	0	CT_TBRCH	3435	BR_STATUS	CT_REP	0;
	3211	0	CT_TBRCH	3436	BR_STATUS	CT_REP	0;
	3212	0	CT_TBRCH	3437	BR_STATUS	CT_REP	0;
	3213	0	CT_TBRCH	3438	BR_STATUS	CT_REP	0;
	3214	0	CT_TBRCH	3439	BR_STATUS	CT_REP	0;
	3215	0	CT_TBRCH	3440	BR_STATUS	CT_REP	0;
	3216	0	CT_TBRCH	3441	BR_STATUS	CT_REP	0;
	3217	0	CT_TBRCH	3442	BR_STATUS	CT_REP	0;
	3218	0	CT_TBRCH	3443	BR_STATUS	CT_REP	0;
	3219	0	CT_TBRCH	3444	BR_STATUS	CT_REP	0;
	3220	0	CT_TBRCH	3445	BR_STATUS	CT_REP	0;
	3221	0	CT_TBRCH	3446	BR_STATUS	CT_REP	0;
	3222	0	CT_TBRCH	3447	BR_STATUS	CT_REP	0;
	3223	0	CT_TBRCH	3448	BR_STATUS	CT_REP	0;
	3224	0	CT_TBRCH	3449	BR_STATUS	CT_REP	0;
	3225	0	CT_TBRCH	3450	BR_STATUS	CT_REP	0;
	3226	0	CT_TBRCH	3451	BR_STATUS	CT_REP	0;
	3227	0	CT_TBRCH	3452	BR_STATUS	CT_REP	0;
	3228	0	CT_TBRCH	3453	BR_STATUS	CT_REP	0;
	3229	0	CT_TBRCH	3454	BR_STATUS	CT_REP	0;
	3230	0	CT_TBRCH	3455	BR_STATUS	CT_REP	0;
	3231	0	CT_TBRCH	3456	BR_STATUS	CT_REP	0;
	3232	0	CT_TBRCH	3457	BR_STATUS	CT_REP	0;
	3233	0	CT_TBRCH	3458	BR_STATUS	CT_REP	0;
	3234	0	CT_TBRCH	3459	BR_STATUS	CT_REP	0;
	3235	0	CT_TBRCH	3460	BR_STATUS	CT_REP	0;
	3236	0	CT_TBRCH	3461	BR_STATUS	CT_REP	0;
	3237	0	CT_TBRCH	3462	BR_STATUS	CT_REP	0;
	3238	0	CT_TBRCH	3463	BR_STATUS	CT_REP	0;
	3239	0	CT_TBRCH	3464	BR_STATUS	CT_REP	0;
	3240	0	CT_TBRCH	3465	BR_STATUS	CT_REP	0;
	3241	0	CT_TBRCH	3466	BR_STATUS	CT_REP	0;
	3242	0	CT_TBRCH	3467	BR_STATUS	CT_REP	0;
	3243	0	CT_TBRCH	3468	BR_STATUS	CT_REP	0;
	3244	0	CT_TBRCH	3469	BR_STATUS	CT_REP	0;
	3245	0	CT_TBRCH	3470	BR_STATUS	CT_REP	0;
	3246	0	CT_TBRCH	3471	BR_STATUS	CT_REP	0;
	3247	0	CT_TBRCH	3472	BR_STATUS	CT_REP	0;
	3248	0	CT_TBRCH	3473	BR_STATUS	CT_REP	0;
	3249	0	CT_TBRCH	3474	BR_STATUS	CT_REP	0;
	3250	0	CT_TBRCH	3475	BR_STATUS	CT_REP	0;
	3251	0	CT_TBRCH	3476	BR_STATUS	CT_REP	0;
	3252	0	CT_TBRCH	3477	BR_STATUS	CT_REP	0;
	3253	0	CT_TBRCH	3478	BR_STATUS	CT_REP	0;
	3254	0	CT_TBRCH	3479	BR_STATUS	CT_REP	0;
	3255	0	CT_TBRCH	3480	BR_STATUS	CT_REP	0;
	3256	0	CT_TBRCH	3481	BR_STATUS	CT_REP	0;
	3257	0	CT_TBRCH	3482	BR_STATUS	CT_REP	0;
	3258	0	CT_TBRCH	3483	BR_STATUS	CT_REP	0;
	3259	0	CT_TBRCH	3484	BR_STATUS	CT_REP	0;
	3260	0	CT_TBRCH	3485	BR_STATUS	CT_REP	0;
	3261	0	CT_TBRCH	3486	BR_STATUS	CT_REP	0;
	3262	0	CT_TBRCH	3487	BR_STATUS	CT_REP	0;
	3263	0	CT_TBRCH	3488	BR_STATUS	CT_REP	0;
	3264	0	CT_TBRCH	3489	BR_STATUS	CT_REP	0;
	3265	0	CT_TBRCH	3490	BR_STATUS	CT_REP	0;
	3266	0	CT_TBRCH	3491	BR_STATUS	CT_REP	0;
	3267	0	CT_TBRCH	3492	BR_STATUS	CT_REP	0;
	3268	0	CT_TBRCH	3493	BR_STATUS	CT_REP	0;
	3269	0	CT_TBRCH	3494	BR_STATUS	CT_REP	0;
	3270	0	CT_TBRCH	3495	BR_STATUS	CT_REP	0;
	3271	0	CT_TBRCH	3496	BR_STATUS	CT_REP	0;
	3272	0	CT_TBRCH	3497	BR_STATUS	CT_REP	0;
	3273	0	CT_TBRCH	3498	BR_STATUS	CT_REP	0;
	3274	0	CT_TBRCH	3499	BR_STATUS	CT_REP	0;
	3275	0	CT_TBRCH	3501	BR_STATUS	CT_REP	0;
	3276	0	CT_TBRCH	3503	BR_STATUS	CT_REP	0;
	3277	0	CT_TBRCH	3504	BR_STATUS	CT_REP	0;
	3278	0	CT_TBRCH	3507	BR_STATUS	CT_REP	0;
	3279	0	CT_TBRCH	3508	BR_STATUS	CT_REP	0;
	3280	0	CT_TBRCH	3511	BR_STATUS	CT_REP	0;
	3281	0	CT_TBRCH	3512	BR_STATUS	CT_REP	0;
	3282	0	CT_TBRCH	3513	BR_STATUS	CT_REP	0;
	3283	0	CT_TBRCH	3514	BR_STATUS	CT_REP	0;
	3284	0	CT_TBRCH	3515	BR_STATUS	CT_REP	0;
	3285	0	CT_TBRCH	3516	BR_STATUS	CT_REP	0;
	3286	0	CT_TBRCH	3517	BR_STATUS	CT_REP	0;
	3287	0	CT_TBRCH	3518	BR_STATUS	CT_REP	0;
	3288	0	CT_TBRCH	3519	BR_STATUS	CT_REP	0;
	3289	0	CT_TBRCH	3520	BR_STATUS	CT_REP	0;
	3290	0	CT_TBRCH	3521	BR_STATUS	CT_REP	0;
	3291	0	CT_TBRCH	3522	BR_STATUS	CT_REP	0;
	3292	0	CT_TBRCH	3523	BR_STATUS	CT_REP	0;
	3293	0	CT_TBRCH	3524	BR_STATUS	CT_REP	0;
	3294	0	CT_TBRCH	3525	BR_STATUS	CT_REP	0;
	3295	0	CT_TBRCH	3526	BR_STATUS	CT_REP	0;
	3296	0	CT_TBRCH	3527	BR_STATUS	CT_REP	0;
	3297	0	CT_TBRCH	3528	BR_STATUS	CT_REP	0;
	3298	0	CT_TBRCH	3529	BR_STATUS	CT_REP	0;
	3299	0	CT_TBRCH	3530	BR_STATUS	CT_REP	0;
	3300	0	CT_TBRCH	3531	BR_STATUS	CT_REP	0;
	3301	0	CT_TBRCH	3532	BR_STATUS	CT_REP	0;
	3302	0	CT_TBRCH	3533	BR_STATUS	CT_REP	0;
	3303	0	CT_TBRCH	3534	BR_STATUS	CT_REP	0;
	3304	0	CT_TBRCH	3535	BR_STATUS	CT_REP	0;
	3305	0	CT_TBRCH	3536	BR_STATUS	CT_REP	0;
	3306	0	CT_TBRCH	3537	BR_STATUS	CT_REP	0;
	3307	0	CT_TBRCH	3538	BR_STATUS	CT_REP	0;
	3308	0	CT_TBRCH	3539	BR_STATUS	CT_REP	0;
	3309	0	CT_TBRCH	3540	BR_STATUS	CT_REP	0;
	3310	0	CT_TBRCH	3541	BR_STATUS	CT_REP	0;
	3311	0	CT_TBRCH	3542	BR_STATUS	CT_REP	0;
	3312	0	CT_TBRCH	3543	BR_STATUS	CT_REP	0;
	3313	0	CT_TBRCH	3544	BR_STATUS	CT_REP	0;
	3314	0	CT_TBRCH	3545	BR_STATUS	CT_REP	0;
	3315	0	CT_TBRCH	3546	BR_STATUS	CT_REP	0;
	3316	0	CT_TBRCH	3547	BR_STATUS	CT_REP	0;
	3317	0	CT_TBRCH	3548	BR_STATUS	CT_REP	0;
	3318	0	CT_TBRCH	3549	BR_STATUS	CT_REP	0;
	3319	0	CT_TBRCH	3550	BR_STATUS	CT_REP	0;
	3320	0	CT_TBRCH	3551	BR_STATUS	CT_REP	0;
	3321	0	CT_TBRCH	3552	BR_STATUS	CT_REP	0;
	3322	0	CT_TBRCH	3553	BR_STATUS	CT_REP	0;
	3323	0	CT_TBRCH	3554	BR_STATUS	CT_REP	0;
	3324	0	CT_TBRCH	3555	BR_STATUS	CT_REP	0;
	3325	0	CT_TBRCH	3556	BR_STATUS	CT_REP	0;
	3326	0	CT_TBRCH	3557	BR_STATUS	CT_REP	0;
	3327	0	CT_TBRCH	3558	BR_STATUS	CT_REP	0;
	3328	0	CT_TBRCH	3559	BR_STATUS	CT_REP	0;
	3329	0	CT_TBRCH	3560	BR_STATUS	CT_REP	0;
	3330	0	CT_TBRCH	3561	BR_STATUS	CT_REP	0;
	3331	0	CT_TBRCH	3562	BR_STATUS	CT_REP	0;
	3332	0	CT_TBRCH	3563	BR_STATUS	CT_REP	0;
	3333	0	CT_TBRCH	3564	BR_STATUS	CT_REP	0;
	3334	0	CT_TBRCH	3565	BR_STATUS	CT_REP	0;
	3335	0	CT_TBRCH	3566	BR_STATUS	CT_REP	0;
	3336	0	CT_TBRCH	3570	BR_STATUS	CT_REP	0;
	3337	0	CT_TBRCH	3571	BR_STATUS	CT_REP	0;
	3338	0	CT_TBRCH	3572	BR_STATUS	CT_REP	0;
	3339	0	CT_TBRCH	3573	BR_STATUS	CT_REP	0;
	3340	0	CT_TBRCH	3574	BR_STATUS	CT_REP	0;
	3341	0	CT_TBRCH	3575	BR_STATUS	CT_REP	0;
	3342	0	CT_TBRCH	3576	BR_STATUS	CT_REP	0;
	3343	0	CT_TBRCH	3577	BR_STATUS	CT_REP	0;
	3344	0	CT_TBRCH	3578	BR_STATUS	CT_REP	0;
	3345	0	CT_TBRCH	3579	BR_STATUS	CT_REP	0;
	3346	0	CT_TBRCH	3580	BR_STATUS	CT_REP	0;
	3347	0	CT_TBRCH	3581	BR_STATUS	CT_REP	0;
	3348	0	CT_TBRCH	3582	BR_STATUS	CT_REP	0;
	3349	0	CT_TBRCH	3583	BR_STATUS	CT_REP	0;
	3350	0	CT_TBRCH	3584	BR_STATUS	CT_REP	0;
	3351	0	CT_TBRCH	3585	BR_STATUS	CT_REP	0;
	3352	0	CT_TBRCH	3586	BR_STATUS	CT_REP	0;
	3353	0	CT_TBRCH	3587	BR_STATUS	CT_REP	0;
	3354	0	CT_TBRCH	3588	BR_STATUS	CT_REP	0;
	3355	0	CT_TBRCH	3589	BR_STATUS	CT_REP	0;
	3356	0	CT_TBRCH	3590	BR_STATUS	CT_REP	0;
	3357	0	CT_TBRCH	3591	BR_STATUS	CT_REP	0;
	3358	0	CT_TBRCH	3592	BR_STATUS	CT_REP	0;
	3359	0	CT_TBRCH	3593	BR_STATUS	CT_REP	0;
	3360	0	CT_TBRCH	3595	BR_STATUS	CT_REP	0;
	3361	0	CT_TBRCH	3596	BR_STATUS	CT_REP	0;
	3362	0	CT_TBRCH	3597	BR_STATUS	CT_REP	0;
	3363	0	CT_TBRCH	3598	BR_STATUS	CT_REP	0;
	3364	0	CT_TBRCH	3601	BR_STATUS	CT_REP	0;
	3365	0	CT_TBRCH	3602	BR_STATUS	CT_REP	0;
	3366	0	CT_TBRCH	3603	BR_STATUS	CT_REP	0;
	3367	0	CT_TBRCH	3604	BR_STATUS	CT_REP	0;
	3368	0	CT_TBRCH	3605	BR_STATUS	CT_REP	0;
	3369	0	CT_TBRCH	3606	BR_STATUS	CT_REP	0;
	3370	0	CT_TBRCH	3607	BR_STATUS	CT_REP	0;
	3371	0	CT_TBRCH	3608	BR_STATUS	CT_REP	0;
	3372	0	CT_TBRCH	3609	BR_STATUS	CT_REP	0;
	3373	0	CT_TBRCH	3610	BR_STATUS	CT_REP	0;
	3374	0	CT_TBRCH	3611	BR_STATUS	CT_REP	0;
	3375	0	CT_TBRCH	3612	BR_STATUS	CT_REP	0;
	3376	0	CT_TBRCH	3613	BR_STATUS	CT_REP	0;
	3377	0	CT_TBRCH	3614	BR_STATUS	CT_REP	0;
	3378	0	CT_TBRCH	3615	BR_STATUS	CT_REP	0;
	3379	0	CT_TBRCH	3616	BR_STATUS	CT_REP	0;
	3380	0	CT_TBRCH	3617	BR_STATUS	CT_REP	0;
	3381	0	CT_TBRCH	3619	BR_STATUS	CT_REP	0;
	3382	0	CT_TBRCH	3620	BR_STATUS	CT_REP	0;
	3383	0	CT_TBRCH	3621	BR_STATUS	CT_REP	0;
	3384	0	CT_TBRCH	3622	BR_STATUS	CT_REP	0;
	3385	0	CT_TBRCH	3625	BR_STATUS	CT_REP	0;
	3386	0	CT_TBRCH	3626	BR_STATUS	CT_REP	0;
	3387	0	CT_TBRCH	3627	BR_STATUS	CT_REP	0;
	3388	0	CT_TBRCH	3628	BR_STATUS	CT_REP	0;
	3389	0	CT_TBRCH	3629	BR_STATUS	CT_REP	0;
	3390	0	CT_TBRCH	3630	BR_STATUS	CT_REP	0;
	3391	0	CT_TBRCH	3631	BR_STATUS	CT_REP	0;
	3392	0	CT_TBRCH	3632	BR_STATUS	CT_REP	0;
	3393	0	CT_TBRCH	3633	BR_STATUS	CT_REP	0;
	3394	0	CT_TBRCH	3634	BR_STATUS	CT_REP	0;
	3395	0	CT_TBRCH	3635	BR_STATUS	CT_REP	0;
	3396	0	CT_TBRCH	3636	BR_STATUS	CT_REP	0;
	3397	0	CT_TBRCH	3637	BR_STATUS	CT_REP	0;
	3398	0	CT_TBRCH	3638	BR_STATUS	CT_REP	0;
	3399	0	CT_TBRCH	3639	BR_STATUS	CT_REP	0;
	3400	0	CT_TBRCH	3640	BR_STATUS	CT_REP	0;
	3401	0	CT_TBRCH	3641	BR_STATUS	CT_REP	0;
	3402	0	CT_TBRCH	3642	BR_STATUS	CT_REP	0;
	3403	0	CT_TBRCH	3643	BR_STATUS	CT_REP	0;
	3404	0	CT_TBRCH	3644	BR_STATUS	CT_REP	0;
	3405	0	CT_TBRCH	3645	BR_STATUS	CT_REP	0;
	3406	0	CT_TBRCH	3646	BR_STATUS	CT_REP	0;
	3407	0	CT_TBRCH	3647	BR_STATUS	CT_REP	0;
	3408	0	CT_TBRCH	3648	BR_STATUS	CT_REP	0;
	3409	0	CT_TBRCH	3649	BR_STATUS	CT_REP	0;
	3410	0	CT_TBRCH	3650	BR_STATUS	CT_REP	0;
	3411	0	CT_TBRCH	3651	BR_STATUS	CT_REP	0;
	3412	0	CT_TBRCH	3652	BR_STATUS	CT_REP	0;
	3413	0	CT_TBRCH	3653	BR_STATUS	CT_REP	0;
	3414	0	CT_TBRCH	3654	BR_STATUS	CT_REP	0;
	3415	0	CT_TBRCH	3655	BR_STATUS	CT_REP	0;
	3416	0	CT_TBRCH	3656	BR_STATUS	CT_REP	0;
	3417	0	CT_TBRCH	3657	BR_STATUS	CT_REP	0;
	3418	0	CT_TBRCH	3658	BR_STATUS	CT_REP	0;
	3419	0	CT_TBRCH	3659	BR_STATUS	CT_REP	0;
	3420	0	CT_TBRCH	3660	BR_STATUS	CT_REP	0;
	3421	0	CT_TBRCH	3661	BR_STATUS	CT_REP	0;
	3422	0	CT_TBRCH	3662	BR_STATUS	CT_REP	0;
	3423	0	CT_TBRCH	3663	BR_STATUS	CT_REP	0;
	3424	0	CT_TBRCH	3664	BR_STATUS	CT_REP	0;
	3425	0	CT_TBRCH	3665	BR_STATUS	CT_REP	0;
	3426	0	CT_TBRCH	3666	BR_STATUS	CT_REP	0;
	3427	0	CT_TBRCH	3667	BR_STATUS	CT_REP	0;
	3428	0	CT_TBRCH	3668	BR_STATUS	CT_REP	0;
	3429	0	CT_TBRCH	3669	BR_STATUS	CT_REP	0;
	3430	0	CT_TBRCH	3670	BR_STATUS	CT_REP	0;
	3431	0	CT_TBRCH	3671	BR_STATUS	CT_REP	0;
	3432	0	CT_TBRCH	3672	BR_STATUS	CT_REP	0;
	3433	0	CT_TBRCH	3673	BR_STATUS	CT_REP	0;
	3434	0	CT_TBRCH	3674	BR_STATUS	CT_REP	0;
	3435	0	CT_TBRCH	3675	BR_STATUS	CT_REP	0;
	3436	0	CT_TBRCH	3676	BR_STATUS	CT_REP	0;
	3437	0	CT_TBRCH	3677	BR_STATUS	CT_REP	0;
	3438	0	CT_TBRCH	3678	BR_STATUS	CT_REP	0;
	3439	0	CT_TBRCH	3679	BR_STATUS	CT_REP	0;
	3440	0	CT_TBRCH	3680	BR_STATUS	CT_REP	0;
	3441	0	CT_TBRCH	3681	BR_STATUS	CT_REP	0;
	3442	0	CT_TBRCH	3682	BR_STATUS	CT_REP	0;
	3443	0	CT_TBRCH	3683	BR_STATUS	CT_REP	0;
	3444	0	CT_TBRCH	3684	BR_STATUS	CT_REP	0;
	3445	0	CT_TBRCH	3685	BR_STATUS	CT_REP	0;
	3446	0	CT_TBRCH	3686	BR_STATUS	CT_REP	0;
	3447	0	CT_TBRCH	3687	BR_STATUS	CT_REP	0;
	3448	0	CT_TBRCH	3688	BR_STATUS	CT_REP	0;
	3449	0	CT_TBRCH	3689	BR_STATUS	CT_REP	0;
	3450	0	CT_TBRCH	3690	BR_STATUS	CT_REP	0;
	3451	0	CT_TBRCH	3691	BR_STATUS	CT_REP	0;
	3452	0	CT_TBRCH	3692	BR_STATUS	CT_REP	0;
	3453	0	CT_TBRCH	3693	BR_STATUS	CT_REP	0;
	3454	0	CT_TBRCH	3694	BR_STATUS	CT_REP	0;
	3455	0	CT_TBRCH	3695	BR_STATUS	CT_REP	0;
	3456	0	CT_TBRCH	3696	BR_STATUS	CT_REP	0;
	3457	0	CT_TBRCH	3697	BR_STATUS	CT_REP	0;
	3458	0	CT_TBRCH	3698	BR_STATUS	CT_REP	0;
	3459	0	CT_TBRCH	3699	BR_STATUS	CT_REP	0;
	3460	0	CT_TBRCH	3700	BR_STATUS	CT_REP	0;
	3461	0	CT_TBRCH	3701	BR_STATUS	CT_REP	0;
	3462	0	CT_TBRCH	3702	BR_STATUS	CT_REP	0;
	3463	0	CT_TBRCH	3703	BR_STATUS	CT_REP	0;
	3464	0	CT_TBRCH	3704	BR_STATUS	CT_REP	0;
	3465	0	CT_TBRCH	3705	BR_STATUS	CT_REP	0;
	3466	0	CT_TBRCH	3706	BR_STATUS	CT_REP	0;
	3467	0	CT_TBRCH	3707	BR_STATUS	CT_REP	0;
	3468	0	CT_TBRCH	3708	BR_STATUS	CT_REP	0;
	3469	0	CT_TBRCH	3709	BR_STATUS	CT_REP	0;
	3470	0	CT_TBRCH	3710	BR_STATUS	CT_REP	0;
	3471	0	CT_TBRCH	3711	BR_STATUS	CT_REP	0;
	3472	0	CT_TBRCH	3712	BR_STATUS	CT_REP	0;
	3473	0	CT_TBRCH	3714	BR_STATUS	CT_REP	0;
	3474	0	CT_TBRCH	3715	BR_STATUS	CT_REP	0;
	3475	0	CT_TBRCH	3718	BR_STATUS	CT_REP	0;
	3476	0	CT_TBRCH	3719	BR_STATUS	CT_REP	0;
	3477	0	CT_TBRCH	3720	BR_STATUS	CT_REP	0;
	3478	0	CT_TBRCH	3721	BR_STATUS	CT_REP	0;
	3479	0	CT_TBRCH	3722	BR_STATUS	CT_REP	0;
	3480	0	CT_TBRCH	3723	BR_STATUS	CT_REP	0;
	3481	0	CT_TBRCH	3724	BR_STATUS	CT_REP	0;
	3482	0	CT_TBRCH	3725	BR_STATUS	CT_REP	0;
	3483	0	CT_TBRCH	3726	BR_STATUS	CT_REP	0;
	3484	0	CT_TBRCH	3727	BR_STATUS	CT_REP	0;
	3485	0	CT_TBRCH	3728	BR_STATUS	CT_REP	0;
	3486	0	CT_TBRCH	3729	BR_STATUS	CT_REP	0;
	3487	0	CT_TBRCH	3730	BR_STATUS	CT_REP	0;
	3488	0	CT_TBRCH	3731	BR_STATUS	CT_REP	0;
	3489	0	CT_TBRCH	3732	BR_STATUS	CT_REP	0;
	3490	0	CT_TBRCH	3733	BR_STATUS	CT_REP	0;
	3491	0	CT_TBRCH	3734	BR_STATUS	CT_REP	0;
	3492	0	CT_TBRCH	3735	BR_STATUS	CT_REP	0;
	3493	0	CT_TBRCH	3736	BR_STATUS	CT_REP	0;
	3494	0	CT_TBRCH	3737	BR_STATUS	CT_REP	0;
	3495	0	CT_TBRCH	3738	BR_STATUS	CT_REP	0;
	3496	0	CT_TBRCH	3739	BR_STATUS	CT_REP	0;
	3497	0	CT_TBRCH	3740	BR_STATUS	CT_REP	0;
	3498	0	CT_TBRCH	3741	BR_STATUS	CT_REP	0;
	3499	0	CT_TBRCH	3742	BR_STATUS	CT_REP	0;
	3500	0	CT_TBRCH	3743	BR_STATUS	CT_REP	0;
	3501	0	CT_TBRCH	3744	BR_STATUS	CT_REP	0;
	3502	0	CT_TBRCH	3745	BR_STATUS	CT_REP	0;
	3503	0	CT_TBRCH	3746	BR_STATUS	CT_REP	0;
	3504	0	CT_TBRCH	3748	BR_STATUS	CT_REP	0;
	3505	0	CT_TBRCH	3749	BR_STATUS	CT_REP	0;
	3506	0	CT_TBRCH	3750	BR_STATUS	CT_REP	0;
	3507	0	CT_TBRCH	3751	BR_STATUS	CT_REP	0;
	3508	0	CT_TBRCH	3752	BR_STATUS	CT_REP	0;
	3509	0	CT_TBRCH	3753	BR_STATUS	CT_REP	0;
	3510	0	CT_TBRCH	3756	BR_STATUS	CT_REP	0;
	3511	0	CT_TBRCH	3757	BR_STATUS	CT_REP	0;
	3512	0	CT_TBRCH	3758	BR_STATUS	CT_REP	0;
	3513	0	CT_TBRCH	3759	BR_STATUS	CT_REP	0;
	3514	0	CT_TBRCH	3760	BR_STATUS	CT_REP	0;
	3515	0	CT_TBRCH	3761	BR_STATUS	CT_REP	0;
	3516	0	CT_TBRCH	3762	BR_STATUS	CT_REP	0;
	3517	0	CT_TBRCH	3763	BR_STATUS	CT_REP	0;
	3518	0	CT_TBRCH	3764	BR_STATUS	CT_REP	0;
	3519	0	CT_TBRCH	3765	BR_STATUS	CT_REP	0;
	3520	0	CT_TBRCH	3766	BR_STATUS	CT_REP	0;
	3521	0	CT_TBRCH	3767	BR_STATUS	CT_REP	0;
	3522	0	CT_TBRCH	3768	BR_STATUS	CT_REP	0;
	3523	0	CT_TBRCH	3769	BR_STATUS	CT_REP	0;
	3524	0	CT_TBRCH	3770	BR_STATUS	CT_REP	0;
	3525	0	CT_TBRCH	3771	BR_STATUS	CT_REP	0;
	3526	0	CT_TBRCH	3772	BR_STATUS	CT_REP	0;
	3527	0	CT_TBRCH	3773	BR_STATUS	CT_REP	0;
	3528	0	CT_TBRCH	3774	BR_STATUS	CT_REP	0;
	3529	0	CT_TBRCH	3776	BR_STATUS	CT_REP	0;
	3530	0	CT_TBRCH	3777	BR_STATUS	CT_REP	0;
	3531	0	CT_TBRCH	3779	BR_STATUS	CT_REP	0;
	3532	0	CT_TBRCH	3781	BR_STATUS	CT_REP	0;
	3533	0	CT_TBRCH	3782	BR_STATUS	CT_REP	0;
	3534	0	CT_TBRCH	3783	BR_STATUS	CT_REP	0;
	3535	0	CT_TBRCH	3784	BR_STATUS	CT_REP	0;
	3536	0	CT_TBRCH	3785	BR_STATUS	CT_REP	0;
	3537	0	CT_TBRCH	3786	BR_STATUS	CT_REP	0;
	3538	0	CT_TBRCH	3787	BR_STATUS	CT_REP	0;
	3539	0	CT_TBRCH	3788	BR_STATUS	CT_REP	0;
	3540	0	CT_TBRCH	3790	BR_STATUS	CT_REP	0;
	3541	0	CT_TBRCH	3791	BR_STATUS	CT_REP	0;
	3542	0	CT_TBRCH	3794	BR_STATUS	CT_REP	0;
	3543	0	CT_TBRCH	3795	BR_STATUS	CT_REP	0;
	3544	0	CT_TBRCH	3796	BR_STATUS	CT_REP	0;
	3545	0	CT_TBRCH	3797	BR_STATUS	CT_REP	0;
	3546	0	CT_TBRCH	3798	BR_STATUS	CT_REP	0;
	3547	0	CT_TBRCH	3799	BR_STATUS	CT_REP	0;
	3548	0	CT_TBRCH	3800	BR_STATUS	CT_REP	0;
	3549	0	CT_TBRCH	3801	BR_STATUS	CT_REP	0;
	3550	0	CT_TBRCH	3802	BR_STATUS	CT_REP	0;
	3551	0	CT_TBRCH	3803	BR_STATUS	CT_REP	0;
	3552	0	CT_TBRCH	3804	BR_STATUS	CT_REP	0;
	3553	0	CT_TBRCH	3805	BR_STATUS	CT_REP	0;
	3554	0	CT_TBRCH	3806	BR_STATUS	CT_REP	0;
	3555	0	CT_TBRCH	3807	BR_STATUS	CT_REP	0;
	3556	0	CT_TBRCH	3809	BR_STATUS	CT_REP	0;
	3557	0	CT_TBRCH	3810	BR_STATUS	CT_REP	0;
	3558	0	CT_TBRCH	3811	BR_STATUS	CT_REP	0;
	3559	0	CT_TBRCH	3812	BR_STATUS	CT_REP	0;
	3560	0	CT_TBRCH	3813	BR_STATUS	CT_REP	0;
	3561	0	CT_TBRCH	3815	BR_STATUS	CT_REP	0;
	3562	0	CT_TBRCH	3817	BR_STATUS	CT_REP	0;
	3563	0	CT_TBRCH	3818	BR_STATUS	CT_REP	0;
	3564	0	CT_TBRCH	3819	BR_STATUS	CT_REP	0;
	3565	0	CT_TBRCH	3820	BR_STATUS	CT_REP	0;
	3566	0	CT_TBRCH	3821	BR_STATUS	CT_REP	0;
	3567	0	CT_TBRCH	3822	BR_STATUS	CT_REP	0;
	3568	0	CT_TBRCH	3823	BR_STATUS	CT_REP	0;
	3569	0	CT_TBRCH	3824	BR_STATUS	CT_REP	0;
	3570	0	CT_TBRCH	3825	BR_STATUS	CT_REP	0;
	3571	0	CT_TBRCH	3827	BR_STATUS	CT_REP	0;
	3572	0	CT_TBRCH	3828	BR_STATUS	CT_REP	0;
	3573	0	CT_TBRCH	3829	BR_STATUS	CT_REP	0;
	3574	0	CT_TBRCH	3830	BR_STATUS	CT_REP	0;
	3575	0	CT_TBRCH	3831	BR_STATUS	CT_REP	0;
	3576	0	CT_TBRCH	3833	BR_STATUS	CT_REP	0;
	3577	0	CT_TBRCH	3835	BR_STATUS	CT_REP	0;
	3578	0	CT_TBRCH	3836	BR_STATUS	CT_REP	0;
	3579	0	CT_TBRCH	3837	BR_STATUS	CT_REP	0;
	3580	0	CT_TBRCH	3838	BR_STATUS	CT_REP	0;
	3581	0	CT_TBRCH	3839	BR_STATUS	CT_REP	0;
	3582	0	CT_TBRCH	3840	BR_STATUS	CT_REP	0;
	3583	0	CT_TBRCH	3841	BR_STATUS	CT_REP	0;
	3584	0	CT_TBRCH	3842	BR_STATUS	CT_REP	0;
	3585	0	CT_TBRCH	3843	BR_STATUS	CT_REP	0;
	3586	0	CT_TBRCH	3844	BR_STATUS	CT_REP	0;
	3587	0	CT_TBRCH	3845	BR_STATUS	CT_REP	0;
	3588	0	CT_TBRCH	3849	BR_STATUS	CT_REP	0;
	3589	0	CT_TBRCH	3856	BR_STATUS	CT_REP	0;
	3590	0	CT_TBRCH	3857	BR_STATUS	CT_REP	0;
	3591	0	CT_TBRCH	3858	BR_STATUS	CT_REP	0;
	3592	0	CT_TBRCH	3860	BR_STATUS	CT_REP	0;
	3593	0	CT_TBRCH	3861	BR_STATUS	CT_REP	0;
	3594	0	CT_TBRCH	3864	BR_STATUS	CT_REP	0;
	3595	0	CT_TBRCH	3865	BR_STATUS	CT_REP	0;
	3596	0	CT_TBRCH	3866	BR_STATUS	CT_REP	0;
	3597	0	CT_TBRCH	3867	BR_STATUS	CT_REP	0;
	3598	0	CT_TBRCH	3868	BR_STATUS	CT_REP	0;
	3599	0	CT_TBRCH	3869	BR_STATUS	CT_REP	0;
	3600	0	CT_TBRCH	3870	BR_STATUS	CT_REP	0;
	3601	0	CT_TBRCH	3871	BR_STATUS	CT_REP	0;
	3602	0	CT_TBRCH	3872	BR_STATUS	CT_REP	0;
	3603	0	CT_TBRCH	3873	BR_STATUS	CT_REP	0;
	3604	0	CT_TBRCH	3874	BR_STATUS	CT_REP	0;
	3605	0	CT_TBRCH	3875	BR_STATUS	CT_REP	0;
	3606	0	CT_TBRCH	3876	BR_STATUS	CT_REP	0;
	3607	0	CT_TBRCH	3877	BR_STATUS	CT_REP	0;
	3608	0	CT_TBRCH	3878	BR_STATUS	CT_REP	0;
	3609	0	CT_TBRCH	3879	BR_STATUS	CT_REP	0;
	3610	0	CT_TBRCH	3880	BR_STATUS	CT_REP	0;
	3611	0	CT_TBRCH	3881	BR_STATUS	CT_REP	0;
	3612	0	CT_TBRCH	3884	BR_STATUS	CT_REP	0;
	3613	0	CT_TBRCH	3885	BR_STATUS	CT_REP	0;
	3614	0	CT_TBRCH	3887	BR_STATUS	CT_REP	0;
	3615	0	CT_TBRCH	3891	BR_STATUS	CT_REP	0;
	3616	0	CT_TBRCH	3892	BR_STATUS	CT_REP	0;
	3617	0	CT_TBRCH	3893	BR_STATUS	CT_REP	0;
	3618	0	CT_TBRCH	3894	BR_STATUS	CT_REP	0;
	3619	0	CT_TBRCH	3895	BR_STATUS	CT_REP	0;
	3620	0	CT_TBRCH	3896	BR_STATUS	CT_REP	0;
	3621	0	CT_TBRCH	3897	BR_STATUS	CT_REP	0;
	3622	0	CT_TBRCH	3898	BR_STATUS	CT_REP	0;
	3623	0	CT_TBRCH	3899	BR_STATUS	CT_REP	0;
	3624	0	CT_TBRCH	3900	BR_STATUS	CT_REP	0;
	3625	0	CT_TBRCH	3901	BR_STATUS	CT_REP	0;
	3626	0	CT_TBRCH	3902	BR_STATUS	CT_REP	0;
	3627	0	CT_TBRCH	3903	BR_STATUS	CT_REP	0;
	3628	0	CT_TBRCH	3904	BR_STATUS	CT_REP	0;
	3629	0	CT_TBRCH	3905	BR_STATUS	CT_REP	0;
	3630	0	CT_TBRCH	3906	BR_STATUS	CT_REP	0;
	3631	0	CT_TBRCH	3907	BR_STATUS	CT_REP	0;
	3632	0	CT_TBRCH	3908	BR_STATUS	CT_REP	0;
	3633	0	CT_TBRCH	3909	BR_STATUS	CT_REP	0;
	3634	0	CT_TBRCH	3910	BR_STATUS	CT_REP	0;
	3635	0	CT_TBRCH	3911	BR_STATUS	CT_REP	0;
	3636	0	CT_TBRCH	3912	BR_STATUS	CT_REP	0;
	3637	0	CT_TBRCH	3913	BR_STATUS	CT_REP	0;
	3638	0	CT_TBRCH	3914	BR_STATUS	CT_REP	0;
	3639	0	CT_TBRCH	3915	BR_STATUS	CT_REP	0;
	3640	0	CT_TBRCH	3916	BR_STATUS	CT_REP	0;
	3641	0	CT_TBRCH	3917	BR_STATUS	CT_REP	0;
	3642	0	CT_TBRCH	3918	BR_STATUS	CT_REP	0;
	3643	0	CT_TBRCH	3919	BR_STATUS	CT_REP	0;
	3644	0	CT_TBRCH	3920	BR_STATUS	CT_REP	0;
	3645	0	CT_TBRCH	3921	BR_STATUS	CT_REP	0;
	3646	0	CT_TBRCH	3922	BR_STATUS	CT_REP	0;
	3647	0	CT_TBRCH	3923	BR_STATUS	CT_REP	0;
	3648	0	CT_TBRCH	3924	BR_STATUS	CT_REP	0;
	3649	0	CT_TBRCH	3925	BR_STATUS	CT_REP	0;
	3650	0	CT_TBRCH	3926	BR_STATUS	CT_REP	0;
	3651	0	CT_TBRCH	3928	BR_STATUS	CT_REP	0;
	3652	0	CT_TBRCH	3931	BR_STATUS	CT_REP	0;
	3653	0	CT_TBRCH	3932	BR_STATUS	CT_REP	0;
	3654	0	CT_TBRCH	3933	BR_STATUS	CT_REP	0;
	3655	0	CT_TBRCH	3934	BR_STATUS	CT_REP	0;
	3656	0	CT_TBRCH	3935	BR_STATUS	CT_REP	0;
	3657	0	CT_TBRCH	3936	BR_STATUS	CT_REP	0;
	3658	0	CT_TBRCH	3937	BR_STATUS	CT_REP	0;
	3659	0	CT_TBRCH	3938	BR_STATUS	CT_REP	0;
	3660	0	CT_TBRCH	3939	BR_STATUS	CT_REP	0;
	3661	0	CT_TBRCH	3940	BR_STATUS	CT_REP	0;
	3662	0	CT_TBRCH	3941	BR_STATUS	CT_REP	0;
	3663	0	CT_TBRCH	3942	BR_STATUS	CT_REP	0;
	3664	0	CT_TBRCH	3943	BR_STATUS	CT_REP	0;
	3665	0	CT_TBRCH	3944	BR_STATUS	CT_REP	0;
	3666	0	CT_TBRCH	3945	BR_STATUS	CT_REP	0;
	3667	0	CT_TBRCH	3946	BR_STATUS	CT_REP	0;
	3668	0	CT_TBRCH	3947	BR_STATUS	CT_REP	0;
	3669	0	CT_TBRCH	3948	BR_STATUS	CT_REP	0;
	3670	0	CT_TBRCH	3949	BR_STATUS	CT_REP	0;
	3671	0	CT_TBRCH	3950	BR_STATUS	CT_REP	0;
	3672	0	CT_TBRCH	3952	BR_STATUS	CT_REP	0;
	3673	0	CT_TBRCH	3953	BR_STATUS	CT_REP	0;
	3674	0	CT_TBRCH	3954	BR_STATUS	CT_REP	0;
	3675	0	CT_TBRCH	3957	BR_STATUS	CT_REP	0;
	3676	0	CT_TBRCH	3958	BR_STATUS	CT_REP	0;
	3677	0	CT_TBRCH	3959	BR_STATUS	CT_REP	0;
	3678	0	CT_TBRCH	3960	BR_STATUS	CT_REP	0;
	3679	0	CT_TBRCH	3961	BR_STATUS	CT_REP	0;
	3680	0	CT_TBRCH	3962	BR_STATUS	CT_REP	0;
	3681	0	CT_TBRCH	3963	BR_STATUS	CT_REP	0;
	3682	0	CT_TBRCH	3964	BR_STATUS	CT_REP	0;
	3683	0	CT_TBRCH	3965	BR_STATUS	CT_REP	0;
	3684	0	CT_TBRCH	3966	BR_STATUS	CT_REP	0;
	3685	0	CT_TBRCH	3967	BR_STATUS	CT_REP	0;
	3686	0	CT_TBRCH	3968	BR_STATUS	CT_REP	0;
	3687	0	CT_TBRCH	3969	BR_STATUS	CT_REP	0;
	3688	0	CT_TBRCH	3970	BR_STATUS	CT_REP	0;
	3689	0	CT_TBRCH	3971	BR_STATUS	CT_REP	0;
	3690	0	CT_TBRCH	3972	BR_STATUS	CT_REP	0;
	3691	0	CT_TBRCH	3973	BR_STATUS	CT_REP	0;
	3692	0	CT_TBRCH	3974	BR_STATUS	CT_REP	0;
	3693	0	CT_TBRCH	3975	BR_STATUS	CT_REP	0;
	3694	0	CT_TBRCH	3976	BR_STATUS	CT_REP	0;
	3695	0	CT_TBRCH	3977	BR_STATUS	CT_REP	0;
	3696	0	CT_TBRCH	3978	BR_STATUS	CT_REP	0;
	3697	0	CT_TBRCH	3979	BR_STATUS	CT_REP	0;
	3698	0	CT_TBRCH	3980	BR_STATUS	CT_REP	0;
	3699	0	CT_TBRCH	3981	BR_STATUS	CT_REP	0;
	3700	0	CT_TBRCH	3982	BR_STATUS	CT_REP	0;
	3701	0	CT_TBRCH	3983	BR_STATUS	CT_REP	0;
	3702	0	CT_TBRCH	3984	BR_STATUS	CT_REP	0;
	3703	0	CT_TBRCH	3985	BR_STATUS	CT_REP	0;
	3704	0	CT_TBRCH	3986	BR_STATUS	CT_REP	0;
	3705	0	CT_TBRCH	3987	BR_STATUS	CT_REP	0;
	3706	0	CT_TBRCH	3988	BR_STATUS	CT_REP	0;
	3707	0	CT_TBRCH	3989	BR_STATUS	CT_REP	0;
	3708	0	CT_TBRCH	3990	BR_STATUS	CT_REP	0;
	3709	0	CT_TBRCH	3991	BR_STATUS	CT_REP	0;
	3710	0	CT_TBRCH	3992	BR_STATUS	CT_REP	0;
	3711	0	CT_TBRCH	3993	BR_STATUS	CT_REP	0;
	3712	0	CT_TBRCH	3994	BR_STATUS	CT_REP	0;
	3713	0	CT_TBRCH	3995	BR_STATUS	CT_REP	0;
	3714	0	CT_TBRCH	3996	BR_STATUS	CT_REP	0;
	3715	0	CT_TBRCH	3997	BR_STATUS	CT_REP	0;
	3716	0	CT_TBRCH	3998	BR_STATUS	CT_REP	0;
	3717	0	CT_TBRCH	3999	BR_STATUS	CT_REP	0;
	3718	0	CT_TBRCH	4000	BR_STATUS	CT_REP	0;
	3719	0	CT_TBRCH	4001	BR_STATUS	CT_REP	0;
	3720	0	CT_TBRCH	4002	BR_STATUS	CT_REP	0;
	3721	0	CT_TBRCH	4003	BR_STATUS	CT_REP	0;
	3722	0	CT_TBRCH	4004	BR_STATUS	CT_REP	0;
	3723	0	CT_TBRCH	4005	BR_STATUS	CT_REP	0;
	3724	0	CT_TBRCH	4006	BR_STATUS	CT_REP	0;
	3725	0	CT_TBRCH	4007	BR_STATUS	CT_REP	0;
	3726	0	CT_TBRCH	4008	BR_STATUS	CT_REP	0;
	3727	0	CT_TBRCH	4009	BR_STATUS	CT_REP	0;
	3728	0	CT_TBRCH	4010	BR_STATUS	CT_REP	0;
	3729	0	CT_TBRCH	4011	BR_STATUS	CT_REP	0;
	3730	0	CT_TBRCH	4012	BR_STATUS	CT_REP	0;
	3731	0	CT_TBRCH	4013	BR_STATUS	CT_REP	0;
	3732	0	CT_TBRCH	4014	BR_STATUS	CT_REP	0;
	3733	0	CT_TBRCH	4015	BR_STATUS	CT_REP	0;
	3734	0	CT_TBRCH	4016	BR_STATUS	CT_REP	0;
	3735	0	CT_TBRCH	4017	BR_STATUS	CT_REP	0;
	3736	0	CT_TBRCH	4018	BR_STATUS	CT_REP	0;
	3737	0	CT_TBRCH	4019	BR_STATUS	CT_REP	0;
	3738	0	CT_TBRCH	4020	BR_STATUS	CT_REP	0;
	3739	0	CT_TBRCH	4021	BR_STATUS	CT_REP	0;
	3740	0	CT_TBRCH	4022	BR_STATUS	CT_REP	0;
	3741	0	CT_TBRCH	4023	BR_STATUS	CT_REP	0;
	3742	0	CT_TBRCH	4024	BR_STATUS	CT_REP	0;
	3743	0	CT_TBRCH	4025	BR_STATUS	CT_REP	0;
	3744	0	CT_TBRCH	4026	BR_STATUS	CT_REP	0;
	3745	0	CT_TBRCH	4027	BR_STATUS	CT_REP	0;
	3746	0	CT_TBRCH	4028	BR_STATUS	CT_REP	0;
	3747	0	CT_TBRCH	4029	BR_STATUS	CT_REP	0;
	3748	0	CT_TBRCH	4030	BR_STATUS	CT_REP	0;
	3749	0	CT_TBRCH	4031	BR_STATUS	CT_REP	0;
	3750	0	CT_TBRCH	4032	BR_STATUS	CT_REP	0;
	3751	0	CT_TBRCH	4033	BR_STATUS	CT_REP	0;
	3752	0	CT_TBRCH	4034	BR_STATUS	CT_REP	0;
	3753	0	CT_TBRCH	4035	BR_STATUS	CT_REP	0;
	3754	0	CT_TBRCH	4036	BR_STATUS	CT_REP	0;
	3755	0	CT_TBRCH	4037	BR_STATUS	CT_REP	0;
	3756	0	CT_TBRCH	4038	BR_STATUS	CT_REP	0;
	3757	0	CT_TBRCH	4039	BR_STATUS	CT_REP	0;
	3758	0	CT_TBRCH	4040	BR_STATUS	CT_REP	0;
	3759	0	CT_TBRCH	4042	BR_STATUS	CT_REP	0;
	3760	0	CT_TBRCH	4043	BR_STATUS	CT_REP	0;
	3761	0	CT_TBRCH	4044	BR_STATUS	CT_REP	0;
	3762	0	CT_TBRCH	4046	BR_STATUS	CT_REP	0;
	3763	0	CT_TBRCH	4048	BR_STATUS	CT_REP	0;
	3764	0	CT_TBRCH	4049	BR_STATUS	CT_REP	0;
	3765	0	CT_TBRCH	4050	BR_STATUS	CT_REP	0;
	3766	0	CT_TBRCH	4051	BR_STATUS	CT_REP	0;
	3767	0	CT_TBRCH	4052	BR_STATUS	CT_REP	0;
	3768	0	CT_TBRCH	4053	BR_STATUS	CT_REP	0;
	3769	0	CT_TBRCH	4054	BR_STATUS	CT_REP	0;
	3770	0	CT_TBRCH	4055	BR_STATUS	CT_REP	0;
	3771	0	CT_TBRCH	4056	BR_STATUS	CT_REP	0;
	3772	0	CT_TBRCH	4057	BR_STATUS	CT_REP	0;
	3773	0	CT_TBRCH	4058	BR_STATUS	CT_REP	0;
	3774	0	CT_TBRCH	4059	BR_STATUS	CT_REP	0;
	3775	0	CT_TBRCH	4060	BR_STATUS	CT_REP	0;
	3776	0	CT_TBRCH	4061	BR_STATUS	CT_REP	0;
	3777	0	CT_TBRCH	4062	BR_STATUS	CT_REP	0;
	3778	0	CT_TBRCH	4063	BR_STATUS	CT_REP	0;
	3779	0	CT_TBRCH	4064	BR_STATUS	CT_REP	0;
	3780	0	CT_TBRCH	4065	BR_STATUS	CT_REP	0;
	3781	0	CT_TBRCH	4066	BR_STATUS	CT_REP	0;
	3782	0	CT_TBRCH	4070	BR_STATUS	CT_REP	0;
	3783	0	CT_TBRCH	4071	BR_STATUS	CT_REP	0;
	3784	0	CT_TBRCH	4072	BR_STATUS	CT_REP	0;
	3785	0	CT_TBRCH	4073	BR_STATUS	CT_REP	0;
	3786	0	CT_TBRCH	4074	BR_STATUS	CT_REP	0;
	3787	0	CT_TBRCH	4075	BR_STATUS	CT_REP	0;
	3788	0	CT_TBRCH	4076	BR_STATUS	CT_REP	0;
	3789	0	CT_TBRCH	4077	BR_STATUS	CT_REP	0;
	3790	0	CT_TBRCH	4078	BR_STATUS	CT_REP	0;
	3791	0	CT_TBRCH	4079	BR_STATUS	CT_REP	0;
	3792	0	CT_TBRCH	4080	BR_STATUS	CT_REP	0;
	3793	0	CT_TBRCH	4081	BR_STATUS	CT_REP	0;
	3794	0	CT_TBRCH	4082	BR_STATUS	CT_REP	0;
	3795	0	CT_TBRCH	4083	BR_STATUS	CT_REP	0;
	3796	0	CT_TBRCH	4084	BR_STATUS	CT_REP	0;
	3797	0	CT_TBRCH	4085	BR_STATUS	CT_REP	0;
	3798	0	CT_TBRCH	4086	BR_STATUS	CT_REP	0;
	3799	0	CT_TBRCH	4087	BR_STATUS	CT_REP	0;
	3800	0	CT_TBRCH	4088	BR_STATUS	CT_REP	0;
	3801	0	CT_TBRCH	4089	BR_STATUS	CT_REP	0;
	3802	0	CT_TBRCH	4090	BR_STATUS	CT_REP	0;
	3803	0	CT_TBRCH	4091	BR_STATUS	CT_REP	0;
	3804	0	CT_TBRCH	4092	BR_STATUS	CT_REP	0;
	3805	0	CT_TBRCH	4093	BR_STATUS	CT_REP	0;
	3806	0	CT_TBRCH	4094	BR_STATUS	CT_REP	0;
	3807	0	CT_TBRCH	4095	BR_STATUS	CT_REP	0;
	3808	0	CT_TBRCH	4096	BR_STATUS	CT_REP	0;
	3809	0	CT_TBRCH	4097	BR_STATUS	CT_REP	0;
	3810	0	CT_TBRCH	4098	BR_STATUS	CT_REP	0;
	3811	0	CT_TBRCH	4099	BR_STATUS	CT_REP	0;
	3812	0	CT_TBRCH	4100	BR_STATUS	CT_REP	0;
	3813	0	CT_TBRCH	4101	BR_STATUS	CT_REP	0;
	3814	0	CT_TBRCH	4102	BR_STATUS	CT_REP	0;
	3815	0	CT_TBRCH	4103	BR_STATUS	CT_REP	0;
	3816	0	CT_TBRCH	4104	BR_STATUS	CT_REP	0;
	3817	0	CT_TBRCH	4105	BR_STATUS	CT_REP	0;
	3818	0	CT_TBRCH	4106	BR_STATUS	CT_REP	0;
	3819	0	CT_TBRCH	4107	BR_STATUS	CT_REP	0;
	3820	0	CT_TBRCH	4108	BR_STATUS	CT_REP	0;
	3821	0	CT_TBRCH	4109	BR_STATUS	CT_REP	0;
	3822	0	CT_TBRCH	4110	BR_STATUS	CT_REP	0;
	3823	0	CT_TBRCH	4111	BR_STATUS	CT_REP	0;
	3824	0	CT_TBRCH	4112	BR_STATUS	CT_REP	0;
	3825	0	CT_TBRCH	4113	BR_STATUS	CT_REP	0;
	3826	0	CT_TBRCH	4114	BR_STATUS	CT_REP	0;
	3827	0	CT_TBRCH	4115	BR_STATUS	CT_REP	0;
	3828	0	CT_TBRCH	4116	BR_STATUS	CT_REP	0;
	3829	0	CT_TBRCH	4117	BR_STATUS	CT_REP	0;
	3830	0	CT_TBRCH	4118	BR_STATUS	CT_REP	0;
	3831	0	CT_TBRCH	4119	BR_STATUS	CT_REP	0;
	3832	0	CT_TBRCH	4120	BR_STATUS	CT_REP	0;
	3833	0	CT_TBRCH	4121	BR_STATUS	CT_REP	0;
	3834	0	CT_TBRCH	4122	BR_STATUS	CT_REP	0;
	3835	0	CT_TBRCH	4123	BR_STATUS	CT_REP	0;
	3836	0	CT_TBRCH	4124	BR_STATUS	CT_REP	0;
	3837	0	CT_TBRCH	4125	BR_STATUS	CT_REP	0;
	3838	0	CT_TBRCH	4126	BR_STATUS	CT_REP	0;
	3839	0	CT_TBRCH	4127	BR_STATUS	CT_REP	0;
	3840	0	CT_TBRCH	4128	BR_STATUS	CT_REP	0;
	3841	0	CT_TBRCH	4129	BR_STATUS	CT_REP	0;
	3842	0	CT_TBRCH	4130	BR_STATUS	CT_REP	0;
	3843	0	CT_TBRCH	4131	BR_STATUS	CT_REP	0;
	3844	0	CT_TBRCH	4132	BR_STATUS	CT_REP	0;
	3845	0	CT_TBRCH	4134	BR_STATUS	CT_REP	0;
	3846	0	CT_TBRCH	4135	BR_STATUS	CT_REP	0;
	3847	0	CT_TBRCH	4136	BR_STATUS	CT_REP	0;
	3848	0	CT_TBRCH	4138	BR_STATUS	CT_REP	0;
	3849	0	CT_TBRCH	4140	BR_STATUS	CT_REP	0;
	3850	0	CT_TBRCH	4141	BR_STATUS	CT_REP	0;
	3851	0	CT_TBRCH	4142	BR_STATUS	CT_REP	0;
	3852	0	CT_TBRCH	4143	BR_STATUS	CT_REP	0;
	3853	0	CT_TBRCH	4144	BR_STATUS	CT_REP	0;
	3854	0	CT_TBRCH	4145	BR_STATUS	CT_REP	0;
	3855	0	CT_TBRCH	4146	BR_STATUS	CT_REP	0;
	3856	0	CT_TBRCH	4147	BR_STATUS	CT_REP	0;
	3857	0	CT_TBRCH	4148	BR_STATUS	CT_REP	0;
	3858	0	CT_TBRCH	4149	BR_STATUS	CT_REP	0;
	3859	0	CT_TBRCH	4150	BR_STATUS	CT_REP	0;
	3860	0	CT_TBRCH	4151	BR_STATUS	CT_REP	0;
	3861	0	CT_TBRCH	4152	BR_STATUS	CT_REP	0;
	3862	0	CT_TBRCH	4153	BR_STATUS	CT_REP	0;
	3863	0	CT_TBRCH	4154	BR_STATUS	CT_REP	0;
	3864	0	CT_TBRCH	4155	BR_STATUS	CT_REP	0;
	3865	0	CT_TBRCH	4156	BR_STATUS	CT_REP	0;
	3866	0	CT_TBRCH	4157	BR_STATUS	CT_REP	0;
	3867	0	CT_TBRCH	4158	BR_STATUS	CT_REP	0;
	3868	0	CT_TBRCH	4159	BR_STATUS	CT_REP	0;
	3869	0	CT_TBRCH	4160	BR_STATUS	CT_REP	0;
	3870	0	CT_TBRCH	4161	BR_STATUS	CT_REP	0;
	3871	0	CT_TBRCH	4162	BR_STATUS	CT_REP	0;
	3872	0	CT_TBRCH	4163	BR_STATUS	CT_REP	0;
	3873	0	CT_TBRCH	4164	BR_STATUS	CT_REP	0;
	3874	0	CT_TBRCH	4165	BR_STATUS	CT_REP	0;
	3875	0	CT_TBRCH	4166	BR_STATUS	CT_REP	0;
	3876	0	CT_TBRCH	4167	BR_STATUS	CT_REP	0;
	3877	0	CT_TBRCH	4168	BR_STATUS	CT_REP	0;
	3878	0	CT_TBRCH	4169	BR_STATUS	CT_REP	0;
	3879	0	CT_TBRCH	4170	BR_STATUS	CT_REP	0;
	3880	0	CT_TBRCH	4171	BR_STATUS	CT_REP	0;
	3881	0	CT_TBRCH	4172	BR_STATUS	CT_REP	0;
	3882	0	CT_TBRCH	4173	BR_STATUS	CT_REP	0;
	3883	0	CT_TBRCH	4174	BR_STATUS	CT_REP	0;
	3884	0	CT_TBRCH	4175	BR_STATUS	CT_REP	0;
	3885	0	CT_TBRCH	4176	BR_STATUS	CT_REP	0;
	3886	0	CT_TBRCH	4177	BR_STATUS	CT_REP	0;
	3887	0	CT_TBRCH	4178	BR_STATUS	CT_REP	0;
	3888	0	CT_TBRCH	4179	BR_STATUS	CT_REP	0;
	3889	0	CT_TBRCH	4180	BR_STATUS	CT_REP	0;
	3890	0	CT_TBRCH	4181	BR_STATUS	CT_REP	0;
	3891	0	CT_TBRCH	4182	BR_STATUS	CT_REP	0;
	3892	0	CT_TBRCH	4183	BR_STATUS	CT_REP	0;
	3893	0	CT_TBRCH	4184	BR_STATUS	CT_REP	0;
	3894	0	CT_TBRCH	4185	BR_STATUS	CT_REP	0;
	3895	0	CT_TBRCH	4186	BR_STATUS	CT_REP	0;
	3896	0	CT_TBRCH	4187	BR_STATUS	CT_REP	0;
	3897	0	CT_TBRCH	4188	BR_STATUS	CT_REP	0;
	3898	0	CT_TBRCH	4189	BR_STATUS	CT_REP	0;
	3899	0	CT_TBRCH	4190	BR_STATUS	CT_REP	0;
	3900	0	CT_TBRCH	4191	BR_STATUS	CT_REP	0;
	3901	0	CT_TBRCH	4192	BR_STATUS	CT_REP	0;
	3902	0	CT_TBRCH	4193	BR_STATUS	CT_REP	0;
	3903	0	CT_TBRCH	4194	BR_STATUS	CT_REP	0;
	3904	0	CT_TBRCH	4195	BR_STATUS	CT_REP	0;
	3905	0	CT_TBRCH	4196	BR_STATUS	CT_REP	0;
	3906	0	CT_TBRCH	4197	BR_STATUS	CT_REP	0;
	3907	0	CT_TBRCH	4198	BR_STATUS	CT_REP	0;
	3908	0	CT_TBRCH	4199	BR_STATUS	CT_REP	0;
	3909	0	CT_TBRCH	4200	BR_STATUS	CT_REP	0;
	3910	0	CT_TBRCH	4201	BR_STATUS	CT_REP	0;
	3911	0	CT_TBRCH	4202	BR_STATUS	CT_REP	0;
	3912	0	CT_TBRCH	4203	BR_STATUS	CT_REP	0;
	3913	0	CT_TBRCH	4204	BR_STATUS	CT_REP	0;
	3914	0	CT_TBRCH	4205	BR_STATUS	CT_REP	0;
	3915	0	CT_TBRCH	4206	BR_STATUS	CT_REP	0;
	3916	0	CT_TBRCH	4207	BR_STATUS	CT_REP	0;
	3917	0	CT_TBRCH	4208	BR_STATUS	CT_REP	0;
	3918	0	CT_TBRCH	4209	BR_STATUS	CT_REP	0;
	3919	0	CT_TBRCH	4210	BR_STATUS	CT_REP	0;
	3920	0	CT_TBRCH	4211	BR_STATUS	CT_REP	0;
	3921	0	CT_TBRCH	4212	BR_STATUS	CT_REP	0;
	3922	0	CT_TBRCH	4213	BR_STATUS	CT_REP	0;
	3923	0	CT_TBRCH	4214	BR_STATUS	CT_REP	0;
	3924	0	CT_TBRCH	4215	BR_STATUS	CT_REP	0;
	3925	0	CT_TBRCH	4216	BR_STATUS	CT_REP	0;
	3926	0	CT_TBRCH	4217	BR_STATUS	CT_REP	0;
	3927	0	CT_TBRCH	4218	BR_STATUS	CT_REP	0;
	3928	0	CT_TBRCH	4219	BR_STATUS	CT_REP	0;
	3929	0	CT_TBRCH	4221	BR_STATUS	CT_REP	0;
	3930	0	CT_TBRCH	4222	BR_STATUS	CT_REP	0;
	3931	0	CT_TBRCH	4223	BR_STATUS	CT_REP	0;
	3932	0	CT_TBRCH	4224	BR_STATUS	CT_REP	0;
	3933	0	CT_TBRCH	4225	BR_STATUS	CT_REP	0;
	3934	0	CT_TBRCH	4228	BR_STATUS	CT_REP	0;
	3935	0	CT_TBRCH	4229	BR_STATUS	CT_REP	0;
	3936	0	CT_TBRCH	4230	BR_STATUS	CT_REP	0;
	3937	0	CT_TBRCH	4231	BR_STATUS	CT_REP	0;
	3938	0	CT_TBRCH	4232	BR_STATUS	CT_REP	0;
	3939	0	CT_TBRCH	4233	BR_STATUS	CT_REP	0;
	3940	0	CT_TBRCH	4234	BR_STATUS	CT_REP	0;
	3941	0	CT_TBRCH	4235	BR_STATUS	CT_REP	0;
	3942	0	CT_TBRCH	4236	BR_STATUS	CT_REP	0;
	3943	0	CT_TBRCH	4237	BR_STATUS	CT_REP	0;
	3944	0	CT_TBRCH	4238	BR_STATUS	CT_REP	0;
	3945	0	CT_TBRCH	4239	BR_STATUS	CT_REP	0;
	3946	0	CT_TBRCH	4240	BR_STATUS	CT_REP	0;
	3947	0	CT_TBRCH	4241	BR_STATUS	CT_REP	0;
	3948	0	CT_TBRCH	4243	BR_STATUS	CT_REP	0;
	3949	0	CT_TBRCH	4244	BR_STATUS	CT_REP	0;
	3950	0	CT_TBRCH	4245	BR_STATUS	CT_REP	0;
	3951	0	CT_TBRCH	4246	BR_STATUS	CT_REP	0;
	3952	0	CT_TBRCH	4249	BR_STATUS	CT_REP	0;
	3953	0	CT_TBRCH	4250	BR_STATUS	CT_REP	0;
	3954	0	CT_TBRCH	4252	BR_STATUS	CT_REP	0;
	3955	0	CT_TBRCH	4255	BR_STATUS	CT_REP	0;
	3956	0	CT_TBRCH	4256	BR_STATUS	CT_REP	0;
	3957	0	CT_TBRCH	4257	BR_STATUS	CT_REP	0;
	3958	0	CT_TBRCH	4258	BR_STATUS	CT_REP	0;
	3959	0	CT_TBRCH	4259	BR_STATUS	CT_REP	0;
	3960	0	CT_TBRCH	4260	BR_STATUS	CT_REP	0;
	3961	0	CT_TBRCH	4261	BR_STATUS	CT_REP	0;
	3962	0	CT_TBRCH	4262	BR_STATUS	CT_REP	0;
	3963	0	CT_TBRCH	4263	BR_STATUS	CT_REP	0;
	3964	0	CT_TBRCH	4264	BR_STATUS	CT_REP	0;
	3965	0	CT_TBRCH	4265	BR_STATUS	CT_REP	0;
	3966	0	CT_TBRCH	4266	BR_STATUS	CT_REP	0;
	3967	0	CT_TBRCH	4267	BR_STATUS	CT_REP	0;
	3968	0	CT_TBRCH	4268	BR_STATUS	CT_REP	0;
	3969	0	CT_TBRCH	4269	BR_STATUS	CT_REP	0;
	3970	0	CT_TBRCH	4270	BR_STATUS	CT_REP	0;
	3971	0	CT_TBRCH	4271	BR_STATUS	CT_REP	0;
	3972	0	CT_TBRCH	4272	BR_STATUS	CT_REP	0;
	3973	0	CT_TBRCH	4273	BR_STATUS	CT_REP	0;
	3974	0	CT_TBRCH	4274	BR_STATUS	CT_REP	0;
	3975	0	CT_TBRCH	4275	BR_STATUS	CT_REP	0;
	3976	0	CT_TBRCH	4276	BR_STATUS	CT_REP	0;
	3977	0	CT_TBRCH	4277	BR_STATUS	CT_REP	0;
	3978	0	CT_TBRCH	4278	BR_STATUS	CT_REP	0;
	3979	0	CT_TBRCH	4279	BR_STATUS	CT_REP	0;
	3980	0	CT_TBRCH	4280	BR_STATUS	CT_REP	0;
	3981	0	CT_TBRCH	4281	BR_STATUS	CT_REP	0;
	3982	0	CT_TBRCH	4282	BR_STATUS	CT_REP	0;
	3983	0	CT_TBRCH	4283	BR_STATUS	CT_REP	0;
	3984	0	CT_TBRCH	4284	BR_STATUS	CT_REP	0;
	3985	0	CT_TBRCH	4285	BR_STATUS	CT_REP	0;
	3986	0	CT_TBRCH	4286	BR_STATUS	CT_REP	0;
	3987	0	CT_TBRCH	4287	BR_STATUS	CT_REP	0;
	3988	0	CT_TBRCH	4288	BR_STATUS	CT_REP	0;
	3989	0	CT_TBRCH	4289	BR_STATUS	CT_REP	0;
	3990	0	CT_TBRCH	4290	BR_STATUS	CT_REP	0;
	3991	0	CT_TBRCH	4291	BR_STATUS	CT_REP	0;
	3992	0	CT_TBRCH	4292	BR_STATUS	CT_REP	0;
	3993	0	CT_TBRCH	4293	BR_STATUS	CT_REP	0;
	3994	0	CT_TBRCH	4294	BR_STATUS	CT_REP	0;
	3995	0	CT_TBRCH	4295	BR_STATUS	CT_REP	0;
	3996	0	CT_TBRCH	4296	BR_STATUS	CT_REP	0;
	3997	0	CT_TBRCH	4297	BR_STATUS	CT_REP	0;
	3998	0	CT_TBRCH	4298	BR_STATUS	CT_REP	0;
	3999	0	CT_TBRCH	4299	BR_STATUS	CT_REP	0;
	4000	0	CT_TBRCH	4300	BR_STATUS	CT_REP	0;
	4001	0	CT_TBRCH	4301	BR_STATUS	CT_REP	0;
	4002	0	CT_TBRCH	4302	BR_STATUS	CT_REP	0;
	4003	0	CT_TBRCH	4303	BR_STATUS	CT_REP	0;
	4004	0	CT_TBRCH	4304	BR_STATUS	CT_REP	0;
	4005	0	CT_TBRCH	4305	BR_STATUS	CT_REP	0;
	4006	0	CT_TBRCH	4306	BR_STATUS	CT_REP	0;
	4007	0	CT_TBRCH	4307	BR_STATUS	CT_REP	0;
	4008	0	CT_TBRCH	4308	BR_STATUS	CT_REP	0;
	4009	0	CT_TBRCH	4309	BR_STATUS	CT_REP	0;
	4010	0	CT_TBRCH	4311	BR_STATUS	CT_REP	0;
	4011	0	CT_TBRCH	4312	BR_STATUS	CT_REP	0;
	4012	0	CT_TBRCH	4313	BR_STATUS	CT_REP	0;
	4013	0	CT_TBRCH	4314	BR_STATUS	CT_REP	0;
	4014	0	CT_TBRCH	4315	BR_STATUS	CT_REP	0;
	4015	0	CT_TBRCH	4318	BR_STATUS	CT_REP	0;
	4016	0	CT_TBRCH	4319	BR_STATUS	CT_REP	0;
	4017	0	CT_TBRCH	4320	BR_STATUS	CT_REP	0;
	4018	0	CT_TBRCH	4321	BR_STATUS	CT_REP	0;
	4019	0	CT_TBRCH	4322	BR_STATUS	CT_REP	0;
	4020	0	CT_TBRCH	4323	BR_STATUS	CT_REP	0;
	4021	0	CT_TBRCH	4324	BR_STATUS	CT_REP	0;
	4022	0	CT_TBRCH	4325	BR_STATUS	CT_REP	0;
	4023	0	CT_TBRCH	4326	BR_STATUS	CT_REP	0;
	4024	0	CT_TBRCH	4327	BR_STATUS	CT_REP	0;
	4025	0	CT_TBRCH	4328	BR_STATUS	CT_REP	0;
	4026	0	CT_TBRCH	4329	BR_STATUS	CT_REP	0;
	4027	0	CT_TBRCH	4330	BR_STATUS	CT_REP	0;
	4028	0	CT_TBRCH	4331	BR_STATUS	CT_REP	0;
	4029	0	CT_TBRCH	4332	BR_STATUS	CT_REP	0;
	4030	0	CT_TBRCH	4333	BR_STATUS	CT_REP	0;
	4031	0	CT_TBRCH	4334	BR_STATUS	CT_REP	0;
	4032	0	CT_TBRCH	4336	BR_STATUS	CT_REP	0;
	4033	0	CT_TBRCH	4338	BR_STATUS	CT_REP	0;
	4034	0	CT_TBRCH	4340	BR_STATUS	CT_REP	0;
	4035	0	CT_TBRCH	4341	BR_STATUS	CT_REP	0;
	4036	0	CT_TBRCH	4342	BR_STATUS	CT_REP	0;
	4037	0	CT_TBRCH	4343	BR_STATUS	CT_REP	0;
	4038	0	CT_TBRCH	4344	BR_STATUS	CT_REP	0;
	4039	0	CT_TBRCH	4345	BR_STATUS	CT_REP	0;
	4040	0	CT_TBRCH	4346	BR_STATUS	CT_REP	0;
	4041	0	CT_TBRCH	4347	BR_STATUS	CT_REP	0;
	4042	0	CT_TBRCH	4348	BR_STATUS	CT_REP	0;
	4043	0	CT_TBRCH	4350	BR_STATUS	CT_REP	0;
	4044	0	CT_TBRCH	4353	BR_STATUS	CT_REP	0;
	4045	0	CT_TBRCH	4354	BR_STATUS	CT_REP	0;
	4046	0	CT_TBRCH	4355	BR_STATUS	CT_REP	0;
	4047	0	CT_TBRCH	4356	BR_STATUS	CT_REP	0;
	4048	0	CT_TBRCH	4357	BR_STATUS	CT_REP	0;
	4049	0	CT_TBRCH	4358	BR_STATUS	CT_REP	0;
	4050	0	CT_TBRCH	4360	BR_STATUS	CT_REP	0;
	4051	0	CT_TBRCH	4363	BR_STATUS	CT_REP	0;
	4052	0	CT_TBRCH	4364	BR_STATUS	CT_REP	0;
	4053	0	CT_TBRCH	4365	BR_STATUS	CT_REP	0;
	4054	0	CT_TBRCH	4366	BR_STATUS	CT_REP	0;
	4055	0	CT_TBRCH	4367	BR_STATUS	CT_REP	0;
	4056	0	CT_TBRCH	4368	BR_STATUS	CT_REP	0;
	4057	0	CT_TBRCH	4369	BR_STATUS	CT_REP	0;
	4058	0	CT_TBRCH	4370	BR_STATUS	CT_REP	0;
	4059	0	CT_TBRCH	4371	BR_STATUS	CT_REP	0;
	4060	0	CT_TBRCH	4372	BR_STATUS	CT_REP	0;
	4061	0	CT_TBRCH	4373	BR_STATUS	CT_REP	0;
	4062	0	CT_TBRCH	4374	BR_STATUS	CT_REP	0;
	4063	0	CT_TBRCH	4375	BR_STATUS	CT_REP	0;
	4064	0	CT_TBRCH	4376	BR_STATUS	CT_REP	0;
	4065	0	CT_TBRCH	4377	BR_STATUS	CT_REP	0;
	4066	0	CT_TBRCH	4378	BR_STATUS	CT_REP	0;
	4067	0	CT_TBRCH	4379	BR_STATUS	CT_REP	0;
	4068	0	CT_TBRCH	4380	BR_STATUS	CT_REP	0;
	4069	0	CT_TBRCH	4381	BR_STATUS	CT_REP	0;
	4070	0	CT_TBRCH	4382	BR_STATUS	CT_REP	0;
	4071	0	CT_TBRCH	4383	BR_STATUS	CT_REP	0;
	4072	0	CT_TBRCH	4384	BR_STATUS	CT_REP	0;
	4073	0	CT_TBRCH	4385	BR_STATUS	CT_REP	0;
	4074	0	CT_TBRCH	4386	BR_STATUS	CT_REP	0;
	4075	0	CT_TBRCH	4387	BR_STATUS	CT_REP	0;
	4076	0	CT_TBRCH	4388	BR_STATUS	CT_REP	0;
	4077	0	CT_TBRCH	4389	BR_STATUS	CT_REP	0;
	4078	0	CT_TBRCH	4390	BR_STATUS	CT_REP	0;
	4079	0	CT_TBRCH	4391	BR_STATUS	CT_REP	0;
	4080	0	CT_TBRCH	4392	BR_STATUS	CT_REP	0;
	4081	0	CT_TBRCH	4393	BR_STATUS	CT_REP	0;
	4082	0	CT_TBRCH	4394	BR_STATUS	CT_REP	0;
	4083	0	CT_TBRCH	4395	BR_STATUS	CT_REP	0;
	4084	0	CT_TBRCH	4396	BR_STATUS	CT_REP	0;
	4085	0	CT_TBRCH	4397	BR_STATUS	CT_REP	0;
	4086	0	CT_TBRCH	4398	BR_STATUS	CT_REP	0;
	4087	0	CT_TBRCH	4399	BR_STATUS	CT_REP	0;
	4088	0	CT_TBRCH	4400	BR_STATUS	CT_REP	0;
	4089	0	CT_TBRCH	4401	BR_STATUS	CT_REP	0;
	4090	0	CT_TBRCH	4402	BR_STATUS	CT_REP	0;
	4091	0	CT_TBRCH	4403	BR_STATUS	CT_REP	0;
	4092	0	CT_TBRCH	4405	BR_STATUS	CT_REP	0;
	4093	0	CT_TBRCH	4406	BR_STATUS	CT_REP	0;
	4094	0	CT_TBRCH	4407	BR_STATUS	CT_REP	0;
	4095	0	CT_TBRCH	4408	BR_STATUS	CT_REP	0;
	4096	0	CT_TBRCH	4409	BR_STATUS	CT_REP	0;
	4097	0	CT_TBRCH	4410	BR_STATUS	CT_REP	0;
	4098	0	CT_TBRCH	4412	BR_STATUS	CT_REP	0;
	4099	0	CT_TBRCH	4414	BR_STATUS	CT_REP	0;
	4100	0	CT_TBRCH	4415	BR_STATUS	CT_REP	0;
	4101	0	CT_TBRCH	4416	BR_STATUS	CT_REP	0;
	4102	0	CT_TBRCH	4418	BR_STATUS	CT_REP	0;
	4103	0	CT_TBRCH	4419	BR_STATUS	CT_REP	0;
	4104	0	CT_TBRCH	4422	BR_STATUS	CT_REP	0;
	4105	0	CT_TBRCH	4423	BR_STATUS	CT_REP	0;
	4106	0	CT_TBRCH	4424	BR_STATUS	CT_REP	0;
	4107	0	CT_TBRCH	4425	BR_STATUS	CT_REP	0;
	4108	0	CT_TBRCH	4426	BR_STATUS	CT_REP	0;
	4109	0	CT_TBRCH	4427	BR_STATUS	CT_REP	0;
	4110	0	CT_TBRCH	4428	BR_STATUS	CT_REP	0;
	4111	0	CT_TBRCH	4429	BR_STATUS	CT_REP	0;
	4112	0	CT_TBRCH	4430	BR_STATUS	CT_REP	0;
	4113	0	CT_TBRCH	4431	BR_STATUS	CT_REP	0;
	4114	0	CT_TBRCH	4432	BR_STATUS	CT_REP	0;
	4115	0	CT_TBRCH	4433	BR_STATUS	CT_REP	0;
	4116	0	CT_TBRCH	4434	BR_STATUS	CT_REP	0;
	4117	0	CT_TBRCH	4435	BR_STATUS	CT_REP	0;
	4118	0	CT_TBRCH	4436	BR_STATUS	CT_REP	0;
	4119	0	CT_TBRCH	4437	BR_STATUS	CT_REP	0;
	4120	0	CT_TBRCH	4438	BR_STATUS	CT_REP	0;
	4121	0	CT_TBRCH	4439	BR_STATUS	CT_REP	0;
	4122	0	CT_TBRCH	4440	BR_STATUS	CT_REP	0;
	4123	0	CT_TBRCH	4441	BR_STATUS	CT_REP	0;
	4124	0	CT_TBRCH	4442	BR_STATUS	CT_REP	0;
	4125	0	CT_TBRCH	4443	BR_STATUS	CT_REP	0;
	4126	0	CT_TBRCH	4444	BR_STATUS	CT_REP	0;
	4127	0	CT_TBRCH	4445	BR_STATUS	CT_REP	0;
	4128	0	CT_TBRCH	4449	BR_STATUS	CT_REP	0;
	4129	0	CT_TBRCH	4456	BR_STATUS	CT_REP	0;
	4130	0	CT_TBRCH	4457	BR_STATUS	CT_REP	0;
	4131	0	CT_TBRCH	4458	BR_STATUS	CT_REP	0;
	4132	0	CT_TBRCH	4459	BR_STATUS	CT_REP	0;
	4133	0	CT_TBRCH	4460	BR_STATUS	CT_REP	0;
	4134	0	CT_TBRCH	4461	BR_STATUS	CT_REP	0;
	4135	0	CT_TBRCH	4463	BR_STATUS	CT_REP	0;
	4136	0	CT_TBRCH	4464	BR_STATUS	CT_REP	0;
	4137	0	CT_TBRCH	4465	BR_STATUS	CT_REP	0;
	4138	0	CT_TBRCH	4467	BR_STATUS	CT_REP	0;
	4139	0	CT_TBRCH	4468	BR_STATUS	CT_REP	0;
	4140	0	CT_TBRCH	4470	BR_STATUS	CT_REP	0;
	4141	0	CT_TBRCH	4472	BR_STATUS	CT_REP	0;
	4142	0	CT_TBRCH	4473	BR_STATUS	CT_REP	0;
	4143	0	CT_TBRCH	4476	BR_STATUS	CT_REP	0;
	4144	0	CT_TBRCH	4478	BR_STATUS	CT_REP	0;
	4145	0	CT_TBRCH	4481	BR_STATUS	CT_REP	0;
	4146	0	CT_TBRCH	4482	BR_STATUS	CT_REP	0;
	4147	0	CT_TBRCH	4483	BR_STATUS	CT_REP	0;
	4148	0	CT_TBRCH	4484	BR_STATUS	CT_REP	0;
	4149	0	CT_TBRCH	4485	BR_STATUS	CT_REP	0;
	4150	0	CT_TBRCH	4490	BR_STATUS	CT_REP	0;
	4151	0	CT_TBRCH	4491	BR_STATUS	CT_REP	0;
	4152	0	CT_TBRCH	4492	BR_STATUS	CT_REP	0;
	4153	0	CT_TBRCH	4493	BR_STATUS	CT_REP	0;
	4154	0	CT_TBRCH	4494	BR_STATUS	CT_REP	0;
	4155	0	CT_TBRCH	4495	BR_STATUS	CT_REP	0;
	4156	0	CT_TBRCH	4496	BR_STATUS	CT_REP	0;
	4157	0	CT_TBRCH	4498	BR_STATUS	CT_REP	0;
	4158	0	CT_TBRCH	4499	BR_STATUS	CT_REP	0;
	4159	0	CT_TBRCH	4500	BR_STATUS	CT_REP	0;
	4160	0	CT_TBRCH	4501	BR_STATUS	CT_REP	0;
	4161	0	CT_TBRCH	4502	BR_STATUS	CT_REP	0;
	4162	0	CT_TBRCH	4503	BR_STATUS	CT_REP	0;
	4163	0	CT_TBRCH	4505	BR_STATUS	CT_REP	0;
	4164	0	CT_TBRCH	4506	BR_STATUS	CT_REP	0;
	4165	0	CT_TBRCH	4507	BR_STATUS	CT_REP	0;
	4166	0	CT_TBRCH	4508	BR_STATUS	CT_REP	0;
	4167	0	CT_TBRCH	4509	BR_STATUS	CT_REP	0;
	4168	0	CT_TBRCH	4510	BR_STATUS	CT_REP	0;
	4169	0	CT_TBRCH	4511	BR_STATUS	CT_REP	0;
	4170	0	CT_TBRCH	4512	BR_STATUS	CT_REP	0;
	4171	0	CT_TBRCH	4513	BR_STATUS	CT_REP	0;
	4172	0	CT_TBRCH	4514	BR_STATUS	CT_REP	0;
	4173	0	CT_TBRCH	4515	BR_STATUS	CT_REP	0;
	4174	0	CT_TBRCH	4516	BR_STATUS	CT_REP	0;
	4175	0	CT_TBRCH	4517	BR_STATUS	CT_REP	0;
	4176	0	CT_TBRCH	4518	BR_STATUS	CT_REP	0;
	4177	0	CT_TBRCH	4519	BR_STATUS	CT_REP	0;
	4178	0	CT_TBRCH	4520	BR_STATUS	CT_REP	0;
	4179	0	CT_TBRCH	4523	BR_STATUS	CT_REP	0;
	4180	0	CT_TBRCH	4525	BR_STATUS	CT_REP	0;
	4181	0	CT_TBRCH	4526	BR_STATUS	CT_REP	0;
	4182	0	CT_TBRCH	4527	BR_STATUS	CT_REP	0;
	4183	0	CT_TBRCH	4528	BR_STATUS	CT_REP	0;
	4184	0	CT_TBRCH	4529	BR_STATUS	CT_REP	0;
	4185	0	CT_TBRCH	4530	BR_STATUS	CT_REP	0;
	4186	0	CT_TBRCH	4532	BR_STATUS	CT_REP	0;
	4187	0	CT_TBRCH	4533	BR_STATUS	CT_REP	0;
	4188	0	CT_TBRCH	4534	BR_STATUS	CT_REP	0;
	4189	0	CT_TBRCH	4537	BR_STATUS	CT_REP	0;
	4190	0	CT_TBRCH	4538	BR_STATUS	CT_REP	0;
	4191	0	CT_TBRCH	4539	BR_STATUS	CT_REP	0;
	4192	0	CT_TBRCH	4540	BR_STATUS	CT_REP	0;
	4193	0	CT_TBRCH	4541	BR_STATUS	CT_REP	0;
	4194	0	CT_TBRCH	4542	BR_STATUS	CT_REP	0;
	4195	0	CT_TBRCH	4543	BR_STATUS	CT_REP	0;
	4196	0	CT_TBRCH	4544	BR_STATUS	CT_REP	0;
	4197	0	CT_TBRCH	4545	BR_STATUS	CT_REP	0;
	4198	0	CT_TBRCH	4546	BR_STATUS	CT_REP	0;
	4199	0	CT_TBRCH	4547	BR_STATUS	CT_REP	0;
	4200	0	CT_TBRCH	4548	BR_STATUS	CT_REP	0;
	4201	0	CT_TBRCH	4549	BR_STATUS	CT_REP	0;
	4202	0	CT_TBRCH	4550	BR_STATUS	CT_REP	0;
	4203	0	CT_TBRCH	4551	BR_STATUS	CT_REP	0;
	4204	0	CT_TBRCH	4552	BR_STATUS	CT_REP	0;
	4205	0	CT_TBRCH	4553	BR_STATUS	CT_REP	0;
	4206	0	CT_TBRCH	4554	BR_STATUS	CT_REP	0;
	4207	0	CT_TBRCH	4555	BR_STATUS	CT_REP	0;
	4208	0	CT_TBRCH	4556	BR_STATUS	CT_REP	0;
	4209	0	CT_TBRCH	4557	BR_STATUS	CT_REP	0;
	4210	0	CT_TBRCH	4558	BR_STATUS	CT_REP	0;
	4211	0	CT_TBRCH	4559	BR_STATUS	CT_REP	0;
	4212	0	CT_TBRCH	4560	BR_STATUS	CT_REP	0;
	4213	0	CT_TBRCH	4561	BR_STATUS	CT_REP	0;
	4214	0	CT_TBRCH	4562	BR_STATUS	CT_REP	0;
	4215	0	CT_TBRCH	4563	BR_STATUS	CT_REP	0;
	4216	0	CT_TBRCH	4564	BR_STATUS	CT_REP	0;
	4217	0	CT_TBRCH	4565	BR_STATUS	CT_REP	0;
	4218	0	CT_TBRCH	4566	BR_STATUS	CT_REP	0;
	4219	0	CT_TBRCH	4568	BR_STATUS	CT_REP	0;
	4220	0	CT_TBRCH	4570	BR_STATUS	CT_REP	0;
	4221	0	CT_TBRCH	4572	BR_STATUS	CT_REP	0;
	4222	0	CT_TBRCH	4573	BR_STATUS	CT_REP	0;
	4223	0	CT_TBRCH	4574	BR_STATUS	CT_REP	0;
	4224	0	CT_TBRCH	4575	BR_STATUS	CT_REP	0;
	4225	0	CT_TBRCH	4576	BR_STATUS	CT_REP	0;
	4226	0	CT_TBRCH	4577	BR_STATUS	CT_REP	0;
	4227	0	CT_TBRCH	4578	BR_STATUS	CT_REP	0;
	4228	0	CT_TBRCH	4579	BR_STATUS	CT_REP	0;
	4229	0	CT_TBRCH	4580	BR_STATUS	CT_REP	0;
	4230	0	CT_TBRCH	4581	BR_STATUS	CT_REP	0;
	4231	0	CT_TBRCH	4583	BR_STATUS	CT_REP	0;
	4232	0	CT_TBRCH	4584	BR_STATUS	CT_REP	0;
	4233	0	CT_TBRCH	4586	BR_STATUS	CT_REP	0;
	4234	0	CT_TBRCH	4587	BR_STATUS	CT_REP	0;
	4235	0	CT_TBRCH	4589	BR_STATUS	CT_REP	0;
	4236	0	CT_TBRCH	4590	BR_STATUS	CT_REP	0;
	4237	0	CT_TBRCH	4591	BR_STATUS	CT_REP	0;
	4238	0	CT_TBRCH	4592	BR_STATUS	CT_REP	0;
	4239	0	CT_TBRCH	4593	BR_STATUS	CT_REP	0;
	4240	0	CT_TBRCH	4594	BR_STATUS	CT_REP	0;
	4241	0	CT_TBRCH	4595	BR_STATUS	CT_REP	0;
	4242	0	CT_TBRCH	4596	BR_STATUS	CT_REP	0;
	4243	0	CT_TBRCH	4597	BR_STATUS	CT_REP	0;
	4244	0	CT_TBRCH	4598	BR_STATUS	CT_REP	0;
	4245	0	CT_TBRCH	4599	BR_STATUS	CT_REP	0;
	4246	0	CT_TBRCH	4600	BR_STATUS	CT_REP	0;
	4247	0	CT_TBRCH	4601	BR_STATUS	CT_REP	0;
	4248	0	CT_TBRCH	4602	BR_STATUS	CT_REP	0;
	4249	0	CT_TBRCH	4603	BR_STATUS	CT_REP	0;
	4250	0	CT_TBRCH	4604	BR_STATUS	CT_REP	0;
	4251	0	CT_TBRCH	4605	BR_STATUS	CT_REP	0;
	4252	0	CT_TBRCH	4606	BR_STATUS	CT_REP	0;
	4253	0	CT_TBRCH	4607	BR_STATUS	CT_REP	0;
	4254	0	CT_TBRCH	4608	BR_STATUS	CT_REP	0;
	4255	0	CT_TBRCH	4609	BR_STATUS	CT_REP	0;
	4256	0	CT_TBRCH	4610	BR_STATUS	CT_REP	0;
	4257	0	CT_TBRCH	4611	BR_STATUS	CT_REP	0;
	4258	0	CT_TBRCH	4612	BR_STATUS	CT_REP	0;
	4259	0	CT_TBRCH	4613	BR_STATUS	CT_REP	0;
	4260	0	CT_TBRCH	4614	BR_STATUS	CT_REP	0;
	4261	0	CT_TBRCH	4615	BR_STATUS	CT_REP	0;
	4262	0	CT_TBRCH	4616	BR_STATUS	CT_REP	0;
	4263	0	CT_TBRCH	4617	BR_STATUS	CT_REP	0;
	4264	0	CT_TBRCH	4618	BR_STATUS	CT_REP	0;
	4265	0	CT_TBRCH	4619	BR_STATUS	CT_REP	0;
	4266	0	CT_TBRCH	4620	BR_STATUS	CT_REP	0;
	4267	0	CT_TBRCH	4621	BR_STATUS	CT_REP	0;
	4268	0	CT_TBRCH	4622	BR_STATUS	CT_REP	0;
	4269	0	CT_TBRCH	4623	BR_STATUS	CT_REP	0;
	4270	0	CT_TBRCH	4624	BR_STATUS	CT_REP	0;
	4271	0	CT_TBRCH	4625	BR_STATUS	CT_REP	0;
	4272	0	CT_TBRCH	4626	BR_STATUS	CT_REP	0;
	4273	0	CT_TBRCH	4627	BR_STATUS	CT_REP	0;
	4274	0	CT_TBRCH	4628	BR_STATUS	CT_REP	0;
	4275	0	CT_TBRCH	4629	BR_STATUS	CT_REP	0;
	4276	0	CT_TBRCH	4630	BR_STATUS	CT_REP	0;
	4277	0	CT_TBRCH	4631	BR_STATUS	CT_REP	0;
	4278	0	CT_TBRCH	4632	BR_STATUS	CT_REP	0;
	4279	0	CT_TBRCH	4633	BR_STATUS	CT_REP	0;
	4280	0	CT_TBRCH	4634	BR_STATUS	CT_REP	0;
	4281	0	CT_TBRCH	4635	BR_STATUS	CT_REP	0;
	4282	0	CT_TBRCH	4636	BR_STATUS	CT_REP	0;
	4283	0	CT_TBRCH	4637	BR_STATUS	CT_REP	0;
	4284	0	CT_TBRCH	4638	BR_STATUS	CT_REP	0;
	4285	0	CT_TBRCH	4639	BR_STATUS	CT_REP	0;
	4286	0	CT_TBRCH	4640	BR_STATUS	CT_REP	0;
	4287	0	CT_TBRCH	4641	BR_STATUS	CT_REP	0;
	4288	0	CT_TBRCH	4642	BR_STATUS	CT_REP	0;
	4289	0	CT_TBRCH	4643	BR_STATUS	CT_REP	0;
	4290	0	CT_TBRCH	4644	BR_STATUS	CT_REP	0;
	4291	0	CT_TBRCH	4645	BR_STATUS	CT_REP	0;
	4292	0	CT_TBRCH	4646	BR_STATUS	CT_REP	0;
	4293	0	CT_TBRCH	4647	BR_STATUS	CT_REP	0;
	4294	0	CT_TBRCH	4648	BR_STATUS	CT_REP	0;
	4295	0	CT_TBRCH	4649	BR_STATUS	CT_REP	0;
	4296	0	CT_TBRCH	4650	BR_STATUS	CT_REP	0;
	4297	0	CT_TBRCH	4651	BR_STATUS	CT_REP	0;
	4298	0	CT_TBRCH	4652	BR_STATUS	CT_REP	0;
	4299	0	CT_TBRCH	4653	BR_STATUS	CT_REP	0;
	4300	0	CT_TBRCH	4654	BR_STATUS	CT_REP	0;
	4301	0	CT_TBRCH	4655	BR_STATUS	CT_REP	0;
	4302	0	CT_TBRCH	4656	BR_STATUS	CT_REP	0;
	4303	0	CT_TBRCH	4657	BR_STATUS	CT_REP	0;
	4304	0	CT_TBRCH	4658	BR_STATUS	CT_REP	0;
	4305	0	CT_TBRCH	4659	BR_STATUS	CT_REP	0;
	4306	0	CT_TBRCH	4660	BR_STATUS	CT_REP	0;
	4307	0	CT_TBRCH	4661	BR_STATUS	CT_REP	0;
	4308	0	CT_TBRCH	4662	BR_STATUS	CT_REP	0;
	4309	0	CT_TBRCH	4663	BR_STATUS	CT_REP	0;
	4310	0	CT_TBRCH	4664	BR_STATUS	CT_REP	0;
	4311	0	CT_TBRCH	4665	BR_STATUS	CT_REP	0;
	4312	0	CT_TBRCH	4666	BR_STATUS	CT_REP	0;
	4313	0	CT_TBRCH	4667	BR_STATUS	CT_REP	0;
	4314	0	CT_TBRCH	4668	BR_STATUS	CT_REP	0;
	4315	0	CT_TBRCH	4669	BR_STATUS	CT_REP	0;
	4316	0	CT_TBRCH	4670	BR_STATUS	CT_REP	0;
	4317	0	CT_TBRCH	4671	BR_STATUS	CT_REP	0;
	4318	0	CT_TBRCH	4672	BR_STATUS	CT_REP	0;
	4319	0	CT_TBRCH	4673	BR_STATUS	CT_REP	0;
	4320	0	CT_TBRCH	4674	BR_STATUS	CT_REP	0;
	4321	0	CT_TBRCH	4675	BR_STATUS	CT_REP	0;
	4322	0	CT_TBRCH	4676	BR_STATUS	CT_REP	0;
	4323	0	CT_TBRCH	4677	BR_STATUS	CT_REP	0;
	4324	0	CT_TBRCH	4678	BR_STATUS	CT_REP	0;
	4325	0	CT_TBRCH	4679	BR_STATUS	CT_REP	0;
	4326	0	CT_TBRCH	4680	BR_STATUS	CT_REP	0;
	4327	0	CT_TBRCH	4681	BR_STATUS	CT_REP	0;
	4328	0	CT_TBRCH	4682	BR_STATUS	CT_REP	0;
	4329	0	CT_TBRCH	4683	BR_STATUS	CT_REP	0;
	4330	0	CT_TBRCH	4684	BR_STATUS	CT_REP	0;
	4331	0	CT_TBRCH	4685	BR_STATUS	CT_REP	0;
	4332	0	CT_TBRCH	4686	BR_STATUS	CT_REP	0;
	4333	0	CT_TBRCH	4687	BR_STATUS	CT_REP	0;
	4334	0	CT_TBRCH	4688	BR_STATUS	CT_REP	0;
	4335	0	CT_TBRCH	4689	BR_STATUS	CT_REP	0;
	4336	0	CT_TBRCH	4690	BR_STATUS	CT_REP	0;
	4337	0	CT_TBRCH	4691	BR_STATUS	CT_REP	0;
	4338	0	CT_TBRCH	4692	BR_STATUS	CT_REP	0;
	4339	0	CT_TBRCH	4693	BR_STATUS	CT_REP	0;
	4340	0	CT_TBRCH	4694	BR_STATUS	CT_REP	0;
	4341	0	CT_TBRCH	4695	BR_STATUS	CT_REP	0;
	4342	0	CT_TBRCH	4696	BR_STATUS	CT_REP	0;
	4343	0	CT_TBRCH	4697	BR_STATUS	CT_REP	0;
	4344	0	CT_TBRCH	4698	BR_STATUS	CT_REP	0;
	4345	0	CT_TBRCH	4699	BR_STATUS	CT_REP	0;
	4346	0	CT_TBRCH	4700	BR_STATUS	CT_REP	0;
	4347	0	CT_TBRCH	4701	BR_STATUS	CT_REP	0;
	4348	0	CT_TBRCH	4702	BR_STATUS	CT_REP	0;
	4349	0	CT_TBRCH	4703	BR_STATUS	CT_REP	0;
	4350	0	CT_TBRCH	4704	BR_STATUS	CT_REP	0;
	4351	0	CT_TBRCH	4705	BR_STATUS	CT_REP	0;
	4352	0	CT_TBRCH	4706	BR_STATUS	CT_REP	0;
	4353	0	CT_TBRCH	4707	BR_STATUS	CT_REP	0;
	4354	0	CT_TBRCH	4708	BR_STATUS	CT_REP	0;
	4355	0	CT_TBRCH	4709	BR_STATUS	CT_REP	0;
	4356	0	CT_TBRCH	4710	BR_STATUS	CT_REP	0;
	4357	0	CT_TBRCH	4711	BR_STATUS	CT_REP	0;
	4358	0	CT_TBRCH	4712	BR_STATUS	CT_REP	0;
	4359	0	CT_TBRCH	4713	BR_STATUS	CT_REP	0;
	4360	0	CT_TBRCH	4714	BR_STATUS	CT_REP	0;
	4361	0	CT_TBRCH	4715	BR_STATUS	CT_REP	0;
	4362	0	CT_TBRCH	4716	BR_STATUS	CT_REP	0;
	4363	0	CT_TBRCH	4717	BR_STATUS	CT_REP	0;
	4364	0	CT_TBRCH	4718	BR_STATUS	CT_REP	0;
	4365	0	CT_TBRCH	4719	BR_STATUS	CT_REP	0;
	4366	0	CT_TBRCH	4720	BR_STATUS	CT_REP	0;
	4367	0	CT_TBRCH	4722	BR_STATUS	CT_REP	0;
	4368	0	CT_TBRCH	4724	BR_STATUS	CT_REP	0;
	4369	0	CT_TBRCH	4725	BR_STATUS	CT_REP	0;
	4370	0	CT_TBRCH	4727	BR_STATUS	CT_REP	0;
	4371	0	CT_TBRCH	4728	BR_STATUS	CT_REP	0;
	4372	0	CT_TBRCH	4729	BR_STATUS	CT_REP	0;
	4373	0	CT_TBRCH	4730	BR_STATUS	CT_REP	0;
	4374	0	CT_TBRCH	4731	BR_STATUS	CT_REP	0;
	4375	0	CT_TBRCH	4732	BR_STATUS	CT_REP	0;
	4376	0	CT_TBRCH	4733	BR_STATUS	CT_REP	0;
	4377	0	CT_TBRCH	4734	BR_STATUS	CT_REP	0;
	4378	0	CT_TBRCH	4735	BR_STATUS	CT_REP	0;
	4379	0	CT_TBRCH	4736	BR_STATUS	CT_REP	0;
	4380	0	CT_TBRCH	4737	BR_STATUS	CT_REP	0;
	4381	0	CT_TBRCH	4738	BR_STATUS	CT_REP	0;
	4382	0	CT_TBRCH	4739	BR_STATUS	CT_REP	0;
	4383	0	CT_TBRCH	4740	BR_STATUS	CT_REP	0;
	4384	0	CT_TBRCH	4741	BR_STATUS	CT_REP	0;
	4385	0	CT_TBRCH	4742	BR_STATUS	CT_REP	0;
	4386	0	CT_TBRCH	4743	BR_STATUS	CT_REP	0;
	4387	0	CT_TBRCH	4744	BR_STATUS	CT_REP	0;
	4388	0	CT_TBRCH	4745	BR_STATUS	CT_REP	0;
	4389	0	CT_TBRCH	4746	BR_STATUS	CT_REP	0;
	4390	0	CT_TBRCH	4747	BR_STATUS	CT_REP	0;
	4391	0	CT_TBRCH	4748	BR_STATUS	CT_REP	0;
	4392	0	CT_TBRCH	4749	BR_STATUS	CT_REP	0;
	4393	0	CT_TBRCH	4750	BR_STATUS	CT_REP	0;
	4394	0	CT_TBRCH	4751	BR_STATUS	CT_REP	0;
	4395	0	CT_TBRCH	4752	BR_STATUS	CT_REP	0;
	4396	0	CT_TBRCH	4753	BR_STATUS	CT_REP	0;
	4397	0	CT_TBRCH	4754	BR_STATUS	CT_REP	0;
	4398	0	CT_TBRCH	4755	BR_STATUS	CT_REP	0;
	4399	0	CT_TBRCH	4756	BR_STATUS	CT_REP	0;
	4400	0	CT_TBRCH	4757	BR_STATUS	CT_REP	0;
	4401	0	CT_TBRCH	4758	BR_STATUS	CT_REP	0;
	4402	0	CT_TBRCH	4759	BR_STATUS	CT_REP	0;
	4403	0	CT_TBRCH	4760	BR_STATUS	CT_REP	0;
	4404	0	CT_TBRCH	4761	BR_STATUS	CT_REP	0;
	4405	0	CT_TBRCH	4762	BR_STATUS	CT_REP	0;
	4406	0	CT_TBRCH	4763	BR_STATUS	CT_REP	0;
	4407	0	CT_TBRCH	4764	BR_STATUS	CT_REP	0;
	4408	0	CT_TBRCH	4765	BR_STATUS	CT_REP	0;
	4409	0	CT_TBRCH	4766	BR_STATUS	CT_REP	0;
	4410	0	CT_TBRCH	4767	BR_STATUS	CT_REP	0;
	4411	0	CT_TBRCH	4768	BR_STATUS	CT_REP	0;
	4412	0	CT_TBRCH	4769	BR_STATUS	CT_REP	0;
	4413	0	CT_TBRCH	4770	BR_STATUS	CT_REP	0;
	4414	0	CT_TBRCH	4771	BR_STATUS	CT_REP	0;
	4415	0	CT_TBRCH	4772	BR_STATUS	CT_REP	0;
	4416	0	CT_TBRCH	4773	BR_STATUS	CT_REP	0;
	4417	0	CT_TBRCH	4774	BR_STATUS	CT_REP	0;
	4418	0	CT_TBRCH	4775	BR_STATUS	CT_REP	0;
	4419	0	CT_TBRCH	4776	BR_STATUS	CT_REP	0;
	4420	0	CT_TBRCH	4777	BR_STATUS	CT_REP	0;
	4421	0	CT_TBRCH	4778	BR_STATUS	CT_REP	0;
	4422	0	CT_TBRCH	4779	BR_STATUS	CT_REP	0;
	4423	0	CT_TBRCH	4780	BR_STATUS	CT_REP	0;
	4424	0	CT_TBRCH	4781	BR_STATUS	CT_REP	0;
	4425	0	CT_TBRCH	4782	BR_STATUS	CT_REP	0;
	4426	0	CT_TBRCH	4783	BR_STATUS	CT_REP	0;
	4427	0	CT_TBRCH	4784	BR_STATUS	CT_REP	0;
	4428	0	CT_TBRCH	4785	BR_STATUS	CT_REP	0;
	4429	0	CT_TBRCH	4786	BR_STATUS	CT_REP	0;
	4430	0	CT_TBRCH	4787	BR_STATUS	CT_REP	0;
	4431	0	CT_TBRCH	4788	BR_STATUS	CT_REP	0;
	4432	0	CT_TBRCH	4789	BR_STATUS	CT_REP	0;
	4433	0	CT_TBRCH	4790	BR_STATUS	CT_REP	0;
	4434	0	CT_TBRCH	4791	BR_STATUS	CT_REP	0;
	4435	0	CT_TBRCH	4792	BR_STATUS	CT_REP	0;
	4436	0	CT_TBRCH	4793	BR_STATUS	CT_REP	0;
	4437	0	CT_TBRCH	4794	BR_STATUS	CT_REP	0;
	4438	0	CT_TBRCH	4795	BR_STATUS	CT_REP	0;
	4439	0	CT_TBRCH	4796	BR_STATUS	CT_REP	0;
	4440	0	CT_TBRCH	4797	BR_STATUS	CT_REP	0;
	4441	0	CT_TBRCH	4798	BR_STATUS	CT_REP	0;
	4442	0	CT_TBRCH	4799	BR_STATUS	CT_REP	0;
	4443	0	CT_TBRCH	4800	BR_STATUS	CT_REP	0;
	4444	0	CT_TBRCH	4801	BR_STATUS	CT_REP	0;
	4445	0	CT_TBRCH	4802	BR_STATUS	CT_REP	0;
	4446	0	CT_TBRCH	4803	BR_STATUS	CT_REP	0;
	4447	0	CT_TBRCH	4804	BR_STATUS	CT_REP	0;
	4448	0	CT_TBRCH	4805	BR_STATUS	CT_REP	0;
	4449	0	CT_TBRCH	4806	BR_STATUS	CT_REP	0;
	4450	0	CT_TBRCH	4807	BR_STATUS	CT_REP	0;
	4451	0	CT_TBRCH	4808	BR_STATUS	CT_REP	0;
	4452	0	CT_TBRCH	4809	BR_STATUS	CT_REP	0;
	4453	0	CT_TBRCH	4810	BR_STATUS	CT_REP	0;
	4454	0	CT_TBRCH	4811	BR_STATUS	CT_REP	0;
	4455	0	CT_TBRCH	4812	BR_STATUS	CT_REP	0;
	4456	0	CT_TBRCH	4813	BR_STATUS	CT_REP	0;
	4457	0	CT_TBRCH	4814	BR_STATUS	CT_REP	0;
	4458	0	CT_TBRCH	4815	BR_STATUS	CT_REP	0;
	4459	0	CT_TBRCH	4816	BR_STATUS	CT_REP	0;
	4460	0	CT_TBRCH	4817	BR_STATUS	CT_REP	0;
	4461	0	CT_TBRCH	4818	BR_STATUS	CT_REP	0;
	4462	0	CT_TBRCH	4819	BR_STATUS	CT_REP	0;
	4463	0	CT_TBRCH	4820	BR_STATUS	CT_REP	0;
	4464	0	CT_TBRCH	4821	BR_STATUS	CT_REP	0;
	4465	0	CT_TBRCH	4822	BR_STATUS	CT_REP	0;
	4466	0	CT_TBRCH	4823	BR_STATUS	CT_REP	0;
	4467	0	CT_TBRCH	4824	BR_STATUS	CT_REP	0;
	4468	0	CT_TBRCH	4825	BR_STATUS	CT_REP	0;
	4469	0	CT_TBRCH	4826	BR_STATUS	CT_REP	0;
	4470	0	CT_TBRCH	4827	BR_STATUS	CT_REP	0;
	4471	0	CT_TBRCH	4828	BR_STATUS	CT_REP	0;
	4472	0	CT_TBRCH	4829	BR_STATUS	CT_REP	0;
	4473	0	CT_TBRCH	4830	BR_STATUS	CT_REP	0;
	4474	0	CT_TBRCH	4831	BR_STATUS	CT_REP	0;
	4475	0	CT_TBRCH	4832	BR_STATUS	CT_REP	0;
	4476	0	CT_TBRCH	4833	BR_STATUS	CT_REP	0;
	4477	0	CT_TBRCH	4834	BR_STATUS	CT_REP	0;
	4478	0	CT_TBRCH	4835	BR_STATUS	CT_REP	0;
	4479	0	CT_TBRCH	4836	BR_STATUS	CT_REP	0;
	4480	0	CT_TBRCH	4837	BR_STATUS	CT_REP	0;
	4481	0	CT_TBRCH	4838	BR_STATUS	CT_REP	0;
	4482	0	CT_TBRCH	4839	BR_STATUS	CT_REP	0;
	4483	0	CT_TBRCH	4840	BR_STATUS	CT_REP	0;
	4484	0	CT_TBRCH	4841	BR_STATUS	CT_REP	0;
	4485	0	CT_TBRCH	4842	BR_STATUS	CT_REP	0;
	4486	0	CT_TBRCH	4843	BR_STATUS	CT_REP	0;
	4487	0	CT_TBRCH	4844	BR_STATUS	CT_REP	0;
	4488	0	CT_TBRCH	4845	BR_STATUS	CT_REP	0;
	4489	0	CT_TBRCH	4846	BR_STATUS	CT_REP	0;
	4490	0	CT_TBRCH	4847	BR_STATUS	CT_REP	0;
	4491	0	CT_TBRCH	4848	BR_STATUS	CT_REP	0;
	4492	0	CT_TBRCH	4849	BR_STATUS	CT_REP	0;
	4493	0	CT_TBRCH	4850	BR_STATUS	CT_REP	0;
	4494	0	CT_TBRCH	4851	BR_STATUS	CT_REP	0;
	4495	0	CT_TBRCH	4852	BR_STATUS	CT_REP	0;
	4496	0	CT_TBRCH	4853	BR_STATUS	CT_REP	0;
	4497	0	CT_TBRCH	4854	BR_STATUS	CT_REP	0;
	4498	0	CT_TBRCH	4855	BR_STATUS	CT_REP	0;
	4499	0	CT_TBRCH	4856	BR_STATUS	CT_REP	0;
	4500	0	CT_TBRCH	4857	BR_STATUS	CT_REP	0;
	4501	0	CT_TBRCH	4859	BR_STATUS	CT_REP	0;
	4502	0	CT_TBRCH	4860	BR_STATUS	CT_REP	0;
	4503	0	CT_TBRCH	4861	BR_STATUS	CT_REP	0;
	4504	0	CT_TBRCH	4864	BR_STATUS	CT_REP	0;
	4505	0	CT_TBRCH	4865	BR_STATUS	CT_REP	0;
	4506	0	CT_TBRCH	4866	BR_STATUS	CT_REP	0;
	4507	0	CT_TBRCH	4867	BR_STATUS	CT_REP	0;
	4508	0	CT_TBRCH	4868	BR_STATUS	CT_REP	0;
	4509	0	CT_TBRCH	4869	BR_STATUS	CT_REP	0;
	4510	0	CT_TBRCH	4870	BR_STATUS	CT_REP	0;
	4511	0	CT_TBRCH	4871	BR_STATUS	CT_REP	0;
	4512	0	CT_TBRCH	4872	BR_STATUS	CT_REP	0;
	4513	0	CT_TBRCH	4873	BR_STATUS	CT_REP	0;
	4514	0	CT_TBRCH	4874	BR_STATUS	CT_REP	0;
	4515	0	CT_TBRCH	4875	BR_STATUS	CT_REP	0;
	4516	0	CT_TBRCH	4876	BR_STATUS	CT_REP	0;
	4517	0	CT_TBRCH	4877	BR_STATUS	CT_REP	0;
	4518	0	CT_TBRCH	4878	BR_STATUS	CT_REP	0;
	4519	0	CT_TBRCH	4879	BR_STATUS	CT_REP	0;
	4520	0	CT_TBRCH	4880	BR_STATUS	CT_REP	0;
	4521	0	CT_TBRCH	4881	BR_STATUS	CT_REP	0;
	4522	0	CT_TBRCH	4882	BR_STATUS	CT_REP	0;
	4523	0	CT_TBRCH	4883	BR_STATUS	CT_REP	0;
	4524	0	CT_TBRCH	4884	BR_STATUS	CT_REP	0;
	4525	0	CT_TBRCH	4885	BR_STATUS	CT_REP	0;
	4526	0	CT_TBRCH	4886	BR_STATUS	CT_REP	0;
	4527	0	CT_TBRCH	4887	BR_STATUS	CT_REP	0;
	4528	0	CT_TBRCH	4888	BR_STATUS	CT_REP	0;
	4529	0	CT_TBRCH	4889	BR_STATUS	CT_REP	0;
	4530	0	CT_TBRCH	4890	BR_STATUS	CT_REP	0;
	4531	0	CT_TBRCH	4891	BR_STATUS	CT_REP	0;
	4532	0	CT_TBRCH	4892	BR_STATUS	CT_REP	0;
	4533	0	CT_TBRCH	4893	BR_STATUS	CT_REP	0;
	4534	0	CT_TBRCH	4894	BR_STATUS	CT_REP	0;
	4535	0	CT_TBRCH	4895	BR_STATUS	CT_REP	0;
	4536	0	CT_TBRCH	4896	BR_STATUS	CT_REP	0;
	4537	0	CT_TBRCH	4897	BR_STATUS	CT_REP	0;
	4538	0	CT_TBRCH	4898	BR_STATUS	CT_REP	0;
	4539	0	CT_TBRCH	4899	BR_STATUS	CT_REP	0;
	4540	0	CT_TBRCH	4900	BR_STATUS	CT_REP	0;
	4541	0	CT_TBRCH	4901	BR_STATUS	CT_REP	0;
	4542	0	CT_TBRCH	4902	BR_STATUS	CT_REP	0;
	4543	0	CT_TBRCH	4903	BR_STATUS	CT_REP	0;
	4544	0	CT_TBRCH	4904	BR_STATUS	CT_REP	0;
	4545	0	CT_TBRCH	4905	BR_STATUS	CT_REP	0;
	4546	0	CT_TBRCH	4906	BR_STATUS	CT_REP	0;
	4547	0	CT_TBRCH	4907	BR_STATUS	CT_REP	0;
	4548	0	CT_TBRCH	4908	BR_STATUS	CT_REP	0;
	4549	0	CT_TBRCH	4909	BR_STATUS	CT_REP	0;
	4550	0	CT_TBRCH	4910	BR_STATUS	CT_REP	0;
	4551	0	CT_TBRCH	4911	BR_STATUS	CT_REP	0;
	4552	0	CT_TBRCH	4912	BR_STATUS	CT_REP	0;
	4553	0	CT_TBRCH	4913	BR_STATUS	CT_REP	0;
	4554	0	CT_TBRCH	4914	BR_STATUS	CT_REP	0;
	4555	0	CT_TBRCH	4915	BR_STATUS	CT_REP	0;
	4556	0	CT_TBRCH	4916	BR_STATUS	CT_REP	0;
	4557	0	CT_TBRCH	4917	BR_STATUS	CT_REP	0;
	4558	0	CT_TBRCH	4918	BR_STATUS	CT_REP	0;
	4559	0	CT_TBRCH	4919	BR_STATUS	CT_REP	0;
	4560	0	CT_TBRCH	4920	BR_STATUS	CT_REP	0;
	4561	0	CT_TBRCH	4921	BR_STATUS	CT_REP	0;
	4562	0	CT_TBRCH	4922	BR_STATUS	CT_REP	0;
	4563	0	CT_TBRCH	4923	BR_STATUS	CT_REP	0;
	4564	0	CT_TBRCH	4924	BR_STATUS	CT_REP	0;
	4565	0	CT_TBRCH	4925	BR_STATUS	CT_REP	0;
	4566	0	CT_TBRCH	4926	BR_STATUS	CT_REP	0;
	4567	0	CT_TBRCH	4927	BR_STATUS	CT_REP	0;
	4568	0	CT_TBRCH	4928	BR_STATUS	CT_REP	0;
	4569	0	CT_TBRCH	4929	BR_STATUS	CT_REP	0;
	4570	0	CT_TBRCH	4930	BR_STATUS	CT_REP	0;
	4571	0	CT_TBRCH	4931	BR_STATUS	CT_REP	0;
	4572	0	CT_TBRCH	4932	BR_STATUS	CT_REP	0;
	4573	0	CT_TBRCH	4933	BR_STATUS	CT_REP	0;
	4574	0	CT_TBRCH	4934	BR_STATUS	CT_REP	0;
	4575	0	CT_TBRCH	4935	BR_STATUS	CT_REP	0;
	4576	0	CT_TBRCH	4936	BR_STATUS	CT_REP	0;
	4577	0	CT_TBRCH	4937	BR_STATUS	CT_REP	0;
	4578	0	CT_TBRCH	4938	BR_STATUS	CT_REP	0;
	4579	0	CT_TBRCH	4939	BR_STATUS	CT_REP	0;
	4580	0	CT_TBRCH	4940	BR_STATUS	CT_REP	0;
	4581	0	CT_TBRCH	4941	BR_STATUS	CT_REP	0;
	4582	0	CT_TBRCH	4942	BR_STATUS	CT_REP	0;
	4583	0	CT_TBRCH	4943	BR_STATUS	CT_REP	0;
	4584	0	CT_TBRCH	4944	BR_STATUS	CT_REP	0;
	4585	0	CT_TBRCH	4945	BR_STATUS	CT_REP	0;
	4586	0	CT_TBRCH	4946	BR_STATUS	CT_REP	0;
	4587	0	CT_TBRCH	4947	BR_STATUS	CT_REP	0;
	4588	0	CT_TBRCH	4948	BR_STATUS	CT_REP	0;
	4589	0	CT_TBRCH	4949	BR_STATUS	CT_REP	0;
	4590	0	CT_TBRCH	4950	BR_STATUS	CT_REP	0;
	4591	0	CT_TBRCH	4951	BR_STATUS	CT_REP	0;
	4592	0	CT_TBRCH	4952	BR_STATUS	CT_REP	0;
	4593	0	CT_TBRCH	4953	BR_STATUS	CT_REP	0;
	4594	0	CT_TBRCH	4954	BR_STATUS	CT_REP	0;
	4595	0	CT_TBRCH	4955	BR_STATUS	CT_REP	0;
	4596	0	CT_TBRCH	4956	BR_STATUS	CT_REP	0;
	4597	0	CT_TBRCH	4957	BR_STATUS	CT_REP	0;
	4598	0	CT_TBRCH	4958	BR_STATUS	CT_REP	0;
	4599	0	CT_TBRCH	4959	BR_STATUS	CT_REP	0;
	4600	0	CT_TBRCH	4960	BR_STATUS	CT_REP	0;
	4601	0	CT_TBRCH	4961	BR_STATUS	CT_REP	0;
	4602	0	CT_TBRCH	4962	BR_STATUS	CT_REP	0;
	4603	0	CT_TBRCH	4963	BR_STATUS	CT_REP	0;
	4604	0	CT_TBRCH	4964	BR_STATUS	CT_REP	0;
	4605	0	CT_TBRCH	4965	BR_STATUS	CT_REP	0;
	4606	0	CT_TBRCH	4966	BR_STATUS	CT_REP	0;
	4607	0	CT_TBRCH	4967	BR_STATUS	CT_REP	0;
	4608	0	CT_TBRCH	4968	BR_STATUS	CT_REP	0;
	4609	0	CT_TBRCH	4969	BR_STATUS	CT_REP	0;
	4610	0	CT_TBRCH	4970	BR_STATUS	CT_REP	0;
	4611	0	CT_TBRCH	4971	BR_STATUS	CT_REP	0;
	4612	0	CT_TBRCH	4972	BR_STATUS	CT_REP	0;
	4613	0	CT_TBRCH	4973	BR_STATUS	CT_REP	0;
	4614	0	CT_TBRCH	4974	BR_STATUS	CT_REP	0;
	4615	0	CT_TBRCH	4975	BR_STATUS	CT_REP	0;
	4616	0	CT_TBRCH	4976	BR_STATUS	CT_REP	0;
	4617	0	CT_TBRCH	4977	BR_STATUS	CT_REP	0;
	4618	0	CT_TBRCH	4978	BR_STATUS	CT_REP	0;
	4619	0	CT_TBRCH	4979	BR_STATUS	CT_REP	0;
	4620	0	CT_TBRCH	4980	BR_STATUS	CT_REP	0;
	4621	0	CT_TBRCH	4981	BR_STATUS	CT_REP	0;
	4622	0	CT_TBRCH	4982	BR_STATUS	CT_REP	0;
	4623	0	CT_TBRCH	4983	BR_STATUS	CT_REP	0;
	4624	0	CT_TBRCH	4984	BR_STATUS	CT_REP	0;
	4625	0	CT_TBRCH	4985	BR_STATUS	CT_REP	0;
	4626	0	CT_TBRCH	4986	BR_STATUS	CT_REP	0;
	4627	0	CT_TBRCH	4987	BR_STATUS	CT_REP	0;
	4628	0	CT_TBRCH	4988	BR_STATUS	CT_REP	0;
	4629	0	CT_TBRCH	4989	BR_STATUS	CT_REP	0;
	4630	0	CT_TBRCH	4990	BR_STATUS	CT_REP	0;
	4631	0	CT_TBRCH	4991	BR_STATUS	CT_REP	0;
	4632	0	CT_TBRCH	4992	BR_STATUS	CT_REP	0;
	4633	0	CT_TBRCH	4993	BR_STATUS	CT_REP	0;
	4634	0	CT_TBRCH	4994	BR_STATUS	CT_REP	0;
	4635	0	CT_TBRCH	4995	BR_STATUS	CT_REP	0;
	4636	0	CT_TBRCH	4996	BR_STATUS	CT_REP	0;
	4637	0	CT_TBRCH	4997	BR_STATUS	CT_REP	0;
	4638	0	CT_TBRCH	4998	BR_STATUS	CT_REP	0;
	4639	0	CT_TBRCH	4999	BR_STATUS	CT_REP	0;
	4640	0	CT_TBRCH	5000	BR_STATUS	CT_REP	0;
	4641	0	CT_TBRCH	5001	BR_STATUS	CT_REP	0;
	4642	0	CT_TBRCH	5002	BR_STATUS	CT_REP	0;
	4643	0	CT_TBRCH	5003	BR_STATUS	CT_REP	0;
	4644	0	CT_TBRCH	5004	BR_STATUS	CT_REP	0;
	4645	0	CT_TBRCH	5005	BR_STATUS	CT_REP	0;
	4646	0	CT_TBRCH	5006	BR_STATUS	CT_REP	0;
	4647	0	CT_TBRCH	5007	BR_STATUS	CT_REP	0;
	4648	0	CT_TBRCH	5008	BR_STATUS	CT_REP	0;
	4649	0	CT_TBRCH	5009	BR_STATUS	CT_REP	0;
	4650	0	CT_TBRCH	5010	BR_STATUS	CT_REP	0;
	4651	0	CT_TBRCH	5011	BR_STATUS	CT_REP	0;
	4652	0	CT_TBRCH	5012	BR_STATUS	CT_REP	0;
	4653	0	CT_TBRCH	5013	BR_STATUS	CT_REP	0;
	4654	0	CT_TBRCH	5014	BR_STATUS	CT_REP	0;
	4655	0	CT_TBRCH	5015	BR_STATUS	CT_REP	0;
	4656	0	CT_TBRCH	5016	BR_STATUS	CT_REP	0;
	4657	0	CT_TBRCH	5017	BR_STATUS	CT_REP	0;
	4658	0	CT_TBRCH	5018	BR_STATUS	CT_REP	0;
	4659	0	CT_TBRCH	5019	BR_STATUS	CT_REP	0;
	4660	0	CT_TBRCH	5020	BR_STATUS	CT_REP	0;
	4661	0	CT_TBRCH	5021	BR_STATUS	CT_REP	0;
	4662	0	CT_TBRCH	5022	BR_STATUS	CT_REP	0;
	4663	0	CT_TBRCH	5023	BR_STATUS	CT_REP	0;
	4664	0	CT_TBRCH	5024	BR_STATUS	CT_REP	0;
	4665	0	CT_TBRCH	5025	BR_STATUS	CT_REP	0;
	4666	0	CT_TBRCH	5026	BR_STATUS	CT_REP	0;
	4667	0	CT_TBRCH	5027	BR_STATUS	CT_REP	0;
	4668	0	CT_TBRCH	5028	BR_STATUS	CT_REP	0;
	4669	0	CT_TBRCH	5029	BR_STATUS	CT_REP	0;
	4670	0	CT_TBRCH	5030	BR_STATUS	CT_REP	0;
	4671	0	CT_TBRCH	5031	BR_STATUS	CT_REP	0;
	4672	0	CT_TBRCH	5032	BR_STATUS	CT_REP	0;
	4673	0	CT_TBRCH	5033	BR_STATUS	CT_REP	0;
	4674	0	CT_TBRCH	5034	BR_STATUS	CT_REP	0;
	4675	0	CT_TBRCH	5035	BR_STATUS	CT_REP	0;
	4676	0	CT_TBRCH	5036	BR_STATUS	CT_REP	0;
	4677	0	CT_TBRCH	5037	BR_STATUS	CT_REP	0;
	4678	0	CT_TBRCH	5038	BR_STATUS	CT_REP	0;
	4679	0	CT_TBRCH	5039	BR_STATUS	CT_REP	0;
	4680	0	CT_TBRCH	5040	BR_STATUS	CT_REP	0;
	4681	0	CT_TBRCH	5041	BR_STATUS	CT_REP	0;
	4682	0	CT_TBRCH	5042	BR_STATUS	CT_REP	0;
	4683	0	CT_TBRCH	5043	BR_STATUS	CT_REP	0;
	4684	0	CT_TBRCH	5044	BR_STATUS	CT_REP	0;
	4685	0	CT_TBRCH	5045	BR_STATUS	CT_REP	0;
	4686	0	CT_TBRCH	5046	BR_STATUS	CT_REP	0;
	4687	0	CT_TBRCH	5047	BR_STATUS	CT_REP	0;
	4688	0	CT_TBRCH	5048	BR_STATUS	CT_REP	0;
	4689	0	CT_TBRCH	5049	BR_STATUS	CT_REP	0;
	4690	0	CT_TBRCH	5050	BR_STATUS	CT_REP	0;
	4691	0	CT_TBRCH	5051	BR_STATUS	CT_REP	0;
	4692	0	CT_TBRCH	5052	BR_STATUS	CT_REP	0;
	4693	0	CT_TBRCH	5053	BR_STATUS	CT_REP	0;
	4694	0	CT_TBRCH	5054	BR_STATUS	CT_REP	0;
	4695	0	CT_TBRCH	5055	BR_STATUS	CT_REP	0;
	4696	0	CT_TBRCH	5056	BR_STATUS	CT_REP	0;
	4697	0	CT_TBRCH	5057	BR_STATUS	CT_REP	0;
	4698	0	CT_TBRCH	5058	BR_STATUS	CT_REP	0;
	4699	0	CT_TBRCH	5059	BR_STATUS	CT_REP	0;
	4700	0	CT_TBRCH	5060	BR_STATUS	CT_REP	0;
	4701	0	CT_TBRCH	5061	BR_STATUS	CT_REP	0;
	4702	0	CT_TBRCH	5062	BR_STATUS	CT_REP	0;
	4703	0	CT_TBRCH	5063	BR_STATUS	CT_REP	0;
	4704	0	CT_TBRCH	5064	BR_STATUS	CT_REP	0;
	4705	0	CT_TBRCH	5065	BR_STATUS	CT_REP	0;
	4706	0	CT_TBRCH	5066	BR_STATUS	CT_REP	0;
	4707	0	CT_TBRCH	5067	BR_STATUS	CT_REP	0;
	4708	0	CT_TBRCH	5068	BR_STATUS	CT_REP	0;
	4709	0	CT_TBRCH	5069	BR_STATUS	CT_REP	0;
	4710	0	CT_TBRCH	5070	BR_STATUS	CT_REP	0;
	4711	0	CT_TBRCH	5071	BR_STATUS	CT_REP	0;
	4712	0	CT_TBRCH	5072	BR_STATUS	CT_REP	0;
	4713	0	CT_TBRCH	5073	BR_STATUS	CT_REP	0;
	4714	0	CT_TBRCH	5074	BR_STATUS	CT_REP	0;
	4715	0	CT_TBRCH	5075	BR_STATUS	CT_REP	0;
	4716	0	CT_TBRCH	5076	BR_STATUS	CT_REP	0;
	4717	0	CT_TBRCH	5077	BR_STATUS	CT_REP	0;
	4718	0	CT_TBRCH	5078	BR_STATUS	CT_REP	0;
	4719	0	CT_TBRCH	5079	BR_STATUS	CT_REP	0;
	4720	0	CT_TBRCH	5080	BR_STATUS	CT_REP	0;
	4721	0	CT_TBRCH	5081	BR_STATUS	CT_REP	0;
	4722	0	CT_TBRCH	5082	BR_STATUS	CT_REP	0;
	4723	0	CT_TBRCH	5083	BR_STATUS	CT_REP	0;
	4724	0	CT_TBRCH	5084	BR_STATUS	CT_REP	0;
	4725	0	CT_TBRCH	5085	BR_STATUS	CT_REP	0;
	4726	0	CT_TBRCH	5086	BR_STATUS	CT_REP	0;
	4727	0	CT_TBRCH	5087	BR_STATUS	CT_REP	0;
	4728	0	CT_TBRCH	5088	BR_STATUS	CT_REP	0;
	4729	0	CT_TBRCH	5089	BR_STATUS	CT_REP	0;
	4730	0	CT_TBRCH	5090	BR_STATUS	CT_REP	0;
	4731	0	CT_TBRCH	5091	BR_STATUS	CT_REP	0;
	4732	0	CT_TBRCH	5092	BR_STATUS	CT_REP	0;
	4733	0	CT_TBRCH	5093	BR_STATUS	CT_REP	0;
	4734	0	CT_TBRCH	5094	BR_STATUS	CT_REP	0;
	4735	0	CT_TBRCH	5095	BR_STATUS	CT_REP	0;
	4736	0	CT_TBRCH	5096	BR_STATUS	CT_REP	0;
	4737	0	CT_TBRCH	5097	BR_STATUS	CT_REP	0;
	4738	0	CT_TBRCH	5098	BR_STATUS	CT_REP	0;
	4739	0	CT_TBRCH	5099	BR_STATUS	CT_REP	0;
	4740	0	CT_TBRCH	5100	BR_STATUS	CT_REP	0;
	4741	0	CT_TBRCH	5101	BR_STATUS	CT_REP	0;
	4742	0	CT_TBRCH	5102	BR_STATUS	CT_REP	0;
	4743	0	CT_TBRCH	5103	BR_STATUS	CT_REP	0;
	4744	0	CT_TBRCH	5104	BR_STATUS	CT_REP	0;
	4745	0	CT_TBRCH	5105	BR_STATUS	CT_REP	0;
	4746	0	CT_TBRCH	5106	BR_STATUS	CT_REP	0;
	4747	0	CT_TBRCH	5107	BR_STATUS	CT_REP	0;
	4748	0	CT_TBRCH	5108	BR_STATUS	CT_REP	0;
	4749	0	CT_TBRCH	5109	BR_STATUS	CT_REP	0;
	4750	0	CT_TBRCH	5110	BR_STATUS	CT_REP	0;
	4751	0	CT_TBRCH	5111	BR_STATUS	CT_REP	0;
	4752	0	CT_TBRCH	5112	BR_STATUS	CT_REP	0;
	4753	0	CT_TBRCH	5113	BR_STATUS	CT_REP	0;
	4754	0	CT_TBRCH	5114	BR_STATUS	CT_REP	0;
	4755	0	CT_TBRCH	5115	BR_STATUS	CT_REP	0;
	4756	0	CT_TBRCH	5116	BR_STATUS	CT_REP	0;
	4757	0	CT_TBRCH	5117	BR_STATUS	CT_REP	0;
	4758	0	CT_TBRCH	5118	BR_STATUS	CT_REP	0;
	4759	0	CT_TBRCH	5119	BR_STATUS	CT_REP	0;
	4760	0	CT_TBRCH	5120	BR_STATUS	CT_REP	0;
	4761	0	CT_TBRCH	5121	BR_STATUS	CT_REP	0;
	4762	0	CT_TBRCH	5122	BR_STATUS	CT_REP	0;
	4763	0	CT_TBRCH	5123	BR_STATUS	CT_REP	0;
	4764	0	CT_TBRCH	5124	BR_STATUS	CT_REP	0;
	4765	0	CT_TBRCH	5125	BR_STATUS	CT_REP	0;
	4766	0	CT_TBRCH	5126	BR_STATUS	CT_REP	0;
	4767	0	CT_TBRCH	5127	BR_STATUS	CT_REP	0;
	4768	0	CT_TBRCH	5128	BR_STATUS	CT_REP	0;
	4769	0	CT_TBRCH	5129	BR_STATUS	CT_REP	0;
	4770	0	CT_TBRCH	5130	BR_STATUS	CT_REP	0;
	4771	0	CT_TBRCH	5131	BR_STATUS	CT_REP	0;
	4772	0	CT_TBRCH	5132	BR_STATUS	CT_REP	0;
	4773	0	CT_TBRCH	5133	BR_STATUS	CT_REP	0;
	4774	0	CT_TBRCH	5134	BR_STATUS	CT_REP	0;
	4775	0	CT_TBRCH	5135	BR_STATUS	CT_REP	0;
	4776	0	CT_TBRCH	5136	BR_STATUS	CT_REP	0;
	4777	0	CT_TBRCH	5137	BR_STATUS	CT_REP	0;
	4778	0	CT_TBRCH	5138	BR_STATUS	CT_REP	0;
	4779	0	CT_TBRCH	5139	BR_STATUS	CT_REP	0;
	4780	0	CT_TBRCH	5140	BR_STATUS	CT_REP	0;
	4781	0	CT_TBRCH	5141	BR_STATUS	CT_REP	0;
	4782	0	CT_TBRCH	5142	BR_STATUS	CT_REP	0;
	4783	0	CT_TBRCH	5143	BR_STATUS	CT_REP	0;
	4784	0	CT_TBRCH	5144	BR_STATUS	CT_REP	0;
	4785	0	CT_TBRCH	5145	BR_STATUS	CT_REP	0;
	4786	0	CT_TBRCH	5146	BR_STATUS	CT_REP	0;
	4787	0	CT_TBRCH	5147	BR_STATUS	CT_REP	0;
	4788	0	CT_TBRCH	5148	BR_STATUS	CT_REP	0;
	4789	0	CT_TBRCH	5149	BR_STATUS	CT_REP	0;
	4790	0	CT_TBRCH	5150	BR_STATUS	CT_REP	0;
	4791	0	CT_TBRCH	5151	BR_STATUS	CT_REP	0;
	4792	0	CT_TBRCH	5152	BR_STATUS	CT_REP	0;
	4793	0	CT_TBRCH	5153	BR_STATUS	CT_REP	0;
	4794	0	CT_TBRCH	5154	BR_STATUS	CT_REP	0;
	4795	0	CT_TBRCH	5155	BR_STATUS	CT_REP	0;
	4796	0	CT_TBRCH	5156	BR_STATUS	CT_REP	0;
	4797	0	CT_TBRCH	5158	BR_STATUS	CT_REP	0;
	4798	0	CT_TBRCH	5159	BR_STATUS	CT_REP	0;
	4799	0	CT_TBRCH	5160	BR_STATUS	CT_REP	0;
	4800	0	CT_TBRCH	5163	BR_STATUS	CT_REP	0;
	4801	0	CT_TBRCH	5164	BR_STATUS	CT_REP	0;
	4802	0	CT_TBRCH	5165	BR_STATUS	CT_REP	0;
	4803	0	CT_TBRCH	5166	BR_STATUS	CT_REP	0;
	4804	0	CT_TBRCH	5167	BR_STATUS	CT_REP	0;
	4805	0	CT_TBRCH	5168	BR_STATUS	CT_REP	0;
	4806	0	CT_TBRCH	5169	BR_STATUS	CT_REP	0;
	4807	0	CT_TBRCH	5170	BR_STATUS	CT_REP	0;
	4808	0	CT_TBRCH	5171	BR_STATUS	CT_REP	0;
	4809	0	CT_TBRCH	5172	BR_STATUS	CT_REP	0;
	4810	0	CT_TBRCH	5173	BR_STATUS	CT_REP	0;
	4811	0	CT_TBRCH	5174	BR_STATUS	CT_REP	0;
	4812	0	CT_TBRCH	5175	BR_STATUS	CT_REP	0;
	4813	0	CT_TBRCH	5176	BR_STATUS	CT_REP	0;
	4814	0	CT_TBRCH	5177	BR_STATUS	CT_REP	0;
	4815	0	CT_TBRCH	5178	BR_STATUS	CT_REP	0;
	4816	0	CT_TBRCH	5179	BR_STATUS	CT_REP	0;
	4817	0	CT_TBRCH	5180	BR_STATUS	CT_REP	0;
	4818	0	CT_TBRCH	5181	BR_STATUS	CT_REP	0;
	4819	0	CT_TBRCH	5182	BR_STATUS	CT_REP	0;
	4820	0	CT_TBRCH	5183	BR_STATUS	CT_REP	0;
	4821	0	CT_TBRCH	5184	BR_STATUS	CT_REP	0;
	4822	0	CT_TBRCH	5185	BR_STATUS	CT_REP	0;
	4823	0	CT_TBRCH	5186	BR_STATUS	CT_REP	0;
	4824	0	CT_TBRCH	5187	BR_STATUS	CT_REP	0;
	4825	0	CT_TBRCH	5188	BR_STATUS	CT_REP	0;
	4826	0	CT_TBRCH	5189	BR_STATUS	CT_REP	0;
	4827	0	CT_TBRCH	5190	BR_STATUS	CT_REP	0;
	4828	0	CT_TBRCH	5191	BR_STATUS	CT_REP	0;
	4829	0	CT_TBRCH	5192	BR_STATUS	CT_REP	0;
	4830	0	CT_TBRCH	5193	BR_STATUS	CT_REP	0;
	4831	0	CT_TBRCH	5194	BR_STATUS	CT_REP	0;
	4832	0	CT_TBRCH	5195	BR_STATUS	CT_REP	0;
	4833	0	CT_TBRCH	5196	BR_STATUS	CT_REP	0;
	4834	0	CT_TBRCH	5197	BR_STATUS	CT_REP	0;
	4835	0	CT_TBRCH	5198	BR_STATUS	CT_REP	0;
	4836	0	CT_TBRCH	5199	BR_STATUS	CT_REP	0;
	4837	0	CT_TBRCH	5200	BR_STATUS	CT_REP	0;
	4838	0	CT_TBRCH	5201	BR_STATUS	CT_REP	0;
	4839	0	CT_TBRCH	5202	BR_STATUS	CT_REP	0;
	4840	0	CT_TBRCH	5203	BR_STATUS	CT_REP	0;
	4841	0	CT_TBRCH	5204	BR_STATUS	CT_REP	0;
	4842	0	CT_TBRCH	5205	BR_STATUS	CT_REP	0;
	4843	0	CT_TBRCH	5206	BR_STATUS	CT_REP	0;
	4844	0	CT_TBRCH	5207	BR_STATUS	CT_REP	0;
	4845	0	CT_TBRCH	5208	BR_STATUS	CT_REP	0;
	4846	0	CT_TBRCH	5209	BR_STATUS	CT_REP	0;
	4847	0	CT_TBRCH	5210	BR_STATUS	CT_REP	0;
	4848	0	CT_TBRCH	5211	BR_STATUS	CT_REP	0;
	4849	0	CT_TBRCH	5212	BR_STATUS	CT_REP	0;
	4850	0	CT_TBRCH	5213	BR_STATUS	CT_REP	0;
	4851	0	CT_TBRCH	5215	BR_STATUS	CT_REP	0;
	4852	0	CT_TBRCH	5216	BR_STATUS	CT_REP	0;
	4853	0	CT_TBRCH	5217	BR_STATUS	CT_REP	0;
	4854	0	CT_TBRCH	5220	BR_STATUS	CT_REP	0;
	4855	0	CT_TBRCH	5221	BR_STATUS	CT_REP	0;
	4856	0	CT_TBRCH	5222	BR_STATUS	CT_REP	0;
	4857	0	CT_TBRCH	5223	BR_STATUS	CT_REP	0;
	4858	0	CT_TBRCH	5224	BR_STATUS	CT_REP	0;
	4859	0	CT_TBRCH	5225	BR_STATUS	CT_REP	0;
	4860	0	CT_TBRCH	5226	BR_STATUS	CT_REP	0;
	4861	0	CT_TBRCH	5227	BR_STATUS	CT_REP	0;
	4862	0	CT_TBRCH	5228	BR_STATUS	CT_REP	0;
	4863	0	CT_TBRCH	5229	BR_STATUS	CT_REP	0;
	4864	0	CT_TBRCH	5230	BR_STATUS	CT_REP	0;
	4865	0	CT_TBRCH	5231	BR_STATUS	CT_REP	0;
	4866	0	CT_TBRCH	5232	BR_STATUS	CT_REP	0;
	4867	0	CT_TBRCH	5233	BR_STATUS	CT_REP	0;
	4868	0	CT_TBRCH	5234	BR_STATUS	CT_REP	0;
	4869	0	CT_TBRCH	5235	BR_STATUS	CT_REP	0;
	4870	0	CT_TBRCH	5236	BR_STATUS	CT_REP	0;
	4871	0	CT_TBRCH	5237	BR_STATUS	CT_REP	0;
	4872	0	CT_TBRCH	5238	BR_STATUS	CT_REP	0;
	4873	0	CT_TBRCH	5239	BR_STATUS	CT_REP	0;
	4874	0	CT_TBRCH	5240	BR_STATUS	CT_REP	0;
	4875	0	CT_TBRCH	5241	BR_STATUS	CT_REP	0;
	4876	0	CT_TBRCH	5242	BR_STATUS	CT_REP	0;
	4877	0	CT_TBRCH	5243	BR_STATUS	CT_REP	0;
	4878	0	CT_TBRCH	5244	BR_STATUS	CT_REP	0;
	4879	0	CT_TBRCH	5245	BR_STATUS	CT_REP	0;
	4880	0	CT_TBRCH	5246	BR_STATUS	CT_REP	0;
	4881	0	CT_TBRCH	5247	BR_STATUS	CT_REP	0;
	4882	0	CT_TBRCH	5248	BR_STATUS	CT_REP	0;
	4883	0	CT_TBRCH	5249	BR_STATUS	CT_REP	0;
	4884	0	CT_TBRCH	5250	BR_STATUS	CT_REP	0;
	4885	0	CT_TBRCH	5251	BR_STATUS	CT_REP	0;
	4886	0	CT_TBRCH	5252	BR_STATUS	CT_REP	0;
	4887	0	CT_TBRCH	5253	BR_STATUS	CT_REP	0;
	4888	0	CT_TBRCH	5254	BR_STATUS	CT_REP	0;
	4889	0	CT_TBRCH	5255	BR_STATUS	CT_REP	0;
	4890	0	CT_TBRCH	5256	BR_STATUS	CT_REP	0;
	4891	0	CT_TBRCH	5257	BR_STATUS	CT_REP	0;
	4892	0	CT_TBRCH	5258	BR_STATUS	CT_REP	0;
	4893	0	CT_TBRCH	5259	BR_STATUS	CT_REP	0;
	4894	0	CT_TBRCH	5260	BR_STATUS	CT_REP	0;
	4895	0	CT_TBRCH	5261	BR_STATUS	CT_REP	0;
	4896	0	CT_TBRCH	5262	BR_STATUS	CT_REP	0;
	4897	0	CT_TBRCH	5263	BR_STATUS	CT_REP	0;
	4898	0	CT_TBRCH	5264	BR_STATUS	CT_REP	0;
	4899	0	CT_TBRCH	5265	BR_STATUS	CT_REP	0;
	4900	0	CT_TBRCH	5266	BR_STATUS	CT_REP	0;
	4901	0	CT_TBRCH	5267	BR_STATUS	CT_REP	0;
	4902	0	CT_TBRCH	5268	BR_STATUS	CT_REP	0;
	4903	0	CT_TBRCH	5269	BR_STATUS	CT_REP	0;
	4904	0	CT_TBRCH	5270	BR_STATUS	CT_REP	0;
	4905	0	CT_TBRCH	5271	BR_STATUS	CT_REP	0;
	4906	0	CT_TBRCH	5272	BR_STATUS	CT_REP	0;
	4907	0	CT_TBRCH	5273	BR_STATUS	CT_REP	0;
	4908	0	CT_TBRCH	5274	BR_STATUS	CT_REP	0;
	4909	0	CT_TBRCH	5275	BR_STATUS	CT_REP	0;
	4910	0	CT_TBRCH	5276	BR_STATUS	CT_REP	0;
	4911	0	CT_TBRCH	5277	BR_STATUS	CT_REP	0;
	4912	0	CT_TBRCH	5278	BR_STATUS	CT_REP	0;
	4913	0	CT_TBRCH	5279	BR_STATUS	CT_REP	0;
	4914	0	CT_TBRCH	5280	BR_STATUS	CT_REP	0;
	4915	0	CT_TBRCH	5281	BR_STATUS	CT_REP	0;
	4916	0	CT_TBRCH	5282	BR_STATUS	CT_REP	0;
	4917	0	CT_TBRCH	5283	BR_STATUS	CT_REP	0;
	4918	0	CT_TBRCH	5284	BR_STATUS	CT_REP	0;
	4919	0	CT_TBRCH	5285	BR_STATUS	CT_REP	0;
	4920	0	CT_TBRCH	5286	BR_STATUS	CT_REP	0;
	4921	0	CT_TBRCH	5287	BR_STATUS	CT_REP	0;
	4922	0	CT_TBRCH	5288	BR_STATUS	CT_REP	0;
	4923	0	CT_TBRCH	5289	BR_STATUS	CT_REP	0;
	4924	0	CT_TBRCH	5290	BR_STATUS	CT_REP	0;
	4925	0	CT_TBRCH	5291	BR_STATUS	CT_REP	0;
	4926	0	CT_TBRCH	5292	BR_STATUS	CT_REP	0;
	4927	0	CT_TBRCH	5293	BR_STATUS	CT_REP	0;
	4928	0	CT_TBRCH	5294	BR_STATUS	CT_REP	0;
	4929	0	CT_TBRCH	5295	BR_STATUS	CT_REP	0;
	4930	0	CT_TBRCH	5296	BR_STATUS	CT_REP	0;
	4931	0	CT_TBRCH	5297	BR_STATUS	CT_REP	0;
	4932	0	CT_TBRCH	5298	BR_STATUS	CT_REP	0;
	4933	0	CT_TBRCH	5299	BR_STATUS	CT_REP	0;
	4934	0	CT_TBRCH	5300	BR_STATUS	CT_REP	0;
	4935	0	CT_TBRCH	5301	BR_STATUS	CT_REP	0;
	4936	0	CT_TBRCH	5302	BR_STATUS	CT_REP	0;
	4937	0	CT_TBRCH	5303	BR_STATUS	CT_REP	0;
	4938	0	CT_TBRCH	5304	BR_STATUS	CT_REP	0;
	4939	0	CT_TBRCH	5305	BR_STATUS	CT_REP	0;
	4940	0	CT_TBRCH	5306	BR_STATUS	CT_REP	0;
	4941	0	CT_TBRCH	5307	BR_STATUS	CT_REP	0;
	4942	0	CT_TBRCH	5308	BR_STATUS	CT_REP	0;
	4943	0	CT_TBRCH	5309	BR_STATUS	CT_REP	0;
	4944	0	CT_TBRCH	5310	BR_STATUS	CT_REP	0;
	4945	0	CT_TBRCH	5311	BR_STATUS	CT_REP	0;
	4946	0	CT_TBRCH	5312	BR_STATUS	CT_REP	0;
	4947	0	CT_TBRCH	5313	BR_STATUS	CT_REP	0;
	4948	0	CT_TBRCH	5314	BR_STATUS	CT_REP	0;
	4949	0	CT_TBRCH	5315	BR_STATUS	CT_REP	0;
	4950	0	CT_TBRCH	5316	BR_STATUS	CT_REP	0;
	4951	0	CT_TBRCH	5317	BR_STATUS	CT_REP	0;
	4952	0	CT_TBRCH	5318	BR_STATUS	CT_REP	0;
	4953	0	CT_TBRCH	5319	BR_STATUS	CT_REP	0;
	4954	0	CT_TBRCH	5320	BR_STATUS	CT_REP	0;
	4955	0	CT_TBRCH	5321	BR_STATUS	CT_REP	0;
	4956	0	CT_TBRCH	5322	BR_STATUS	CT_REP	0;
	4957	0	CT_TBRCH	5323	BR_STATUS	CT_REP	0;
	4958	0	CT_TBRCH	5324	BR_STATUS	CT_REP	0;
	4959	0	CT_TBRCH	5325	BR_STATUS	CT_REP	0;
	4960	0	CT_TBRCH	5326	BR_STATUS	CT_REP	0;
	4961	0	CT_TBRCH	5327	BR_STATUS	CT_REP	0;
	4962	0	CT_TBRCH	5328	BR_STATUS	CT_REP	0;
	4963	0	CT_TBRCH	5329	BR_STATUS	CT_REP	0;
	4964	0	CT_TBRCH	5330	BR_STATUS	CT_REP	0;
	4965	0	CT_TBRCH	5331	BR_STATUS	CT_REP	0;
	4966	0	CT_TBRCH	5332	BR_STATUS	CT_REP	0;
	4967	0	CT_TBRCH	5333	BR_STATUS	CT_REP	0;
	4968	0	CT_TBRCH	5334	BR_STATUS	CT_REP	0;
	4969	0	CT_TBRCH	5335	BR_STATUS	CT_REP	0;
	4970	0	CT_TBRCH	5336	BR_STATUS	CT_REP	0;
	4971	0	CT_TBRCH	5337	BR_STATUS	CT_REP	0;
	4972	0	CT_TBRCH	5338	BR_STATUS	CT_REP	0;
	4973	0	CT_TBRCH	5339	BR_STATUS	CT_REP	0;
	4974	0	CT_TBRCH	5340	BR_STATUS	CT_REP	0;
	4975	0	CT_TBRCH	5341	BR_STATUS	CT_REP	0;
	4976	0	CT_TBRCH	5342	BR_STATUS	CT_REP	0;
	4977	0	CT_TBRCH	5343	BR_STATUS	CT_REP	0;
	4978	0	CT_TBRCH	5344	BR_STATUS	CT_REP	0;
	4979	0	CT_TBRCH	5345	BR_STATUS	CT_REP	0;
	4980	0	CT_TBRCH	5346	BR_STATUS	CT_REP	0;
	4981	0	CT_TBRCH	5347	BR_STATUS	CT_REP	0;
	4982	0	CT_TBRCH	5348	BR_STATUS	CT_REP	0;
	4983	0	CT_TBRCH	5349	BR_STATUS	CT_REP	0;
	4984	0	CT_TBRCH	5350	BR_STATUS	CT_REP	0;
	4985	0	CT_TBRCH	5351	BR_STATUS	CT_REP	0;
	4986	0	CT_TBRCH	5352	BR_STATUS	CT_REP	0;
	4987	0	CT_TBRCH	5353	BR_STATUS	CT_REP	0;
	4988	0	CT_TBRCH	5354	BR_STATUS	CT_REP	0;
	4989	0	CT_TBRCH	5355	BR_STATUS	CT_REP	0;
	4990	0	CT_TBRCH	5356	BR_STATUS	CT_REP	0;
	4991	0	CT_TBRCH	5357	BR_STATUS	CT_REP	0;
	4992	0	CT_TBRCH	5358	BR_STATUS	CT_REP	0;
	4993	0	CT_TBRCH	5359	BR_STATUS	CT_REP	0;
	4994	0	CT_TBRCH	5360	BR_STATUS	CT_REP	0;
	4995	0	CT_TBRCH	5361	BR_STATUS	CT_REP	0;
	4996	0	CT_TBRCH	5362	BR_STATUS	CT_REP	0;
	4997	0	CT_TBRCH	5364	BR_STATUS	CT_REP	0;
	4998	0	CT_TBRCH	5365	BR_STATUS	CT_REP	0;
	4999	0	CT_TBRCH	5366	BR_STATUS	CT_REP	0;
	5000	0	CT_TBRCH	5367	BR_STATUS	CT_REP	0;
	5001	0	CT_TBRCH	5369	BR_STATUS	CT_REP	0;
	5002	0	CT_TBRCH	5370	BR_STATUS	CT_REP	0;
	5003	0	CT_TBRCH	5371	BR_STATUS	CT_REP	0;
	5004	0	CT_TBRCH	5372	BR_STATUS	CT_REP	0;
	5005	0	CT_TBRCH	5374	BR_STATUS	CT_REP	0;
	5006	0	CT_TBRCH	5375	BR_STATUS	CT_REP	0;
	5007	0	CT_TBRCH	5376	BR_STATUS	CT_REP	0;
	5008	0	CT_TBRCH	5377	BR_STATUS	CT_REP	0;
	5009	0	CT_TBRCH	5378	BR_STATUS	CT_REP	0;
	5010	0	CT_TBRCH	5379	BR_STATUS	CT_REP	0;
	5011	0	CT_TBRCH	5380	BR_STATUS	CT_REP	0;
	5012	0	CT_TBRCH	5381	BR_STATUS	CT_REP	0;
	5013	0	CT_TBRCH	5382	BR_STATUS	CT_REP	0;
	5014	0	CT_TBRCH	5383	BR_STATUS	CT_REP	0;
	5015	0	CT_TBRCH	5384	BR_STATUS	CT_REP	0;
	5016	0	CT_TBRCH	5385	BR_STATUS	CT_REP	0;
	5017	0	CT_TBRCH	5386	BR_STATUS	CT_REP	0;
	5018	0	CT_TBRCH	5387	BR_STATUS	CT_REP	0;
	5019	0	CT_TBRCH	5388	BR_STATUS	CT_REP	0;
	5020	0	CT_TBRCH	5389	BR_STATUS	CT_REP	0;
	5021	0	CT_TBRCH	5390	BR_STATUS	CT_REP	0;
	5022	0	CT_TBRCH	5391	BR_STATUS	CT_REP	0;
	5023	0	CT_TBRCH	5392	BR_STATUS	CT_REP	0;
	5024	0	CT_TBRCH	5393	BR_STATUS	CT_REP	0;
	5025	0	CT_TBRCH	5394	BR_STATUS	CT_REP	0;
	5026	0	CT_TBRCH	5395	BR_STATUS	CT_REP	0;
	5027	0	CT_TBRCH	5396	BR_STATUS	CT_REP	0;
	5028	0	CT_TBRCH	5397	BR_STATUS	CT_REP	0;
	5029	0	CT_TBRCH	5398	BR_STATUS	CT_REP	0;
	5030	0	CT_TBRCH	5399	BR_STATUS	CT_REP	0;
	5031	0	CT_TBRCH	5400	BR_STATUS	CT_REP	0;
	5032	0	CT_TBRCH	5401	BR_STATUS	CT_REP	0;
	5033	0	CT_TBRCH	5402	BR_STATUS	CT_REP	0;
	5034	0	CT_TBRCH	5403	BR_STATUS	CT_REP	0;
	5035	0	CT_TBRCH	5404	BR_STATUS	CT_REP	0;
	5036	0	CT_TBRCH	5405	BR_STATUS	CT_REP	0;
	5037	0	CT_TBRCH	5406	BR_STATUS	CT_REP	0;
	5038	0	CT_TBRCH	5407	BR_STATUS	CT_REP	0;
	5039	0	CT_TBRCH	5408	BR_STATUS	CT_REP	0;
	5040	0	CT_TBRCH	5409	BR_STATUS	CT_REP	0;
	5041	0	CT_TBRCH	5410	BR_STATUS	CT_REP	0;
	5042	0	CT_TBRCH	5411	BR_STATUS	CT_REP	0;
	5043	0	CT_TBRCH	5412	BR_STATUS	CT_REP	0;
	5044	0	CT_TBRCH	5413	BR_STATUS	CT_REP	0;
	5045	0	CT_TBRCH	5414	BR_STATUS	CT_REP	0;
	5046	0	CT_TBRCH	5415	BR_STATUS	CT_REP	0;
	5047	0	CT_TBRCH	5416	BR_STATUS	CT_REP	0;
	5048	0	CT_TBRCH	5417	BR_STATUS	CT_REP	0;
	5049	0	CT_TBRCH	5418	BR_STATUS	CT_REP	0;
	5050	0	CT_TBRCH	5419	BR_STATUS	CT_REP	0;
	5051	0	CT_TBRCH	5420	BR_STATUS	CT_REP	0;
	5052	0	CT_TBRCH	5421	BR_STATUS	CT_REP	0;
	5053	0	CT_TBRCH	5422	BR_STATUS	CT_REP	0;
	5054	0	CT_TBRCH	5423	BR_STATUS	CT_REP	0;
	5055	0	CT_TBRCH	5424	BR_STATUS	CT_REP	0;
	5056	0	CT_TBRCH	5425	BR_STATUS	CT_REP	0;
	5057	0	CT_TBRCH	5426	BR_STATUS	CT_REP	0;
	5058	0	CT_TBRCH	5427	BR_STATUS	CT_REP	0;
	5059	0	CT_TBRCH	5428	BR_STATUS	CT_REP	0;
	5060	0	CT_TBRCH	5429	BR_STATUS	CT_REP	0;
	5061	0	CT_TBRCH	5430	BR_STATUS	CT_REP	0;
	5062	0	CT_TBRCH	5431	BR_STATUS	CT_REP	0;
	5063	0	CT_TBRCH	5432	BR_STATUS	CT_REP	0;
	5064	0	CT_TBRCH	5433	BR_STATUS	CT_REP	0;
	5065	0	CT_TBRCH	5434	BR_STATUS	CT_REP	0;
	5066	0	CT_TBRCH	5435	BR_STATUS	CT_REP	0;
	5067	0	CT_TBRCH	5436	BR_STATUS	CT_REP	0;
	5068	0	CT_TBRCH	5437	BR_STATUS	CT_REP	0;
	5069	0	CT_TBRCH	5438	BR_STATUS	CT_REP	0;
	5070	0	CT_TBRCH	5439	BR_STATUS	CT_REP	0;
	5071	0	CT_TBRCH	5440	BR_STATUS	CT_REP	0;
	5072	0	CT_TBRCH	5441	BR_STATUS	CT_REP	0;
	5073	0	CT_TBRCH	5442	BR_STATUS	CT_REP	0;
	5074	0	CT_TBRCH	5443	BR_STATUS	CT_REP	0;
	5075	0	CT_TBRCH	5444	BR_STATUS	CT_REP	0;
	5076	0	CT_TBRCH	5445	BR_STATUS	CT_REP	0;
	5077	0	CT_TBRCH	5446	BR_STATUS	CT_REP	0;
	5078	0	CT_TBRCH	5447	BR_STATUS	CT_REP	0;
	5079	0	CT_TBRCH	5448	BR_STATUS	CT_REP	0;
	5080	0	CT_TBRCH	5449	BR_STATUS	CT_REP	0;
	5081	0	CT_TBRCH	5450	BR_STATUS	CT_REP	0;
	5082	0	CT_TBRCH	5451	BR_STATUS	CT_REP	0;
	5083	0	CT_TBRCH	5452	BR_STATUS	CT_REP	0;
	5084	0	CT_TBRCH	5453	BR_STATUS	CT_REP	0;
	5085	0	CT_TBRCH	5454	BR_STATUS	CT_REP	0;
	5086	0	CT_TBRCH	5455	BR_STATUS	CT_REP	0;
	5087	0	CT_TBRCH	5456	BR_STATUS	CT_REP	0;
	5088	0	CT_TBRCH	5457	BR_STATUS	CT_REP	0;
	5089	0	CT_TBRCH	5458	BR_STATUS	CT_REP	0;
	5090	0	CT_TBRCH	5459	BR_STATUS	CT_REP	0;
	5091	0	CT_TBRCH	5460	BR_STATUS	CT_REP	0;
	5092	0	CT_TBRCH	5461	BR_STATUS	CT_REP	0;
	5093	0	CT_TBRCH	5462	BR_STATUS	CT_REP	0;
	5094	0	CT_TBRCH	5464	BR_STATUS	CT_REP	0;
	5095	0	CT_TBRCH	5465	BR_STATUS	CT_REP	0;
	5096	0	CT_TBRCH	5468	BR_STATUS	CT_REP	0;
	5097	0	CT_TBRCH	5469	BR_STATUS	CT_REP	0;
	5098	0	CT_TBRCH	5470	BR_STATUS	CT_REP	0;
	5099	0	CT_TBRCH	5471	BR_STATUS	CT_REP	0;
	5100	0	CT_TBRCH	5473	BR_STATUS	CT_REP	0;
	5101	0	CT_TBRCH	5476	BR_STATUS	CT_REP	0;
	5102	0	CT_TBRCH	5477	BR_STATUS	CT_REP	0;
	5103	0	CT_TBRCH	5478	BR_STATUS	CT_REP	0;
	5104	0	CT_TBRCH	5479	BR_STATUS	CT_REP	0;
	5105	0	CT_TBRCH	5480	BR_STATUS	CT_REP	0;
	5106	0	CT_TBRCH	5481	BR_STATUS	CT_REP	0;
	5107	0	CT_TBRCH	5482	BR_STATUS	CT_REP	0;
	5108	0	CT_TBRCH	5483	BR_STATUS	CT_REP	0;
	5109	0	CT_TBRCH	5484	BR_STATUS	CT_REP	0;
	5110	0	CT_TBRCH	5485	BR_STATUS	CT_REP	0;
	5111	0	CT_TBRCH	5486	BR_STATUS	CT_REP	0;
	5112	0	CT_TBRCH	5487	BR_STATUS	CT_REP	0;
	5113	0	CT_TBRCH	5488	BR_STATUS	CT_REP	0;
	5114	0	CT_TBRCH	5489	BR_STATUS	CT_REP	0;
	5115	0	CT_TBRCH	5490	BR_STATUS	CT_REP	0;
	5116	0	CT_TBRCH	5491	BR_STATUS	CT_REP	0;
	5117	0	CT_TBRCH	5492	BR_STATUS	CT_REP	0;
	5118	0	CT_TBRCH	5493	BR_STATUS	CT_REP	0;
	5119	0	CT_TBRCH	5494	BR_STATUS	CT_REP	0;
	5120	0	CT_TBRCH	5495	BR_STATUS	CT_REP	0;
	5121	0	CT_TBRCH	5496	BR_STATUS	CT_REP	0;
	5122	0	CT_TBRCH	5497	BR_STATUS	CT_REP	0;
	5123	0	CT_TBRCH	5498	BR_STATUS	CT_REP	0;
	5124	0	CT_TBRCH	5499	BR_STATUS	CT_REP	0;
	5125	0	CT_TBRCH	5500	BR_STATUS	CT_REP	0;
	5126	0	CT_TBRCH	5501	BR_STATUS	CT_REP	0;
	5127	0	CT_TBRCH	5502	BR_STATUS	CT_REP	0;
	5128	0	CT_TBRCH	5503	BR_STATUS	CT_REP	0;
	5129	0	CT_TBRCH	5504	BR_STATUS	CT_REP	0;
	5130	0	CT_TBRCH	5505	BR_STATUS	CT_REP	0;
	5131	0	CT_TBRCH	5506	BR_STATUS	CT_REP	0;
	5132	0	CT_TBRCH	5507	BR_STATUS	CT_REP	0;
	5133	0	CT_TBRCH	5508	BR_STATUS	CT_REP	0;
	5134	0	CT_TBRCH	5509	BR_STATUS	CT_REP	0;
	5135	0	CT_TBRCH	5510	BR_STATUS	CT_REP	0;
	5136	0	CT_TBRCH	5511	BR_STATUS	CT_REP	0;
	5137	0	CT_TBRCH	5512	BR_STATUS	CT_REP	0;
	5138	0	CT_TBRCH	5513	BR_STATUS	CT_REP	0;
	5139	0	CT_TBRCH	5514	BR_STATUS	CT_REP	0;
	5140	0	CT_TBRCH	5515	BR_STATUS	CT_REP	0;
	5141	0	CT_TBRCH	5516	BR_STATUS	CT_REP	0;
	5142	0	CT_TBRCH	5517	BR_STATUS	CT_REP	0;
	5143	0	CT_TBRCH	5518	BR_STATUS	CT_REP	0;
	5144	0	CT_TBRCH	5519	BR_STATUS	CT_REP	0;
	5145	0	CT_TBRCH	5520	BR_STATUS	CT_REP	0;
	5146	0	CT_TBRCH	5521	BR_STATUS	CT_REP	0;
	5147	0	CT_TBRCH	5522	BR_STATUS	CT_REP	0;
	5148	0	CT_TBRCH	5523	BR_STATUS	CT_REP	0;
	5149	0	CT_TBRCH	5524	BR_STATUS	CT_REP	0;
	5150	0	CT_TBRCH	5525	BR_STATUS	CT_REP	0;
	5151	0	CT_TBRCH	5526	BR_STATUS	CT_REP	0;
	5152	0	CT_TBRCH	5527	BR_STATUS	CT_REP	0;
	5153	0	CT_TBRCH	5528	BR_STATUS	CT_REP	0;
	5154	0	CT_TBRCH	5529	BR_STATUS	CT_REP	0;
	5155	0	CT_TBRCH	5530	BR_STATUS	CT_REP	0;
	5156	0	CT_TBRCH	5531	BR_STATUS	CT_REP	0;
	5157	0	CT_TBRCH	5532	BR_STATUS	CT_REP	0;
	5158	0	CT_TBRCH	5533	BR_STATUS	CT_REP	0;
	5159	0	CT_TBRCH	5534	BR_STATUS	CT_REP	0;
	5160	0	CT_TBRCH	5535	BR_STATUS	CT_REP	0;
	5161	0	CT_TBRCH	5536	BR_STATUS	CT_REP	0;
	5162	0	CT_TBRCH	5537	BR_STATUS	CT_REP	0;
	5163	0	CT_TBRCH	5538	BR_STATUS	CT_REP	0;
	5164	0	CT_TBRCH	5539	BR_STATUS	CT_REP	0;
	5165	0	CT_TBRCH	5540	BR_STATUS	CT_REP	0;
	5166	0	CT_TBRCH	5541	BR_STATUS	CT_REP	0;
	5167	0	CT_TBRCH	5542	BR_STATUS	CT_REP	0;
	5168	0	CT_TBRCH	5543	BR_STATUS	CT_REP	0;
	5169	0	CT_TBRCH	5544	BR_STATUS	CT_REP	0;
	5170	0	CT_TBRCH	5545	BR_STATUS	CT_REP	0;
	5171	0	CT_TBRCH	5546	BR_STATUS	CT_REP	0;
	5172	0	CT_TBRCH	5547	BR_STATUS	CT_REP	0;
	5173	0	CT_TBRCH	5548	BR_STATUS	CT_REP	0;
	5174	0	CT_TBRCH	5549	BR_STATUS	CT_REP	0;
	5175	0	CT_TBRCH	5550	BR_STATUS	CT_REP	0;
	5176	0	CT_TBRCH	5551	BR_STATUS	CT_REP	0;
	5177	0	CT_TBRCH	5552	BR_STATUS	CT_REP	0;
	5178	0	CT_TBRCH	5553	BR_STATUS	CT_REP	0;
	5179	0	CT_TBRCH	5554	BR_STATUS	CT_REP	0;
	5180	0	CT_TBRCH	5555	BR_STATUS	CT_REP	0;
	5181	0	CT_TBRCH	5556	BR_STATUS	CT_REP	0;
	5182	0	CT_TBRCH	5557	BR_STATUS	CT_REP	0;
	5183	0	CT_TBRCH	5558	BR_STATUS	CT_REP	0;
	5184	0	CT_TBRCH	5559	BR_STATUS	CT_REP	0;
	5185	0	CT_TBRCH	5560	BR_STATUS	CT_REP	0;
	5186	0	CT_TBRCH	5561	BR_STATUS	CT_REP	0;
	5187	0	CT_TBRCH	5562	BR_STATUS	CT_REP	0;
	5188	0	CT_TBRCH	5563	BR_STATUS	CT_REP	0;
	5189	0	CT_TBRCH	5564	BR_STATUS	CT_REP	0;
	5190	0	CT_TBRCH	5565	BR_STATUS	CT_REP	0;
	5191	0	CT_TBRCH	5566	BR_STATUS	CT_REP	0;
	5192	0	CT_TBRCH	5567	BR_STATUS	CT_REP	0;
	5193	0	CT_TBRCH	5568	BR_STATUS	CT_REP	0;
	5194	0	CT_TBRCH	5569	BR_STATUS	CT_REP	0;
	5195	0	CT_TBRCH	5570	BR_STATUS	CT_REP	0;
	5196	0	CT_TBRCH	5571	BR_STATUS	CT_REP	0;
	5197	0	CT_TBRCH	5572	BR_STATUS	CT_REP	0;
	5198	0	CT_TBRCH	5573	BR_STATUS	CT_REP	0;
	5199	0	CT_TBRCH	5574	BR_STATUS	CT_REP	0;
	5200	0	CT_TBRCH	5575	BR_STATUS	CT_REP	0;
	5201	0	CT_TBRCH	5576	BR_STATUS	CT_REP	0;
	5202	0	CT_TBRCH	5577	BR_STATUS	CT_REP	0;
	5203	0	CT_TBRCH	5578	BR_STATUS	CT_REP	0;
	5204	0	CT_TBRCH	5579	BR_STATUS	CT_REP	0;
	5205	0	CT_TBRCH	5580	BR_STATUS	CT_REP	0;
	5206	0	CT_TBRCH	5581	BR_STATUS	CT_REP	0;
	5207	0	CT_TBRCH	5583	BR_STATUS	CT_REP	0;
	5208	0	CT_TBRCH	5586	BR_STATUS	CT_REP	0;
	5209	0	CT_TBRCH	5587	BR_STATUS	CT_REP	0;
	5210	0	CT_TBRCH	5588	BR_STATUS	CT_REP	0;
	5211	0	CT_TBRCH	5589	BR_STATUS	CT_REP	0;
	5212	0	CT_TBRCH	5591	BR_STATUS	CT_REP	0;
	5213	0	CT_TBRCH	5592	BR_STATUS	CT_REP	0;
	5214	0	CT_TBRCH	5594	BR_STATUS	CT_REP	0;
	5215	0	CT_TBRCH	5596	BR_STATUS	CT_REP	0;
	5216	0	CT_TBRCH	5597	BR_STATUS	CT_REP	0;
	5217	0	CT_TBRCH	5598	BR_STATUS	CT_REP	0;
	5218	0	CT_TBRCH	5599	BR_STATUS	CT_REP	0;
	5219	0	CT_TBRCH	5601	BR_STATUS	CT_REP	0;
	5220	0	CT_TBRCH	5602	BR_STATUS	CT_REP	0;
	5221	0	CT_TBRCH	5604	BR_STATUS	CT_REP	0;
	5222	0	CT_TBRCH	5605	BR_STATUS	CT_REP	0;
	5223	0	CT_TBRCH	5607	BR_STATUS	CT_REP	0;
	5224	0	CT_TBRCH	5608	BR_STATUS	CT_REP	0;
	5225	0	CT_TBRCH	5609	BR_STATUS	CT_REP	0;
	5226	0	CT_TBRCH	5610	BR_STATUS	CT_REP	0;
	5227	0	CT_TBRCH	5611	BR_STATUS	CT_REP	0;
	5228	0	CT_TBRCH	5612	BR_STATUS	CT_REP	0;
	5229	0	CT_TBRCH	5613	BR_STATUS	CT_REP	0;
	5230	0	CT_TBRCH	5614	BR_STATUS	CT_REP	0;
	5231	0	CT_TBRCH	5615	BR_STATUS	CT_REP	0;
	5232	0	CT_TBRCH	5616	BR_STATUS	CT_REP	0;
	5233	0	CT_TBRCH	5617	BR_STATUS	CT_REP	0;
	5234	0	CT_TBRCH	5618	BR_STATUS	CT_REP	0;
	5235	0	CT_TBRCH	5619	BR_STATUS	CT_REP	0;
	5236	0	CT_TBRCH	5620	BR_STATUS	CT_REP	0;
	5237	0	CT_TBRCH	5621	BR_STATUS	CT_REP	0;
	5238	0	CT_TBRCH	5622	BR_STATUS	CT_REP	0;
	5239	0	CT_TBRCH	5623	BR_STATUS	CT_REP	0;
	5240	0	CT_TBRCH	5624	BR_STATUS	CT_REP	0;
	5241	0	CT_TBRCH	5625	BR_STATUS	CT_REP	0;
	5242	0	CT_TBRCH	5626	BR_STATUS	CT_REP	0;
	5243	0	CT_TBRCH	5627	BR_STATUS	CT_REP	0;
	5244	0	CT_TBRCH	5628	BR_STATUS	CT_REP	0;
	5245	0	CT_TBRCH	5629	BR_STATUS	CT_REP	0;
	5246	0	CT_TBRCH	5630	BR_STATUS	CT_REP	0;
	5247	0	CT_TBRCH	5631	BR_STATUS	CT_REP	0;
	5248	0	CT_TBRCH	5632	BR_STATUS	CT_REP	0;
	5249	0	CT_TBRCH	5633	BR_STATUS	CT_REP	0;
	5250	0	CT_TBRCH	5634	BR_STATUS	CT_REP	0;
	5251	0	CT_TBRCH	5635	BR_STATUS	CT_REP	0;
	5252	0	CT_TBRCH	5636	BR_STATUS	CT_REP	0;
	5253	0	CT_TBRCH	5637	BR_STATUS	CT_REP	0;
	5254	0	CT_TBRCH	5638	BR_STATUS	CT_REP	0;
	5255	0	CT_TBRCH	5640	BR_STATUS	CT_REP	0;
	5256	0	CT_TBRCH	5642	BR_STATUS	CT_REP	0;
	5257	0	CT_TBRCH	5644	BR_STATUS	CT_REP	0;
	5258	0	CT_TBRCH	5645	BR_STATUS	CT_REP	0;
	5259	0	CT_TBRCH	5646	BR_STATUS	CT_REP	0;
	5260	0	CT_TBRCH	5647	BR_STATUS	CT_REP	0;
	5261	0	CT_TBRCH	5648	BR_STATUS	CT_REP	0;
	5262	0	CT_TBRCH	5649	BR_STATUS	CT_REP	0;
	5263	0	CT_TBRCH	5650	BR_STATUS	CT_REP	0;
	5264	0	CT_TBRCH	5651	BR_STATUS	CT_REP	0;
	5265	0	CT_TBRCH	5652	BR_STATUS	CT_REP	0;
	5266	0	CT_TBRCH	5653	BR_STATUS	CT_REP	0;
	5267	0	CT_TBRCH	5654	BR_STATUS	CT_REP	0;
	5268	0	CT_TBRCH	5655	BR_STATUS	CT_REP	0;
	5269	0	CT_TBRCH	5656	BR_STATUS	CT_REP	0;
	5270	0	CT_TBRCH	5657	BR_STATUS	CT_REP	0;
	5271	0	CT_TBRCH	5658	BR_STATUS	CT_REP	0;
	5272	0	CT_TBRCH	5659	BR_STATUS	CT_REP	0;
	5273	0	CT_TBRCH	5660	BR_STATUS	CT_REP	0;
	5274	0	CT_TBRCH	5661	BR_STATUS	CT_REP	0;
	5275	0	CT_TBRCH	5662	BR_STATUS	CT_REP	0;
	5276	0	CT_TBRCH	5663	BR_STATUS	CT_REP	0;
	5277	0	CT_TBRCH	5664	BR_STATUS	CT_REP	0;
	5278	0	CT_TBRCH	5665	BR_STATUS	CT_REP	0;
	5279	0	CT_TBRCH	5666	BR_STATUS	CT_REP	0;
	5280	0	CT_TBRCH	5667	BR_STATUS	CT_REP	0;
	5281	0	CT_TBRCH	5668	BR_STATUS	CT_REP	0;
	5282	0	CT_TBRCH	5669	BR_STATUS	CT_REP	0;
	5283	0	CT_TBRCH	5671	BR_STATUS	CT_REP	0;
	5284	0	CT_TBRCH	5674	BR_STATUS	CT_REP	0;
	5285	0	CT_TBRCH	5675	BR_STATUS	CT_REP	0;
	5286	0	CT_TBRCH	5676	BR_STATUS	CT_REP	0;
	5287	0	CT_TBRCH	5677	BR_STATUS	CT_REP	0;
	5288	0	CT_TBRCH	5678	BR_STATUS	CT_REP	0;
	5289	0	CT_TBRCH	5679	BR_STATUS	CT_REP	0;
	5290	0	CT_TBRCH	5680	BR_STATUS	CT_REP	0;
	5291	0	CT_TBRCH	5681	BR_STATUS	CT_REP	0;
	5292	0	CT_TBRCH	5682	BR_STATUS	CT_REP	0;
	5293	0	CT_TBRCH	5683	BR_STATUS	CT_REP	0;
	5294	0	CT_TBRCH	5684	BR_STATUS	CT_REP	0;
	5295	0	CT_TBRCH	5685	BR_STATUS	CT_REP	0;
	5296	0	CT_TBRCH	5686	BR_STATUS	CT_REP	0;
	5297	0	CT_TBRCH	5687	BR_STATUS	CT_REP	0;
	5298	0	CT_TBRCH	5688	BR_STATUS	CT_REP	0;
	5299	0	CT_TBRCH	5689	BR_STATUS	CT_REP	0;
	5300	0	CT_TBRCH	5691	BR_STATUS	CT_REP	0;
	5301	0	CT_TBRCH	5692	BR_STATUS	CT_REP	0;
	5302	0	CT_TBRCH	5693	BR_STATUS	CT_REP	0;
	5303	0	CT_TBRCH	5696	BR_STATUS	CT_REP	0;
	5304	0	CT_TBRCH	5697	BR_STATUS	CT_REP	0;
	5305	0	CT_TBRCH	5698	BR_STATUS	CT_REP	0;
	5306	0	CT_TBRCH	5699	BR_STATUS	CT_REP	0;
	5307	0	CT_TBRCH	5700	BR_STATUS	CT_REP	0;
	5308	0	CT_TBRCH	5701	BR_STATUS	CT_REP	0;
	5309	0	CT_TBRCH	5703	BR_STATUS	CT_REP	0;
	5310	0	CT_TBRCH	5704	BR_STATUS	CT_REP	0;
	5311	0	CT_TBRCH	5707	BR_STATUS	CT_REP	0;
	5312	0	CT_TBRCH	5708	BR_STATUS	CT_REP	0;
	5313	0	CT_TBRCH	5710	BR_STATUS	CT_REP	0;
	5314	0	CT_TBRCH	5711	BR_STATUS	CT_REP	0;
	5315	0	CT_TBRCH	5712	BR_STATUS	CT_REP	0;
	5316	0	CT_TBRCH	5714	BR_STATUS	CT_REP	0;
	5317	0	CT_TBRCH	5716	BR_STATUS	CT_REP	0;
	5318	0	CT_TBRCH	5717	BR_STATUS	CT_REP	0;
	5319	0	CT_TBRCH	5718	BR_STATUS	CT_REP	0;
	5320	0	CT_TBRCH	5719	BR_STATUS	CT_REP	0;
	5321	0	CT_TBRCH	5720	BR_STATUS	CT_REP	0;
	5322	0	CT_TBRCH	5721	BR_STATUS	CT_REP	0;
	5323	0	CT_TBRCH	5722	BR_STATUS	CT_REP	0;
	5324	0	CT_TBRCH	5723	BR_STATUS	CT_REP	0;
	5325	0	CT_TBRCH	5724	BR_STATUS	CT_REP	0;
	5326	0	CT_TBRCH	5725	BR_STATUS	CT_REP	0;
	5327	0	CT_TBRCH	5726	BR_STATUS	CT_REP	0;
	5328	0	CT_TBRCH	5727	BR_STATUS	CT_REP	0;
	5329	0	CT_TBRCH	5728	BR_STATUS	CT_REP	0;
	5330	0	CT_TBRCH	5730	BR_STATUS	CT_REP	0;
	5331	0	CT_TBRCH	5731	BR_STATUS	CT_REP	0;
	5332	0	CT_TBRCH	5732	BR_STATUS	CT_REP	0;
	5333	0	CT_TBRCH	5733	BR_STATUS	CT_REP	0;
	5334	0	CT_TBRCH	5734	BR_STATUS	CT_REP	0;
	5335	0	CT_TBRCH	5737	BR_STATUS	CT_REP	0;
	5336	0	CT_TBRCH	5738	BR_STATUS	CT_REP	0;
	5337	0	CT_TBRCH	5739	BR_STATUS	CT_REP	0;
	5338	0	CT_TBRCH	5740	BR_STATUS	CT_REP	0;
	5339	0	CT_TBRCH	5741	BR_STATUS	CT_REP	0;
	5340	0	CT_TBRCH	5742	BR_STATUS	CT_REP	0;
	5341	0	CT_TBRCH	5743	BR_STATUS	CT_REP	0;
	5342	0	CT_TBRCH	5744	BR_STATUS	CT_REP	0;
	5343	0	CT_TBRCH	5745	BR_STATUS	CT_REP	0;
	5344	0	CT_TBRCH	5746	BR_STATUS	CT_REP	0;
	5345	0	CT_TBRCH	5747	BR_STATUS	CT_REP	0;
	5346	0	CT_TBRCH	5748	BR_STATUS	CT_REP	0;
	5347	0	CT_TBRCH	5749	BR_STATUS	CT_REP	0;
	5348	0	CT_TBRCH	5750	BR_STATUS	CT_REP	0;
	5349	0	CT_TBRCH	5751	BR_STATUS	CT_REP	0;
	5350	0	CT_TBRCH	5752	BR_STATUS	CT_REP	0;
	5351	0	CT_TBRCH	5753	BR_STATUS	CT_REP	0;
	5352	0	CT_TBRCH	5754	BR_STATUS	CT_REP	0;
	5353	0	CT_TBRCH	5755	BR_STATUS	CT_REP	0;
	5354	0	CT_TBRCH	5756	BR_STATUS	CT_REP	0;
	5355	0	CT_TBRCH	5757	BR_STATUS	CT_REP	0;
	5356	0	CT_TBRCH	5758	BR_STATUS	CT_REP	0;
	5357	0	CT_TBRCH	5759	BR_STATUS	CT_REP	0;
	5358	0	CT_TBRCH	5760	BR_STATUS	CT_REP	0;
	5359	0	CT_TBRCH	5761	BR_STATUS	CT_REP	0;
	5360	0	CT_TBRCH	5762	BR_STATUS	CT_REP	0;
	5361	0	CT_TBRCH	5763	BR_STATUS	CT_REP	0;
	5362	0	CT_TBRCH	5764	BR_STATUS	CT_REP	0;
	5363	0	CT_TBRCH	5765	BR_STATUS	CT_REP	0;
	5364	0	CT_TBRCH	5766	BR_STATUS	CT_REP	0;
	5365	0	CT_TBRCH	5767	BR_STATUS	CT_REP	0;
	5366	0	CT_TBRCH	5768	BR_STATUS	CT_REP	0;
	5367	0	CT_TBRCH	5769	BR_STATUS	CT_REP	0;
	5368	0	CT_TBRCH	5770	BR_STATUS	CT_REP	0;
	5369	0	CT_TBRCH	5771	BR_STATUS	CT_REP	0;
	5370	0	CT_TBRCH	5772	BR_STATUS	CT_REP	0;
	5371	0	CT_TBRCH	5773	BR_STATUS	CT_REP	0;
	5372	0	CT_TBRCH	5774	BR_STATUS	CT_REP	0;
	5373	0	CT_TBRCH	5775	BR_STATUS	CT_REP	0;
	5374	0	CT_TBRCH	5776	BR_STATUS	CT_REP	0;
	5375	0	CT_TBRCH	5777	BR_STATUS	CT_REP	0;
	5376	0	CT_TBRCH	5778	BR_STATUS	CT_REP	0;
	5377	0	CT_TBRCH	5779	BR_STATUS	CT_REP	0;
	5378	0	CT_TBRCH	5780	BR_STATUS	CT_REP	0;
	5379	0	CT_TBRCH	5781	BR_STATUS	CT_REP	0;
	5380	0	CT_TBRCH	5782	BR_STATUS	CT_REP	0;
	5381	0	CT_TBRCH	5783	BR_STATUS	CT_REP	0;
	5382	0	CT_TBRCH	5784	BR_STATUS	CT_REP	0;
	5383	0	CT_TBRCH	5785	BR_STATUS	CT_REP	0;
	5384	0	CT_TBRCH	5786	BR_STATUS	CT_REP	0;
	5385	0	CT_TBRCH	5787	BR_STATUS	CT_REP	0;
	5386	0	CT_TBRCH	5788	BR_STATUS	CT_REP	0;
	5387	0	CT_TBRCH	5789	BR_STATUS	CT_REP	0;
	5388	0	CT_TBRCH	5790	BR_STATUS	CT_REP	0;
	5389	0	CT_TBRCH	5791	BR_STATUS	CT_REP	0;
	5390	0	CT_TBRCH	5792	BR_STATUS	CT_REP	0;
	5391	0	CT_TBRCH	5793	BR_STATUS	CT_REP	0;
	5392	0	CT_TBRCH	5794	BR_STATUS	CT_REP	0;
	5393	0	CT_TBRCH	5795	BR_STATUS	CT_REP	0;
	5394	0	CT_TBRCH	5796	BR_STATUS	CT_REP	0;
	5395	0	CT_TBRCH	5797	BR_STATUS	CT_REP	0;
	5396	0	CT_TBRCH	5798	BR_STATUS	CT_REP	0;
	5397	0	CT_TBRCH	5799	BR_STATUS	CT_REP	0;
	5398	0	CT_TBRCH	5800	BR_STATUS	CT_REP	0;
	5399	0	CT_TBRCH	5802	BR_STATUS	CT_REP	0;
	5400	0	CT_TBRCH	5803	BR_STATUS	CT_REP	0;
	5401	0	CT_TBRCH	5804	BR_STATUS	CT_REP	0;
	5402	0	CT_TBRCH	5805	BR_STATUS	CT_REP	0;
	5403	0	CT_TBRCH	5806	BR_STATUS	CT_REP	0;
	5404	0	CT_TBRCH	5808	BR_STATUS	CT_REP	0;
	5405	0	CT_TBRCH	5809	BR_STATUS	CT_REP	0;
	5406	0	CT_TBRCH	5811	BR_STATUS	CT_REP	0;
	5407	0	CT_TBRCH	5812	BR_STATUS	CT_REP	0;
	5408	0	CT_TBRCH	5813	BR_STATUS	CT_REP	0;
	5409	0	CT_TBRCH	5814	BR_STATUS	CT_REP	0;
	5410	0	CT_TBRCH	5815	BR_STATUS	CT_REP	0;
	5411	0	CT_TBRCH	5816	BR_STATUS	CT_REP	0;
	5412	0	CT_TBRCH	5817	BR_STATUS	CT_REP	0;
	5413	0	CT_TBRCH	5818	BR_STATUS	CT_REP	0;
	5414	0	CT_TBRCH	5819	BR_STATUS	CT_REP	0;
	5415	0	CT_TBRCH	5820	BR_STATUS	CT_REP	0;
	5416	0	CT_TBRCH	5821	BR_STATUS	CT_REP	0;
	5417	0	CT_TBRCH	5822	BR_STATUS	CT_REP	0;
	5418	0	CT_TBRCH	5823	BR_STATUS	CT_REP	0;
	5419	0	CT_TBRCH	5824	BR_STATUS	CT_REP	0;
	5420	0	CT_TBRCH	5825	BR_STATUS	CT_REP	0;
	5421	0	CT_TBRCH	5826	BR_STATUS	CT_REP	0;
	5422	0	CT_TBRCH	5827	BR_STATUS	CT_REP	0;
	5423	0	CT_TBRCH	5828	BR_STATUS	CT_REP	0;
	5424	0	CT_TBRCH	5829	BR_STATUS	CT_REP	0;
	5425	0	CT_TBRCH	5830	BR_STATUS	CT_REP	0;
	5426	0	CT_TBRCH	5832	BR_STATUS	CT_REP	0;
	5427	0	CT_TBRCH	5833	BR_STATUS	CT_REP	0;
	5428	0	CT_TBRCH	5834	BR_STATUS	CT_REP	0;
	5429	0	CT_TBRCH	5835	BR_STATUS	CT_REP	0;
	5430	0	CT_TBRCH	5836	BR_STATUS	CT_REP	0;
	5431	0	CT_TBRCH	5837	BR_STATUS	CT_REP	0;
	5432	0	CT_TBRCH	5838	BR_STATUS	CT_REP	0;
	5433	0	CT_TBRCH	5839	BR_STATUS	CT_REP	0;
	5434	0	CT_TBRCH	5842	BR_STATUS	CT_REP	0;
	5435	0	CT_TBRCH	5843	BR_STATUS	CT_REP	0;
	5436	0	CT_TBRCH	5844	BR_STATUS	CT_REP	0;
	5437	0	CT_TBRCH	5845	BR_STATUS	CT_REP	0;
	5438	0	CT_TBRCH	5846	BR_STATUS	CT_REP	0;
	5439	0	CT_TBRCH	5847	BR_STATUS	CT_REP	0;
	5440	0	CT_TBRCH	5848	BR_STATUS	CT_REP	0;
	5441	0	CT_TBRCH	5849	BR_STATUS	CT_REP	0;
	5442	0	CT_TBRCH	5853	BR_STATUS	CT_REP	0;
	5443	0	CT_TBRCH	5854	BR_STATUS	CT_REP	0;
	5444	0	CT_TBRCH	5855	BR_STATUS	CT_REP	0;
	5445	0	CT_TBRCH	5856	BR_STATUS	CT_REP	0;
	5446	0	CT_TBRCH	5857	BR_STATUS	CT_REP	0;
	5447	0	CT_TBRCH	5858	BR_STATUS	CT_REP	0;
	5448	0	CT_TBRCH	5859	BR_STATUS	CT_REP	0;
	5449	0	CT_TBRCH	5860	BR_STATUS	CT_REP	0;
	5450	0	CT_TBRCH	5861	BR_STATUS	CT_REP	0;
	5451	0	CT_TBRCH	5862	BR_STATUS	CT_REP	0;
	5452	0	CT_TBRCH	5863	BR_STATUS	CT_REP	0;
	5453	0	CT_TBRCH	5864	BR_STATUS	CT_REP	0;
	5454	0	CT_TBRCH	5865	BR_STATUS	CT_REP	0;
	5455	0	CT_TBRCH	5866	BR_STATUS	CT_REP	0;
	5456	0	CT_TBRCH	5867	BR_STATUS	CT_REP	0;
	5457	0	CT_TBRCH	5868	BR_STATUS	CT_REP	0;
	5458	0	CT_TBRCH	5869	BR_STATUS	CT_REP	0;
	5459	0	CT_TBRCH	5870	BR_STATUS	CT_REP	0;
	5460	0	CT_TBRCH	5871	BR_STATUS	CT_REP	0;
	5461	0	CT_TBRCH	5872	BR_STATUS	CT_REP	0;
	5462	0	CT_TBRCH	5873	BR_STATUS	CT_REP	0;
	5463	0	CT_TBRCH	5874	BR_STATUS	CT_REP	0;
	5464	0	CT_TBRCH	5875	BR_STATUS	CT_REP	0;
	5465	0	CT_TBRCH	5876	BR_STATUS	CT_REP	0;
	5466	0	CT_TBRCH	5877	BR_STATUS	CT_REP	0;
	5467	0	CT_TBRCH	5878	BR_STATUS	CT_REP	0;
	5468	0	CT_TBRCH	5879	BR_STATUS	CT_REP	0;
	5469	0	CT_TBRCH	5880	BR_STATUS	CT_REP	0;
	5470	0	CT_TBRCH	5881	BR_STATUS	CT_REP	0;
	5471	0	CT_TBRCH	5882	BR_STATUS	CT_REP	0;
	5472	0	CT_TBRCH	5883	BR_STATUS	CT_REP	0;
	5473	0	CT_TBRCH	5887	BR_STATUS	CT_REP	0;
	5474	0	CT_TBRCH	5888	BR_STATUS	CT_REP	0;
	5475	0	CT_TBRCH	5889	BR_STATUS	CT_REP	0;
	5476	0	CT_TBRCH	5891	BR_STATUS	CT_REP	0;
	5477	0	CT_TBRCH	5894	BR_STATUS	CT_REP	0;
	5478	0	CT_TBRCH	5896	BR_STATUS	CT_REP	0;
	5479	0	CT_TBRCH	5899	BR_STATUS	CT_REP	0;
	5480	0	CT_TBRCH	5900	BR_STATUS	CT_REP	0;
	5481	0	CT_TBRCH	5901	BR_STATUS	CT_REP	0;
	5482	0	CT_TBRCH	5902	BR_STATUS	CT_REP	0;
	5483	0	CT_TBRCH	5903	BR_STATUS	CT_REP	0;
	5484	0	CT_TBRCH	5904	BR_STATUS	CT_REP	0;
	5485	0	CT_TBRCH	5905	BR_STATUS	CT_REP	0;
	5486	0	CT_TBRCH	5906	BR_STATUS	CT_REP	0;
	5487	0	CT_TBRCH	5907	BR_STATUS	CT_REP	0;
	5488	0	CT_TBRCH	5908	BR_STATUS	CT_REP	0;
	5489	0	CT_TBRCH	5909	BR_STATUS	CT_REP	0;
	5490	0	CT_TBRCH	5910	BR_STATUS	CT_REP	0;
	5491	0	CT_TBRCH	5911	BR_STATUS	CT_REP	0;
	5492	0	CT_TBRCH	5912	BR_STATUS	CT_REP	0;
	5493	0	CT_TBRCH	5913	BR_STATUS	CT_REP	0;
	5494	0	CT_TBRCH	5914	BR_STATUS	CT_REP	0;
	5495	0	CT_TBRCH	5915	BR_STATUS	CT_REP	0;
	5496	0	CT_TBRCH	5916	BR_STATUS	CT_REP	0;
	5497	0	CT_TBRCH	5918	BR_STATUS	CT_REP	0;
	5498	0	CT_TBRCH	5921	BR_STATUS	CT_REP	0;
	5499	0	CT_TBRCH	5922	BR_STATUS	CT_REP	0;
	5500	0	CT_TBRCH	5923	BR_STATUS	CT_REP	0;
	5501	0	CT_TBRCH	5924	BR_STATUS	CT_REP	0;
	5502	0	CT_TBRCH	5925	BR_STATUS	CT_REP	0;
	5503	0	CT_TBRCH	5926	BR_STATUS	CT_REP	0;
	5504	0	CT_TBRCH	5927	BR_STATUS	CT_REP	0;
	5505	0	CT_TBRCH	5928	BR_STATUS	CT_REP	0;
	5506	0	CT_TBRCH	5929	BR_STATUS	CT_REP	0;
	5507	0	CT_TBRCH	5930	BR_STATUS	CT_REP	0;
	5508	0	CT_TBRCH	5931	BR_STATUS	CT_REP	0;
	5509	0	CT_TBRCH	5932	BR_STATUS	CT_REP	0;
	5510	0	CT_TBRCH	5933	BR_STATUS	CT_REP	0;
	5511	0	CT_TBRCH	5934	BR_STATUS	CT_REP	0;
	5512	0	CT_TBRCH	5935	BR_STATUS	CT_REP	0;
	5513	0	CT_TBRCH	5936	BR_STATUS	CT_REP	0;
	5514	0	CT_TBRCH	5937	BR_STATUS	CT_REP	0;
	5515	0	CT_TBRCH	5938	BR_STATUS	CT_REP	0;
	5516	0	CT_TBRCH	5939	BR_STATUS	CT_REP	0;
	5517	0	CT_TBRCH	5940	BR_STATUS	CT_REP	0;
	5518	0	CT_TBRCH	5941	BR_STATUS	CT_REP	0;
	5519	0	CT_TBRCH	5942	BR_STATUS	CT_REP	0;
	5520	0	CT_TBRCH	5943	BR_STATUS	CT_REP	0;
	5521	0	CT_TBRCH	5944	BR_STATUS	CT_REP	0;
	5522	0	CT_TBRCH	5945	BR_STATUS	CT_REP	0;
	5523	0	CT_TBRCH	5946	BR_STATUS	CT_REP	0;
	5524	0	CT_TBRCH	5947	BR_STATUS	CT_REP	0;
	5525	0	CT_TBRCH	5948	BR_STATUS	CT_REP	0;
	5526	0	CT_TBRCH	5949	BR_STATUS	CT_REP	0;
	5527	0	CT_TBRCH	5950	BR_STATUS	CT_REP	0;
	5528	0	CT_TBRCH	5951	BR_STATUS	CT_REP	0;
	5529	0	CT_TBRCH	5952	BR_STATUS	CT_REP	0;
	5530	0	CT_TBRCH	5953	BR_STATUS	CT_REP	0;
	5531	0	CT_TBRCH	5954	BR_STATUS	CT_REP	0;
	5532	0	CT_TBRCH	5955	BR_STATUS	CT_REP	0;
	5533	0	CT_TBRCH	5957	BR_STATUS	CT_REP	0;
	5534	0	CT_TBRCH	5958	BR_STATUS	CT_REP	0;
	5535	0	CT_TBRCH	5961	BR_STATUS	CT_REP	0;
	5536	0	CT_TBRCH	5962	BR_STATUS	CT_REP	0;
	5537	0	CT_TBRCH	5963	BR_STATUS	CT_REP	0;
	5538	0	CT_TBRCH	5964	BR_STATUS	CT_REP	0;
	5539	0	CT_TBRCH	5965	BR_STATUS	CT_REP	0;
	5540	0	CT_TBRCH	5966	BR_STATUS	CT_REP	0;
	5541	0	CT_TBRCH	5967	BR_STATUS	CT_REP	0;
	5542	0	CT_TBRCH	5971	BR_STATUS	CT_REP	0;
	5543	0	CT_TBRCH	5972	BR_STATUS	CT_REP	0;
	5544	0	CT_TBRCH	5973	BR_STATUS	CT_REP	0;
	5545	0	CT_TBRCH	5974	BR_STATUS	CT_REP	0;
	5546	0	CT_TBRCH	5975	BR_STATUS	CT_REP	0;
	5547	0	CT_TBRCH	5976	BR_STATUS	CT_REP	0;
	5548	0	CT_TBRCH	5977	BR_STATUS	CT_REP	0;
	5549	0	CT_TBRCH	5978	BR_STATUS	CT_REP	0;
	5550	0	CT_TBRCH	5979	BR_STATUS	CT_REP	0;
	5551	0	CT_TBRCH	5980	BR_STATUS	CT_REP	0;
	5552	0	CT_TBRCH	5981	BR_STATUS	CT_REP	0;
	5553	0	CT_TBRCH	5982	BR_STATUS	CT_REP	0;
	5554	0	CT_TBRCH	5983	BR_STATUS	CT_REP	0;
	5555	0	CT_TBRCH	5984	BR_STATUS	CT_REP	0;
	5556	0	CT_TBRCH	5985	BR_STATUS	CT_REP	0;
	5557	0	CT_TBRCH	5986	BR_STATUS	CT_REP	0;
	5558	0	CT_TBRCH	5987	BR_STATUS	CT_REP	0;
	5559	0	CT_TBRCH	5988	BR_STATUS	CT_REP	0;
	5560	0	CT_TBRCH	5989	BR_STATUS	CT_REP	0;
	5561	0	CT_TBRCH	5990	BR_STATUS	CT_REP	0;
	5562	0	CT_TBRCH	5991	BR_STATUS	CT_REP	0;
	5563	0	CT_TBRCH	5992	BR_STATUS	CT_REP	0;
	5564	0	CT_TBRCH	5993	BR_STATUS	CT_REP	0;
	5565	0	CT_TBRCH	5994	BR_STATUS	CT_REP	0;
	5566	0	CT_TBRCH	5995	BR_STATUS	CT_REP	0;
	5567	0	CT_TBRCH	5996	BR_STATUS	CT_REP	0;
	5568	0	CT_TBRCH	5997	BR_STATUS	CT_REP	0;
	5569	0	CT_TBRCH	5998	BR_STATUS	CT_REP	0;
	5570	0	CT_TBRCH	5999	BR_STATUS	CT_REP	0;
	5571	0	CT_TBRCH	6000	BR_STATUS	CT_REP	0;
	5572	0	CT_TBRCH	6001	BR_STATUS	CT_REP	0;
	5573	0	CT_TBRCH	6003	BR_STATUS	CT_REP	0;
	5574	0	CT_TBRCH	6006	BR_STATUS	CT_REP	0;
	5575	0	CT_TBRCH	6007	BR_STATUS	CT_REP	0;
	5576	0	CT_TBRCH	6009	BR_STATUS	CT_REP	0;
	5577	0	CT_TBRCH	6010	BR_STATUS	CT_REP	0;
	5578	0	CT_TBRCH	6011	BR_STATUS	CT_REP	0;
	5579	0	CT_TBRCH	6013	BR_STATUS	CT_REP	0;
	5580	0	CT_TBRCH	6014	BR_STATUS	CT_REP	0;
	5581	0	CT_TBRCH	6016	BR_STATUS	CT_REP	0;
	5582	0	CT_TBRCH	6017	BR_STATUS	CT_REP	0;
	5583	0	CT_TBRCH	6018	BR_STATUS	CT_REP	0;
	5584	0	CT_TBRCH	6019	BR_STATUS	CT_REP	0;
	5585	0	CT_TBRCH	6020	BR_STATUS	CT_REP	0;
	5586	0	CT_TBRCH	6021	BR_STATUS	CT_REP	0;
	5587	0	CT_TBRCH	6022	BR_STATUS	CT_REP	0;
	5588	0	CT_TBRCH	6023	BR_STATUS	CT_REP	0;
	5589	0	CT_TBRCH	6024	BR_STATUS	CT_REP	0;
	5590	0	CT_TBRCH	6025	BR_STATUS	CT_REP	0;
	5591	0	CT_TBRCH	6026	BR_STATUS	CT_REP	0;
	5592	0	CT_TBRCH	6027	BR_STATUS	CT_REP	0;
	5593	0	CT_TBRCH	6028	BR_STATUS	CT_REP	0;
	5594	0	CT_TBRCH	6029	BR_STATUS	CT_REP	0;
	5595	0	CT_TBRCH	6030	BR_STATUS	CT_REP	0;
	5596	0	CT_TBRCH	6031	BR_STATUS	CT_REP	0;
	5597	0	CT_TBRCH	6032	BR_STATUS	CT_REP	0;
	5598	0	CT_TBRCH	6033	BR_STATUS	CT_REP	0;
	5599	0	CT_TBRCH	6034	BR_STATUS	CT_REP	0;
	5600	0	CT_TBRCH	6035	BR_STATUS	CT_REP	0;
	5601	0	CT_TBRCH	6036	BR_STATUS	CT_REP	0;
	5602	0	CT_TBRCH	6037	BR_STATUS	CT_REP	0;
	5603	0	CT_TBRCH	6038	BR_STATUS	CT_REP	0;
	5604	0	CT_TBRCH	6039	BR_STATUS	CT_REP	0;
	5605	0	CT_TBRCH	6041	BR_STATUS	CT_REP	0;
	5606	0	CT_TBRCH	6044	BR_STATUS	CT_REP	0;
	5607	0	CT_TBRCH	6045	BR_STATUS	CT_REP	0;
	5608	0	CT_TBRCH	6046	BR_STATUS	CT_REP	0;
	5609	0	CT_TBRCH	6047	BR_STATUS	CT_REP	0;
	5610	0	CT_TBRCH	6048	BR_STATUS	CT_REP	0;
	5611	0	CT_TBRCH	6049	BR_STATUS	CT_REP	0;
	5612	0	CT_TBRCH	6050	BR_STATUS	CT_REP	0;
	5613	0	CT_TBRCH	6051	BR_STATUS	CT_REP	0;
	5614	0	CT_TBRCH	6052	BR_STATUS	CT_REP	0;
	5615	0	CT_TBRCH	6054	BR_STATUS	CT_REP	0;
	5616	0	CT_TBRCH	6055	BR_STATUS	CT_REP	0;
	5617	0	CT_TBRCH	6056	BR_STATUS	CT_REP	0;
	5618	0	CT_TBRCH	6057	BR_STATUS	CT_REP	0;
	5619	0	CT_TBRCH	6058	BR_STATUS	CT_REP	0;
	5620	0	CT_TBRCH	6060	BR_STATUS	CT_REP	0;
	5621	0	CT_TBRCH	6061	BR_STATUS	CT_REP	0;
	5622	0	CT_TBRCH	6063	BR_STATUS	CT_REP	0;
	5623	0	CT_TBRCH	6064	BR_STATUS	CT_REP	0;
	5624	0	CT_TBRCH	6065	BR_STATUS	CT_REP	0;
	5625	0	CT_TBRCH	6066	BR_STATUS	CT_REP	0;
	5626	0	CT_TBRCH	6067	BR_STATUS	CT_REP	0;
	5627	0	CT_TBRCH	6068	BR_STATUS	CT_REP	0;
	5628	0	CT_TBRCH	6070	BR_STATUS	CT_REP	0;
	5629	0	CT_TBRCH	6073	BR_STATUS	CT_REP	0;
	5630	0	CT_TBRCH	6074	BR_STATUS	CT_REP	0;
	5631	0	CT_TBRCH	6075	BR_STATUS	CT_REP	0;
	5632	0	CT_TBRCH	6076	BR_STATUS	CT_REP	0;
	5633	0	CT_TBRCH	6077	BR_STATUS	CT_REP	0;
	5634	0	CT_TBRCH	6078	BR_STATUS	CT_REP	0;
	5635	0	CT_TBRCH	6079	BR_STATUS	CT_REP	0;
	5636	0	CT_TBRCH	6080	BR_STATUS	CT_REP	0;
	5637	0	CT_TBRCH	6081	BR_STATUS	CT_REP	0;
	5638	0	CT_TBRCH	6082	BR_STATUS	CT_REP	0;
	5639	0	CT_TBRCH	6083	BR_STATUS	CT_REP	0;
	5640	0	CT_TBRCH	6084	BR_STATUS	CT_REP	0;
	5641	0	CT_TBRCH	6085	BR_STATUS	CT_REP	0;
	5642	0	CT_TBRCH	6086	BR_STATUS	CT_REP	0;
	5643	0	CT_TBRCH	6087	BR_STATUS	CT_REP	0;
	5644	0	CT_TBRCH	6088	BR_STATUS	CT_REP	0;
	5645	0	CT_TBRCH	6089	BR_STATUS	CT_REP	0;
	5646	0	CT_TBRCH	6090	BR_STATUS	CT_REP	0;
	5647	0	CT_TBRCH	6091	BR_STATUS	CT_REP	0;
	5648	0	CT_TBRCH	6092	BR_STATUS	CT_REP	0;
	5649	0	CT_TBRCH	6094	BR_STATUS	CT_REP	0;
	5650	0	CT_TBRCH	6095	BR_STATUS	CT_REP	0;
	5651	0	CT_TBRCH	6096	BR_STATUS	CT_REP	0;
	5652	0	CT_TBRCH	6097	BR_STATUS	CT_REP	0;
	5653	0	CT_TBRCH	6100	BR_STATUS	CT_REP	0;
	5654	0	CT_TBRCH	6101	BR_STATUS	CT_REP	0;
	5655	0	CT_TBRCH	6102	BR_STATUS	CT_REP	0;
	5656	0	CT_TBRCH	6103	BR_STATUS	CT_REP	0;
	5657	0	CT_TBRCH	6104	BR_STATUS	CT_REP	0;
	5658	0	CT_TBRCH	6105	BR_STATUS	CT_REP	0;
	5659	0	CT_TBRCH	6106	BR_STATUS	CT_REP	0;
	5660	0	CT_TBRCH	6107	BR_STATUS	CT_REP	0;
	5661	0	CT_TBRCH	6108	BR_STATUS	CT_REP	0;
	5662	0	CT_TBRCH	6109	BR_STATUS	CT_REP	0;
	5663	0	CT_TBRCH	6110	BR_STATUS	CT_REP	0;
	5664	0	CT_TBRCH	6111	BR_STATUS	CT_REP	0;
	5665	0	CT_TBRCH	6112	BR_STATUS	CT_REP	0;
	5666	0	CT_TBRCH	6113	BR_STATUS	CT_REP	0;
	5667	0	CT_TBRCH	6114	BR_STATUS	CT_REP	0;
	5668	0	CT_TBRCH	6115	BR_STATUS	CT_REP	0;
	5669	0	CT_TBRCH	6116	BR_STATUS	CT_REP	0;
	5670	0	CT_TBRCH	6117	BR_STATUS	CT_REP	0;
	5671	0	CT_TBRCH	6118	BR_STATUS	CT_REP	0;
	5672	0	CT_TBRCH	6119	BR_STATUS	CT_REP	0;
	5673	0	CT_TBRCH	6120	BR_STATUS	CT_REP	0;
	5674	0	CT_TBRCH	6121	BR_STATUS	CT_REP	0;
	5675	0	CT_TBRCH	6122	BR_STATUS	CT_REP	0;
	5676	0	CT_TBRCH	6123	BR_STATUS	CT_REP	0;
	5677	0	CT_TBRCH	6125	BR_STATUS	CT_REP	0;
	5678	0	CT_TBRCH	6126	BR_STATUS	CT_REP	0;
	5679	0	CT_TBRCH	6127	BR_STATUS	CT_REP	0;
	5680	0	CT_TBRCH	6128	BR_STATUS	CT_REP	0;
	5681	0	CT_TBRCH	6134	BR_STATUS	CT_REP	0;
	5682	0	CT_TBRCH	6135	BR_STATUS	CT_REP	0;
	5683	0	CT_TBRCH	6136	BR_STATUS	CT_REP	0;
	5684	0	CT_TBRCH	6137	BR_STATUS	CT_REP	0;
	5685	0	CT_TBRCH	6138	BR_STATUS	CT_REP	0;
	5686	0	CT_TBRCH	6139	BR_STATUS	CT_REP	0;
	5687	0	CT_TBRCH	6140	BR_STATUS	CT_REP	0;
	5688	0	CT_TBRCH	6141	BR_STATUS	CT_REP	0;
	5689	0	CT_TBRCH	6142	BR_STATUS	CT_REP	0;
	5690	0	CT_TBRCH	6143	BR_STATUS	CT_REP	0;
	5691	0	CT_TBRCH	6144	BR_STATUS	CT_REP	0;
	5692	0	CT_TBRCH	6145	BR_STATUS	CT_REP	0;
	5693	0	CT_TBRCH	6146	BR_STATUS	CT_REP	0;
	5694	0	CT_TBRCH	6147	BR_STATUS	CT_REP	0;
	5695	0	CT_TBRCH	6148	BR_STATUS	CT_REP	0;
	5696	0	CT_TBRCH	6149	BR_STATUS	CT_REP	0;
	5697	0	CT_TBRCH	6150	BR_STATUS	CT_REP	0;
	5698	0	CT_TBRCH	6151	BR_STATUS	CT_REP	0;
	5699	0	CT_TBRCH	6152	BR_STATUS	CT_REP	0;
	5700	0	CT_TBRCH	6153	BR_STATUS	CT_REP	0;
	5701	0	CT_TBRCH	6154	BR_STATUS	CT_REP	0;
	5702	0	CT_TBRCH	6155	BR_STATUS	CT_REP	0;
	5703	0	CT_TBRCH	6156	BR_STATUS	CT_REP	0;
	5704	0	CT_TBRCH	6157	BR_STATUS	CT_REP	0;
	5705	0	CT_TBRCH	6158	BR_STATUS	CT_REP	0;
	5706	0	CT_TBRCH	6159	BR_STATUS	CT_REP	0;
	5707	0	CT_TBRCH	6160	BR_STATUS	CT_REP	0;
	5708	0	CT_TBRCH	6161	BR_STATUS	CT_REP	0;
	5709	0	CT_TBRCH	6162	BR_STATUS	CT_REP	0;
	5710	0	CT_TBRCH	6163	BR_STATUS	CT_REP	0;
	5711	0	CT_TBRCH	6164	BR_STATUS	CT_REP	0;
	5712	0	CT_TBRCH	6165	BR_STATUS	CT_REP	0;
	5713	0	CT_TBRCH	6166	BR_STATUS	CT_REP	0;
	5714	0	CT_TBRCH	6167	BR_STATUS	CT_REP	0;
	5715	0	CT_TBRCH	6168	BR_STATUS	CT_REP	0;
	5716	0	CT_TBRCH	6169	BR_STATUS	CT_REP	0;
	5717	0	CT_TBRCH	6170	BR_STATUS	CT_REP	0;
	5718	0	CT_TBRCH	6171	BR_STATUS	CT_REP	0;
	5719	0	CT_TBRCH	6172	BR_STATUS	CT_REP	0;
	5720	0	CT_TBRCH	6173	BR_STATUS	CT_REP	0;
	5721	0	CT_TBRCH	6174	BR_STATUS	CT_REP	0;
	5722	0	CT_TBRCH	6175	BR_STATUS	CT_REP	0;
	5723	0	CT_TBRCH	6176	BR_STATUS	CT_REP	0;
	5724	0	CT_TBRCH	6177	BR_STATUS	CT_REP	0;
	5725	0	CT_TBRCH	6178	BR_STATUS	CT_REP	0;
	5726	0	CT_TBRCH	6179	BR_STATUS	CT_REP	0;
	5727	0	CT_TBRCH	6180	BR_STATUS	CT_REP	0;
	5728	0	CT_TBRCH	6181	BR_STATUS	CT_REP	0;
	5729	0	CT_TBRCH	6182	BR_STATUS	CT_REP	0;
	5730	0	CT_TBRCH	6183	BR_STATUS	CT_REP	0;
	5731	0	CT_TBRCH	6184	BR_STATUS	CT_REP	0;
	5732	0	CT_TBRCH	6185	BR_STATUS	CT_REP	0;
	5733	0	CT_TBRCH	6186	BR_STATUS	CT_REP	0;
	5734	0	CT_TBRCH	6187	BR_STATUS	CT_REP	0;
	5735	0	CT_TBRCH	6188	BR_STATUS	CT_REP	0;
	5736	0	CT_TBRCH	6189	BR_STATUS	CT_REP	0;
	5737	0	CT_TBRCH	6190	BR_STATUS	CT_REP	0;
	5738	0	CT_TBRCH	6191	BR_STATUS	CT_REP	0;
	5739	0	CT_TBRCH	6192	BR_STATUS	CT_REP	0;
	5740	0	CT_TBRCH	6193	BR_STATUS	CT_REP	0;
	5741	0	CT_TBRCH	6194	BR_STATUS	CT_REP	0;
	5742	0	CT_TBRCH	6195	BR_STATUS	CT_REP	0;
	5743	0	CT_TBRCH	6196	BR_STATUS	CT_REP	0;
	5744	0	CT_TBRCH	6197	BR_STATUS	CT_REP	0;
	5745	0	CT_TBRCH	6198	BR_STATUS	CT_REP	0;
	5746	0	CT_TBRCH	6199	BR_STATUS	CT_REP	0;
	5747	0	CT_TBRCH	6200	BR_STATUS	CT_REP	0;
	5748	0	CT_TBRCH	6201	BR_STATUS	CT_REP	0;
	5749	0	CT_TBRCH	6202	BR_STATUS	CT_REP	0;
	5750	0	CT_TBRCH	6203	BR_STATUS	CT_REP	0;
	5751	0	CT_TBRCH	6204	BR_STATUS	CT_REP	0;
	5752	0	CT_TBRCH	6205	BR_STATUS	CT_REP	0;
	5753	0	CT_TBRCH	6206	BR_STATUS	CT_REP	0;
	5754	0	CT_TBRCH	6207	BR_STATUS	CT_REP	0;
	5755	0	CT_TBRCH	6208	BR_STATUS	CT_REP	0;
	5756	0	CT_TBRCH	6209	BR_STATUS	CT_REP	0;
	5757	0	CT_TBRCH	6210	BR_STATUS	CT_REP	0;
	5758	0	CT_TBRCH	6211	BR_STATUS	CT_REP	0;
	5759	0	CT_TBRCH	6212	BR_STATUS	CT_REP	0;
	5760	0	CT_TBRCH	6213	BR_STATUS	CT_REP	0;
	5761	0	CT_TBRCH	6214	BR_STATUS	CT_REP	0;
	5762	0	CT_TBRCH	6215	BR_STATUS	CT_REP	0;
	5763	0	CT_TBRCH	6216	BR_STATUS	CT_REP	0;
	5764	0	CT_TBRCH	6217	BR_STATUS	CT_REP	0;
	5765	0	CT_TBRCH	6218	BR_STATUS	CT_REP	0;
	5766	0	CT_TBRCH	6219	BR_STATUS	CT_REP	0;
	5767	0	CT_TBRCH	6221	BR_STATUS	CT_REP	0;
	5768	0	CT_TBRCH	6225	BR_STATUS	CT_REP	0;
	5769	0	CT_TBRCH	6226	BR_STATUS	CT_REP	0;
	5770	0	CT_TBRCH	6228	BR_STATUS	CT_REP	0;
	5771	0	CT_TBRCH	6229	BR_STATUS	CT_REP	0;
	5772	0	CT_TBRCH	6231	BR_STATUS	CT_REP	0;
	5773	0	CT_TBRCH	6232	BR_STATUS	CT_REP	0;
	5774	0	CT_TBRCH	6233	BR_STATUS	CT_REP	0;
	5775	0	CT_TBRCH	6234	BR_STATUS	CT_REP	0;
	5776	0	CT_TBRCH	6235	BR_STATUS	CT_REP	0;
	5777	0	CT_TBRCH	6236	BR_STATUS	CT_REP	0;
	5778	0	CT_TBRCH	6237	BR_STATUS	CT_REP	0;
	5779	0	CT_TBRCH	6238	BR_STATUS	CT_REP	0;
	5780	0	CT_TBRCH	6239	BR_STATUS	CT_REP	0;
	5781	0	CT_TBRCH	6240	BR_STATUS	CT_REP	0;
	5782	0	CT_TBRCH	6241	BR_STATUS	CT_REP	0;
	5783	0	CT_TBRCH	6243	BR_STATUS	CT_REP	0;
	5784	0	CT_TBRCH	6244	BR_STATUS	CT_REP	0;
	5785	0	CT_TBRCH	6247	BR_STATUS	CT_REP	0;
	5786	0	CT_TBRCH	6248	BR_STATUS	CT_REP	0;
	5787	0	CT_TBRCH	6249	BR_STATUS	CT_REP	0;
	5788	0	CT_TBRCH	6250	BR_STATUS	CT_REP	0;
	5789	0	CT_TBRCH	6251	BR_STATUS	CT_REP	0;
	5790	0	CT_TBRCH	6252	BR_STATUS	CT_REP	0;
	5791	0	CT_TBRCH	6253	BR_STATUS	CT_REP	0;
	5792	0	CT_TBRCH	6254	BR_STATUS	CT_REP	0;
	5793	0	CT_TBRCH	6255	BR_STATUS	CT_REP	0;
	5794	0	CT_TBRCH	6256	BR_STATUS	CT_REP	0;
	5795	0	CT_TBRCH	6257	BR_STATUS	CT_REP	0;
	5796	0	CT_TBRCH	6258	BR_STATUS	CT_REP	0;
	5797	0	CT_TBRCH	6259	BR_STATUS	CT_REP	0;
	5798	0	CT_TBRCH	6260	BR_STATUS	CT_REP	0;
	5799	0	CT_TBRCH	6261	BR_STATUS	CT_REP	0;
	5800	0	CT_TBRCH	6262	BR_STATUS	CT_REP	0;
	5801	0	CT_TBRCH	6264	BR_STATUS	CT_REP	0;
	5802	0	CT_TBRCH	6265	BR_STATUS	CT_REP	0;
	5803	0	CT_TBRCH	6266	BR_STATUS	CT_REP	0;
	5804	0	CT_TBRCH	6269	BR_STATUS	CT_REP	0;
	5805	0	CT_TBRCH	6270	BR_STATUS	CT_REP	0;
	5806	0	CT_TBRCH	6271	BR_STATUS	CT_REP	0;
	5807	0	CT_TBRCH	6272	BR_STATUS	CT_REP	0;
	5808	0	CT_TBRCH	6273	BR_STATUS	CT_REP	0;
	5809	0	CT_TBRCH	6274	BR_STATUS	CT_REP	0;
	5810	0	CT_TBRCH	6275	BR_STATUS	CT_REP	0;
	5811	0	CT_TBRCH	6276	BR_STATUS	CT_REP	0;
	5812	0	CT_TBRCH	6277	BR_STATUS	CT_REP	0;
	5813	0	CT_TBRCH	6278	BR_STATUS	CT_REP	0;
	5814	0	CT_TBRCH	6279	BR_STATUS	CT_REP	0;
	5815	0	CT_TBRCH	6280	BR_STATUS	CT_REP	0;
	5816	0	CT_TBRCH	6281	BR_STATUS	CT_REP	0;
	5817	0	CT_TBRCH	6282	BR_STATUS	CT_REP	0;
	5818	0	CT_TBRCH	6283	BR_STATUS	CT_REP	0;
	5819	0	CT_TBRCH	6284	BR_STATUS	CT_REP	0;
	5820	0	CT_TBRCH	6285	BR_STATUS	CT_REP	0;
	5821	0	CT_TBRCH	6289	BR_STATUS	CT_REP	0;
	5822	0	CT_TBRCH	6293	BR_STATUS	CT_REP	0;
	5823	0	CT_TBRCH	6294	BR_STATUS	CT_REP	0;
	5824	0	CT_TBRCH	6295	BR_STATUS	CT_REP	0;
	5825	0	CT_TBRCH	6296	BR_STATUS	CT_REP	0;
	5826	0	CT_TBRCH	6297	BR_STATUS	CT_REP	0;
	5827	0	CT_TBRCH	6298	BR_STATUS	CT_REP	0;
	5828	0	CT_TBRCH	6299	BR_STATUS	CT_REP	0;
	5829	0	CT_TBRCH	6300	BR_STATUS	CT_REP	0;
	5830	0	CT_TBRCH	6301	BR_STATUS	CT_REP	0;
	5831	0	CT_TBRCH	6302	BR_STATUS	CT_REP	0;
	5832	0	CT_TBRCH	6303	BR_STATUS	CT_REP	0;
	5833	0	CT_TBRCH	6304	BR_STATUS	CT_REP	0;
	5834	0	CT_TBRCH	6305	BR_STATUS	CT_REP	0;
	5835	0	CT_TBRCH	6306	BR_STATUS	CT_REP	0;
	5836	0	CT_TBRCH	6307	BR_STATUS	CT_REP	0;
	5837	0	CT_TBRCH	6308	BR_STATUS	CT_REP	0;
	5838	0	CT_TBRCH	6309	BR_STATUS	CT_REP	0;
	5839	0	CT_TBRCH	6310	BR_STATUS	CT_REP	0;
	5840	0	CT_TBRCH	6311	BR_STATUS	CT_REP	0;
	5841	0	CT_TBRCH	6312	BR_STATUS	CT_REP	0;
	5842	0	CT_TBRCH	6313	BR_STATUS	CT_REP	0;
	5843	0	CT_TBRCH	6314	BR_STATUS	CT_REP	0;
	5844	0	CT_TBRCH	6315	BR_STATUS	CT_REP	0;
	5845	0	CT_TBRCH	6316	BR_STATUS	CT_REP	0;
	5846	0	CT_TBRCH	6317	BR_STATUS	CT_REP	0;
	5847	0	CT_TBRCH	6318	BR_STATUS	CT_REP	0;
	5848	0	CT_TBRCH	6319	BR_STATUS	CT_REP	0;
	5849	0	CT_TBRCH	6320	BR_STATUS	CT_REP	0;
	5850	0	CT_TBRCH	6321	BR_STATUS	CT_REP	0;
	5851	0	CT_TBRCH	6322	BR_STATUS	CT_REP	0;
	5852	0	CT_TBRCH	6323	BR_STATUS	CT_REP	0;
	5853	0	CT_TBRCH	6324	BR_STATUS	CT_REP	0;
	5854	0	CT_TBRCH	6325	BR_STATUS	CT_REP	0;
	5855	0	CT_TBRCH	6326	BR_STATUS	CT_REP	0;
	5856	0	CT_TBRCH	6327	BR_STATUS	CT_REP	0;
	5857	0	CT_TBRCH	6328	BR_STATUS	CT_REP	0;
	5858	0	CT_TBRCH	6329	BR_STATUS	CT_REP	0;
	5859	0	CT_TBRCH	6330	BR_STATUS	CT_REP	0;
	5860	0	CT_TBRCH	6331	BR_STATUS	CT_REP	0;
	5861	0	CT_TBRCH	6332	BR_STATUS	CT_REP	0;
	5862	0	CT_TBRCH	6333	BR_STATUS	CT_REP	0;
	5863	0	CT_TBRCH	6334	BR_STATUS	CT_REP	0;
	5864	0	CT_TBRCH	6335	BR_STATUS	CT_REP	0;
	5865	0	CT_TBRCH	6336	BR_STATUS	CT_REP	0;
	5866	0	CT_TBRCH	6337	BR_STATUS	CT_REP	0;
	5867	0	CT_TBRCH	6338	BR_STATUS	CT_REP	0;
	5868	0	CT_TBRCH	6339	BR_STATUS	CT_REP	0;
	5869	0	CT_TBRCH	6340	BR_STATUS	CT_REP	0;
	5870	0	CT_TBRCH	6341	BR_STATUS	CT_REP	0;
	5871	0	CT_TBRCH	6342	BR_STATUS	CT_REP	0;
	5872	0	CT_TBRCH	6343	BR_STATUS	CT_REP	0;
	5873	0	CT_TBRCH	6344	BR_STATUS	CT_REP	0;
	5874	0	CT_TBRCH	6345	BR_STATUS	CT_REP	0;
	5875	0	CT_TBRCH	6346	BR_STATUS	CT_REP	0;
	5876	0	CT_TBRCH	6347	BR_STATUS	CT_REP	0;
	5877	0	CT_TBRCH	6348	BR_STATUS	CT_REP	0;
	5878	0	CT_TBRCH	6349	BR_STATUS	CT_REP	0;
	5879	0	CT_TBRCH	6350	BR_STATUS	CT_REP	0;
	5880	0	CT_TBRCH	6351	BR_STATUS	CT_REP	0;
	5881	0	CT_TBRCH	6352	BR_STATUS	CT_REP	0;
	5882	0	CT_TBRCH	6353	BR_STATUS	CT_REP	0;
	5883	0	CT_TBRCH	6354	BR_STATUS	CT_REP	0;
	5884	0	CT_TBRCH	6355	BR_STATUS	CT_REP	0;
	5885	0	CT_TBRCH	6356	BR_STATUS	CT_REP	0;
	5886	0	CT_TBRCH	6357	BR_STATUS	CT_REP	0;
	5887	0	CT_TBRCH	6358	BR_STATUS	CT_REP	0;
	5888	0	CT_TBRCH	6359	BR_STATUS	CT_REP	0;
	5889	0	CT_TBRCH	6360	BR_STATUS	CT_REP	0;
	5890	0	CT_TBRCH	6361	BR_STATUS	CT_REP	0;
	5891	0	CT_TBRCH	6362	BR_STATUS	CT_REP	0;
	5892	0	CT_TBRCH	6363	BR_STATUS	CT_REP	0;
	5893	0	CT_TBRCH	6364	BR_STATUS	CT_REP	0;
	5894	0	CT_TBRCH	6365	BR_STATUS	CT_REP	0;
	5895	0	CT_TBRCH	6366	BR_STATUS	CT_REP	0;
	5896	0	CT_TBRCH	6367	BR_STATUS	CT_REP	0;
	5897	0	CT_TBRCH	6368	BR_STATUS	CT_REP	0;
	5898	0	CT_TBRCH	6369	BR_STATUS	CT_REP	0;
	5899	0	CT_TBRCH	6370	BR_STATUS	CT_REP	0;
	5900	0	CT_TBRCH	6371	BR_STATUS	CT_REP	0;
	5901	0	CT_TBRCH	6372	BR_STATUS	CT_REP	0;
	5902	0	CT_TBRCH	6373	BR_STATUS	CT_REP	0;
	5903	0	CT_TBRCH	6374	BR_STATUS	CT_REP	0;
	5904	0	CT_TBRCH	6375	BR_STATUS	CT_REP	0;
	5905	0	CT_TBRCH	6376	BR_STATUS	CT_REP	0;
	5906	0	CT_TBRCH	6377	BR_STATUS	CT_REP	0;
	5907	0	CT_TBRCH	6378	BR_STATUS	CT_REP	0;
	5908	0	CT_TBRCH	6379	BR_STATUS	CT_REP	0;
	5909	0	CT_TBRCH	6380	BR_STATUS	CT_REP	0;
	5910	0	CT_TBRCH	6381	BR_STATUS	CT_REP	0;
	5911	0	CT_TBRCH	6382	BR_STATUS	CT_REP	0;
	5912	0	CT_TBRCH	6383	BR_STATUS	CT_REP	0;
	5913	0	CT_TBRCH	6384	BR_STATUS	CT_REP	0;
	5914	0	CT_TBRCH	6385	BR_STATUS	CT_REP	0;
	5915	0	CT_TBRCH	6386	BR_STATUS	CT_REP	0;
	5916	0	CT_TBRCH	6387	BR_STATUS	CT_REP	0;
	5917	0	CT_TBRCH	6388	BR_STATUS	CT_REP	0;
	5918	0	CT_TBRCH	6389	BR_STATUS	CT_REP	0;
	5919	0	CT_TBRCH	6390	BR_STATUS	CT_REP	0;
	5920	0	CT_TBRCH	6391	BR_STATUS	CT_REP	0;
	5921	0	CT_TBRCH	6392	BR_STATUS	CT_REP	0;
	5922	0	CT_TBRCH	6393	BR_STATUS	CT_REP	0;
	5923	0	CT_TBRCH	6394	BR_STATUS	CT_REP	0;
	5924	0	CT_TBRCH	6395	BR_STATUS	CT_REP	0;
	5925	0	CT_TBRCH	6396	BR_STATUS	CT_REP	0;
	5926	0	CT_TBRCH	6397	BR_STATUS	CT_REP	0;
	5927	0	CT_TBRCH	6398	BR_STATUS	CT_REP	0;
	5928	0	CT_TBRCH	6399	BR_STATUS	CT_REP	0;
	5929	0	CT_TBRCH	6400	BR_STATUS	CT_REP	0;
	5930	0	CT_TBRCH	6401	BR_STATUS	CT_REP	0;
	5931	0	CT_TBRCH	6402	BR_STATUS	CT_REP	0;
	5932	0	CT_TBRCH	6403	BR_STATUS	CT_REP	0;
	5933	0	CT_TBRCH	6404	BR_STATUS	CT_REP	0;
	5934	0	CT_TBRCH	6405	BR_STATUS	CT_REP	0;
	5935	0	CT_TBRCH	6406	BR_STATUS	CT_REP	0;
	5936	0	CT_TBRCH	6407	BR_STATUS	CT_REP	0;
	5937	0	CT_TBRCH	6408	BR_STATUS	CT_REP	0;
	5938	0	CT_TBRCH	6409	BR_STATUS	CT_REP	0;
	5939	0	CT_TBRCH	6410	BR_STATUS	CT_REP	0;
	5940	0	CT_TBRCH	6411	BR_STATUS	CT_REP	0;
	5941	0	CT_TBRCH	6412	BR_STATUS	CT_REP	0;
	5942	0	CT_TBRCH	6413	BR_STATUS	CT_REP	0;
	5943	0	CT_TBRCH	6414	BR_STATUS	CT_REP	0;
	5944	0	CT_TBRCH	6415	BR_STATUS	CT_REP	0;
	5945	0	CT_TBRCH	6416	BR_STATUS	CT_REP	0;
	5946	0	CT_TBRCH	6417	BR_STATUS	CT_REP	0;
	5947	0	CT_TBRCH	6418	BR_STATUS	CT_REP	0;
	5948	0	CT_TBRCH	6419	BR_STATUS	CT_REP	0;
	5949	0	CT_TBRCH	6420	BR_STATUS	CT_REP	0;
	5950	0	CT_TBRCH	6421	BR_STATUS	CT_REP	0;
	5951	0	CT_TBRCH	6422	BR_STATUS	CT_REP	0;
	5952	0	CT_TBRCH	6423	BR_STATUS	CT_REP	0;
	5953	0	CT_TBRCH	6424	BR_STATUS	CT_REP	0;
	5954	0	CT_TBRCH	6425	BR_STATUS	CT_REP	0;
	5955	0	CT_TBRCH	6426	BR_STATUS	CT_REP	0;
	5956	0	CT_TBRCH	6427	BR_STATUS	CT_REP	0;
	5957	0	CT_TBRCH	6428	BR_STATUS	CT_REP	0;
	5958	0	CT_TBRCH	6429	BR_STATUS	CT_REP	0;
	5959	0	CT_TBRCH	6430	BR_STATUS	CT_REP	0;
	5960	0	CT_TBRCH	6431	BR_STATUS	CT_REP	0;
	5961	0	CT_TBRCH	6432	BR_STATUS	CT_REP	0;
	5962	0	CT_TBRCH	6433	BR_STATUS	CT_REP	0;
	5963	0	CT_TBRCH	6434	BR_STATUS	CT_REP	0;
	5964	0	CT_TBRCH	6435	BR_STATUS	CT_REP	0;
	5965	0	CT_TBRCH	6436	BR_STATUS	CT_REP	0;
	5966	0	CT_TBRCH	6437	BR_STATUS	CT_REP	0;
	5967	0	CT_TBRCH	6438	BR_STATUS	CT_REP	0;
	5968	0	CT_TBRCH	6439	BR_STATUS	CT_REP	0;
	5969	0	CT_TBRCH	6440	BR_STATUS	CT_REP	0;
	5970	0	CT_TBRCH	6441	BR_STATUS	CT_REP	0;
	5971	0	CT_TBRCH	6442	BR_STATUS	CT_REP	0;
	5972	0	CT_TBRCH	6443	BR_STATUS	CT_REP	0;
	5973	0	CT_TBRCH	6444	BR_STATUS	CT_REP	0;
	5974	0	CT_TBRCH	6445	BR_STATUS	CT_REP	0;
	5975	0	CT_TBRCH	6446	BR_STATUS	CT_REP	0;
	5976	0	CT_TBRCH	6447	BR_STATUS	CT_REP	0;
	5977	0	CT_TBRCH	6448	BR_STATUS	CT_REP	0;
	5978	0	CT_TBRCH	6449	BR_STATUS	CT_REP	0;
	5979	0	CT_TBRCH	6450	BR_STATUS	CT_REP	0;
	5980	0	CT_TBRCH	6451	BR_STATUS	CT_REP	0;
	5981	0	CT_TBRCH	6452	BR_STATUS	CT_REP	0;
	5982	0	CT_TBRCH	6453	BR_STATUS	CT_REP	0;
	5983	0	CT_TBRCH	6454	BR_STATUS	CT_REP	0;
	5984	0	CT_TBRCH	6455	BR_STATUS	CT_REP	0;
	5985	0	CT_TBRCH	6456	BR_STATUS	CT_REP	0;
	5986	0	CT_TBRCH	6457	BR_STATUS	CT_REP	0;
	5987	0	CT_TBRCH	6458	BR_STATUS	CT_REP	0;
	5988	0	CT_TBRCH	6459	BR_STATUS	CT_REP	0;
	5989	0	CT_TBRCH	6460	BR_STATUS	CT_REP	0;
	5990	0	CT_TBRCH	6461	BR_STATUS	CT_REP	0;
	5991	0	CT_TBRCH	6462	BR_STATUS	CT_REP	0;
	5992	0	CT_TBRCH	6463	BR_STATUS	CT_REP	0;
	5993	0	CT_TBRCH	6464	BR_STATUS	CT_REP	0;
	5994	0	CT_TBRCH	6465	BR_STATUS	CT_REP	0;
	5995	0	CT_TBRCH	6466	BR_STATUS	CT_REP	0;
	5996	0	CT_TBRCH	6467	BR_STATUS	CT_REP	0;
	5997	0	CT_TBRCH	6468	BR_STATUS	CT_REP	0;
	5998	0	CT_TBRCH	6469	BR_STATUS	CT_REP	0;
	5999	0	CT_TBRCH	6470	BR_STATUS	CT_REP	0;
	6000	0	CT_TBRCH	6471	BR_STATUS	CT_REP	0;
	6001	0	CT_TBRCH	6472	BR_STATUS	CT_REP	0;
	6002	0	CT_TBRCH	6473	BR_STATUS	CT_REP	0;
	6003	0	CT_TBRCH	6474	BR_STATUS	CT_REP	0;
	6004	0	CT_TBRCH	6475	BR_STATUS	CT_REP	0;
	6005	0	CT_TBRCH	6476	BR_STATUS	CT_REP	0;
	6006	0	CT_TBRCH	6477	BR_STATUS	CT_REP	0;
	6007	0	CT_TBRCH	6478	BR_STATUS	CT_REP	0;
	6008	0	CT_TBRCH	6479	BR_STATUS	CT_REP	0;
	6009	0	CT_TBRCH	6480	BR_STATUS	CT_REP	0;
	6010	0	CT_TBRCH	6481	BR_STATUS	CT_REP	0;
	6011	0	CT_TBRCH	6482	BR_STATUS	CT_REP	0;
	6012	0	CT_TBRCH	6483	BR_STATUS	CT_REP	0;
	6013	0	CT_TBRCH	6484	BR_STATUS	CT_REP	0;
	6014	0	CT_TBRCH	6485	BR_STATUS	CT_REP	0;
	6015	0	CT_TBRCH	6486	BR_STATUS	CT_REP	0;
	6016	0	CT_TBRCH	6487	BR_STATUS	CT_REP	0;
	6017	0	CT_TBRCH	6488	BR_STATUS	CT_REP	0;
	6018	0	CT_TBRCH	6489	BR_STATUS	CT_REP	0;
	6019	0	CT_TBRCH	6490	BR_STATUS	CT_REP	0;
	6020	0	CT_TBRCH	6491	BR_STATUS	CT_REP	0;
	6021	0	CT_TBRCH	6492	BR_STATUS	CT_REP	0;
	6022	0	CT_TBRCH	6493	BR_STATUS	CT_REP	0;
	6023	0	CT_TBRCH	6494	BR_STATUS	CT_REP	0;
	6024	0	CT_TBRCH	6495	BR_STATUS	CT_REP	0;
	6025	0	CT_TBRCH	6496	BR_STATUS	CT_REP	0;
	6026	0	CT_TBRCH	6497	BR_STATUS	CT_REP	0;
	6027	0	CT_TBRCH	6498	BR_STATUS	CT_REP	0;
	6028	0	CT_TBRCH	6499	BR_STATUS	CT_REP	0;
	6029	0	CT_TBRCH	6500	BR_STATUS	CT_REP	0;
	6030	0	CT_TBRCH	6501	BR_STATUS	CT_REP	0;
	6031	0	CT_TBRCH	6502	BR_STATUS	CT_REP	0;
	6032	0	CT_TBRCH	6503	BR_STATUS	CT_REP	0;
	6033	0	CT_TBRCH	6504	BR_STATUS	CT_REP	0;
	6034	0	CT_TBRCH	6505	BR_STATUS	CT_REP	0;
	6035	0	CT_TBRCH	6506	BR_STATUS	CT_REP	0;
	6036	0	CT_TBRCH	6507	BR_STATUS	CT_REP	0;
	6037	0	CT_TBRCH	6508	BR_STATUS	CT_REP	0;
	6038	0	CT_TBRCH	6509	BR_STATUS	CT_REP	0;
	6039	0	CT_TBRCH	6510	BR_STATUS	CT_REP	0;
	6040	0	CT_TBRCH	6511	BR_STATUS	CT_REP	0;
	6041	0	CT_TBRCH	6512	BR_STATUS	CT_REP	0;
	6042	0	CT_TBRCH	6513	BR_STATUS	CT_REP	0;
	6043	0	CT_TBRCH	6514	BR_STATUS	CT_REP	0;
	6044	0	CT_TBRCH	6515	BR_STATUS	CT_REP	0;
	6045	0	CT_TBRCH	6516	BR_STATUS	CT_REP	0;
	6046	0	CT_TBRCH	6517	BR_STATUS	CT_REP	0;
	6047	0	CT_TBRCH	6518	BR_STATUS	CT_REP	0;
	6048	0	CT_TBRCH	6519	BR_STATUS	CT_REP	0;
	6049	0	CT_TBRCH	6520	BR_STATUS	CT_REP	0;
	6050	0	CT_TBRCH	6521	BR_STATUS	CT_REP	0;
	6051	0	CT_TBRCH	6522	BR_STATUS	CT_REP	0;
	6052	0	CT_TBRCH	6523	BR_STATUS	CT_REP	0;
	6053	0	CT_TBRCH	6524	BR_STATUS	CT_REP	0;
	6054	0	CT_TBRCH	6525	BR_STATUS	CT_REP	0;
	6055	0	CT_TBRCH	6526	BR_STATUS	CT_REP	0;
	6056	0	CT_TBRCH	6527	BR_STATUS	CT_REP	0;
	6057	0	CT_TBRCH	6528	BR_STATUS	CT_REP	0;
	6058	0	CT_TBRCH	6529	BR_STATUS	CT_REP	0;
	6059	0	CT_TBRCH	6530	BR_STATUS	CT_REP	0;
	6060	0	CT_TBRCH	6531	BR_STATUS	CT_REP	0;
	6061	0	CT_TBRCH	6532	BR_STATUS	CT_REP	0;
	6062	0	CT_TBRCH	6533	BR_STATUS	CT_REP	0;
	6063	0	CT_TBRCH	6535	BR_STATUS	CT_REP	0;
	6064	0	CT_TBRCH	6538	BR_STATUS	CT_REP	0;
	6065	0	CT_TBRCH	6539	BR_STATUS	CT_REP	0;
	6066	0	CT_TBRCH	6540	BR_STATUS	CT_REP	0;
	6067	0	CT_TBRCH	6541	BR_STATUS	CT_REP	0;
	6068	0	CT_TBRCH	6542	BR_STATUS	CT_REP	0;
	6069	0	CT_TBRCH	6543	BR_STATUS	CT_REP	0;
	6070	0	CT_TBRCH	6544	BR_STATUS	CT_REP	0;
	6071	0	CT_TBRCH	6545	BR_STATUS	CT_REP	0;
	6072	0	CT_TBRCH	6546	BR_STATUS	CT_REP	0;
	6073	0	CT_TBRCH	6547	BR_STATUS	CT_REP	0;
	6074	0	CT_TBRCH	6548	BR_STATUS	CT_REP	0;
	6075	0	CT_TBRCH	6549	BR_STATUS	CT_REP	0;
	6076	0	CT_TBRCH	6550	BR_STATUS	CT_REP	0;
	6077	0	CT_TBRCH	6551	BR_STATUS	CT_REP	0;
	6078	0	CT_TBRCH	6552	BR_STATUS	CT_REP	0;
	6079	0	CT_TBRCH	6553	BR_STATUS	CT_REP	0;
	6080	0	CT_TBRCH	6554	BR_STATUS	CT_REP	0;
	6081	0	CT_TBRCH	6555	BR_STATUS	CT_REP	0;
	6082	0	CT_TBRCH	6556	BR_STATUS	CT_REP	0;
	6083	0	CT_TBRCH	6558	BR_STATUS	CT_REP	0;
	6084	0	CT_TBRCH	6559	BR_STATUS	CT_REP	0;
	6085	0	CT_TBRCH	6562	BR_STATUS	CT_REP	0;
	6086	0	CT_TBRCH	6563	BR_STATUS	CT_REP	0;
	6087	0	CT_TBRCH	6564	BR_STATUS	CT_REP	0;
	6088	0	CT_TBRCH	6565	BR_STATUS	CT_REP	0;
	6089	0	CT_TBRCH	6566	BR_STATUS	CT_REP	0;
	6090	0	CT_TBRCH	6567	BR_STATUS	CT_REP	0;
	6091	0	CT_TBRCH	6568	BR_STATUS	CT_REP	0;
	6092	0	CT_TBRCH	6569	BR_STATUS	CT_REP	0;
	6093	0	CT_TBRCH	6570	BR_STATUS	CT_REP	0;
	6094	0	CT_TBRCH	6571	BR_STATUS	CT_REP	0;
	6095	0	CT_TBRCH	6572	BR_STATUS	CT_REP	0;
	6096	0	CT_TBRCH	6573	BR_STATUS	CT_REP	0;
	6097	0	CT_TBRCH	6575	BR_STATUS	CT_REP	0;
	6098	0	CT_TBRCH	6576	BR_STATUS	CT_REP	0;
	6099	0	CT_TBRCH	6577	BR_STATUS	CT_REP	0;
	6100	0	CT_TBRCH	6579	BR_STATUS	CT_REP	0;
	6101	0	CT_TBRCH	6581	BR_STATUS	CT_REP	0;
	6102	0	CT_TBRCH	6582	BR_STATUS	CT_REP	0;
	6103	0	CT_TBRCH	6583	BR_STATUS	CT_REP	0;
	6104	0	CT_TBRCH	6584	BR_STATUS	CT_REP	0;
	6105	0	CT_TBRCH	6585	BR_STATUS	CT_REP	0;
	6106	0	CT_TBRCH	6586	BR_STATUS	CT_REP	0;
	6107	0	CT_TBRCH	6587	BR_STATUS	CT_REP	0;
	6108	0	CT_TBRCH	6588	BR_STATUS	CT_REP	0;
	6109	0	CT_TBRCH	6589	BR_STATUS	CT_REP	0;
	6110	0	CT_TBRCH	6590	BR_STATUS	CT_REP	0;
	6111	0	CT_TBRCH	6591	BR_STATUS	CT_REP	0;
	6112	0	CT_TBRCH	6592	BR_STATUS	CT_REP	0;
	6113	0	CT_TBRCH	6593	BR_STATUS	CT_REP	0;
	6114	0	CT_TBRCH	6594	BR_STATUS	CT_REP	0;
	6115	0	CT_TBRCH	6595	BR_STATUS	CT_REP	0;
	6116	0	CT_TBRCH	6596	BR_STATUS	CT_REP	0;
	6117	0	CT_TBRCH	6597	BR_STATUS	CT_REP	0;
	6118	0	CT_TBRCH	6598	BR_STATUS	CT_REP	0;
	6119	0	CT_TBRCH	6599	BR_STATUS	CT_REP	0;
	6120	0	CT_TBRCH	6600	BR_STATUS	CT_REP	0;
	6121	0	CT_TBRCH	6601	BR_STATUS	CT_REP	0;
	6122	0	CT_TBRCH	6602	BR_STATUS	CT_REP	0;
	6123	0	CT_TBRCH	6603	BR_STATUS	CT_REP	0;
	6124	0	CT_TBRCH	6604	BR_STATUS	CT_REP	0;
	6125	0	CT_TBRCH	6605	BR_STATUS	CT_REP	0;
	6126	0	CT_TBRCH	6606	BR_STATUS	CT_REP	0;
	6127	0	CT_TBRCH	6607	BR_STATUS	CT_REP	0;
	6128	0	CT_TBRCH	6608	BR_STATUS	CT_REP	0;
	6129	0	CT_TBRCH	6609	BR_STATUS	CT_REP	0;
	6130	0	CT_TBRCH	6610	BR_STATUS	CT_REP	0;
	6131	0	CT_TBRCH	6611	BR_STATUS	CT_REP	0;
	6132	0	CT_TBRCH	6612	BR_STATUS	CT_REP	0;
	6133	0	CT_TBRCH	6613	BR_STATUS	CT_REP	0;
	6134	0	CT_TBRCH	6614	BR_STATUS	CT_REP	0;
	6135	0	CT_TBRCH	6615	BR_STATUS	CT_REP	0;
	6136	0	CT_TBRCH	6616	BR_STATUS	CT_REP	0;
	6137	0	CT_TBRCH	6617	BR_STATUS	CT_REP	0;
	6138	0	CT_TBRCH	6618	BR_STATUS	CT_REP	0;
	6139	0	CT_TBRCH	6619	BR_STATUS	CT_REP	0;
	6140	0	CT_TBRCH	6620	BR_STATUS	CT_REP	0;
	6141	0	CT_TBRCH	6621	BR_STATUS	CT_REP	0;
	6142	0	CT_TBRCH	6622	BR_STATUS	CT_REP	0;
	6143	0	CT_TBRCH	6623	BR_STATUS	CT_REP	0;
	6144	0	CT_TBRCH	6624	BR_STATUS	CT_REP	0;
	6145	0	CT_TBRCH	6625	BR_STATUS	CT_REP	0;
	6146	0	CT_TBRCH	6626	BR_STATUS	CT_REP	0;
	6147	0	CT_TBRCH	6627	BR_STATUS	CT_REP	0;
	6148	0	CT_TBRCH	6628	BR_STATUS	CT_REP	0;
	6149	0	CT_TBRCH	6629	BR_STATUS	CT_REP	0;
	6150	0	CT_TBRCH	6630	BR_STATUS	CT_REP	0;
	6151	0	CT_TBRCH	6631	BR_STATUS	CT_REP	0;
	6152	0	CT_TBRCH	6632	BR_STATUS	CT_REP	0;
	6153	0	CT_TBRCH	6633	BR_STATUS	CT_REP	0;
	6154	0	CT_TBRCH	6634	BR_STATUS	CT_REP	0;
	6155	0	CT_TBRCH	6635	BR_STATUS	CT_REP	0;
	6156	0	CT_TBRCH	6636	BR_STATUS	CT_REP	0;
	6157	0	CT_TBRCH	6637	BR_STATUS	CT_REP	0;
	6158	0	CT_TBRCH	6638	BR_STATUS	CT_REP	0;
	6159	0	CT_TBRCH	6639	BR_STATUS	CT_REP	0;
	6160	0	CT_TBRCH	6640	BR_STATUS	CT_REP	0;
	6161	0	CT_TBRCH	6641	BR_STATUS	CT_REP	0;
	6162	0	CT_TBRCH	6642	BR_STATUS	CT_REP	0;
	6163	0	CT_TBRCH	6643	BR_STATUS	CT_REP	0;
	6164	0	CT_TBRCH	6644	BR_STATUS	CT_REP	0;
	6165	0	CT_TBRCH	6645	BR_STATUS	CT_REP	0;
	6166	0	CT_TBRCH	6646	BR_STATUS	CT_REP	0;
	6167	0	CT_TBRCH	6647	BR_STATUS	CT_REP	0;
	6168	0	CT_TBRCH	6649	BR_STATUS	CT_REP	0;
	6169	0	CT_TBRCH	6650	BR_STATUS	CT_REP	0;
	6170	0	CT_TBRCH	6652	BR_STATUS	CT_REP	0;
	6171	0	CT_TBRCH	6653	BR_STATUS	CT_REP	0;
	6172	0	CT_TBRCH	6655	BR_STATUS	CT_REP	0;
	6173	0	CT_TBRCH	6656	BR_STATUS	CT_REP	0;
	6174	0	CT_TBRCH	6657	BR_STATUS	CT_REP	0;
	6175	0	CT_TBRCH	6658	BR_STATUS	CT_REP	0;
	6176	0	CT_TBRCH	6659	BR_STATUS	CT_REP	0;
	6177	0	CT_TBRCH	6660	BR_STATUS	CT_REP	0;
	6178	0	CT_TBRCH	6661	BR_STATUS	CT_REP	0;
	6179	0	CT_TBRCH	6662	BR_STATUS	CT_REP	0;
	6180	0	CT_TBRCH	6663	BR_STATUS	CT_REP	0;
	6181	0	CT_TBRCH	6664	BR_STATUS	CT_REP	0;
	6182	0	CT_TBRCH	6665	BR_STATUS	CT_REP	0;
	6183	0	CT_TBRCH	6666	BR_STATUS	CT_REP	0;
	6184	0	CT_TBRCH	6667	BR_STATUS	CT_REP	0;
	6185	0	CT_TBRCH	6668	BR_STATUS	CT_REP	0;
	6186	0	CT_TBRCH	6669	BR_STATUS	CT_REP	0;
	6187	0	CT_TBRCH	6670	BR_STATUS	CT_REP	0;
	6188	0	CT_TBRCH	6671	BR_STATUS	CT_REP	0;
	6189	0	CT_TBRCH	6672	BR_STATUS	CT_REP	0;
	6190	0	CT_TBRCH	6673	BR_STATUS	CT_REP	0;
	6191	0	CT_TBRCH	6674	BR_STATUS	CT_REP	0;
	6192	0	CT_TBRCH	6675	BR_STATUS	CT_REP	0;
	6193	0	CT_TBRCH	6676	BR_STATUS	CT_REP	0;
	6194	0	CT_TBRCH	6677	BR_STATUS	CT_REP	0;
	6195	0	CT_TBRCH	6678	BR_STATUS	CT_REP	0;
	6196	0	CT_TBRCH	6679	BR_STATUS	CT_REP	0;
	6197	0	CT_TBRCH	6680	BR_STATUS	CT_REP	0;
	6198	0	CT_TBRCH	6681	BR_STATUS	CT_REP	0;
	6199	0	CT_TBRCH	6682	BR_STATUS	CT_REP	0;
	6200	0	CT_TBRCH	6683	BR_STATUS	CT_REP	0;
	6201	0	CT_TBRCH	6685	BR_STATUS	CT_REP	0;
	6202	0	CT_TBRCH	6688	BR_STATUS	CT_REP	0;
	6203	0	CT_TBRCH	6689	BR_STATUS	CT_REP	0;
	6204	0	CT_TBRCH	6690	BR_STATUS	CT_REP	0;
	6205	0	CT_TBRCH	6691	BR_STATUS	CT_REP	0;
	6206	0	CT_TBRCH	6692	BR_STATUS	CT_REP	0;
	6207	0	CT_TBRCH	6693	BR_STATUS	CT_REP	0;
	6208	0	CT_TBRCH	6694	BR_STATUS	CT_REP	0;
	6209	0	CT_TBRCH	6695	BR_STATUS	CT_REP	0;
	6210	0	CT_TBRCH	6696	BR_STATUS	CT_REP	0;
	6211	0	CT_TBRCH	6697	BR_STATUS	CT_REP	0;
	6212	0	CT_TBRCH	6698	BR_STATUS	CT_REP	0;
	6213	0	CT_TBRCH	6699	BR_STATUS	CT_REP	0;
	6214	0	CT_TBRCH	6700	BR_STATUS	CT_REP	0;
	6215	0	CT_TBRCH	6701	BR_STATUS	CT_REP	0;
	6216	0	CT_TBRCH	6702	BR_STATUS	CT_REP	0;
	6217	0	CT_TBRCH	6703	BR_STATUS	CT_REP	0;
	6218	0	CT_TBRCH	6704	BR_STATUS	CT_REP	0;
	6219	0	CT_TBRCH	6705	BR_STATUS	CT_REP	0;
	6220	0	CT_TBRCH	6706	BR_STATUS	CT_REP	0;
	6221	0	CT_TBRCH	6707	BR_STATUS	CT_REP	0;
	6222	0	CT_TBRCH	6708	BR_STATUS	CT_REP	0;
	6223	0	CT_TBRCH	6709	BR_STATUS	CT_REP	0;
	6224	0	CT_TBRCH	6710	BR_STATUS	CT_REP	0;
	6225	0	CT_TBRCH	6711	BR_STATUS	CT_REP	0;
	6226	0	CT_TBRCH	6712	BR_STATUS	CT_REP	0;
	6227	0	CT_TBRCH	6713	BR_STATUS	CT_REP	0;
	6228	0	CT_TBRCH	6714	BR_STATUS	CT_REP	0;
	6229	0	CT_TBRCH	6715	BR_STATUS	CT_REP	0;
	6230	0	CT_TBRCH	6716	BR_STATUS	CT_REP	0;
	6231	0	CT_TBRCH	6717	BR_STATUS	CT_REP	0;
	6232	0	CT_TBRCH	6718	BR_STATUS	CT_REP	0;
	6233	0	CT_TBRCH	6719	BR_STATUS	CT_REP	0;
	6234	0	CT_TBRCH	6720	BR_STATUS	CT_REP	0;
	6235	0	CT_TBRCH	6721	BR_STATUS	CT_REP	0;
	6236	0	CT_TBRCH	6722	BR_STATUS	CT_REP	0;
	6237	0	CT_TBRCH	6723	BR_STATUS	CT_REP	0;
	6238	0	CT_TBRCH	6724	BR_STATUS	CT_REP	0;
	6239	0	CT_TBRCH	6725	BR_STATUS	CT_REP	0;
	6240	0	CT_TBRCH	6726	BR_STATUS	CT_REP	0;
	6241	0	CT_TBRCH	6727	BR_STATUS	CT_REP	0;
	6242	0	CT_TBRCH	6728	BR_STATUS	CT_REP	0;
	6243	0	CT_TBRCH	6729	BR_STATUS	CT_REP	0;
	6244	0	CT_TBRCH	6730	BR_STATUS	CT_REP	0;
	6245	0	CT_TBRCH	6731	BR_STATUS	CT_REP	0;
	6246	0	CT_TBRCH	6732	BR_STATUS	CT_REP	0;
	6247	0	CT_TBRCH	6733	BR_STATUS	CT_REP	0;
	6248	0	CT_TBRCH	6734	BR_STATUS	CT_REP	0;
	6249	0	CT_TBRCH	6735	BR_STATUS	CT_REP	0;
	6250	0	CT_TBRCH	6736	BR_STATUS	CT_REP	0;
	6251	0	CT_TBRCH	6737	BR_STATUS	CT_REP	0;
	6252	0	CT_TBRCH	6738	BR_STATUS	CT_REP	0;
	6253	0	CT_TBRCH	6739	BR_STATUS	CT_REP	0;
	6254	0	CT_TBRCH	6740	BR_STATUS	CT_REP	0;
	6255	0	CT_TBRCH	6741	BR_STATUS	CT_REP	0;
	6256	0	CT_TBRCH	6742	BR_STATUS	CT_REP	0;
	6257	0	CT_TBRCH	6743	BR_STATUS	CT_REP	0;
	6258	0	CT_TBRCH	6744	BR_STATUS	CT_REP	0;
	6259	0	CT_TBRCH	6745	BR_STATUS	CT_REP	0;
	6260	0	CT_TBRCH	6746	BR_STATUS	CT_REP	0;
	6261	0	CT_TBRCH	6747	BR_STATUS	CT_REP	0;
	6262	0	CT_TBRCH	6748	BR_STATUS	CT_REP	0;
	6263	0	CT_TBRCH	6749	BR_STATUS	CT_REP	0;
	6264	0	CT_TBRCH	6750	BR_STATUS	CT_REP	0;
	6265	0	CT_TBRCH	6751	BR_STATUS	CT_REP	0;
	6266	0	CT_TBRCH	6752	BR_STATUS	CT_REP	0;
	6267	0	CT_TBRCH	6753	BR_STATUS	CT_REP	0;
	6268	0	CT_TBRCH	6754	BR_STATUS	CT_REP	0;
	6269	0	CT_TBRCH	6755	BR_STATUS	CT_REP	0;
	6270	0	CT_TBRCH	6756	BR_STATUS	CT_REP	0;
	6271	0	CT_TBRCH	6757	BR_STATUS	CT_REP	0;
	6272	0	CT_TBRCH	6758	BR_STATUS	CT_REP	0;
	6273	0	CT_TBRCH	6759	BR_STATUS	CT_REP	0;
	6274	0	CT_TBRCH	6760	BR_STATUS	CT_REP	0;
	6275	0	CT_TBRCH	6761	BR_STATUS	CT_REP	0;
	6276	0	CT_TBRCH	6762	BR_STATUS	CT_REP	0;
	6277	0	CT_TBRCH	6763	BR_STATUS	CT_REP	0;
	6278	0	CT_TBRCH	6764	BR_STATUS	CT_REP	0;
	6279	0	CT_TBRCH	6765	BR_STATUS	CT_REP	0;
	6280	0	CT_TBRCH	6766	BR_STATUS	CT_REP	0;
	6281	0	CT_TBRCH	6767	BR_STATUS	CT_REP	0;
	6282	0	CT_TBRCH	6768	BR_STATUS	CT_REP	0;
	6283	0	CT_TBRCH	6769	BR_STATUS	CT_REP	0;
	6284	0	CT_TBRCH	6770	BR_STATUS	CT_REP	0;
	6285	0	CT_TBRCH	6771	BR_STATUS	CT_REP	0;
	6286	0	CT_TBRCH	6772	BR_STATUS	CT_REP	0;
	6287	0	CT_TBRCH	6773	BR_STATUS	CT_REP	0;
	6288	0	CT_TBRCH	6774	BR_STATUS	CT_REP	0;
	6289	0	CT_TBRCH	6775	BR_STATUS	CT_REP	0;
	6290	0	CT_TBRCH	6776	BR_STATUS	CT_REP	0;
	6291	0	CT_TBRCH	6777	BR_STATUS	CT_REP	0;
	6292	0	CT_TBRCH	6778	BR_STATUS	CT_REP	0;
	6293	0	CT_TBRCH	6779	BR_STATUS	CT_REP	0;
	6294	0	CT_TBRCH	6780	BR_STATUS	CT_REP	0;
	6295	0	CT_TBRCH	6781	BR_STATUS	CT_REP	0;
	6296	0	CT_TBRCH	6782	BR_STATUS	CT_REP	0;
	6297	0	CT_TBRCH	6783	BR_STATUS	CT_REP	0;
	6298	0	CT_TBRCH	6784	BR_STATUS	CT_REP	0;
	6299	0	CT_TBRCH	6785	BR_STATUS	CT_REP	0;
	6300	0	CT_TBRCH	6786	BR_STATUS	CT_REP	0;
	6301	0	CT_TBRCH	6787	BR_STATUS	CT_REP	0;
	6302	0	CT_TBRCH	6788	BR_STATUS	CT_REP	0;
	6303	0	CT_TBRCH	6789	BR_STATUS	CT_REP	0;
	6304	0	CT_TBRCH	6790	BR_STATUS	CT_REP	0;
	6305	0	CT_TBRCH	6791	BR_STATUS	CT_REP	0;
	6306	0	CT_TBRCH	6792	BR_STATUS	CT_REP	0;
	6307	0	CT_TBRCH	6793	BR_STATUS	CT_REP	0;
	6308	0	CT_TBRCH	6794	BR_STATUS	CT_REP	0;
	6309	0	CT_TBRCH	6795	BR_STATUS	CT_REP	0;
	6310	0	CT_TBRCH	6796	BR_STATUS	CT_REP	0;
	6311	0	CT_TBRCH	6797	BR_STATUS	CT_REP	0;
	6312	0	CT_TBRCH	6798	BR_STATUS	CT_REP	0;
	6313	0	CT_TBRCH	6799	BR_STATUS	CT_REP	0;
	6314	0	CT_TBRCH	6800	BR_STATUS	CT_REP	0;
	6315	0	CT_TBRCH	6801	BR_STATUS	CT_REP	0;
	6316	0	CT_TBRCH	6802	BR_STATUS	CT_REP	0;
	6317	0	CT_TBRCH	6803	BR_STATUS	CT_REP	0;
	6318	0	CT_TBRCH	6804	BR_STATUS	CT_REP	0;
	6319	0	CT_TBRCH	6805	BR_STATUS	CT_REP	0;
	6320	0	CT_TBRCH	6806	BR_STATUS	CT_REP	0;
	6321	0	CT_TBRCH	6807	BR_STATUS	CT_REP	0;
	6322	0	CT_TBRCH	6808	BR_STATUS	CT_REP	0;
	6323	0	CT_TBRCH	6809	BR_STATUS	CT_REP	0;
	6324	0	CT_TBRCH	6810	BR_STATUS	CT_REP	0;
	6325	0	CT_TBRCH	6811	BR_STATUS	CT_REP	0;
	6326	0	CT_TBRCH	6812	BR_STATUS	CT_REP	0;
	6327	0	CT_TBRCH	6813	BR_STATUS	CT_REP	0;
	6328	0	CT_TBRCH	6814	BR_STATUS	CT_REP	0;
	6329	0	CT_TBRCH	6815	BR_STATUS	CT_REP	0;
	6330	0	CT_TBRCH	6816	BR_STATUS	CT_REP	0;
	6331	0	CT_TBRCH	6817	BR_STATUS	CT_REP	0;
	6332	0	CT_TBRCH	6818	BR_STATUS	CT_REP	0;
	6333	0	CT_TBRCH	6819	BR_STATUS	CT_REP	0;
	6334	0	CT_TBRCH	6820	BR_STATUS	CT_REP	0;
	6335	0	CT_TBRCH	6821	BR_STATUS	CT_REP	0;
	6336	0	CT_TBRCH	6822	BR_STATUS	CT_REP	0;
	6337	0	CT_TBRCH	6823	BR_STATUS	CT_REP	0;
	6338	0	CT_TBRCH	6824	BR_STATUS	CT_REP	0;
	6339	0	CT_TBRCH	6826	BR_STATUS	CT_REP	0;
	6340	0	CT_TBRCH	6827	BR_STATUS	CT_REP	0;
	6341	0	CT_TBRCH	6828	BR_STATUS	CT_REP	0;
	6342	0	CT_TBRCH	6829	BR_STATUS	CT_REP	0;
	6343	0	CT_TBRCH	6830	BR_STATUS	CT_REP	0;
	6344	0	CT_TBRCH	6831	BR_STATUS	CT_REP	0;
	6345	0	CT_TBRCH	6834	BR_STATUS	CT_REP	0;
	6346	0	CT_TBRCH	6835	BR_STATUS	CT_REP	0;
	6347	0	CT_TBRCH	6836	BR_STATUS	CT_REP	0;
	6348	0	CT_TBRCH	6837	BR_STATUS	CT_REP	0;
	6349	0	CT_TBRCH	6838	BR_STATUS	CT_REP	0;
	6350	0	CT_TBRCH	6839	BR_STATUS	CT_REP	0;
	6351	0	CT_TBRCH	6840	BR_STATUS	CT_REP	0;
	6352	0	CT_TBRCH	6841	BR_STATUS	CT_REP	0;
	6353	0	CT_TBRCH	6842	BR_STATUS	CT_REP	0;
	6354	0	CT_TBRCH	6843	BR_STATUS	CT_REP	0;
	6355	0	CT_TBRCH	6845	BR_STATUS	CT_REP	0;
	6356	0	CT_TBRCH	6846	BR_STATUS	CT_REP	0;
	6357	0	CT_TBRCH	6847	BR_STATUS	CT_REP	0;
	6358	0	CT_TBRCH	6848	BR_STATUS	CT_REP	0;
	6359	0	CT_TBRCH	6850	BR_STATUS	CT_REP	0;
	6360	0	CT_TBRCH	6852	BR_STATUS	CT_REP	0;
	6361	0	CT_TBRCH	6853	BR_STATUS	CT_REP	0;
	6362	0	CT_TBRCH	6854	BR_STATUS	CT_REP	0;
	6363	0	CT_TBRCH	6855	BR_STATUS	CT_REP	0;
	6364	0	CT_TBRCH	6856	BR_STATUS	CT_REP	0;
	6365	0	CT_TBRCH	6857	BR_STATUS	CT_REP	0;
	6366	0	CT_TBRCH	6858	BR_STATUS	CT_REP	0;
	6367	0	CT_TBRCH	6859	BR_STATUS	CT_REP	0;
	6368	0	CT_TBRCH	6860	BR_STATUS	CT_REP	0;
	6369	0	CT_TBRCH	6861	BR_STATUS	CT_REP	0;
	6370	0	CT_TBRCH	6862	BR_STATUS	CT_REP	0;
	6371	0	CT_TBRCH	6863	BR_STATUS	CT_REP	0;
	6372	0	CT_TBRCH	6864	BR_STATUS	CT_REP	0;
	6373	0	CT_TBRCH	6865	BR_STATUS	CT_REP	0;
	6374	0	CT_TBRCH	6866	BR_STATUS	CT_REP	0;
	6375	0	CT_TBRCH	6867	BR_STATUS	CT_REP	0;
	6376	0	CT_TBRCH	6868	BR_STATUS	CT_REP	0;
	6377	0	CT_TBRCH	6869	BR_STATUS	CT_REP	0;
	6378	0	CT_TBRCH	6870	BR_STATUS	CT_REP	0;
	6379	0	CT_TBRCH	6871	BR_STATUS	CT_REP	0;
	6380	0	CT_TBRCH	6872	BR_STATUS	CT_REP	0;
	6381	0	CT_TBRCH	6873	BR_STATUS	CT_REP	0;
	6382	0	CT_TBRCH	6874	BR_STATUS	CT_REP	0;
	6383	0	CT_TBRCH	6875	BR_STATUS	CT_REP	0;
	6384	0	CT_TBRCH	6876	BR_STATUS	CT_REP	0;
	6385	0	CT_TBRCH	6877	BR_STATUS	CT_REP	0;
	6386	0	CT_TBRCH	6878	BR_STATUS	CT_REP	0;
	6387	0	CT_TBRCH	6879	BR_STATUS	CT_REP	0;
	6388	0	CT_TBRCH	6880	BR_STATUS	CT_REP	0;
	6389	0	CT_TBRCH	6881	BR_STATUS	CT_REP	0;
	6390	0	CT_TBRCH	6882	BR_STATUS	CT_REP	0;
	6391	0	CT_TBRCH	6883	BR_STATUS	CT_REP	0;
	6392	0	CT_TBRCH	6884	BR_STATUS	CT_REP	0;
	6393	0	CT_TBRCH	6885	BR_STATUS	CT_REP	0;
	6394	0	CT_TBRCH	6886	BR_STATUS	CT_REP	0;
	6395	0	CT_TBRCH	6887	BR_STATUS	CT_REP	0;
	6396	0	CT_TBRCH	6888	BR_STATUS	CT_REP	0;
	6397	0	CT_TBRCH	6889	BR_STATUS	CT_REP	0;
	6398	0	CT_TBRCH	6890	BR_STATUS	CT_REP	0;
	6399	0	CT_TBRCH	6891	BR_STATUS	CT_REP	0;
	6400	0	CT_TBRCH	6892	BR_STATUS	CT_REP	0;
	6401	0	CT_TBRCH	6893	BR_STATUS	CT_REP	0;
	6402	0	CT_TBRCH	6894	BR_STATUS	CT_REP	0;
	6403	0	CT_TBRCH	6895	BR_STATUS	CT_REP	0;
	6404	0	CT_TBRCH	6896	BR_STATUS	CT_REP	0;
	6405	0	CT_TBRCH	6897	BR_STATUS	CT_REP	0;
	6406	0	CT_TBRCH	6898	BR_STATUS	CT_REP	0;
	6407	0	CT_TBRCH	6899	BR_STATUS	CT_REP	0;
	6408	0	CT_TBRCH	6900	BR_STATUS	CT_REP	0;
	6409	0	CT_TBRCH	6901	BR_STATUS	CT_REP	0;
	6410	0	CT_TBRCH	6902	BR_STATUS	CT_REP	0;
	6411	0	CT_TBRCH	6903	BR_STATUS	CT_REP	0;
	6412	0	CT_TBRCH	6904	BR_STATUS	CT_REP	0;
	6413	0	CT_TBRCH	6905	BR_STATUS	CT_REP	0;
	6414	0	CT_TBRCH	6906	BR_STATUS	CT_REP	0;
	6415	0	CT_TBRCH	6907	BR_STATUS	CT_REP	0;
	6416	0	CT_TBRCH	6908	BR_STATUS	CT_REP	0;
	6417	0	CT_TBRCH	6909	BR_STATUS	CT_REP	0;
	6418	0	CT_TBRCH	6910	BR_STATUS	CT_REP	0;
	6419	0	CT_TBRCH	6911	BR_STATUS	CT_REP	0;
	6420	0	CT_TBRCH	6912	BR_STATUS	CT_REP	0;
	6421	0	CT_TBRCH	6913	BR_STATUS	CT_REP	0;
	6422	0	CT_TBRCH	6914	BR_STATUS	CT_REP	0;
	6423	0	CT_TBRCH	6915	BR_STATUS	CT_REP	0;
	6424	0	CT_TBRCH	6916	BR_STATUS	CT_REP	0;
	6425	0	CT_TBRCH	6917	BR_STATUS	CT_REP	0;
	6426	0	CT_TBRCH	6918	BR_STATUS	CT_REP	0;
	6427	0	CT_TBRCH	6919	BR_STATUS	CT_REP	0;
	6428	0	CT_TBRCH	6920	BR_STATUS	CT_REP	0;
	6429	0	CT_TBRCH	6921	BR_STATUS	CT_REP	0;
	6430	0	CT_TBRCH	6922	BR_STATUS	CT_REP	0;
	6431	0	CT_TBRCH	6923	BR_STATUS	CT_REP	0;
	6432	0	CT_TBRCH	6924	BR_STATUS	CT_REP	0;
	6433	0	CT_TBRCH	6925	BR_STATUS	CT_REP	0;
	6434	0	CT_TBRCH	6926	BR_STATUS	CT_REP	0;
	6435	0	CT_TBRCH	6927	BR_STATUS	CT_REP	0;
	6436	0	CT_TBRCH	6928	BR_STATUS	CT_REP	0;
	6437	0	CT_TBRCH	6929	BR_STATUS	CT_REP	0;
	6438	0	CT_TBRCH	6930	BR_STATUS	CT_REP	0;
	6439	0	CT_TBRCH	6931	BR_STATUS	CT_REP	0;
	6440	0	CT_TBRCH	6932	BR_STATUS	CT_REP	0;
	6441	0	CT_TBRCH	6933	BR_STATUS	CT_REP	0;
	6442	0	CT_TBRCH	6934	BR_STATUS	CT_REP	0;
	6443	0	CT_TBRCH	6935	BR_STATUS	CT_REP	0;
	6444	0	CT_TBRCH	6936	BR_STATUS	CT_REP	0;
	6445	0	CT_TBRCH	6937	BR_STATUS	CT_REP	0;
	6446	0	CT_TBRCH	6938	BR_STATUS	CT_REP	0;
	6447	0	CT_TBRCH	6939	BR_STATUS	CT_REP	0;
	6448	0	CT_TBRCH	6940	BR_STATUS	CT_REP	0;
	6449	0	CT_TBRCH	6941	BR_STATUS	CT_REP	0;
	6450	0	CT_TBRCH	6942	BR_STATUS	CT_REP	0;
	6451	0	CT_TBRCH	6943	BR_STATUS	CT_REP	0;
	6452	0	CT_TBRCH	6944	BR_STATUS	CT_REP	0;
	6453	0	CT_TBRCH	6945	BR_STATUS	CT_REP	0;
	6454	0	CT_TBRCH	6946	BR_STATUS	CT_REP	0;
	6455	0	CT_TBRCH	6947	BR_STATUS	CT_REP	0;
	6456	0	CT_TBRCH	6948	BR_STATUS	CT_REP	0;
	6457	0	CT_TBRCH	6949	BR_STATUS	CT_REP	0;
	6458	0	CT_TBRCH	6950	BR_STATUS	CT_REP	0;
	6459	0	CT_TBRCH	6951	BR_STATUS	CT_REP	0;
	6460	0	CT_TBRCH	6952	BR_STATUS	CT_REP	0;
	6461	0	CT_TBRCH	6953	BR_STATUS	CT_REP	0;
	6462	0	CT_TBRCH	6954	BR_STATUS	CT_REP	0;
	6463	0	CT_TBRCH	6955	BR_STATUS	CT_REP	0;
	6464	0	CT_TBRCH	6956	BR_STATUS	CT_REP	0;
	6465	0	CT_TBRCH	6957	BR_STATUS	CT_REP	0;
	6466	0	CT_TBRCH	6958	BR_STATUS	CT_REP	0;
	6467	0	CT_TBRCH	6959	BR_STATUS	CT_REP	0;
	6468	0	CT_TBRCH	6960	BR_STATUS	CT_REP	0;
	6469	0	CT_TBRCH	6961	BR_STATUS	CT_REP	0;
	6470	0	CT_TBRCH	6962	BR_STATUS	CT_REP	0;
	6471	0	CT_TBRCH	6963	BR_STATUS	CT_REP	0;
	6472	0	CT_TBRCH	6965	BR_STATUS	CT_REP	0;
	6473	0	CT_TBRCH	6966	BR_STATUS	CT_REP	0;
	6474	0	CT_TBRCH	6969	BR_STATUS	CT_REP	0;
	6475	0	CT_TBRCH	6970	BR_STATUS	CT_REP	0;
	6476	0	CT_TBRCH	6971	BR_STATUS	CT_REP	0;
	6477	0	CT_TBRCH	6972	BR_STATUS	CT_REP	0;
	6478	0	CT_TBRCH	6973	BR_STATUS	CT_REP	0;
	6479	0	CT_TBRCH	6974	BR_STATUS	CT_REP	0;
	6480	0	CT_TBRCH	6975	BR_STATUS	CT_REP	0;
	6481	0	CT_TBRCH	6976	BR_STATUS	CT_REP	0;
	6482	0	CT_TBRCH	6977	BR_STATUS	CT_REP	0;
	6483	0	CT_TBRCH	6978	BR_STATUS	CT_REP	0;
	6484	0	CT_TBRCH	6979	BR_STATUS	CT_REP	0;
	6485	0	CT_TBRCH	6980	BR_STATUS	CT_REP	0;
	6486	0	CT_TBRCH	6981	BR_STATUS	CT_REP	0;
	6487	0	CT_TBRCH	6982	BR_STATUS	CT_REP	0;
	6488	0	CT_TBRCH	6983	BR_STATUS	CT_REP	0;
	6489	0	CT_TBRCH	6984	BR_STATUS	CT_REP	0;
	6490	0	CT_TBRCH	6985	BR_STATUS	CT_REP	0;
	6491	0	CT_TBRCH	6986	BR_STATUS	CT_REP	0;
	6492	0	CT_TBRCH	6987	BR_STATUS	CT_REP	0;
	6493	0	CT_TBRCH	6988	BR_STATUS	CT_REP	0;
	6494	0	CT_TBRCH	6990	BR_STATUS	CT_REP	0;
	6495	0	CT_TBRCH	6991	BR_STATUS	CT_REP	0;
	6496	0	CT_TBRCH	6994	BR_STATUS	CT_REP	0;
	6497	0	CT_TBRCH	6995	BR_STATUS	CT_REP	0;
	6498	0	CT_TBRCH	6996	BR_STATUS	CT_REP	0;
	6499	0	CT_TBRCH	6997	BR_STATUS	CT_REP	0;
	6500	0	CT_TBRCH	6998	BR_STATUS	CT_REP	0;
	6501	0	CT_TBRCH	6999	BR_STATUS	CT_REP	0;
	6502	0	CT_TBRCH	7000	BR_STATUS	CT_REP	0;
	6503	0	CT_TBRCH	7001	BR_STATUS	CT_REP	0;
	6504	0	CT_TBRCH	7002	BR_STATUS	CT_REP	0;
	6505	0	CT_TBRCH	7003	BR_STATUS	CT_REP	0;
	6506	0	CT_TBRCH	7004	BR_STATUS	CT_REP	0;
	6507	0	CT_TBRCH	7005	BR_STATUS	CT_REP	0;
	6508	0	CT_TBRCH	7006	BR_STATUS	CT_REP	0;
	6509	0	CT_TBRCH	7007	BR_STATUS	CT_REP	0;
	6510	0	CT_TBRCH	7008	BR_STATUS	CT_REP	0;
	6511	0	CT_TBRCH	7009	BR_STATUS	CT_REP	0;
	6512	0	CT_TBRCH	7011	BR_STATUS	CT_REP	0;
	6513	0	CT_TBRCH	7014	BR_STATUS	CT_REP	0;
	6514	0	CT_TBRCH	7015	BR_STATUS	CT_REP	0;
	6515	0	CT_TBRCH	7016	BR_STATUS	CT_REP	0;
	6516	0	CT_TBRCH	7017	BR_STATUS	CT_REP	0;
	6517	0	CT_TBRCH	7018	BR_STATUS	CT_REP	0;
	6518	0	CT_TBRCH	7019	BR_STATUS	CT_REP	0;
	6519	0	CT_TBRCH	7020	BR_STATUS	CT_REP	0;
	6520	0	CT_TBRCH	7021	BR_STATUS	CT_REP	0;
	6521	0	CT_TBRCH	7022	BR_STATUS	CT_REP	0;
	6522	0	CT_TBRCH	7023	BR_STATUS	CT_REP	0;
	6523	0	CT_TBRCH	7024	BR_STATUS	CT_REP	0;
	6524	0	CT_TBRCH	7025	BR_STATUS	CT_REP	0;
	6525	0	CT_TBRCH	7026	BR_STATUS	CT_REP	0;
	6526	0	CT_TBRCH	7027	BR_STATUS	CT_REP	0;
	6527	0	CT_TBRCH	7028	BR_STATUS	CT_REP	0;
	6528	0	CT_TBRCH	7029	BR_STATUS	CT_REP	0;
	6529	0	CT_TBRCH	7030	BR_STATUS	CT_REP	0;
	6530	0	CT_TBRCH	7031	BR_STATUS	CT_REP	0;
	6531	0	CT_TBRCH	7032	BR_STATUS	CT_REP	0;
	6532	0	CT_TBRCH	7033	BR_STATUS	CT_REP	0;
	6533	0	CT_TBRCH	7034	BR_STATUS	CT_REP	0;
	6534	0	CT_TBRCH	7035	BR_STATUS	CT_REP	0;
	6535	0	CT_TBRCH	7036	BR_STATUS	CT_REP	0;
	6536	0	CT_TBRCH	7037	BR_STATUS	CT_REP	0;
	6537	0	CT_TBRCH	7038	BR_STATUS	CT_REP	0;
	6538	0	CT_TBRCH	7039	BR_STATUS	CT_REP	0;
	6539	0	CT_TBRCH	7040	BR_STATUS	CT_REP	0;
	6540	0	CT_TBRCH	7041	BR_STATUS	CT_REP	0;
	6541	0	CT_TBRCH	7042	BR_STATUS	CT_REP	0;
	6542	0	CT_TBRCH	7043	BR_STATUS	CT_REP	0;
	6543	0	CT_TBRCH	7044	BR_STATUS	CT_REP	0;
	6544	0	CT_TBRCH	7045	BR_STATUS	CT_REP	0;
	6545	0	CT_TBRCH	7046	BR_STATUS	CT_REP	0;
	6546	0	CT_TBRCH	7047	BR_STATUS	CT_REP	0;
	6547	0	CT_TBRCH	7048	BR_STATUS	CT_REP	0;
	6548	0	CT_TBRCH	7049	BR_STATUS	CT_REP	0;
	6549	0	CT_TBRCH	7050	BR_STATUS	CT_REP	0;
	6550	0	CT_TBRCH	7051	BR_STATUS	CT_REP	0;
	6551	0	CT_TBRCH	7052	BR_STATUS	CT_REP	0;
	6552	0	CT_TBRCH	7053	BR_STATUS	CT_REP	0;
	6553	0	CT_TBRCH	7054	BR_STATUS	CT_REP	0;
	6554	0	CT_TBRCH	7055	BR_STATUS	CT_REP	0;
	6555	0	CT_TBRCH	7056	BR_STATUS	CT_REP	0;
	6556	0	CT_TBRCH	7057	BR_STATUS	CT_REP	0;
	6557	0	CT_TBRCH	7058	BR_STATUS	CT_REP	0;
	6558	0	CT_TBRCH	7059	BR_STATUS	CT_REP	0;
	6559	0	CT_TBRCH	7060	BR_STATUS	CT_REP	0;
	6560	0	CT_TBRCH	7061	BR_STATUS	CT_REP	0;
	6561	0	CT_TBRCH	7062	BR_STATUS	CT_REP	0;
	6562	0	CT_TBRCH	7063	BR_STATUS	CT_REP	0;
	6563	0	CT_TBRCH	7064	BR_STATUS	CT_REP	0;
	6564	0	CT_TBRCH	7065	BR_STATUS	CT_REP	0;
	6565	0	CT_TBRCH	7066	BR_STATUS	CT_REP	0;
	6566	0	CT_TBRCH	7067	BR_STATUS	CT_REP	0;
	6567	0	CT_TBRCH	7068	BR_STATUS	CT_REP	0;
	6568	0	CT_TBRCH	7069	BR_STATUS	CT_REP	0;
	6569	0	CT_TBRCH	7070	BR_STATUS	CT_REP	0;
	6570	0	CT_TBRCH	7071	BR_STATUS	CT_REP	0;
	6571	0	CT_TBRCH	7072	BR_STATUS	CT_REP	0;
	6572	0	CT_TBRCH	7073	BR_STATUS	CT_REP	0;
	6573	0	CT_TBRCH	7074	BR_STATUS	CT_REP	0;
	6574	0	CT_TBRCH	7075	BR_STATUS	CT_REP	0;
	6575	0	CT_TBRCH	7077	BR_STATUS	CT_REP	0;
	6576	0	CT_TBRCH	7078	BR_STATUS	CT_REP	0;
	6577	0	CT_TBRCH	7079	BR_STATUS	CT_REP	0;
	6578	0	CT_TBRCH	7082	BR_STATUS	CT_REP	0;
	6579	0	CT_TBRCH	7083	BR_STATUS	CT_REP	0;
	6580	0	CT_TBRCH	7084	BR_STATUS	CT_REP	0;
	6581	0	CT_TBRCH	7085	BR_STATUS	CT_REP	0;
	6582	0	CT_TBRCH	7086	BR_STATUS	CT_REP	0;
	6583	0	CT_TBRCH	7087	BR_STATUS	CT_REP	0;
	6584	0	CT_TBRCH	7088	BR_STATUS	CT_REP	0;
	6585	0	CT_TBRCH	7089	BR_STATUS	CT_REP	0;
	6586	0	CT_TBRCH	7090	BR_STATUS	CT_REP	0;
	6587	0	CT_TBRCH	7091	BR_STATUS	CT_REP	0;
	6588	0	CT_TBRCH	7092	BR_STATUS	CT_REP	0;
	6589	0	CT_TBRCH	7093	BR_STATUS	CT_REP	0;
	6590	0	CT_TBRCH	7094	BR_STATUS	CT_REP	0;
	6591	0	CT_TBRCH	7095	BR_STATUS	CT_REP	0;
	6592	0	CT_TBRCH	7096	BR_STATUS	CT_REP	0;
	6593	0	CT_TBRCH	7097	BR_STATUS	CT_REP	0;
	6594	0	CT_TBRCH	7098	BR_STATUS	CT_REP	0;
	6595	0	CT_TBRCH	7099	BR_STATUS	CT_REP	0;
	6596	0	CT_TBRCH	7100	BR_STATUS	CT_REP	0;
	6597	0	CT_TBRCH	7101	BR_STATUS	CT_REP	0;
	6598	0	CT_TBRCH	7102	BR_STATUS	CT_REP	0;
	6599	0	CT_TBRCH	7103	BR_STATUS	CT_REP	0;
	6600	0	CT_TBRCH	7104	BR_STATUS	CT_REP	0;
	6601	0	CT_TBRCH	7105	BR_STATUS	CT_REP	0;
	6602	0	CT_TBRCH	7106	BR_STATUS	CT_REP	0;
	6603	0	CT_TBRCH	7107	BR_STATUS	CT_REP	0;
	6604	0	CT_TBRCH	7108	BR_STATUS	CT_REP	0;
	6605	0	CT_TBRCH	7109	BR_STATUS	CT_REP	0;
	6606	0	CT_TBRCH	7110	BR_STATUS	CT_REP	0;
	6607	0	CT_TBRCH	7111	BR_STATUS	CT_REP	0;
	6608	0	CT_TBRCH	7112	BR_STATUS	CT_REP	0;
	6609	0	CT_TBRCH	7113	BR_STATUS	CT_REP	0;
	6610	0	CT_TBRCH	7114	BR_STATUS	CT_REP	0;
	6611	0	CT_TBRCH	7115	BR_STATUS	CT_REP	0;
	6612	0	CT_TBRCH	7116	BR_STATUS	CT_REP	0;
	6613	0	CT_TBRCH	7117	BR_STATUS	CT_REP	0;
	6614	0	CT_TBRCH	7118	BR_STATUS	CT_REP	0;
	6615	0	CT_TBRCH	7119	BR_STATUS	CT_REP	0;
	6616	0	CT_TBRCH	7120	BR_STATUS	CT_REP	0;
	6617	0	CT_TBRCH	7121	BR_STATUS	CT_REP	0;
	6618	0	CT_TBRCH	7122	BR_STATUS	CT_REP	0;
	6619	0	CT_TBRCH	7123	BR_STATUS	CT_REP	0;
	6620	0	CT_TBRCH	7124	BR_STATUS	CT_REP	0;
	6621	0	CT_TBRCH	7125	BR_STATUS	CT_REP	0;
	6622	0	CT_TBRCH	7126	BR_STATUS	CT_REP	0;
	6623	0	CT_TBRCH	7127	BR_STATUS	CT_REP	0;
	6624	0	CT_TBRCH	7128	BR_STATUS	CT_REP	0;
	6625	0	CT_TBRCH	7129	BR_STATUS	CT_REP	0;
	6626	0	CT_TBRCH	7130	BR_STATUS	CT_REP	0;
	6627	0	CT_TBRCH	7131	BR_STATUS	CT_REP	0;
	6628	0	CT_TBRCH	7132	BR_STATUS	CT_REP	0;
	6629	0	CT_TBRCH	7133	BR_STATUS	CT_REP	0;
	6630	0	CT_TBRCH	7134	BR_STATUS	CT_REP	0;
	6631	0	CT_TBRCH	7136	BR_STATUS	CT_REP	0;
	6632	0	CT_TBRCH	7139	BR_STATUS	CT_REP	0;
	6633	0	CT_TBRCH	7140	BR_STATUS	CT_REP	0;
	6634	0	CT_TBRCH	7141	BR_STATUS	CT_REP	0;
	6635	0	CT_TBRCH	7142	BR_STATUS	CT_REP	0;
	6636	0	CT_TBRCH	7143	BR_STATUS	CT_REP	0;
	6637	0	CT_TBRCH	7144	BR_STATUS	CT_REP	0;
	6638	0	CT_TBRCH	7145	BR_STATUS	CT_REP	0;
	6639	0	CT_TBRCH	7146	BR_STATUS	CT_REP	0;
	6640	0	CT_TBRCH	7147	BR_STATUS	CT_REP	0;
	6641	0	CT_TBRCH	7148	BR_STATUS	CT_REP	0;
	6642	0	CT_TBRCH	7149	BR_STATUS	CT_REP	0;
	6643	0	CT_TBRCH	7150	BR_STATUS	CT_REP	0;
	6644	0	CT_TBRCH	7151	BR_STATUS	CT_REP	0;
	6645	0	CT_TBRCH	7152	BR_STATUS	CT_REP	0;
	6646	0	CT_TBRCH	7153	BR_STATUS	CT_REP	0;
	6647	0	CT_TBRCH	7154	BR_STATUS	CT_REP	0;
	6648	0	CT_TBRCH	7155	BR_STATUS	CT_REP	0;
	6649	0	CT_TBRCH	7157	BR_STATUS	CT_REP	0;
	6650	0	CT_TBRCH	7160	BR_STATUS	CT_REP	0;
	6651	0	CT_TBRCH	7161	BR_STATUS	CT_REP	0;
	6652	0	CT_TBRCH	7162	BR_STATUS	CT_REP	0;
	6653	0	CT_TBRCH	7163	BR_STATUS	CT_REP	0;
	6654	0	CT_TBRCH	7164	BR_STATUS	CT_REP	0;
	6655	0	CT_TBRCH	7165	BR_STATUS	CT_REP	0;
	6656	0	CT_TBRCH	7166	BR_STATUS	CT_REP	0;
	6657	0	CT_TBRCH	7168	BR_STATUS	CT_REP	0;
	6658	0	CT_TBRCH	7171	BR_STATUS	CT_REP	0;
	6659	0	CT_TBRCH	7172	BR_STATUS	CT_REP	0;
	6660	0	CT_TBRCH	7173	BR_STATUS	CT_REP	0;
	6661	0	CT_TBRCH	7174	BR_STATUS	CT_REP	0;
	6662	0	CT_TBRCH	7176	BR_STATUS	CT_REP	0;
	6663	0	CT_TBRCH	7177	BR_STATUS	CT_REP	0;
	6664	0	CT_TBRCH	7178	BR_STATUS	CT_REP	0;
	6665	0	CT_TBRCH	7181	BR_STATUS	CT_REP	0;
	6666	0	CT_TBRCH	7183	BR_STATUS	CT_REP	0;
	6667	0	CT_TBRCH	7186	BR_STATUS	CT_REP	0;
	6668	0	CT_TBRCH	7187	BR_STATUS	CT_REP	0;
	6669	0	CT_TBRCH	7188	BR_STATUS	CT_REP	0;
	6670	0	CT_TBRCH	7189	BR_STATUS	CT_REP	0;
	6671	0	CT_TBRCH	7190	BR_STATUS	CT_REP	0;
	6672	0	CT_TBRCH	7191	BR_STATUS	CT_REP	0;
	6673	0	CT_TBRCH	7192	BR_STATUS	CT_REP	0;
	6674	0	CT_TBRCH	7193	BR_STATUS	CT_REP	0;
	6675	0	CT_TBRCH	7194	BR_STATUS	CT_REP	0;
	6676	0	CT_TBRCH	7195	BR_STATUS	CT_REP	0;
	6677	0	CT_TBRCH	7196	BR_STATUS	CT_REP	0;
	6678	0	CT_TBRCH	7197	BR_STATUS	CT_REP	0;
	6679	0	CT_TBRCH	7198	BR_STATUS	CT_REP	0;
	6680	0	CT_TBRCH	7199	BR_STATUS	CT_REP	0;
	6681	0	CT_TBRCH	7200	BR_STATUS	CT_REP	0;
	6682	0	CT_TBRCH	7201	BR_STATUS	CT_REP	0;
	6683	0	CT_TBRCH	7202	BR_STATUS	CT_REP	0;
	6684	0	CT_TBRCH	7203	BR_STATUS	CT_REP	0;
	6685	0	CT_TBRCH	7204	BR_STATUS	CT_REP	0;
	6686	0	CT_TBRCH	7205	BR_STATUS	CT_REP	0;
	6687	0	CT_TBRCH	7206	BR_STATUS	CT_REP	0;
	6688	0	CT_TBRCH	7207	BR_STATUS	CT_REP	0;
	6689	0	CT_TBRCH	7208	BR_STATUS	CT_REP	0;
	6690	0	CT_TBRCH	7209	BR_STATUS	CT_REP	0;
	6691	0	CT_TBRCH	7210	BR_STATUS	CT_REP	0;
	6692	0	CT_TBRCH	7211	BR_STATUS	CT_REP	0;
	6693	0	CT_TBRCH	7212	BR_STATUS	CT_REP	0;
	6694	0	CT_TBRCH	7213	BR_STATUS	CT_REP	0;
	6695	0	CT_TBRCH	7214	BR_STATUS	CT_REP	0;
	6696	0	CT_TBRCH	7215	BR_STATUS	CT_REP	0;
	6697	0	CT_TBRCH	7216	BR_STATUS	CT_REP	0;
	6698	0	CT_TBRCH	7217	BR_STATUS	CT_REP	0;
	6699	0	CT_TBRCH	7218	BR_STATUS	CT_REP	0;
	6700	0	CT_TBRCH	7219	BR_STATUS	CT_REP	0;
	6701	0	CT_TBRCH	7220	BR_STATUS	CT_REP	0;
	6702	0	CT_TBRCH	7221	BR_STATUS	CT_REP	0;
	6703	0	CT_TBRCH	7222	BR_STATUS	CT_REP	0;
	6704	0	CT_TBRCH	7223	BR_STATUS	CT_REP	0;
	6705	0	CT_TBRCH	7224	BR_STATUS	CT_REP	0;
	6706	0	CT_TBRCH	7225	BR_STATUS	CT_REP	0;
	6707	0	CT_TBRCH	7226	BR_STATUS	CT_REP	0;
	6708	0	CT_TBRCH	7227	BR_STATUS	CT_REP	0;
	6709	0	CT_TBRCH	7228	BR_STATUS	CT_REP	0;
	6710	0	CT_TBRCH	7229	BR_STATUS	CT_REP	0;
	6711	0	CT_TBRCH	7230	BR_STATUS	CT_REP	0;
	6712	0	CT_TBRCH	7231	BR_STATUS	CT_REP	0;
	6713	0	CT_TBRCH	7232	BR_STATUS	CT_REP	0;
	6714	0	CT_TBRCH	7233	BR_STATUS	CT_REP	0;
	6715	0	CT_TBRCH	7234	BR_STATUS	CT_REP	0;
	6716	0	CT_TBRCH	7236	BR_STATUS	CT_REP	0;
	6717	0	CT_TBRCH	7237	BR_STATUS	CT_REP	0;
	6718	0	CT_TBRCH	7238	BR_STATUS	CT_REP	0;
	6719	0	CT_TBRCH	7239	BR_STATUS	CT_REP	0;
	6720	0	CT_TBRCH	7243	BR_STATUS	CT_REP	0;
	6721	0	CT_TBRCH	7246	BR_STATUS	CT_REP	0;
	6722	0	CT_TBRCH	7247	BR_STATUS	CT_REP	0;
	6723	0	CT_TBRCH	7248	BR_STATUS	CT_REP	0;
	6724	0	CT_TBRCH	7249	BR_STATUS	CT_REP	0;
	6725	0	CT_TBRCH	7250	BR_STATUS	CT_REP	0;
	6726	0	CT_TBRCH	7251	BR_STATUS	CT_REP	0;
	6727	0	CT_TBRCH	7252	BR_STATUS	CT_REP	0;
	6728	0	CT_TBRCH	7253	BR_STATUS	CT_REP	0;
	6729	0	CT_TBRCH	7254	BR_STATUS	CT_REP	0;
	6730	0	CT_TBRCH	7255	BR_STATUS	CT_REP	0;
	6731	0	CT_TBRCH	7257	BR_STATUS	CT_REP	0;
	6732	0	CT_TBRCH	7258	BR_STATUS	CT_REP	0;
	6733	0	CT_TBRCH	7259	BR_STATUS	CT_REP	0;
	6734	0	CT_TBRCH	7261	BR_STATUS	CT_REP	0;
	6735	0	CT_TBRCH	7262	BR_STATUS	CT_REP	0;
	6736	0	CT_TBRCH	7264	BR_STATUS	CT_REP	0;
	6737	0	CT_TBRCH	7265	BR_STATUS	CT_REP	0;
	6738	0	CT_TBRCH	7266	BR_STATUS	CT_REP	0;
	6739	0	CT_TBRCH	7267	BR_STATUS	CT_REP	0;
	6740	0	CT_TBRCH	7268	BR_STATUS	CT_REP	0;
	6741	0	CT_TBRCH	7269	BR_STATUS	CT_REP	0;
	6742	0	CT_TBRCH	7270	BR_STATUS	CT_REP	0;
	6743	0	CT_TBRCH	7274	BR_STATUS	CT_REP	0;
	6744	0	CT_TBRCH	7275	BR_STATUS	CT_REP	0;
	6745	0	CT_TBRCH	7276	BR_STATUS	CT_REP	0;
	6746	0	CT_TBRCH	7277	BR_STATUS	CT_REP	0;
	6747	0	CT_TBRCH	7278	BR_STATUS	CT_REP	0;
	6748	0	CT_TBRCH	7279	BR_STATUS	CT_REP	0;
	6749	0	CT_TBRCH	7280	BR_STATUS	CT_REP	0;
	6750	0	CT_TBRCH	7281	BR_STATUS	CT_REP	0;
	6751	0	CT_TBRCH	7282	BR_STATUS	CT_REP	0;
	6752	0	CT_TBRCH	7283	BR_STATUS	CT_REP	0;
	6753	0	CT_TBRCH	7284	BR_STATUS	CT_REP	0;
	6754	0	CT_TBRCH	7285	BR_STATUS	CT_REP	0;
	6755	0	CT_TBRCH	7286	BR_STATUS	CT_REP	0;
	6756	0	CT_TBRCH	7287	BR_STATUS	CT_REP	0;
	6757	0	CT_TBRCH	7288	BR_STATUS	CT_REP	0;
	6758	0	CT_TBRCH	7289	BR_STATUS	CT_REP	0;
	6759	0	CT_TBRCH	7290	BR_STATUS	CT_REP	0;
	6760	0	CT_TBRCH	7291	BR_STATUS	CT_REP	0;
	6761	0	CT_TBRCH	7292	BR_STATUS	CT_REP	0;
	6762	0	CT_TBRCH	7293	BR_STATUS	CT_REP	0;
	6763	0	CT_TBRCH	7294	BR_STATUS	CT_REP	0;
	6764	0	CT_TBRCH	7295	BR_STATUS	CT_REP	0;
	6765	0	CT_TBRCH	7299	BR_STATUS	CT_REP	0;
	6766	0	CT_TBRCH	7300	BR_STATUS	CT_REP	0;
	6767	0	CT_TBRCH	7301	BR_STATUS	CT_REP	0;
	6768	0	CT_TBRCH	7302	BR_STATUS	CT_REP	0;
	6769	0	CT_TBRCH	7303	BR_STATUS	CT_REP	0;
	6770	0	CT_TBRCH	7305	BR_STATUS	CT_REP	0;
	6771	0	CT_TBRCH	7308	BR_STATUS	CT_REP	0;
	6772	0	CT_TBRCH	7309	BR_STATUS	CT_REP	0;
	6773	0	CT_TBRCH	7310	BR_STATUS	CT_REP	0;
	6774	0	CT_TBRCH	7311	BR_STATUS	CT_REP	0;
	6775	0	CT_TBRCH	7313	BR_STATUS	CT_REP	0;
	6776	0	CT_TBRCH	7314	BR_STATUS	CT_REP	0;
	6777	0	CT_TBRCH	7315	BR_STATUS	CT_REP	0;
	6778	0	CT_TBRCH	7316	BR_STATUS	CT_REP	0;
	6779	0	CT_TBRCH	7319	BR_STATUS	CT_REP	0;
	6780	0	CT_TBRCH	7320	BR_STATUS	CT_REP	0;
	6781	0	CT_TBRCH	7321	BR_STATUS	CT_REP	0;
	6782	0	CT_TBRCH	7322	BR_STATUS	CT_REP	0;
	6783	0	CT_TBRCH	7323	BR_STATUS	CT_REP	0;
	6784	0	CT_TBRCH	7324	BR_STATUS	CT_REP	0;
	6785	0	CT_TBRCH	7325	BR_STATUS	CT_REP	0;
	6786	0	CT_TBRCH	7326	BR_STATUS	CT_REP	0;
	6787	0	CT_TBRCH	7327	BR_STATUS	CT_REP	0;
	6788	0	CT_TBRCH	7328	BR_STATUS	CT_REP	0;
	6789	0	CT_TBRCH	7329	BR_STATUS	CT_REP	0;
	6790	0	CT_TBRCH	7330	BR_STATUS	CT_REP	0;
	6791	0	CT_TBRCH	7331	BR_STATUS	CT_REP	0;
	6792	0	CT_TBRCH	7332	BR_STATUS	CT_REP	0;
	6793	0	CT_TBRCH	7333	BR_STATUS	CT_REP	0;
	6794	0	CT_TBRCH	7334	BR_STATUS	CT_REP	0;
	6795	0	CT_TBRCH	7335	BR_STATUS	CT_REP	0;
	6796	0	CT_TBRCH	7336	BR_STATUS	CT_REP	0;
	6797	0	CT_TBRCH	7339	BR_STATUS	CT_REP	0;
	6798	0	CT_TBRCH	7340	BR_STATUS	CT_REP	0;
	6799	0	CT_TBRCH	7341	BR_STATUS	CT_REP	0;
	6800	0	CT_TBRCH	7342	BR_STATUS	CT_REP	0;
	6801	0	CT_TBRCH	7344	BR_STATUS	CT_REP	0;
	6802	0	CT_TBRCH	7345	BR_STATUS	CT_REP	0;
	6803	0	CT_TBRCH	7349	BR_STATUS	CT_REP	0;
	6804	0	CT_TBRCH	7350	BR_STATUS	CT_REP	0;
	6805	0	CT_TBRCH	7351	BR_STATUS	CT_REP	0;
	6806	0	CT_TBRCH	7352	BR_STATUS	CT_REP	0;
	6807	0	CT_TBRCH	7353	BR_STATUS	CT_REP	0;
	6808	0	CT_TBRCH	7354	BR_STATUS	CT_REP	0;
	6809	0	CT_TBRCH	7355	BR_STATUS	CT_REP	0;
	6810	0	CT_TBRCH	7356	BR_STATUS	CT_REP	0;
	6811	0	CT_TBRCH	7357	BR_STATUS	CT_REP	0;
	6812	0	CT_TBRCH	7358	BR_STATUS	CT_REP	0;
	6813	0	CT_TBRCH	7359	BR_STATUS	CT_REP	0;
	6814	0	CT_TBRCH	7360	BR_STATUS	CT_REP	0;
	6815	0	CT_TBRCH	7361	BR_STATUS	CT_REP	0;
	6816	0	CT_TBRCH	7362	BR_STATUS	CT_REP	0;
	6817	0	CT_TBRCH	7363	BR_STATUS	CT_REP	0;
	6818	0	CT_TBRCH	7364	BR_STATUS	CT_REP	0;
	6819	0	CT_TBRCH	7365	BR_STATUS	CT_REP	0;
	6820	0	CT_TBRCH	7366	BR_STATUS	CT_REP	0;
	6821	0	CT_TBRCH	7367	BR_STATUS	CT_REP	0;
	6822	0	CT_TBRCH	7368	BR_STATUS	CT_REP	0;
	6823	0	CT_TBRCH	7369	BR_STATUS	CT_REP	0;
	6824	0	CT_TBRCH	7370	BR_STATUS	CT_REP	0;
	6825	0	CT_TBRCH	7371	BR_STATUS	CT_REP	0;
	6826	0	CT_TBRCH	7372	BR_STATUS	CT_REP	0;
	6827	0	CT_TBRCH	7373	BR_STATUS	CT_REP	0;
	6828	0	CT_TBRCH	7374	BR_STATUS	CT_REP	0;
	6829	0	CT_TBRCH	7375	BR_STATUS	CT_REP	0;
	6830	0	CT_TBRCH	7376	BR_STATUS	CT_REP	0;
	6831	0	CT_TBRCH	7377	BR_STATUS	CT_REP	0;
	6832	0	CT_TBRCH	7378	BR_STATUS	CT_REP	0;
	6833	0	CT_TBRCH	7379	BR_STATUS	CT_REP	0;
	6834	0	CT_TBRCH	7380	BR_STATUS	CT_REP	0;
	6835	0	CT_TBRCH	7381	BR_STATUS	CT_REP	0;
	6836	0	CT_TBRCH	7382	BR_STATUS	CT_REP	0;
	6837	0	CT_TBRCH	7383	BR_STATUS	CT_REP	0;
	6838	0	CT_TBRCH	7384	BR_STATUS	CT_REP	0;
	6839	0	CT_TBRCH	7385	BR_STATUS	CT_REP	0;
	6840	0	CT_TBRCH	7386	BR_STATUS	CT_REP	0;
	6841	0	CT_TBRCH	7387	BR_STATUS	CT_REP	0;
	6842	0	CT_TBRCH	7388	BR_STATUS	CT_REP	0;
	6843	0	CT_TBRCH	7389	BR_STATUS	CT_REP	0;
	6844	0	CT_TBRCH	7390	BR_STATUS	CT_REP	0;
	6845	0	CT_TBRCH	7391	BR_STATUS	CT_REP	0;
	6846	0	CT_TBRCH	7392	BR_STATUS	CT_REP	0;
	6847	0	CT_TBRCH	7393	BR_STATUS	CT_REP	0;
	6848	0	CT_TBRCH	7394	BR_STATUS	CT_REP	0;
	6849	0	CT_TBRCH	7395	BR_STATUS	CT_REP	0;
	6850	0	CT_TBRCH	7397	BR_STATUS	CT_REP	0;
	6851	0	CT_TBRCH	7400	BR_STATUS	CT_REP	0;
	6852	0	CT_TBRCH	7401	BR_STATUS	CT_REP	0;
	6853	0	CT_TBRCH	7402	BR_STATUS	CT_REP	0;
	6854	0	CT_TBRCH	7403	BR_STATUS	CT_REP	0;
	6855	0	CT_TBRCH	7404	BR_STATUS	CT_REP	0;
	6856	0	CT_TBRCH	7405	BR_STATUS	CT_REP	0;
	6857	0	CT_TBRCH	7406	BR_STATUS	CT_REP	0;
	6858	0	CT_TBRCH	7407	BR_STATUS	CT_REP	0;
	6859	0	CT_TBRCH	7408	BR_STATUS	CT_REP	0;
	6860	0	CT_TBRCH	7409	BR_STATUS	CT_REP	0;
	6861	0	CT_TBRCH	7410	BR_STATUS	CT_REP	0;
	6862	0	CT_TBRCH	7411	BR_STATUS	CT_REP	0;
	6863	0	CT_TBRCH	7412	BR_STATUS	CT_REP	0;
	6864	0	CT_TBRCH	7416	BR_STATUS	CT_REP	0;
	6865	0	CT_TBRCH	7421	BR_STATUS	CT_REP	0;
	6866	0	CT_TBRCH	7422	BR_STATUS	CT_REP	0;
	6867	0	CT_TBRCH	7425	BR_STATUS	CT_REP	0;
	6868	0	CT_TBRCH	7426	BR_STATUS	CT_REP	0;
	6869	0	CT_TBRCH	7427	BR_STATUS	CT_REP	0;
	6870	0	CT_TBRCH	7428	BR_STATUS	CT_REP	0;
	6871	0	CT_TBRCH	7430	BR_STATUS	CT_REP	0;
	6872	0	CT_TBRCH	7433	BR_STATUS	CT_REP	0;
	6873	0	CT_TBRCH	7434	BR_STATUS	CT_REP	0;
	6874	0	CT_TBRCH	7435	BR_STATUS	CT_REP	0;
	6875	0	CT_TBRCH	7436	BR_STATUS	CT_REP	0;
	6876	0	CT_TBRCH	7437	BR_STATUS	CT_REP	0;
	6877	0	CT_TBRCH	7438	BR_STATUS	CT_REP	0;
	6878	0	CT_TBRCH	7439	BR_STATUS	CT_REP	0;
	6879	0	CT_TBRCH	7440	BR_STATUS	CT_REP	0;
	6880	0	CT_TBRCH	7441	BR_STATUS	CT_REP	0;
	6881	0	CT_TBRCH	7442	BR_STATUS	CT_REP	0;
	6882	0	CT_TBRCH	7443	BR_STATUS	CT_REP	0;
	6883	0	CT_TBRCH	7444	BR_STATUS	CT_REP	0;
	6884	0	CT_TBRCH	7445	BR_STATUS	CT_REP	0;
	6885	0	CT_TBRCH	7446	BR_STATUS	CT_REP	0;
	6886	0	CT_TBRCH	7447	BR_STATUS	CT_REP	0;
	6887	0	CT_TBRCH	7449	BR_STATUS	CT_REP	0;
	6888	0	CT_TBRCH	7450	BR_STATUS	CT_REP	0;
	6889	0	CT_TBRCH	7453	BR_STATUS	CT_REP	0;
	6890	0	CT_TBRCH	7454	BR_STATUS	CT_REP	0;
	6891	0	CT_TBRCH	7455	BR_STATUS	CT_REP	0;
	6892	0	CT_TBRCH	7456	BR_STATUS	CT_REP	0;
	6893	0	CT_TBRCH	7457	BR_STATUS	CT_REP	0;
	6894	0	CT_TBRCH	7458	BR_STATUS	CT_REP	0;
	6895	0	CT_TBRCH	7459	BR_STATUS	CT_REP	0;
	6896	0	CT_TBRCH	7460	BR_STATUS	CT_REP	0;
	6897	0	CT_TBRCH	7461	BR_STATUS	CT_REP	0;
	6898	0	CT_TBRCH	7462	BR_STATUS	CT_REP	0;
	6899	0	CT_TBRCH	7463	BR_STATUS	CT_REP	0;
	6900	0	CT_TBRCH	7464	BR_STATUS	CT_REP	0;
	6901	0	CT_TBRCH	7465	BR_STATUS	CT_REP	0;
	6902	0	CT_TBRCH	7466	BR_STATUS	CT_REP	0;
	6903	0	CT_TBRCH	7467	BR_STATUS	CT_REP	0;
	6904	0	CT_TBRCH	7468	BR_STATUS	CT_REP	0;
	6905	0	CT_TBRCH	7469	BR_STATUS	CT_REP	0;
	6906	0	CT_TBRCH	7470	BR_STATUS	CT_REP	0;
	6907	0	CT_TBRCH	7471	BR_STATUS	CT_REP	0;
	6908	0	CT_TBRCH	7472	BR_STATUS	CT_REP	0;
	6909	0	CT_TBRCH	7473	BR_STATUS	CT_REP	0;
	6910	0	CT_TBRCH	7474	BR_STATUS	CT_REP	0;
	6911	0	CT_TBRCH	7475	BR_STATUS	CT_REP	0;
	6912	0	CT_TBRCH	7476	BR_STATUS	CT_REP	0;
	6913	0	CT_TBRCH	7477	BR_STATUS	CT_REP	0;
	6914	0	CT_TBRCH	7478	BR_STATUS	CT_REP	0;
	6915	0	CT_TBRCH	7479	BR_STATUS	CT_REP	0;
	6916	0	CT_TBRCH	7480	BR_STATUS	CT_REP	0;
	6917	0	CT_TBRCH	7481	BR_STATUS	CT_REP	0;
	6918	0	CT_TBRCH	7482	BR_STATUS	CT_REP	0;
	6919	0	CT_TBRCH	7483	BR_STATUS	CT_REP	0;
	6920	0	CT_TBRCH	7484	BR_STATUS	CT_REP	0;
	6921	0	CT_TBRCH	7485	BR_STATUS	CT_REP	0;
	6922	0	CT_TBRCH	7486	BR_STATUS	CT_REP	0;
	6923	0	CT_TBRCH	7487	BR_STATUS	CT_REP	0;
	6924	0	CT_TBRCH	7488	BR_STATUS	CT_REP	0;
	6925	0	CT_TBRCH	7489	BR_STATUS	CT_REP	0;
	6926	0	CT_TBRCH	7490	BR_STATUS	CT_REP	0;
	6927	0	CT_TBRCH	7491	BR_STATUS	CT_REP	0;
	6928	0	CT_TBRCH	7492	BR_STATUS	CT_REP	0;
	6929	0	CT_TBRCH	7493	BR_STATUS	CT_REP	0;
	6930	0	CT_TBRCH	7494	BR_STATUS	CT_REP	0;
	6931	0	CT_TBRCH	7495	BR_STATUS	CT_REP	0;
	6932	0	CT_TBRCH	7496	BR_STATUS	CT_REP	0;
	6933	0	CT_TBRCH	7497	BR_STATUS	CT_REP	0;
	6934	0	CT_TBRCH	7498	BR_STATUS	CT_REP	0;
	6935	0	CT_TBRCH	7499	BR_STATUS	CT_REP	0;
	6936	0	CT_TBRCH	7500	BR_STATUS	CT_REP	0;
	6937	0	CT_TBRCH	7501	BR_STATUS	CT_REP	0;
	6938	0	CT_TBRCH	7502	BR_STATUS	CT_REP	0;
	6939	0	CT_TBRCH	7503	BR_STATUS	CT_REP	0;
	6940	0	CT_TBRCH	7504	BR_STATUS	CT_REP	0;
	6941	0	CT_TBRCH	7505	BR_STATUS	CT_REP	0;
	6942	0	CT_TBRCH	7506	BR_STATUS	CT_REP	0;
	6943	0	CT_TBRCH	7507	BR_STATUS	CT_REP	0;
	6944	0	CT_TBRCH	7508	BR_STATUS	CT_REP	0;
	6945	0	CT_TBRCH	7509	BR_STATUS	CT_REP	0;
	6946	0	CT_TBRCH	7510	BR_STATUS	CT_REP	0;
	6947	0	CT_TBRCH	7511	BR_STATUS	CT_REP	0;
	6948	0	CT_TBRCH	7512	BR_STATUS	CT_REP	0;
	6949	0	CT_TBRCH	7513	BR_STATUS	CT_REP	0;
	6950	0	CT_TBRCH	7514	BR_STATUS	CT_REP	0;
	6951	0	CT_TBRCH	7515	BR_STATUS	CT_REP	0;
	6952	0	CT_TBRCH	7516	BR_STATUS	CT_REP	0;
	6953	0	CT_TBRCH	7517	BR_STATUS	CT_REP	0;
	6954	0	CT_TBRCH	7518	BR_STATUS	CT_REP	0;
	6955	0	CT_TBRCH	7519	BR_STATUS	CT_REP	0;
	6956	0	CT_TBRCH	7520	BR_STATUS	CT_REP	0;
	6957	0	CT_TBRCH	7521	BR_STATUS	CT_REP	0;
	6958	0	CT_TBRCH	7522	BR_STATUS	CT_REP	0;
	6959	0	CT_TBRCH	7523	BR_STATUS	CT_REP	0;
	6960	0	CT_TBRCH	7524	BR_STATUS	CT_REP	0;
	6961	0	CT_TBRCH	7525	BR_STATUS	CT_REP	0;
	6962	0	CT_TBRCH	7526	BR_STATUS	CT_REP	0;
	6963	0	CT_TBRCH	7527	BR_STATUS	CT_REP	0;
	6964	0	CT_TBRCH	7528	BR_STATUS	CT_REP	0;
	6965	0	CT_TBRCH	7529	BR_STATUS	CT_REP	0;
	6966	0	CT_TBRCH	7530	BR_STATUS	CT_REP	0;
	6967	0	CT_TBRCH	7531	BR_STATUS	CT_REP	0;
	6968	0	CT_TBRCH	7532	BR_STATUS	CT_REP	0;
	6969	0	CT_TBRCH	7533	BR_STATUS	CT_REP	0;
	6970	0	CT_TBRCH	7534	BR_STATUS	CT_REP	0;
	6971	0	CT_TBRCH	7535	BR_STATUS	CT_REP	0;
	6972	0	CT_TBRCH	7536	BR_STATUS	CT_REP	0;
	6973	0	CT_TBRCH	7537	BR_STATUS	CT_REP	0;
	6974	0	CT_TBRCH	7538	BR_STATUS	CT_REP	0;
	6975	0	CT_TBRCH	7539	BR_STATUS	CT_REP	0;
	6976	0	CT_TBRCH	7540	BR_STATUS	CT_REP	0;
	6977	0	CT_TBRCH	7541	BR_STATUS	CT_REP	0;
	6978	0	CT_TBRCH	7542	BR_STATUS	CT_REP	0;
	6979	0	CT_TBRCH	7543	BR_STATUS	CT_REP	0;
	6980	0	CT_TBRCH	7544	BR_STATUS	CT_REP	0;
	6981	0	CT_TBRCH	7545	BR_STATUS	CT_REP	0;
	6982	0	CT_TBRCH	7546	BR_STATUS	CT_REP	0;
	6983	0	CT_TBRCH	7547	BR_STATUS	CT_REP	0;
	6984	0	CT_TBRCH	7548	BR_STATUS	CT_REP	0;
	6985	0	CT_TBRCH	7549	BR_STATUS	CT_REP	0;
	6986	0	CT_TBRCH	7550	BR_STATUS	CT_REP	0;
	6987	0	CT_TBRCH	7551	BR_STATUS	CT_REP	0;
	6988	0	CT_TBRCH	7552	BR_STATUS	CT_REP	0;
	6989	0	CT_TBRCH	7553	BR_STATUS	CT_REP	0;
	6990	0	CT_TBRCH	7554	BR_STATUS	CT_REP	0;
	6991	0	CT_TBRCH	7555	BR_STATUS	CT_REP	0;
	6992	0	CT_TBRCH	7556	BR_STATUS	CT_REP	0;
	6993	0	CT_TBRCH	7557	BR_STATUS	CT_REP	0;
	6994	0	CT_TBRCH	7558	BR_STATUS	CT_REP	0;
	6995	0	CT_TBRCH	7559	BR_STATUS	CT_REP	0;
	6996	0	CT_TBRCH	7560	BR_STATUS	CT_REP	0;
	6997	0	CT_TBRCH	7561	BR_STATUS	CT_REP	0;
	6998	0	CT_TBRCH	7562	BR_STATUS	CT_REP	0;
	6999	0	CT_TBRCH	7563	BR_STATUS	CT_REP	0;
	7000	0	CT_TBRCH	7564	BR_STATUS	CT_REP	0;
	7001	0	CT_TBRCH	7565	BR_STATUS	CT_REP	0;
	7002	0	CT_TBRCH	7566	BR_STATUS	CT_REP	0;
	7003	0	CT_TBRCH	7567	BR_STATUS	CT_REP	0;
	7004	0	CT_TBRCH	7568	BR_STATUS	CT_REP	0;
	7005	0	CT_TBRCH	7569	BR_STATUS	CT_REP	0;
	7006	0	CT_TBRCH	7570	BR_STATUS	CT_REP	0;
	7007	0	CT_TBRCH	7571	BR_STATUS	CT_REP	0;
	7008	0	CT_TBRCH	7572	BR_STATUS	CT_REP	0;
	7009	0	CT_TBRCH	7573	BR_STATUS	CT_REP	0;
	7010	0	CT_TBRCH	7574	BR_STATUS	CT_REP	0;
	7011	0	CT_TBRCH	7575	BR_STATUS	CT_REP	0;
	7012	0	CT_TBRCH	7576	BR_STATUS	CT_REP	0;
	7013	0	CT_TBRCH	7577	BR_STATUS	CT_REP	0;
	7014	0	CT_TBRCH	7578	BR_STATUS	CT_REP	0;
	7015	0	CT_TBRCH	7579	BR_STATUS	CT_REP	0;
	7016	0	CT_TBRCH	7580	BR_STATUS	CT_REP	0;
	7017	0	CT_TBRCH	7581	BR_STATUS	CT_REP	0;
	7018	0	CT_TBRCH	7582	BR_STATUS	CT_REP	0;
	7019	0	CT_TBRCH	7583	BR_STATUS	CT_REP	0;
	7020	0	CT_TBRCH	7584	BR_STATUS	CT_REP	0;
	7021	0	CT_TBRCH	7585	BR_STATUS	CT_REP	0;
	7022	0	CT_TBRCH	7586	BR_STATUS	CT_REP	0;
	7023	0	CT_TBRCH	7587	BR_STATUS	CT_REP	0;
	7024	0	CT_TBRCH	7588	BR_STATUS	CT_REP	0;
	7025	0	CT_TBRCH	7589	BR_STATUS	CT_REP	0;
	7026	0	CT_TBRCH	7590	BR_STATUS	CT_REP	0;
	7027	0	CT_TBRCH	7591	BR_STATUS	CT_REP	0;
	7028	0	CT_TBRCH	7592	BR_STATUS	CT_REP	0;
	7029	0	CT_TBRCH	7593	BR_STATUS	CT_REP	0;
	7030	0	CT_TBRCH	7594	BR_STATUS	CT_REP	0;
	7031	0	CT_TBRCH	7595	BR_STATUS	CT_REP	0;
	7032	0	CT_TBRCH	7596	BR_STATUS	CT_REP	0;
	7033	0	CT_TBRCH	7597	BR_STATUS	CT_REP	0;
	7034	0	CT_TBRCH	7598	BR_STATUS	CT_REP	0;
	7035	0	CT_TBRCH	7599	BR_STATUS	CT_REP	0;
	7036	0	CT_TBRCH	7600	BR_STATUS	CT_REP	0;
	7037	0	CT_TBRCH	7601	BR_STATUS	CT_REP	0;
	7038	0	CT_TBRCH	7602	BR_STATUS	CT_REP	0;
	7039	0	CT_TBRCH	7603	BR_STATUS	CT_REP	0;
	7040	0	CT_TBRCH	7604	BR_STATUS	CT_REP	0;
	7041	0	CT_TBRCH	7605	BR_STATUS	CT_REP	0;
	7042	0	CT_TBRCH	7606	BR_STATUS	CT_REP	0;
	7043	0	CT_TBRCH	7607	BR_STATUS	CT_REP	0;
	7044	0	CT_TBRCH	7608	BR_STATUS	CT_REP	0;
	7045	0	CT_TBRCH	7609	BR_STATUS	CT_REP	0;
	7046	0	CT_TBRCH	7610	BR_STATUS	CT_REP	0;
	7047	0	CT_TBRCH	7611	BR_STATUS	CT_REP	0;
	7048	0	CT_TBRCH	7612	BR_STATUS	CT_REP	0;
	7049	0	CT_TBRCH	7613	BR_STATUS	CT_REP	0;
	7050	0	CT_TBRCH	7614	BR_STATUS	CT_REP	0;
	7051	0	CT_TBRCH	7615	BR_STATUS	CT_REP	0;
	7052	0	CT_TBRCH	7616	BR_STATUS	CT_REP	0;
	7053	0	CT_TBRCH	7617	BR_STATUS	CT_REP	0;
	7054	0	CT_TBRCH	7618	BR_STATUS	CT_REP	0;
	7055	0	CT_TBRCH	7619	BR_STATUS	CT_REP	0;
	7056	0	CT_TBRCH	7620	BR_STATUS	CT_REP	0;
	7057	0	CT_TBRCH	7621	BR_STATUS	CT_REP	0;
	7058	0	CT_TBRCH	7622	BR_STATUS	CT_REP	0;
	7059	0	CT_TBRCH	7623	BR_STATUS	CT_REP	0;
	7060	0	CT_TBRCH	7624	BR_STATUS	CT_REP	0;
	7061	0	CT_TBRCH	7625	BR_STATUS	CT_REP	0;
	7062	0	CT_TBRCH	7626	BR_STATUS	CT_REP	0;
	7063	0	CT_TBRCH	7627	BR_STATUS	CT_REP	0;
	7064	0	CT_TBRCH	7628	BR_STATUS	CT_REP	0;
	7065	0	CT_TBRCH	7629	BR_STATUS	CT_REP	0;
	7066	0	CT_TBRCH	7630	BR_STATUS	CT_REP	0;
	7067	0	CT_TBRCH	7631	BR_STATUS	CT_REP	0;
	7068	0	CT_TBRCH	7632	BR_STATUS	CT_REP	0;
	7069	0	CT_TBRCH	7633	BR_STATUS	CT_REP	0;
	7070	0	CT_TBRCH	7634	BR_STATUS	CT_REP	0;
	7071	0	CT_TBRCH	7635	BR_STATUS	CT_REP	0;
	7072	0	CT_TBRCH	7636	BR_STATUS	CT_REP	0;
	7073	0	CT_TBRCH	7637	BR_STATUS	CT_REP	0;
	7074	0	CT_TBRCH	7638	BR_STATUS	CT_REP	0;
	7075	0	CT_TBRCH	7639	BR_STATUS	CT_REP	0;
	7076	0	CT_TBRCH	7640	BR_STATUS	CT_REP	0;
	7077	0	CT_TBRCH	7641	BR_STATUS	CT_REP	0;
	7078	0	CT_TBRCH	7642	BR_STATUS	CT_REP	0;
	7079	0	CT_TBRCH	7643	BR_STATUS	CT_REP	0;
	7080	0	CT_TBRCH	7644	BR_STATUS	CT_REP	0;
	7081	0	CT_TBRCH	7645	BR_STATUS	CT_REP	0;
	7082	0	CT_TBRCH	7646	BR_STATUS	CT_REP	0;
	7083	0	CT_TBRCH	7647	BR_STATUS	CT_REP	0;
	7084	0	CT_TBRCH	7648	BR_STATUS	CT_REP	0;
	7085	0	CT_TBRCH	7649	BR_STATUS	CT_REP	0;
	7086	0	CT_TBRCH	7650	BR_STATUS	CT_REP	0;
	7087	0	CT_TBRCH	7651	BR_STATUS	CT_REP	0;
	7088	0	CT_TBRCH	7652	BR_STATUS	CT_REP	0;
	7089	0	CT_TBRCH	7653	BR_STATUS	CT_REP	0;
	7090	0	CT_TBRCH	7654	BR_STATUS	CT_REP	0;
	7091	0	CT_TBRCH	7655	BR_STATUS	CT_REP	0;
	7092	0	CT_TBRCH	7656	BR_STATUS	CT_REP	0;
	7093	0	CT_TBRCH	7657	BR_STATUS	CT_REP	0;
	7094	0	CT_TBRCH	7658	BR_STATUS	CT_REP	0;
	7095	0	CT_TBRCH	7659	BR_STATUS	CT_REP	0;
	7096	0	CT_TBRCH	7660	BR_STATUS	CT_REP	0;
	7097	0	CT_TBRCH	7661	BR_STATUS	CT_REP	0;
	7098	0	CT_TBRCH	7662	BR_STATUS	CT_REP	0;
	7099	0	CT_TBRCH	7665	BR_STATUS	CT_REP	0;
	7100	0	CT_TBRCH	7667	BR_STATUS	CT_REP	0;
	7101	0	CT_TBRCH	7668	BR_STATUS	CT_REP	0;
	7102	0	CT_TBRCH	7669	BR_STATUS	CT_REP	0;
	7103	0	CT_TBRCH	7670	BR_STATUS	CT_REP	0;
	7104	0	CT_TBRCH	7671	BR_STATUS	CT_REP	0;
	7105	0	CT_TBRCH	7672	BR_STATUS	CT_REP	0;
	7106	0	CT_TBRCH	7673	BR_STATUS	CT_REP	0;
	7107	0	CT_TBRCH	7674	BR_STATUS	CT_REP	0;
	7108	0	CT_TBRCH	7675	BR_STATUS	CT_REP	0;
	7109	0	CT_TBRCH	7676	BR_STATUS	CT_REP	0;
	7110	0	CT_TBRCH	7677	BR_STATUS	CT_REP	0;
	7111	0	CT_TBRCH	7678	BR_STATUS	CT_REP	0;
	7112	0	CT_TBRCH	7679	BR_STATUS	CT_REP	0;
	7113	0	CT_TBRCH	7680	BR_STATUS	CT_REP	0;
	7114	0	CT_TBRCH	7681	BR_STATUS	CT_REP	0;
	7115	0	CT_TBRCH	7682	BR_STATUS	CT_REP	0;
	7116	0	CT_TBRCH	7683	BR_STATUS	CT_REP	0;
	7117	0	CT_TBRCH	7684	BR_STATUS	CT_REP	0;
	7118	0	CT_TBRCH	7685	BR_STATUS	CT_REP	0;
	7119	0	CT_TBRCH	7686	BR_STATUS	CT_REP	0;
	7120	0	CT_TBRCH	7687	BR_STATUS	CT_REP	0;
	7121	0	CT_TBRCH	7688	BR_STATUS	CT_REP	0;
	7122	0	CT_TBRCH	7689	BR_STATUS	CT_REP	0;
	7123	0	CT_TBRCH	7690	BR_STATUS	CT_REP	0;
	7124	0	CT_TBRCH	7691	BR_STATUS	CT_REP	0;
	7125	0	CT_TBRCH	7692	BR_STATUS	CT_REP	0;
	7126	0	CT_TBRCH	7693	BR_STATUS	CT_REP	0;
	7127	0	CT_TBRCH	7694	BR_STATUS	CT_REP	0;
	7128	0	CT_TBRCH	7695	BR_STATUS	CT_REP	0;
	7129	0	CT_TBRCH	7696	BR_STATUS	CT_REP	0;
	7130	0	CT_TBRCH	7697	BR_STATUS	CT_REP	0;
	7131	0	CT_TBRCH	7698	BR_STATUS	CT_REP	0;
	7132	0	CT_TBRCH	7699	BR_STATUS	CT_REP	0;
	7133	0	CT_TBRCH	7700	BR_STATUS	CT_REP	0;
	7134	0	CT_TBRCH	7701	BR_STATUS	CT_REP	0;
	7135	0	CT_TBRCH	7702	BR_STATUS	CT_REP	0;
	7136	0	CT_TBRCH	7703	BR_STATUS	CT_REP	0;
	7137	0	CT_TBRCH	7704	BR_STATUS	CT_REP	0;
	7138	0	CT_TBRCH	7705	BR_STATUS	CT_REP	0;
	7139	0	CT_TBRCH	7706	BR_STATUS	CT_REP	0;
	7140	0	CT_TBRCH	7707	BR_STATUS	CT_REP	0;
	7141	0	CT_TBRCH	7708	BR_STATUS	CT_REP	0;
	7142	0	CT_TBRCH	7709	BR_STATUS	CT_REP	0;
	7143	0	CT_TBRCH	7710	BR_STATUS	CT_REP	0;
	7144	0	CT_TBRCH	7711	BR_STATUS	CT_REP	0;
	7145	0	CT_TBRCH	7712	BR_STATUS	CT_REP	0;
	7146	0	CT_TBRCH	7713	BR_STATUS	CT_REP	0;
	7147	0	CT_TBRCH	7714	BR_STATUS	CT_REP	0;
	7148	0	CT_TBRCH	7715	BR_STATUS	CT_REP	0;
	7149	0	CT_TBRCH	7716	BR_STATUS	CT_REP	0;
	7150	0	CT_TBRCH	7717	BR_STATUS	CT_REP	0;
	7151	0	CT_TBRCH	7718	BR_STATUS	CT_REP	0;
	7152	0	CT_TBRCH	7719	BR_STATUS	CT_REP	0;
	7153	0	CT_TBRCH	7720	BR_STATUS	CT_REP	0;
	7154	0	CT_TBRCH	7721	BR_STATUS	CT_REP	0;
	7155	0	CT_TBRCH	7722	BR_STATUS	CT_REP	0;
	7156	0	CT_TBRCH	7723	BR_STATUS	CT_REP	0;
	7157	0	CT_TBRCH	7724	BR_STATUS	CT_REP	0;
	7158	0	CT_TBRCH	7725	BR_STATUS	CT_REP	0;
	7159	0	CT_TBRCH	7726	BR_STATUS	CT_REP	0;
	7160	0	CT_TBRCH	7727	BR_STATUS	CT_REP	0;
	7161	0	CT_TBRCH	7728	BR_STATUS	CT_REP	0;
	7162	0	CT_TBRCH	7729	BR_STATUS	CT_REP	0;
	7163	0	CT_TBRCH	7730	BR_STATUS	CT_REP	0;
	7164	0	CT_TBRCH	7731	BR_STATUS	CT_REP	0;
	7165	0	CT_TBRCH	7732	BR_STATUS	CT_REP	0;
	7166	0	CT_TBRCH	7733	BR_STATUS	CT_REP	0;
	7167	0	CT_TBRCH	7734	BR_STATUS	CT_REP	0;
	7168	0	CT_TBRCH	7735	BR_STATUS	CT_REP	0;
	7169	0	CT_TBRCH	7736	BR_STATUS	CT_REP	0;
	7170	0	CT_TBRCH	7737	BR_STATUS	CT_REP	0;
	7171	0	CT_TBRCH	7738	BR_STATUS	CT_REP	0;
	7172	0	CT_TBRCH	7739	BR_STATUS	CT_REP	0;
	7173	0	CT_TBRCH	7740	BR_STATUS	CT_REP	0;
	7174	0	CT_TBRCH	7741	BR_STATUS	CT_REP	0;
	7175	0	CT_TBRCH	7742	BR_STATUS	CT_REP	0;
	7176	0	CT_TBRCH	7743	BR_STATUS	CT_REP	0;
	7177	0	CT_TBRCH	7744	BR_STATUS	CT_REP	0;
	7178	0	CT_TBRCH	7745	BR_STATUS	CT_REP	0;
	7179	0	CT_TBRCH	7746	BR_STATUS	CT_REP	0;
	7180	0	CT_TBRCH	7747	BR_STATUS	CT_REP	0;
	7181	0	CT_TBRCH	7748	BR_STATUS	CT_REP	0;
	7182	0	CT_TBRCH	7749	BR_STATUS	CT_REP	0;
	7183	0	CT_TBRCH	7750	BR_STATUS	CT_REP	0;
	7184	0	CT_TBRCH	7751	BR_STATUS	CT_REP	0;
	7185	0	CT_TBRCH	7752	BR_STATUS	CT_REP	0;
	7186	0	CT_TBRCH	7753	BR_STATUS	CT_REP	0;
	7187	0	CT_TBRCH	7754	BR_STATUS	CT_REP	0;
	7188	0	CT_TBRCH	7755	BR_STATUS	CT_REP	0;
	7189	0	CT_TBRCH	7756	BR_STATUS	CT_REP	0;
	7190	0	CT_TBRCH	7757	BR_STATUS	CT_REP	0;
	7191	0	CT_TBRCH	7758	BR_STATUS	CT_REP	0;
	7192	0	CT_TBRCH	7759	BR_STATUS	CT_REP	0;
	7193	0	CT_TBRCH	7760	BR_STATUS	CT_REP	0;
	7194	0	CT_TBRCH	7761	BR_STATUS	CT_REP	0;
	7195	0	CT_TBRCH	7762	BR_STATUS	CT_REP	0;
	7196	0	CT_TBRCH	7763	BR_STATUS	CT_REP	0;
	7197	0	CT_TBRCH	7764	BR_STATUS	CT_REP	0;
	7198	0	CT_TBRCH	7765	BR_STATUS	CT_REP	0;
	7199	0	CT_TBRCH	7766	BR_STATUS	CT_REP	0;
	7200	0	CT_TBRCH	7767	BR_STATUS	CT_REP	0;
	7201	0	CT_TBRCH	7768	BR_STATUS	CT_REP	0;
	7202	0	CT_TBRCH	7769	BR_STATUS	CT_REP	0;
	7203	0	CT_TBRCH	7770	BR_STATUS	CT_REP	0;
	7204	0	CT_TBRCH	7771	BR_STATUS	CT_REP	0;
	7205	0	CT_TBRCH	7772	BR_STATUS	CT_REP	0;
	7206	0	CT_TBRCH	7773	BR_STATUS	CT_REP	0;
	7207	0	CT_TBRCH	7774	BR_STATUS	CT_REP	0;
	7208	0	CT_TBRCH	7775	BR_STATUS	CT_REP	0;
	7209	0	CT_TBRCH	7776	BR_STATUS	CT_REP	0;
	7210	0	CT_TBRCH	7777	BR_STATUS	CT_REP	0;
	7211	0	CT_TBRCH	7778	BR_STATUS	CT_REP	0;
	7212	0	CT_TBRCH	7779	BR_STATUS	CT_REP	0;
	7213	0	CT_TBRCH	7780	BR_STATUS	CT_REP	0;
	7214	0	CT_TBRCH	7781	BR_STATUS	CT_REP	0;
	7215	0	CT_TBRCH	7784	BR_STATUS	CT_REP	0;
	7216	0	CT_TBRCH	7785	BR_STATUS	CT_REP	0;
	7217	0	CT_TBRCH	7786	BR_STATUS	CT_REP	0;
	7218	0	CT_TBRCH	7790	BR_STATUS	CT_REP	0;
	7219	0	CT_TBRCH	7791	BR_STATUS	CT_REP	0;
	7220	0	CT_TBRCH	7792	BR_STATUS	CT_REP	0;
	7221	0	CT_TBRCH	7794	BR_STATUS	CT_REP	0;
	7222	0	CT_TBRCH	7795	BR_STATUS	CT_REP	0;
	7223	0	CT_TBRCH	7796	BR_STATUS	CT_REP	0;
	7224	0	CT_TBRCH	7797	BR_STATUS	CT_REP	0;
	7225	0	CT_TBRCH	7798	BR_STATUS	CT_REP	0;
	7226	0	CT_TBRCH	7799	BR_STATUS	CT_REP	0;
	7227	0	CT_TBRCH	7800	BR_STATUS	CT_REP	0;
	7228	0	CT_TBRCH	7801	BR_STATUS	CT_REP	0;
	7229	0	CT_TBRCH	7802	BR_STATUS	CT_REP	0;
	7230	0	CT_TBRCH	7803	BR_STATUS	CT_REP	0;
	7231	0	CT_TBRCH	7804	BR_STATUS	CT_REP	0;
	7232	0	CT_TBRCH	7805	BR_STATUS	CT_REP	0;
	7233	0	CT_TBRCH	7806	BR_STATUS	CT_REP	0;
	7234	0	CT_TBRCH	7807	BR_STATUS	CT_REP	0;
	7235	0	CT_TBRCH	7808	BR_STATUS	CT_REP	0;
	7236	0	CT_TBRCH	7809	BR_STATUS	CT_REP	0;
	7237	0	CT_TBRCH	7810	BR_STATUS	CT_REP	0;
	7238	0	CT_TBRCH	7811	BR_STATUS	CT_REP	0;
	7239	0	CT_TBRCH	7812	BR_STATUS	CT_REP	0;
	7240	0	CT_TBRCH	7813	BR_STATUS	CT_REP	0;
	7241	0	CT_TBRCH	7814	BR_STATUS	CT_REP	0;
	7242	0	CT_TBRCH	7815	BR_STATUS	CT_REP	0;
	7243	0	CT_TBRCH	7816	BR_STATUS	CT_REP	0;
	7244	0	CT_TBRCH	7817	BR_STATUS	CT_REP	0;
	7245	0	CT_TBRCH	7818	BR_STATUS	CT_REP	0;
	7246	0	CT_TBRCH	7819	BR_STATUS	CT_REP	0;
	7247	0	CT_TBRCH	7820	BR_STATUS	CT_REP	0;
	7248	0	CT_TBRCH	7821	BR_STATUS	CT_REP	0;
	7249	0	CT_TBRCH	7822	BR_STATUS	CT_REP	0;
	7250	0	CT_TBRCH	7823	BR_STATUS	CT_REP	0;
	7251	0	CT_TBRCH	7824	BR_STATUS	CT_REP	0;
	7252	0	CT_TBRCH	7825	BR_STATUS	CT_REP	0;
	7253	0	CT_TBRCH	7826	BR_STATUS	CT_REP	0;
	7254	0	CT_TBRCH	7827	BR_STATUS	CT_REP	0;
	7255	0	CT_TBRCH	7828	BR_STATUS	CT_REP	0;
	7256	0	CT_TBRCH	7829	BR_STATUS	CT_REP	0;
	7257	0	CT_TBRCH	7830	BR_STATUS	CT_REP	0;
	7258	0	CT_TBRCH	7831	BR_STATUS	CT_REP	0;
	7259	0	CT_TBRCH	7832	BR_STATUS	CT_REP	0;
	7260	0	CT_TBRCH	7833	BR_STATUS	CT_REP	0;
	7261	0	CT_TBRCH	7834	BR_STATUS	CT_REP	0;
	7262	0	CT_TBRCH	7835	BR_STATUS	CT_REP	0;
	7263	0	CT_TBRCH	7836	BR_STATUS	CT_REP	0;
	7264	0	CT_TBRCH	7837	BR_STATUS	CT_REP	0;
	7265	0	CT_TBRCH	7838	BR_STATUS	CT_REP	0;
	7266	0	CT_TBRCH	7839	BR_STATUS	CT_REP	0;
	7267	0	CT_TBRCH	7840	BR_STATUS	CT_REP	0;
	7268	0	CT_TBRCH	7841	BR_STATUS	CT_REP	0;
	7269	0	CT_TBRCH	7842	BR_STATUS	CT_REP	0;
	7270	0	CT_TBRCH	7843	BR_STATUS	CT_REP	0;
	7271	0	CT_TBRCH	7844	BR_STATUS	CT_REP	0;
	7272	0	CT_TBRCH	7845	BR_STATUS	CT_REP	0;
	7273	0	CT_TBRCH	7846	BR_STATUS	CT_REP	0;
	7274	0	CT_TBRCH	7847	BR_STATUS	CT_REP	0;
	7275	0	CT_TBRCH	7848	BR_STATUS	CT_REP	0;
	7276	0	CT_TBRCH	7849	BR_STATUS	CT_REP	0;
	7277	0	CT_TBRCH	7850	BR_STATUS	CT_REP	0;
	7278	0	CT_TBRCH	7851	BR_STATUS	CT_REP	0;
	7279	0	CT_TBRCH	7852	BR_STATUS	CT_REP	0;
	7280	0	CT_TBRCH	7853	BR_STATUS	CT_REP	0;
	7281	0	CT_TBRCH	7854	BR_STATUS	CT_REP	0;
	7282	0	CT_TBRCH	7856	BR_STATUS	CT_REP	0;
	7283	0	CT_TBRCH	7857	BR_STATUS	CT_REP	0;
	7284	0	CT_TBRCH	7858	BR_STATUS	CT_REP	0;
	7285	0	CT_TBRCH	7860	BR_STATUS	CT_REP	0;
	7286	0	CT_TBRCH	7862	BR_STATUS	CT_REP	0;
	7287	0	CT_TBRCH	7863	BR_STATUS	CT_REP	0;
	7288	0	CT_TBRCH	7864	BR_STATUS	CT_REP	0;
	7289	0	CT_TBRCH	7865	BR_STATUS	CT_REP	0;
	7290	0	CT_TBRCH	7866	BR_STATUS	CT_REP	0;
	7291	0	CT_TBRCH	7867	BR_STATUS	CT_REP	0;
	7292	0	CT_TBRCH	7868	BR_STATUS	CT_REP	0;
	7293	0	CT_TBRCH	7869	BR_STATUS	CT_REP	0;
	7294	0	CT_TBRCH	7870	BR_STATUS	CT_REP	0;
	7295	0	CT_TBRCH	7871	BR_STATUS	CT_REP	0;
	7296	0	CT_TBRCH	7872	BR_STATUS	CT_REP	0;
	7297	0	CT_TBRCH	7876	BR_STATUS	CT_REP	0;
	7298	0	CT_TBRCH	7877	BR_STATUS	CT_REP	0;
	7299	0	CT_TBRCH	7878	BR_STATUS	CT_REP	0;
	7300	0	CT_TBRCH	7879	BR_STATUS	CT_REP	0;
	7301	0	CT_TBRCH	7880	BR_STATUS	CT_REP	0;
	7302	0	CT_TBRCH	7882	BR_STATUS	CT_REP	0;
	7303	0	CT_TBRCH	7883	BR_STATUS	CT_REP	0;
	7304	0	CT_TBRCH	7886	BR_STATUS	CT_REP	0;
	7305	0	CT_TBRCH	7887	BR_STATUS	CT_REP	0;
	7306	0	CT_TBRCH	7888	BR_STATUS	CT_REP	0;
	7307	0	CT_TBRCH	7889	BR_STATUS	CT_REP	0;
	7308	0	CT_TBRCH	7890	BR_STATUS	CT_REP	0;
	7309	0	CT_TBRCH	7891	BR_STATUS	CT_REP	0;
	7310	0	CT_TBRCH	7893	BR_STATUS	CT_REP	0;
	7311	0	CT_TBRCH	7894	BR_STATUS	CT_REP	0;
	7312	0	CT_TBRCH	7895	BR_STATUS	CT_REP	0;
	7313	0	CT_TBRCH	7896	BR_STATUS	CT_REP	0;
	7314	0	CT_TBRCH	7898	BR_STATUS	CT_REP	0;
	7315	0	CT_TBRCH	7899	BR_STATUS	CT_REP	0;
	7316	0	CT_TBRCH	7901	BR_STATUS	CT_REP	0;
	7317	0	CT_TBRCH	7902	BR_STATUS	CT_REP	0;
	7318	0	CT_TBRCH	7903	BR_STATUS	CT_REP	0;
	7319	0	CT_TBRCH	7904	BR_STATUS	CT_REP	0;
	7320	0	CT_TBRCH	7905	BR_STATUS	CT_REP	0;
	7321	0	CT_TBRCH	7907	BR_STATUS	CT_REP	0;
	7322	0	CT_TBRCH	7909	BR_STATUS	CT_REP	0;
	7323	0	CT_TBRCH	7912	BR_STATUS	CT_REP	0;
	7324	0	CT_TBRCH	7913	BR_STATUS	CT_REP	0;
	7325	0	CT_TBRCH	7916	BR_STATUS	CT_REP	0;
	7326	0	CT_TBRCH	7918	BR_STATUS	CT_REP	0;
	7327	0	CT_TBRCH	7919	BR_STATUS	CT_REP	0;
	7328	0	CT_TBRCH	7922	BR_STATUS	CT_REP	0;
	7329	0	CT_TBRCH	7923	BR_STATUS	CT_REP	0;
	7330	0	CT_TBRCH	7924	BR_STATUS	CT_REP	0;
	7331	0	CT_TBRCH	7925	BR_STATUS	CT_REP	0;
	7332	0	CT_TBRCH	7926	BR_STATUS	CT_REP	0;
	7333	0	CT_TBRCH	7927	BR_STATUS	CT_REP	0;
	7334	0	CT_TBRCH	7928	BR_STATUS	CT_REP	0;
	7335	0	CT_TBRCH	7929	BR_STATUS	CT_REP	0;
	7336	0	CT_TBRCH	7930	BR_STATUS	CT_REP	0;
	7337	0	CT_TBRCH	7931	BR_STATUS	CT_REP	0;
	7338	0	CT_TBRCH	7932	BR_STATUS	CT_REP	0;
	7339	0	CT_TBRCH	7933	BR_STATUS	CT_REP	0;
	7340	0	CT_TBRCH	7934	BR_STATUS	CT_REP	0;
	7341	0	CT_TBRCH	7935	BR_STATUS	CT_REP	0;
	7342	0	CT_TBRCH	7936	BR_STATUS	CT_REP	0;
	7343	0	CT_TBRCH	7937	BR_STATUS	CT_REP	0;
	7344	0	CT_TBRCH	7938	BR_STATUS	CT_REP	0;
	7345	0	CT_TBRCH	7940	BR_STATUS	CT_REP	0;
	7346	0	CT_TBRCH	7941	BR_STATUS	CT_REP	0;
	7347	0	CT_TBRCH	7943	BR_STATUS	CT_REP	0;
	7348	0	CT_TBRCH	7945	BR_STATUS	CT_REP	0;
	7349	0	CT_TBRCH	7946	BR_STATUS	CT_REP	0;
	7350	0	CT_TBRCH	7947	BR_STATUS	CT_REP	0;
	7351	0	CT_TBRCH	7948	BR_STATUS	CT_REP	0;
	7352	0	CT_TBRCH	7949	BR_STATUS	CT_REP	0;
	7353	0	CT_TBRCH	7950	BR_STATUS	CT_REP	0;
	7354	0	CT_TBRCH	7951	BR_STATUS	CT_REP	0;
	7355	0	CT_TBRCH	7952	BR_STATUS	CT_REP	0;
	7356	0	CT_TBRCH	7953	BR_STATUS	CT_REP	0;
	7357	0	CT_TBRCH	7954	BR_STATUS	CT_REP	0;
	7358	0	CT_TBRCH	7955	BR_STATUS	CT_REP	0;
	7359	0	CT_TBRCH	7956	BR_STATUS	CT_REP	0;
	7360	0	CT_TBRCH	7957	BR_STATUS	CT_REP	0;
	7361	0	CT_TBRCH	7958	BR_STATUS	CT_REP	0;
	7362	0	CT_TBRCH	7959	BR_STATUS	CT_REP	0;
	7363	0	CT_TBRCH	7960	BR_STATUS	CT_REP	0;
	7364	0	CT_TBRCH	7961	BR_STATUS	CT_REP	0;
	7365	0	CT_TBRCH	7962	BR_STATUS	CT_REP	0;
	7366	0	CT_TBRCH	7963	BR_STATUS	CT_REP	0;
	7367	0	CT_TBRCH	7964	BR_STATUS	CT_REP	0;
	7368	0	CT_TBRCH	7965	BR_STATUS	CT_REP	0;
	7369	0	CT_TBRCH	7966	BR_STATUS	CT_REP	0;
	7370	0	CT_TBRCH	7967	BR_STATUS	CT_REP	0;
	7371	0	CT_TBRCH	7968	BR_STATUS	CT_REP	0;
	7372	0	CT_TBRCH	7969	BR_STATUS	CT_REP	0;
	7373	0	CT_TBRCH	7970	BR_STATUS	CT_REP	0;
	7374	0	CT_TBRCH	7971	BR_STATUS	CT_REP	0;
	7375	0	CT_TBRCH	7973	BR_STATUS	CT_REP	0;
	7376	0	CT_TBRCH	7977	BR_STATUS	CT_REP	0;
	7377	0	CT_TBRCH	7978	BR_STATUS	CT_REP	0;
	7378	0	CT_TBRCH	7979	BR_STATUS	CT_REP	0;
	7379	0	CT_TBRCH	7980	BR_STATUS	CT_REP	0;
	7380	0	CT_TBRCH	7982	BR_STATUS	CT_REP	0;
	7381	0	CT_TBRCH	7983	BR_STATUS	CT_REP	0;
	7382	0	CT_TBRCH	7985	BR_STATUS	CT_REP	0;
	7383	0	CT_TBRCH	7986	BR_STATUS	CT_REP	0;
	7384	0	CT_TBRCH	7987	BR_STATUS	CT_REP	0;
	7385	0	CT_TBRCH	7988	BR_STATUS	CT_REP	0;
	7386	0	CT_TBRCH	7990	BR_STATUS	CT_REP	0;
	7387	0	CT_TBRCH	7993	BR_STATUS	CT_REP	0;
	7388	0	CT_TBRCH	7995	BR_STATUS	CT_REP	0;
	7389	0	CT_TBRCH	7996	BR_STATUS	CT_REP	0;
	7390	0	CT_TBRCH	7997	BR_STATUS	CT_REP	0;
	7391	0	CT_TBRCH	7998	BR_STATUS	CT_REP	0;
	7392	0	CT_TBRCH	8004	BR_STATUS	CT_REP	0;
	7393	0	CT_TBRCH	8005	BR_STATUS	CT_REP	0;
	7394	0	CT_TBRCH	8006	BR_STATUS	CT_REP	0;
	7395	0	CT_TBRCH	8007	BR_STATUS	CT_REP	0;
	7396	0	CT_TBRCH	8008	BR_STATUS	CT_REP	0;
	7397	0	CT_TBRCH	8009	BR_STATUS	CT_REP	0;
	7398	0	CT_TBRCH	8010	BR_STATUS	CT_REP	0;
	7399	0	CT_TBRCH	8011	BR_STATUS	CT_REP	0;
	7400	0	CT_TBRCH	8012	BR_STATUS	CT_REP	0;
	7401	0	CT_TBRCH	8013	BR_STATUS	CT_REP	0;
	7402	0	CT_TBRCH	8014	BR_STATUS	CT_REP	0;
	7403	0	CT_TBRCH	8015	BR_STATUS	CT_REP	0;
	7404	0	CT_TBRCH	8016	BR_STATUS	CT_REP	0;
	7405	0	CT_TBRCH	8017	BR_STATUS	CT_REP	0;
	7406	0	CT_TBRCH	8018	BR_STATUS	CT_REP	0;
	7407	0	CT_TBRCH	8019	BR_STATUS	CT_REP	0;
	7408	0	CT_TBRCH	8020	BR_STATUS	CT_REP	0;
	7409	0	CT_TBRCH	8021	BR_STATUS	CT_REP	0;
	7410	0	CT_TBRCH	8022	BR_STATUS	CT_REP	0;
	7411	0	CT_TBRCH	8023	BR_STATUS	CT_REP	0;
	7412	0	CT_TBRCH	8024	BR_STATUS	CT_REP	0;
	7413	0	CT_TBRCH	8025	BR_STATUS	CT_REP	0;
	7414	0	CT_TBRCH	8026	BR_STATUS	CT_REP	0;
	7415	0	CT_TBRCH	8027	BR_STATUS	CT_REP	0;
	7416	0	CT_TBRCH	8028	BR_STATUS	CT_REP	0;
	7417	0	CT_TBRCH	8029	BR_STATUS	CT_REP	0;
	7418	0	CT_TBRCH	8030	BR_STATUS	CT_REP	0;
	7419	0	CT_TBRCH	8031	BR_STATUS	CT_REP	0;
	7420	0	CT_TBRCH	8032	BR_STATUS	CT_REP	0;
	7421	0	CT_TBRCH	8033	BR_STATUS	CT_REP	0;
	7422	0	CT_TBRCH	8034	BR_STATUS	CT_REP	0;
	7423	0	CT_TBRCH	8035	BR_STATUS	CT_REP	0;
	7424	0	CT_TBRCH	8036	BR_STATUS	CT_REP	0;
	7425	0	CT_TBRCH	8037	BR_STATUS	CT_REP	0;
	7426	0	CT_TBRCH	8038	BR_STATUS	CT_REP	0;
	7427	0	CT_TBRCH	8039	BR_STATUS	CT_REP	0;
	7428	0	CT_TBRCH	8040	BR_STATUS	CT_REP	0;
	7429	0	CT_TBRCH	8041	BR_STATUS	CT_REP	0;
	7430	0	CT_TBRCH	8042	BR_STATUS	CT_REP	0;
	7431	0	CT_TBRCH	8043	BR_STATUS	CT_REP	0;
	7432	0	CT_TBRCH	8044	BR_STATUS	CT_REP	0;
	7433	0	CT_TBRCH	8045	BR_STATUS	CT_REP	0;
	7434	0	CT_TBRCH	8046	BR_STATUS	CT_REP	0;
	7435	0	CT_TBRCH	8047	BR_STATUS	CT_REP	0;
	7436	0	CT_TBRCH	8048	BR_STATUS	CT_REP	0;
	7437	0	CT_TBRCH	8049	BR_STATUS	CT_REP	0;
	7438	0	CT_TBRCH	8050	BR_STATUS	CT_REP	0;
	7439	0	CT_TBRCH	8051	BR_STATUS	CT_REP	0;
	7440	0	CT_TBRCH	8052	BR_STATUS	CT_REP	0;
	7441	0	CT_TBRCH	8053	BR_STATUS	CT_REP	0;
	7442	0	CT_TBRCH	8054	BR_STATUS	CT_REP	0;
	7443	0	CT_TBRCH	8055	BR_STATUS	CT_REP	0;
	7444	0	CT_TBRCH	8056	BR_STATUS	CT_REP	0;
	7445	0	CT_TBRCH	8057	BR_STATUS	CT_REP	0;
	7446	0	CT_TBRCH	8058	BR_STATUS	CT_REP	0;
	7447	0	CT_TBRCH	8059	BR_STATUS	CT_REP	0;
	7448	0	CT_TBRCH	8060	BR_STATUS	CT_REP	0;
	7449	0	CT_TBRCH	8061	BR_STATUS	CT_REP	0;
	7450	0	CT_TBRCH	8063	BR_STATUS	CT_REP	0;
	7451	0	CT_TBRCH	8066	BR_STATUS	CT_REP	0;
	7452	0	CT_TBRCH	8067	BR_STATUS	CT_REP	0;
	7453	0	CT_TBRCH	8068	BR_STATUS	CT_REP	0;
	7454	0	CT_TBRCH	8069	BR_STATUS	CT_REP	0;
	7455	0	CT_TBRCH	8070	BR_STATUS	CT_REP	0;
	7456	0	CT_TBRCH	8071	BR_STATUS	CT_REP	0;
	7457	0	CT_TBRCH	8072	BR_STATUS	CT_REP	0;
	7458	0	CT_TBRCH	8073	BR_STATUS	CT_REP	0;
	7459	0	CT_TBRCH	8074	BR_STATUS	CT_REP	0;
	7460	0	CT_TBRCH	8075	BR_STATUS	CT_REP	0;
	7461	0	CT_TBRCH	8076	BR_STATUS	CT_REP	0;
	7462	0	CT_TBRCH	8077	BR_STATUS	CT_REP	0;
	7463	0	CT_TBRCH	8078	BR_STATUS	CT_REP	0;
	7464	0	CT_TBRCH	8079	BR_STATUS	CT_REP	0;
	7465	0	CT_TBRCH	8080	BR_STATUS	CT_REP	0;
	7466	0	CT_TBRCH	8081	BR_STATUS	CT_REP	0;
	7467	0	CT_TBRCH	8082	BR_STATUS	CT_REP	0;
	7468	0	CT_TBRCH	8083	BR_STATUS	CT_REP	0;
	7469	0	CT_TBRCH	8084	BR_STATUS	CT_REP	0;
	7470	0	CT_TBRCH	8085	BR_STATUS	CT_REP	0;
	7471	0	CT_TBRCH	8086	BR_STATUS	CT_REP	0;
	7472	0	CT_TBRCH	8087	BR_STATUS	CT_REP	0;
	7473	0	CT_TBRCH	8088	BR_STATUS	CT_REP	0;
	7474	0	CT_TBRCH	8089	BR_STATUS	CT_REP	0;
	7475	0	CT_TBRCH	8090	BR_STATUS	CT_REP	0;
	7476	0	CT_TBRCH	8091	BR_STATUS	CT_REP	0;
	7477	0	CT_TBRCH	8092	BR_STATUS	CT_REP	0;
	7478	0	CT_TBRCH	8093	BR_STATUS	CT_REP	0;
	7479	0	CT_TBRCH	8094	BR_STATUS	CT_REP	0;
	7480	0	CT_TBRCH	8095	BR_STATUS	CT_REP	0;
	7481	0	CT_TBRCH	8096	BR_STATUS	CT_REP	0;
	7482	0	CT_TBRCH	8097	BR_STATUS	CT_REP	0;
	7483	0	CT_TBRCH	8098	BR_STATUS	CT_REP	0;
	7484	0	CT_TBRCH	8099	BR_STATUS	CT_REP	0;
	7485	0	CT_TBRCH	8100	BR_STATUS	CT_REP	0;
	7486	0	CT_TBRCH	8101	BR_STATUS	CT_REP	0;
	7487	0	CT_TBRCH	8102	BR_STATUS	CT_REP	0;
	7488	0	CT_TBRCH	8103	BR_STATUS	CT_REP	0;
	7489	0	CT_TBRCH	8104	BR_STATUS	CT_REP	0;
	7490	0	CT_TBRCH	8105	BR_STATUS	CT_REP	0;
	7491	0	CT_TBRCH	8106	BR_STATUS	CT_REP	0;
	7492	0	CT_TBRCH	8107	BR_STATUS	CT_REP	0;
	7493	0	CT_TBRCH	8108	BR_STATUS	CT_REP	0;
	7494	0	CT_TBRCH	8109	BR_STATUS	CT_REP	0;
	7495	0	CT_TBRCH	8110	BR_STATUS	CT_REP	0;
	7496	0	CT_TBRCH	8111	BR_STATUS	CT_REP	0;
	7497	0	CT_TBRCH	8112	BR_STATUS	CT_REP	0;
	7498	0	CT_TBRCH	8113	BR_STATUS	CT_REP	0;
	7499	0	CT_TBRCH	8114	BR_STATUS	CT_REP	0;
	7500	0	CT_TBRCH	8115	BR_STATUS	CT_REP	0;
	7501	0	CT_TBRCH	8116	BR_STATUS	CT_REP	0;
	7502	0	CT_TBRCH	8117	BR_STATUS	CT_REP	0;
	7503	0	CT_TBRCH	8118	BR_STATUS	CT_REP	0;
	7504	0	CT_TBRCH	8119	BR_STATUS	CT_REP	0;
	7505	0	CT_TBRCH	8120	BR_STATUS	CT_REP	0;
	7506	0	CT_TBRCH	8121	BR_STATUS	CT_REP	0;
	7507	0	CT_TBRCH	8122	BR_STATUS	CT_REP	0;
	7508	0	CT_TBRCH	8123	BR_STATUS	CT_REP	0;
	7509	0	CT_TBRCH	8124	BR_STATUS	CT_REP	0;
	7510	0	CT_TBRCH	8125	BR_STATUS	CT_REP	0;
	7511	0	CT_TBRCH	8126	BR_STATUS	CT_REP	0;
	7512	0	CT_TBRCH	8127	BR_STATUS	CT_REP	0;
	7513	0	CT_TBRCH	8128	BR_STATUS	CT_REP	0;
	7514	0	CT_TBRCH	8129	BR_STATUS	CT_REP	0;
	7515	0	CT_TBRCH	8130	BR_STATUS	CT_REP	0;
	7516	0	CT_TBRCH	8131	BR_STATUS	CT_REP	0;
	7517	0	CT_TBRCH	8132	BR_STATUS	CT_REP	0;
	7518	0	CT_TBRCH	8133	BR_STATUS	CT_REP	0;
	7519	0	CT_TBRCH	8134	BR_STATUS	CT_REP	0;
	7520	0	CT_TBRCH	8135	BR_STATUS	CT_REP	0;
	7521	0	CT_TBRCH	8136	BR_STATUS	CT_REP	0;
	7522	0	CT_TBRCH	8137	BR_STATUS	CT_REP	0;
	7523	0	CT_TBRCH	8138	BR_STATUS	CT_REP	0;
	7524	0	CT_TBRCH	8139	BR_STATUS	CT_REP	0;
	7525	0	CT_TBRCH	8140	BR_STATUS	CT_REP	0;
	7526	0	CT_TBRCH	8141	BR_STATUS	CT_REP	0;
	7527	0	CT_TBRCH	8142	BR_STATUS	CT_REP	0;
	7528	0	CT_TBRCH	8143	BR_STATUS	CT_REP	0;
	7529	0	CT_TBRCH	8144	BR_STATUS	CT_REP	0;
	7530	0	CT_TBRCH	8145	BR_STATUS	CT_REP	0;
	7531	0	CT_TBRCH	8146	BR_STATUS	CT_REP	0;
	7532	0	CT_TBRCH	8147	BR_STATUS	CT_REP	0;
	7533	0	CT_TBRCH	8148	BR_STATUS	CT_REP	0;
	7534	0	CT_TBRCH	8149	BR_STATUS	CT_REP	0;
	7535	0	CT_TBRCH	8151	BR_STATUS	CT_REP	0;
	7536	0	CT_TBRCH	8153	BR_STATUS	CT_REP	0;
	7537	0	CT_TBRCH	8154	BR_STATUS	CT_REP	0;
	7538	0	CT_TBRCH	8156	BR_STATUS	CT_REP	0;
	7539	0	CT_TBRCH	8157	BR_STATUS	CT_REP	0;
	7540	0	CT_TBRCH	8158	BR_STATUS	CT_REP	0;
	7541	0	CT_TBRCH	8159	BR_STATUS	CT_REP	0;
	7542	0	CT_TBRCH	8160	BR_STATUS	CT_REP	0;
	7543	0	CT_TBRCH	8161	BR_STATUS	CT_REP	0;
	7544	0	CT_TBRCH	8162	BR_STATUS	CT_REP	0;
	7545	0	CT_TBRCH	8163	BR_STATUS	CT_REP	0;
	7546	0	CT_TBRCH	8164	BR_STATUS	CT_REP	0;
	7547	0	CT_TBRCH	8165	BR_STATUS	CT_REP	0;
	7548	0	CT_TBRCH	8166	BR_STATUS	CT_REP	0;
	7549	0	CT_TBRCH	8167	BR_STATUS	CT_REP	0;
	7550	0	CT_TBRCH	8168	BR_STATUS	CT_REP	0;
	7551	0	CT_TBRCH	8169	BR_STATUS	CT_REP	0;
	7552	0	CT_TBRCH	8170	BR_STATUS	CT_REP	0;
	7553	0	CT_TBRCH	8171	BR_STATUS	CT_REP	0;
	7554	0	CT_TBRCH	8172	BR_STATUS	CT_REP	0;
	7555	0	CT_TBRCH	8173	BR_STATUS	CT_REP	0;
	7556	0	CT_TBRCH	8174	BR_STATUS	CT_REP	0;
	7557	0	CT_TBRCH	8175	BR_STATUS	CT_REP	0;
	7558	0	CT_TBRCH	8176	BR_STATUS	CT_REP	0;
	7559	0	CT_TBRCH	8177	BR_STATUS	CT_REP	0;
	7560	0	CT_TBRCH	8178	BR_STATUS	CT_REP	0;
	7561	0	CT_TBRCH	8179	BR_STATUS	CT_REP	0;
	7562	0	CT_TBRCH	8180	BR_STATUS	CT_REP	0;
	7563	0	CT_TBRCH	8181	BR_STATUS	CT_REP	0;
	7564	0	CT_TBRCH	8182	BR_STATUS	CT_REP	0;
	7565	0	CT_TBRCH	8183	BR_STATUS	CT_REP	0;
	7566	0	CT_TBRCH	8184	BR_STATUS	CT_REP	0;
	7567	0	CT_TBRCH	8185	BR_STATUS	CT_REP	0;
	7568	0	CT_TBRCH	8186	BR_STATUS	CT_REP	0;
	7569	0	CT_TBRCH	8187	BR_STATUS	CT_REP	0;
	7570	0	CT_TBRCH	8188	BR_STATUS	CT_REP	0;
	7571	0	CT_TBRCH	8189	BR_STATUS	CT_REP	0;
	7572	0	CT_TBRCH	8190	BR_STATUS	CT_REP	0;
	7573	0	CT_TBRCH	8191	BR_STATUS	CT_REP	0;
	7574	0	CT_TBRCH	8192	BR_STATUS	CT_REP	0;
	7575	0	CT_TBRCH	8193	BR_STATUS	CT_REP	0;
	7576	0	CT_TBRCH	8194	BR_STATUS	CT_REP	0;
	7577	0	CT_TBRCH	8195	BR_STATUS	CT_REP	0;
	7578	0	CT_TBRCH	8196	BR_STATUS	CT_REP	0;
	7579	0	CT_TBRCH	8197	BR_STATUS	CT_REP	0;
	7580	0	CT_TBRCH	8198	BR_STATUS	CT_REP	0;
	7581	0	CT_TBRCH	8199	BR_STATUS	CT_REP	0;
	7582	0	CT_TBRCH	8200	BR_STATUS	CT_REP	0;
	7583	0	CT_TBRCH	8201	BR_STATUS	CT_REP	0;
	7584	0	CT_TBRCH	8202	BR_STATUS	CT_REP	0;
	7585	0	CT_TBRCH	8203	BR_STATUS	CT_REP	0;
	7586	0	CT_TBRCH	8204	BR_STATUS	CT_REP	0;
	7587	0	CT_TBRCH	8205	BR_STATUS	CT_REP	0;
	7588	0	CT_TBRCH	8206	BR_STATUS	CT_REP	0;
	7589	0	CT_TBRCH	8207	BR_STATUS	CT_REP	0;
	7590	0	CT_TBRCH	8208	BR_STATUS	CT_REP	0;
	7591	0	CT_TBRCH	8209	BR_STATUS	CT_REP	0;
	7592	0	CT_TBRCH	8210	BR_STATUS	CT_REP	0;
	7593	0	CT_TBRCH	8211	BR_STATUS	CT_REP	0;
	7594	0	CT_TBRCH	8212	BR_STATUS	CT_REP	0;
	7595	0	CT_TBRCH	8213	BR_STATUS	CT_REP	0;
	7596	0	CT_TBRCH	8214	BR_STATUS	CT_REP	0;
	7597	0	CT_TBRCH	8215	BR_STATUS	CT_REP	0;
	7598	0	CT_TBRCH	8216	BR_STATUS	CT_REP	0;
	7599	0	CT_TBRCH	8217	BR_STATUS	CT_REP	0;
	7600	0	CT_TBRCH	8218	BR_STATUS	CT_REP	0;
	7601	0	CT_TBRCH	8219	BR_STATUS	CT_REP	0;
	7602	0	CT_TBRCH	8220	BR_STATUS	CT_REP	0;
	7603	0	CT_TBRCH	8221	BR_STATUS	CT_REP	0;
	7604	0	CT_TBRCH	8222	BR_STATUS	CT_REP	0;
	7605	0	CT_TBRCH	8223	BR_STATUS	CT_REP	0;
	7606	0	CT_TBRCH	8224	BR_STATUS	CT_REP	0;
	7607	0	CT_TBRCH	8225	BR_STATUS	CT_REP	0;
	7608	0	CT_TBRCH	8226	BR_STATUS	CT_REP	0;
	7609	0	CT_TBRCH	8227	BR_STATUS	CT_REP	0;
	7610	0	CT_TBRCH	8228	BR_STATUS	CT_REP	0;
	7611	0	CT_TBRCH	8229	BR_STATUS	CT_REP	0;
	7612	0	CT_TBRCH	8230	BR_STATUS	CT_REP	0;
	7613	0	CT_TBRCH	8231	BR_STATUS	CT_REP	0;
	7614	0	CT_TBRCH	8232	BR_STATUS	CT_REP	0;
	7615	0	CT_TBRCH	8233	BR_STATUS	CT_REP	0;
	7616	0	CT_TBRCH	8234	BR_STATUS	CT_REP	0;
	7617	0	CT_TBRCH	8235	BR_STATUS	CT_REP	0;
	7618	0	CT_TBRCH	8236	BR_STATUS	CT_REP	0;
	7619	0	CT_TBRCH	8237	BR_STATUS	CT_REP	0;
	7620	0	CT_TBRCH	8238	BR_STATUS	CT_REP	0;
	7621	0	CT_TBRCH	8239	BR_STATUS	CT_REP	0;
	7622	0	CT_TBRCH	8240	BR_STATUS	CT_REP	0;
	7623	0	CT_TBRCH	8241	BR_STATUS	CT_REP	0;
	7624	0	CT_TBRCH	8242	BR_STATUS	CT_REP	0;
	7625	0	CT_TBRCH	8243	BR_STATUS	CT_REP	0;
	7626	0	CT_TBRCH	8244	BR_STATUS	CT_REP	0;
	7627	0	CT_TBRCH	8245	BR_STATUS	CT_REP	0;
	7628	0	CT_TBRCH	8246	BR_STATUS	CT_REP	0;
	7629	0	CT_TBRCH	8247	BR_STATUS	CT_REP	0;
	7630	0	CT_TBRCH	8248	BR_STATUS	CT_REP	0;
	7631	0	CT_TBRCH	8249	BR_STATUS	CT_REP	0;
	7632	0	CT_TBRCH	8250	BR_STATUS	CT_REP	0;
	7633	0	CT_TBRCH	8251	BR_STATUS	CT_REP	0;
	7634	0	CT_TBRCH	8252	BR_STATUS	CT_REP	0;
	7635	0	CT_TBRCH	8253	BR_STATUS	CT_REP	0;
	7636	0	CT_TBRCH	8254	BR_STATUS	CT_REP	0;
	7637	0	CT_TBRCH	8255	BR_STATUS	CT_REP	0;
	7638	0	CT_TBRCH	8256	BR_STATUS	CT_REP	0;
	7639	0	CT_TBRCH	8257	BR_STATUS	CT_REP	0;
	7640	0	CT_TBRCH	8258	BR_STATUS	CT_REP	0;
	7641	0	CT_TBRCH	8259	BR_STATUS	CT_REP	0;
	7642	0	CT_TBRCH	8260	BR_STATUS	CT_REP	0;
	7643	0	CT_TBRCH	8261	BR_STATUS	CT_REP	0;
	7644	0	CT_TBRCH	8262	BR_STATUS	CT_REP	0;
	7645	0	CT_TBRCH	8263	BR_STATUS	CT_REP	0;
	7646	0	CT_TBRCH	8264	BR_STATUS	CT_REP	0;
	7647	0	CT_TBRCH	8265	BR_STATUS	CT_REP	0;
	7648	0	CT_TBRCH	8266	BR_STATUS	CT_REP	0;
	7649	0	CT_TBRCH	8267	BR_STATUS	CT_REP	0;
	7650	0	CT_TBRCH	8268	BR_STATUS	CT_REP	0;
	7651	0	CT_TBRCH	8269	BR_STATUS	CT_REP	0;
	7652	0	CT_TBRCH	8270	BR_STATUS	CT_REP	0;
	7653	0	CT_TBRCH	8271	BR_STATUS	CT_REP	0;
	7654	0	CT_TBRCH	8272	BR_STATUS	CT_REP	0;
	7655	0	CT_TBRCH	8273	BR_STATUS	CT_REP	0;
	7656	0	CT_TBRCH	8274	BR_STATUS	CT_REP	0;
	7657	0	CT_TBRCH	8275	BR_STATUS	CT_REP	0;
	7658	0	CT_TBRCH	8276	BR_STATUS	CT_REP	0;
	7659	0	CT_TBRCH	8277	BR_STATUS	CT_REP	0;
	7660	0	CT_TBRCH	8278	BR_STATUS	CT_REP	0;
	7661	0	CT_TBRCH	8279	BR_STATUS	CT_REP	0;
	7662	0	CT_TBRCH	8280	BR_STATUS	CT_REP	0;
	7663	0	CT_TBRCH	8281	BR_STATUS	CT_REP	0;
	7664	0	CT_TBRCH	8282	BR_STATUS	CT_REP	0;
	7665	0	CT_TBRCH	8283	BR_STATUS	CT_REP	0;
	7666	0	CT_TBRCH	8284	BR_STATUS	CT_REP	0;
	7667	0	CT_TBRCH	8285	BR_STATUS	CT_REP	0;
	7668	0	CT_TBRCH	8286	BR_STATUS	CT_REP	0;
	7669	0	CT_TBRCH	8287	BR_STATUS	CT_REP	0;
	7670	0	CT_TBRCH	8288	BR_STATUS	CT_REP	0;
	7671	0	CT_TBRCH	8289	BR_STATUS	CT_REP	0;
	7672	0	CT_TBRCH	8290	BR_STATUS	CT_REP	0;
	7673	0	CT_TBRCH	8291	BR_STATUS	CT_REP	0;
	7674	0	CT_TBRCH	8292	BR_STATUS	CT_REP	0;
	7675	0	CT_TBRCH	8293	BR_STATUS	CT_REP	0;
	7676	0	CT_TBRCH	8294	BR_STATUS	CT_REP	0;
	7677	0	CT_TBRCH	8295	BR_STATUS	CT_REP	0;
	7678	0	CT_TBRCH	8296	BR_STATUS	CT_REP	0;
	7679	0	CT_TBRCH	8297	BR_STATUS	CT_REP	0;
	7680	0	CT_TBRCH	8298	BR_STATUS	CT_REP	0;
	7681	0	CT_TBRCH	8299	BR_STATUS	CT_REP	0;
	7682	0	CT_TBRCH	8300	BR_STATUS	CT_REP	0;
	7683	0	CT_TBRCH	8301	BR_STATUS	CT_REP	0;
	7684	0	CT_TBRCH	8302	BR_STATUS	CT_REP	0;
	7685	0	CT_TBRCH	8303	BR_STATUS	CT_REP	0;
	7686	0	CT_TBRCH	8304	BR_STATUS	CT_REP	0;
	7687	0	CT_TBRCH	8305	BR_STATUS	CT_REP	0;
	7688	0	CT_TBRCH	8306	BR_STATUS	CT_REP	0;
	7689	0	CT_TBRCH	8307	BR_STATUS	CT_REP	0;
	7690	0	CT_TBRCH	8308	BR_STATUS	CT_REP	0;
	7691	0	CT_TBRCH	8309	BR_STATUS	CT_REP	0;
	7692	0	CT_TBRCH	8310	BR_STATUS	CT_REP	0;
	7693	0	CT_TBRCH	8311	BR_STATUS	CT_REP	0;
	7694	0	CT_TBRCH	8312	BR_STATUS	CT_REP	0;
	7695	0	CT_TBRCH	8313	BR_STATUS	CT_REP	0;
	7696	0	CT_TBRCH	8314	BR_STATUS	CT_REP	0;
	7697	0	CT_TBRCH	8315	BR_STATUS	CT_REP	0;
	7698	0	CT_TBRCH	8316	BR_STATUS	CT_REP	0;
	7699	0	CT_TBRCH	8317	BR_STATUS	CT_REP	0;
	7700	0	CT_TBRCH	8318	BR_STATUS	CT_REP	0;
	7701	0	CT_TBRCH	8319	BR_STATUS	CT_REP	0;
	7702	0	CT_TBRCH	8320	BR_STATUS	CT_REP	0;
	7703	0	CT_TBRCH	8321	BR_STATUS	CT_REP	0;
	7704	0	CT_TBRCH	8322	BR_STATUS	CT_REP	0;
	7705	0	CT_TBRCH	8323	BR_STATUS	CT_REP	0;
	7706	0	CT_TBRCH	8324	BR_STATUS	CT_REP	0;
	7707	0	CT_TBRCH	8325	BR_STATUS	CT_REP	0;
	7708	0	CT_TBRCH	8326	BR_STATUS	CT_REP	0;
	7709	0	CT_TBRCH	8327	BR_STATUS	CT_REP	0;
	7710	0	CT_TBRCH	8328	BR_STATUS	CT_REP	0;
	7711	0	CT_TBRCH	8329	BR_STATUS	CT_REP	0;
	7712	0	CT_TBRCH	8330	BR_STATUS	CT_REP	0;
	7713	0	CT_TBRCH	8331	BR_STATUS	CT_REP	0;
	7714	0	CT_TBRCH	8332	BR_STATUS	CT_REP	0;
	7715	0	CT_TBRCH	8333	BR_STATUS	CT_REP	0;
	7716	0	CT_TBRCH	8334	BR_STATUS	CT_REP	0;
	7717	0	CT_TBRCH	8335	BR_STATUS	CT_REP	0;
	7718	0	CT_TBRCH	8336	BR_STATUS	CT_REP	0;
	7719	0	CT_TBRCH	8337	BR_STATUS	CT_REP	0;
	7720	0	CT_TBRCH	8338	BR_STATUS	CT_REP	0;
	7721	0	CT_TBRCH	8339	BR_STATUS	CT_REP	0;
	7722	0	CT_TBRCH	8340	BR_STATUS	CT_REP	0;
	7723	0	CT_TBRCH	8341	BR_STATUS	CT_REP	0;
	7724	0	CT_TBRCH	8342	BR_STATUS	CT_REP	0;
	7725	0	CT_TBRCH	8343	BR_STATUS	CT_REP	0;
	7726	0	CT_TBRCH	8344	BR_STATUS	CT_REP	0;
	7727	0	CT_TBRCH	8345	BR_STATUS	CT_REP	0;
	7728	0	CT_TBRCH	8346	BR_STATUS	CT_REP	0;
	7729	0	CT_TBRCH	8347	BR_STATUS	CT_REP	0;
	7730	0	CT_TBRCH	8348	BR_STATUS	CT_REP	0;
	7731	0	CT_TBRCH	8349	BR_STATUS	CT_REP	0;
	7732	0	CT_TBRCH	8350	BR_STATUS	CT_REP	0;
	7733	0	CT_TBRCH	8351	BR_STATUS	CT_REP	0;
	7734	0	CT_TBRCH	8352	BR_STATUS	CT_REP	0;
	7735	0	CT_TBRCH	8353	BR_STATUS	CT_REP	0;
	7736	0	CT_TBRCH	8354	BR_STATUS	CT_REP	0;
	7737	0	CT_TBRCH	8355	BR_STATUS	CT_REP	0;
	7738	0	CT_TBRCH	8356	BR_STATUS	CT_REP	0;
	7739	0	CT_TBRCH	8357	BR_STATUS	CT_REP	0;
	7740	0	CT_TBRCH	8358	BR_STATUS	CT_REP	0;
	7741	0	CT_TBRCH	8359	BR_STATUS	CT_REP	0;
	7742	0	CT_TBRCH	8360	BR_STATUS	CT_REP	0;
	7743	0	CT_TBRCH	8361	BR_STATUS	CT_REP	0;
	7744	0	CT_TBRCH	8362	BR_STATUS	CT_REP	0;
	7745	0	CT_TBRCH	8363	BR_STATUS	CT_REP	0;
	7746	0	CT_TBRCH	8364	BR_STATUS	CT_REP	0;
	7747	0	CT_TBRCH	8365	BR_STATUS	CT_REP	0;
	7748	0	CT_TBRCH	8366	BR_STATUS	CT_REP	0;
	7749	0	CT_TBRCH	8367	BR_STATUS	CT_REP	0;
	7750	0	CT_TBRCH	8368	BR_STATUS	CT_REP	0;
	7751	0	CT_TBRCH	8369	BR_STATUS	CT_REP	0;
	7752	0	CT_TBRCH	8370	BR_STATUS	CT_REP	0;
	7753	0	CT_TBRCH	8371	BR_STATUS	CT_REP	0;
	7754	0	CT_TBRCH	8372	BR_STATUS	CT_REP	0;
	7755	0	CT_TBRCH	8373	BR_STATUS	CT_REP	0;
	7756	0	CT_TBRCH	8375	BR_STATUS	CT_REP	0;
	7757	0	CT_TBRCH	8378	BR_STATUS	CT_REP	0;
	7758	0	CT_TBRCH	8379	BR_STATUS	CT_REP	0;
	7759	0	CT_TBRCH	8380	BR_STATUS	CT_REP	0;
	7760	0	CT_TBRCH	8381	BR_STATUS	CT_REP	0;
	7761	0	CT_TBRCH	8382	BR_STATUS	CT_REP	0;
	7762	0	CT_TBRCH	8383	BR_STATUS	CT_REP	0;
	7763	0	CT_TBRCH	8384	BR_STATUS	CT_REP	0;
	7764	0	CT_TBRCH	8385	BR_STATUS	CT_REP	0;
	7765	0	CT_TBRCH	8386	BR_STATUS	CT_REP	0;
	7766	0	CT_TBRCH	8387	BR_STATUS	CT_REP	0;
	7767	0	CT_TBRCH	8388	BR_STATUS	CT_REP	0;
	7768	0	CT_TBRCH	8389	BR_STATUS	CT_REP	0;
	7769	0	CT_TBRCH	8390	BR_STATUS	CT_REP	0;
	7770	0	CT_TBRCH	8391	BR_STATUS	CT_REP	0;
	7771	0	CT_TBRCH	8392	BR_STATUS	CT_REP	0;
	7772	0	CT_TBRCH	8393	BR_STATUS	CT_REP	0;
	7773	0	CT_TBRCH	8394	BR_STATUS	CT_REP	0;
	7774	0	CT_TBRCH	8395	BR_STATUS	CT_REP	0;
	7775	0	CT_TBRCH	8396	BR_STATUS	CT_REP	0;
	7776	0	CT_TBRCH	8397	BR_STATUS	CT_REP	0;
	7777	0	CT_TBRCH	8398	BR_STATUS	CT_REP	0;
	7778	0	CT_TBRCH	8399	BR_STATUS	CT_REP	0;
	7779	0	CT_TBRCH	8400	BR_STATUS	CT_REP	0;
	7780	0	CT_TBRCH	8401	BR_STATUS	CT_REP	0;
	7781	0	CT_TBRCH	8402	BR_STATUS	CT_REP	0;
	7782	0	CT_TBRCH	8403	BR_STATUS	CT_REP	0;
	7783	0	CT_TBRCH	8404	BR_STATUS	CT_REP	0;
	7784	0	CT_TBRCH	8405	BR_STATUS	CT_REP	0;
	7785	0	CT_TBRCH	8406	BR_STATUS	CT_REP	0;
	7786	0	CT_TBRCH	8407	BR_STATUS	CT_REP	0;
	7787	0	CT_TBRCH	8408	BR_STATUS	CT_REP	0;
	7788	0	CT_TBRCH	8409	BR_STATUS	CT_REP	0;
	7789	0	CT_TBRCH	8410	BR_STATUS	CT_REP	0;
	7790	0	CT_TBRCH	8411	BR_STATUS	CT_REP	0;
	7791	0	CT_TBRCH	8412	BR_STATUS	CT_REP	0;
	7792	0	CT_TBRCH	8413	BR_STATUS	CT_REP	0;
	7793	0	CT_TBRCH	8414	BR_STATUS	CT_REP	0;
	7794	0	CT_TBRCH	8415	BR_STATUS	CT_REP	0;
	7795	0	CT_TBRCH	8416	BR_STATUS	CT_REP	0;
	7796	0	CT_TBRCH	8417	BR_STATUS	CT_REP	0;
	7797	0	CT_TBRCH	8418	BR_STATUS	CT_REP	0;
	7798	0	CT_TBRCH	8419	BR_STATUS	CT_REP	0;
	7799	0	CT_TBRCH	8420	BR_STATUS	CT_REP	0;
	7800	0	CT_TBRCH	8421	BR_STATUS	CT_REP	0;
	7801	0	CT_TBRCH	8422	BR_STATUS	CT_REP	0;
	7802	0	CT_TBRCH	8423	BR_STATUS	CT_REP	0;
	7803	0	CT_TBRCH	8424	BR_STATUS	CT_REP	0;
	7804	0	CT_TBRCH	8425	BR_STATUS	CT_REP	0;
	7805	0	CT_TBRCH	8426	BR_STATUS	CT_REP	0;
	7806	0	CT_TBRCH	8427	BR_STATUS	CT_REP	0;
	7807	0	CT_TBRCH	8428	BR_STATUS	CT_REP	0;
	7808	0	CT_TBRCH	8429	BR_STATUS	CT_REP	0;
	7809	0	CT_TBRCH	8430	BR_STATUS	CT_REP	0;
	7810	0	CT_TBRCH	8431	BR_STATUS	CT_REP	0;
	7811	0	CT_TBRCH	8432	BR_STATUS	CT_REP	0;
	7812	0	CT_TBRCH	8433	BR_STATUS	CT_REP	0;
	7813	0	CT_TBRCH	8434	BR_STATUS	CT_REP	0;
	7814	0	CT_TBRCH	8435	BR_STATUS	CT_REP	0;
	7815	0	CT_TBRCH	8436	BR_STATUS	CT_REP	0;
	7816	0	CT_TBRCH	8437	BR_STATUS	CT_REP	0;
	7817	0	CT_TBRCH	8438	BR_STATUS	CT_REP	0;
	7818	0	CT_TBRCH	8439	BR_STATUS	CT_REP	0;
	7819	0	CT_TBRCH	8440	BR_STATUS	CT_REP	0;
	7820	0	CT_TBRCH	8441	BR_STATUS	CT_REP	0;
	7821	0	CT_TBRCH	8442	BR_STATUS	CT_REP	0;
	7822	0	CT_TBRCH	8443	BR_STATUS	CT_REP	0;
	7823	0	CT_TBRCH	8444	BR_STATUS	CT_REP	0;
	7824	0	CT_TBRCH	8445	BR_STATUS	CT_REP	0;
	7825	0	CT_TBRCH	8446	BR_STATUS	CT_REP	0;
	7826	0	CT_TBRCH	8447	BR_STATUS	CT_REP	0;
	7827	0	CT_TBRCH	8448	BR_STATUS	CT_REP	0;
	7828	0	CT_TBRCH	8449	BR_STATUS	CT_REP	0;
	7829	0	CT_TBRCH	8450	BR_STATUS	CT_REP	0;
	7830	0	CT_TBRCH	8451	BR_STATUS	CT_REP	0;
	7831	0	CT_TBRCH	8452	BR_STATUS	CT_REP	0;
	7832	0	CT_TBRCH	8453	BR_STATUS	CT_REP	0;
	7833	0	CT_TBRCH	8454	BR_STATUS	CT_REP	0;
	7834	0	CT_TBRCH	8455	BR_STATUS	CT_REP	0;
	7835	0	CT_TBRCH	8456	BR_STATUS	CT_REP	0;
	7836	0	CT_TBRCH	8457	BR_STATUS	CT_REP	0;
	7837	0	CT_TBRCH	8458	BR_STATUS	CT_REP	0;
	7838	0	CT_TBRCH	8459	BR_STATUS	CT_REP	0;
	7839	0	CT_TBRCH	8461	BR_STATUS	CT_REP	0;
	7840	0	CT_TBRCH	8462	BR_STATUS	CT_REP	0;
	7841	0	CT_TBRCH	8463	BR_STATUS	CT_REP	0;
	7842	0	CT_TBRCH	8465	BR_STATUS	CT_REP	0;
	7843	0	CT_TBRCH	8466	BR_STATUS	CT_REP	0;
	7844	0	CT_TBRCH	8467	BR_STATUS	CT_REP	0;
	7845	0	CT_TBRCH	8468	BR_STATUS	CT_REP	0;
	7846	0	CT_TBRCH	8470	BR_STATUS	CT_REP	0;
	7847	0	CT_TBRCH	8471	BR_STATUS	CT_REP	0;
	7848	0	CT_TBRCH	8472	BR_STATUS	CT_REP	0;
	7849	0	CT_TBRCH	8473	BR_STATUS	CT_REP	0;
	7850	0	CT_TBRCH	8474	BR_STATUS	CT_REP	0;
	7851	0	CT_TBRCH	8475	BR_STATUS	CT_REP	0;
	7852	0	CT_TBRCH	8476	BR_STATUS	CT_REP	0;
	7853	0	CT_TBRCH	8477	BR_STATUS	CT_REP	0;
	7854	0	CT_TBRCH	8478	BR_STATUS	CT_REP	0;
	7855	0	CT_TBRCH	8479	BR_STATUS	CT_REP	0;
	7856	0	CT_TBRCH	8480	BR_STATUS	CT_REP	0;
	7857	0	CT_TBRCH	8481	BR_STATUS	CT_REP	0;
	7858	0	CT_TBRCH	8482	BR_STATUS	CT_REP	0;
	7859	0	CT_TBRCH	8485	BR_STATUS	CT_REP	0;
	7860	0	CT_TBRCH	8486	BR_STATUS	CT_REP	0;
	7861	0	CT_TBRCH	8488	BR_STATUS	CT_REP	0;
	7862	0	CT_TBRCH	8489	BR_STATUS	CT_REP	0;
	7863	0	CT_TBRCH	8490	BR_STATUS	CT_REP	0;
	7864	0	CT_TBRCH	8491	BR_STATUS	CT_REP	0;
	7865	0	CT_TBRCH	8492	BR_STATUS	CT_REP	0;
	7866	0	CT_TBRCH	8493	BR_STATUS	CT_REP	0;
	7867	0	CT_TBRCH	8494	BR_STATUS	CT_REP	0;
	7868	0	CT_TBRCH	8495	BR_STATUS	CT_REP	0;
	7869	0	CT_TBRCH	8496	BR_STATUS	CT_REP	0;
	7870	0	CT_TBRCH	8497	BR_STATUS	CT_REP	0;
	7871	0	CT_TBRCH	8498	BR_STATUS	CT_REP	0;
	7872	0	CT_TBRCH	8499	BR_STATUS	CT_REP	0;
	7873	0	CT_TBRCH	8500	BR_STATUS	CT_REP	0;
	7874	0	CT_TBRCH	8501	BR_STATUS	CT_REP	0;
	7875	0	CT_TBRCH	8502	BR_STATUS	CT_REP	0;
	7876	0	CT_TBRCH	8503	BR_STATUS	CT_REP	0;
	7877	0	CT_TBRCH	8505	BR_STATUS	CT_REP	0;
	7878	0	CT_TBRCH	8506	BR_STATUS	CT_REP	0;
	7879	0	CT_TBRCH	8509	BR_STATUS	CT_REP	0;
	7880	0	CT_TBRCH	8510	BR_STATUS	CT_REP	0;
	7881	0	CT_TBRCH	8511	BR_STATUS	CT_REP	0;
	7882	0	CT_TBRCH	8512	BR_STATUS	CT_REP	0;
	7883	0	CT_TBRCH	8513	BR_STATUS	CT_REP	0;
	7884	0	CT_TBRCH	8514	BR_STATUS	CT_REP	0;
	7885	0	CT_TBRCH	8515	BR_STATUS	CT_REP	0;
	7886	0	CT_TBRCH	8516	BR_STATUS	CT_REP	0;
	7887	0	CT_TBRCH	8517	BR_STATUS	CT_REP	0;
	7888	0	CT_TBRCH	8518	BR_STATUS	CT_REP	0;
	7889	0	CT_TBRCH	8519	BR_STATUS	CT_REP	0;
	7890	0	CT_TBRCH	8520	BR_STATUS	CT_REP	0;
	7891	0	CT_TBRCH	8521	BR_STATUS	CT_REP	0;
	7892	0	CT_TBRCH	8522	BR_STATUS	CT_REP	0;
	7893	0	CT_TBRCH	8523	BR_STATUS	CT_REP	0;
	7894	0	CT_TBRCH	8524	BR_STATUS	CT_REP	0;
	7895	0	CT_TBRCH	8525	BR_STATUS	CT_REP	0;
	7896	0	CT_TBRCH	8526	BR_STATUS	CT_REP	0;
	7897	0	CT_TBRCH	8527	BR_STATUS	CT_REP	0;
	7898	0	CT_TBRCH	8528	BR_STATUS	CT_REP	0;
	7899	0	CT_TBRCH	8529	BR_STATUS	CT_REP	0;
	7900	0	CT_TBRCH	8530	BR_STATUS	CT_REP	0;
	7901	0	CT_TBRCH	8531	BR_STATUS	CT_REP	0;
	7902	0	CT_TBRCH	8532	BR_STATUS	CT_REP	0;
	7903	0	CT_TBRCH	8533	BR_STATUS	CT_REP	0;
	7904	0	CT_TBRCH	8534	BR_STATUS	CT_REP	0;
	7905	0	CT_TBRCH	8535	BR_STATUS	CT_REP	0;
	7906	0	CT_TBRCH	8536	BR_STATUS	CT_REP	0;
	7907	0	CT_TBRCH	8537	BR_STATUS	CT_REP	0;
	7908	0	CT_TBRCH	8538	BR_STATUS	CT_REP	0;
	7909	0	CT_TBRCH	8539	BR_STATUS	CT_REP	0;
	7910	0	CT_TBRCH	8540	BR_STATUS	CT_REP	0;
	7911	0	CT_TBRCH	8541	BR_STATUS	CT_REP	0;
	7912	0	CT_TBRCH	8542	BR_STATUS	CT_REP	0;
	7913	0	CT_TBRCH	8543	BR_STATUS	CT_REP	0;
	7914	0	CT_TBRCH	8544	BR_STATUS	CT_REP	0;
	7915	0	CT_TBRCH	8545	BR_STATUS	CT_REP	0;
	7916	0	CT_TBRCH	8546	BR_STATUS	CT_REP	0;
	7917	0	CT_TBRCH	8547	BR_STATUS	CT_REP	0;
	7918	0	CT_TBRCH	8548	BR_STATUS	CT_REP	0;
	7919	0	CT_TBRCH	8549	BR_STATUS	CT_REP	0;
	7920	0	CT_TBRCH	8550	BR_STATUS	CT_REP	0;
	7921	0	CT_TBRCH	8551	BR_STATUS	CT_REP	0;
	7922	0	CT_TBRCH	8552	BR_STATUS	CT_REP	0;
	7923	0	CT_TBRCH	8553	BR_STATUS	CT_REP	0;
	7924	0	CT_TBRCH	8554	BR_STATUS	CT_REP	0;
	7925	0	CT_TBRCH	8555	BR_STATUS	CT_REP	0;
	7926	0	CT_TBRCH	8557	BR_STATUS	CT_REP	0;
	7927	0	CT_TBRCH	8558	BR_STATUS	CT_REP	0;
	7928	0	CT_TBRCH	8559	BR_STATUS	CT_REP	0;
	7929	0	CT_TBRCH	8561	BR_STATUS	CT_REP	0;
	7930	0	CT_TBRCH	8562	BR_STATUS	CT_REP	0;
	7931	0	CT_TBRCH	8563	BR_STATUS	CT_REP	0;
	7932	0	CT_TBRCH	8564	BR_STATUS	CT_REP	0;
	7933	0	CT_TBRCH	8566	BR_STATUS	CT_REP	0;
	7934	0	CT_TBRCH	8567	BR_STATUS	CT_REP	0;
	7935	0	CT_TBRCH	8568	BR_STATUS	CT_REP	0;
	7936	0	CT_TBRCH	8569	BR_STATUS	CT_REP	0;
	7937	0	CT_TBRCH	8570	BR_STATUS	CT_REP	0;
	7938	0	CT_TBRCH	8571	BR_STATUS	CT_REP	0;
	7939	0	CT_TBRCH	8572	BR_STATUS	CT_REP	0;
	7940	0	CT_TBRCH	8573	BR_STATUS	CT_REP	0;
	7941	0	CT_TBRCH	8574	BR_STATUS	CT_REP	0;
	7942	0	CT_TBRCH	8575	BR_STATUS	CT_REP	0;
	7943	0	CT_TBRCH	8576	BR_STATUS	CT_REP	0;
	7944	0	CT_TBRCH	8577	BR_STATUS	CT_REP	0;
	7945	0	CT_TBRCH	8578	BR_STATUS	CT_REP	0;
	7946	0	CT_TBRCH	8579	BR_STATUS	CT_REP	0;
	7947	0	CT_TBRCH	8580	BR_STATUS	CT_REP	0;
	7948	0	CT_TBRCH	8581	BR_STATUS	CT_REP	0;
	7949	0	CT_TBRCH	8582	BR_STATUS	CT_REP	0;
	7950	0	CT_TBRCH	8583	BR_STATUS	CT_REP	0;
	7951	0	CT_TBRCH	8584	BR_STATUS	CT_REP	0;
	7952	0	CT_TBRCH	8585	BR_STATUS	CT_REP	0;
	7953	0	CT_TBRCH	8586	BR_STATUS	CT_REP	0;
	7954	0	CT_TBRCH	8587	BR_STATUS	CT_REP	0;
	7955	0	CT_TBRCH	8588	BR_STATUS	CT_REP	0;
	7956	0	CT_TBRCH	8589	BR_STATUS	CT_REP	0;
	7957	0	CT_TBRCH	8590	BR_STATUS	CT_REP	0;
	7958	0	CT_TBRCH	8591	BR_STATUS	CT_REP	0;
	7959	0	CT_TBRCH	8592	BR_STATUS	CT_REP	0;
	7960	0	CT_TBRCH	8593	BR_STATUS	CT_REP	0;
	7961	0	CT_TBRCH	8594	BR_STATUS	CT_REP	0;
	7962	0	CT_TBRCH	8595	BR_STATUS	CT_REP	0;
	7963	0	CT_TBRCH	8596	BR_STATUS	CT_REP	0;
	7964	0	CT_TBRCH	8597	BR_STATUS	CT_REP	0;
	7965	0	CT_TBRCH	8598	BR_STATUS	CT_REP	0;
	7966	0	CT_TBRCH	8599	BR_STATUS	CT_REP	0;
	7967	0	CT_TBRCH	8600	BR_STATUS	CT_REP	0;
	7968	0	CT_TBRCH	8601	BR_STATUS	CT_REP	0;
	7969	0	CT_TBRCH	8602	BR_STATUS	CT_REP	0;
	7970	0	CT_TBRCH	8603	BR_STATUS	CT_REP	0;
	7971	0	CT_TBRCH	8604	BR_STATUS	CT_REP	0;
	7972	0	CT_TBRCH	8605	BR_STATUS	CT_REP	0;
	7973	0	CT_TBRCH	8606	BR_STATUS	CT_REP	0;
	7974	0	CT_TBRCH	8607	BR_STATUS	CT_REP	0;
	7975	0	CT_TBRCH	8608	BR_STATUS	CT_REP	0;
	7976	0	CT_TBRCH	8609	BR_STATUS	CT_REP	0;
	7977	0	CT_TBRCH	8610	BR_STATUS	CT_REP	0;
	7978	0	CT_TBRCH	8611	BR_STATUS	CT_REP	0;
	7979	0	CT_TBRCH	8613	BR_STATUS	CT_REP	0;
	7980	0	CT_TBRCH	8614	BR_STATUS	CT_REP	0;
	7981	0	CT_TBRCH	8616	BR_STATUS	CT_REP	0;
	7982	0	CT_TBRCH	8617	BR_STATUS	CT_REP	0;
	7983	0	CT_TBRCH	8618	BR_STATUS	CT_REP	0;
	7984	0	CT_TBRCH	8620	BR_STATUS	CT_REP	0;
	7985	0	CT_TBRCH	8621	BR_STATUS	CT_REP	0;
	7986	0	CT_TBRCH	8622	BR_STATUS	CT_REP	0;
	7987	0	CT_TBRCH	8623	BR_STATUS	CT_REP	0;
	7988	0	CT_TBRCH	8624	BR_STATUS	CT_REP	0;
	7989	0	CT_TBRCH	8625	BR_STATUS	CT_REP	0;
	7990	0	CT_TBRCH	8626	BR_STATUS	CT_REP	0;
	7991	0	CT_TBRCH	8627	BR_STATUS	CT_REP	0;
	7992	0	CT_TBRCH	8628	BR_STATUS	CT_REP	0;
	7993	0	CT_TBRCH	8629	BR_STATUS	CT_REP	0;
	7994	0	CT_TBRCH	8630	BR_STATUS	CT_REP	0;
	7995	0	CT_TBRCH	8631	BR_STATUS	CT_REP	0;
	7996	0	CT_TBRCH	8632	BR_STATUS	CT_REP	0;
	7997	0	CT_TBRCH	8633	BR_STATUS	CT_REP	0;
	7998	0	CT_TBRCH	8634	BR_STATUS	CT_REP	0;
	7999	0	CT_TBRCH	8635	BR_STATUS	CT_REP	0;
	8000	0	CT_TBRCH	8636	BR_STATUS	CT_REP	0;
	8001	0	CT_TBRCH	8637	BR_STATUS	CT_REP	0;
	8002	0	CT_TBRCH	8638	BR_STATUS	CT_REP	0;
	8003	0	CT_TBRCH	8639	BR_STATUS	CT_REP	0;
	8004	0	CT_TBRCH	8640	BR_STATUS	CT_REP	0;
	8005	0	CT_TBRCH	8641	BR_STATUS	CT_REP	0;
	8006	0	CT_TBRCH	8642	BR_STATUS	CT_REP	0;
	8007	0	CT_TBRCH	8643	BR_STATUS	CT_REP	0;
	8008	0	CT_TBRCH	8644	BR_STATUS	CT_REP	0;
	8009	0	CT_TBRCH	8645	BR_STATUS	CT_REP	0;
	8010	0	CT_TBRCH	8646	BR_STATUS	CT_REP	0;
	8011	0	CT_TBRCH	8647	BR_STATUS	CT_REP	0;
	8012	0	CT_TBRCH	8648	BR_STATUS	CT_REP	0;
	8013	0	CT_TBRCH	8649	BR_STATUS	CT_REP	0;
	8014	0	CT_TBRCH	8650	BR_STATUS	CT_REP	0;
	8015	0	CT_TBRCH	8651	BR_STATUS	CT_REP	0;
	8016	0	CT_TBRCH	8652	BR_STATUS	CT_REP	0;
	8017	0	CT_TBRCH	8653	BR_STATUS	CT_REP	0;
	8018	0	CT_TBRCH	8654	BR_STATUS	CT_REP	0;
	8019	0	CT_TBRCH	8655	BR_STATUS	CT_REP	0;
	8020	0	CT_TBRCH	8656	BR_STATUS	CT_REP	0;
	8021	0	CT_TBRCH	8657	BR_STATUS	CT_REP	0;
	8022	0	CT_TBRCH	8658	BR_STATUS	CT_REP	0;
	8023	0	CT_TBRCH	8659	BR_STATUS	CT_REP	0;
	8024	0	CT_TBRCH	8660	BR_STATUS	CT_REP	0;
	8025	0	CT_TBRCH	8661	BR_STATUS	CT_REP	0;
	8026	0	CT_TBRCH	8662	BR_STATUS	CT_REP	0;
	8027	0	CT_TBRCH	8663	BR_STATUS	CT_REP	0;
	8028	0	CT_TBRCH	8664	BR_STATUS	CT_REP	0;
	8029	0	CT_TBRCH	8665	BR_STATUS	CT_REP	0;
	8030	0	CT_TBRCH	8666	BR_STATUS	CT_REP	0;
	8031	0	CT_TBRCH	8667	BR_STATUS	CT_REP	0;
	8032	0	CT_TBRCH	8668	BR_STATUS	CT_REP	0;
	8033	0	CT_TBRCH	8669	BR_STATUS	CT_REP	0;
	8034	0	CT_TBRCH	8670	BR_STATUS	CT_REP	0;
	8035	0	CT_TBRCH	8671	BR_STATUS	CT_REP	0;
	8036	0	CT_TBRCH	8672	BR_STATUS	CT_REP	0;
	8037	0	CT_TBRCH	8673	BR_STATUS	CT_REP	0;
	8038	0	CT_TBRCH	8674	BR_STATUS	CT_REP	0;
	8039	0	CT_TBRCH	8675	BR_STATUS	CT_REP	0;
	8040	0	CT_TBRCH	8676	BR_STATUS	CT_REP	0;
	8041	0	CT_TBRCH	8677	BR_STATUS	CT_REP	0;
	8042	0	CT_TBRCH	8678	BR_STATUS	CT_REP	0;
	8043	0	CT_TBRCH	8679	BR_STATUS	CT_REP	0;
	8044	0	CT_TBRCH	8680	BR_STATUS	CT_REP	0;
	8045	0	CT_TBRCH	8681	BR_STATUS	CT_REP	0;
	8046	0	CT_TBRCH	8682	BR_STATUS	CT_REP	0;
	8047	0	CT_TBRCH	8683	BR_STATUS	CT_REP	0;
	8048	0	CT_TBRCH	8684	BR_STATUS	CT_REP	0;
	8049	0	CT_TBRCH	8685	BR_STATUS	CT_REP	0;
	8050	0	CT_TBRCH	8686	BR_STATUS	CT_REP	0;
	8051	0	CT_TBRCH	8687	BR_STATUS	CT_REP	0;
	8052	0	CT_TBRCH	8688	BR_STATUS	CT_REP	0;
	8053	0	CT_TBRCH	8689	BR_STATUS	CT_REP	0;
	8054	0	CT_TBRCH	8690	BR_STATUS	CT_REP	0;
	8055	0	CT_TBRCH	8691	BR_STATUS	CT_REP	0;
	8056	0	CT_TBRCH	8692	BR_STATUS	CT_REP	0;
	8057	0	CT_TBRCH	8693	BR_STATUS	CT_REP	0;
	8058	0	CT_TBRCH	8694	BR_STATUS	CT_REP	0;
	8059	0	CT_TBRCH	8695	BR_STATUS	CT_REP	0;
	8060	0	CT_TBRCH	8696	BR_STATUS	CT_REP	0;
	8061	0	CT_TBRCH	8697	BR_STATUS	CT_REP	0;
	8062	0	CT_TBRCH	8698	BR_STATUS	CT_REP	0;
	8063	0	CT_TBRCH	8699	BR_STATUS	CT_REP	0;
	8064	0	CT_TBRCH	8700	BR_STATUS	CT_REP	0;
	8065	0	CT_TBRCH	8701	BR_STATUS	CT_REP	0;
	8066	0	CT_TBRCH	8702	BR_STATUS	CT_REP	0;
	8067	0	CT_TBRCH	8703	BR_STATUS	CT_REP	0;
	8068	0	CT_TBRCH	8704	BR_STATUS	CT_REP	0;
	8069	0	CT_TBRCH	8705	BR_STATUS	CT_REP	0;
	8070	0	CT_TBRCH	8706	BR_STATUS	CT_REP	0;
	8071	0	CT_TBRCH	8707	BR_STATUS	CT_REP	0;
	8072	0	CT_TBRCH	8708	BR_STATUS	CT_REP	0;
	8073	0	CT_TBRCH	8709	BR_STATUS	CT_REP	0;
	8074	0	CT_TBRCH	8710	BR_STATUS	CT_REP	0;
	8075	0	CT_TBRCH	8711	BR_STATUS	CT_REP	0;
	8076	0	CT_TBRCH	8712	BR_STATUS	CT_REP	0;
	8077	0	CT_TBRCH	8713	BR_STATUS	CT_REP	0;
	8078	0	CT_TBRCH	8715	BR_STATUS	CT_REP	0;
	8079	0	CT_TBRCH	8718	BR_STATUS	CT_REP	0;
	8080	0	CT_TBRCH	8719	BR_STATUS	CT_REP	0;
	8081	0	CT_TBRCH	8720	BR_STATUS	CT_REP	0;
	8082	0	CT_TBRCH	8721	BR_STATUS	CT_REP	0;
	8083	0	CT_TBRCH	8722	BR_STATUS	CT_REP	0;
	8084	0	CT_TBRCH	8723	BR_STATUS	CT_REP	0;
	8085	0	CT_TBRCH	8724	BR_STATUS	CT_REP	0;
	8086	0	CT_TBRCH	8725	BR_STATUS	CT_REP	0;
	8087	0	CT_TBRCH	8726	BR_STATUS	CT_REP	0;
	8088	0	CT_TBRCH	8727	BR_STATUS	CT_REP	0;
	8089	0	CT_TBRCH	8728	BR_STATUS	CT_REP	0;
	8090	0	CT_TBRCH	8729	BR_STATUS	CT_REP	0;
	8091	0	CT_TBRCH	8730	BR_STATUS	CT_REP	0;
	8092	0	CT_TBRCH	8731	BR_STATUS	CT_REP	0;
	8093	0	CT_TBRCH	8732	BR_STATUS	CT_REP	0;
	8094	0	CT_TBRCH	8733	BR_STATUS	CT_REP	0;
	8095	0	CT_TBRCH	8734	BR_STATUS	CT_REP	0;
	8096	0	CT_TBRCH	8735	BR_STATUS	CT_REP	0;
	8097	0	CT_TBRCH	8736	BR_STATUS	CT_REP	0;
	8098	0	CT_TBRCH	8737	BR_STATUS	CT_REP	0;
	8099	0	CT_TBRCH	8738	BR_STATUS	CT_REP	0;
	8100	0	CT_TBRCH	8739	BR_STATUS	CT_REP	0;
	8101	0	CT_TBRCH	8740	BR_STATUS	CT_REP	0;
	8102	0	CT_TBRCH	8741	BR_STATUS	CT_REP	0;
	8103	0	CT_TBRCH	8742	BR_STATUS	CT_REP	0;
	8104	0	CT_TBRCH	8743	BR_STATUS	CT_REP	0;
	8105	0	CT_TBRCH	8744	BR_STATUS	CT_REP	0;
	8106	0	CT_TBRCH	8745	BR_STATUS	CT_REP	0;
	8107	0	CT_TBRCH	8746	BR_STATUS	CT_REP	0;
	8108	0	CT_TBRCH	8747	BR_STATUS	CT_REP	0;
	8109	0	CT_TBRCH	8748	BR_STATUS	CT_REP	0;
	8110	0	CT_TBRCH	8749	BR_STATUS	CT_REP	0;
	8111	0	CT_TBRCH	8750	BR_STATUS	CT_REP	0;
	8112	0	CT_TBRCH	8751	BR_STATUS	CT_REP	0;
	8113	0	CT_TBRCH	8752	BR_STATUS	CT_REP	0;
	8114	0	CT_TBRCH	8753	BR_STATUS	CT_REP	0;
	8115	0	CT_TBRCH	8754	BR_STATUS	CT_REP	0;
	8116	0	CT_TBRCH	8755	BR_STATUS	CT_REP	0;
	8117	0	CT_TBRCH	8756	BR_STATUS	CT_REP	0;
	8118	0	CT_TBRCH	8757	BR_STATUS	CT_REP	0;
	8119	0	CT_TBRCH	8758	BR_STATUS	CT_REP	0;
	8120	0	CT_TBRCH	8759	BR_STATUS	CT_REP	0;
	8121	0	CT_TBRCH	8760	BR_STATUS	CT_REP	0;
	8122	0	CT_TBRCH	8761	BR_STATUS	CT_REP	0;
	8123	0	CT_TBRCH	8762	BR_STATUS	CT_REP	0;
	8124	0	CT_TBRCH	8763	BR_STATUS	CT_REP	0;
	8125	0	CT_TBRCH	8764	BR_STATUS	CT_REP	0;
	8126	0	CT_TBRCH	8765	BR_STATUS	CT_REP	0;
	8127	0	CT_TBRCH	8766	BR_STATUS	CT_REP	0;
	8128	0	CT_TBRCH	8767	BR_STATUS	CT_REP	0;
	8129	0	CT_TBRCH	8768	BR_STATUS	CT_REP	0;
	8130	0	CT_TBRCH	8769	BR_STATUS	CT_REP	0;
	8131	0	CT_TBRCH	8770	BR_STATUS	CT_REP	0;
	8132	0	CT_TBRCH	8771	BR_STATUS	CT_REP	0;
	8133	0	CT_TBRCH	8772	BR_STATUS	CT_REP	0;
	8134	0	CT_TBRCH	8773	BR_STATUS	CT_REP	0;
	8135	0	CT_TBRCH	8774	BR_STATUS	CT_REP	0;
	8136	0	CT_TBRCH	8775	BR_STATUS	CT_REP	0;
	8137	0	CT_TBRCH	8776	BR_STATUS	CT_REP	0;
	8138	0	CT_TBRCH	8777	BR_STATUS	CT_REP	0;
	8139	0	CT_TBRCH	8778	BR_STATUS	CT_REP	0;
	8140	0	CT_TBRCH	8779	BR_STATUS	CT_REP	0;
	8141	0	CT_TBRCH	8780	BR_STATUS	CT_REP	0;
	8142	0	CT_TBRCH	8781	BR_STATUS	CT_REP	0;
	8143	0	CT_TBRCH	8782	BR_STATUS	CT_REP	0;
	8144	0	CT_TBRCH	8783	BR_STATUS	CT_REP	0;
	8145	0	CT_TBRCH	8784	BR_STATUS	CT_REP	0;
	8146	0	CT_TBRCH	8785	BR_STATUS	CT_REP	0;
	8147	0	CT_TBRCH	8786	BR_STATUS	CT_REP	0;
	8148	0	CT_TBRCH	8787	BR_STATUS	CT_REP	0;
	8149	0	CT_TBRCH	8788	BR_STATUS	CT_REP	0;
	8150	0	CT_TBRCH	8789	BR_STATUS	CT_REP	0;
	8151	0	CT_TBRCH	8790	BR_STATUS	CT_REP	0;
	8152	0	CT_TBRCH	8791	BR_STATUS	CT_REP	0;
	8153	0	CT_TBRCH	8792	BR_STATUS	CT_REP	0;
	8154	0	CT_TBRCH	8793	BR_STATUS	CT_REP	0;
	8155	0	CT_TBRCH	8794	BR_STATUS	CT_REP	0;
	8156	0	CT_TBRCH	8795	BR_STATUS	CT_REP	0;
	8157	0	CT_TBRCH	8796	BR_STATUS	CT_REP	0;
	8158	0	CT_TBRCH	8797	BR_STATUS	CT_REP	0;
	8159	0	CT_TBRCH	8798	BR_STATUS	CT_REP	0;
	8160	0	CT_TBRCH	8799	BR_STATUS	CT_REP	0;
	8161	0	CT_TBRCH	8800	BR_STATUS	CT_REP	0;
	8162	0	CT_TBRCH	8801	BR_STATUS	CT_REP	0;
	8163	0	CT_TBRCH	8802	BR_STATUS	CT_REP	0;
	8164	0	CT_TBRCH	8803	BR_STATUS	CT_REP	0;
	8165	0	CT_TBRCH	8804	BR_STATUS	CT_REP	0;
	8166	0	CT_TBRCH	8805	BR_STATUS	CT_REP	0;
	8167	0	CT_TBRCH	8806	BR_STATUS	CT_REP	0;
	8168	0	CT_TBRCH	8807	BR_STATUS	CT_REP	0;
	8169	0	CT_TBRCH	8808	BR_STATUS	CT_REP	0;
	8170	0	CT_TBRCH	8809	BR_STATUS	CT_REP	0;
	8171	0	CT_TBRCH	8810	BR_STATUS	CT_REP	0;
	8172	0	CT_TBRCH	8811	BR_STATUS	CT_REP	0;
	8173	0	CT_TBRCH	8812	BR_STATUS	CT_REP	0;
	8174	0	CT_TBRCH	8814	BR_STATUS	CT_REP	0;
	8175	0	CT_TBRCH	8815	BR_STATUS	CT_REP	0;
	8176	0	CT_TBRCH	8816	BR_STATUS	CT_REP	0;
	8177	0	CT_TBRCH	8818	BR_STATUS	CT_REP	0;
	8178	0	CT_TBRCH	8820	BR_STATUS	CT_REP	0;
	8179	0	CT_TBRCH	8821	BR_STATUS	CT_REP	0;
	8180	0	CT_TBRCH	8822	BR_STATUS	CT_REP	0;
	8181	0	CT_TBRCH	8823	BR_STATUS	CT_REP	0;
	8182	0	CT_TBRCH	8824	BR_STATUS	CT_REP	0;
	8183	0	CT_TBRCH	8825	BR_STATUS	CT_REP	0;
	8184	0	CT_TBRCH	8826	BR_STATUS	CT_REP	0;
	8185	0	CT_TBRCH	8827	BR_STATUS	CT_REP	0;
	8186	0	CT_TBRCH	8828	BR_STATUS	CT_REP	0;
	8187	0	CT_TBRCH	8829	BR_STATUS	CT_REP	0;
	8188	0	CT_TBRCH	8830	BR_STATUS	CT_REP	0;
	8189	0	CT_TBRCH	8831	BR_STATUS	CT_REP	0;
	8190	0	CT_TBRCH	8832	BR_STATUS	CT_REP	0;
	8191	0	CT_TBRCH	8833	BR_STATUS	CT_REP	0;
	8192	0	CT_TBRCH	8834	BR_STATUS	CT_REP	0;
	8193	0	CT_TBRCH	8835	BR_STATUS	CT_REP	0;
	8194	0	CT_TBRCH	8836	BR_STATUS	CT_REP	0;
	8195	0	CT_TBRCH	8837	BR_STATUS	CT_REP	0;
	8196	0	CT_TBRCH	8838	BR_STATUS	CT_REP	0;
	8197	0	CT_TBRCH	8839	BR_STATUS	CT_REP	0;
	8198	0	CT_TBRCH	8840	BR_STATUS	CT_REP	0;
	8199	0	CT_TBRCH	8841	BR_STATUS	CT_REP	0;
	8200	0	CT_TBRCH	8842	BR_STATUS	CT_REP	0;
	8201	0	CT_TBRCH	8843	BR_STATUS	CT_REP	0;
	8202	0	CT_TBRCH	8844	BR_STATUS	CT_REP	0;
	8203	0	CT_TBRCH	8845	BR_STATUS	CT_REP	0;
	8204	0	CT_TBRCH	8846	BR_STATUS	CT_REP	0;
	8205	0	CT_TBRCH	8847	BR_STATUS	CT_REP	0;
	8206	0	CT_TBRCH	8848	BR_STATUS	CT_REP	0;
	8207	0	CT_TBRCH	8849	BR_STATUS	CT_REP	0;
	8208	0	CT_TBRCH	8850	BR_STATUS	CT_REP	0;
	8209	0	CT_TBRCH	8851	BR_STATUS	CT_REP	0;
	8210	0	CT_TBRCH	8852	BR_STATUS	CT_REP	0;
	8211	0	CT_TBRCH	8853	BR_STATUS	CT_REP	0;
	8212	0	CT_TBRCH	8854	BR_STATUS	CT_REP	0;
	8213	0	CT_TBRCH	8855	BR_STATUS	CT_REP	0;
	8214	0	CT_TBRCH	8856	BR_STATUS	CT_REP	0;
	8215	0	CT_TBRCH	8857	BR_STATUS	CT_REP	0;
	8216	0	CT_TBRCH	8858	BR_STATUS	CT_REP	0;
	8217	0	CT_TBRCH	8859	BR_STATUS	CT_REP	0;
	8218	0	CT_TBRCH	8860	BR_STATUS	CT_REP	0;
	8219	0	CT_TBRCH	8861	BR_STATUS	CT_REP	0;
	8220	0	CT_TBRCH	8862	BR_STATUS	CT_REP	0;
	8221	0	CT_TBRCH	8863	BR_STATUS	CT_REP	0;
	8222	0	CT_TBRCH	8864	BR_STATUS	CT_REP	0;
	8223	0	CT_TBRCH	8865	BR_STATUS	CT_REP	0;
	8224	0	CT_TBRCH	8866	BR_STATUS	CT_REP	0;
	8225	0	CT_TBRCH	8867	BR_STATUS	CT_REP	0;
	8226	0	CT_TBRCH	8868	BR_STATUS	CT_REP	0;
	8227	0	CT_TBRCH	8869	BR_STATUS	CT_REP	0;
	8228	0	CT_TBRCH	8870	BR_STATUS	CT_REP	0;
	8229	0	CT_TBRCH	8871	BR_STATUS	CT_REP	0;
	8230	0	CT_TBRCH	8872	BR_STATUS	CT_REP	0;
	8231	0	CT_TBRCH	8873	BR_STATUS	CT_REP	0;
	8232	0	CT_TBRCH	8874	BR_STATUS	CT_REP	0;
	8233	0	CT_TBRCH	8875	BR_STATUS	CT_REP	0;
	8234	0	CT_TBRCH	8876	BR_STATUS	CT_REP	0;
	8235	0	CT_TBRCH	8877	BR_STATUS	CT_REP	0;
	8236	0	CT_TBRCH	8878	BR_STATUS	CT_REP	0;
	8237	0	CT_TBRCH	8879	BR_STATUS	CT_REP	0;
	8238	0	CT_TBRCH	8880	BR_STATUS	CT_REP	0;
	8239	0	CT_TBRCH	8882	BR_STATUS	CT_REP	0;
	8240	0	CT_TBRCH	8884	BR_STATUS	CT_REP	0;
	8241	0	CT_TBRCH	8885	BR_STATUS	CT_REP	0;
	8242	0	CT_TBRCH	8886	BR_STATUS	CT_REP	0;
	8243	0	CT_TBRCH	8888	BR_STATUS	CT_REP	0;
	8244	0	CT_TBRCH	8889	BR_STATUS	CT_REP	0;
	8245	0	CT_TBRCH	8890	BR_STATUS	CT_REP	0;
	8246	0	CT_TBRCH	8891	BR_STATUS	CT_REP	0;
	8247	0	CT_TBRCH	8892	BR_STATUS	CT_REP	0;
	8248	0	CT_TBRCH	8893	BR_STATUS	CT_REP	0;
	8249	0	CT_TBRCH	8894	BR_STATUS	CT_REP	0;
	8250	0	CT_TBRCH	8895	BR_STATUS	CT_REP	0;
	8251	0	CT_TBRCH	8896	BR_STATUS	CT_REP	0;
	8252	0	CT_TBRCH	8897	BR_STATUS	CT_REP	0;
	8253	0	CT_TBRCH	8898	BR_STATUS	CT_REP	0;
	8254	0	CT_TBRCH	8899	BR_STATUS	CT_REP	0;
	8255	0	CT_TBRCH	8900	BR_STATUS	CT_REP	0;
	8256	0	CT_TBRCH	8901	BR_STATUS	CT_REP	0;
	8257	0	CT_TBRCH	8902	BR_STATUS	CT_REP	0;
	8258	0	CT_TBRCH	8903	BR_STATUS	CT_REP	0;
	8259	0	CT_TBRCH	8904	BR_STATUS	CT_REP	0;
	8260	0	CT_TBRCH	8905	BR_STATUS	CT_REP	0;
	8261	0	CT_TBRCH	8906	BR_STATUS	CT_REP	0;
	8262	0	CT_TBRCH	8907	BR_STATUS	CT_REP	0;
	8263	0	CT_TBRCH	8908	BR_STATUS	CT_REP	0;
	8264	0	CT_TBRCH	8909	BR_STATUS	CT_REP	0;
	8265	0	CT_TBRCH	8910	BR_STATUS	CT_REP	0;
	8266	0	CT_TBRCH	8911	BR_STATUS	CT_REP	0;
	8267	0	CT_TBRCH	8912	BR_STATUS	CT_REP	0;
	8268	0	CT_TBRCH	8913	BR_STATUS	CT_REP	0;
	8269	0	CT_TBRCH	8914	BR_STATUS	CT_REP	0;
	8270	0	CT_TBRCH	8915	BR_STATUS	CT_REP	0;
	8271	0	CT_TBRCH	8916	BR_STATUS	CT_REP	0;
	8272	0	CT_TBRCH	8917	BR_STATUS	CT_REP	0;
	8273	0	CT_TBRCH	8918	BR_STATUS	CT_REP	0;
	8274	0	CT_TBRCH	8919	BR_STATUS	CT_REP	0;
	8275	0	CT_TBRCH	8920	BR_STATUS	CT_REP	0;
	8276	0	CT_TBRCH	8921	BR_STATUS	CT_REP	0;
	8277	0	CT_TBRCH	8922	BR_STATUS	CT_REP	0;
	8278	0	CT_TBRCH	8923	BR_STATUS	CT_REP	0;
	8279	0	CT_TBRCH	8924	BR_STATUS	CT_REP	0;
	8280	0	CT_TBRCH	8925	BR_STATUS	CT_REP	0;
	8281	0	CT_TBRCH	8926	BR_STATUS	CT_REP	0;
	8282	0	CT_TBRCH	8927	BR_STATUS	CT_REP	0;
	8283	0	CT_TBRCH	8928	BR_STATUS	CT_REP	0;
	8284	0	CT_TBRCH	8929	BR_STATUS	CT_REP	0;
	8285	0	CT_TBRCH	8930	BR_STATUS	CT_REP	0;
	8286	0	CT_TBRCH	8931	BR_STATUS	CT_REP	0;
	8287	0	CT_TBRCH	8932	BR_STATUS	CT_REP	0;
	8288	0	CT_TBRCH	8933	BR_STATUS	CT_REP	0;
	8289	0	CT_TBRCH	8934	BR_STATUS	CT_REP	0;
	8290	0	CT_TBRCH	8935	BR_STATUS	CT_REP	0;
	8291	0	CT_TBRCH	8936	BR_STATUS	CT_REP	0;
	8292	0	CT_TBRCH	8937	BR_STATUS	CT_REP	0;
	8293	0	CT_TBRCH	8938	BR_STATUS	CT_REP	0;
	8294	0	CT_TBRCH	8939	BR_STATUS	CT_REP	0;
	8295	0	CT_TBRCH	8940	BR_STATUS	CT_REP	0;
	8296	0	CT_TBRCH	8941	BR_STATUS	CT_REP	0;
	8297	0	CT_TBRCH	8942	BR_STATUS	CT_REP	0;
	8298	0	CT_TBRCH	8943	BR_STATUS	CT_REP	0;
	8299	0	CT_TBRCH	8944	BR_STATUS	CT_REP	0;
	8300	0	CT_TBRCH	8945	BR_STATUS	CT_REP	0;
	8301	0	CT_TBRCH	8946	BR_STATUS	CT_REP	0;
	8302	0	CT_TBRCH	8948	BR_STATUS	CT_REP	0;
	8303	0	CT_TBRCH	8951	BR_STATUS	CT_REP	0;
	8304	0	CT_TBRCH	8952	BR_STATUS	CT_REP	0;
	8305	0	CT_TBRCH	8953	BR_STATUS	CT_REP	0;
	8306	0	CT_TBRCH	8954	BR_STATUS	CT_REP	0;
	8307	0	CT_TBRCH	8955	BR_STATUS	CT_REP	0;
	8308	0	CT_TBRCH	8956	BR_STATUS	CT_REP	0;
	8309	0	CT_TBRCH	8957	BR_STATUS	CT_REP	0;
	8310	0	CT_TBRCH	8958	BR_STATUS	CT_REP	0;
	8311	0	CT_TBRCH	8959	BR_STATUS	CT_REP	0;
	8312	0	CT_TBRCH	8960	BR_STATUS	CT_REP	0;
	8313	0	CT_TBRCH	8961	BR_STATUS	CT_REP	0;
	8314	0	CT_TBRCH	8962	BR_STATUS	CT_REP	0;
	8315	0	CT_TBRCH	8963	BR_STATUS	CT_REP	0;
	8316	0	CT_TBRCH	8964	BR_STATUS	CT_REP	0;
	8317	0	CT_TBRCH	8965	BR_STATUS	CT_REP	0;
	8318	0	CT_TBRCH	8966	BR_STATUS	CT_REP	0;
	8319	0	CT_TBRCH	8967	BR_STATUS	CT_REP	0;
	8320	0	CT_TBRCH	8968	BR_STATUS	CT_REP	0;
	8321	0	CT_TBRCH	8970	BR_STATUS	CT_REP	0;
	8322	0	CT_TBRCH	8973	BR_STATUS	CT_REP	0;
	8323	0	CT_TBRCH	8974	BR_STATUS	CT_REP	0;
	8324	0	CT_TBRCH	8975	BR_STATUS	CT_REP	0;
	8325	0	CT_TBRCH	8976	BR_STATUS	CT_REP	0;
	8326	0	CT_TBRCH	8977	BR_STATUS	CT_REP	0;
	8327	0	CT_TBRCH	8978	BR_STATUS	CT_REP	0;
	8328	0	CT_TBRCH	8979	BR_STATUS	CT_REP	0;
	8329	0	CT_TBRCH	8980	BR_STATUS	CT_REP	0;
	8330	0	CT_TBRCH	8981	BR_STATUS	CT_REP	0;
	8331	0	CT_TBRCH	8982	BR_STATUS	CT_REP	0;
	8332	0	CT_TBRCH	8983	BR_STATUS	CT_REP	0;
	8333	0	CT_TBRCH	8984	BR_STATUS	CT_REP	0;
	8334	0	CT_TBRCH	8985	BR_STATUS	CT_REP	0;
	8335	0	CT_TBRCH	8986	BR_STATUS	CT_REP	0;
	8336	0	CT_TBRCH	8987	BR_STATUS	CT_REP	0;
	8337	0	CT_TBRCH	8988	BR_STATUS	CT_REP	0;
	8338	0	CT_TBRCH	8989	BR_STATUS	CT_REP	0;
	8339	0	CT_TBRCH	8990	BR_STATUS	CT_REP	0;
	8340	0	CT_TBRCH	8991	BR_STATUS	CT_REP	0;
	8341	0	CT_TBRCH	8992	BR_STATUS	CT_REP	0;
	8342	0	CT_TBRCH	8993	BR_STATUS	CT_REP	0;
	8343	0	CT_TBRCH	8994	BR_STATUS	CT_REP	0;
	8344	0	CT_TBRCH	8995	BR_STATUS	CT_REP	0;
	8345	0	CT_TBRCH	8996	BR_STATUS	CT_REP	0;
	8346	0	CT_TBRCH	8997	BR_STATUS	CT_REP	0;
	8347	0	CT_TBRCH	8998	BR_STATUS	CT_REP	0;
	8348	0	CT_TBRCH	8999	BR_STATUS	CT_REP	0;
	8349	0	CT_TBRCH	9000	BR_STATUS	CT_REP	0;
	8350	0	CT_TBRCH	9001	BR_STATUS	CT_REP	0;
	8351	0	CT_TBRCH	9002	BR_STATUS	CT_REP	0;
	8352	0	CT_TBRCH	9003	BR_STATUS	CT_REP	0;
	8353	0	CT_TBRCH	9004	BR_STATUS	CT_REP	0;
	8354	0	CT_TBRCH	9005	BR_STATUS	CT_REP	0;
	8355	0	CT_TBRCH	9006	BR_STATUS	CT_REP	0;
	8356	0	CT_TBRCH	9007	BR_STATUS	CT_REP	0;
	8357	0	CT_TBRCH	9008	BR_STATUS	CT_REP	0;
	8358	0	CT_TBRCH	9009	BR_STATUS	CT_REP	0;
	8359	0	CT_TBRCH	9010	BR_STATUS	CT_REP	0;
	8360	0	CT_TBRCH	9011	BR_STATUS	CT_REP	0;
	8361	0	CT_TBRCH	9012	BR_STATUS	CT_REP	0;
	8362	0	CT_TBRCH	9013	BR_STATUS	CT_REP	0;
	8363	0	CT_TBRCH	9014	BR_STATUS	CT_REP	0;
	8364	0	CT_TBRCH	9015	BR_STATUS	CT_REP	0;
	8365	0	CT_TBRCH	9016	BR_STATUS	CT_REP	0;
	8366	0	CT_TBRCH	9017	BR_STATUS	CT_REP	0;
	8367	0	CT_TBRCH	9018	BR_STATUS	CT_REP	0;
	8368	0	CT_TBRCH	9019	BR_STATUS	CT_REP	0;
	8369	0	CT_TBRCH	9020	BR_STATUS	CT_REP	0;
	8370	0	CT_TBRCH	9021	BR_STATUS	CT_REP	0;
	8371	0	CT_TBRCH	9022	BR_STATUS	CT_REP	0;
	8372	0	CT_TBRCH	9023	BR_STATUS	CT_REP	0;
	8373	0	CT_TBRCH	9024	BR_STATUS	CT_REP	0;
	8374	0	CT_TBRCH	9025	BR_STATUS	CT_REP	0;
	8375	0	CT_TBRCH	9027	BR_STATUS	CT_REP	0;
	8376	0	CT_TBRCH	9028	BR_STATUS	CT_REP	0;
	8377	0	CT_TBRCH	9030	BR_STATUS	CT_REP	0;
	8378	0	CT_TBRCH	9032	BR_STATUS	CT_REP	0;
	8379	0	CT_TBRCH	9033	BR_STATUS	CT_REP	0;
	8380	0	CT_TBRCH	9034	BR_STATUS	CT_REP	0;
	8381	0	CT_TBRCH	9035	BR_STATUS	CT_REP	0;
	8382	0	CT_TBRCH	9036	BR_STATUS	CT_REP	0;
	8383	0	CT_TBRCH	9037	BR_STATUS	CT_REP	0;
	8384	0	CT_TBRCH	9038	BR_STATUS	CT_REP	0;
	8385	0	CT_TBRCH	9039	BR_STATUS	CT_REP	0;
	8386	0	CT_TBRCH	9040	BR_STATUS	CT_REP	0;
	8387	0	CT_TBRCH	9041	BR_STATUS	CT_REP	0;
	8388	0	CT_TBRCH	9042	BR_STATUS	CT_REP	0;
	8389	0	CT_TBRCH	9043	BR_STATUS	CT_REP	0;
	8390	0	CT_TBRCH	9044	BR_STATUS	CT_REP	0;
	8391	0	CT_TBRCH	9045	BR_STATUS	CT_REP	0;
	8392	0	CT_TBRCH	9046	BR_STATUS	CT_REP	0;
	8393	0	CT_TBRCH	9047	BR_STATUS	CT_REP	0;
	8394	0	CT_TBRCH	9048	BR_STATUS	CT_REP	0;
	8395	0	CT_TBRCH	9049	BR_STATUS	CT_REP	0;
	8396	0	CT_TBRCH	9050	BR_STATUS	CT_REP	0;
	8397	0	CT_TBRCH	9051	BR_STATUS	CT_REP	0;
	8398	0	CT_TBRCH	9052	BR_STATUS	CT_REP	0;
	8399	0	CT_TBRCH	9053	BR_STATUS	CT_REP	0;
	8400	0	CT_TBRCH	9054	BR_STATUS	CT_REP	0;
	8401	0	CT_TBRCH	9055	BR_STATUS	CT_REP	0;
	8402	0	CT_TBRCH	9056	BR_STATUS	CT_REP	0;
	8403	0	CT_TBRCH	9057	BR_STATUS	CT_REP	0;
	8404	0	CT_TBRCH	9058	BR_STATUS	CT_REP	0;
	8405	0	CT_TBRCH	9059	BR_STATUS	CT_REP	0;
	8406	0	CT_TBRCH	9060	BR_STATUS	CT_REP	0;
	8407	0	CT_TBRCH	9061	BR_STATUS	CT_REP	0;
	8408	0	CT_TBRCH	9062	BR_STATUS	CT_REP	0;
	8409	0	CT_TBRCH	9063	BR_STATUS	CT_REP	0;
	8410	0	CT_TBRCH	9064	BR_STATUS	CT_REP	0;
	8411	0	CT_TBRCH	9065	BR_STATUS	CT_REP	0;
	8412	0	CT_TBRCH	9066	BR_STATUS	CT_REP	0;
	8413	0	CT_TBRCH	9067	BR_STATUS	CT_REP	0;
	8414	0	CT_TBRCH	9068	BR_STATUS	CT_REP	0;
	8415	0	CT_TBRCH	9069	BR_STATUS	CT_REP	0;
	8416	0	CT_TBRCH	9070	BR_STATUS	CT_REP	0;
	8417	0	CT_TBRCH	9071	BR_STATUS	CT_REP	0;
	8418	0	CT_TBRCH	9072	BR_STATUS	CT_REP	0;
	8419	0	CT_TBRCH	9073	BR_STATUS	CT_REP	0;
	8420	0	CT_TBRCH	9074	BR_STATUS	CT_REP	0;
	8421	0	CT_TBRCH	9075	BR_STATUS	CT_REP	0;
	8422	0	CT_TBRCH	9076	BR_STATUS	CT_REP	0;
	8423	0	CT_TBRCH	9077	BR_STATUS	CT_REP	0;
	8424	0	CT_TBRCH	9078	BR_STATUS	CT_REP	0;
	8425	0	CT_TBRCH	9080	BR_STATUS	CT_REP	0;
	8426	0	CT_TBRCH	9083	BR_STATUS	CT_REP	0;
	8427	0	CT_TBRCH	9084	BR_STATUS	CT_REP	0;
	8428	0	CT_TBRCH	9088	BR_STATUS	CT_REP	0;
	8429	0	CT_TBRCH	9089	BR_STATUS	CT_REP	0;
	8430	0	CT_TBRCH	9090	BR_STATUS	CT_REP	0;
	8431	0	CT_TBRCH	9091	BR_STATUS	CT_REP	0;
	8432	0	CT_TBRCH	9092	BR_STATUS	CT_REP	0;
	8433	0	CT_TBRCH	9093	BR_STATUS	CT_REP	0;
	8434	0	CT_TBRCH	9094	BR_STATUS	CT_REP	0;
	8435	0	CT_TBRCH	9095	BR_STATUS	CT_REP	0;
	8436	0	CT_TBRCH	9096	BR_STATUS	CT_REP	0;
	8437	0	CT_TBRCH	9097	BR_STATUS	CT_REP	0;
	8438	0	CT_TBRCH	9098	BR_STATUS	CT_REP	0;
	8439	0	CT_TBRCH	9099	BR_STATUS	CT_REP	0;
	8440	0	CT_TBRCH	9100	BR_STATUS	CT_REP	0;
	8441	0	CT_TBRCH	9101	BR_STATUS	CT_REP	0;
	8442	0	CT_TBRCH	9102	BR_STATUS	CT_REP	0;
	8443	0	CT_TBRCH	9103	BR_STATUS	CT_REP	0;
	8444	0	CT_TBRCH	9104	BR_STATUS	CT_REP	0;
	8445	0	CT_TBRCH	9105	BR_STATUS	CT_REP	0;
	8446	0	CT_TBRCH	9106	BR_STATUS	CT_REP	0;
	8447	0	CT_TBRCH	9107	BR_STATUS	CT_REP	0;
	8448	0	CT_TBRCH	9108	BR_STATUS	CT_REP	0;
	8449	0	CT_TBRCH	9109	BR_STATUS	CT_REP	0;
	8450	0	CT_TBRCH	9110	BR_STATUS	CT_REP	0;
	8451	0	CT_TBRCH	9111	BR_STATUS	CT_REP	0;
	8452	0	CT_TBRCH	9112	BR_STATUS	CT_REP	0;
	8453	0	CT_TBRCH	9113	BR_STATUS	CT_REP	0;
	8454	0	CT_TBRCH	9114	BR_STATUS	CT_REP	0;
	8455	0	CT_TBRCH	9115	BR_STATUS	CT_REP	0;
	8456	0	CT_TBRCH	9116	BR_STATUS	CT_REP	0;
	8457	0	CT_TBRCH	9117	BR_STATUS	CT_REP	0;
	8458	0	CT_TBRCH	9118	BR_STATUS	CT_REP	0;
	8459	0	CT_TBRCH	9119	BR_STATUS	CT_REP	0;
	8460	0	CT_TBRCH	9120	BR_STATUS	CT_REP	0;
	8461	0	CT_TBRCH	9121	BR_STATUS	CT_REP	0;
	8462	0	CT_TBRCH	9122	BR_STATUS	CT_REP	0;
	8463	0	CT_TBRCH	9123	BR_STATUS	CT_REP	0;
	8464	0	CT_TBRCH	9125	BR_STATUS	CT_REP	0;
	8465	0	CT_TBRCH	9126	BR_STATUS	CT_REP	0;
	8466	0	CT_TBRCH	9127	BR_STATUS	CT_REP	0;
	8467	0	CT_TBRCH	9128	BR_STATUS	CT_REP	0;
	8468	0	CT_TBRCH	9129	BR_STATUS	CT_REP	0;
	8469	0	CT_TBRCH	9131	BR_STATUS	CT_REP	0;
	8470	0	CT_TBRCH	9133	BR_STATUS	CT_REP	0;
	8471	0	CT_TBRCH	9134	BR_STATUS	CT_REP	0;
	8472	0	CT_TBRCH	9135	BR_STATUS	CT_REP	0;
	8473	0	CT_TBRCH	9136	BR_STATUS	CT_REP	0;
	8474	0	CT_TBRCH	9137	BR_STATUS	CT_REP	0;
	8475	0	CT_TBRCH	9138	BR_STATUS	CT_REP	0;
	8476	0	CT_TBRCH	9139	BR_STATUS	CT_REP	0;
	8477	0	CT_TBRCH	9140	BR_STATUS	CT_REP	0;
	8478	0	CT_TBRCH	9141	BR_STATUS	CT_REP	0;
	8479	0	CT_TBRCH	9142	BR_STATUS	CT_REP	0;
	8480	0	CT_TBRCH	9143	BR_STATUS	CT_REP	0;
	8481	0	CT_TBRCH	9144	BR_STATUS	CT_REP	0;
	8482	0	CT_TBRCH	9145	BR_STATUS	CT_REP	0;
	8483	0	CT_TBRCH	9146	BR_STATUS	CT_REP	0;
	8484	0	CT_TBRCH	9147	BR_STATUS	CT_REP	0;
	8485	0	CT_TBRCH	9148	BR_STATUS	CT_REP	0;
	8486	0	CT_TBRCH	9149	BR_STATUS	CT_REP	0;
	8487	0	CT_TBRCH	9150	BR_STATUS	CT_REP	0;
	8488	0	CT_TBRCH	9151	BR_STATUS	CT_REP	0;
	8489	0	CT_TBRCH	9152	BR_STATUS	CT_REP	0;
	8490	0	CT_TBRCH	9153	BR_STATUS	CT_REP	0;
	8491	0	CT_TBRCH	9154	BR_STATUS	CT_REP	0;
	8492	0	CT_TBRCH	9155	BR_STATUS	CT_REP	0;
	8493	0	CT_TBRCH	9156	BR_STATUS	CT_REP	0;
	8494	0	CT_TBRCH	9157	BR_STATUS	CT_REP	0;
	8495	0	CT_TBRCH	9158	BR_STATUS	CT_REP	0;
	8496	0	CT_TBRCH	9159	BR_STATUS	CT_REP	0;
	8497	0	CT_TBRCH	9160	BR_STATUS	CT_REP	0;
	8498	0	CT_TBRCH	9161	BR_STATUS	CT_REP	0;
	8499	0	CT_TBRCH	9162	BR_STATUS	CT_REP	0;
	8500	0	CT_TBRCH	9163	BR_STATUS	CT_REP	0;
	8501	0	CT_TBRCH	9164	BR_STATUS	CT_REP	0;
	8502	0	CT_TBRCH	9165	BR_STATUS	CT_REP	0;
	8503	0	CT_TBRCH	9166	BR_STATUS	CT_REP	0;
	8504	0	CT_TBRCH	9167	BR_STATUS	CT_REP	0;
	8505	0	CT_TBRCH	9168	BR_STATUS	CT_REP	0;
	8506	0	CT_TBRCH	9169	BR_STATUS	CT_REP	0;
	8507	0	CT_TBRCH	9170	BR_STATUS	CT_REP	0;
	8508	0	CT_TBRCH	9171	BR_STATUS	CT_REP	0;
	8509	0	CT_TBRCH	9172	BR_STATUS	CT_REP	0;
	8510	0	CT_TBRCH	9173	BR_STATUS	CT_REP	0;
	8511	0	CT_TBRCH	9174	BR_STATUS	CT_REP	0;
	8512	0	CT_TBRCH	9175	BR_STATUS	CT_REP	0;
	8513	0	CT_TBRCH	9176	BR_STATUS	CT_REP	0;
	8514	0	CT_TBRCH	9177	BR_STATUS	CT_REP	0;
	8515	0	CT_TBRCH	9178	BR_STATUS	CT_REP	0;
	8516	0	CT_TBRCH	9179	BR_STATUS	CT_REP	0;
	8517	0	CT_TBRCH	9180	BR_STATUS	CT_REP	0;
	8518	0	CT_TBRCH	9181	BR_STATUS	CT_REP	0;
	8519	0	CT_TBRCH	9182	BR_STATUS	CT_REP	0;
	8520	0	CT_TBRCH	9183	BR_STATUS	CT_REP	0;
	8521	0	CT_TBRCH	9184	BR_STATUS	CT_REP	0;
	8522	0	CT_TBRCH	9185	BR_STATUS	CT_REP	0;
	8523	0	CT_TBRCH	9186	BR_STATUS	CT_REP	0;
	8524	0	CT_TBRCH	9187	BR_STATUS	CT_REP	0;
	8525	0	CT_TBRCH	9188	BR_STATUS	CT_REP	0;
	8526	0	CT_TBRCH	9189	BR_STATUS	CT_REP	0;
	8527	0	CT_TBRCH	9190	BR_STATUS	CT_REP	0;
	8528	0	CT_TBRCH	9191	BR_STATUS	CT_REP	0;
	8529	0	CT_TBRCH	9192	BR_STATUS	CT_REP	0;
	8530	0	CT_TBRCH	9193	BR_STATUS	CT_REP	0;
	8531	0	CT_TBRCH	9195	BR_STATUS	CT_REP	0;
	8532	0	CT_TBRCH	9196	BR_STATUS	CT_REP	0;
	8533	0	CT_TBRCH	9197	BR_STATUS	CT_REP	0;
	8534	0	CT_TBRCH	9198	BR_STATUS	CT_REP	0;
	8535	0	CT_TBRCH	9199	BR_STATUS	CT_REP	0;
	8536	0	CT_TBRCH	9200	BR_STATUS	CT_REP	0;
	8537	0	CT_TBRCH	9201	BR_STATUS	CT_REP	0;
	8538	0	CT_TBRCH	9205	BR_STATUS	CT_REP	0;
	8539	0	CT_TBRCH	9206	BR_STATUS	CT_REP	0;
	8540	0	CT_TBRCH	9207	BR_STATUS	CT_REP	0;
	8541	0	CT_TBRCH	9208	BR_STATUS	CT_REP	0;
	8542	0	CT_TBRCH	9209	BR_STATUS	CT_REP	0;
	8543	0	CT_TBRCH	9210	BR_STATUS	CT_REP	0;
	8544	0	CT_TBRCH	9211	BR_STATUS	CT_REP	0;
	8545	0	CT_TBRCH	9212	BR_STATUS	CT_REP	0;
	8546	0	CT_TBRCH	9214	BR_STATUS	CT_REP	0;
	8547	0	CT_TBRCH	9216	BR_STATUS	CT_REP	0;
	8548	0	CT_TBRCH	9217	BR_STATUS	CT_REP	0;
	8549	0	CT_TBRCH	9218	BR_STATUS	CT_REP	0;
	8550	0	CT_TBRCH	9219	BR_STATUS	CT_REP	0;
	8551	0	CT_TBRCH	9220	BR_STATUS	CT_REP	0;
	8552	0	CT_TBRCH	9221	BR_STATUS	CT_REP	0;
	8553	0	CT_TBRCH	9222	BR_STATUS	CT_REP	0;
	8554	0	CT_TBRCH	9223	BR_STATUS	CT_REP	0;
	8555	0	CT_TBRCH	9224	BR_STATUS	CT_REP	0;
	8556	0	CT_TBRCH	9225	BR_STATUS	CT_REP	0;
	8557	0	CT_TBRCH	9226	BR_STATUS	CT_REP	0;
	8558	0	CT_TBRCH	9227	BR_STATUS	CT_REP	0;
	8559	0	CT_TBRCH	9228	BR_STATUS	CT_REP	0;
	8560	0	CT_TBRCH	9229	BR_STATUS	CT_REP	0;
	8561	0	CT_TBRCH	9230	BR_STATUS	CT_REP	0;
	8562	0	CT_TBRCH	9231	BR_STATUS	CT_REP	0;
	8563	0	CT_TBRCH	9232	BR_STATUS	CT_REP	0;
	8564	0	CT_TBRCH	9233	BR_STATUS	CT_REP	0;
	8565	0	CT_TBRCH	9234	BR_STATUS	CT_REP	0;
	8566	0	CT_TBRCH	9235	BR_STATUS	CT_REP	0;
	8567	0	CT_TBRCH	9236	BR_STATUS	CT_REP	0;
	8568	0	CT_TBRCH	9237	BR_STATUS	CT_REP	0;
	8569	0	CT_TBRCH	9238	BR_STATUS	CT_REP	0;
	8570	0	CT_TBRCH	9239	BR_STATUS	CT_REP	0;
	8571	0	CT_TBRCH	9240	BR_STATUS	CT_REP	0;
	8572	0	CT_TBRCH	9241	BR_STATUS	CT_REP	0;
	8573	0	CT_TBRCH	9242	BR_STATUS	CT_REP	0;
	8574	0	CT_TBRCH	9243	BR_STATUS	CT_REP	0;
	8575	0	CT_TBRCH	9244	BR_STATUS	CT_REP	0;
	8576	0	CT_TBRCH	9245	BR_STATUS	CT_REP	0;
	8577	0	CT_TBRCH	9246	BR_STATUS	CT_REP	0;
	8578	0	CT_TBRCH	9247	BR_STATUS	CT_REP	0;
	8579	0	CT_TBRCH	9248	BR_STATUS	CT_REP	0;
	8580	0	CT_TBRCH	9249	BR_STATUS	CT_REP	0;
	8581	0	CT_TBRCH	9250	BR_STATUS	CT_REP	0;
	8582	0	CT_TBRCH	9251	BR_STATUS	CT_REP	0;
	8583	0	CT_TBRCH	9252	BR_STATUS	CT_REP	0;
	8584	0	CT_TBRCH	9253	BR_STATUS	CT_REP	0;
	8585	0	CT_TBRCH	9254	BR_STATUS	CT_REP	0;
	8586	0	CT_TBRCH	9255	BR_STATUS	CT_REP	0;
	8587	0	CT_TBRCH	9256	BR_STATUS	CT_REP	0;
	8588	0	CT_TBRCH	9257	BR_STATUS	CT_REP	0;
	8589	0	CT_TBRCH	9258	BR_STATUS	CT_REP	0;
	8590	0	CT_TBRCH	9259	BR_STATUS	CT_REP	0;
	8591	0	CT_TBRCH	9260	BR_STATUS	CT_REP	0;
	8592	0	CT_TBRCH	9261	BR_STATUS	CT_REP	0;
	8593	0	CT_TBRCH	9262	BR_STATUS	CT_REP	0;
	8594	0	CT_TBRCH	9263	BR_STATUS	CT_REP	0;
	8595	0	CT_TBRCH	9264	BR_STATUS	CT_REP	0;
	8596	0	CT_TBRCH	9265	BR_STATUS	CT_REP	0;
	8597	0	CT_TBRCH	9266	BR_STATUS	CT_REP	0;
	8598	0	CT_TBRCH	9267	BR_STATUS	CT_REP	0;
	8599	0	CT_TBRCH	9268	BR_STATUS	CT_REP	0;
	8600	0	CT_TBRCH	9269	BR_STATUS	CT_REP	0;
	8601	0	CT_TBRCH	9270	BR_STATUS	CT_REP	0;
	8602	0	CT_TBRCH	9271	BR_STATUS	CT_REP	0;
	8603	0	CT_TBRCH	9272	BR_STATUS	CT_REP	0;
	8604	0	CT_TBRCH	9273	BR_STATUS	CT_REP	0;
	8605	0	CT_TBRCH	9274	BR_STATUS	CT_REP	0;
	8606	0	CT_TBRCH	9275	BR_STATUS	CT_REP	0;
	8607	0	CT_TBRCH	9276	BR_STATUS	CT_REP	0;
	8608	0	CT_TBRCH	9277	BR_STATUS	CT_REP	0;
	8609	0	CT_TBRCH	9278	BR_STATUS	CT_REP	0;
	8610	0	CT_TBRCH	9279	BR_STATUS	CT_REP	0;
	8611	0	CT_TBRCH	9280	BR_STATUS	CT_REP	0;
	8612	0	CT_TBRCH	9281	BR_STATUS	CT_REP	0;
	8613	0	CT_TBRCH	9282	BR_STATUS	CT_REP	0;
	8614	0	CT_TBRCH	9283	BR_STATUS	CT_REP	0;
	8615	0	CT_TBRCH	9284	BR_STATUS	CT_REP	0;
	8616	0	CT_TBRCH	9285	BR_STATUS	CT_REP	0;
	8617	0	CT_TBRCH	9286	BR_STATUS	CT_REP	0;
	8618	0	CT_TBRCH	9287	BR_STATUS	CT_REP	0;
	8619	0	CT_TBRCH	9288	BR_STATUS	CT_REP	0;
	8620	0	CT_TBRCH	9289	BR_STATUS	CT_REP	0;
	8621	0	CT_TBRCH	9290	BR_STATUS	CT_REP	0;
	8622	0	CT_TBRCH	9291	BR_STATUS	CT_REP	0;
	8623	0	CT_TBRCH	9292	BR_STATUS	CT_REP	0;
	8624	0	CT_TBRCH	9293	BR_STATUS	CT_REP	0;
	8625	0	CT_TBRCH	9294	BR_STATUS	CT_REP	0;
	8626	0	CT_TBRCH	9295	BR_STATUS	CT_REP	0;
	8627	0	CT_TBRCH	9296	BR_STATUS	CT_REP	0;
	8628	0	CT_TBRCH	9297	BR_STATUS	CT_REP	0;
	8629	0	CT_TBRCH	9298	BR_STATUS	CT_REP	0;
	8630	0	CT_TBRCH	9299	BR_STATUS	CT_REP	0;
	8631	0	CT_TBRCH	9300	BR_STATUS	CT_REP	0;
	8632	0	CT_TBRCH	9301	BR_STATUS	CT_REP	0;
	8633	0	CT_TBRCH	9302	BR_STATUS	CT_REP	0;
	8634	0	CT_TBRCH	9303	BR_STATUS	CT_REP	0;
	8635	0	CT_TBRCH	9304	BR_STATUS	CT_REP	0;
	8636	0	CT_TBRCH	9305	BR_STATUS	CT_REP	0;
	8637	0	CT_TBRCH	9306	BR_STATUS	CT_REP	0;
	8638	0	CT_TBRCH	9307	BR_STATUS	CT_REP	0;
	8639	0	CT_TBRCH	9308	BR_STATUS	CT_REP	0;
	8640	0	CT_TBRCH	9309	BR_STATUS	CT_REP	0;
	8641	0	CT_TBRCH	9311	BR_STATUS	CT_REP	0;
	8642	0	CT_TBRCH	9314	BR_STATUS	CT_REP	0;
	8643	0	CT_TBRCH	9315	BR_STATUS	CT_REP	0;
	8644	0	CT_TBRCH	9316	BR_STATUS	CT_REP	0;
	8645	0	CT_TBRCH	9317	BR_STATUS	CT_REP	0;
	8646	0	CT_TBRCH	9318	BR_STATUS	CT_REP	0;
	8647	0	CT_TBRCH	9319	BR_STATUS	CT_REP	0;
	8648	0	CT_TBRCH	9320	BR_STATUS	CT_REP	0;
	8649	0	CT_TBRCH	9321	BR_STATUS	CT_REP	0;
	8650	0	CT_TBRCH	9322	BR_STATUS	CT_REP	0;
	8651	0	CT_TBRCH	9323	BR_STATUS	CT_REP	0;
	8652	0	CT_TBRCH	9324	BR_STATUS	CT_REP	0;
	8653	0	CT_TBRCH	9325	BR_STATUS	CT_REP	0;
	8654	0	CT_TBRCH	9326	BR_STATUS	CT_REP	0;
	8655	0	CT_TBRCH	9327	BR_STATUS	CT_REP	0;
	8656	0	CT_TBRCH	9328	BR_STATUS	CT_REP	0;
	8657	0	CT_TBRCH	9329	BR_STATUS	CT_REP	0;
	8658	0	CT_TBRCH	9330	BR_STATUS	CT_REP	0;
	8659	0	CT_TBRCH	9331	BR_STATUS	CT_REP	0;
	8660	0	CT_TBRCH	9332	BR_STATUS	CT_REP	0;
	8661	0	CT_TBRCH	9333	BR_STATUS	CT_REP	0;
	8662	0	CT_TBRCH	9334	BR_STATUS	CT_REP	0;
	8663	0	CT_TBRCH	9335	BR_STATUS	CT_REP	0;
	8664	0	CT_TBRCH	9336	BR_STATUS	CT_REP	0;
	8665	0	CT_TBRCH	9337	BR_STATUS	CT_REP	0;
	8666	0	CT_TBRCH	9338	BR_STATUS	CT_REP	0;
	8667	0	CT_TBRCH	9339	BR_STATUS	CT_REP	0;
	8668	0	CT_TBRCH	9340	BR_STATUS	CT_REP	0;
	8669	0	CT_TBRCH	9341	BR_STATUS	CT_REP	0;
	8670	0	CT_TBRCH	9342	BR_STATUS	CT_REP	0;
	8671	0	CT_TBRCH	9343	BR_STATUS	CT_REP	0;
	8672	0	CT_TBRCH	9344	BR_STATUS	CT_REP	0;
	8673	0	CT_TBRCH	9346	BR_STATUS	CT_REP	0;
	8674	0	CT_TBRCH	9347	BR_STATUS	CT_REP	0;
	8675	0	CT_TBRCH	9348	BR_STATUS	CT_REP	0;
	8676	0	CT_TBRCH	9349	BR_STATUS	CT_REP	0;
	8677	0	CT_TBRCH	9352	BR_STATUS	CT_REP	0;
	8678	0	CT_TBRCH	9353	BR_STATUS	CT_REP	0;
	8679	0	CT_TBRCH	9354	BR_STATUS	CT_REP	0;
	8680	0	CT_TBRCH	9355	BR_STATUS	CT_REP	0;
	8681	0	CT_TBRCH	9356	BR_STATUS	CT_REP	0;
	8682	0	CT_TBRCH	9357	BR_STATUS	CT_REP	0;
	8683	0	CT_TBRCH	9358	BR_STATUS	CT_REP	0;
	8684	0	CT_TBRCH	9359	BR_STATUS	CT_REP	0;
	8685	0	CT_TBRCH	9360	BR_STATUS	CT_REP	0;
	8686	0	CT_TBRCH	9361	BR_STATUS	CT_REP	0;
	8687	0	CT_TBRCH	9362	BR_STATUS	CT_REP	0;
	8688	0	CT_TBRCH	9363	BR_STATUS	CT_REP	0;
	8689	0	CT_TBRCH	9364	BR_STATUS	CT_REP	0;
	8690	0	CT_TBRCH	9365	BR_STATUS	CT_REP	0;
	8691	0	CT_TBRCH	9366	BR_STATUS	CT_REP	0;
	8692	0	CT_TBRCH	9367	BR_STATUS	CT_REP	0;
	8693	0	CT_TBRCH	9368	BR_STATUS	CT_REP	0;
	8694	0	CT_TBRCH	9369	BR_STATUS	CT_REP	0;
	8695	0	CT_TBRCH	9370	BR_STATUS	CT_REP	0;
	8696	0	CT_TBRCH	9371	BR_STATUS	CT_REP	0;
	8697	0	CT_TBRCH	9372	BR_STATUS	CT_REP	0;
	8698	0	CT_TBRCH	9373	BR_STATUS	CT_REP	0;
	8699	0	CT_TBRCH	9374	BR_STATUS	CT_REP	0;
	8700	0	CT_TBRCH	9375	BR_STATUS	CT_REP	0;
	8701	0	CT_TBRCH	9379	BR_STATUS	CT_REP	0;
	8702	0	CT_TBRCH	9380	BR_STATUS	CT_REP	0;
	8703	0	CT_TBRCH	9381	BR_STATUS	CT_REP	0;
	8704	0	CT_TBRCH	9382	BR_STATUS	CT_REP	0;
	8705	0	CT_TBRCH	9383	BR_STATUS	CT_REP	0;
	8706	0	CT_TBRCH	9384	BR_STATUS	CT_REP	0;
	8707	0	CT_TBRCH	9385	BR_STATUS	CT_REP	0;
	8708	0	CT_TBRCH	9387	BR_STATUS	CT_REP	0;
	8709	0	CT_TBRCH	9390	BR_STATUS	CT_REP	0;
	8710	0	CT_TBRCH	9391	BR_STATUS	CT_REP	0;
	8711	0	CT_TBRCH	9392	BR_STATUS	CT_REP	0;
	8712	0	CT_TBRCH	9393	BR_STATUS	CT_REP	0;
	8713	0	CT_TBRCH	9394	BR_STATUS	CT_REP	0;
	8714	0	CT_TBRCH	9395	BR_STATUS	CT_REP	0;
	8715	0	CT_TBRCH	9396	BR_STATUS	CT_REP	0;
	8716	0	CT_TBRCH	9397	BR_STATUS	CT_REP	0;
	8717	0	CT_TBRCH	9398	BR_STATUS	CT_REP	0;
	8718	0	CT_TBRCH	9399	BR_STATUS	CT_REP	0;
	8719	0	CT_TBRCH	9400	BR_STATUS	CT_REP	0;
	8720	0	CT_TBRCH	9401	BR_STATUS	CT_REP	0;
	8721	0	CT_TBRCH	9402	BR_STATUS	CT_REP	0;
	8722	0	CT_TBRCH	9403	BR_STATUS	CT_REP	0;
	8723	0	CT_TBRCH	9404	BR_STATUS	CT_REP	0;
	8724	0	CT_TBRCH	9405	BR_STATUS	CT_REP	0;
	8725	0	CT_TBRCH	9406	BR_STATUS	CT_REP	0;
	8726	0	CT_TBRCH	9407	BR_STATUS	CT_REP	0;
	8727	0	CT_TBRCH	9408	BR_STATUS	CT_REP	0;
	8728	0	CT_TBRCH	9409	BR_STATUS	CT_REP	0;
	8729	0	CT_TBRCH	9410	BR_STATUS	CT_REP	0;
	8730	0	CT_TBRCH	9411	BR_STATUS	CT_REP	0;
	8731	0	CT_TBRCH	9412	BR_STATUS	CT_REP	0;
	8732	0	CT_TBRCH	9413	BR_STATUS	CT_REP	0;
	8733	0	CT_TBRCH	9414	BR_STATUS	CT_REP	0;
	8734	0	CT_TBRCH	9415	BR_STATUS	CT_REP	0;
	8735	0	CT_TBRCH	9416	BR_STATUS	CT_REP	0;
	8736	0	CT_TBRCH	9417	BR_STATUS	CT_REP	0;
	8737	0	CT_TBRCH	9418	BR_STATUS	CT_REP	0;
	8738	0	CT_TBRCH	9419	BR_STATUS	CT_REP	0;
	8739	0	CT_TBRCH	9420	BR_STATUS	CT_REP	0;
	8740	0	CT_TBRCH	9421	BR_STATUS	CT_REP	0;
	8741	0	CT_TBRCH	9422	BR_STATUS	CT_REP	0;
	8742	0	CT_TBRCH	9423	BR_STATUS	CT_REP	0;
	8743	0	CT_TBRCH	9424	BR_STATUS	CT_REP	0;
	8744	0	CT_TBRCH	9425	BR_STATUS	CT_REP	0;
	8745	0	CT_TBRCH	9426	BR_STATUS	CT_REP	0;
	8746	0	CT_TBRCH	9427	BR_STATUS	CT_REP	0;
	8747	0	CT_TBRCH	9428	BR_STATUS	CT_REP	0;
	8748	0	CT_TBRCH	9429	BR_STATUS	CT_REP	0;
	8749	0	CT_TBRCH	9430	BR_STATUS	CT_REP	0;
	8750	0	CT_TBRCH	9431	BR_STATUS	CT_REP	0;
	8751	0	CT_TBRCH	9432	BR_STATUS	CT_REP	0;
	8752	0	CT_TBRCH	9433	BR_STATUS	CT_REP	0;
	8753	0	CT_TBRCH	9434	BR_STATUS	CT_REP	0;
	8754	0	CT_TBRCH	9435	BR_STATUS	CT_REP	0;
	8755	0	CT_TBRCH	9436	BR_STATUS	CT_REP	0;
	8756	0	CT_TBRCH	9437	BR_STATUS	CT_REP	0;
	8757	0	CT_TBRCH	9438	BR_STATUS	CT_REP	0;
	8758	0	CT_TBRCH	9439	BR_STATUS	CT_REP	0;
	8759	0	CT_TBRCH	9440	BR_STATUS	CT_REP	0;
	8760	0	CT_TBRCH	9441	BR_STATUS	CT_REP	0;
	8761	0	CT_TBRCH	9442	BR_STATUS	CT_REP	0;
	8762	0	CT_TBRCH	9443	BR_STATUS	CT_REP	0;
	8763	0	CT_TBRCH	9444	BR_STATUS	CT_REP	0;
	8764	0	CT_TBRCH	9445	BR_STATUS	CT_REP	0;
	8765	0	CT_TBRCH	9446	BR_STATUS	CT_REP	0;
	8766	0	CT_TBRCH	9447	BR_STATUS	CT_REP	0;
	8767	0	CT_TBRCH	9448	BR_STATUS	CT_REP	0;
	8768	0	CT_TBRCH	9449	BR_STATUS	CT_REP	0;
	8769	0	CT_TBRCH	9450	BR_STATUS	CT_REP	0;
	8770	0	CT_TBRCH	9451	BR_STATUS	CT_REP	0;
	8771	0	CT_TBRCH	9452	BR_STATUS	CT_REP	0;
	8772	0	CT_TBRCH	9453	BR_STATUS	CT_REP	0;
	8773	0	CT_TBRCH	9454	BR_STATUS	CT_REP	0;
	8774	0	CT_TBRCH	9455	BR_STATUS	CT_REP	0;
	8775	0	CT_TBRCH	9456	BR_STATUS	CT_REP	0;
	8776	0	CT_TBRCH	9457	BR_STATUS	CT_REP	0;
	8777	0	CT_TBRCH	9458	BR_STATUS	CT_REP	0;
	8778	0	CT_TBRCH	9459	BR_STATUS	CT_REP	0;
	8779	0	CT_TBRCH	9460	BR_STATUS	CT_REP	0;
	8780	0	CT_TBRCH	9461	BR_STATUS	CT_REP	0;
	8781	0	CT_TBRCH	9462	BR_STATUS	CT_REP	0;
	8782	0	CT_TBRCH	9463	BR_STATUS	CT_REP	0;
	8783	0	CT_TBRCH	9464	BR_STATUS	CT_REP	0;
	8784	0	CT_TBRCH	9465	BR_STATUS	CT_REP	0;
	8785	0	CT_TBRCH	9466	BR_STATUS	CT_REP	0;
	8786	0	CT_TBRCH	9467	BR_STATUS	CT_REP	0;
	8787	0	CT_TBRCH	9468	BR_STATUS	CT_REP	0;
	8788	0	CT_TBRCH	9469	BR_STATUS	CT_REP	0;
	8789	0	CT_TBRCH	9470	BR_STATUS	CT_REP	0;
	8790	0	CT_TBRCH	9472	BR_STATUS	CT_REP	0;
	8791	0	CT_TBRCH	9473	BR_STATUS	CT_REP	0;
	8792	0	CT_TBRCH	9475	BR_STATUS	CT_REP	0;
	8793	0	CT_TBRCH	9477	BR_STATUS	CT_REP	0;
	8794	0	CT_TBRCH	9478	BR_STATUS	CT_REP	0;
	8795	0	CT_TBRCH	9479	BR_STATUS	CT_REP	0;
	8796	0	CT_TBRCH	9480	BR_STATUS	CT_REP	0;
	8797	0	CT_TBRCH	9481	BR_STATUS	CT_REP	0;
	8798	0	CT_TBRCH	9482	BR_STATUS	CT_REP	0;
	8799	0	CT_TBRCH	9483	BR_STATUS	CT_REP	0;
	8800	0	CT_TBRCH	9484	BR_STATUS	CT_REP	0;
	8801	0	CT_TBRCH	9485	BR_STATUS	CT_REP	0;
	8802	0	CT_TBRCH	9486	BR_STATUS	CT_REP	0;
	8803	0	CT_TBRCH	9487	BR_STATUS	CT_REP	0;
	8804	0	CT_TBRCH	9488	BR_STATUS	CT_REP	0;
	8805	0	CT_TBRCH	9489	BR_STATUS	CT_REP	0;
	8806	0	CT_TBRCH	9490	BR_STATUS	CT_REP	0;
	8807	0	CT_TBRCH	9491	BR_STATUS	CT_REP	0;
	8808	0	CT_TBRCH	9492	BR_STATUS	CT_REP	0;
	8809	0	CT_TBRCH	9493	BR_STATUS	CT_REP	0;
	8810	0	CT_TBRCH	9494	BR_STATUS	CT_REP	0;
	8811	0	CT_TBRCH	9495	BR_STATUS	CT_REP	0;
	8812	0	CT_TBRCH	9496	BR_STATUS	CT_REP	0;
	8813	0	CT_TBRCH	9497	BR_STATUS	CT_REP	0;
	8814	0	CT_TBRCH	9498	BR_STATUS	CT_REP	0;
	8815	0	CT_TBRCH	9499	BR_STATUS	CT_REP	0;
	8816	0	CT_TBRCH	9500	BR_STATUS	CT_REP	0;
	8817	0	CT_TBRCH	9501	BR_STATUS	CT_REP	0;
	8818	0	CT_TBRCH	9502	BR_STATUS	CT_REP	0;
	8819	0	CT_TBRCH	9503	BR_STATUS	CT_REP	0;
	8820	0	CT_TBRCH	9504	BR_STATUS	CT_REP	0;
	8821	0	CT_TBRCH	9505	BR_STATUS	CT_REP	0;
	8822	0	CT_TBRCH	9506	BR_STATUS	CT_REP	0;
	8823	0	CT_TBRCH	9507	BR_STATUS	CT_REP	0;
	8824	0	CT_TBRCH	9508	BR_STATUS	CT_REP	0;
	8825	0	CT_TBRCH	9509	BR_STATUS	CT_REP	0;
	8826	0	CT_TBRCH	9510	BR_STATUS	CT_REP	0;
	8827	0	CT_TBRCH	9511	BR_STATUS	CT_REP	0;
	8828	0	CT_TBRCH	9512	BR_STATUS	CT_REP	0;
	8829	0	CT_TBRCH	9513	BR_STATUS	CT_REP	0;
	8830	0	CT_TBRCH	9514	BR_STATUS	CT_REP	0;
	8831	0	CT_TBRCH	9515	BR_STATUS	CT_REP	0;
	8832	0	CT_TBRCH	9516	BR_STATUS	CT_REP	0;
	8833	0	CT_TBRCH	9517	BR_STATUS	CT_REP	0;
	8834	0	CT_TBRCH	9518	BR_STATUS	CT_REP	0;
	8835	0	CT_TBRCH	9519	BR_STATUS	CT_REP	0;
	8836	0	CT_TBRCH	9520	BR_STATUS	CT_REP	0;
	8837	0	CT_TBRCH	9521	BR_STATUS	CT_REP	0;
	8838	0	CT_TBRCH	9522	BR_STATUS	CT_REP	0;
	8839	0	CT_TBRCH	9523	BR_STATUS	CT_REP	0;
	8840	0	CT_TBRCH	9524	BR_STATUS	CT_REP	0;
	8841	0	CT_TBRCH	9525	BR_STATUS	CT_REP	0;
	8842	0	CT_TBRCH	9526	BR_STATUS	CT_REP	0;
	8843	0	CT_TBRCH	9527	BR_STATUS	CT_REP	0;
	8844	0	CT_TBRCH	9528	BR_STATUS	CT_REP	0;
	8845	0	CT_TBRCH	9529	BR_STATUS	CT_REP	0;
	8846	0	CT_TBRCH	9530	BR_STATUS	CT_REP	0;
	8847	0	CT_TBRCH	9531	BR_STATUS	CT_REP	0;
	8848	0	CT_TBRCH	9532	BR_STATUS	CT_REP	0;
	8849	0	CT_TBRCH	9533	BR_STATUS	CT_REP	0;
	8850	0	CT_TBRCH	9534	BR_STATUS	CT_REP	0;
	8851	0	CT_TBRCH	9535	BR_STATUS	CT_REP	0;
	8852	0	CT_TBRCH	9536	BR_STATUS	CT_REP	0;
	8853	0	CT_TBRCH	9537	BR_STATUS	CT_REP	0;
	8854	0	CT_TBRCH	9538	BR_STATUS	CT_REP	0;
	8855	0	CT_TBRCH	9539	BR_STATUS	CT_REP	0;
	8856	0	CT_TBRCH	9540	BR_STATUS	CT_REP	0;
	8857	0	CT_TBRCH	9541	BR_STATUS	CT_REP	0;
	8858	0	CT_TBRCH	9542	BR_STATUS	CT_REP	0;
	8859	0	CT_TBRCH	9543	BR_STATUS	CT_REP	0;
	8860	0	CT_TBRCH	9544	BR_STATUS	CT_REP	0;
	8861	0	CT_TBRCH	9545	BR_STATUS	CT_REP	0;
	8862	0	CT_TBRCH	9546	BR_STATUS	CT_REP	0;
	8863	0	CT_TBRCH	9547	BR_STATUS	CT_REP	0;
	8864	0	CT_TBRCH	9548	BR_STATUS	CT_REP	0;
	8865	0	CT_TBRCH	9549	BR_STATUS	CT_REP	0;
	8866	0	CT_TBRCH	9550	BR_STATUS	CT_REP	0;
	8867	0	CT_TBRCH	9551	BR_STATUS	CT_REP	0;
	8868	0	CT_TBRCH	9552	BR_STATUS	CT_REP	0;
	8869	0	CT_TBRCH	9553	BR_STATUS	CT_REP	0;
	8870	0	CT_TBRCH	9554	BR_STATUS	CT_REP	0;
	8871	0	CT_TBRCH	9555	BR_STATUS	CT_REP	0;
	8872	0	CT_TBRCH	9556	BR_STATUS	CT_REP	0;
	8873	0	CT_TBRCH	9557	BR_STATUS	CT_REP	0;
	8874	0	CT_TBRCH	9558	BR_STATUS	CT_REP	0;
	8875	0	CT_TBRCH	9559	BR_STATUS	CT_REP	0;
	8876	0	CT_TBRCH	9560	BR_STATUS	CT_REP	0;
	8877	0	CT_TBRCH	9561	BR_STATUS	CT_REP	0;
	8878	0	CT_TBRCH	9562	BR_STATUS	CT_REP	0;
	8879	0	CT_TBRCH	9563	BR_STATUS	CT_REP	0;
	8880	0	CT_TBRCH	9564	BR_STATUS	CT_REP	0;
	8881	0	CT_TBRCH	9565	BR_STATUS	CT_REP	0;
	8882	0	CT_TBRCH	9566	BR_STATUS	CT_REP	0;
	8883	0	CT_TBRCH	9567	BR_STATUS	CT_REP	0;
	8884	0	CT_TBRCH	9568	BR_STATUS	CT_REP	0;
	8885	0	CT_TBRCH	9569	BR_STATUS	CT_REP	0;
	8886	0	CT_TBRCH	9570	BR_STATUS	CT_REP	0;
	8887	0	CT_TBRCH	9571	BR_STATUS	CT_REP	0;
	8888	0	CT_TBRCH	9572	BR_STATUS	CT_REP	0;
	8889	0	CT_TBRCH	9573	BR_STATUS	CT_REP	0;
	8890	0	CT_TBRCH	9575	BR_STATUS	CT_REP	0;
	8891	0	CT_TBRCH	9576	BR_STATUS	CT_REP	0;
	8892	0	CT_TBRCH	9577	BR_STATUS	CT_REP	0;
	8893	0	CT_TBRCH	9578	BR_STATUS	CT_REP	0;
	8894	0	CT_TBRCH	9580	BR_STATUS	CT_REP	0;
	8895	0	CT_TBRCH	9581	BR_STATUS	CT_REP	0;
	8896	0	CT_TBRCH	9582	BR_STATUS	CT_REP	0;
	8897	0	CT_TBRCH	9584	BR_STATUS	CT_REP	0;
	8898	0	CT_TBRCH	9585	BR_STATUS	CT_REP	0;
	8899	0	CT_TBRCH	9586	BR_STATUS	CT_REP	0;
	8900	0	CT_TBRCH	9587	BR_STATUS	CT_REP	0;
	8901	0	CT_TBRCH	9588	BR_STATUS	CT_REP	0;
	8902	0	CT_TBRCH	9589	BR_STATUS	CT_REP	0;
	8903	0	CT_TBRCH	9590	BR_STATUS	CT_REP	0;
	8904	0	CT_TBRCH	9591	BR_STATUS	CT_REP	0;
	8905	0	CT_TBRCH	9592	BR_STATUS	CT_REP	0;
	8906	0	CT_TBRCH	9593	BR_STATUS	CT_REP	0;
	8907	0	CT_TBRCH	9594	BR_STATUS	CT_REP	0;
	8908	0	CT_TBRCH	9595	BR_STATUS	CT_REP	0;
	8909	0	CT_TBRCH	9596	BR_STATUS	CT_REP	0;
	8910	0	CT_TBRCH	9597	BR_STATUS	CT_REP	0;
	8911	0	CT_TBRCH	9598	BR_STATUS	CT_REP	0;
	8912	0	CT_TBRCH	9599	BR_STATUS	CT_REP	0;
	8913	0	CT_TBRCH	9600	BR_STATUS	CT_REP	0;
	8914	0	CT_TBRCH	9601	BR_STATUS	CT_REP	0;
	8915	0	CT_TBRCH	9602	BR_STATUS	CT_REP	0;
	8916	0	CT_TBRCH	9603	BR_STATUS	CT_REP	0;
	8917	0	CT_TBRCH	9604	BR_STATUS	CT_REP	0;
	8918	0	CT_TBRCH	9605	BR_STATUS	CT_REP	0;
	8919	0	CT_TBRCH	9606	BR_STATUS	CT_REP	0;
	8920	0	CT_TBRCH	9607	BR_STATUS	CT_REP	0;
	8921	0	CT_TBRCH	9608	BR_STATUS	CT_REP	0;
	8922	0	CT_TBRCH	9609	BR_STATUS	CT_REP	0;
	8923	0	CT_TBRCH	9610	BR_STATUS	CT_REP	0;
	8924	0	CT_TBRCH	9611	BR_STATUS	CT_REP	0;
	8925	0	CT_TBRCH	9612	BR_STATUS	CT_REP	0;
	8926	0	CT_TBRCH	9613	BR_STATUS	CT_REP	0;
	8927	0	CT_TBRCH	9614	BR_STATUS	CT_REP	0;
	8928	0	CT_TBRCH	9615	BR_STATUS	CT_REP	0;
	8929	0	CT_TBRCH	9616	BR_STATUS	CT_REP	0;
	8930	0	CT_TBRCH	9617	BR_STATUS	CT_REP	0;
	8931	0	CT_TBRCH	9618	BR_STATUS	CT_REP	0;
	8932	0	CT_TBRCH	9619	BR_STATUS	CT_REP	0;
	8933	0	CT_TBRCH	9620	BR_STATUS	CT_REP	0;
	8934	0	CT_TBRCH	9621	BR_STATUS	CT_REP	0;
	8935	0	CT_TBRCH	9622	BR_STATUS	CT_REP	0;
	8936	0	CT_TBRCH	9623	BR_STATUS	CT_REP	0;
	8937	0	CT_TBRCH	9624	BR_STATUS	CT_REP	0;
	8938	0	CT_TBRCH	9625	BR_STATUS	CT_REP	0;
	8939	0	CT_TBRCH	9626	BR_STATUS	CT_REP	0;
	8940	0	CT_TBRCH	9627	BR_STATUS	CT_REP	0;
	8941	0	CT_TBRCH	9628	BR_STATUS	CT_REP	0;
	8942	0	CT_TBRCH	9629	BR_STATUS	CT_REP	0;
	8943	0	CT_TBRCH	9630	BR_STATUS	CT_REP	0;
	8944	0	CT_TBRCH	9631	BR_STATUS	CT_REP	0;
	8945	0	CT_TBRCH	9632	BR_STATUS	CT_REP	0;
	8946	0	CT_TBRCH	9633	BR_STATUS	CT_REP	0;
	8947	0	CT_TBRCH	9635	BR_STATUS	CT_REP	0;
	8948	0	CT_TBRCH	9636	BR_STATUS	CT_REP	0;
	8949	0	CT_TBRCH	9637	BR_STATUS	CT_REP	0;
	8950	0	CT_TBRCH	9640	BR_STATUS	CT_REP	0;
	8951	0	CT_TBRCH	9641	BR_STATUS	CT_REP	0;
	8952	0	CT_TBRCH	9642	BR_STATUS	CT_REP	0;
	8953	0	CT_TBRCH	9643	BR_STATUS	CT_REP	0;
	8954	0	CT_TBRCH	9644	BR_STATUS	CT_REP	0;
	8955	0	CT_TBRCH	9645	BR_STATUS	CT_REP	0;
	8956	0	CT_TBRCH	9646	BR_STATUS	CT_REP	0;
	8957	0	CT_TBRCH	9647	BR_STATUS	CT_REP	0;
	8958	0	CT_TBRCH	9648	BR_STATUS	CT_REP	0;
	8959	0	CT_TBRCH	9649	BR_STATUS	CT_REP	0;
	8960	0	CT_TBRCH	9650	BR_STATUS	CT_REP	0;
	8961	0	CT_TBRCH	9651	BR_STATUS	CT_REP	0;
	8962	0	CT_TBRCH	9652	BR_STATUS	CT_REP	0;
	8963	0	CT_TBRCH	9653	BR_STATUS	CT_REP	0;
	8964	0	CT_TBRCH	9654	BR_STATUS	CT_REP	0;
	8965	0	CT_TBRCH	9655	BR_STATUS	CT_REP	0;
	8966	0	CT_TBRCH	9656	BR_STATUS	CT_REP	0;
	8967	0	CT_TBRCH	9657	BR_STATUS	CT_REP	0;
	8968	0	CT_TBRCH	9658	BR_STATUS	CT_REP	0;
	8969	0	CT_TBRCH	9659	BR_STATUS	CT_REP	0;
	8970	0	CT_TBRCH	9660	BR_STATUS	CT_REP	0;
	8971	0	CT_TBRCH	9661	BR_STATUS	CT_REP	0;
	8972	0	CT_TBRCH	9662	BR_STATUS	CT_REP	0;
	8973	0	CT_TBRCH	9663	BR_STATUS	CT_REP	0;
	8974	0	CT_TBRCH	9664	BR_STATUS	CT_REP	0;
	8975	0	CT_TBRCH	9665	BR_STATUS	CT_REP	0;
	8976	0	CT_TBRCH	9666	BR_STATUS	CT_REP	0;
	8977	0	CT_TBRCH	9667	BR_STATUS	CT_REP	0;
	8978	0	CT_TBRCH	9668	BR_STATUS	CT_REP	0;
	8979	0	CT_TBRCH	9669	BR_STATUS	CT_REP	0;
	8980	0	CT_TBRCH	9670	BR_STATUS	CT_REP	0;
	8981	0	CT_TBRCH	9671	BR_STATUS	CT_REP	0;
	8982	0	CT_TBRCH	9672	BR_STATUS	CT_REP	0;
	8983	0	CT_TBRCH	9673	BR_STATUS	CT_REP	0;
	8984	0	CT_TBRCH	9674	BR_STATUS	CT_REP	0;
	8985	0	CT_TBRCH	9675	BR_STATUS	CT_REP	0;
	8986	0	CT_TBRCH	9676	BR_STATUS	CT_REP	0;
	8987	0	CT_TBRCH	9677	BR_STATUS	CT_REP	0;
	8988	0	CT_TBRCH	9678	BR_STATUS	CT_REP	0;
	8989	0	CT_TBRCH	9679	BR_STATUS	CT_REP	0;
	8990	0	CT_TBRCH	9680	BR_STATUS	CT_REP	0;
	8991	0	CT_TBRCH	9681	BR_STATUS	CT_REP	0;
	8992	0	CT_TBRCH	9682	BR_STATUS	CT_REP	0;
	8993	0	CT_TBRCH	9683	BR_STATUS	CT_REP	0;
	8994	0	CT_TBRCH	9684	BR_STATUS	CT_REP	0;
	8995	0	CT_TBRCH	9685	BR_STATUS	CT_REP	0;
	8996	0	CT_TBRCH	9686	BR_STATUS	CT_REP	0;
	8997	0	CT_TBRCH	9687	BR_STATUS	CT_REP	0;
	8998	0	CT_TBRCH	9688	BR_STATUS	CT_REP	0;
	8999	0	CT_TBRCH	9689	BR_STATUS	CT_REP	0;
	9000	0	CT_TBRCH	9690	BR_STATUS	CT_REP	0;
	9001	0	CT_TBRCH	9691	BR_STATUS	CT_REP	0;
	9002	0	CT_TBRCH	9692	BR_STATUS	CT_REP	0;
	9003	0	CT_TBRCH	9693	BR_STATUS	CT_REP	0;
	9004	0	CT_TBRCH	9695	BR_STATUS	CT_REP	0;
	9005	0	CT_TBRCH	9697	BR_STATUS	CT_REP	0;
	9006	0	CT_TBRCH	9698	BR_STATUS	CT_REP	0;
	9007	0	CT_TBRCH	9699	BR_STATUS	CT_REP	0;
	9008	0	CT_TBRCH	9700	BR_STATUS	CT_REP	0;
	9009	0	CT_TBRCH	9701	BR_STATUS	CT_REP	0;
	9010	0	CT_TBRCH	9704	BR_STATUS	CT_REP	0;
	9011	0	CT_TBRCH	9705	BR_STATUS	CT_REP	0;
	9012	0	CT_TBRCH	9707	BR_STATUS	CT_REP	0;
	9013	0	CT_TBRCH	9708	BR_STATUS	CT_REP	0;
	9014	0	CT_TBRCH	9710	BR_STATUS	CT_REP	0;
	9015	0	CT_TBRCH	9711	BR_STATUS	CT_REP	0;
	9016	0	CT_TBRCH	9712	BR_STATUS	CT_REP	0;
	9017	0	CT_TBRCH	9713	BR_STATUS	CT_REP	0;
	9018	0	CT_TBRCH	9714	BR_STATUS	CT_REP	0;
	9019	0	CT_TBRCH	9715	BR_STATUS	CT_REP	0;
	9020	0	CT_TBRCH	9716	BR_STATUS	CT_REP	0;
	9021	0	CT_TBRCH	9717	BR_STATUS	CT_REP	0;
	9022	0	CT_TBRCH	9718	BR_STATUS	CT_REP	0;
	9023	0	CT_TBRCH	9719	BR_STATUS	CT_REP	0;
	9024	0	CT_TBRCH	9720	BR_STATUS	CT_REP	0;
	9025	0	CT_TBRCH	9722	BR_STATUS	CT_REP	0;
	9026	0	CT_TBRCH	9724	BR_STATUS	CT_REP	0;
	9027	0	CT_TBRCH	9726	BR_STATUS	CT_REP	0;
	9028	0	CT_TBRCH	9727	BR_STATUS	CT_REP	0;
	9029	0	CT_TBRCH	9728	BR_STATUS	CT_REP	0;
	9030	0	CT_TBRCH	9729	BR_STATUS	CT_REP	0;
	9031	0	CT_TBRCH	9730	BR_STATUS	CT_REP	0;
	9032	0	CT_TBRCH	9731	BR_STATUS	CT_REP	0;
	9033	0	CT_TBRCH	9732	BR_STATUS	CT_REP	0;
	9034	0	CT_TBRCH	9733	BR_STATUS	CT_REP	0;
	9035	0	CT_TBRCH	9734	BR_STATUS	CT_REP	0;
	9036	0	CT_TBRCH	9735	BR_STATUS	CT_REP	0;
	9037	0	CT_TBRCH	9736	BR_STATUS	CT_REP	0;
	9038	0	CT_TBRCH	9737	BR_STATUS	CT_REP	0;
	9039	0	CT_TBRCH	9738	BR_STATUS	CT_REP	0;
	9040	0	CT_TBRCH	9739	BR_STATUS	CT_REP	0;
	9041	0	CT_TBRCH	9740	BR_STATUS	CT_REP	0;
	9042	0	CT_TBRCH	9741	BR_STATUS	CT_REP	0;
	9043	0	CT_TBRCH	9742	BR_STATUS	CT_REP	0;
	9044	0	CT_TBRCH	9743	BR_STATUS	CT_REP	0;
	9045	0	CT_TBRCH	9744	BR_STATUS	CT_REP	0;
	9046	0	CT_TBRCH	9745	BR_STATUS	CT_REP	0;
	9047	0	CT_TBRCH	9746	BR_STATUS	CT_REP	0;
	9048	0	CT_TBRCH	9747	BR_STATUS	CT_REP	0;
	9049	0	CT_TBRCH	9748	BR_STATUS	CT_REP	0;
	9050	0	CT_TBRCH	9749	BR_STATUS	CT_REP	0;
	9051	0	CT_TBRCH	9750	BR_STATUS	CT_REP	0;
	9052	0	CT_TBRCH	9751	BR_STATUS	CT_REP	0;
	9053	0	CT_TBRCH	9752	BR_STATUS	CT_REP	0;
	9054	0	CT_TBRCH	9753	BR_STATUS	CT_REP	0;
	9055	0	CT_TBRCH	9754	BR_STATUS	CT_REP	0;
	9056	0	CT_TBRCH	9755	BR_STATUS	CT_REP	0;
	9057	0	CT_TBRCH	9756	BR_STATUS	CT_REP	0;
	9058	0	CT_TBRCH	9757	BR_STATUS	CT_REP	0;
	9059	0	CT_TBRCH	9758	BR_STATUS	CT_REP	0;
	9060	0	CT_TBRCH	9759	BR_STATUS	CT_REP	0;
	9061	0	CT_TBRCH	9760	BR_STATUS	CT_REP	0;
	9062	0	CT_TBRCH	9761	BR_STATUS	CT_REP	0;
	9063	0	CT_TBRCH	9762	BR_STATUS	CT_REP	0;
	9064	0	CT_TBRCH	9763	BR_STATUS	CT_REP	0;
	9065	0	CT_TBRCH	9764	BR_STATUS	CT_REP	0;
	9066	0	CT_TBRCH	9765	BR_STATUS	CT_REP	0;
	9067	0	CT_TBRCH	9766	BR_STATUS	CT_REP	0;
	9068	0	CT_TBRCH	9767	BR_STATUS	CT_REP	0;
	9069	0	CT_TBRCH	9768	BR_STATUS	CT_REP	0;
	9070	0	CT_TBRCH	9769	BR_STATUS	CT_REP	0;
	9071	0	CT_TBRCH	9770	BR_STATUS	CT_REP	0;
	9072	0	CT_TBRCH	9771	BR_STATUS	CT_REP	0;
	9073	0	CT_TBRCH	9772	BR_STATUS	CT_REP	0;
	9074	0	CT_TBRCH	9773	BR_STATUS	CT_REP	0;
	9075	0	CT_TBRCH	9774	BR_STATUS	CT_REP	0;
	9076	0	CT_TBRCH	9775	BR_STATUS	CT_REP	0;
	9077	0	CT_TBRCH	9776	BR_STATUS	CT_REP	0;
	9078	0	CT_TBRCH	9777	BR_STATUS	CT_REP	0;
	9079	0	CT_TBRCH	9778	BR_STATUS	CT_REP	0;
	9080	0	CT_TBRCH	9779	BR_STATUS	CT_REP	0;
	9081	0	CT_TBRCH	9780	BR_STATUS	CT_REP	0;
	9082	0	CT_TBRCH	9781	BR_STATUS	CT_REP	0;
	9083	0	CT_TBRCH	9782	BR_STATUS	CT_REP	0;
	9084	0	CT_TBRCH	9783	BR_STATUS	CT_REP	0;
	9085	0	CT_TBRCH	9784	BR_STATUS	CT_REP	0;
	9086	0	CT_TBRCH	9785	BR_STATUS	CT_REP	0;
	9087	0	CT_TBRCH	9786	BR_STATUS	CT_REP	0;
	9088	0	CT_TBRCH	9787	BR_STATUS	CT_REP	0;
	9089	0	CT_TBRCH	9788	BR_STATUS	CT_REP	0;
	9090	0	CT_TBRCH	9789	BR_STATUS	CT_REP	0;
	9091	0	CT_TBRCH	9790	BR_STATUS	CT_REP	0;
	9092	0	CT_TBRCH	9791	BR_STATUS	CT_REP	0;
	9093	0	CT_TBRCH	9792	BR_STATUS	CT_REP	0;
	9094	0	CT_TBRCH	9793	BR_STATUS	CT_REP	0;
	9095	0	CT_TBRCH	9794	BR_STATUS	CT_REP	0;
	9096	0	CT_TBRCH	9795	BR_STATUS	CT_REP	0;
	9097	0	CT_TBRCH	9796	BR_STATUS	CT_REP	0;
	9098	0	CT_TBRCH	9797	BR_STATUS	CT_REP	0;
	9099	0	CT_TBRCH	9798	BR_STATUS	CT_REP	0;
	9100	0	CT_TBRCH	9799	BR_STATUS	CT_REP	0;
	9101	0	CT_TBRCH	9800	BR_STATUS	CT_REP	0;
	9102	0	CT_TBRCH	9801	BR_STATUS	CT_REP	0;
	9103	0	CT_TBRCH	9802	BR_STATUS	CT_REP	0;
	9104	0	CT_TBRCH	9803	BR_STATUS	CT_REP	0;
	9105	0	CT_TBRCH	9804	BR_STATUS	CT_REP	0;
	9106	0	CT_TBRCH	9805	BR_STATUS	CT_REP	0;
	9107	0	CT_TBRCH	9806	BR_STATUS	CT_REP	0;
	9108	0	CT_TBRCH	9807	BR_STATUS	CT_REP	0;
	9109	0	CT_TBRCH	9808	BR_STATUS	CT_REP	0;
	9110	0	CT_TBRCH	9809	BR_STATUS	CT_REP	0;
	9111	0	CT_TBRCH	9810	BR_STATUS	CT_REP	0;
	9112	0	CT_TBRCH	9811	BR_STATUS	CT_REP	0;
	9113	0	CT_TBRCH	9812	BR_STATUS	CT_REP	0;
	9114	0	CT_TBRCH	9813	BR_STATUS	CT_REP	0;
	9115	0	CT_TBRCH	9814	BR_STATUS	CT_REP	0;
	9116	0	CT_TBRCH	9815	BR_STATUS	CT_REP	0;
	9117	0	CT_TBRCH	9816	BR_STATUS	CT_REP	0;
	9118	0	CT_TBRCH	9817	BR_STATUS	CT_REP	0;
	9119	0	CT_TBRCH	9818	BR_STATUS	CT_REP	0;
	9120	0	CT_TBRCH	9819	BR_STATUS	CT_REP	0;
	9121	0	CT_TBRCH	9820	BR_STATUS	CT_REP	0;
	9122	0	CT_TBRCH	9821	BR_STATUS	CT_REP	0;
	9123	0	CT_TBRCH	9822	BR_STATUS	CT_REP	0;
	9124	0	CT_TBRCH	9823	BR_STATUS	CT_REP	0;
	9125	0	CT_TBRCH	9824	BR_STATUS	CT_REP	0;
	9126	0	CT_TBRCH	9825	BR_STATUS	CT_REP	0;
	9127	0	CT_TBRCH	9826	BR_STATUS	CT_REP	0;
	9128	0	CT_TBRCH	9827	BR_STATUS	CT_REP	0;
	9129	0	CT_TBRCH	9828	BR_STATUS	CT_REP	0;
	9130	0	CT_TBRCH	9829	BR_STATUS	CT_REP	0;
	9131	0	CT_TBRCH	9830	BR_STATUS	CT_REP	0;
	9132	0	CT_TBRCH	9831	BR_STATUS	CT_REP	0;
	9133	0	CT_TBRCH	9832	BR_STATUS	CT_REP	0;
	9134	0	CT_TBRCH	9833	BR_STATUS	CT_REP	0;
	9135	0	CT_TBRCH	9834	BR_STATUS	CT_REP	0;
	9136	0	CT_TBRCH	9835	BR_STATUS	CT_REP	0;
	9137	0	CT_TBRCH	9836	BR_STATUS	CT_REP	0;
	9138	0	CT_TBRCH	9837	BR_STATUS	CT_REP	0;
	9139	0	CT_TBRCH	9838	BR_STATUS	CT_REP	0;
	9140	0	CT_TBRCH	9839	BR_STATUS	CT_REP	0;
	9141	0	CT_TBRCH	9840	BR_STATUS	CT_REP	0;
	9142	0	CT_TBRCH	9841	BR_STATUS	CT_REP	0;
	9143	0	CT_TBRCH	9842	BR_STATUS	CT_REP	0;
	9144	0	CT_TBRCH	9843	BR_STATUS	CT_REP	0;
	9145	0	CT_TBRCH	9844	BR_STATUS	CT_REP	0;
	9146	0	CT_TBRCH	9845	BR_STATUS	CT_REP	0;
	9147	0	CT_TBRCH	9846	BR_STATUS	CT_REP	0;
	9148	0	CT_TBRCH	9847	BR_STATUS	CT_REP	0;
	9149	0	CT_TBRCH	9848	BR_STATUS	CT_REP	0;
	9150	0	CT_TBRCH	9849	BR_STATUS	CT_REP	0;
	9151	0	CT_TBRCH	9850	BR_STATUS	CT_REP	0;
	9152	0	CT_TBRCH	9851	BR_STATUS	CT_REP	0;
	9153	0	CT_TBRCH	9852	BR_STATUS	CT_REP	0;
	9154	0	CT_TBRCH	9853	BR_STATUS	CT_REP	0;
	9155	0	CT_TBRCH	9854	BR_STATUS	CT_REP	0;
	9156	0	CT_TBRCH	9855	BR_STATUS	CT_REP	0;
	9157	0	CT_TBRCH	9856	BR_STATUS	CT_REP	0;
	9158	0	CT_TBRCH	9857	BR_STATUS	CT_REP	0;
	9159	0	CT_TBRCH	9858	BR_STATUS	CT_REP	0;
	9160	0	CT_TBRCH	9859	BR_STATUS	CT_REP	0;
	9161	0	CT_TBRCH	9860	BR_STATUS	CT_REP	0;
	9162	0	CT_TBRCH	9861	BR_STATUS	CT_REP	0;
	9163	0	CT_TBRCH	9863	BR_STATUS	CT_REP	0;
	9164	0	CT_TBRCH	9864	BR_STATUS	CT_REP	0;
	9165	0	CT_TBRCH	9866	BR_STATUS	CT_REP	0;
	9166	0	CT_TBRCH	9867	BR_STATUS	CT_REP	0;
	9167	0	CT_TBRCH	9869	BR_STATUS	CT_REP	0;
	9168	0	CT_TBRCH	9871	BR_STATUS	CT_REP	0;
	9169	0	CT_TBRCH	9872	BR_STATUS	CT_REP	0;
	9170	0	CT_TBRCH	9873	BR_STATUS	CT_REP	0;
	9171	0	CT_TBRCH	9876	BR_STATUS	CT_REP	0;
	9172	0	CT_TBRCH	9877	BR_STATUS	CT_REP	0;
	9173	0	CT_TBRCH	9878	BR_STATUS	CT_REP	0;
	9174	0	CT_TBRCH	9879	BR_STATUS	CT_REP	0;
	9175	0	CT_TBRCH	9880	BR_STATUS	CT_REP	0;
	9176	0	CT_TBRCH	9881	BR_STATUS	CT_REP	0;
	9177	0	CT_TBRCH	9883	BR_STATUS	CT_REP	0;
	9178	0	CT_TBRCH	9884	BR_STATUS	CT_REP	0;
	9179	0	CT_TBRCH	9885	BR_STATUS	CT_REP	0;
	9180	0	CT_TBRCH	9886	BR_STATUS	CT_REP	0;
	9181	0	CT_TBRCH	9887	BR_STATUS	CT_REP	0;
	9182	0	CT_TBRCH	9888	BR_STATUS	CT_REP	0;
	9183	0	CT_TBRCH	9889	BR_STATUS	CT_REP	0;
	9184	0	CT_TBRCH	9892	BR_STATUS	CT_REP	0;
	9185	0	CT_TBRCH	9893	BR_STATUS	CT_REP	0;
	9186	0	CT_TBRCH	9894	BR_STATUS	CT_REP	0;
	9187	0	CT_TBRCH	9895	BR_STATUS	CT_REP	0;
	9188	0	CT_TBRCH	9897	BR_STATUS	CT_REP	0;
	9189	0	CT_TBRCH	9898	BR_STATUS	CT_REP	0;
	9190	0	CT_TBRCH	9899	BR_STATUS	CT_REP	0;
	9191	0	CT_TBRCH	9900	BR_STATUS	CT_REP	0;
	9192	0	CT_TBRCH	9903	BR_STATUS	CT_REP	0;
	9193	0	CT_TBRCH	9904	BR_STATUS	CT_REP	0;
	9194	0	CT_TBRCH	9905	BR_STATUS	CT_REP	0;
	9195	0	CT_TBRCH	9906	BR_STATUS	CT_REP	0;
	9196	0	CT_TBRCH	9907	BR_STATUS	CT_REP	0;
	9197	0	CT_TBRCH	9908	BR_STATUS	CT_REP	0;
	9198	0	CT_TBRCH	9909	BR_STATUS	CT_REP	0;
	9199	0	CT_TBRCH	9910	BR_STATUS	CT_REP	0;
	9200	0	CT_TBRCH	9911	BR_STATUS	CT_REP	0;
	9201	0	CT_TBRCH	9912	BR_STATUS	CT_REP	0;
	9202	0	CT_TBRCH	9913	BR_STATUS	CT_REP	0;
	9203	0	CT_TBRCH	9914	BR_STATUS	CT_REP	0;
	9204	0	CT_TBRCH	9915	BR_STATUS	CT_REP	0;
	9205	0	CT_TBRCH	9916	BR_STATUS	CT_REP	0;
	9206	0	CT_TBRCH	9917	BR_STATUS	CT_REP	0;
	9207	0	CT_TBRCH	9918	BR_STATUS	CT_REP	0;
	9208	0	CT_TBRCH	9919	BR_STATUS	CT_REP	0;
	9209	0	CT_TBRCH	9920	BR_STATUS	CT_REP	0;
	9210	0	CT_TBRCH	9921	BR_STATUS	CT_REP	0;
	9211	0	CT_TBRCH	9922	BR_STATUS	CT_REP	0;
	9212	0	CT_TBRCH	9923	BR_STATUS	CT_REP	0;
	9213	0	CT_TBRCH	9924	BR_STATUS	CT_REP	0;
	9214	0	CT_TBRCH	9925	BR_STATUS	CT_REP	0;
	9215	0	CT_TBRCH	9926	BR_STATUS	CT_REP	0;
	9216	0	CT_TBRCH	9927	BR_STATUS	CT_REP	0;
	9217	0	CT_TBRCH	9928	BR_STATUS	CT_REP	0;
	9218	0	CT_TBRCH	9929	BR_STATUS	CT_REP	0;
	9219	0	CT_TBRCH	9930	BR_STATUS	CT_REP	0;
	9220	0	CT_TBRCH	9931	BR_STATUS	CT_REP	0;
	9221	0	CT_TBRCH	9932	BR_STATUS	CT_REP	0;
	9222	0	CT_TBRCH	9933	BR_STATUS	CT_REP	0;
	9223	0	CT_TBRCH	9934	BR_STATUS	CT_REP	0;
	9224	0	CT_TBRCH	9935	BR_STATUS	CT_REP	0;
	9225	0	CT_TBRCH	9936	BR_STATUS	CT_REP	0;
	9226	0	CT_TBRCH	9937	BR_STATUS	CT_REP	0;
	9227	0	CT_TBRCH	9938	BR_STATUS	CT_REP	0;
	9228	0	CT_TBRCH	9939	BR_STATUS	CT_REP	0;
	9229	0	CT_TBRCH	9940	BR_STATUS	CT_REP	0;
	9230	0	CT_TBRCH	9941	BR_STATUS	CT_REP	0;
	9231	0	CT_TBRCH	9943	BR_STATUS	CT_REP	0;
	9232	0	CT_TBRCH	9944	BR_STATUS	CT_REP	0;
	9233	0	CT_TBRCH	9945	BR_STATUS	CT_REP	0;
	9234	0	CT_TBRCH	9948	BR_STATUS	CT_REP	0;
	9235	0	CT_TBRCH	9949	BR_STATUS	CT_REP	0;
	9236	0	CT_TBRCH	9950	BR_STATUS	CT_REP	0;
	9237	0	CT_TBRCH	9952	BR_STATUS	CT_REP	0;
	9238	0	CT_TBRCH	9955	BR_STATUS	CT_REP	0;
	9239	0	CT_TBRCH	9956	BR_STATUS	CT_REP	0;
	9240	0	CT_TBRCH	9957	BR_STATUS	CT_REP	0;
	9241	0	CT_TBRCH	9958	BR_STATUS	CT_REP	0;
	9242	0	CT_TBRCH	9959	BR_STATUS	CT_REP	0;
	9243	0	CT_TBRCH	9960	BR_STATUS	CT_REP	0;
	9244	0	CT_TBRCH	9961	BR_STATUS	CT_REP	0;
	9245	0	CT_TBRCH	9962	BR_STATUS	CT_REP	0;
	9246	0	CT_TBRCH	9963	BR_STATUS	CT_REP	0;
	9247	0	CT_TBRCH	9964	BR_STATUS	CT_REP	0;
	9248	0	CT_TBRCH	9965	BR_STATUS	CT_REP	0;
	9249	0	CT_TBRCH	9966	BR_STATUS	CT_REP	0;
	9250	0	CT_TBRCH	9967	BR_STATUS	CT_REP	0;
	9251	0	CT_TBRCH	9968	BR_STATUS	CT_REP	0;
	9252	0	CT_TBRCH	9969	BR_STATUS	CT_REP	0;
	9253	0	CT_TBRCH	9970	BR_STATUS	CT_REP	0;
	9254	0	CT_TBRCH	9971	BR_STATUS	CT_REP	0;
	9255	0	CT_TBRCH	9972	BR_STATUS	CT_REP	0;
	9256	0	CT_TBRCH	9973	BR_STATUS	CT_REP	0;
	9257	0	CT_TBRCH	9974	BR_STATUS	CT_REP	0;
	9258	0	CT_TBRCH	9975	BR_STATUS	CT_REP	0;
	9259	0	CT_TBRCH	9976	BR_STATUS	CT_REP	0;
	9260	0	CT_TBRCH	9978	BR_STATUS	CT_REP	0;
	9261	0	CT_TBRCH	9981	BR_STATUS	CT_REP	0;
	9262	0	CT_TBRCH	9982	BR_STATUS	CT_REP	0;
	9263	0	CT_TBRCH	9983	BR_STATUS	CT_REP	0;
	9264	0	CT_TBRCH	9984	BR_STATUS	CT_REP	0;
	9265	0	CT_TBRCH	9985	BR_STATUS	CT_REP	0;
	9266	0	CT_TBRCH	9986	BR_STATUS	CT_REP	0;
	9267	0	CT_TBRCH	9987	BR_STATUS	CT_REP	0;
	9268	0	CT_TBRCH	9988	BR_STATUS	CT_REP	0;
	9269	0	CT_TBRCH	9989	BR_STATUS	CT_REP	0;
	9270	0	CT_TBRCH	9990	BR_STATUS	CT_REP	0;
	9271	0	CT_TBRCH	9991	BR_STATUS	CT_REP	0;
	9272	0	CT_TBRCH	9992	BR_STATUS	CT_REP	0;
	9273	0	CT_TBRCH	9993	BR_STATUS	CT_REP	0;
	9274	0	CT_TBRCH	9994	BR_STATUS	CT_REP	0;
	9275	0	CT_TBRCH	9995	BR_STATUS	CT_REP	0;
	9276	0	CT_TBRCH	9996	BR_STATUS	CT_REP	0;
	9277	0	CT_TBRCH	9997	BR_STATUS	CT_REP	0;
	9278	0	CT_TBRCH	9998	BR_STATUS	CT_REP	0;
	9279	0	CT_TBRCH	9999	BR_STATUS	CT_REP	0;
	9280	0	CT_TBRCH	10000	BR_STATUS	CT_REP	0;
	9281	0	CT_TBRCH	10001	BR_STATUS	CT_REP	0;
	9282	0	CT_TBRCH	10002	BR_STATUS	CT_REP	0;
	9283	0	CT_TBRCH	10003	BR_STATUS	CT_REP	0;
	9284	0	CT_TBRCH	10004	BR_STATUS	CT_REP	0;
	9285	0	CT_TBRCH	10005	BR_STATUS	CT_REP	0;
	9286	0	CT_TBRCH	10006	BR_STATUS	CT_REP	0;
	9287	0	CT_TBRCH	10007	BR_STATUS	CT_REP	0;
	9288	0	CT_TBRCH	10008	BR_STATUS	CT_REP	0;
	9289	0	CT_TBRCH	10009	BR_STATUS	CT_REP	0;
	9290	0	CT_TBRCH	10010	BR_STATUS	CT_REP	0;
	9291	0	CT_TBRCH	10011	BR_STATUS	CT_REP	0;
	9292	0	CT_TBRCH	10012	BR_STATUS	CT_REP	0;
	9293	0	CT_TBRCH	10013	BR_STATUS	CT_REP	0;
	9294	0	CT_TBRCH	10014	BR_STATUS	CT_REP	0;
	9295	0	CT_TBRCH	10015	BR_STATUS	CT_REP	0;
	9296	0	CT_TBRCH	10016	BR_STATUS	CT_REP	0;
	9297	0	CT_TBRCH	10017	BR_STATUS	CT_REP	0;
	9298	0	CT_TBRCH	10018	BR_STATUS	CT_REP	0;
	9299	0	CT_TBRCH	10019	BR_STATUS	CT_REP	0;
	9300	0	CT_TBRCH	10020	BR_STATUS	CT_REP	0;
	9301	0	CT_TBRCH	10021	BR_STATUS	CT_REP	0;
	9302	0	CT_TBRCH	10022	BR_STATUS	CT_REP	0;
	9303	0	CT_TBRCH	10023	BR_STATUS	CT_REP	0;
	9304	0	CT_TBRCH	10024	BR_STATUS	CT_REP	0;
	9305	0	CT_TBRCH	10025	BR_STATUS	CT_REP	0;
	9306	0	CT_TBRCH	10026	BR_STATUS	CT_REP	0;
	9307	0	CT_TBRCH	10027	BR_STATUS	CT_REP	0;
	9308	0	CT_TBRCH	10028	BR_STATUS	CT_REP	0;
	9309	0	CT_TBRCH	10029	BR_STATUS	CT_REP	0;
	9310	0	CT_TBRCH	10030	BR_STATUS	CT_REP	0;
	9311	0	CT_TBRCH	10031	BR_STATUS	CT_REP	0;
	9312	0	CT_TBRCH	10032	BR_STATUS	CT_REP	0;
	9313	0	CT_TBRCH	10033	BR_STATUS	CT_REP	0;
	9314	0	CT_TBRCH	10034	BR_STATUS	CT_REP	0;
	9315	0	CT_TBRCH	10035	BR_STATUS	CT_REP	0;
	9316	0	CT_TBRCH	10036	BR_STATUS	CT_REP	0;
	9317	0	CT_TBRCH	10037	BR_STATUS	CT_REP	0;
	9318	0	CT_TBRCH	10039	BR_STATUS	CT_REP	0;
	9319	0	CT_TBRCH	10043	BR_STATUS	CT_REP	0;
	9320	0	CT_TBRCH	10044	BR_STATUS	CT_REP	0;
	9321	0	CT_TBRCH	10046	BR_STATUS	CT_REP	0;
	9322	0	CT_TBRCH	10047	BR_STATUS	CT_REP	0;
	9323	0	CT_TBRCH	10049	BR_STATUS	CT_REP	0;
	9324	0	CT_TBRCH	10050	BR_STATUS	CT_REP	0;
	9325	0	CT_TBRCH	10051	BR_STATUS	CT_REP	0;
	9326	0	CT_TBRCH	10052	BR_STATUS	CT_REP	0;
	9327	0	CT_TBRCH	10053	BR_STATUS	CT_REP	0;
	9328	0	CT_TBRCH	10054	BR_STATUS	CT_REP	0;
	9329	0	CT_TBRCH	10055	BR_STATUS	CT_REP	0;
	9330	0	CT_TBRCH	10056	BR_STATUS	CT_REP	0;
	9331	0	CT_TBRCH	10057	BR_STATUS	CT_REP	0;
	9332	0	CT_TBRCH	10058	BR_STATUS	CT_REP	0;
	9333	0	CT_TBRCH	10059	BR_STATUS	CT_REP	0;
	9334	0	CT_TBRCH	10060	BR_STATUS	CT_REP	0;
	9335	0	CT_TBRCH	10061	BR_STATUS	CT_REP	0;
	9336	0	CT_TBRCH	10062	BR_STATUS	CT_REP	0;
	9337	0	CT_TBRCH	10063	BR_STATUS	CT_REP	0;
	9338	0	CT_TBRCH	10064	BR_STATUS	CT_REP	0;
	9339	0	CT_TBRCH	10065	BR_STATUS	CT_REP	0;
	9340	0	CT_TBRCH	10066	BR_STATUS	CT_REP	0;
	9341	0	CT_TBRCH	10067	BR_STATUS	CT_REP	0;
	9342	0	CT_TBRCH	10068	BR_STATUS	CT_REP	0;
	9343	0	CT_TBRCH	10069	BR_STATUS	CT_REP	0;
	9344	0	CT_TBRCH	10070	BR_STATUS	CT_REP	0;
	9345	0	CT_TBRCH	10071	BR_STATUS	CT_REP	0;
	9346	0	CT_TBRCH	10072	BR_STATUS	CT_REP	0;
	9347	0	CT_TBRCH	10073	BR_STATUS	CT_REP	0;
	9348	0	CT_TBRCH	10074	BR_STATUS	CT_REP	0;
	9349	0	CT_TBRCH	10075	BR_STATUS	CT_REP	0;
	9350	0	CT_TBRCH	10076	BR_STATUS	CT_REP	0;
	9351	0	CT_TBRCH	10077	BR_STATUS	CT_REP	0;
	9352	0	CT_TBRCH	10078	BR_STATUS	CT_REP	0;
	9353	0	CT_TBRCH	10079	BR_STATUS	CT_REP	0;
	9354	0	CT_TBRCH	10080	BR_STATUS	CT_REP	0;
	9355	0	CT_TBRCH	10081	BR_STATUS	CT_REP	0;
	9356	0	CT_TBRCH	10082	BR_STATUS	CT_REP	0;
	9357	0	CT_TBRCH	10083	BR_STATUS	CT_REP	0;
	9358	0	CT_TBRCH	10084	BR_STATUS	CT_REP	0;
	9359	0	CT_TBRCH	10085	BR_STATUS	CT_REP	0;
	9360	0	CT_TBRCH	10086	BR_STATUS	CT_REP	0;
	9361	0	CT_TBRCH	10087	BR_STATUS	CT_REP	0;
	9362	0	CT_TBRCH	10088	BR_STATUS	CT_REP	0;
	9363	0	CT_TBRCH	10089	BR_STATUS	CT_REP	0;
	9364	0	CT_TBRCH	10090	BR_STATUS	CT_REP	0;
	9365	0	CT_TBRCH	10091	BR_STATUS	CT_REP	0;
	9366	0	CT_TBRCH	10092	BR_STATUS	CT_REP	0;
	9367	0	CT_TBRCH	10093	BR_STATUS	CT_REP	0;
	9368	0	CT_TBRCH	10094	BR_STATUS	CT_REP	0;
	9369	0	CT_TBRCH	10095	BR_STATUS	CT_REP	0;
	9370	0	CT_TBRCH	10096	BR_STATUS	CT_REP	0;
	9371	0	CT_TBRCH	10097	BR_STATUS	CT_REP	0;
	9372	0	CT_TBRCH	10098	BR_STATUS	CT_REP	0;
	9373	0	CT_TBRCH	10099	BR_STATUS	CT_REP	0;
	9374	0	CT_TBRCH	10100	BR_STATUS	CT_REP	0;
	9375	0	CT_TBRCH	10101	BR_STATUS	CT_REP	0;
	9376	0	CT_TBRCH	10102	BR_STATUS	CT_REP	0;
	9377	0	CT_TBRCH	10103	BR_STATUS	CT_REP	0;
	9378	0	CT_TBRCH	10104	BR_STATUS	CT_REP	0;
	9379	0	CT_TBRCH	10105	BR_STATUS	CT_REP	0;
	9380	0	CT_TBRCH	10106	BR_STATUS	CT_REP	0;
	9381	0	CT_TBRCH	10107	BR_STATUS	CT_REP	0;
	9382	0	CT_TBRCH	10108	BR_STATUS	CT_REP	0;
	9383	0	CT_TBRCH	10109	BR_STATUS	CT_REP	0;
	9384	0	CT_TBRCH	10110	BR_STATUS	CT_REP	0;
	9385	0	CT_TBRCH	10111	BR_STATUS	CT_REP	0;
	9386	0	CT_TBRCH	10112	BR_STATUS	CT_REP	0;
	9387	0	CT_TBRCH	10113	BR_STATUS	CT_REP	0;
	9388	0	CT_TBRCH	10114	BR_STATUS	CT_REP	0;
	9389	0	CT_TBRCH	10115	BR_STATUS	CT_REP	0;
	9390	0	CT_TBRCH	10116	BR_STATUS	CT_REP	0;
	9391	0	CT_TBRCH	10117	BR_STATUS	CT_REP	0;
	9392	0	CT_TBRCH	10118	BR_STATUS	CT_REP	0;
	9393	0	CT_TBRCH	10119	BR_STATUS	CT_REP	0;
	9394	0	CT_TBRCH	10120	BR_STATUS	CT_REP	0;
	9395	0	CT_TBRCH	10121	BR_STATUS	CT_REP	0;
	9396	0	CT_TBRCH	10122	BR_STATUS	CT_REP	0;
	9397	0	CT_TBRCH	10123	BR_STATUS	CT_REP	0;
	9398	0	CT_TBRCH	10124	BR_STATUS	CT_REP	0;
	9399	0	CT_TBRCH	10125	BR_STATUS	CT_REP	0;
	9400	0	CT_TBRCH	10126	BR_STATUS	CT_REP	0;
	9401	0	CT_TBRCH	10127	BR_STATUS	CT_REP	0;
	9402	0	CT_TBRCH	10128	BR_STATUS	CT_REP	0;
	9403	0	CT_TBRCH	10129	BR_STATUS	CT_REP	0;
	9404	0	CT_TBRCH	10130	BR_STATUS	CT_REP	0;
	9405	0	CT_TBRCH	10131	BR_STATUS	CT_REP	0;
	9406	0	CT_TBRCH	10132	BR_STATUS	CT_REP	0;
	9407	0	CT_TBRCH	10133	BR_STATUS	CT_REP	0;
	9408	0	CT_TBRCH	10134	BR_STATUS	CT_REP	0;
	9409	0	CT_TBRCH	10135	BR_STATUS	CT_REP	0;
	9410	0	CT_TBRCH	10136	BR_STATUS	CT_REP	0;
	9411	0	CT_TBRCH	10137	BR_STATUS	CT_REP	0;
	9412	0	CT_TBRCH	10138	BR_STATUS	CT_REP	0;
	9413	0	CT_TBRCH	10139	BR_STATUS	CT_REP	0;
	9414	0	CT_TBRCH	10140	BR_STATUS	CT_REP	0;
	9415	0	CT_TBRCH	10141	BR_STATUS	CT_REP	0;
	9416	0	CT_TBRCH	10142	BR_STATUS	CT_REP	0;
	9417	0	CT_TBRCH	10143	BR_STATUS	CT_REP	0;
	9418	0	CT_TBRCH	10144	BR_STATUS	CT_REP	0;
	9419	0	CT_TBRCH	10145	BR_STATUS	CT_REP	0;
	9420	0	CT_TBRCH	10146	BR_STATUS	CT_REP	0;
	9421	0	CT_TBRCH	10147	BR_STATUS	CT_REP	0;
	9422	0	CT_TBRCH	10148	BR_STATUS	CT_REP	0;
	9423	0	CT_TBRCH	10149	BR_STATUS	CT_REP	0;
	9424	0	CT_TBRCH	10150	BR_STATUS	CT_REP	0;
	9425	0	CT_TBRCH	10151	BR_STATUS	CT_REP	0;
	9426	0	CT_TBRCH	10152	BR_STATUS	CT_REP	0;
	9427	0	CT_TBRCH	10153	BR_STATUS	CT_REP	0;
	9428	0	CT_TBRCH	10154	BR_STATUS	CT_REP	0;
	9429	0	CT_TBRCH	10155	BR_STATUS	CT_REP	0;
	9430	0	CT_TBRCH	10156	BR_STATUS	CT_REP	0;
	9431	0	CT_TBRCH	10157	BR_STATUS	CT_REP	0;
	9432	0	CT_TBRCH	10158	BR_STATUS	CT_REP	0;
	9433	0	CT_TBRCH	10159	BR_STATUS	CT_REP	0;
	9434	0	CT_TBRCH	10160	BR_STATUS	CT_REP	0;
	9435	0	CT_TBRCH	10161	BR_STATUS	CT_REP	0;
	9436	0	CT_TBRCH	10162	BR_STATUS	CT_REP	0;
	9437	0	CT_TBRCH	10163	BR_STATUS	CT_REP	0;
	9438	0	CT_TBRCH	10164	BR_STATUS	CT_REP	0;
	9439	0	CT_TBRCH	10165	BR_STATUS	CT_REP	0;
	9440	0	CT_TBRCH	10166	BR_STATUS	CT_REP	0;
	9441	0	CT_TBRCH	10167	BR_STATUS	CT_REP	0;
	9442	0	CT_TBRCH	10168	BR_STATUS	CT_REP	0;
	9443	0	CT_TBRCH	10169	BR_STATUS	CT_REP	0;
	9444	0	CT_TBRCH	10170	BR_STATUS	CT_REP	0;
	9445	0	CT_TBRCH	10171	BR_STATUS	CT_REP	0;
	9446	0	CT_TBRCH	10172	BR_STATUS	CT_REP	0;
	9447	0	CT_TBRCH	10173	BR_STATUS	CT_REP	0;
	9448	0	CT_TBRCH	10174	BR_STATUS	CT_REP	0;
	9449	0	CT_TBRCH	10175	BR_STATUS	CT_REP	0;
	9450	0	CT_TBRCH	10176	BR_STATUS	CT_REP	0;
	9451	0	CT_TBRCH	10177	BR_STATUS	CT_REP	0;
	9452	0	CT_TBRCH	10178	BR_STATUS	CT_REP	0;
	9453	0	CT_TBRCH	10179	BR_STATUS	CT_REP	0;
	9454	0	CT_TBRCH	10180	BR_STATUS	CT_REP	0;
	9455	0	CT_TBRCH	10181	BR_STATUS	CT_REP	0;
	9456	0	CT_TBRCH	10182	BR_STATUS	CT_REP	0;
	9457	0	CT_TBRCH	10183	BR_STATUS	CT_REP	0;
	9458	0	CT_TBRCH	10184	BR_STATUS	CT_REP	0;
	9459	0	CT_TBRCH	10185	BR_STATUS	CT_REP	0;
	9460	0	CT_TBRCH	10186	BR_STATUS	CT_REP	0;
	9461	0	CT_TBRCH	10187	BR_STATUS	CT_REP	0;
	9462	0	CT_TBRCH	10188	BR_STATUS	CT_REP	0;
	9463	0	CT_TBRCH	10189	BR_STATUS	CT_REP	0;
	9464	0	CT_TBRCH	10190	BR_STATUS	CT_REP	0;
	9465	0	CT_TBRCH	10191	BR_STATUS	CT_REP	0;
	9466	0	CT_TBRCH	10192	BR_STATUS	CT_REP	0;
	9467	0	CT_TBRCH	10193	BR_STATUS	CT_REP	0;
	9468	0	CT_TBRCH	10194	BR_STATUS	CT_REP	0;
	9469	0	CT_TBRCH	10195	BR_STATUS	CT_REP	0;
	9470	0	CT_TBRCH	10196	BR_STATUS	CT_REP	0;
	9471	0	CT_TBRCH	10197	BR_STATUS	CT_REP	0;
	9472	0	CT_TBRCH	10198	BR_STATUS	CT_REP	0;
	9473	0	CT_TBRCH	10199	BR_STATUS	CT_REP	0;
	9474	0	CT_TBRCH	10200	BR_STATUS	CT_REP	0;
	9475	0	CT_TBRCH	10201	BR_STATUS	CT_REP	0;
	9476	0	CT_TBRCH	10202	BR_STATUS	CT_REP	0;
	9477	0	CT_TBRCH	10203	BR_STATUS	CT_REP	0;
	9478	0	CT_TBRCH	10204	BR_STATUS	CT_REP	0;
	9479	0	CT_TBRCH	10205	BR_STATUS	CT_REP	0;
	9480	0	CT_TBRCH	10206	BR_STATUS	CT_REP	0;
	9481	0	CT_TBRCH	10207	BR_STATUS	CT_REP	0;
	9482	0	CT_TBRCH	10208	BR_STATUS	CT_REP	0;
	9483	0	CT_TBRCH	10209	BR_STATUS	CT_REP	0;
	9484	0	CT_TBRCH	10210	BR_STATUS	CT_REP	0;
	9485	0	CT_TBRCH	10211	BR_STATUS	CT_REP	0;
	9486	0	CT_TBRCH	10212	BR_STATUS	CT_REP	0;
	9487	0	CT_TBRCH	10213	BR_STATUS	CT_REP	0;
	9488	0	CT_TBRCH	10214	BR_STATUS	CT_REP	0;
	9489	0	CT_TBRCH	10215	BR_STATUS	CT_REP	0;
	9490	0	CT_TBRCH	10216	BR_STATUS	CT_REP	0;
	9491	0	CT_TBRCH	10217	BR_STATUS	CT_REP	0;
	9492	0	CT_TBRCH	10218	BR_STATUS	CT_REP	0;
	9493	0	CT_TBRCH	10219	BR_STATUS	CT_REP	0;
	9494	0	CT_TBRCH	10220	BR_STATUS	CT_REP	0;
	9495	0	CT_TBRCH	10221	BR_STATUS	CT_REP	0;
	9496	0	CT_TBRCH	10222	BR_STATUS	CT_REP	0;
	9497	0	CT_TBRCH	10223	BR_STATUS	CT_REP	0;
	9498	0	CT_TBRCH	10224	BR_STATUS	CT_REP	0;
	9499	0	CT_TBRCH	10225	BR_STATUS	CT_REP	0;
	9500	0	CT_TBRCH	10226	BR_STATUS	CT_REP	0;
	9501	0	CT_TBRCH	10227	BR_STATUS	CT_REP	0;
	9502	0	CT_TBRCH	10228	BR_STATUS	CT_REP	0;
	9503	0	CT_TBRCH	10229	BR_STATUS	CT_REP	0;
	9504	0	CT_TBRCH	10230	BR_STATUS	CT_REP	0;
	9505	0	CT_TBRCH	10231	BR_STATUS	CT_REP	0;
	9506	0	CT_TBRCH	10232	BR_STATUS	CT_REP	0;
	9507	0	CT_TBRCH	10233	BR_STATUS	CT_REP	0;
	9508	0	CT_TBRCH	10234	BR_STATUS	CT_REP	0;
	9509	0	CT_TBRCH	10235	BR_STATUS	CT_REP	0;
	9510	0	CT_TBRCH	10236	BR_STATUS	CT_REP	0;
	9511	0	CT_TBRCH	10237	BR_STATUS	CT_REP	0;
	9512	0	CT_TBRCH	10238	BR_STATUS	CT_REP	0;
	9513	0	CT_TBRCH	10239	BR_STATUS	CT_REP	0;
	9514	0	CT_TBRCH	10240	BR_STATUS	CT_REP	0;
	9515	0	CT_TBRCH	10241	BR_STATUS	CT_REP	0;
	9516	0	CT_TBRCH	10242	BR_STATUS	CT_REP	0;
	9517	0	CT_TBRCH	10243	BR_STATUS	CT_REP	0;
	9518	0	CT_TBRCH	10244	BR_STATUS	CT_REP	0;
	9519	0	CT_TBRCH	10245	BR_STATUS	CT_REP	0;
	9520	0	CT_TBRCH	10246	BR_STATUS	CT_REP	0;
	9521	0	CT_TBRCH	10247	BR_STATUS	CT_REP	0;
	9522	0	CT_TBRCH	10248	BR_STATUS	CT_REP	0;
	9523	0	CT_TBRCH	10249	BR_STATUS	CT_REP	0;
	9524	0	CT_TBRCH	10250	BR_STATUS	CT_REP	0;
	9525	0	CT_TBRCH	10251	BR_STATUS	CT_REP	0;
	9526	0	CT_TBRCH	10252	BR_STATUS	CT_REP	0;
	9527	0	CT_TBRCH	10253	BR_STATUS	CT_REP	0;
	9528	0	CT_TBRCH	10254	BR_STATUS	CT_REP	0;
	9529	0	CT_TBRCH	10255	BR_STATUS	CT_REP	0;
	9530	0	CT_TBRCH	10256	BR_STATUS	CT_REP	0;
	9531	0	CT_TBRCH	10257	BR_STATUS	CT_REP	0;
	9532	0	CT_TBRCH	10258	BR_STATUS	CT_REP	0;
	9533	0	CT_TBRCH	10259	BR_STATUS	CT_REP	0;
	9534	0	CT_TBRCH	10260	BR_STATUS	CT_REP	0;
	9535	0	CT_TBRCH	10261	BR_STATUS	CT_REP	0;
	9536	0	CT_TBRCH	10262	BR_STATUS	CT_REP	0;
	9537	0	CT_TBRCH	10263	BR_STATUS	CT_REP	0;
	9538	0	CT_TBRCH	10264	BR_STATUS	CT_REP	0;
	9539	0	CT_TBRCH	10265	BR_STATUS	CT_REP	0;
	9540	0	CT_TBRCH	10266	BR_STATUS	CT_REP	0;
	9541	0	CT_TBRCH	10267	BR_STATUS	CT_REP	0;
	9542	0	CT_TBRCH	10268	BR_STATUS	CT_REP	0;
	9543	0	CT_TBRCH	10269	BR_STATUS	CT_REP	0;
	9544	0	CT_TBRCH	10270	BR_STATUS	CT_REP	0;
	9545	0	CT_TBRCH	10271	BR_STATUS	CT_REP	0;
	9546	0	CT_TBRCH	10272	BR_STATUS	CT_REP	0;
	9547	0	CT_TBRCH	10273	BR_STATUS	CT_REP	0;
	9548	0	CT_TBRCH	10274	BR_STATUS	CT_REP	0;
	9549	0	CT_TBRCH	10275	BR_STATUS	CT_REP	0;
	9550	0	CT_TBRCH	10276	BR_STATUS	CT_REP	0;
	9551	0	CT_TBRCH	10277	BR_STATUS	CT_REP	0;
	9552	0	CT_TBRCH	10278	BR_STATUS	CT_REP	0;
	9553	0	CT_TBRCH	10279	BR_STATUS	CT_REP	0;
	9554	0	CT_TBRCH	10280	BR_STATUS	CT_REP	0;
	9555	0	CT_TBRCH	10282	BR_STATUS	CT_REP	0;
	9556	0	CT_TBRCH	10283	BR_STATUS	CT_REP	0;
	9557	0	CT_TBRCH	10286	BR_STATUS	CT_REP	0;
	9558	0	CT_TBRCH	10287	BR_STATUS	CT_REP	0;
	9559	0	CT_TBRCH	10288	BR_STATUS	CT_REP	0;
	9560	0	CT_TBRCH	10289	BR_STATUS	CT_REP	0;
	9561	0	CT_TBRCH	10290	BR_STATUS	CT_REP	0;
	9562	0	CT_TBRCH	10291	BR_STATUS	CT_REP	0;
	9563	0	CT_TBRCH	10292	BR_STATUS	CT_REP	0;
	9564	0	CT_TBRCH	10293	BR_STATUS	CT_REP	0;
	9565	0	CT_TBRCH	10294	BR_STATUS	CT_REP	0;
	9566	0	CT_TBRCH	10295	BR_STATUS	CT_REP	0;
	9567	0	CT_TBRCH	10296	BR_STATUS	CT_REP	0;
	9568	0	CT_TBRCH	10297	BR_STATUS	CT_REP	0;
	9569	0	CT_TBRCH	10298	BR_STATUS	CT_REP	0;
	9570	0	CT_TBRCH	10299	BR_STATUS	CT_REP	0;
	9571	0	CT_TBRCH	10300	BR_STATUS	CT_REP	0;
	9572	0	CT_TBRCH	10301	BR_STATUS	CT_REP	0;
	9573	0	CT_TBRCH	10302	BR_STATUS	CT_REP	0;
	9574	0	CT_TBRCH	10303	BR_STATUS	CT_REP	0;
	9575	0	CT_TBRCH	10304	BR_STATUS	CT_REP	0;
	9576	0	CT_TBRCH	10305	BR_STATUS	CT_REP	0;
	9577	0	CT_TBRCH	10306	BR_STATUS	CT_REP	0;
	9578	0	CT_TBRCH	10307	BR_STATUS	CT_REP	0;
	9579	0	CT_TBRCH	10308	BR_STATUS	CT_REP	0;
	9580	0	CT_TBRCH	10309	BR_STATUS	CT_REP	0;
	9581	0	CT_TBRCH	10310	BR_STATUS	CT_REP	0;
	9582	0	CT_TBRCH	10311	BR_STATUS	CT_REP	0;
	9583	0	CT_TBRCH	10312	BR_STATUS	CT_REP	0;
	9584	0	CT_TBRCH	10314	BR_STATUS	CT_REP	0;
	9585	0	CT_TBRCH	10315	BR_STATUS	CT_REP	0;
	9586	0	CT_TBRCH	10316	BR_STATUS	CT_REP	0;
	9587	0	CT_TBRCH	10319	BR_STATUS	CT_REP	0;
	9588	0	CT_TBRCH	10320	BR_STATUS	CT_REP	0;
	9589	0	CT_TBRCH	10321	BR_STATUS	CT_REP	0;
	9590	0	CT_TBRCH	10322	BR_STATUS	CT_REP	0;
	9591	0	CT_TBRCH	10323	BR_STATUS	CT_REP	0;
	9592	0	CT_TBRCH	10324	BR_STATUS	CT_REP	0;
	9593	0	CT_TBRCH	10325	BR_STATUS	CT_REP	0;
	9594	0	CT_TBRCH	10326	BR_STATUS	CT_REP	0;
	9595	0	CT_TBRCH	10327	BR_STATUS	CT_REP	0;
	9596	0	CT_TBRCH	10328	BR_STATUS	CT_REP	0;
	9597	0	CT_TBRCH	10329	BR_STATUS	CT_REP	0;
	9598	0	CT_TBRCH	10330	BR_STATUS	CT_REP	0;
	9599	0	CT_TBRCH	10332	BR_STATUS	CT_REP	0;
	9600	0	CT_TBRCH	10336	BR_STATUS	CT_REP	0;
	9601	0	CT_TBRCH	10337	BR_STATUS	CT_REP	0;
	9602	0	CT_TBRCH	10338	BR_STATUS	CT_REP	0;
	9603	0	CT_TBRCH	10340	BR_STATUS	CT_REP	0;
	9604	0	CT_TBRCH	10342	BR_STATUS	CT_REP	0;
	9605	0	CT_TBRCH	10344	BR_STATUS	CT_REP	0;
	9606	0	CT_TBRCH	10347	BR_STATUS	CT_REP	0;
	9607	0	CT_TBRCH	10348	BR_STATUS	CT_REP	0;
	9608	0	CT_TBRCH	10349	BR_STATUS	CT_REP	0;
	9609	0	CT_TBRCH	10350	BR_STATUS	CT_REP	0;
	9610	0	CT_TBRCH	10351	BR_STATUS	CT_REP	0;
	9611	0	CT_TBRCH	10352	BR_STATUS	CT_REP	0;
	9612	0	CT_TBRCH	10353	BR_STATUS	CT_REP	0;
	9613	0	CT_TBRCH	10354	BR_STATUS	CT_REP	0;
	9614	0	CT_TBRCH	10355	BR_STATUS	CT_REP	0;
	9615	0	CT_TBRCH	10356	BR_STATUS	CT_REP	0;
	9616	0	CT_TBRCH	10357	BR_STATUS	CT_REP	0;
	9617	0	CT_TBRCH	10358	BR_STATUS	CT_REP	0;
	9618	0	CT_TBRCH	10359	BR_STATUS	CT_REP	0;
	9619	0	CT_TBRCH	10360	BR_STATUS	CT_REP	0;
	9620	0	CT_TBRCH	10361	BR_STATUS	CT_REP	0;
	9621	0	CT_TBRCH	10362	BR_STATUS	CT_REP	0;
	9622	0	CT_TBRCH	10363	BR_STATUS	CT_REP	0;
	9623	0	CT_TBRCH	10364	BR_STATUS	CT_REP	0;
	9624	0	CT_TBRCH	10365	BR_STATUS	CT_REP	0;
	9625	0	CT_TBRCH	10366	BR_STATUS	CT_REP	0;
	9626	0	CT_TBRCH	10367	BR_STATUS	CT_REP	0;
	9627	0	CT_TBRCH	10368	BR_STATUS	CT_REP	0;
	9628	0	CT_TBRCH	10369	BR_STATUS	CT_REP	0;
	9629	0	CT_TBRCH	10370	BR_STATUS	CT_REP	0;
	9630	0	CT_TBRCH	10371	BR_STATUS	CT_REP	0;
	9631	0	CT_TBRCH	10372	BR_STATUS	CT_REP	0;
	9632	0	CT_TBRCH	10373	BR_STATUS	CT_REP	0;
	9633	0	CT_TBRCH	10374	BR_STATUS	CT_REP	0;
	9634	0	CT_TBRCH	10375	BR_STATUS	CT_REP	0;
	9635	0	CT_TBRCH	10376	BR_STATUS	CT_REP	0;
	9636	0	CT_TBRCH	10377	BR_STATUS	CT_REP	0;
	9637	0	CT_TBRCH	10378	BR_STATUS	CT_REP	0;
	9638	0	CT_TBRCH	10379	BR_STATUS	CT_REP	0;
	9639	0	CT_TBRCH	10380	BR_STATUS	CT_REP	0;
	9640	0	CT_TBRCH	10381	BR_STATUS	CT_REP	0;
	9641	0	CT_TBRCH	10382	BR_STATUS	CT_REP	0;
	9642	0	CT_TBRCH	10384	BR_STATUS	CT_REP	0;
	9643	0	CT_TBRCH	10386	BR_STATUS	CT_REP	0;
	9644	0	CT_TBRCH	10388	BR_STATUS	CT_REP	0;
	9645	0	CT_TBRCH	10390	BR_STATUS	CT_REP	0;
	9646	0	CT_TBRCH	10391	BR_STATUS	CT_REP	0;
	9647	0	CT_TBRCH	10392	BR_STATUS	CT_REP	0;
	9648	0	CT_TBRCH	10395	BR_STATUS	CT_REP	0;
	9649	0	CT_TBRCH	10396	BR_STATUS	CT_REP	0;
	9650	0	CT_TBRCH	10397	BR_STATUS	CT_REP	0;
	9651	0	CT_TBRCH	10398	BR_STATUS	CT_REP	0;
	9652	0	CT_TBRCH	10399	BR_STATUS	CT_REP	0;
	9653	0	CT_TBRCH	10400	BR_STATUS	CT_REP	0;
	9654	0	CT_TBRCH	10401	BR_STATUS	CT_REP	0;
	9655	0	CT_TBRCH	10402	BR_STATUS	CT_REP	0;
	9656	0	CT_TBRCH	10403	BR_STATUS	CT_REP	0;
	9657	0	CT_TBRCH	10404	BR_STATUS	CT_REP	0;
	9658	0	CT_TBRCH	10405	BR_STATUS	CT_REP	0;
	9659	0	CT_TBRCH	10406	BR_STATUS	CT_REP	0;
	9660	0	CT_TBRCH	10407	BR_STATUS	CT_REP	0;
	9661	0	CT_TBRCH	10408	BR_STATUS	CT_REP	0;
	9662	0	CT_TBRCH	10409	BR_STATUS	CT_REP	0;
	9663	0	CT_TBRCH	10410	BR_STATUS	CT_REP	0;
	9664	0	CT_TBRCH	10411	BR_STATUS	CT_REP	0;
	9665	0	CT_TBRCH	10412	BR_STATUS	CT_REP	0;
	9666	0	CT_TBRCH	10413	BR_STATUS	CT_REP	0;
	9667	0	CT_TBRCH	10414	BR_STATUS	CT_REP	0;
	9668	0	CT_TBRCH	10415	BR_STATUS	CT_REP	0;
	9669	0	CT_TBRCH	10416	BR_STATUS	CT_REP	0;
	9670	0	CT_TBRCH	10417	BR_STATUS	CT_REP	0;
	9671	0	CT_TBRCH	10418	BR_STATUS	CT_REP	0;
	9672	0	CT_TBRCH	10419	BR_STATUS	CT_REP	0;
	9673	0	CT_TBRCH	10420	BR_STATUS	CT_REP	0;
	9674	0	CT_TBRCH	10421	BR_STATUS	CT_REP	0;
	9675	0	CT_TBRCH	10422	BR_STATUS	CT_REP	0;
	9676	0	CT_TBRCH	10423	BR_STATUS	CT_REP	0;
	9677	0	CT_TBRCH	10424	BR_STATUS	CT_REP	0;
	9678	0	CT_TBRCH	10425	BR_STATUS	CT_REP	0;
	9679	0	CT_TBRCH	10426	BR_STATUS	CT_REP	0;
	9680	0	CT_TBRCH	10427	BR_STATUS	CT_REP	0;
	9681	0	CT_TBRCH	10428	BR_STATUS	CT_REP	0;
	9682	0	CT_TBRCH	10429	BR_STATUS	CT_REP	0;
	9683	0	CT_TBRCH	10430	BR_STATUS	CT_REP	0;
	9684	0	CT_TBRCH	10431	BR_STATUS	CT_REP	0;
	9685	0	CT_TBRCH	10432	BR_STATUS	CT_REP	0;
	9686	0	CT_TBRCH	10433	BR_STATUS	CT_REP	0;
	9687	0	CT_TBRCH	10434	BR_STATUS	CT_REP	0;
	9688	0	CT_TBRCH	10435	BR_STATUS	CT_REP	0;
	9689	0	CT_TBRCH	10436	BR_STATUS	CT_REP	0;
	9690	0	CT_TBRCH	10437	BR_STATUS	CT_REP	0;
	9691	0	CT_TBRCH	10438	BR_STATUS	CT_REP	0;
	9692	0	CT_TBRCH	10439	BR_STATUS	CT_REP	0;
	9693	0	CT_TBRCH	10440	BR_STATUS	CT_REP	0;
	9694	0	CT_TBRCH	10441	BR_STATUS	CT_REP	0;
	9695	0	CT_TBRCH	10442	BR_STATUS	CT_REP	0;
	9696	0	CT_TBRCH	10443	BR_STATUS	CT_REP	0;
	9697	0	CT_TBRCH	10444	BR_STATUS	CT_REP	0;
	9698	0	CT_TBRCH	10445	BR_STATUS	CT_REP	0;
	9699	0	CT_TBRCH	10446	BR_STATUS	CT_REP	0;
	9700	0	CT_TBRCH	10447	BR_STATUS	CT_REP	0;
	9701	0	CT_TBRCH	10448	BR_STATUS	CT_REP	0;
	9702	0	CT_TBRCH	10449	BR_STATUS	CT_REP	0;
	9703	0	CT_TBRCH	10450	BR_STATUS	CT_REP	0;
	9704	0	CT_TBRCH	10451	BR_STATUS	CT_REP	0;
	9705	0	CT_TBRCH	10452	BR_STATUS	CT_REP	0;
	9706	0	CT_TBRCH	10453	BR_STATUS	CT_REP	0;
	9707	0	CT_TBRCH	10454	BR_STATUS	CT_REP	0;
	9708	0	CT_TBRCH	10455	BR_STATUS	CT_REP	0;
	9709	0	CT_TBRCH	10456	BR_STATUS	CT_REP	0;
	9710	0	CT_TBRCH	10457	BR_STATUS	CT_REP	0;
	9711	0	CT_TBRCH	10458	BR_STATUS	CT_REP	0;
	9712	0	CT_TBRCH	10459	BR_STATUS	CT_REP	0;
	9713	0	CT_TBRCH	10460	BR_STATUS	CT_REP	0;
	9714	0	CT_TBRCH	10461	BR_STATUS	CT_REP	0;
	9715	0	CT_TBRCH	10462	BR_STATUS	CT_REP	0;
	9716	0	CT_TBRCH	10463	BR_STATUS	CT_REP	0;
	9717	0	CT_TBRCH	10464	BR_STATUS	CT_REP	0;
	9718	0	CT_TBRCH	10465	BR_STATUS	CT_REP	0;
	9719	0	CT_TBRCH	10466	BR_STATUS	CT_REP	0;
	9720	0	CT_TBRCH	10467	BR_STATUS	CT_REP	0;
	9721	0	CT_TBRCH	10468	BR_STATUS	CT_REP	0;
	9722	0	CT_TBRCH	10469	BR_STATUS	CT_REP	0;
	9723	0	CT_TBRCH	10470	BR_STATUS	CT_REP	0;
	9724	0	CT_TBRCH	10471	BR_STATUS	CT_REP	0;
	9725	0	CT_TBRCH	10472	BR_STATUS	CT_REP	0;
	9726	0	CT_TBRCH	10473	BR_STATUS	CT_REP	0;
	9727	0	CT_TBRCH	10474	BR_STATUS	CT_REP	0;
	9728	0	CT_TBRCH	10475	BR_STATUS	CT_REP	0;
	9729	0	CT_TBRCH	10476	BR_STATUS	CT_REP	0;
	9730	0	CT_TBRCH	10477	BR_STATUS	CT_REP	0;
	9731	0	CT_TBRCH	10478	BR_STATUS	CT_REP	0;
	9732	0	CT_TBRCH	10479	BR_STATUS	CT_REP	0;
	9733	0	CT_TBRCH	10480	BR_STATUS	CT_REP	0;
	9734	0	CT_TBRCH	10481	BR_STATUS	CT_REP	0;
	9735	0	CT_TBRCH	10482	BR_STATUS	CT_REP	0;
	9736	0	CT_TBRCH	10483	BR_STATUS	CT_REP	0;
	9737	0	CT_TBRCH	10484	BR_STATUS	CT_REP	0;
	9738	0	CT_TBRCH	10485	BR_STATUS	CT_REP	0;
	9739	0	CT_TBRCH	10486	BR_STATUS	CT_REP	0;
	9740	0	CT_TBRCH	10487	BR_STATUS	CT_REP	0;
	9741	0	CT_TBRCH	10488	BR_STATUS	CT_REP	0;
	9742	0	CT_TBRCH	10489	BR_STATUS	CT_REP	0;
	9743	0	CT_TBRCH	10490	BR_STATUS	CT_REP	0;
	9744	0	CT_TBRCH	10491	BR_STATUS	CT_REP	0;
	9745	0	CT_TBRCH	10492	BR_STATUS	CT_REP	0;
	9746	0	CT_TBRCH	10493	BR_STATUS	CT_REP	0;
	9747	0	CT_TBRCH	10494	BR_STATUS	CT_REP	0;
	9748	0	CT_TBRCH	10495	BR_STATUS	CT_REP	0;
	9749	0	CT_TBRCH	10496	BR_STATUS	CT_REP	0;
	9750	0	CT_TBRCH	10497	BR_STATUS	CT_REP	0;
	9751	0	CT_TBRCH	10498	BR_STATUS	CT_REP	0;
	9752	0	CT_TBRCH	10499	BR_STATUS	CT_REP	0;
	9753	0	CT_TBRCH	10500	BR_STATUS	CT_REP	0;
	9754	0	CT_TBRCH	10501	BR_STATUS	CT_REP	0;
	9755	0	CT_TBRCH	10502	BR_STATUS	CT_REP	0;
	9756	0	CT_TBRCH	10503	BR_STATUS	CT_REP	0;
	9757	0	CT_TBRCH	10504	BR_STATUS	CT_REP	0;
	9758	0	CT_TBRCH	10505	BR_STATUS	CT_REP	0;
	9759	0	CT_TBRCH	10506	BR_STATUS	CT_REP	0;
	9760	0	CT_TBRCH	10507	BR_STATUS	CT_REP	0;
	9761	0	CT_TBRCH	10508	BR_STATUS	CT_REP	0;
	9762	0	CT_TBRCH	10509	BR_STATUS	CT_REP	0;
	9763	0	CT_TBRCH	10510	BR_STATUS	CT_REP	0;
	9764	0	CT_TBRCH	10511	BR_STATUS	CT_REP	0;
	9765	0	CT_TBRCH	10512	BR_STATUS	CT_REP	0;
	9766	0	CT_TBRCH	10513	BR_STATUS	CT_REP	0;
	9767	0	CT_TBRCH	10514	BR_STATUS	CT_REP	0;
	9768	0	CT_TBRCH	10515	BR_STATUS	CT_REP	0;
	9769	0	CT_TBRCH	10516	BR_STATUS	CT_REP	0;
	9770	0	CT_TBRCH	10517	BR_STATUS	CT_REP	0;
	9771	0	CT_TBRCH	10518	BR_STATUS	CT_REP	0;
	9772	0	CT_TBRCH	10519	BR_STATUS	CT_REP	0;
	9773	0	CT_TBRCH	10520	BR_STATUS	CT_REP	0;
	9774	0	CT_TBRCH	10521	BR_STATUS	CT_REP	0;
	9775	0	CT_TBRCH	10522	BR_STATUS	CT_REP	0;
	9776	0	CT_TBRCH	10523	BR_STATUS	CT_REP	0;
	9777	0	CT_TBRCH	10524	BR_STATUS	CT_REP	0;
	9778	0	CT_TBRCH	10525	BR_STATUS	CT_REP	0;
	9779	0	CT_TBRCH	10526	BR_STATUS	CT_REP	0;
	9780	0	CT_TBRCH	10527	BR_STATUS	CT_REP	0;
	9781	0	CT_TBRCH	10528	BR_STATUS	CT_REP	0;
	9782	0	CT_TBRCH	10529	BR_STATUS	CT_REP	0;
	9783	0	CT_TBRCH	10530	BR_STATUS	CT_REP	0;
	9784	0	CT_TBRCH	10531	BR_STATUS	CT_REP	0;
	9785	0	CT_TBRCH	10532	BR_STATUS	CT_REP	0;
	9786	0	CT_TBRCH	10533	BR_STATUS	CT_REP	0;
	9787	0	CT_TBRCH	10534	BR_STATUS	CT_REP	0;
	9788	0	CT_TBRCH	10535	BR_STATUS	CT_REP	0;
	9789	0	CT_TBRCH	10536	BR_STATUS	CT_REP	0;
	9790	0	CT_TBRCH	10537	BR_STATUS	CT_REP	0;
	9791	0	CT_TBRCH	10538	BR_STATUS	CT_REP	0;
	9792	0	CT_TBRCH	10539	BR_STATUS	CT_REP	0;
	9793	0	CT_TBRCH	10540	BR_STATUS	CT_REP	0;
	9794	0	CT_TBRCH	10541	BR_STATUS	CT_REP	0;
	9795	0	CT_TBRCH	10542	BR_STATUS	CT_REP	0;
	9796	0	CT_TBRCH	10543	BR_STATUS	CT_REP	0;
	9797	0	CT_TBRCH	10544	BR_STATUS	CT_REP	0;
	9798	0	CT_TBRCH	10545	BR_STATUS	CT_REP	0;
	9799	0	CT_TBRCH	10546	BR_STATUS	CT_REP	0;
	9800	0	CT_TBRCH	10548	BR_STATUS	CT_REP	0;
	9801	0	CT_TBRCH	10549	BR_STATUS	CT_REP	0;
	9802	0	CT_TBRCH	10552	BR_STATUS	CT_REP	0;
	9803	0	CT_TBRCH	10553	BR_STATUS	CT_REP	0;
	9804	0	CT_TBRCH	10554	BR_STATUS	CT_REP	0;
	9805	0	CT_TBRCH	10555	BR_STATUS	CT_REP	0;
	9806	0	CT_TBRCH	10556	BR_STATUS	CT_REP	0;
	9807	0	CT_TBRCH	10557	BR_STATUS	CT_REP	0;
	9808	0	CT_TBRCH	10558	BR_STATUS	CT_REP	0;
	9809	0	CT_TBRCH	10559	BR_STATUS	CT_REP	0;
	9810	0	CT_TBRCH	10560	BR_STATUS	CT_REP	0;
	9811	0	CT_TBRCH	10561	BR_STATUS	CT_REP	0;
	9812	0	CT_TBRCH	10562	BR_STATUS	CT_REP	0;
	9813	0	CT_TBRCH	10563	BR_STATUS	CT_REP	0;
	9814	0	CT_TBRCH	10564	BR_STATUS	CT_REP	0;
	9815	0	CT_TBRCH	10565	BR_STATUS	CT_REP	0;
	9816	0	CT_TBRCH	10566	BR_STATUS	CT_REP	0;
	9817	0	CT_TBRCH	10567	BR_STATUS	CT_REP	0;
	9818	0	CT_TBRCH	10568	BR_STATUS	CT_REP	0;
	9819	0	CT_TBRCH	10569	BR_STATUS	CT_REP	0;
	9820	0	CT_TBRCH	10570	BR_STATUS	CT_REP	0;
	9821	0	CT_TBRCH	10571	BR_STATUS	CT_REP	0;
	9822	0	CT_TBRCH	10572	BR_STATUS	CT_REP	0;
	9823	0	CT_TBRCH	10573	BR_STATUS	CT_REP	0;
	9824	0	CT_TBRCH	10574	BR_STATUS	CT_REP	0;
	9825	0	CT_TBRCH	10575	BR_STATUS	CT_REP	0;
	9826	0	CT_TBRCH	10576	BR_STATUS	CT_REP	0;
	9827	0	CT_TBRCH	10577	BR_STATUS	CT_REP	0;
	9828	0	CT_TBRCH	10578	BR_STATUS	CT_REP	0;
	9829	0	CT_TBRCH	10579	BR_STATUS	CT_REP	0;
	9830	0	CT_TBRCH	10580	BR_STATUS	CT_REP	0;
	9831	0	CT_TBRCH	10581	BR_STATUS	CT_REP	0;
	9832	0	CT_TBRCH	10582	BR_STATUS	CT_REP	0;
	9833	0	CT_TBRCH	10583	BR_STATUS	CT_REP	0;
	9834	0	CT_TBRCH	10584	BR_STATUS	CT_REP	0;
	9835	0	CT_TBRCH	10585	BR_STATUS	CT_REP	0;
	9836	0	CT_TBRCH	10586	BR_STATUS	CT_REP	0;
	9837	0	CT_TBRCH	10587	BR_STATUS	CT_REP	0;
	9838	0	CT_TBRCH	10588	BR_STATUS	CT_REP	0;
	9839	0	CT_TBRCH	10589	BR_STATUS	CT_REP	0;
	9840	0	CT_TBRCH	10590	BR_STATUS	CT_REP	0;
	9841	0	CT_TBRCH	10591	BR_STATUS	CT_REP	0;
	9842	0	CT_TBRCH	10592	BR_STATUS	CT_REP	0;
	9843	0	CT_TBRCH	10594	BR_STATUS	CT_REP	0;
	9844	0	CT_TBRCH	10595	BR_STATUS	CT_REP	0;
	9845	0	CT_TBRCH	10598	BR_STATUS	CT_REP	0;
	9846	0	CT_TBRCH	10599	BR_STATUS	CT_REP	0;
	9847	0	CT_TBRCH	10600	BR_STATUS	CT_REP	0;
	9848	0	CT_TBRCH	10601	BR_STATUS	CT_REP	0;
	9849	0	CT_TBRCH	10602	BR_STATUS	CT_REP	0;
	9850	0	CT_TBRCH	10603	BR_STATUS	CT_REP	0;
	9851	0	CT_TBRCH	10604	BR_STATUS	CT_REP	0;
	9852	0	CT_TBRCH	10605	BR_STATUS	CT_REP	0;
	9853	0	CT_TBRCH	10606	BR_STATUS	CT_REP	0;
	9854	0	CT_TBRCH	10607	BR_STATUS	CT_REP	0;
	9855	0	CT_TBRCH	10608	BR_STATUS	CT_REP	0;
	9856	0	CT_TBRCH	10609	BR_STATUS	CT_REP	0;
	9857	0	CT_TBRCH	10610	BR_STATUS	CT_REP	0;
	9858	0	CT_TBRCH	10611	BR_STATUS	CT_REP	0;
	9859	0	CT_TBRCH	10612	BR_STATUS	CT_REP	0;
	9860	0	CT_TBRCH	10613	BR_STATUS	CT_REP	0;
	9861	0	CT_TBRCH	10614	BR_STATUS	CT_REP	0;
	9862	0	CT_TBRCH	10615	BR_STATUS	CT_REP	0;
	9863	0	CT_TBRCH	10616	BR_STATUS	CT_REP	0;
	9864	0	CT_TBRCH	10617	BR_STATUS	CT_REP	0;
	9865	0	CT_TBRCH	10618	BR_STATUS	CT_REP	0;
	9866	0	CT_TBRCH	10619	BR_STATUS	CT_REP	0;
	9867	0	CT_TBRCH	10620	BR_STATUS	CT_REP	0;
	9868	0	CT_TBRCH	10621	BR_STATUS	CT_REP	0;
	9869	0	CT_TBRCH	10622	BR_STATUS	CT_REP	0;
	9870	0	CT_TBRCH	10623	BR_STATUS	CT_REP	0;
	9871	0	CT_TBRCH	10624	BR_STATUS	CT_REP	0;
	9872	0	CT_TBRCH	10625	BR_STATUS	CT_REP	0;
	9873	0	CT_TBRCH	10626	BR_STATUS	CT_REP	0;
	9874	0	CT_TBRCH	10627	BR_STATUS	CT_REP	0;
	9875	0	CT_TBRCH	10628	BR_STATUS	CT_REP	0;
	9876	0	CT_TBRCH	10629	BR_STATUS	CT_REP	0;
	9877	0	CT_TBRCH	10630	BR_STATUS	CT_REP	0;
	9878	0	CT_TBRCH	10631	BR_STATUS	CT_REP	0;
	9879	0	CT_TBRCH	10632	BR_STATUS	CT_REP	0;
	9880	0	CT_TBRCH	10633	BR_STATUS	CT_REP	0;
	9881	0	CT_TBRCH	10634	BR_STATUS	CT_REP	0;
	9882	0	CT_TBRCH	10635	BR_STATUS	CT_REP	0;
	9883	0	CT_TBRCH	10636	BR_STATUS	CT_REP	0;
	9884	0	CT_TBRCH	10637	BR_STATUS	CT_REP	0;
	9885	0	CT_TBRCH	10638	BR_STATUS	CT_REP	0;
	9886	0	CT_TBRCH	10639	BR_STATUS	CT_REP	0;
	9887	0	CT_TBRCH	10640	BR_STATUS	CT_REP	0;
	9888	0	CT_TBRCH	10641	BR_STATUS	CT_REP	0;
	9889	0	CT_TBRCH	10642	BR_STATUS	CT_REP	0;
	9890	0	CT_TBRCH	10643	BR_STATUS	CT_REP	0;
	9891	0	CT_TBRCH	10644	BR_STATUS	CT_REP	0;
	9892	0	CT_TBRCH	10645	BR_STATUS	CT_REP	0;
	9893	0	CT_TBRCH	10646	BR_STATUS	CT_REP	0;
	9894	0	CT_TBRCH	10647	BR_STATUS	CT_REP	0;
	9895	0	CT_TBRCH	10648	BR_STATUS	CT_REP	0;
	9896	0	CT_TBRCH	10649	BR_STATUS	CT_REP	0;
	9897	0	CT_TBRCH	10650	BR_STATUS	CT_REP	0;
	9898	0	CT_TBRCH	10651	BR_STATUS	CT_REP	0;
	9899	0	CT_TBRCH	10652	BR_STATUS	CT_REP	0;
	9900	0	CT_TBRCH	10653	BR_STATUS	CT_REP	0;
	9901	0	CT_TBRCH	10654	BR_STATUS	CT_REP	0;
	9902	0	CT_TBRCH	10655	BR_STATUS	CT_REP	0;
	9903	0	CT_TBRCH	10656	BR_STATUS	CT_REP	0;
	9904	0	CT_TBRCH	10657	BR_STATUS	CT_REP	0;
	9905	0	CT_TBRCH	10658	BR_STATUS	CT_REP	0;
	9906	0	CT_TBRCH	10659	BR_STATUS	CT_REP	0;
	9907	0	CT_TBRCH	10660	BR_STATUS	CT_REP	0;
	9908	0	CT_TBRCH	10661	BR_STATUS	CT_REP	0;
	9909	0	CT_TBRCH	10662	BR_STATUS	CT_REP	0;
	9910	0	CT_TBRCH	10663	BR_STATUS	CT_REP	0;
	9911	0	CT_TBRCH	10664	BR_STATUS	CT_REP	0;
	9912	0	CT_TBRCH	10665	BR_STATUS	CT_REP	0;
	9913	0	CT_TBRCH	10666	BR_STATUS	CT_REP	0;
	9914	0	CT_TBRCH	10667	BR_STATUS	CT_REP	0;
	9915	0	CT_TBRCH	10668	BR_STATUS	CT_REP	0;
	9916	0	CT_TBRCH	10669	BR_STATUS	CT_REP	0;
	9917	0	CT_TBRCH	10670	BR_STATUS	CT_REP	0;
	9918	0	CT_TBRCH	10671	BR_STATUS	CT_REP	0;
	9919	0	CT_TBRCH	10672	BR_STATUS	CT_REP	0;
	9920	0	CT_TBRCH	10673	BR_STATUS	CT_REP	0;
	9921	0	CT_TBRCH	10674	BR_STATUS	CT_REP	0;
	9922	0	CT_TBRCH	10675	BR_STATUS	CT_REP	0;
	9923	0	CT_TBRCH	10676	BR_STATUS	CT_REP	0;
	9924	0	CT_TBRCH	10677	BR_STATUS	CT_REP	0;
	9925	0	CT_TBRCH	10678	BR_STATUS	CT_REP	0;
	9926	0	CT_TBRCH	10679	BR_STATUS	CT_REP	0;
	9927	0	CT_TBRCH	10680	BR_STATUS	CT_REP	0;
	9928	0	CT_TBRCH	10681	BR_STATUS	CT_REP	0;
	9929	0	CT_TBRCH	10682	BR_STATUS	CT_REP	0;
	9930	0	CT_TBRCH	10683	BR_STATUS	CT_REP	0;
	9931	0	CT_TBRCH	10684	BR_STATUS	CT_REP	0;
	9932	0	CT_TBRCH	10685	BR_STATUS	CT_REP	0;
	9933	0	CT_TBRCH	10686	BR_STATUS	CT_REP	0;
	9934	0	CT_TBRCH	10687	BR_STATUS	CT_REP	0;
	9935	0	CT_TBRCH	10688	BR_STATUS	CT_REP	0;
	9936	0	CT_TBRCH	10689	BR_STATUS	CT_REP	0;
	9937	0	CT_TBRCH	10690	BR_STATUS	CT_REP	0;
	9938	0	CT_TBRCH	10691	BR_STATUS	CT_REP	0;
	9939	0	CT_TBRCH	10692	BR_STATUS	CT_REP	0;
	9940	0	CT_TBRCH	10693	BR_STATUS	CT_REP	0;
	9941	0	CT_TBRCH	10694	BR_STATUS	CT_REP	0;
	9942	0	CT_TBRCH	10695	BR_STATUS	CT_REP	0;
	9943	0	CT_TBRCH	10696	BR_STATUS	CT_REP	0;
	9944	0	CT_TBRCH	10697	BR_STATUS	CT_REP	0;
	9945	0	CT_TBRCH	10698	BR_STATUS	CT_REP	0;
	9946	0	CT_TBRCH	10699	BR_STATUS	CT_REP	0;
	9947	0	CT_TBRCH	10700	BR_STATUS	CT_REP	0;
	9948	0	CT_TBRCH	10701	BR_STATUS	CT_REP	0;
	9949	0	CT_TBRCH	10702	BR_STATUS	CT_REP	0;
	9950	0	CT_TBRCH	10703	BR_STATUS	CT_REP	0;
	9951	0	CT_TBRCH	10704	BR_STATUS	CT_REP	0;
	9952	0	CT_TBRCH	10705	BR_STATUS	CT_REP	0;
	9953	0	CT_TBRCH	10706	BR_STATUS	CT_REP	0;
	9954	0	CT_TBRCH	10707	BR_STATUS	CT_REP	0;
	9955	0	CT_TBRCH	10708	BR_STATUS	CT_REP	0;
	9956	0	CT_TBRCH	10709	BR_STATUS	CT_REP	0;
	9957	0	CT_TBRCH	10710	BR_STATUS	CT_REP	0;
	9958	0	CT_TBRCH	10711	BR_STATUS	CT_REP	0;
	9959	0	CT_TBRCH	10712	BR_STATUS	CT_REP	0;
	9960	0	CT_TBRCH	10713	BR_STATUS	CT_REP	0;
	9961	0	CT_TBRCH	10714	BR_STATUS	CT_REP	0;
	9962	0	CT_TBRCH	10715	BR_STATUS	CT_REP	0;
	9963	0	CT_TBRCH	10716	BR_STATUS	CT_REP	0;
	9964	0	CT_TBRCH	10717	BR_STATUS	CT_REP	0;
	9965	0	CT_TBRCH	10718	BR_STATUS	CT_REP	0;
	9966	0	CT_TBRCH	10719	BR_STATUS	CT_REP	0;
	9967	0	CT_TBRCH	10720	BR_STATUS	CT_REP	0;
	9968	0	CT_TBRCH	10721	BR_STATUS	CT_REP	0;
	9969	0	CT_TBRCH	10722	BR_STATUS	CT_REP	0;
	9970	0	CT_TBRCH	10723	BR_STATUS	CT_REP	0;
	9971	0	CT_TBRCH	10724	BR_STATUS	CT_REP	0;
	9972	0	CT_TBRCH	10725	BR_STATUS	CT_REP	0;
	9973	0	CT_TBRCH	10726	BR_STATUS	CT_REP	0;
	9974	0	CT_TBRCH	10727	BR_STATUS	CT_REP	0;
	9975	0	CT_TBRCH	10728	BR_STATUS	CT_REP	0;
	9976	0	CT_TBRCH	10729	BR_STATUS	CT_REP	0;
	9977	0	CT_TBRCH	10730	BR_STATUS	CT_REP	0;
	9978	0	CT_TBRCH	10731	BR_STATUS	CT_REP	0;
	9979	0	CT_TBRCH	10732	BR_STATUS	CT_REP	0;
	9980	0	CT_TBRCH	10733	BR_STATUS	CT_REP	0;
	9981	0	CT_TBRCH	10734	BR_STATUS	CT_REP	0;
	9982	0	CT_TBRCH	10735	BR_STATUS	CT_REP	0;
	9983	0	CT_TBRCH	10736	BR_STATUS	CT_REP	0;
	9984	0	CT_TBRCH	10737	BR_STATUS	CT_REP	0;
	9985	0	CT_TBRCH	10738	BR_STATUS	CT_REP	0;
	9986	0	CT_TBRCH	10739	BR_STATUS	CT_REP	0;
	9987	0	CT_TBRCH	10740	BR_STATUS	CT_REP	0;
	9988	0	CT_TBRCH	10742	BR_STATUS	CT_REP	0;
	9989	0	CT_TBRCH	10743	BR_STATUS	CT_REP	0;
	9990	0	CT_TBRCH	10745	BR_STATUS	CT_REP	0;
	9991	0	CT_TBRCH	10746	BR_STATUS	CT_REP	0;
	9992	0	CT_TBRCH	10747	BR_STATUS	CT_REP	0;
	9993	0	CT_TBRCH	10749	BR_STATUS	CT_REP	0;
	9994	0	CT_TBRCH	10750	BR_STATUS	CT_REP	0;
	9995	0	CT_TBRCH	10751	BR_STATUS	CT_REP	0;
	9996	0	CT_TBRCH	10752	BR_STATUS	CT_REP	0;
	9997	0	CT_TBRCH	10753	BR_STATUS	CT_REP	0;
	9998	0	CT_TBRCH	10754	BR_STATUS	CT_REP	0;
	9999	0	CT_TBRCH	10755	BR_STATUS	CT_REP	0;
	10000	0	CT_TBRCH	10756	BR_STATUS	CT_REP	0;
	10001	0	CT_TBRCH	10757	BR_STATUS	CT_REP	0;
	10002	0	CT_TBRCH	10758	BR_STATUS	CT_REP	0;
	10003	0	CT_TBRCH	10759	BR_STATUS	CT_REP	0;
	10004	0	CT_TBRCH	10760	BR_STATUS	CT_REP	0;
	10005	0	CT_TBRCH	10761	BR_STATUS	CT_REP	0;
	10006	0	CT_TBRCH	10763	BR_STATUS	CT_REP	0;
	10007	0	CT_TBRCH	10765	BR_STATUS	CT_REP	0;
	10008	0	CT_TBRCH	10766	BR_STATUS	CT_REP	0;
	10009	0	CT_TBRCH	10768	BR_STATUS	CT_REP	0;
	10010	0	CT_TBRCH	10769	BR_STATUS	CT_REP	0;
	10011	0	CT_TBRCH	10770	BR_STATUS	CT_REP	0;
	10012	0	CT_TBRCH	10771	BR_STATUS	CT_REP	0;
	10013	0	CT_TBRCH	10772	BR_STATUS	CT_REP	0;
	10014	0	CT_TBRCH	10773	BR_STATUS	CT_REP	0;
	10015	0	CT_TBRCH	10774	BR_STATUS	CT_REP	0;
	10016	0	CT_TBRCH	10775	BR_STATUS	CT_REP	0;
	10017	0	CT_TBRCH	10776	BR_STATUS	CT_REP	0;
	10018	0	CT_TBRCH	10777	BR_STATUS	CT_REP	0;
	10019	0	CT_TBRCH	10778	BR_STATUS	CT_REP	0;
	10020	0	CT_TBRCH	10779	BR_STATUS	CT_REP	0;
	10021	0	CT_TBRCH	10780	BR_STATUS	CT_REP	0;
	10022	0	CT_TBRCH	10781	BR_STATUS	CT_REP	0;
	10023	0	CT_TBRCH	10782	BR_STATUS	CT_REP	0;
	10024	0	CT_TBRCH	10783	BR_STATUS	CT_REP	0;
	10025	0	CT_TBRCH	10784	BR_STATUS	CT_REP	0;
	10026	0	CT_TBRCH	10785	BR_STATUS	CT_REP	0;
	10027	0	CT_TBRCH	10786	BR_STATUS	CT_REP	0;
	10028	0	CT_TBRCH	10787	BR_STATUS	CT_REP	0;
	10029	0	CT_TBRCH	10788	BR_STATUS	CT_REP	0;
	10030	0	CT_TBRCH	10789	BR_STATUS	CT_REP	0;
	10031	0	CT_TBRCH	10790	BR_STATUS	CT_REP	0;
	10032	0	CT_TBRCH	10791	BR_STATUS	CT_REP	0;
	10033	0	CT_TBRCH	10792	BR_STATUS	CT_REP	0;
	10034	0	CT_TBRCH	10793	BR_STATUS	CT_REP	0;
	10035	0	CT_TBRCH	10794	BR_STATUS	CT_REP	0;
	10036	0	CT_TBRCH	10795	BR_STATUS	CT_REP	0;
	10037	0	CT_TBRCH	10796	BR_STATUS	CT_REP	0;
	10038	0	CT_TBRCH	10797	BR_STATUS	CT_REP	0;
	10039	0	CT_TBRCH	10798	BR_STATUS	CT_REP	0;
	10040	0	CT_TBRCH	10799	BR_STATUS	CT_REP	0;
	10041	0	CT_TBRCH	10800	BR_STATUS	CT_REP	0;
	10042	0	CT_TBRCH	10801	BR_STATUS	CT_REP	0;
	10043	0	CT_TBRCH	10802	BR_STATUS	CT_REP	0;
	10044	0	CT_TBRCH	10803	BR_STATUS	CT_REP	0;
	10045	0	CT_TBRCH	10804	BR_STATUS	CT_REP	0;
	10046	0	CT_TBRCH	10805	BR_STATUS	CT_REP	0;
	10047	0	CT_TBRCH	10806	BR_STATUS	CT_REP	0;
	10048	0	CT_TBRCH	10807	BR_STATUS	CT_REP	0;
	10049	0	CT_TBRCH	10808	BR_STATUS	CT_REP	0;
	10050	0	CT_TBRCH	10809	BR_STATUS	CT_REP	0;
	10051	0	CT_TBRCH	10811	BR_STATUS	CT_REP	0;
	10052	0	CT_TBRCH	10812	BR_STATUS	CT_REP	0;
	10053	0	CT_TBRCH	10814	BR_STATUS	CT_REP	0;
	10054	0	CT_TBRCH	10816	BR_STATUS	CT_REP	0;
	10055	0	CT_TBRCH	10817	BR_STATUS	CT_REP	0;
	10056	0	CT_TBRCH	10818	BR_STATUS	CT_REP	0;
	10057	0	CT_TBRCH	10819	BR_STATUS	CT_REP	0;
	10058	0	CT_TBRCH	10820	BR_STATUS	CT_REP	0;
	10059	0	CT_TBRCH	10821	BR_STATUS	CT_REP	0;
	10060	0	CT_TBRCH	10822	BR_STATUS	CT_REP	0;
	10061	0	CT_TBRCH	10823	BR_STATUS	CT_REP	0;
	10062	0	CT_TBRCH	10824	BR_STATUS	CT_REP	0;
	10063	0	CT_TBRCH	10825	BR_STATUS	CT_REP	0;
	10064	0	CT_TBRCH	10826	BR_STATUS	CT_REP	0;
	10065	0	CT_TBRCH	10827	BR_STATUS	CT_REP	0;
	10066	0	CT_TBRCH	10828	BR_STATUS	CT_REP	0;
	10067	0	CT_TBRCH	10829	BR_STATUS	CT_REP	0;
	10068	0	CT_TBRCH	10830	BR_STATUS	CT_REP	0;
	10069	0	CT_TBRCH	10831	BR_STATUS	CT_REP	0;
	10070	0	CT_TBRCH	10832	BR_STATUS	CT_REP	0;
	10071	0	CT_TBRCH	10833	BR_STATUS	CT_REP	0;
	10072	0	CT_TBRCH	10834	BR_STATUS	CT_REP	0;
	10073	0	CT_TBRCH	10835	BR_STATUS	CT_REP	0;
	10074	0	CT_TBRCH	10836	BR_STATUS	CT_REP	0;
	10075	0	CT_TBRCH	10837	BR_STATUS	CT_REP	0;
	10076	0	CT_TBRCH	10838	BR_STATUS	CT_REP	0;
	10077	0	CT_TBRCH	10839	BR_STATUS	CT_REP	0;
	10078	0	CT_TBRCH	10840	BR_STATUS	CT_REP	0;
	10079	0	CT_TBRCH	10841	BR_STATUS	CT_REP	0;
	10080	0	CT_TBRCH	10842	BR_STATUS	CT_REP	0;
	10081	0	CT_TBRCH	10843	BR_STATUS	CT_REP	0;
	10082	0	CT_TBRCH	10844	BR_STATUS	CT_REP	0;
	10083	0	CT_TBRCH	10845	BR_STATUS	CT_REP	0;
	10084	0	CT_TBRCH	10846	BR_STATUS	CT_REP	0;
	10085	0	CT_TBRCH	10847	BR_STATUS	CT_REP	0;
	10086	0	CT_TBRCH	10848	BR_STATUS	CT_REP	0;
	10087	0	CT_TBRCH	10849	BR_STATUS	CT_REP	0;
	10088	0	CT_TBRCH	10850	BR_STATUS	CT_REP	0;
	10089	0	CT_TBRCH	10851	BR_STATUS	CT_REP	0;
	10090	0	CT_TBRCH	10852	BR_STATUS	CT_REP	0;
	10091	0	CT_TBRCH	10853	BR_STATUS	CT_REP	0;
	10092	0	CT_TBRCH	10854	BR_STATUS	CT_REP	0;
	10093	0	CT_TBRCH	10855	BR_STATUS	CT_REP	0;
	10094	0	CT_TBRCH	10856	BR_STATUS	CT_REP	0;
	10095	0	CT_TBRCH	10857	BR_STATUS	CT_REP	0;
	10096	0	CT_TBRCH	10858	BR_STATUS	CT_REP	0;
	10097	0	CT_TBRCH	10859	BR_STATUS	CT_REP	0;
	10098	0	CT_TBRCH	10860	BR_STATUS	CT_REP	0;
	10099	0	CT_TBRCH	10861	BR_STATUS	CT_REP	0;
	10100	0	CT_TBRCH	10862	BR_STATUS	CT_REP	0;
	10101	0	CT_TBRCH	10863	BR_STATUS	CT_REP	0;
	10102	0	CT_TBRCH	10864	BR_STATUS	CT_REP	0;
	10103	0	CT_TBRCH	10865	BR_STATUS	CT_REP	0;
	10104	0	CT_TBRCH	10866	BR_STATUS	CT_REP	0;
	10105	0	CT_TBRCH	10867	BR_STATUS	CT_REP	0;
	10106	0	CT_TBRCH	10868	BR_STATUS	CT_REP	0;
	10107	0	CT_TBRCH	10869	BR_STATUS	CT_REP	0;
	10108	0	CT_TBRCH	10870	BR_STATUS	CT_REP	0;
	10109	0	CT_TBRCH	10871	BR_STATUS	CT_REP	0;
	10110	0	CT_TBRCH	10872	BR_STATUS	CT_REP	0;
	10111	0	CT_TBRCH	10873	BR_STATUS	CT_REP	0;
	10112	0	CT_TBRCH	10874	BR_STATUS	CT_REP	0;
	10113	0	CT_TBRCH	10875	BR_STATUS	CT_REP	0;
	10114	0	CT_TBRCH	10876	BR_STATUS	CT_REP	0;
	10115	0	CT_TBRCH	10877	BR_STATUS	CT_REP	0;
	10116	0	CT_TBRCH	10878	BR_STATUS	CT_REP	0;
	10117	0	CT_TBRCH	10879	BR_STATUS	CT_REP	0;
	10118	0	CT_TBRCH	10880	BR_STATUS	CT_REP	0;
	10119	0	CT_TBRCH	10881	BR_STATUS	CT_REP	0;
	10120	0	CT_TBRCH	10882	BR_STATUS	CT_REP	0;
	10121	0	CT_TBRCH	10883	BR_STATUS	CT_REP	0;
	10122	0	CT_TBRCH	10884	BR_STATUS	CT_REP	0;
	10123	0	CT_TBRCH	10885	BR_STATUS	CT_REP	0;
	10124	0	CT_TBRCH	10886	BR_STATUS	CT_REP	0;
	10125	0	CT_TBRCH	10887	BR_STATUS	CT_REP	0;
	10126	0	CT_TBRCH	10888	BR_STATUS	CT_REP	0;
	10127	0	CT_TBRCH	10889	BR_STATUS	CT_REP	0;
	10128	0	CT_TBRCH	10890	BR_STATUS	CT_REP	0;
	10129	0	CT_TBRCH	10891	BR_STATUS	CT_REP	0;
	10130	0	CT_TBRCH	10892	BR_STATUS	CT_REP	0;
	10131	0	CT_TBRCH	10893	BR_STATUS	CT_REP	0;
	10132	0	CT_TBRCH	10894	BR_STATUS	CT_REP	0;
	10133	0	CT_TBRCH	10895	BR_STATUS	CT_REP	0;
	10134	0	CT_TBRCH	10896	BR_STATUS	CT_REP	0;
	10135	0	CT_TBRCH	10897	BR_STATUS	CT_REP	0;
	10136	0	CT_TBRCH	10898	BR_STATUS	CT_REP	0;
	10137	0	CT_TBRCH	10899	BR_STATUS	CT_REP	0;
	10138	0	CT_TBRCH	10900	BR_STATUS	CT_REP	0;
	10139	0	CT_TBRCH	10901	BR_STATUS	CT_REP	0;
	10140	0	CT_TBRCH	10902	BR_STATUS	CT_REP	0;
	10141	0	CT_TBRCH	10903	BR_STATUS	CT_REP	0;
	10142	0	CT_TBRCH	10904	BR_STATUS	CT_REP	0;
	10143	0	CT_TBRCH	10905	BR_STATUS	CT_REP	0;
	10144	0	CT_TBRCH	10906	BR_STATUS	CT_REP	0;
	10145	0	CT_TBRCH	10907	BR_STATUS	CT_REP	0;
	10146	0	CT_TBRCH	10908	BR_STATUS	CT_REP	0;
	10147	0	CT_TBRCH	10909	BR_STATUS	CT_REP	0;
	10148	0	CT_TBRCH	10910	BR_STATUS	CT_REP	0;
	10149	0	CT_TBRCH	10911	BR_STATUS	CT_REP	0;
	10150	0	CT_TBRCH	10912	BR_STATUS	CT_REP	0;
	10151	0	CT_TBRCH	10913	BR_STATUS	CT_REP	0;
	10152	0	CT_TBRCH	10914	BR_STATUS	CT_REP	0;
	10153	0	CT_TBRCH	10915	BR_STATUS	CT_REP	0;
	10154	0	CT_TBRCH	10916	BR_STATUS	CT_REP	0;
	10155	0	CT_TBRCH	10917	BR_STATUS	CT_REP	0;
	10156	0	CT_TBRCH	10918	BR_STATUS	CT_REP	0;
	10157	0	CT_TBRCH	10919	BR_STATUS	CT_REP	0;
	10158	0	CT_TBRCH	10920	BR_STATUS	CT_REP	0;
	10159	0	CT_TBRCH	10921	BR_STATUS	CT_REP	0;
	10160	0	CT_TBRCH	10922	BR_STATUS	CT_REP	0;
	10161	0	CT_TBRCH	10923	BR_STATUS	CT_REP	0;
	10162	0	CT_TBRCH	10924	BR_STATUS	CT_REP	0;
	10163	0	CT_TBRCH	10925	BR_STATUS	CT_REP	0;
	10164	0	CT_TBRCH	10926	BR_STATUS	CT_REP	0;
	10165	0	CT_TBRCH	10927	BR_STATUS	CT_REP	0;
	10166	0	CT_TBRCH	10928	BR_STATUS	CT_REP	0;
	10167	0	CT_TBRCH	10929	BR_STATUS	CT_REP	0;
	10168	0	CT_TBRCH	10930	BR_STATUS	CT_REP	0;
	10169	0	CT_TBRCH	10931	BR_STATUS	CT_REP	0;
	10170	0	CT_TBRCH	10932	BR_STATUS	CT_REP	0;
	10171	0	CT_TBRCH	10933	BR_STATUS	CT_REP	0;
	10172	0	CT_TBRCH	10934	BR_STATUS	CT_REP	0;
	10173	0	CT_TBRCH	10935	BR_STATUS	CT_REP	0;
	10174	0	CT_TBRCH	10936	BR_STATUS	CT_REP	0;
	10175	0	CT_TBRCH	10937	BR_STATUS	CT_REP	0;
	10176	0	CT_TBRCH	10938	BR_STATUS	CT_REP	0;
	10177	0	CT_TBRCH	10939	BR_STATUS	CT_REP	0;
	10178	0	CT_TBRCH	10940	BR_STATUS	CT_REP	0;
	10179	0	CT_TBRCH	10941	BR_STATUS	CT_REP	0;
	10180	0	CT_TBRCH	10942	BR_STATUS	CT_REP	0;
	10181	0	CT_TBRCH	10943	BR_STATUS	CT_REP	0;
	10182	0	CT_TBRCH	10944	BR_STATUS	CT_REP	0;
	10183	0	CT_TBRCH	10945	BR_STATUS	CT_REP	0;
	10184	0	CT_TBRCH	10946	BR_STATUS	CT_REP	0;
	10185	0	CT_TBRCH	10947	BR_STATUS	CT_REP	0;
	10186	0	CT_TBRCH	10948	BR_STATUS	CT_REP	0;
	10187	0	CT_TBRCH	10949	BR_STATUS	CT_REP	0;
	10188	0	CT_TBRCH	10950	BR_STATUS	CT_REP	0;
	10189	0	CT_TBRCH	10951	BR_STATUS	CT_REP	0;
	10190	0	CT_TBRCH	10952	BR_STATUS	CT_REP	0;
	10191	0	CT_TBRCH	10953	BR_STATUS	CT_REP	0;
	10192	0	CT_TBRCH	10954	BR_STATUS	CT_REP	0;
	10193	0	CT_TBRCH	10955	BR_STATUS	CT_REP	0;
	10194	0	CT_TBRCH	10956	BR_STATUS	CT_REP	0;
	10195	0	CT_TBRCH	10957	BR_STATUS	CT_REP	0;
	10196	0	CT_TBRCH	10958	BR_STATUS	CT_REP	0;
	10197	0	CT_TBRCH	10959	BR_STATUS	CT_REP	0;
	10198	0	CT_TBRCH	10960	BR_STATUS	CT_REP	0;
	10199	0	CT_TBRCH	10961	BR_STATUS	CT_REP	0;
	10200	0	CT_TBRCH	10962	BR_STATUS	CT_REP	0;
	10201	0	CT_TBRCH	10963	BR_STATUS	CT_REP	0;
	10202	0	CT_TBRCH	10964	BR_STATUS	CT_REP	0;
	10203	0	CT_TBRCH	10965	BR_STATUS	CT_REP	0;
	10204	0	CT_TBRCH	10966	BR_STATUS	CT_REP	0;
	10205	0	CT_TBRCH	10967	BR_STATUS	CT_REP	0;
	10206	0	CT_TBRCH	10968	BR_STATUS	CT_REP	0;
	10207	0	CT_TBRCH	10969	BR_STATUS	CT_REP	0;
	10208	0	CT_TBRCH	10970	BR_STATUS	CT_REP	0;
	10209	0	CT_TBRCH	10971	BR_STATUS	CT_REP	0;
	10210	0	CT_TBRCH	10972	BR_STATUS	CT_REP	0;
	10211	0	CT_TBRCH	10973	BR_STATUS	CT_REP	0;
	10212	0	CT_TBRCH	10974	BR_STATUS	CT_REP	0;
	10213	0	CT_TBRCH	10975	BR_STATUS	CT_REP	0;
	10214	0	CT_TBRCH	10976	BR_STATUS	CT_REP	0;
	10215	0	CT_TBRCH	10977	BR_STATUS	CT_REP	0;
	10216	0	CT_TBRCH	10978	BR_STATUS	CT_REP	0;
	10217	0	CT_TBRCH	10979	BR_STATUS	CT_REP	0;
	10218	0	CT_TBRCH	10980	BR_STATUS	CT_REP	0;
	10219	0	CT_TBRCH	10981	BR_STATUS	CT_REP	0;
	10220	0	CT_TBRCH	10982	BR_STATUS	CT_REP	0;
	10221	0	CT_TBRCH	10983	BR_STATUS	CT_REP	0;
	10222	0	CT_TBRCH	10984	BR_STATUS	CT_REP	0;
	10223	0	CT_TBRCH	10985	BR_STATUS	CT_REP	0;
	10224	0	CT_TBRCH	10986	BR_STATUS	CT_REP	0;
	10225	0	CT_TBRCH	10987	BR_STATUS	CT_REP	0;
	10226	0	CT_TBRCH	10988	BR_STATUS	CT_REP	0;
	10227	0	CT_TBRCH	10989	BR_STATUS	CT_REP	0;
	10228	0	CT_TBRCH	10990	BR_STATUS	CT_REP	0;
	10229	0	CT_TBRCH	10991	BR_STATUS	CT_REP	0;
	10230	0	CT_TBRCH	10992	BR_STATUS	CT_REP	0;
	10231	0	CT_TBRCH	10993	BR_STATUS	CT_REP	0;
	10232	0	CT_TBRCH	10994	BR_STATUS	CT_REP	0;
	10233	0	CT_TBRCH	10995	BR_STATUS	CT_REP	0;
	10234	0	CT_TBRCH	10996	BR_STATUS	CT_REP	0;
	10235	0	CT_TBRCH	10997	BR_STATUS	CT_REP	0;
	10236	0	CT_TBRCH	10998	BR_STATUS	CT_REP	0;
	10237	0	CT_TBRCH	10999	BR_STATUS	CT_REP	0;
	10238	0	CT_TBRCH	11000	BR_STATUS	CT_REP	0;
	10239	0	CT_TBRCH	11001	BR_STATUS	CT_REP	0;
	10240	0	CT_TBRCH	11002	BR_STATUS	CT_REP	0;
	10241	0	CT_TBRCH	11003	BR_STATUS	CT_REP	0;
	10242	0	CT_TBRCH	11004	BR_STATUS	CT_REP	0;
	10243	0	CT_TBRCH	11005	BR_STATUS	CT_REP	0;
	10244	0	CT_TBRCH	11006	BR_STATUS	CT_REP	0;
	10245	0	CT_TBRCH	11007	BR_STATUS	CT_REP	0;
	10246	0	CT_TBRCH	11008	BR_STATUS	CT_REP	0;
	10247	0	CT_TBRCH	11009	BR_STATUS	CT_REP	0;
	10248	0	CT_TBRCH	11010	BR_STATUS	CT_REP	0;
	10249	0	CT_TBRCH	11011	BR_STATUS	CT_REP	0;
	10250	0	CT_TBRCH	11012	BR_STATUS	CT_REP	0;
	10251	0	CT_TBRCH	11013	BR_STATUS	CT_REP	0;
	10252	0	CT_TBRCH	11014	BR_STATUS	CT_REP	0;
	10253	0	CT_TBRCH	11015	BR_STATUS	CT_REP	0;
	10254	0	CT_TBRCH	11016	BR_STATUS	CT_REP	0;
	10255	0	CT_TBRCH	11017	BR_STATUS	CT_REP	0;
	10256	0	CT_TBRCH	11018	BR_STATUS	CT_REP	0;
	10257	0	CT_TBRCH	11019	BR_STATUS	CT_REP	0;
	10258	0	CT_TBRCH	11020	BR_STATUS	CT_REP	0;
	10259	0	CT_TBRCH	11021	BR_STATUS	CT_REP	0;
	10260	0	CT_TBRCH	11023	BR_STATUS	CT_REP	0;
	10261	0	CT_TBRCH	11026	BR_STATUS	CT_REP	0;
	10262	0	CT_TBRCH	11027	BR_STATUS	CT_REP	0;
	10263	0	CT_TBRCH	11028	BR_STATUS	CT_REP	0;
	10264	0	CT_TBRCH	11029	BR_STATUS	CT_REP	0;
	10265	0	CT_TBRCH	11030	BR_STATUS	CT_REP	0;
	10266	0	CT_TBRCH	11031	BR_STATUS	CT_REP	0;
	10267	0	CT_TBRCH	11032	BR_STATUS	CT_REP	0;
	10268	0	CT_TBRCH	11033	BR_STATUS	CT_REP	0;
	10269	0	CT_TBRCH	11034	BR_STATUS	CT_REP	0;
	10270	0	CT_TBRCH	11035	BR_STATUS	CT_REP	0;
	10271	0	CT_TBRCH	11036	BR_STATUS	CT_REP	0;
	10272	0	CT_TBRCH	11037	BR_STATUS	CT_REP	0;
	10273	0	CT_TBRCH	11039	BR_STATUS	CT_REP	0;
	10274	0	CT_TBRCH	11042	BR_STATUS	CT_REP	0;
	10275	0	CT_TBRCH	11043	BR_STATUS	CT_REP	0;
	10276	0	CT_TBRCH	11044	BR_STATUS	CT_REP	0;
	10277	0	CT_TBRCH	11045	BR_STATUS	CT_REP	0;
	10278	0	CT_TBRCH	11046	BR_STATUS	CT_REP	0;
	10279	0	CT_TBRCH	11047	BR_STATUS	CT_REP	0;
	10280	0	CT_TBRCH	11048	BR_STATUS	CT_REP	0;
	10281	0	CT_TBRCH	11049	BR_STATUS	CT_REP	0;
	10282	0	CT_TBRCH	11050	BR_STATUS	CT_REP	0;
	10283	0	CT_TBRCH	11051	BR_STATUS	CT_REP	0;
	10284	0	CT_TBRCH	11052	BR_STATUS	CT_REP	0;
	10285	0	CT_TBRCH	11053	BR_STATUS	CT_REP	0;
	10286	0	CT_TBRCH	11054	BR_STATUS	CT_REP	0;
	10287	0	CT_TBRCH	11055	BR_STATUS	CT_REP	0;
	10288	0	CT_TBRCH	11056	BR_STATUS	CT_REP	0;
	10289	0	CT_TBRCH	11057	BR_STATUS	CT_REP	0;
	10290	0	CT_TBRCH	11059	BR_STATUS	CT_REP	0;
	10291	0	CT_TBRCH	11062	BR_STATUS	CT_REP	0;
	10292	0	CT_TBRCH	11063	BR_STATUS	CT_REP	0;
	10293	0	CT_TBRCH	11064	BR_STATUS	CT_REP	0;
	10294	0	CT_TBRCH	11065	BR_STATUS	CT_REP	0;
	10295	0	CT_TBRCH	11066	BR_STATUS	CT_REP	0;
	10296	0	CT_TBRCH	11067	BR_STATUS	CT_REP	0;
	10297	0	CT_TBRCH	11068	BR_STATUS	CT_REP	0;
	10298	0	CT_TBRCH	11069	BR_STATUS	CT_REP	0;
	10299	0	CT_TBRCH	11070	BR_STATUS	CT_REP	0;
	10300	0	CT_TBRCH	11071	BR_STATUS	CT_REP	0;
	10301	0	CT_TBRCH	11072	BR_STATUS	CT_REP	0;
	10302	0	CT_TBRCH	11073	BR_STATUS	CT_REP	0;
	10303	0	CT_TBRCH	11074	BR_STATUS	CT_REP	0;
	10304	0	CT_TBRCH	11075	BR_STATUS	CT_REP	0;
	10305	0	CT_TBRCH	11076	BR_STATUS	CT_REP	0;
	10306	0	CT_TBRCH	11077	BR_STATUS	CT_REP	0;
	10307	0	CT_TBRCH	11078	BR_STATUS	CT_REP	0;
	10308	0	CT_TBRCH	11079	BR_STATUS	CT_REP	0;
	10309	0	CT_TBRCH	11080	BR_STATUS	CT_REP	0;
	10310	0	CT_TBRCH	11081	BR_STATUS	CT_REP	0;
	10311	0	CT_TBRCH	11082	BR_STATUS	CT_REP	0;
	10312	0	CT_TBRCH	11083	BR_STATUS	CT_REP	0;
	10313	0	CT_TBRCH	11084	BR_STATUS	CT_REP	0;
	10314	0	CT_TBRCH	11085	BR_STATUS	CT_REP	0;
	10315	0	CT_TBRCH	11086	BR_STATUS	CT_REP	0;
	10316	0	CT_TBRCH	11087	BR_STATUS	CT_REP	0;
	10317	0	CT_TBRCH	11088	BR_STATUS	CT_REP	0;
	10318	0	CT_TBRCH	11089	BR_STATUS	CT_REP	0;
	10319	0	CT_TBRCH	11090	BR_STATUS	CT_REP	0;
	10320	0	CT_TBRCH	11091	BR_STATUS	CT_REP	0;
	10321	0	CT_TBRCH	11092	BR_STATUS	CT_REP	0;
	10322	0	CT_TBRCH	11093	BR_STATUS	CT_REP	0;
	10323	0	CT_TBRCH	11094	BR_STATUS	CT_REP	0;
	10324	0	CT_TBRCH	11095	BR_STATUS	CT_REP	0;
	10325	0	CT_TBRCH	11096	BR_STATUS	CT_REP	0;
	10326	0	CT_TBRCH	11097	BR_STATUS	CT_REP	0;
	10327	0	CT_TBRCH	11098	BR_STATUS	CT_REP	0;
	10328	0	CT_TBRCH	11099	BR_STATUS	CT_REP	0;
	10329	0	CT_TBRCH	11100	BR_STATUS	CT_REP	0;
	10330	0	CT_TBRCH	11101	BR_STATUS	CT_REP	0;
	10331	0	CT_TBRCH	11102	BR_STATUS	CT_REP	0;
	10332	0	CT_TBRCH	11103	BR_STATUS	CT_REP	0;
	10333	0	CT_TBRCH	11104	BR_STATUS	CT_REP	0;
	10334	0	CT_TBRCH	11105	BR_STATUS	CT_REP	0;
	10335	0	CT_TBRCH	11106	BR_STATUS	CT_REP	0;
	10336	0	CT_TBRCH	11107	BR_STATUS	CT_REP	0;
	10337	0	CT_TBRCH	11108	BR_STATUS	CT_REP	0;
	10338	0	CT_TBRCH	11109	BR_STATUS	CT_REP	0;
	10339	0	CT_TBRCH	11110	BR_STATUS	CT_REP	0;
	10340	0	CT_TBRCH	11111	BR_STATUS	CT_REP	0;
	10341	0	CT_TBRCH	11112	BR_STATUS	CT_REP	0;
	10342	0	CT_TBRCH	11113	BR_STATUS	CT_REP	0;
	10343	0	CT_TBRCH	11114	BR_STATUS	CT_REP	0;
	10344	0	CT_TBRCH	11115	BR_STATUS	CT_REP	0;
	10345	0	CT_TBRCH	11116	BR_STATUS	CT_REP	0;
	10346	0	CT_TBRCH	11117	BR_STATUS	CT_REP	0;
	10347	0	CT_TBRCH	11118	BR_STATUS	CT_REP	0;
	10348	0	CT_TBRCH	11119	BR_STATUS	CT_REP	0;
	10349	0	CT_TBRCH	11120	BR_STATUS	CT_REP	0;
	10350	0	CT_TBRCH	11121	BR_STATUS	CT_REP	0;
	10351	0	CT_TBRCH	11122	BR_STATUS	CT_REP	0;
	10352	0	CT_TBRCH	11123	BR_STATUS	CT_REP	0;
	10353	0	CT_TBRCH	11124	BR_STATUS	CT_REP	0;
	10354	0	CT_TBRCH	11126	BR_STATUS	CT_REP	0;
	10355	0	CT_TBRCH	11129	BR_STATUS	CT_REP	0;
	10356	0	CT_TBRCH	11130	BR_STATUS	CT_REP	0;
	10357	0	CT_TBRCH	11131	BR_STATUS	CT_REP	0;
	10358	0	CT_TBRCH	11132	BR_STATUS	CT_REP	0;
	10359	0	CT_TBRCH	11133	BR_STATUS	CT_REP	0;
	10360	0	CT_TBRCH	11134	BR_STATUS	CT_REP	0;
	10361	0	CT_TBRCH	11135	BR_STATUS	CT_REP	0;
	10362	0	CT_TBRCH	11136	BR_STATUS	CT_REP	0;
	10363	0	CT_TBRCH	11137	BR_STATUS	CT_REP	0;
	10364	0	CT_TBRCH	11138	BR_STATUS	CT_REP	0;
	10365	0	CT_TBRCH	11139	BR_STATUS	CT_REP	0;
	10366	0	CT_TBRCH	11140	BR_STATUS	CT_REP	0;
	10367	0	CT_TBRCH	11141	BR_STATUS	CT_REP	0;
	10368	0	CT_TBRCH	11142	BR_STATUS	CT_REP	0;
	10369	0	CT_TBRCH	11143	BR_STATUS	CT_REP	0;
	10370	0	CT_TBRCH	11144	BR_STATUS	CT_REP	0;
	10371	0	CT_TBRCH	11145	BR_STATUS	CT_REP	0;
	10372	0	CT_TBRCH	11146	BR_STATUS	CT_REP	0;
	10373	0	CT_TBRCH	11147	BR_STATUS	CT_REP	0;
	10374	0	CT_TBRCH	11148	BR_STATUS	CT_REP	0;
	10375	0	CT_TBRCH	11149	BR_STATUS	CT_REP	0;
	10376	0	CT_TBRCH	11150	BR_STATUS	CT_REP	0;
	10377	0	CT_TBRCH	11151	BR_STATUS	CT_REP	0;
	10378	0	CT_TBRCH	11152	BR_STATUS	CT_REP	0;
	10379	0	CT_TBRCH	11153	BR_STATUS	CT_REP	0;
	10380	0	CT_TBRCH	11154	BR_STATUS	CT_REP	0;
	10381	0	CT_TBRCH	11155	BR_STATUS	CT_REP	0;
	10382	0	CT_TBRCH	11156	BR_STATUS	CT_REP	0;
	10383	0	CT_TBRCH	11157	BR_STATUS	CT_REP	0;
	10384	0	CT_TBRCH	11158	BR_STATUS	CT_REP	0;
	10385	0	CT_TBRCH	11159	BR_STATUS	CT_REP	0;
	10386	0	CT_TBRCH	11160	BR_STATUS	CT_REP	0;
	10387	0	CT_TBRCH	11162	BR_STATUS	CT_REP	0;
	10388	0	CT_TBRCH	11165	BR_STATUS	CT_REP	0;
	10389	0	CT_TBRCH	11166	BR_STATUS	CT_REP	0;
	10390	0	CT_TBRCH	11167	BR_STATUS	CT_REP	0;
	10391	0	CT_TBRCH	11168	BR_STATUS	CT_REP	0;
	10392	0	CT_TBRCH	11169	BR_STATUS	CT_REP	0;
	10393	0	CT_TBRCH	11170	BR_STATUS	CT_REP	0;
	10394	0	CT_TBRCH	11171	BR_STATUS	CT_REP	0;
	10395	0	CT_TBRCH	11172	BR_STATUS	CT_REP	0;
	10396	0	CT_TBRCH	11173	BR_STATUS	CT_REP	0;
	10397	0	CT_TBRCH	11174	BR_STATUS	CT_REP	0;
	10398	0	CT_TBRCH	11175	BR_STATUS	CT_REP	0;
	10399	0	CT_TBRCH	11176	BR_STATUS	CT_REP	0;
	10400	0	CT_TBRCH	11177	BR_STATUS	CT_REP	0;
	10401	0	CT_TBRCH	11178	BR_STATUS	CT_REP	0;
	10402	0	CT_TBRCH	11179	BR_STATUS	CT_REP	0;
	10403	0	CT_TBRCH	11180	BR_STATUS	CT_REP	0;
	10404	0	CT_TBRCH	11181	BR_STATUS	CT_REP	0;
	10405	0	CT_TBRCH	11182	BR_STATUS	CT_REP	0;
	10406	0	CT_TBRCH	11183	BR_STATUS	CT_REP	0;
	10407	0	CT_TBRCH	11184	BR_STATUS	CT_REP	0;
	10408	0	CT_TBRCH	11185	BR_STATUS	CT_REP	0;
	10409	0	CT_TBRCH	11186	BR_STATUS	CT_REP	0;
	10410	0	CT_TBRCH	11187	BR_STATUS	CT_REP	0;
	10411	0	CT_TBRCH	11188	BR_STATUS	CT_REP	0;
	10412	0	CT_TBRCH	11189	BR_STATUS	CT_REP	0;
	10413	0	CT_TBRCH	11190	BR_STATUS	CT_REP	0;
	10414	0	CT_TBRCH	11191	BR_STATUS	CT_REP	0;
	10415	0	CT_TBRCH	11192	BR_STATUS	CT_REP	0;
	10416	0	CT_TBRCH	11193	BR_STATUS	CT_REP	0;
	10417	0	CT_TBRCH	11194	BR_STATUS	CT_REP	0;
	10418	0	CT_TBRCH	11195	BR_STATUS	CT_REP	0;
	10419	0	CT_TBRCH	11196	BR_STATUS	CT_REP	0;
	10420	0	CT_TBRCH	11197	BR_STATUS	CT_REP	0;
	10421	0	CT_TBRCH	11198	BR_STATUS	CT_REP	0;
	10422	0	CT_TBRCH	11199	BR_STATUS	CT_REP	0;
	10423	0	CT_TBRCH	11200	BR_STATUS	CT_REP	0;
	10424	0	CT_TBRCH	11201	BR_STATUS	CT_REP	0;
	10425	0	CT_TBRCH	11202	BR_STATUS	CT_REP	0;
	10426	0	CT_TBRCH	11203	BR_STATUS	CT_REP	0;
	10427	0	CT_TBRCH	11204	BR_STATUS	CT_REP	0;
	10428	0	CT_TBRCH	11205	BR_STATUS	CT_REP	0;
	10429	0	CT_TBRCH	11206	BR_STATUS	CT_REP	0;
	10430	0	CT_TBRCH	11207	BR_STATUS	CT_REP	0;
	10431	0	CT_TBRCH	11208	BR_STATUS	CT_REP	0;
	10432	0	CT_TBRCH	11209	BR_STATUS	CT_REP	0;
	10433	0	CT_TBRCH	11210	BR_STATUS	CT_REP	0;
	10434	0	CT_TBRCH	11211	BR_STATUS	CT_REP	0;
	10435	0	CT_TBRCH	11212	BR_STATUS	CT_REP	0;
	10436	0	CT_TBRCH	11213	BR_STATUS	CT_REP	0;
	10437	0	CT_TBRCH	11214	BR_STATUS	CT_REP	0;
	10438	0	CT_TBRCH	11215	BR_STATUS	CT_REP	0;
	10439	0	CT_TBRCH	11216	BR_STATUS	CT_REP	0;
	10440	0	CT_TBRCH	11217	BR_STATUS	CT_REP	0;
	10441	0	CT_TBRCH	11218	BR_STATUS	CT_REP	0;
	10442	0	CT_TBRCH	11219	BR_STATUS	CT_REP	0;
	10443	0	CT_TBRCH	11220	BR_STATUS	CT_REP	0;
	10444	0	CT_TBRCH	11221	BR_STATUS	CT_REP	0;
	10445	0	CT_TBRCH	11222	BR_STATUS	CT_REP	0;
	10446	0	CT_TBRCH	11223	BR_STATUS	CT_REP	0;
	10447	0	CT_TBRCH	11224	BR_STATUS	CT_REP	0;
	10448	0	CT_TBRCH	11225	BR_STATUS	CT_REP	0;
	10449	0	CT_TBRCH	11226	BR_STATUS	CT_REP	0;
	10450	0	CT_TBRCH	11227	BR_STATUS	CT_REP	0;
	10451	0	CT_TBRCH	11228	BR_STATUS	CT_REP	0;
	10452	0	CT_TBRCH	11229	BR_STATUS	CT_REP	0;
	10453	0	CT_TBRCH	11230	BR_STATUS	CT_REP	0;
	10454	0	CT_TBRCH	11231	BR_STATUS	CT_REP	0;
	10455	0	CT_TBRCH	11232	BR_STATUS	CT_REP	0;
	10456	0	CT_TBRCH	11233	BR_STATUS	CT_REP	0;
	10457	0	CT_TBRCH	11234	BR_STATUS	CT_REP	0;
	10458	0	CT_TBRCH	11235	BR_STATUS	CT_REP	0;
	10459	0	CT_TBRCH	11236	BR_STATUS	CT_REP	0;
	10460	0	CT_TBRCH	11237	BR_STATUS	CT_REP	0;
	10461	0	CT_TBRCH	11238	BR_STATUS	CT_REP	0;
	10462	0	CT_TBRCH	11239	BR_STATUS	CT_REP	0;
	10463	0	CT_TBRCH	11240	BR_STATUS	CT_REP	0;
	10464	0	CT_TBRCH	11241	BR_STATUS	CT_REP	0;
	10465	0	CT_TBRCH	11242	BR_STATUS	CT_REP	0;
	10466	0	CT_TBRCH	11243	BR_STATUS	CT_REP	0;
	10467	0	CT_TBRCH	11244	BR_STATUS	CT_REP	0;
	10468	0	CT_TBRCH	11245	BR_STATUS	CT_REP	0;
	10469	0	CT_TBRCH	11246	BR_STATUS	CT_REP	0;
	10470	0	CT_TBRCH	11247	BR_STATUS	CT_REP	0;
	10471	0	CT_TBRCH	11248	BR_STATUS	CT_REP	0;
	10472	0	CT_TBRCH	11249	BR_STATUS	CT_REP	0;
	10473	0	CT_TBRCH	11250	BR_STATUS	CT_REP	0;
	10474	0	CT_TBRCH	11251	BR_STATUS	CT_REP	0;
	10475	0	CT_TBRCH	11252	BR_STATUS	CT_REP	0;
	10476	0	CT_TBRCH	11253	BR_STATUS	CT_REP	0;
	10477	0	CT_TBRCH	11254	BR_STATUS	CT_REP	0;
	10478	0	CT_TBRCH	11255	BR_STATUS	CT_REP	0;
	10479	0	CT_TBRCH	11256	BR_STATUS	CT_REP	0;
	10480	0	CT_TBRCH	11257	BR_STATUS	CT_REP	0;
	10481	0	CT_TBRCH	11258	BR_STATUS	CT_REP	0;
	10482	0	CT_TBRCH	11259	BR_STATUS	CT_REP	0;
	10483	0	CT_TBRCH	11260	BR_STATUS	CT_REP	0;
	10484	0	CT_TBRCH	11261	BR_STATUS	CT_REP	0;
	10485	0	CT_TBRCH	11262	BR_STATUS	CT_REP	0;
	10486	0	CT_TBRCH	11263	BR_STATUS	CT_REP	0;
	10487	0	CT_TBRCH	11264	BR_STATUS	CT_REP	0;
	10488	0	CT_TBRCH	11265	BR_STATUS	CT_REP	0;
	10489	0	CT_TBRCH	11266	BR_STATUS	CT_REP	0;
	10490	0	CT_TBRCH	11267	BR_STATUS	CT_REP	0;
	10491	0	CT_TBRCH	11268	BR_STATUS	CT_REP	0;
	10492	0	CT_TBRCH	11269	BR_STATUS	CT_REP	0;
	10493	0	CT_TBRCH	11270	BR_STATUS	CT_REP	0;
	10494	0	CT_TBRCH	11271	BR_STATUS	CT_REP	0;
	10495	0	CT_TBRCH	11272	BR_STATUS	CT_REP	0;
	10496	0	CT_TBRCH	11273	BR_STATUS	CT_REP	0;
	10497	0	CT_TBRCH	11274	BR_STATUS	CT_REP	0;
	10498	0	CT_TBRCH	11275	BR_STATUS	CT_REP	0;
	10499	0	CT_TBRCH	11276	BR_STATUS	CT_REP	0;
	10500	0	CT_TBRCH	11277	BR_STATUS	CT_REP	0;
	10501	0	CT_TBRCH	11278	BR_STATUS	CT_REP	0;
	10502	0	CT_TBRCH	11279	BR_STATUS	CT_REP	0;
	10503	0	CT_TBRCH	11280	BR_STATUS	CT_REP	0;
	10504	0	CT_TBRCH	11281	BR_STATUS	CT_REP	0;
	10505	0	CT_TBRCH	11282	BR_STATUS	CT_REP	0;
	10506	0	CT_TBRCH	11283	BR_STATUS	CT_REP	0;
	10507	0	CT_TBRCH	11284	BR_STATUS	CT_REP	0;
	10508	0	CT_TBRCH	11285	BR_STATUS	CT_REP	0;
	10509	0	CT_TBRCH	11286	BR_STATUS	CT_REP	0;
	10510	0	CT_TBRCH	11288	BR_STATUS	CT_REP	0;
	10511	0	CT_TBRCH	11291	BR_STATUS	CT_REP	0;
	10512	0	CT_TBRCH	11292	BR_STATUS	CT_REP	0;
	10513	0	CT_TBRCH	11293	BR_STATUS	CT_REP	0;
	10514	0	CT_TBRCH	11294	BR_STATUS	CT_REP	0;
	10515	0	CT_TBRCH	11295	BR_STATUS	CT_REP	0;
	10516	0	CT_TBRCH	11296	BR_STATUS	CT_REP	0;
	10517	0	CT_TBRCH	11298	BR_STATUS	CT_REP	0;
	10518	0	CT_TBRCH	11299	BR_STATUS	CT_REP	0;
	10519	0	CT_TBRCH	11300	BR_STATUS	CT_REP	0;
	10520	0	CT_TBRCH	11301	BR_STATUS	CT_REP	0;
	10521	0	CT_TBRCH	11303	BR_STATUS	CT_REP	0;
	10522	0	CT_TBRCH	11304	BR_STATUS	CT_REP	0;
	10523	0	CT_TBRCH	11306	BR_STATUS	CT_REP	0;
	10524	0	CT_TBRCH	11307	BR_STATUS	CT_REP	0;
	10525	0	CT_TBRCH	11308	BR_STATUS	CT_REP	0;
	10526	0	CT_TBRCH	11309	BR_STATUS	CT_REP	0;
	10527	0	CT_TBRCH	11310	BR_STATUS	CT_REP	0;
	10528	0	CT_TBRCH	11311	BR_STATUS	CT_REP	0;
	10529	0	CT_TBRCH	11312	BR_STATUS	CT_REP	0;
	10530	0	CT_TBRCH	11313	BR_STATUS	CT_REP	0;
	10531	0	CT_TBRCH	11314	BR_STATUS	CT_REP	0;
	10532	0	CT_TBRCH	11315	BR_STATUS	CT_REP	0;
	10533	0	CT_TBRCH	11316	BR_STATUS	CT_REP	0;
	10534	0	CT_TBRCH	11317	BR_STATUS	CT_REP	0;
	10535	0	CT_TBRCH	11318	BR_STATUS	CT_REP	0;
	10536	0	CT_TBRCH	11319	BR_STATUS	CT_REP	0;
	10537	0	CT_TBRCH	11321	BR_STATUS	CT_REP	0;
	10538	0	CT_TBRCH	11322	BR_STATUS	CT_REP	0;
	10539	0	CT_TBRCH	11323	BR_STATUS	CT_REP	0;
	10540	0	CT_TBRCH	11324	BR_STATUS	CT_REP	0;
	10541	0	CT_TBRCH	11325	BR_STATUS	CT_REP	0;
	10542	0	CT_TBRCH	11326	BR_STATUS	CT_REP	0;
	10543	0	CT_TBRCH	11327	BR_STATUS	CT_REP	0;
	10544	0	CT_TBRCH	11329	BR_STATUS	CT_REP	0;
	10545	0	CT_TBRCH	11330	BR_STATUS	CT_REP	0;
	10546	0	CT_TBRCH	11332	BR_STATUS	CT_REP	0;
	10547	0	CT_TBRCH	11333	BR_STATUS	CT_REP	0;
	10548	0	CT_TBRCH	11334	BR_STATUS	CT_REP	0;
	10549	0	CT_TBRCH	11335	BR_STATUS	CT_REP	0;
	10550	0	CT_TBRCH	11336	BR_STATUS	CT_REP	0;
	10551	0	CT_TBRCH	11337	BR_STATUS	CT_REP	0;
	10552	0	CT_TBRCH	11338	BR_STATUS	CT_REP	0;
	10553	0	CT_TBRCH	11339	BR_STATUS	CT_REP	0;
	10554	0	CT_TBRCH	11340	BR_STATUS	CT_REP	0;
	10555	0	CT_TBRCH	11341	BR_STATUS	CT_REP	0;
	10556	0	CT_TBRCH	11342	BR_STATUS	CT_REP	0;
	10557	0	CT_TBRCH	11343	BR_STATUS	CT_REP	0;
	10558	0	CT_TBRCH	11344	BR_STATUS	CT_REP	0;
	10559	0	CT_TBRCH	11345	BR_STATUS	CT_REP	0;
	10560	0	CT_TBRCH	11346	BR_STATUS	CT_REP	0;
	10561	0	CT_TBRCH	11347	BR_STATUS	CT_REP	0;
	10562	0	CT_TBRCH	11348	BR_STATUS	CT_REP	0;
	10563	0	CT_TBRCH	11349	BR_STATUS	CT_REP	0;
	10564	0	CT_TBRCH	11350	BR_STATUS	CT_REP	0;
	10565	0	CT_TBRCH	11351	BR_STATUS	CT_REP	0;
	10566	0	CT_TBRCH	11352	BR_STATUS	CT_REP	0;
	10567	0	CT_TBRCH	11353	BR_STATUS	CT_REP	0;
	10568	0	CT_TBRCH	11354	BR_STATUS	CT_REP	0;
	10569	0	CT_TBRCH	11355	BR_STATUS	CT_REP	0;
	10570	0	CT_TBRCH	11356	BR_STATUS	CT_REP	0;
	10571	0	CT_TBRCH	11357	BR_STATUS	CT_REP	0;
	10572	0	CT_TBRCH	11358	BR_STATUS	CT_REP	0;
	10573	0	CT_TBRCH	11359	BR_STATUS	CT_REP	0;
	10574	0	CT_TBRCH	11360	BR_STATUS	CT_REP	0;
	10575	0	CT_TBRCH	11361	BR_STATUS	CT_REP	0;
	10576	0	CT_TBRCH	11362	BR_STATUS	CT_REP	0;
	10577	0	CT_TBRCH	11363	BR_STATUS	CT_REP	0;
	10578	0	CT_TBRCH	11364	BR_STATUS	CT_REP	0;
	10579	0	CT_TBRCH	11365	BR_STATUS	CT_REP	0;
	10580	0	CT_TBRCH	11366	BR_STATUS	CT_REP	0;
	10581	0	CT_TBRCH	11367	BR_STATUS	CT_REP	0;
	10582	0	CT_TBRCH	11368	BR_STATUS	CT_REP	0;
	10583	0	CT_TBRCH	11369	BR_STATUS	CT_REP	0;
	10584	0	CT_TBRCH	11370	BR_STATUS	CT_REP	0;
	10585	0	CT_TBRCH	11371	BR_STATUS	CT_REP	0;
	10586	0	CT_TBRCH	11372	BR_STATUS	CT_REP	0;
	10587	0	CT_TBRCH	11373	BR_STATUS	CT_REP	0;
	10588	0	CT_TBRCH	11374	BR_STATUS	CT_REP	0;
	10589	0	CT_TBRCH	11375	BR_STATUS	CT_REP	0;
	10590	0	CT_TBRCH	11376	BR_STATUS	CT_REP	0;
	10591	0	CT_TBRCH	11377	BR_STATUS	CT_REP	0;
	10592	0	CT_TBRCH	11378	BR_STATUS	CT_REP	0;
	10593	0	CT_TBRCH	11379	BR_STATUS	CT_REP	0;
	10594	0	CT_TBRCH	11380	BR_STATUS	CT_REP	0;
	10595	0	CT_TBRCH	11381	BR_STATUS	CT_REP	0;
	10596	0	CT_TBRCH	11382	BR_STATUS	CT_REP	0;
	10597	0	CT_TBRCH	11383	BR_STATUS	CT_REP	0;
	10599	0	CT_TBRCH	11385	BR_STATUS	CT_REP	0;
	10600	0	CT_TBRCH	11386	BR_STATUS	CT_REP	0;
	10601	0	CT_TBRCH	11387	BR_STATUS	CT_REP	0;
	10602	0	CT_TBRCH	11388	BR_STATUS	CT_REP	0;
	10603	0	CT_TBRCH	11391	BR_STATUS	CT_REP	0;
	10604	0	CT_TBRCH	11392	BR_STATUS	CT_REP	0;
	10605	0	CT_TBRCH	11393	BR_STATUS	CT_REP	0;
	10606	0	CT_TBRCH	11394	BR_STATUS	CT_REP	0;
	10607	0	CT_TBRCH	11395	BR_STATUS	CT_REP	0;
	10608	0	CT_TBRCH	11396	BR_STATUS	CT_REP	0;
	10609	0	CT_TBRCH	11397	BR_STATUS	CT_REP	0;
	10610	0	CT_TBRCH	11398	BR_STATUS	CT_REP	0;
	10611	0	CT_TBRCH	11399	BR_STATUS	CT_REP	0;
	10612	0	CT_TBRCH	11400	BR_STATUS	CT_REP	0;
	10613	0	CT_TBRCH	11401	BR_STATUS	CT_REP	0;
	10614	0	CT_TBRCH	11402	BR_STATUS	CT_REP	0;
	10615	0	CT_TBRCH	11403	BR_STATUS	CT_REP	0;
	10616	0	CT_TBRCH	11404	BR_STATUS	CT_REP	0;
	10617	0	CT_TBRCH	11405	BR_STATUS	CT_REP	0;
	10618	0	CT_TBRCH	11406	BR_STATUS	CT_REP	0;
	10619	0	CT_TBRCH	11407	BR_STATUS	CT_REP	0;
	10620	0	CT_TBRCH	11408	BR_STATUS	CT_REP	0;
	10621	0	CT_TBRCH	11409	BR_STATUS	CT_REP	0;
	10622	0	CT_TBRCH	11410	BR_STATUS	CT_REP	0;
	10623	0	CT_TBRCH	11411	BR_STATUS	CT_REP	0;
	10624	0	CT_TBRCH	11412	BR_STATUS	CT_REP	0;
	10625	0	CT_TBRCH	11413	BR_STATUS	CT_REP	0;
	10626	0	CT_TBRCH	11414	BR_STATUS	CT_REP	0;
	10627	0	CT_TBRCH	11415	BR_STATUS	CT_REP	0;
	10628	0	CT_TBRCH	11416	BR_STATUS	CT_REP	0;
	10629	0	CT_TBRCH	11417	BR_STATUS	CT_REP	0;
	10630	0	CT_TBRCH	11418	BR_STATUS	CT_REP	0;
	10631	0	CT_TBRCH	11419	BR_STATUS	CT_REP	0;
	10632	0	CT_TBRCH	11420	BR_STATUS	CT_REP	0;
	10633	0	CT_TBRCH	11421	BR_STATUS	CT_REP	0;
	10634	0	CT_TBRCH	11422	BR_STATUS	CT_REP	0;
	10635	0	CT_TBRCH	11423	BR_STATUS	CT_REP	0;
	10636	0	CT_TBRCH	11424	BR_STATUS	CT_REP	0;
	10637	0	CT_TBRCH	11425	BR_STATUS	CT_REP	0;
	10638	0	CT_TBRCH	11426	BR_STATUS	CT_REP	0;
	10639	0	CT_TBRCH	11427	BR_STATUS	CT_REP	0;
	10640	0	CT_TBRCH	11428	BR_STATUS	CT_REP	0;
	10641	0	CT_TBRCH	11429	BR_STATUS	CT_REP	0;
	10642	0	CT_TBRCH	11430	BR_STATUS	CT_REP	0;
	10643	0	CT_TBRCH	11431	BR_STATUS	CT_REP	0;
	10644	0	CT_TBRCH	11432	BR_STATUS	CT_REP	0;
	10645	0	CT_TBRCH	11433	BR_STATUS	CT_REP	0;
	10646	0	CT_TBRCH	11434	BR_STATUS	CT_REP	0;
	10647	0	CT_TBRCH	11435	BR_STATUS	CT_REP	0;
	10648	0	CT_TBRCH	11436	BR_STATUS	CT_REP	0;
	10649	0	CT_TBRCH	11437	BR_STATUS	CT_REP	0;
	10650	0	CT_TBRCH	11438	BR_STATUS	CT_REP	0;
	10651	0	CT_TBRCH	11439	BR_STATUS	CT_REP	0;
	10652	0	CT_TBRCH	11440	BR_STATUS	CT_REP	0;
	10653	0	CT_TBRCH	11441	BR_STATUS	CT_REP	0;
	10654	0	CT_TBRCH	11442	BR_STATUS	CT_REP	0;
	10655	0	CT_TBRCH	11444	BR_STATUS	CT_REP	0;
	10656	0	CT_TBRCH	11445	BR_STATUS	CT_REP	0;
	10657	0	CT_TBRCH	11451	BR_STATUS	CT_REP	0;
	10658	0	CT_TBRCH	11452	BR_STATUS	CT_REP	0;
	10659	0	CT_TBRCH	11453	BR_STATUS	CT_REP	0;
	10660	0	CT_TBRCH	11454	BR_STATUS	CT_REP	0;
	10661	0	CT_TBRCH	11455	BR_STATUS	CT_REP	0;
	10662	0	CT_TBRCH	11456	BR_STATUS	CT_REP	0;
	10663	0	CT_TBRCH	11457	BR_STATUS	CT_REP	0;
	10664	0	CT_TBRCH	11458	BR_STATUS	CT_REP	0;
	10665	0	CT_TBRCH	11460	BR_STATUS	CT_REP	0;
	10666	0	CT_TBRCH	11463	BR_STATUS	CT_REP	0;
	10667	0	CT_TBRCH	11464	BR_STATUS	CT_REP	0;
	10668	0	CT_TBRCH	11465	BR_STATUS	CT_REP	0;
	10669	0	CT_TBRCH	11466	BR_STATUS	CT_REP	0;
	10670	0	CT_TBRCH	11467	BR_STATUS	CT_REP	0;
	10671	0	CT_TBRCH	11468	BR_STATUS	CT_REP	0;
	10672	0	CT_TBRCH	11469	BR_STATUS	CT_REP	0;
	10673	0	CT_TBRCH	11470	BR_STATUS	CT_REP	0;
	10674	0	CT_TBRCH	11471	BR_STATUS	CT_REP	0;
	10675	0	CT_TBRCH	11472	BR_STATUS	CT_REP	0;
	10676	0	CT_TBRCH	11473	BR_STATUS	CT_REP	0;
	10677	0	CT_TBRCH	11475	BR_STATUS	CT_REP	0;
	10678	0	CT_TBRCH	11476	BR_STATUS	CT_REP	0;
	10679	0	CT_TBRCH	11477	BR_STATUS	CT_REP	0;
	10680	0	CT_TBRCH	11479	BR_STATUS	CT_REP	0;
	10681	0	CT_TBRCH	11480	BR_STATUS	CT_REP	0;
	10682	0	CT_TBRCH	11482	BR_STATUS	CT_REP	0;
	10683	0	CT_TBRCH	11483	BR_STATUS	CT_REP	0;
	10684	0	CT_TBRCH	11484	BR_STATUS	CT_REP	0;
	10685	0	CT_TBRCH	11485	BR_STATUS	CT_REP	0;
	10686	0	CT_TBRCH	11486	BR_STATUS	CT_REP	0;
	10687	0	CT_TBRCH	11487	BR_STATUS	CT_REP	0;
	10688	0	CT_TBRCH	11488	BR_STATUS	CT_REP	0;
	10689	0	CT_TBRCH	11489	BR_STATUS	CT_REP	0;
	10690	0	CT_TBRCH	11490	BR_STATUS	CT_REP	0;
	10691	0	CT_TBRCH	11491	BR_STATUS	CT_REP	0;
	10692	0	CT_TBRCH	11492	BR_STATUS	CT_REP	0;
	10693	0	CT_TBRCH	11493	BR_STATUS	CT_REP	0;
	10694	0	CT_TBRCH	11494	BR_STATUS	CT_REP	0;
	10695	0	CT_TBRCH	11495	BR_STATUS	CT_REP	0;
	10696	0	CT_TBRCH	11496	BR_STATUS	CT_REP	0;
	10697	0	CT_TBRCH	11498	BR_STATUS	CT_REP	0;
	10698	0	CT_TBRCH	11499	BR_STATUS	CT_REP	0;
	10699	0	CT_TBRCH	11500	BR_STATUS	CT_REP	0;
	10700	0	CT_TBRCH	11501	BR_STATUS	CT_REP	0;
	10701	0	CT_TBRCH	11502	BR_STATUS	CT_REP	0;
	10702	0	CT_TBRCH	11503	BR_STATUS	CT_REP	0;
	10703	0	CT_TBRCH	11504	BR_STATUS	CT_REP	0;
	10704	0	CT_TBRCH	11505	BR_STATUS	CT_REP	0;
	10705	0	CT_TBRCH	11506	BR_STATUS	CT_REP	0;
	10706	0	CT_TBRCH	11507	BR_STATUS	CT_REP	0;
	10707	0	CT_TBRCH	11510	BR_STATUS	CT_REP	0;
	10708	0	CT_TBRCH	11511	BR_STATUS	CT_REP	0;
	10709	0	CT_TBRCH	11512	BR_STATUS	CT_REP	0;
	10710	0	CT_TBRCH	11513	BR_STATUS	CT_REP	0;
	10711	0	CT_TBRCH	11514	BR_STATUS	CT_REP	0;
	10712	0	CT_TBRCH	11515	BR_STATUS	CT_REP	0;
	10713	0	CT_TBRCH	11516	BR_STATUS	CT_REP	0;
	10714	0	CT_TBRCH	11517	BR_STATUS	CT_REP	0;
	10715	0	CT_TBRCH	11518	BR_STATUS	CT_REP	0;
	10716	0	CT_TBRCH	11519	BR_STATUS	CT_REP	0;
	10717	0	CT_TBRCH	11520	BR_STATUS	CT_REP	0;
	10718	0	CT_TBRCH	11521	BR_STATUS	CT_REP	0;
	10719	0	CT_TBRCH	11522	BR_STATUS	CT_REP	0;
	10720	0	CT_TBRCH	11523	BR_STATUS	CT_REP	0;
	10721	0	CT_TBRCH	11524	BR_STATUS	CT_REP	0;
	10722	0	CT_TBRCH	11525	BR_STATUS	CT_REP	0;
	10723	0	CT_TBRCH	11527	BR_STATUS	CT_REP	0;
	10724	0	CT_TBRCH	11528	BR_STATUS	CT_REP	0;
	10725	0	CT_TBRCH	11531	BR_STATUS	CT_REP	0;
	10726	0	CT_TBRCH	11532	BR_STATUS	CT_REP	0;
	10727	0	CT_TBRCH	11533	BR_STATUS	CT_REP	0;
	10728	0	CT_TBRCH	11534	BR_STATUS	CT_REP	0;
	10729	0	CT_TBRCH	11535	BR_STATUS	CT_REP	0;
	10730	0	CT_TBRCH	11536	BR_STATUS	CT_REP	0;
	10731	0	CT_TBRCH	11537	BR_STATUS	CT_REP	0;
	10732	0	CT_TBRCH	11538	BR_STATUS	CT_REP	0;
	10733	0	CT_TBRCH	11539	BR_STATUS	CT_REP	0;
	10734	0	CT_TBRCH	11540	BR_STATUS	CT_REP	0;
	10735	0	CT_TBRCH	11541	BR_STATUS	CT_REP	0;
	10736	0	CT_TBRCH	11542	BR_STATUS	CT_REP	0;
	10737	0	CT_TBRCH	11543	BR_STATUS	CT_REP	0;
	10738	0	CT_TBRCH	11544	BR_STATUS	CT_REP	0;
	10739	0	CT_TBRCH	11545	BR_STATUS	CT_REP	0;
	10740	0	CT_TBRCH	11546	BR_STATUS	CT_REP	0;
	10741	0	CT_TBRCH	11547	BR_STATUS	CT_REP	0;
	10742	0	CT_TBRCH	11548	BR_STATUS	CT_REP	0;
	10743	0	CT_TBRCH	11549	BR_STATUS	CT_REP	0;
	10744	0	CT_TBRCH	11550	BR_STATUS	CT_REP	0;
	10745	0	CT_TBRCH	11551	BR_STATUS	CT_REP	0;
	10746	0	CT_TBRCH	11552	BR_STATUS	CT_REP	0;
	10747	0	CT_TBRCH	11553	BR_STATUS	CT_REP	0;
	10748	0	CT_TBRCH	11554	BR_STATUS	CT_REP	0;
	10749	0	CT_TBRCH	11555	BR_STATUS	CT_REP	0;
	10750	0	CT_TBRCH	11556	BR_STATUS	CT_REP	0;
	10751	0	CT_TBRCH	11557	BR_STATUS	CT_REP	0;
	10752	0	CT_TBRCH	11558	BR_STATUS	CT_REP	0;
	10753	0	CT_TBRCH	11559	BR_STATUS	CT_REP	0;
	10754	0	CT_TBRCH	11560	BR_STATUS	CT_REP	0;
	10755	0	CT_TBRCH	11561	BR_STATUS	CT_REP	0;
	10756	0	CT_TBRCH	11562	BR_STATUS	CT_REP	0;
	10757	0	CT_TBRCH	11563	BR_STATUS	CT_REP	0;
	10758	0	CT_TBRCH	11564	BR_STATUS	CT_REP	0;
	10759	0	CT_TBRCH	11565	BR_STATUS	CT_REP	0;
	10760	0	CT_TBRCH	11566	BR_STATUS	CT_REP	0;
	10761	0	CT_TBRCH	11567	BR_STATUS	CT_REP	0;
	10762	0	CT_TBRCH	11568	BR_STATUS	CT_REP	0;
	10763	0	CT_TBRCH	11569	BR_STATUS	CT_REP	0;
	10764	0	CT_TBRCH	11570	BR_STATUS	CT_REP	0;
	10765	0	CT_TBRCH	11571	BR_STATUS	CT_REP	0;
	10766	0	CT_TBRCH	11572	BR_STATUS	CT_REP	0;
	10767	0	CT_TBRCH	11573	BR_STATUS	CT_REP	0;
	10768	0	CT_TBRCH	11574	BR_STATUS	CT_REP	0;
	10769	0	CT_TBRCH	11575	BR_STATUS	CT_REP	0;
	10770	0	CT_TBRCH	11576	BR_STATUS	CT_REP	0;
	10771	0	CT_TBRCH	11577	BR_STATUS	CT_REP	0;
	10772	0	CT_TBRCH	11578	BR_STATUS	CT_REP	0;
	10773	0	CT_TBRCH	11579	BR_STATUS	CT_REP	0;
	10774	0	CT_TBRCH	11580	BR_STATUS	CT_REP	0;
	10775	0	CT_TBRCH	11581	BR_STATUS	CT_REP	0;
	10776	0	CT_TBRCH	11582	BR_STATUS	CT_REP	0;
	10777	0	CT_TBRCH	11583	BR_STATUS	CT_REP	0;
	10778	0	CT_TBRCH	11584	BR_STATUS	CT_REP	0;
	10779	0	CT_TBRCH	11585	BR_STATUS	CT_REP	0;
	10780	0	CT_TBRCH	11586	BR_STATUS	CT_REP	0;
	10781	0	CT_TBRCH	11587	BR_STATUS	CT_REP	0;
	10782	0	CT_TBRCH	11591	BR_STATUS	CT_REP	0;
	10783	0	CT_TBRCH	11592	BR_STATUS	CT_REP	0;
	10784	0	CT_TBRCH	11593	BR_STATUS	CT_REP	0;
	10785	0	CT_TBRCH	11594	BR_STATUS	CT_REP	0;
	10786	0	CT_TBRCH	11599	BR_STATUS	CT_REP	0;
	10787	0	CT_TBRCH	11600	BR_STATUS	CT_REP	0;
	10788	0	CT_TBRCH	11601	BR_STATUS	CT_REP	0;
	10789	0	CT_TBRCH	11602	BR_STATUS	CT_REP	0;
	10790	0	CT_TBRCH	11603	BR_STATUS	CT_REP	0;
	10791	0	CT_TBRCH	11604	BR_STATUS	CT_REP	0;
	10792	0	CT_TBRCH	11605	BR_STATUS	CT_REP	0;
	10793	0	CT_TBRCH	11606	BR_STATUS	CT_REP	0;
	10794	0	CT_TBRCH	11607	BR_STATUS	CT_REP	0;
	10795	0	CT_TBRCH	11609	BR_STATUS	CT_REP	0;
	10796	0	CT_TBRCH	11610	BR_STATUS	CT_REP	0;
	10797	0	CT_TBRCH	11611	BR_STATUS	CT_REP	0;
	10798	0	CT_TBRCH	11612	BR_STATUS	CT_REP	0;
	10799	0	CT_TBRCH	11613	BR_STATUS	CT_REP	0;
	10800	0	CT_TBRCH	11614	BR_STATUS	CT_REP	0;
	10801	0	CT_TBRCH	11615	BR_STATUS	CT_REP	0;
	10802	0	CT_TBRCH	11616	BR_STATUS	CT_REP	0;
	10803	0	CT_TBRCH	11617	BR_STATUS	CT_REP	0;
	10804	0	CT_TBRCH	11618	BR_STATUS	CT_REP	0;
	10805	0	CT_TBRCH	11619	BR_STATUS	CT_REP	0;
	10806	0	CT_TBRCH	11621	BR_STATUS	CT_REP	0;
	10807	0	CT_TBRCH	11622	BR_STATUS	CT_REP	0;
	10808	0	CT_TBRCH	11623	BR_STATUS	CT_REP	0;
	10809	0	CT_TBRCH	11624	BR_STATUS	CT_REP	0;
	10810	0	CT_TBRCH	11625	BR_STATUS	CT_REP	0;
	10811	0	CT_TBRCH	11626	BR_STATUS	CT_REP	0;
	10812	0	CT_TBRCH	11627	BR_STATUS	CT_REP	0;
	10813	0	CT_TBRCH	11628	BR_STATUS	CT_REP	0;
	10814	0	CT_TBRCH	11629	BR_STATUS	CT_REP	0;
	10815	0	CT_TBRCH	11630	BR_STATUS	CT_REP	0;
	10816	0	CT_TBRCH	11631	BR_STATUS	CT_REP	0;
	10817	0	CT_TBRCH	11632	BR_STATUS	CT_REP	0;
	10818	0	CT_TBRCH	11633	BR_STATUS	CT_REP	0;
	10819	0	CT_TBRCH	11634	BR_STATUS	CT_REP	0;
	10820	0	CT_TBRCH	11635	BR_STATUS	CT_REP	0;
	10821	0	CT_TBRCH	11636	BR_STATUS	CT_REP	0;
	10822	0	CT_TBRCH	11637	BR_STATUS	CT_REP	0;
	10823	0	CT_TBRCH	11638	BR_STATUS	CT_REP	0;
	10824	0	CT_TBRCH	11639	BR_STATUS	CT_REP	0;
	10825	0	CT_TBRCH	11640	BR_STATUS	CT_REP	0;
	10826	0	CT_TBRCH	11641	BR_STATUS	CT_REP	0;
	10827	0	CT_TBRCH	11642	BR_STATUS	CT_REP	0;
	10828	0	CT_TBRCH	11643	BR_STATUS	CT_REP	0;
	10829	0	CT_TBRCH	11644	BR_STATUS	CT_REP	0;
	10830	0	CT_TBRCH	11645	BR_STATUS	CT_REP	0;
	10831	0	CT_TBRCH	11646	BR_STATUS	CT_REP	0;
	10832	0	CT_TBRCH	11647	BR_STATUS	CT_REP	0;
	10833	0	CT_TBRCH	11648	BR_STATUS	CT_REP	0;
	10834	0	CT_TBRCH	11649	BR_STATUS	CT_REP	0;
	10835	0	CT_TBRCH	11650	BR_STATUS	CT_REP	0;
	10836	0	CT_TBRCH	11651	BR_STATUS	CT_REP	0;
	10837	0	CT_TBRCH	11652	BR_STATUS	CT_REP	0;
	10838	0	CT_TBRCH	11653	BR_STATUS	CT_REP	0;
	10839	0	CT_TBRCH	11654	BR_STATUS	CT_REP	0;
	10840	0	CT_TBRCH	11655	BR_STATUS	CT_REP	0;
	10841	0	CT_TBRCH	11656	BR_STATUS	CT_REP	0;
	10842	0	CT_TBRCH	11657	BR_STATUS	CT_REP	0;
	10843	0	CT_TBRCH	11658	BR_STATUS	CT_REP	0;
	10844	0	CT_TBRCH	11659	BR_STATUS	CT_REP	0;
	10845	0	CT_TBRCH	11660	BR_STATUS	CT_REP	0;
	10846	0	CT_TBRCH	11661	BR_STATUS	CT_REP	0;
	10847	0	CT_TBRCH	11662	BR_STATUS	CT_REP	0;
	10848	0	CT_TBRCH	11663	BR_STATUS	CT_REP	0;
	10849	0	CT_TBRCH	11664	BR_STATUS	CT_REP	0;
	10850	0	CT_TBRCH	11665	BR_STATUS	CT_REP	0;
	10851	0	CT_TBRCH	11666	BR_STATUS	CT_REP	0;
	10852	0	CT_TBRCH	11667	BR_STATUS	CT_REP	0;
	10853	0	CT_TBRCH	11668	BR_STATUS	CT_REP	0;
	10854	0	CT_TBRCH	11669	BR_STATUS	CT_REP	0;
	10855	0	CT_TBRCH	11670	BR_STATUS	CT_REP	0;
	10856	0	CT_TBRCH	11671	BR_STATUS	CT_REP	0;
	10857	0	CT_TBRCH	11672	BR_STATUS	CT_REP	0;
	10858	0	CT_TBRCH	11673	BR_STATUS	CT_REP	0;
	10859	0	CT_TBRCH	11674	BR_STATUS	CT_REP	0;
	10860	0	CT_TBRCH	11675	BR_STATUS	CT_REP	0;
	10861	0	CT_TBRCH	11676	BR_STATUS	CT_REP	0;
	10862	0	CT_TBRCH	11677	BR_STATUS	CT_REP	0;
	10863	0	CT_TBRCH	11678	BR_STATUS	CT_REP	0;
	10864	0	CT_TBRCH	11679	BR_STATUS	CT_REP	0;
	10865	0	CT_TBRCH	11680	BR_STATUS	CT_REP	0;
	10866	0	CT_TBRCH	11681	BR_STATUS	CT_REP	0;
	10867	0	CT_TBRCH	11682	BR_STATUS	CT_REP	0;
	10868	0	CT_TBRCH	11683	BR_STATUS	CT_REP	0;
	10869	0	CT_TBRCH	11684	BR_STATUS	CT_REP	0;
	10870	0	CT_TBRCH	11685	BR_STATUS	CT_REP	0;
	10871	0	CT_TBRCH	11686	BR_STATUS	CT_REP	0;
	10872	0	CT_TBRCH	11687	BR_STATUS	CT_REP	0;
	10873	0	CT_TBRCH	11688	BR_STATUS	CT_REP	0;
	10874	0	CT_TBRCH	11689	BR_STATUS	CT_REP	0;
	10875	0	CT_TBRCH	11690	BR_STATUS	CT_REP	0;
	10876	0	CT_TBRCH	11691	BR_STATUS	CT_REP	0;
	10877	0	CT_TBRCH	11692	BR_STATUS	CT_REP	0;
	10878	0	CT_TBRCH	11693	BR_STATUS	CT_REP	0;
	10879	0	CT_TBRCH	11694	BR_STATUS	CT_REP	0;
	10880	0	CT_TBRCH	11695	BR_STATUS	CT_REP	0;
	10881	0	CT_TBRCH	11697	BR_STATUS	CT_REP	0;
	10882	0	CT_TBRCH	11700	BR_STATUS	CT_REP	0;
	10883	0	CT_TBRCH	11701	BR_STATUS	CT_REP	0;
	10884	0	CT_TBRCH	11702	BR_STATUS	CT_REP	0;
	10885	0	CT_TBRCH	11703	BR_STATUS	CT_REP	0;
	10886	0	CT_TBRCH	11704	BR_STATUS	CT_REP	0;
	10887	0	CT_TBRCH	11705	BR_STATUS	CT_REP	0;
	10888	0	CT_TBRCH	11706	BR_STATUS	CT_REP	0;
	10889	0	CT_TBRCH	11707	BR_STATUS	CT_REP	0;
	10890	0	CT_TBRCH	11708	BR_STATUS	CT_REP	0;
	10891	0	CT_TBRCH	11709	BR_STATUS	CT_REP	0;
	10892	0	CT_TBRCH	11710	BR_STATUS	CT_REP	0;
	10893	0	CT_TBRCH	11711	BR_STATUS	CT_REP	0;
	10894	0	CT_TBRCH	11712	BR_STATUS	CT_REP	0;
	10895	0	CT_TBRCH	11713	BR_STATUS	CT_REP	0;
	10896	0	CT_TBRCH	11714	BR_STATUS	CT_REP	0;
	10897	0	CT_TBRCH	11715	BR_STATUS	CT_REP	0;
	10898	0	CT_TBRCH	11716	BR_STATUS	CT_REP	0;
	10899	0	CT_TBRCH	11717	BR_STATUS	CT_REP	0;
	10900	0	CT_TBRCH	11718	BR_STATUS	CT_REP	0;
	10901	0	CT_TBRCH	11719	BR_STATUS	CT_REP	0;
	10902	0	CT_TBRCH	11720	BR_STATUS	CT_REP	0;
	10903	0	CT_TBRCH	11721	BR_STATUS	CT_REP	0;
	10904	0	CT_TBRCH	11723	BR_STATUS	CT_REP	0;
	10905	0	CT_TBRCH	11724	BR_STATUS	CT_REP	0;
	10906	0	CT_TBRCH	11726	BR_STATUS	CT_REP	0;
	10907	0	CT_TBRCH	11728	BR_STATUS	CT_REP	0;
	10908	0	CT_TBRCH	11729	BR_STATUS	CT_REP	0;
	10909	0	CT_TBRCH	11730	BR_STATUS	CT_REP	0;
	10910	0	CT_TBRCH	11731	BR_STATUS	CT_REP	0;
	10911	0	CT_TBRCH	11732	BR_STATUS	CT_REP	0;
	10912	0	CT_TBRCH	11733	BR_STATUS	CT_REP	0;
	10913	0	CT_TBRCH	11734	BR_STATUS	CT_REP	0;
	10914	0	CT_TBRCH	11735	BR_STATUS	CT_REP	0;
	10915	0	CT_TBRCH	11736	BR_STATUS	CT_REP	0;
	10916	0	CT_TBRCH	11737	BR_STATUS	CT_REP	0;
	10917	0	CT_TBRCH	11738	BR_STATUS	CT_REP	0;
	10918	0	CT_TBRCH	11739	BR_STATUS	CT_REP	0;
	10919	0	CT_TBRCH	11740	BR_STATUS	CT_REP	0;
	10920	0	CT_TBRCH	11741	BR_STATUS	CT_REP	0;
	10921	0	CT_TBRCH	11742	BR_STATUS	CT_REP	0;
	10922	0	CT_TBRCH	11743	BR_STATUS	CT_REP	0;
	10923	0	CT_TBRCH	11744	BR_STATUS	CT_REP	0;
	10924	0	CT_TBRCH	11745	BR_STATUS	CT_REP	0;
	10925	0	CT_TBRCH	11746	BR_STATUS	CT_REP	0;
	10926	0	CT_TBRCH	11747	BR_STATUS	CT_REP	0;
	10927	0	CT_TBRCH	11748	BR_STATUS	CT_REP	0;
	10928	0	CT_TBRCH	11749	BR_STATUS	CT_REP	0;
	10929	0	CT_TBRCH	11750	BR_STATUS	CT_REP	0;
	10930	0	CT_TBRCH	11751	BR_STATUS	CT_REP	0;
	10931	0	CT_TBRCH	11752	BR_STATUS	CT_REP	0;
	10932	0	CT_TBRCH	11753	BR_STATUS	CT_REP	0;
	10933	0	CT_TBRCH	11754	BR_STATUS	CT_REP	0;
	10934	0	CT_TBRCH	11755	BR_STATUS	CT_REP	0;
	10935	0	CT_TBRCH	11756	BR_STATUS	CT_REP	0;
	10936	0	CT_TBRCH	11757	BR_STATUS	CT_REP	0;
	10937	0	CT_TBRCH	11758	BR_STATUS	CT_REP	0;
	10938	0	CT_TBRCH	11759	BR_STATUS	CT_REP	0;
	10939	0	CT_TBRCH	11760	BR_STATUS	CT_REP	0;
	10940	0	CT_TBRCH	11761	BR_STATUS	CT_REP	0;
	10941	0	CT_TBRCH	11762	BR_STATUS	CT_REP	0;
	10942	0	CT_TBRCH	11763	BR_STATUS	CT_REP	0;
	10943	0	CT_TBRCH	11764	BR_STATUS	CT_REP	0;
	10944	0	CT_TBRCH	11765	BR_STATUS	CT_REP	0;
	10945	0	CT_TBRCH	11766	BR_STATUS	CT_REP	0;
	10946	0	CT_TBRCH	11767	BR_STATUS	CT_REP	0;
	10947	0	CT_TBRCH	11768	BR_STATUS	CT_REP	0;
	10948	0	CT_TBRCH	11769	BR_STATUS	CT_REP	0;
	10949	0	CT_TBRCH	11770	BR_STATUS	CT_REP	0;
	10950	0	CT_TBRCH	11771	BR_STATUS	CT_REP	0;
	10951	0	CT_TBRCH	11772	BR_STATUS	CT_REP	0;
	10952	0	CT_TBRCH	11773	BR_STATUS	CT_REP	0;
	10953	0	CT_TBRCH	11774	BR_STATUS	CT_REP	0;
	10954	0	CT_TBRCH	11775	BR_STATUS	CT_REP	0;
	10955	0	CT_TBRCH	11776	BR_STATUS	CT_REP	0;
	10956	0	CT_TBRCH	11777	BR_STATUS	CT_REP	0;
	10957	0	CT_TBRCH	11778	BR_STATUS	CT_REP	0;
	10958	0	CT_TBRCH	11779	BR_STATUS	CT_REP	0;
	10959	0	CT_TBRCH	11780	BR_STATUS	CT_REP	0;
	10960	0	CT_TBRCH	11781	BR_STATUS	CT_REP	0;
	10961	0	CT_TBRCH	11782	BR_STATUS	CT_REP	0;
	10962	0	CT_TBRCH	11783	BR_STATUS	CT_REP	0;
	10963	0	CT_TBRCH	11784	BR_STATUS	CT_REP	0;
	10964	0	CT_TBRCH	11785	BR_STATUS	CT_REP	0;
	10965	0	CT_TBRCH	11786	BR_STATUS	CT_REP	0;
	10966	0	CT_TBRCH	11787	BR_STATUS	CT_REP	0;
	10967	0	CT_TBRCH	11788	BR_STATUS	CT_REP	0;
	10968	0	CT_TBRCH	11789	BR_STATUS	CT_REP	0;
	10969	0	CT_TBRCH	11790	BR_STATUS	CT_REP	0;
	10970	0	CT_TBRCH	11792	BR_STATUS	CT_REP	0;
	10971	0	CT_TBRCH	11793	BR_STATUS	CT_REP	0;
	10972	0	CT_TBRCH	11794	BR_STATUS	CT_REP	0;
	10973	0	CT_TBRCH	11797	BR_STATUS	CT_REP	0;
	10974	0	CT_TBRCH	11798	BR_STATUS	CT_REP	0;
	10975	0	CT_TBRCH	11799	BR_STATUS	CT_REP	0;
	10976	0	CT_TBRCH	11800	BR_STATUS	CT_REP	0;
	10977	0	CT_TBRCH	11801	BR_STATUS	CT_REP	0;
	10978	0	CT_TBRCH	11802	BR_STATUS	CT_REP	0;
	10979	0	CT_TBRCH	11803	BR_STATUS	CT_REP	0;
	10980	0	CT_TBRCH	11804	BR_STATUS	CT_REP	0;
	10981	0	CT_TBRCH	11805	BR_STATUS	CT_REP	0;
	10982	0	CT_TBRCH	11806	BR_STATUS	CT_REP	0;
	10983	0	CT_TBRCH	11807	BR_STATUS	CT_REP	0;
	10984	0	CT_TBRCH	11808	BR_STATUS	CT_REP	0;
	10985	0	CT_TBRCH	11809	BR_STATUS	CT_REP	0;
	10986	0	CT_TBRCH	11810	BR_STATUS	CT_REP	0;
	10987	0	CT_TBRCH	11811	BR_STATUS	CT_REP	0;
	10988	0	CT_TBRCH	11812	BR_STATUS	CT_REP	0;
	10989	0	CT_TBRCH	11815	BR_STATUS	CT_REP	0;
	10990	0	CT_TBRCH	11816	BR_STATUS	CT_REP	0;
	10991	0	CT_TBRCH	11818	BR_STATUS	CT_REP	0;
	10992	0	CT_TBRCH	11819	BR_STATUS	CT_REP	0;
	10993	0	CT_TBRCH	11820	BR_STATUS	CT_REP	0;
	10994	0	CT_TBRCH	11824	BR_STATUS	CT_REP	0;
	10995	0	CT_TBRCH	11825	BR_STATUS	CT_REP	0;
	10996	0	CT_TBRCH	11826	BR_STATUS	CT_REP	0;
	10997	0	CT_TBRCH	11827	BR_STATUS	CT_REP	0;
	10998	0	CT_TBRCH	11828	BR_STATUS	CT_REP	0;
	10999	0	CT_TBRCH	11829	BR_STATUS	CT_REP	0;
	11000	0	CT_TBRCH	11830	BR_STATUS	CT_REP	0;
	11001	0	CT_TBRCH	11831	BR_STATUS	CT_REP	0;
	11002	0	CT_TBRCH	11832	BR_STATUS	CT_REP	0;
	11003	0	CT_TBRCH	11833	BR_STATUS	CT_REP	0;
	11004	0	CT_TBRCH	11834	BR_STATUS	CT_REP	0;
	11005	0	CT_TBRCH	11835	BR_STATUS	CT_REP	0;
	11006	0	CT_TBRCH	11836	BR_STATUS	CT_REP	0;
	11007	0	CT_TBRCH	11837	BR_STATUS	CT_REP	0;
	11008	0	CT_TBRCH	11838	BR_STATUS	CT_REP	0;
	11009	0	CT_TBRCH	11839	BR_STATUS	CT_REP	0;
	11010	0	CT_TBRCH	11840	BR_STATUS	CT_REP	0;
	11011	0	CT_TBRCH	11841	BR_STATUS	CT_REP	0;
	11012	0	CT_TBRCH	11842	BR_STATUS	CT_REP	0;
	11013	0	CT_TBRCH	11843	BR_STATUS	CT_REP	0;
	11014	0	CT_TBRCH	11844	BR_STATUS	CT_REP	0;
	11015	0	CT_TBRCH	11845	BR_STATUS	CT_REP	0;
	11016	0	CT_TBRCH	11846	BR_STATUS	CT_REP	0;
	11017	0	CT_TBRCH	11847	BR_STATUS	CT_REP	0;
	11018	0	CT_TBRCH	11848	BR_STATUS	CT_REP	0;
	11019	0	CT_TBRCH	11849	BR_STATUS	CT_REP	0;
	11020	0	CT_TBRCH	11850	BR_STATUS	CT_REP	0;
	11021	0	CT_TBRCH	11851	BR_STATUS	CT_REP	0;
	11022	0	CT_TBRCH	11852	BR_STATUS	CT_REP	0;
	11023	0	CT_TBRCH	11853	BR_STATUS	CT_REP	0;
	11024	0	CT_TBRCH	11854	BR_STATUS	CT_REP	0;
	11025	0	CT_TBRCH	11855	BR_STATUS	CT_REP	0;
	11026	0	CT_TBRCH	11856	BR_STATUS	CT_REP	0;
	11027	0	CT_TBRCH	11857	BR_STATUS	CT_REP	0;
	11028	0	CT_TBRCH	11858	BR_STATUS	CT_REP	0;
	11029	0	CT_TBRCH	11859	BR_STATUS	CT_REP	0;
	11030	0	CT_TBRCH	11860	BR_STATUS	CT_REP	0;
	11031	0	CT_TBRCH	11861	BR_STATUS	CT_REP	0;
	11032	0	CT_TBRCH	11862	BR_STATUS	CT_REP	0;
	11033	0	CT_TBRCH	11863	BR_STATUS	CT_REP	0;
	11034	0	CT_TBRCH	11864	BR_STATUS	CT_REP	0;
	11035	0	CT_TBRCH	11865	BR_STATUS	CT_REP	0;
	11036	0	CT_TBRCH	11866	BR_STATUS	CT_REP	0;
	11037	0	CT_TBRCH	11867	BR_STATUS	CT_REP	0;
	11038	0	CT_TBRCH	11868	BR_STATUS	CT_REP	0;
	11039	0	CT_TBRCH	11869	BR_STATUS	CT_REP	0;
	11040	0	CT_TBRCH	11870	BR_STATUS	CT_REP	0;
	11041	0	CT_TBRCH	11871	BR_STATUS	CT_REP	0;
	11042	0	CT_TBRCH	11872	BR_STATUS	CT_REP	0;
	11043	0	CT_TBRCH	11873	BR_STATUS	CT_REP	0;
	11044	0	CT_TBRCH	11874	BR_STATUS	CT_REP	0;
	11045	0	CT_TBRCH	11875	BR_STATUS	CT_REP	0;
	11046	0	CT_TBRCH	11876	BR_STATUS	CT_REP	0;
	11047	0	CT_TBRCH	11877	BR_STATUS	CT_REP	0;
	11048	0	CT_TBRCH	11878	BR_STATUS	CT_REP	0;
	11049	0	CT_TBRCH	11879	BR_STATUS	CT_REP	0;
	11050	0	CT_TBRCH	11880	BR_STATUS	CT_REP	0;
	11051	0	CT_TBRCH	11881	BR_STATUS	CT_REP	0;
	11052	0	CT_TBRCH	11882	BR_STATUS	CT_REP	0;
	11053	0	CT_TBRCH	11883	BR_STATUS	CT_REP	0;
	11054	0	CT_TBRCH	11884	BR_STATUS	CT_REP	0;
	11055	0	CT_TBRCH	11885	BR_STATUS	CT_REP	0;
	11056	0	CT_TBRCH	11886	BR_STATUS	CT_REP	0;
	11057	0	CT_TBRCH	11887	BR_STATUS	CT_REP	0;
	11058	0	CT_TBRCH	11888	BR_STATUS	CT_REP	0;
	11059	0	CT_TBRCH	11889	BR_STATUS	CT_REP	0;
	11060	0	CT_TBRCH	11890	BR_STATUS	CT_REP	0;
	11061	0	CT_TBRCH	11891	BR_STATUS	CT_REP	0;
	11062	0	CT_TBRCH	11892	BR_STATUS	CT_REP	0;
	11063	0	CT_TBRCH	11893	BR_STATUS	CT_REP	0;
	11064	0	CT_TBRCH	11894	BR_STATUS	CT_REP	0;
	11065	0	CT_TBRCH	11895	BR_STATUS	CT_REP	0;
	11066	0	CT_TBRCH	11896	BR_STATUS	CT_REP	0;
	11067	0	CT_TBRCH	11897	BR_STATUS	CT_REP	0;
	11068	0	CT_TBRCH	11898	BR_STATUS	CT_REP	0;
	11069	0	CT_TBRCH	11899	BR_STATUS	CT_REP	0;
	11070	0	CT_TBRCH	11900	BR_STATUS	CT_REP	0;
	11071	0	CT_TBRCH	11901	BR_STATUS	CT_REP	0;
	11072	0	CT_TBRCH	11902	BR_STATUS	CT_REP	0;
	11073	0	CT_TBRCH	11903	BR_STATUS	CT_REP	0;
	11074	0	CT_TBRCH	11904	BR_STATUS	CT_REP	0;
	11075	0	CT_TBRCH	11905	BR_STATUS	CT_REP	0;
	11076	0	CT_TBRCH	11907	BR_STATUS	CT_REP	0;
	11077	0	CT_TBRCH	11908	BR_STATUS	CT_REP	0;
	11078	0	CT_TBRCH	11911	BR_STATUS	CT_REP	0;
	11079	0	CT_TBRCH	11912	BR_STATUS	CT_REP	0;
	11080	0	CT_TBRCH	11913	BR_STATUS	CT_REP	0;
	11081	0	CT_TBRCH	11914	BR_STATUS	CT_REP	0;
	11082	0	CT_TBRCH	11915	BR_STATUS	CT_REP	0;
	11083	0	CT_TBRCH	11916	BR_STATUS	CT_REP	0;
	11084	0	CT_TBRCH	11917	BR_STATUS	CT_REP	0;
	11085	0	CT_TBRCH	11918	BR_STATUS	CT_REP	0;
	11086	0	CT_TBRCH	11919	BR_STATUS	CT_REP	0;
	11087	0	CT_TBRCH	11920	BR_STATUS	CT_REP	0;
	11088	0	CT_TBRCH	11921	BR_STATUS	CT_REP	0;
	11089	0	CT_TBRCH	11922	BR_STATUS	CT_REP	0;
	11090	0	CT_TBRCH	11923	BR_STATUS	CT_REP	0;
	11091	0	CT_TBRCH	11924	BR_STATUS	CT_REP	0;
	11092	0	CT_TBRCH	11925	BR_STATUS	CT_REP	0;
	11093	0	CT_TBRCH	11926	BR_STATUS	CT_REP	0;
	11094	0	CT_TBRCH	11927	BR_STATUS	CT_REP	0;
	11095	0	CT_TBRCH	11928	BR_STATUS	CT_REP	0;
	11096	0	CT_TBRCH	11929	BR_STATUS	CT_REP	0;
	11097	0	CT_TBRCH	11930	BR_STATUS	CT_REP	0;
	11098	0	CT_TBRCH	11931	BR_STATUS	CT_REP	0;
	11099	0	CT_TBRCH	11932	BR_STATUS	CT_REP	0;
	11100	0	CT_TBRCH	11933	BR_STATUS	CT_REP	0;
	11101	0	CT_TBRCH	11934	BR_STATUS	CT_REP	0;
	11102	0	CT_TBRCH	11935	BR_STATUS	CT_REP	0;
	11103	0	CT_TBRCH	11936	BR_STATUS	CT_REP	0;
	11104	0	CT_TBRCH	11937	BR_STATUS	CT_REP	0;
	11105	0	CT_TBRCH	11938	BR_STATUS	CT_REP	0;
	11106	0	CT_TBRCH	11939	BR_STATUS	CT_REP	0;
	11107	0	CT_TBRCH	11940	BR_STATUS	CT_REP	0;
	11108	0	CT_TBRCH	11941	BR_STATUS	CT_REP	0;
	11109	0	CT_TBRCH	11942	BR_STATUS	CT_REP	0;
	11110	0	CT_TBRCH	11943	BR_STATUS	CT_REP	0;
	11111	0	CT_TBRCH	11944	BR_STATUS	CT_REP	0;
	11112	0	CT_TBRCH	11945	BR_STATUS	CT_REP	0;
	11113	0	CT_TBRCH	11946	BR_STATUS	CT_REP	0;
	11114	0	CT_TBRCH	11947	BR_STATUS	CT_REP	0;
	11115	0	CT_TBRCH	11948	BR_STATUS	CT_REP	0;
	11116	0	CT_TBRCH	11949	BR_STATUS	CT_REP	0;
	11117	0	CT_TBRCH	11950	BR_STATUS	CT_REP	0;
	11118	0	CT_TBRCH	11951	BR_STATUS	CT_REP	0;
	11119	0	CT_TBRCH	11952	BR_STATUS	CT_REP	0;
	11120	0	CT_TBRCH	11953	BR_STATUS	CT_REP	0;
	11121	0	CT_TBRCH	11954	BR_STATUS	CT_REP	0;
	11122	0	CT_TBRCH	11955	BR_STATUS	CT_REP	0;
	11123	0	CT_TBRCH	11956	BR_STATUS	CT_REP	0;
	11124	0	CT_TBRCH	11957	BR_STATUS	CT_REP	0;
	11125	0	CT_TBRCH	11958	BR_STATUS	CT_REP	0;
	11126	0	CT_TBRCH	11959	BR_STATUS	CT_REP	0;
	11127	0	CT_TBRCH	11960	BR_STATUS	CT_REP	0;
	11128	0	CT_TBRCH	11961	BR_STATUS	CT_REP	0;
	11129	0	CT_TBRCH	11962	BR_STATUS	CT_REP	0;
	11130	0	CT_TBRCH	11963	BR_STATUS	CT_REP	0;
	11131	0	CT_TBRCH	11964	BR_STATUS	CT_REP	0;
	11132	0	CT_TBRCH	11965	BR_STATUS	CT_REP	0;
	11133	0	CT_TBRCH	11966	BR_STATUS	CT_REP	0;
	11134	0	CT_TBRCH	11967	BR_STATUS	CT_REP	0;
	11135	0	CT_TBRCH	11968	BR_STATUS	CT_REP	0;
	11136	0	CT_TBRCH	11969	BR_STATUS	CT_REP	0;
	11137	0	CT_TBRCH	11970	BR_STATUS	CT_REP	0;
	11138	0	CT_TBRCH	11971	BR_STATUS	CT_REP	0;
	11139	0	CT_TBRCH	11972	BR_STATUS	CT_REP	0;
	11140	0	CT_TBRCH	11973	BR_STATUS	CT_REP	0;
	11141	0	CT_TBRCH	11974	BR_STATUS	CT_REP	0;
	11142	0	CT_TBRCH	11975	BR_STATUS	CT_REP	0;
	11143	0	CT_TBRCH	11976	BR_STATUS	CT_REP	0;
	11144	0	CT_TBRCH	11977	BR_STATUS	CT_REP	0;
	11145	0	CT_TBRCH	11978	BR_STATUS	CT_REP	0;
	11146	0	CT_TBRCH	11979	BR_STATUS	CT_REP	0;
	11147	0	CT_TBRCH	11980	BR_STATUS	CT_REP	0;
	11148	0	CT_TBRCH	11981	BR_STATUS	CT_REP	0;
	11149	0	CT_TBRCH	11982	BR_STATUS	CT_REP	0;
	11150	0	CT_TBRCH	11984	BR_STATUS	CT_REP	0;
	11151	0	CT_TBRCH	11985	BR_STATUS	CT_REP	0;
	11152	0	CT_TBRCH	11986	BR_STATUS	CT_REP	0;
	11153	0	CT_TBRCH	11987	BR_STATUS	CT_REP	0;
	11154	0	CT_TBRCH	11990	BR_STATUS	CT_REP	0;
	11155	0	CT_TBRCH	11991	BR_STATUS	CT_REP	0;
	11156	0	CT_TBRCH	11992	BR_STATUS	CT_REP	0;
	11157	0	CT_TBRCH	11993	BR_STATUS	CT_REP	0;
	11158	0	CT_TBRCH	11994	BR_STATUS	CT_REP	0;
	11159	0	CT_TBRCH	11995	BR_STATUS	CT_REP	0;
	11160	0	CT_TBRCH	11996	BR_STATUS	CT_REP	0;
	11161	0	CT_TBRCH	11997	BR_STATUS	CT_REP	0;
	11162	0	CT_TBRCH	11998	BR_STATUS	CT_REP	0;
	11163	0	CT_TBRCH	11999	BR_STATUS	CT_REP	0;
	11164	0	CT_TBRCH	12000	BR_STATUS	CT_REP	0;
	11165	0	CT_TBRCH	12001	BR_STATUS	CT_REP	0;
	11166	0	CT_TBRCH	12002	BR_STATUS	CT_REP	0;
	11167	0	CT_TBRCH	12003	BR_STATUS	CT_REP	0;
	11168	0	CT_TBRCH	12004	BR_STATUS	CT_REP	0;
	11169	0	CT_TBRCH	12005	BR_STATUS	CT_REP	0;
	11170	0	CT_TBRCH	12006	BR_STATUS	CT_REP	0;
	11171	0	CT_TBRCH	12007	BR_STATUS	CT_REP	0;
	11172	0	CT_TBRCH	12008	BR_STATUS	CT_REP	0;
	11173	0	CT_TBRCH	12009	BR_STATUS	CT_REP	0;
	11174	0	CT_TBRCH	12010	BR_STATUS	CT_REP	0;
	11175	0	CT_TBRCH	12011	BR_STATUS	CT_REP	0;
	11176	0	CT_TBRCH	12012	BR_STATUS	CT_REP	0;
	11177	0	CT_TBRCH	12013	BR_STATUS	CT_REP	0;
	11178	0	CT_TBRCH	12014	BR_STATUS	CT_REP	0;
	11179	0	CT_TBRCH	12015	BR_STATUS	CT_REP	0;
	11180	0	CT_TBRCH	12016	BR_STATUS	CT_REP	0;
	11181	0	CT_TBRCH	12017	BR_STATUS	CT_REP	0;
	11182	0	CT_TBRCH	12018	BR_STATUS	CT_REP	0;
	11183	0	CT_TBRCH	12019	BR_STATUS	CT_REP	0;
	11184	0	CT_TBRCH	12020	BR_STATUS	CT_REP	0;
	11185	0	CT_TBRCH	12021	BR_STATUS	CT_REP	0;
	11186	0	CT_TBRCH	12022	BR_STATUS	CT_REP	0;
	11187	0	CT_TBRCH	12023	BR_STATUS	CT_REP	0;
	11188	0	CT_TBRCH	12024	BR_STATUS	CT_REP	0;
	11189	0	CT_TBRCH	12025	BR_STATUS	CT_REP	0;
	11190	0	CT_TBRCH	12026	BR_STATUS	CT_REP	0;
	11191	0	CT_TBRCH	12027	BR_STATUS	CT_REP	0;
	11192	0	CT_TBRCH	12028	BR_STATUS	CT_REP	0;
	11193	0	CT_TBRCH	12029	BR_STATUS	CT_REP	0;
	11194	0	CT_TBRCH	12030	BR_STATUS	CT_REP	0;
	11195	0	CT_TBRCH	12031	BR_STATUS	CT_REP	0;
	11196	0	CT_TBRCH	12032	BR_STATUS	CT_REP	0;
	11197	0	CT_TBRCH	12033	BR_STATUS	CT_REP	0;
	11198	0	CT_TBRCH	12034	BR_STATUS	CT_REP	0;
	11199	0	CT_TBRCH	12035	BR_STATUS	CT_REP	0;
	11200	0	CT_TBRCH	12036	BR_STATUS	CT_REP	0;
	11201	0	CT_TBRCH	12037	BR_STATUS	CT_REP	0;
	11202	0	CT_TBRCH	12038	BR_STATUS	CT_REP	0;
	11203	0	CT_TBRCH	12039	BR_STATUS	CT_REP	0;
	11204	0	CT_TBRCH	12040	BR_STATUS	CT_REP	0;
	11205	0	CT_TBRCH	12041	BR_STATUS	CT_REP	0;
	11206	0	CT_TBRCH	12042	BR_STATUS	CT_REP	0;
	11207	0	CT_TBRCH	12043	BR_STATUS	CT_REP	0;
	11208	0	CT_TBRCH	12044	BR_STATUS	CT_REP	0;
	11209	0	CT_TBRCH	12045	BR_STATUS	CT_REP	0;
	11210	0	CT_TBRCH	12046	BR_STATUS	CT_REP	0;
	11211	0	CT_TBRCH	12047	BR_STATUS	CT_REP	0;
	11212	0	CT_TBRCH	12048	BR_STATUS	CT_REP	0;
	11213	0	CT_TBRCH	12049	BR_STATUS	CT_REP	0;
	11214	0	CT_TBRCH	12050	BR_STATUS	CT_REP	0;
	11215	0	CT_TBRCH	12051	BR_STATUS	CT_REP	0;
	11216	0	CT_TBRCH	12052	BR_STATUS	CT_REP	0;
	11217	0	CT_TBRCH	12053	BR_STATUS	CT_REP	0;
	11218	0	CT_TBRCH	12054	BR_STATUS	CT_REP	0;
	11219	0	CT_TBRCH	12055	BR_STATUS	CT_REP	0;
	11220	0	CT_TBRCH	12056	BR_STATUS	CT_REP	0;
	11221	0	CT_TBRCH	12057	BR_STATUS	CT_REP	0;
	11222	0	CT_TBRCH	12058	BR_STATUS	CT_REP	0;
	11223	0	CT_TBRCH	12059	BR_STATUS	CT_REP	0;
	11224	0	CT_TBRCH	12060	BR_STATUS	CT_REP	0;
	11225	0	CT_TBRCH	12061	BR_STATUS	CT_REP	0;
	11226	0	CT_TBRCH	12062	BR_STATUS	CT_REP	0;
	11227	0	CT_TBRCH	12063	BR_STATUS	CT_REP	0;
	11228	0	CT_TBRCH	12064	BR_STATUS	CT_REP	0;
	11229	0	CT_TBRCH	12065	BR_STATUS	CT_REP	0;
	11230	0	CT_TBRCH	12066	BR_STATUS	CT_REP	0;
	11231	0	CT_TBRCH	12067	BR_STATUS	CT_REP	0;
	11232	0	CT_TBRCH	12068	BR_STATUS	CT_REP	0;
	11233	0	CT_TBRCH	12069	BR_STATUS	CT_REP	0;
	11234	0	CT_TBRCH	12070	BR_STATUS	CT_REP	0;
	11235	0	CT_TBRCH	12071	BR_STATUS	CT_REP	0;
	11236	0	CT_TBRCH	12072	BR_STATUS	CT_REP	0;
	11237	0	CT_TBRCH	12073	BR_STATUS	CT_REP	0;
	11238	0	CT_TBRCH	12074	BR_STATUS	CT_REP	0;
	11239	0	CT_TBRCH	12075	BR_STATUS	CT_REP	0;
	11240	0	CT_TBRCH	12076	BR_STATUS	CT_REP	0;
	11241	0	CT_TBRCH	12077	BR_STATUS	CT_REP	0;
	11242	0	CT_TBRCH	12078	BR_STATUS	CT_REP	0;
	11243	0	CT_TBRCH	12079	BR_STATUS	CT_REP	0;
	11244	0	CT_TBRCH	12080	BR_STATUS	CT_REP	0;
	11245	0	CT_TBRCH	12081	BR_STATUS	CT_REP	0;
	11246	0	CT_TBRCH	12082	BR_STATUS	CT_REP	0;
	11247	0	CT_TBRCH	12083	BR_STATUS	CT_REP	0;
	11248	0	CT_TBRCH	12084	BR_STATUS	CT_REP	0;
	11249	0	CT_TBRCH	12085	BR_STATUS	CT_REP	0;
	11250	0	CT_TBRCH	12086	BR_STATUS	CT_REP	0;
	11251	0	CT_TBRCH	12087	BR_STATUS	CT_REP	0;
	11252	0	CT_TBRCH	12088	BR_STATUS	CT_REP	0;
	11253	0	CT_TBRCH	12089	BR_STATUS	CT_REP	0;
	11254	0	CT_TBRCH	12090	BR_STATUS	CT_REP	0;
	11255	0	CT_TBRCH	12091	BR_STATUS	CT_REP	0;
	11256	0	CT_TBRCH	12092	BR_STATUS	CT_REP	0;
	11257	0	CT_TBRCH	12093	BR_STATUS	CT_REP	0;
	11258	0	CT_TBRCH	12094	BR_STATUS	CT_REP	0;
	11259	0	CT_TBRCH	12095	BR_STATUS	CT_REP	0;
	11260	0	CT_TBRCH	12096	BR_STATUS	CT_REP	0;
	11261	0	CT_TBRCH	12097	BR_STATUS	CT_REP	0;
	11262	0	CT_TBRCH	12098	BR_STATUS	CT_REP	0;
	11263	0	CT_TBRCH	12099	BR_STATUS	CT_REP	0;
	11264	0	CT_TBRCH	12100	BR_STATUS	CT_REP	0;
	11265	0	CT_TBRCH	12101	BR_STATUS	CT_REP	0;
	11266	0	CT_TBRCH	12102	BR_STATUS	CT_REP	0;
	11267	0	CT_TBRCH	12103	BR_STATUS	CT_REP	0;
	11268	0	CT_TBRCH	12104	BR_STATUS	CT_REP	0;
	11269	0	CT_TBRCH	12105	BR_STATUS	CT_REP	0;
	11270	0	CT_TBRCH	12106	BR_STATUS	CT_REP	0;
	11271	0	CT_TBRCH	12107	BR_STATUS	CT_REP	0;
	11272	0	CT_TBRCH	12108	BR_STATUS	CT_REP	0;
	11273	0	CT_TBRCH	12109	BR_STATUS	CT_REP	0;
	11274	0	CT_TBRCH	12110	BR_STATUS	CT_REP	0;
	11275	0	CT_TBRCH	12111	BR_STATUS	CT_REP	0;
	11276	0	CT_TBRCH	12112	BR_STATUS	CT_REP	0;
	11277	0	CT_TBRCH	12113	BR_STATUS	CT_REP	0;
	11278	0	CT_TBRCH	12114	BR_STATUS	CT_REP	0;
	11279	0	CT_TBRCH	12115	BR_STATUS	CT_REP	0;
	11280	0	CT_TBRCH	12116	BR_STATUS	CT_REP	0;
	11281	0	CT_TBRCH	12117	BR_STATUS	CT_REP	0;
	11282	0	CT_TBRCH	12118	BR_STATUS	CT_REP	0;
	11283	0	CT_TBRCH	12119	BR_STATUS	CT_REP	0;
	11284	0	CT_TBRCH	12121	BR_STATUS	CT_REP	0;
	11285	0	CT_TBRCH	12122	BR_STATUS	CT_REP	0;
	11286	0	CT_TBRCH	12123	BR_STATUS	CT_REP	0;
	11287	0	CT_TBRCH	12126	BR_STATUS	CT_REP	0;
	11288	0	CT_TBRCH	12128	BR_STATUS	CT_REP	0;
	11289	0	CT_TBRCH	12131	BR_STATUS	CT_REP	0;
	11290	0	CT_TBRCH	12132	BR_STATUS	CT_REP	0;
	11291	0	CT_TBRCH	12133	BR_STATUS	CT_REP	0;
	11292	0	CT_TBRCH	12134	BR_STATUS	CT_REP	0;
	11293	0	CT_TBRCH	12135	BR_STATUS	CT_REP	0;
	11294	0	CT_TBRCH	12136	BR_STATUS	CT_REP	0;
	11295	0	CT_TBRCH	12138	BR_STATUS	CT_REP	0;
	11296	0	CT_TBRCH	12139	BR_STATUS	CT_REP	0;
	11297	0	CT_TBRCH	12143	BR_STATUS	CT_REP	0;
	11298	0	CT_TBRCH	12146	BR_STATUS	CT_REP	0;
	11299	0	CT_TBRCH	12147	BR_STATUS	CT_REP	0;
	11300	0	CT_TBRCH	12148	BR_STATUS	CT_REP	0;
	11301	0	CT_TBRCH	12149	BR_STATUS	CT_REP	0;
	11302	0	CT_TBRCH	12150	BR_STATUS	CT_REP	0;
	11303	0	CT_TBRCH	12151	BR_STATUS	CT_REP	0;
	11304	0	CT_TBRCH	12152	BR_STATUS	CT_REP	0;
	11305	0	CT_TBRCH	12153	BR_STATUS	CT_REP	0;
	11306	0	CT_TBRCH	12154	BR_STATUS	CT_REP	0;
	11307	0	CT_TBRCH	12155	BR_STATUS	CT_REP	0;
	11308	0	CT_TBRCH	12156	BR_STATUS	CT_REP	0;
	11309	0	CT_TBRCH	12158	BR_STATUS	CT_REP	0;
	11310	0	CT_TBRCH	12159	BR_STATUS	CT_REP	0;
	11311	0	CT_TBRCH	12162	BR_STATUS	CT_REP	0;
	11312	0	CT_TBRCH	12163	BR_STATUS	CT_REP	0;
	11313	0	CT_TBRCH	12164	BR_STATUS	CT_REP	0;
	11314	0	CT_TBRCH	12165	BR_STATUS	CT_REP	0;
	11315	0	CT_TBRCH	12166	BR_STATUS	CT_REP	0;
	11316	0	CT_TBRCH	12167	BR_STATUS	CT_REP	0;
	11317	0	CT_TBRCH	12168	BR_STATUS	CT_REP	0;
	11318	0	CT_TBRCH	12169	BR_STATUS	CT_REP	0;
	11319	0	CT_TBRCH	12170	BR_STATUS	CT_REP	0;
	11320	0	CT_TBRCH	12171	BR_STATUS	CT_REP	0;
	11321	0	CT_TBRCH	12172	BR_STATUS	CT_REP	0;
	11322	0	CT_TBRCH	12173	BR_STATUS	CT_REP	0;
	11323	0	CT_TBRCH	12174	BR_STATUS	CT_REP	0;
	11324	0	CT_TBRCH	12176	BR_STATUS	CT_REP	0;
	11325	0	CT_TBRCH	12177	BR_STATUS	CT_REP	0;
	11326	0	CT_TBRCH	12180	BR_STATUS	CT_REP	0;
	11327	0	CT_TBRCH	12181	BR_STATUS	CT_REP	0;
	11328	0	CT_TBRCH	12182	BR_STATUS	CT_REP	0;
	11329	0	CT_TBRCH	12183	BR_STATUS	CT_REP	0;
	11330	0	CT_TBRCH	12184	BR_STATUS	CT_REP	0;
	11331	0	CT_TBRCH	12185	BR_STATUS	CT_REP	0;
	11332	0	CT_TBRCH	12186	BR_STATUS	CT_REP	0;
	11333	0	CT_TBRCH	12187	BR_STATUS	CT_REP	0;
	11334	0	CT_TBRCH	12188	BR_STATUS	CT_REP	0;
	11335	0	CT_TBRCH	12189	BR_STATUS	CT_REP	0;
	11336	0	CT_TBRCH	12190	BR_STATUS	CT_REP	0;
	11337	0	CT_TBRCH	12191	BR_STATUS	CT_REP	0;
	11338	0	CT_TBRCH	12192	BR_STATUS	CT_REP	0;
	11339	0	CT_TBRCH	12193	BR_STATUS	CT_REP	0;
	11340	0	CT_TBRCH	12194	BR_STATUS	CT_REP	0;
	11341	0	CT_TBRCH	12195	BR_STATUS	CT_REP	0;
	11342	0	CT_TBRCH	12196	BR_STATUS	CT_REP	0;
	11343	0	CT_TBRCH	12197	BR_STATUS	CT_REP	0;
	11344	0	CT_TBRCH	12198	BR_STATUS	CT_REP	0;
	11345	0	CT_TBRCH	12200	BR_STATUS	CT_REP	0;
	11346	0	CT_TBRCH	12201	BR_STATUS	CT_REP	0;
	11347	0	CT_TBRCH	12202	BR_STATUS	CT_REP	0;
	11348	0	CT_TBRCH	12205	BR_STATUS	CT_REP	0;
	11349	0	CT_TBRCH	12206	BR_STATUS	CT_REP	0;
	11350	0	CT_TBRCH	12207	BR_STATUS	CT_REP	0;
	11351	0	CT_TBRCH	12208	BR_STATUS	CT_REP	0;
	11352	0	CT_TBRCH	12209	BR_STATUS	CT_REP	0;
	11353	0	CT_TBRCH	12210	BR_STATUS	CT_REP	0;
	11354	0	CT_TBRCH	12211	BR_STATUS	CT_REP	0;
	11355	0	CT_TBRCH	12213	BR_STATUS	CT_REP	0;
	11356	0	CT_TBRCH	12214	BR_STATUS	CT_REP	0;
	11357	0	CT_TBRCH	12215	BR_STATUS	CT_REP	0;
	11358	0	CT_TBRCH	12216	BR_STATUS	CT_REP	0;
	11359	0	CT_TBRCH	12219	BR_STATUS	CT_REP	0;
	11360	0	CT_TBRCH	12220	BR_STATUS	CT_REP	0;
	11361	0	CT_TBRCH	12221	BR_STATUS	CT_REP	0;
	11362	0	CT_TBRCH	12222	BR_STATUS	CT_REP	0;
	11363	0	CT_TBRCH	12223	BR_STATUS	CT_REP	0;
	11364	0	CT_TBRCH	12224	BR_STATUS	CT_REP	0;
	11365	0	CT_TBRCH	12225	BR_STATUS	CT_REP	0;
	11366	0	CT_TBRCH	12226	BR_STATUS	CT_REP	0;
	11367	0	CT_TBRCH	12227	BR_STATUS	CT_REP	0;
	11368	0	CT_TBRCH	12228	BR_STATUS	CT_REP	0;
	11369	0	CT_TBRCH	12229	BR_STATUS	CT_REP	0;
	11370	0	CT_TBRCH	12231	BR_STATUS	CT_REP	0;
	11371	0	CT_TBRCH	12232	BR_STATUS	CT_REP	0;
	11372	0	CT_TBRCH	12235	BR_STATUS	CT_REP	0;
	11373	0	CT_TBRCH	12236	BR_STATUS	CT_REP	0;
	11374	0	CT_TBRCH	12237	BR_STATUS	CT_REP	0;
	11375	0	CT_TBRCH	12238	BR_STATUS	CT_REP	0;
	11376	0	CT_TBRCH	12239	BR_STATUS	CT_REP	0;
	11377	0	CT_TBRCH	12240	BR_STATUS	CT_REP	0;
	11378	0	CT_TBRCH	12241	BR_STATUS	CT_REP	0;
	11379	0	CT_TBRCH	12242	BR_STATUS	CT_REP	0;
	11380	0	CT_TBRCH	12243	BR_STATUS	CT_REP	0;
	11381	0	CT_TBRCH	12244	BR_STATUS	CT_REP	0;
	11382	0	CT_TBRCH	12245	BR_STATUS	CT_REP	0;
	11383	0	CT_TBRCH	12246	BR_STATUS	CT_REP	0;
	11384	0	CT_TBRCH	12247	BR_STATUS	CT_REP	0;
	11385	0	CT_TBRCH	12248	BR_STATUS	CT_REP	0;
	11386	0	CT_TBRCH	12249	BR_STATUS	CT_REP	0;
	11387	0	CT_TBRCH	12250	BR_STATUS	CT_REP	0;
	11388	0	CT_TBRCH	12251	BR_STATUS	CT_REP	0;
	11389	0	CT_TBRCH	12252	BR_STATUS	CT_REP	0;
	11390	0	CT_TBRCH	12253	BR_STATUS	CT_REP	0;
	11391	0	CT_TBRCH	12254	BR_STATUS	CT_REP	0;
	11392	0	CT_TBRCH	12255	BR_STATUS	CT_REP	0;
	11393	0	CT_TBRCH	12256	BR_STATUS	CT_REP	0;
	11394	0	CT_TBRCH	12257	BR_STATUS	CT_REP	0;
	11395	0	CT_TBRCH	12258	BR_STATUS	CT_REP	0;
	11396	0	CT_TBRCH	12259	BR_STATUS	CT_REP	0;
	11397	0	CT_TBRCH	12260	BR_STATUS	CT_REP	0;
	11398	0	CT_TBRCH	12261	BR_STATUS	CT_REP	0;
	11399	0	CT_TBRCH	12262	BR_STATUS	CT_REP	0;
	11400	0	CT_TBRCH	12263	BR_STATUS	CT_REP	0;
	11401	0	CT_TBRCH	12264	BR_STATUS	CT_REP	0;
	11402	0	CT_TBRCH	12265	BR_STATUS	CT_REP	0;
	11403	0	CT_TBRCH	12266	BR_STATUS	CT_REP	0;
	11404	0	CT_TBRCH	12267	BR_STATUS	CT_REP	0;
	11405	0	CT_TBRCH	12268	BR_STATUS	CT_REP	0;
	11406	0	CT_TBRCH	12269	BR_STATUS	CT_REP	0;
	11407	0	CT_TBRCH	12270	BR_STATUS	CT_REP	0;
	11408	0	CT_TBRCH	12271	BR_STATUS	CT_REP	0;
	11409	0	CT_TBRCH	12272	BR_STATUS	CT_REP	0;
	11410	0	CT_TBRCH	12273	BR_STATUS	CT_REP	0;
	11411	0	CT_TBRCH	12274	BR_STATUS	CT_REP	0;
	11412	0	CT_TBRCH	12275	BR_STATUS	CT_REP	0;
	11413	0	CT_TBRCH	12276	BR_STATUS	CT_REP	0;
	11414	0	CT_TBRCH	12277	BR_STATUS	CT_REP	0;
	11415	0	CT_TBRCH	12278	BR_STATUS	CT_REP	0;
	11416	0	CT_TBRCH	12279	BR_STATUS	CT_REP	0;
	11417	0	CT_TBRCH	12280	BR_STATUS	CT_REP	0;
	11418	0	CT_TBRCH	12281	BR_STATUS	CT_REP	0;
	11419	0	CT_TBRCH	12282	BR_STATUS	CT_REP	0;
	11420	0	CT_TBRCH	12283	BR_STATUS	CT_REP	0;
	11421	0	CT_TBRCH	12284	BR_STATUS	CT_REP	0;
	11422	0	CT_TBRCH	12285	BR_STATUS	CT_REP	0;
	11423	0	CT_TBRCH	12286	BR_STATUS	CT_REP	0;
	11424	0	CT_TBRCH	12287	BR_STATUS	CT_REP	0;
	11425	0	CT_TBRCH	12288	BR_STATUS	CT_REP	0;
	11426	0	CT_TBRCH	12289	BR_STATUS	CT_REP	0;
	11427	0	CT_TBRCH	12290	BR_STATUS	CT_REP	0;
	11428	0	CT_TBRCH	12291	BR_STATUS	CT_REP	0;
	11429	0	CT_TBRCH	12292	BR_STATUS	CT_REP	0;
	11430	0	CT_TBRCH	12293	BR_STATUS	CT_REP	0;
	11431	0	CT_TBRCH	12294	BR_STATUS	CT_REP	0;
	11432	0	CT_TBRCH	12295	BR_STATUS	CT_REP	0;
	11433	0	CT_TBRCH	12296	BR_STATUS	CT_REP	0;
	11434	0	CT_TBRCH	12297	BR_STATUS	CT_REP	0;
	11435	0	CT_TBRCH	12298	BR_STATUS	CT_REP	0;
	11436	0	CT_TBRCH	12299	BR_STATUS	CT_REP	0;
	11437	0	CT_TBRCH	12300	BR_STATUS	CT_REP	0;
	11438	0	CT_TBRCH	12301	BR_STATUS	CT_REP	0;
	11439	0	CT_TBRCH	12302	BR_STATUS	CT_REP	0;
	11440	0	CT_TBRCH	12303	BR_STATUS	CT_REP	0;
	11441	0	CT_TBRCH	12304	BR_STATUS	CT_REP	0;
	11442	0	CT_TBRCH	12305	BR_STATUS	CT_REP	0;
	11443	0	CT_TBRCH	12306	BR_STATUS	CT_REP	0;
	11444	0	CT_TBRCH	12307	BR_STATUS	CT_REP	0;
	11445	0	CT_TBRCH	12308	BR_STATUS	CT_REP	0;
	11446	0	CT_TBRCH	12309	BR_STATUS	CT_REP	0;
	11447	0	CT_TBRCH	12310	BR_STATUS	CT_REP	0;
	11448	0	CT_TBRCH	12311	BR_STATUS	CT_REP	0;
	11449	0	CT_TBRCH	12312	BR_STATUS	CT_REP	0;
	11450	0	CT_TBRCH	12313	BR_STATUS	CT_REP	0;
	11451	0	CT_TBRCH	12314	BR_STATUS	CT_REP	0;
	11452	0	CT_TBRCH	12315	BR_STATUS	CT_REP	0;
	11453	0	CT_TBRCH	12316	BR_STATUS	CT_REP	0;
	11454	0	CT_TBRCH	12317	BR_STATUS	CT_REP	0;
	11455	0	CT_TBRCH	12318	BR_STATUS	CT_REP	0;
	11456	0	CT_TBRCH	12319	BR_STATUS	CT_REP	0;
	11457	0	CT_TBRCH	12320	BR_STATUS	CT_REP	0;
	11458	0	CT_TBRCH	12321	BR_STATUS	CT_REP	0;
	11459	0	CT_TBRCH	12322	BR_STATUS	CT_REP	0;
	11460	0	CT_TBRCH	12323	BR_STATUS	CT_REP	0;
	11461	0	CT_TBRCH	12324	BR_STATUS	CT_REP	0;
	11462	0	CT_TBRCH	12325	BR_STATUS	CT_REP	0;
	11463	0	CT_TBRCH	12326	BR_STATUS	CT_REP	0;
	11464	0	CT_TBRCH	12327	BR_STATUS	CT_REP	0;
	11465	0	CT_TBRCH	12328	BR_STATUS	CT_REP	0;
	11466	0	CT_TBRCH	12329	BR_STATUS	CT_REP	0;
	11467	0	CT_TBRCH	12330	BR_STATUS	CT_REP	0;
	11468	0	CT_TBRCH	12331	BR_STATUS	CT_REP	0;
	11469	0	CT_TBRCH	12332	BR_STATUS	CT_REP	0;
	11470	0	CT_TBRCH	12333	BR_STATUS	CT_REP	0;
	11471	0	CT_TBRCH	12334	BR_STATUS	CT_REP	0;
	11472	0	CT_TBRCH	12335	BR_STATUS	CT_REP	0;
	11473	0	CT_TBRCH	12336	BR_STATUS	CT_REP	0;
	11474	0	CT_TBRCH	12337	BR_STATUS	CT_REP	0;
	11475	0	CT_TBRCH	12338	BR_STATUS	CT_REP	0;
	11476	0	CT_TBRCH	12339	BR_STATUS	CT_REP	0;
	11477	0	CT_TBRCH	12340	BR_STATUS	CT_REP	0;
	11478	0	CT_TBRCH	12341	BR_STATUS	CT_REP	0;
	11479	0	CT_TBRCH	12342	BR_STATUS	CT_REP	0;
	11480	0	CT_TBRCH	12343	BR_STATUS	CT_REP	0;
	11481	0	CT_TBRCH	12344	BR_STATUS	CT_REP	0;
	11482	0	CT_TBRCH	12345	BR_STATUS	CT_REP	0;
	11483	0	CT_TBRCH	12346	BR_STATUS	CT_REP	0;
	11484	0	CT_TBRCH	12347	BR_STATUS	CT_REP	0;
	11485	0	CT_TBRCH	12348	BR_STATUS	CT_REP	0;
	11486	0	CT_TBRCH	12349	BR_STATUS	CT_REP	0;
	11487	0	CT_TBRCH	12350	BR_STATUS	CT_REP	0;
	11488	0	CT_TBRCH	12351	BR_STATUS	CT_REP	0;
	11489	0	CT_TBRCH	12352	BR_STATUS	CT_REP	0;
	11490	0	CT_TBRCH	12353	BR_STATUS	CT_REP	0;
	11491	0	CT_TBRCH	12354	BR_STATUS	CT_REP	0;
	11492	0	CT_TBRCH	12355	BR_STATUS	CT_REP	0;
	11493	0	CT_TBRCH	12357	BR_STATUS	CT_REP	0;
	11494	0	CT_TBRCH	12360	BR_STATUS	CT_REP	0;
	11495	0	CT_TBRCH	12361	BR_STATUS	CT_REP	0;
	11496	0	CT_TBRCH	12362	BR_STATUS	CT_REP	0;
	11497	0	CT_TBRCH	12363	BR_STATUS	CT_REP	0;
	11498	0	CT_TBRCH	12364	BR_STATUS	CT_REP	0;
	11499	0	CT_TBRCH	12365	BR_STATUS	CT_REP	0;
	11500	0	CT_TBRCH	12366	BR_STATUS	CT_REP	0;
	11501	0	CT_TBRCH	12367	BR_STATUS	CT_REP	0;
	11502	0	CT_TBRCH	12368	BR_STATUS	CT_REP	0;
	11503	0	CT_TBRCH	12369	BR_STATUS	CT_REP	0;
	11504	0	CT_TBRCH	12370	BR_STATUS	CT_REP	0;
	11505	0	CT_TBRCH	12371	BR_STATUS	CT_REP	0;
	11506	0	CT_TBRCH	12373	BR_STATUS	CT_REP	0;
	11507	0	CT_TBRCH	12374	BR_STATUS	CT_REP	0;
	11508	0	CT_TBRCH	12377	BR_STATUS	CT_REP	0;
	11509	0	CT_TBRCH	12378	BR_STATUS	CT_REP	0;
	11510	0	CT_TBRCH	12379	BR_STATUS	CT_REP	0;
	11511	0	CT_TBRCH	12380	BR_STATUS	CT_REP	0;
	11512	0	CT_TBRCH	12381	BR_STATUS	CT_REP	0;
	11513	0	CT_TBRCH	12382	BR_STATUS	CT_REP	0;
	11514	0	CT_TBRCH	12383	BR_STATUS	CT_REP	0;
	11515	0	CT_TBRCH	12384	BR_STATUS	CT_REP	0;
	11516	0	CT_TBRCH	12385	BR_STATUS	CT_REP	0;
	11517	0	CT_TBRCH	12386	BR_STATUS	CT_REP	0;
	11518	0	CT_TBRCH	12387	BR_STATUS	CT_REP	0;
	11519	0	CT_TBRCH	12388	BR_STATUS	CT_REP	0;
	11520	0	CT_TBRCH	12389	BR_STATUS	CT_REP	0;
	11521	0	CT_TBRCH	12390	BR_STATUS	CT_REP	0;
	11522	0	CT_TBRCH	12391	BR_STATUS	CT_REP	0;
	11523	0	CT_TBRCH	12392	BR_STATUS	CT_REP	0;
	11524	0	CT_TBRCH	12393	BR_STATUS	CT_REP	0;
	11525	0	CT_TBRCH	12394	BR_STATUS	CT_REP	0;
	11526	0	CT_TBRCH	12395	BR_STATUS	CT_REP	0;
	11527	0	CT_TBRCH	12396	BR_STATUS	CT_REP	0;
	11528	0	CT_TBRCH	12397	BR_STATUS	CT_REP	0;
	11529	0	CT_TBRCH	12398	BR_STATUS	CT_REP	0;
	11530	0	CT_TBRCH	12399	BR_STATUS	CT_REP	0;
	11531	0	CT_TBRCH	12400	BR_STATUS	CT_REP	0;
	11532	0	CT_TBRCH	12401	BR_STATUS	CT_REP	0;
	11533	0	CT_TBRCH	12402	BR_STATUS	CT_REP	0;
	11534	0	CT_TBRCH	12403	BR_STATUS	CT_REP	0;
	11535	0	CT_TBRCH	12404	BR_STATUS	CT_REP	0;
	11536	0	CT_TBRCH	12405	BR_STATUS	CT_REP	0;
	11537	0	CT_TBRCH	12406	BR_STATUS	CT_REP	0;
	11538	0	CT_TBRCH	12407	BR_STATUS	CT_REP	0;
	11539	0	CT_TBRCH	12408	BR_STATUS	CT_REP	0;
	11540	0	CT_TBRCH	12409	BR_STATUS	CT_REP	0;
	11541	0	CT_TBRCH	12410	BR_STATUS	CT_REP	0;
	11542	0	CT_TBRCH	12411	BR_STATUS	CT_REP	0;
	11543	0	CT_TBRCH	12412	BR_STATUS	CT_REP	0;
	11544	0	CT_TBRCH	12413	BR_STATUS	CT_REP	0;
	11545	0	CT_TBRCH	12414	BR_STATUS	CT_REP	0;
	11546	0	CT_TBRCH	12415	BR_STATUS	CT_REP	0;
	11547	0	CT_TBRCH	12416	BR_STATUS	CT_REP	0;
	11548	0	CT_TBRCH	12417	BR_STATUS	CT_REP	0;
	11549	0	CT_TBRCH	12418	BR_STATUS	CT_REP	0;
	11550	0	CT_TBRCH	12419	BR_STATUS	CT_REP	0;
	11551	0	CT_TBRCH	12420	BR_STATUS	CT_REP	0;
	11552	0	CT_TBRCH	12421	BR_STATUS	CT_REP	0;
	11553	0	CT_TBRCH	12422	BR_STATUS	CT_REP	0;
	11554	0	CT_TBRCH	12423	BR_STATUS	CT_REP	0;
	11555	0	CT_TBRCH	12424	BR_STATUS	CT_REP	0;
	11556	0	CT_TBRCH	12425	BR_STATUS	CT_REP	0;
	11557	0	CT_TBRCH	12426	BR_STATUS	CT_REP	0;
	11558	0	CT_TBRCH	12427	BR_STATUS	CT_REP	0;
	11559	0	CT_TBRCH	12428	BR_STATUS	CT_REP	0;
	11560	0	CT_TBRCH	12429	BR_STATUS	CT_REP	0;
	11561	0	CT_TBRCH	12430	BR_STATUS	CT_REP	0;
	11562	0	CT_TBRCH	12431	BR_STATUS	CT_REP	0;
	11563	0	CT_TBRCH	12432	BR_STATUS	CT_REP	0;
	11564	0	CT_TBRCH	12433	BR_STATUS	CT_REP	0;
	11565	0	CT_TBRCH	12434	BR_STATUS	CT_REP	0;
	11566	0	CT_TBRCH	12435	BR_STATUS	CT_REP	0;
	11567	0	CT_TBRCH	12436	BR_STATUS	CT_REP	0;
	11568	0	CT_TBRCH	12437	BR_STATUS	CT_REP	0;
	11569	0	CT_TBRCH	12438	BR_STATUS	CT_REP	0;
	11570	0	CT_TBRCH	12439	BR_STATUS	CT_REP	0;
	11571	0	CT_TBRCH	12440	BR_STATUS	CT_REP	0;
	11572	0	CT_TBRCH	12441	BR_STATUS	CT_REP	0;
	11573	0	CT_TBRCH	12442	BR_STATUS	CT_REP	0;
	11574	0	CT_TBRCH	12443	BR_STATUS	CT_REP	0;
	11575	0	CT_TBRCH	12444	BR_STATUS	CT_REP	0;
	11576	0	CT_TBRCH	12445	BR_STATUS	CT_REP	0;
	11577	0	CT_TBRCH	12446	BR_STATUS	CT_REP	0;
	11578	0	CT_TBRCH	12447	BR_STATUS	CT_REP	0;
	11579	0	CT_TBRCH	12448	BR_STATUS	CT_REP	0;
	11580	0	CT_TBRCH	12449	BR_STATUS	CT_REP	0;
	11581	0	CT_TBRCH	12450	BR_STATUS	CT_REP	0;
	11582	0	CT_TBRCH	12451	BR_STATUS	CT_REP	0;
	11583	0	CT_TBRCH	12452	BR_STATUS	CT_REP	0;
	11584	0	CT_TBRCH	12453	BR_STATUS	CT_REP	0;
	11585	0	CT_TBRCH	12454	BR_STATUS	CT_REP	0;
	11586	0	CT_TBRCH	12455	BR_STATUS	CT_REP	0;
	11587	0	CT_TBRCH	12456	BR_STATUS	CT_REP	0;
	11588	0	CT_TBRCH	12457	BR_STATUS	CT_REP	0;
	11589	0	CT_TBRCH	12458	BR_STATUS	CT_REP	0;
	11590	0	CT_TBRCH	12459	BR_STATUS	CT_REP	0;
	11591	0	CT_TBRCH	12460	BR_STATUS	CT_REP	0;
	11592	0	CT_TBRCH	12461	BR_STATUS	CT_REP	0;
	11593	0	CT_TBRCH	12462	BR_STATUS	CT_REP	0;
	11594	0	CT_TBRCH	12463	BR_STATUS	CT_REP	0;
	11595	0	CT_TBRCH	12464	BR_STATUS	CT_REP	0;
	11596	0	CT_TBRCH	12465	BR_STATUS	CT_REP	0;
	11597	0	CT_TBRCH	12466	BR_STATUS	CT_REP	0;
	11598	0	CT_TBRCH	12467	BR_STATUS	CT_REP	0;
	11599	0	CT_TBRCH	12468	BR_STATUS	CT_REP	0;
	11600	0	CT_TBRCH	12469	BR_STATUS	CT_REP	0;
	11601	0	CT_TBRCH	12470	BR_STATUS	CT_REP	0;
	11602	0	CT_TBRCH	12471	BR_STATUS	CT_REP	0;
	11603	0	CT_TBRCH	12472	BR_STATUS	CT_REP	0;
	11604	0	CT_TBRCH	12473	BR_STATUS	CT_REP	0;
	11605	0	CT_TBRCH	12474	BR_STATUS	CT_REP	0;
	11606	0	CT_TBRCH	12475	BR_STATUS	CT_REP	0;
	11607	0	CT_TBRCH	12476	BR_STATUS	CT_REP	0;
	11608	0	CT_TBRCH	12477	BR_STATUS	CT_REP	0;
	11609	0	CT_TBRCH	12478	BR_STATUS	CT_REP	0;
	11610	0	CT_TBRCH	12479	BR_STATUS	CT_REP	0;
	11611	0	CT_TBRCH	12480	BR_STATUS	CT_REP	0;
	11612	0	CT_TBRCH	12481	BR_STATUS	CT_REP	0;
	11613	0	CT_TBRCH	12482	BR_STATUS	CT_REP	0;
	11614	0	CT_TBRCH	12483	BR_STATUS	CT_REP	0;
	11615	0	CT_TBRCH	12484	BR_STATUS	CT_REP	0;
	11616	0	CT_TBRCH	12485	BR_STATUS	CT_REP	0;
	11617	0	CT_TBRCH	12486	BR_STATUS	CT_REP	0;
	11618	0	CT_TBRCH	12487	BR_STATUS	CT_REP	0;
	11619	0	CT_TBRCH	12488	BR_STATUS	CT_REP	0;
	11620	0	CT_TBRCH	12489	BR_STATUS	CT_REP	0;
	11621	0	CT_TBRCH	12490	BR_STATUS	CT_REP	0;
	11622	0	CT_TBRCH	12491	BR_STATUS	CT_REP	0;
	11623	0	CT_TBRCH	12492	BR_STATUS	CT_REP	0;
	11624	0	CT_TBRCH	12493	BR_STATUS	CT_REP	0;
	11625	0	CT_TBRCH	12494	BR_STATUS	CT_REP	0;
	11626	0	CT_TBRCH	12495	BR_STATUS	CT_REP	0;
	11627	0	CT_TBRCH	12496	BR_STATUS	CT_REP	0;
	11628	0	CT_TBRCH	12497	BR_STATUS	CT_REP	0;
	11629	0	CT_TBRCH	12498	BR_STATUS	CT_REP	0;
	11630	0	CT_TBRCH	12499	BR_STATUS	CT_REP	0;
	11631	0	CT_TBRCH	12500	BR_STATUS	CT_REP	0;
	11632	0	CT_TBRCH	12501	BR_STATUS	CT_REP	0;
	11633	0	CT_TBRCH	12502	BR_STATUS	CT_REP	0;
	11634	0	CT_TBRCH	12503	BR_STATUS	CT_REP	0;
	11635	0	CT_TBRCH	12504	BR_STATUS	CT_REP	0;
	11636	0	CT_TBRCH	12505	BR_STATUS	CT_REP	0;
	11637	0	CT_TBRCH	12506	BR_STATUS	CT_REP	0;
	11638	0	CT_TBRCH	12507	BR_STATUS	CT_REP	0;
	11639	0	CT_TBRCH	12508	BR_STATUS	CT_REP	0;
	11640	0	CT_TBRCH	12509	BR_STATUS	CT_REP	0;
	11641	0	CT_TBRCH	12511	BR_STATUS	CT_REP	0;
	11642	0	CT_TBRCH	12512	BR_STATUS	CT_REP	0;
	11643	0	CT_TBRCH	12513	BR_STATUS	CT_REP	0;
	11644	0	CT_TBRCH	12515	BR_STATUS	CT_REP	0;
	11645	0	CT_TBRCH	12517	BR_STATUS	CT_REP	0;
	11646	0	CT_TBRCH	12518	BR_STATUS	CT_REP	0;
	11647	0	CT_TBRCH	12519	BR_STATUS	CT_REP	0;
	11648	0	CT_TBRCH	12520	BR_STATUS	CT_REP	0;
	11649	0	CT_TBRCH	12521	BR_STATUS	CT_REP	0;
	11650	0	CT_TBRCH	12522	BR_STATUS	CT_REP	0;
	11651	0	CT_TBRCH	12523	BR_STATUS	CT_REP	0;
	11652	0	CT_TBRCH	12524	BR_STATUS	CT_REP	0;
	11653	0	CT_TBRCH	12525	BR_STATUS	CT_REP	0;
	11654	0	CT_TBRCH	12526	BR_STATUS	CT_REP	0;
	11655	0	CT_TBRCH	12527	BR_STATUS	CT_REP	0;
	11656	0	CT_TBRCH	12528	BR_STATUS	CT_REP	0;
	11657	0	CT_TBRCH	12529	BR_STATUS	CT_REP	0;
	11658	0	CT_TBRCH	12530	BR_STATUS	CT_REP	0;
	11659	0	CT_TBRCH	12531	BR_STATUS	CT_REP	0;
	11660	0	CT_TBRCH	12532	BR_STATUS	CT_REP	0;
	11661	0	CT_TBRCH	12533	BR_STATUS	CT_REP	0;
	11662	0	CT_TBRCH	12534	BR_STATUS	CT_REP	0;
	11663	0	CT_TBRCH	12535	BR_STATUS	CT_REP	0;
	11664	0	CT_TBRCH	12537	BR_STATUS	CT_REP	0;
	11665	0	CT_TBRCH	12538	BR_STATUS	CT_REP	0;
	11666	0	CT_TBRCH	12539	BR_STATUS	CT_REP	0;
	11667	0	CT_TBRCH	12540	BR_STATUS	CT_REP	0;
	11668	0	CT_TBRCH	12544	BR_STATUS	CT_REP	0;
	11669	0	CT_TBRCH	12545	BR_STATUS	CT_REP	0;
	11670	0	CT_TBRCH	12546	BR_STATUS	CT_REP	0;
	11671	0	CT_TBRCH	12547	BR_STATUS	CT_REP	0;
	11672	0	CT_TBRCH	12550	BR_STATUS	CT_REP	0;
	11673	0	CT_TBRCH	12551	BR_STATUS	CT_REP	0;
	11674	0	CT_TBRCH	12552	BR_STATUS	CT_REP	0;
	11675	0	CT_TBRCH	12553	BR_STATUS	CT_REP	0;
	11676	0	CT_TBRCH	12554	BR_STATUS	CT_REP	0;
	11677	0	CT_TBRCH	12556	BR_STATUS	CT_REP	0;
	11678	0	CT_TBRCH	12557	BR_STATUS	CT_REP	0;
	11679	0	CT_TBRCH	12558	BR_STATUS	CT_REP	0;
	11680	0	CT_TBRCH	12559	BR_STATUS	CT_REP	0;
	11681	0	CT_TBRCH	12560	BR_STATUS	CT_REP	0;
	11682	0	CT_TBRCH	12561	BR_STATUS	CT_REP	0;
	11683	0	CT_TBRCH	12562	BR_STATUS	CT_REP	0;
	11684	0	CT_TBRCH	12568	BR_STATUS	CT_REP	0;
	11685	0	CT_TBRCH	12569	BR_STATUS	CT_REP	0;
	11686	0	CT_TBRCH	12570	BR_STATUS	CT_REP	0;
	11687	0	CT_TBRCH	12571	BR_STATUS	CT_REP	0;
	11688	0	CT_TBRCH	12572	BR_STATUS	CT_REP	0;
	11689	0	CT_TBRCH	12573	BR_STATUS	CT_REP	0;
	11690	0	CT_TBRCH	12574	BR_STATUS	CT_REP	0;
	11691	0	CT_TBRCH	12575	BR_STATUS	CT_REP	0;
	11692	0	CT_TBRCH	12576	BR_STATUS	CT_REP	0;
	11693	0	CT_TBRCH	12577	BR_STATUS	CT_REP	0;
	11694	0	CT_TBRCH	12578	BR_STATUS	CT_REP	0;
	11695	0	CT_TBRCH	12580	BR_STATUS	CT_REP	0;
	11696	0	CT_TBRCH	12583	BR_STATUS	CT_REP	0;
	11697	0	CT_TBRCH	12584	BR_STATUS	CT_REP	0;
	11698	0	CT_TBRCH	12585	BR_STATUS	CT_REP	0;
	11699	0	CT_TBRCH	12586	BR_STATUS	CT_REP	0;
	11700	0	CT_TBRCH	12587	BR_STATUS	CT_REP	0;
	11701	0	CT_TBRCH	12588	BR_STATUS	CT_REP	0;
	11702	0	CT_TBRCH	12589	BR_STATUS	CT_REP	0;
	11703	0	CT_TBRCH	12590	BR_STATUS	CT_REP	0;
	11704	0	CT_TBRCH	12591	BR_STATUS	CT_REP	0;
	11705	0	CT_TBRCH	12592	BR_STATUS	CT_REP	0;
	11706	0	CT_TBRCH	12593	BR_STATUS	CT_REP	0;
	11707	0	CT_TBRCH	12594	BR_STATUS	CT_REP	0;
	11708	0	CT_TBRCH	12595	BR_STATUS	CT_REP	0;
	11709	0	CT_TBRCH	12596	BR_STATUS	CT_REP	0;
	11710	0	CT_TBRCH	12597	BR_STATUS	CT_REP	0;
	11711	0	CT_TBRCH	12598	BR_STATUS	CT_REP	0;
	11712	0	CT_TBRCH	12599	BR_STATUS	CT_REP	0;
	11713	0	CT_TBRCH	12600	BR_STATUS	CT_REP	0;
	11714	0	CT_TBRCH	12601	BR_STATUS	CT_REP	0;
	11715	0	CT_TBRCH	12602	BR_STATUS	CT_REP	0;
	11716	0	CT_TBRCH	12603	BR_STATUS	CT_REP	0;
	11717	0	CT_TBRCH	12604	BR_STATUS	CT_REP	0;
	11718	0	CT_TBRCH	12605	BR_STATUS	CT_REP	0;
	11719	0	CT_TBRCH	12606	BR_STATUS	CT_REP	0;
	11720	0	CT_TBRCH	12607	BR_STATUS	CT_REP	0;
	11721	0	CT_TBRCH	12608	BR_STATUS	CT_REP	0;
	11722	0	CT_TBRCH	12609	BR_STATUS	CT_REP	0;
	11723	0	CT_TBRCH	12610	BR_STATUS	CT_REP	0;
	11724	0	CT_TBRCH	12611	BR_STATUS	CT_REP	0;
	11725	0	CT_TBRCH	12612	BR_STATUS	CT_REP	0;
	11726	0	CT_TBRCH	12613	BR_STATUS	CT_REP	0;
	11727	0	CT_TBRCH	12614	BR_STATUS	CT_REP	0;
	11728	0	CT_TBRCH	12615	BR_STATUS	CT_REP	0;
	11729	0	CT_TBRCH	12616	BR_STATUS	CT_REP	0;
	11730	0	CT_TBRCH	12617	BR_STATUS	CT_REP	0;
	11731	0	CT_TBRCH	12618	BR_STATUS	CT_REP	0;
	11732	0	CT_TBRCH	12619	BR_STATUS	CT_REP	0;
	11733	0	CT_TBRCH	12620	BR_STATUS	CT_REP	0;
	11734	0	CT_TBRCH	12621	BR_STATUS	CT_REP	0;
	11735	0	CT_TBRCH	12622	BR_STATUS	CT_REP	0;
	11736	0	CT_TBRCH	12623	BR_STATUS	CT_REP	0;
	11737	0	CT_TBRCH	12624	BR_STATUS	CT_REP	0;
	11738	0	CT_TBRCH	12625	BR_STATUS	CT_REP	0;
	11739	0	CT_TBRCH	12626	BR_STATUS	CT_REP	0;
	11740	0	CT_TBRCH	12627	BR_STATUS	CT_REP	0;
	11741	0	CT_TBRCH	12628	BR_STATUS	CT_REP	0;
	11742	0	CT_TBRCH	12629	BR_STATUS	CT_REP	0;
	11743	0	CT_TBRCH	12630	BR_STATUS	CT_REP	0;
	11744	0	CT_TBRCH	12631	BR_STATUS	CT_REP	0;
	11745	0	CT_TBRCH	12632	BR_STATUS	CT_REP	0;
	11746	0	CT_TBRCH	12633	BR_STATUS	CT_REP	0;
	11747	0	CT_TBRCH	12634	BR_STATUS	CT_REP	0;
	11748	0	CT_TBRCH	12635	BR_STATUS	CT_REP	0;
	11749	0	CT_TBRCH	12636	BR_STATUS	CT_REP	0;
	11750	0	CT_TBRCH	12637	BR_STATUS	CT_REP	0;
	11751	0	CT_TBRCH	12638	BR_STATUS	CT_REP	0;
	11752	0	CT_TBRCH	12639	BR_STATUS	CT_REP	0;
	11753	0	CT_TBRCH	12640	BR_STATUS	CT_REP	0;
	11754	0	CT_TBRCH	12641	BR_STATUS	CT_REP	0;
	11755	0	CT_TBRCH	12642	BR_STATUS	CT_REP	0;
	11756	0	CT_TBRCH	12643	BR_STATUS	CT_REP	0;
	11757	0	CT_TBRCH	12644	BR_STATUS	CT_REP	0;
	11758	0	CT_TBRCH	12645	BR_STATUS	CT_REP	0;
	11759	0	CT_TBRCH	12646	BR_STATUS	CT_REP	0;
	11760	0	CT_TBRCH	12647	BR_STATUS	CT_REP	0;
	11761	0	CT_TBRCH	12648	BR_STATUS	CT_REP	0;
	11762	0	CT_TBRCH	12649	BR_STATUS	CT_REP	0;
	11763	0	CT_TBRCH	12650	BR_STATUS	CT_REP	0;
	11764	0	CT_TBRCH	12651	BR_STATUS	CT_REP	0;
	11765	0	CT_TBRCH	12652	BR_STATUS	CT_REP	0;
	11766	0	CT_TBRCH	12653	BR_STATUS	CT_REP	0;
	11767	0	CT_TBRCH	12654	BR_STATUS	CT_REP	0;
	11768	0	CT_TBRCH	12655	BR_STATUS	CT_REP	0;
	11769	0	CT_TBRCH	12657	BR_STATUS	CT_REP	0;
	11770	0	CT_TBRCH	12658	BR_STATUS	CT_REP	0;
	11771	0	CT_TBRCH	12662	BR_STATUS	CT_REP	0;
	11772	0	CT_TBRCH	12665	BR_STATUS	CT_REP	0;
	11773	0	CT_TBRCH	12666	BR_STATUS	CT_REP	0;
	11774	0	CT_TBRCH	12667	BR_STATUS	CT_REP	0;
	11775	0	CT_TBRCH	12668	BR_STATUS	CT_REP	0;
	11776	0	CT_TBRCH	12669	BR_STATUS	CT_REP	0;
	11777	0	CT_TBRCH	12670	BR_STATUS	CT_REP	0;
	11778	0	CT_TBRCH	12671	BR_STATUS	CT_REP	0;
	11779	0	CT_TBRCH	12672	BR_STATUS	CT_REP	0;
	11780	0	CT_TBRCH	12673	BR_STATUS	CT_REP	0;
	11781	0	CT_TBRCH	12674	BR_STATUS	CT_REP	0;
	11782	0	CT_TBRCH	12675	BR_STATUS	CT_REP	0;
	11783	0	CT_TBRCH	12676	BR_STATUS	CT_REP	0;
	11784	0	CT_TBRCH	12677	BR_STATUS	CT_REP	0;
	11785	0	CT_TBRCH	12678	BR_STATUS	CT_REP	0;
	11786	0	CT_TBRCH	12679	BR_STATUS	CT_REP	0;
	11787	0	CT_TBRCH	12680	BR_STATUS	CT_REP	0;
	11788	0	CT_TBRCH	12681	BR_STATUS	CT_REP	0;
	11789	0	CT_TBRCH	12682	BR_STATUS	CT_REP	0;
	11790	0	CT_TBRCH	12683	BR_STATUS	CT_REP	0;
	11791	0	CT_TBRCH	12684	BR_STATUS	CT_REP	0;
	11792	0	CT_TBRCH	12686	BR_STATUS	CT_REP	0;
	11793	0	CT_TBRCH	12689	BR_STATUS	CT_REP	0;
	11794	0	CT_TBRCH	12690	BR_STATUS	CT_REP	0;
	11795	0	CT_TBRCH	12691	BR_STATUS	CT_REP	0;
	11796	0	CT_TBRCH	12692	BR_STATUS	CT_REP	0;
	11797	0	CT_TBRCH	12693	BR_STATUS	CT_REP	0;
	11798	0	CT_TBRCH	12694	BR_STATUS	CT_REP	0;
	11799	0	CT_TBRCH	12695	BR_STATUS	CT_REP	0;
	11800	0	CT_TBRCH	12696	BR_STATUS	CT_REP	0;
	11801	0	CT_TBRCH	12697	BR_STATUS	CT_REP	0;
	11802	0	CT_TBRCH	12698	BR_STATUS	CT_REP	0;
	11803	0	CT_TBRCH	12699	BR_STATUS	CT_REP	0;
	11804	0	CT_TBRCH	12700	BR_STATUS	CT_REP	0;
	11805	0	CT_TBRCH	12701	BR_STATUS	CT_REP	0;
	11806	0	CT_TBRCH	12702	BR_STATUS	CT_REP	0;
	11807	0	CT_TBRCH	12705	BR_STATUS	CT_REP	0;
];
