function chgtab = contab_ACTIVSg2000
%CONTAB_ACTIVSG2000  Returns a change table suitable for use with APPLY_CHANGES
%
%   This contingency table is for use with case_ACTIVSg2000.
%
%   One-line diagrams and other data formats available at:
%       https://electricgrids.engr.tamu.edu
%
%   Created via PSSECON2CHGTAB from ACTIVSg2000.con as exported from
%   ACTIVSg2000.pwb by PowerWorld.
%
% Warnings:
%     Circuit 2 does not exist from bus 1071 to bus 1019, using circuit 1 instead.
%
%   February 3, 2018

%   MATPOWER
%   Copyright (c) 2017-2018 by A.B. Birchfield, T. Xu, K.M. Gegner, K.S. Shetye,
%   and T.J. Overbye
%   Licensed under the Creative Commons Attribution 4.0 International license,
%   https://creativecommons.org/licenses/by/4.0/

define_constants;

%% Change Table
%	label	prob	table	row	col	chgtype	newval
chgtab = [
	1	0	CT_TBRCH	1	BR_STATUS	CT_REP	0;
	2	0	CT_TBRCH	2	BR_STATUS	CT_REP	0;
	3	0	CT_TBRCH	3	BR_STATUS	CT_REP	0;
	4	0	CT_TBRCH	4	BR_STATUS	CT_REP	0;
	5	0	CT_TBRCH	5	BR_STATUS	CT_REP	0;
	6	0	CT_TBRCH	6	BR_STATUS	CT_REP	0;
	7	0	CT_TBRCH	7	BR_STATUS	CT_REP	0;
	8	0	CT_TBRCH	8	BR_STATUS	CT_REP	0;
	9	0	CT_TBRCH	9	BR_STATUS	CT_REP	0;
	10	0	CT_TBRCH	10	BR_STATUS	CT_REP	0;
	11	0	CT_TBRCH	11	BR_STATUS	CT_REP	0;
	12	0	CT_TBRCH	12	BR_STATUS	CT_REP	0;
	13	0	CT_TBRCH	13	BR_STATUS	CT_REP	0;
	14	0	CT_TBRCH	14	BR_STATUS	CT_REP	0;
	15	0	CT_TBRCH	15	BR_STATUS	CT_REP	0;
	16	0	CT_TBRCH	16	BR_STATUS	CT_REP	0;
	17	0	CT_TBRCH	17	BR_STATUS	CT_REP	0;
	18	0	CT_TBRCH	18	BR_STATUS	CT_REP	0;
	19	0	CT_TBRCH	19	BR_STATUS	CT_REP	0;
	20	0	CT_TBRCH	20	BR_STATUS	CT_REP	0;
	21	0	CT_TBRCH	21	BR_STATUS	CT_REP	0;
	22	0	CT_TBRCH	22	BR_STATUS	CT_REP	0;
	23	0	CT_TBRCH	23	BR_STATUS	CT_REP	0;
	24	0	CT_TBRCH	24	BR_STATUS	CT_REP	0;
	25	0	CT_TBRCH	25	BR_STATUS	CT_REP	0;
	26	0	CT_TBRCH	26	BR_STATUS	CT_REP	0;
	27	0	CT_TBRCH	27	BR_STATUS	CT_REP	0;
	28	0	CT_TBRCH	28	BR_STATUS	CT_REP	0;
	29	0	CT_TBRCH	29	BR_STATUS	CT_REP	0;
	30	0	CT_TBRCH	30	BR_STATUS	CT_REP	0;
	31	0	CT_TBRCH	31	BR_STATUS	CT_REP	0;
	32	0	CT_TBRCH	32	BR_STATUS	CT_REP	0;
	33	0	CT_TBRCH	33	BR_STATUS	CT_REP	0;
	34	0	CT_TBRCH	34	BR_STATUS	CT_REP	0;
	35	0	CT_TBRCH	35	BR_STATUS	CT_REP	0;
	36	0	CT_TBRCH	36	BR_STATUS	CT_REP	0;
	37	0	CT_TBRCH	37	BR_STATUS	CT_REP	0;
	38	0	CT_TBRCH	38	BR_STATUS	CT_REP	0;
	39	0	CT_TBRCH	39	BR_STATUS	CT_REP	0;
	40	0	CT_TBRCH	40	BR_STATUS	CT_REP	0;
	41	0	CT_TBRCH	41	BR_STATUS	CT_REP	0;
	42	0	CT_TBRCH	42	BR_STATUS	CT_REP	0;
	43	0	CT_TBRCH	43	BR_STATUS	CT_REP	0;
	44	0	CT_TBRCH	44	BR_STATUS	CT_REP	0;
	45	0	CT_TBRCH	45	BR_STATUS	CT_REP	0;
	46	0	CT_TBRCH	46	BR_STATUS	CT_REP	0;
	47	0	CT_TBRCH	47	BR_STATUS	CT_REP	0;
	48	0	CT_TBRCH	48	BR_STATUS	CT_REP	0;
	49	0	CT_TBRCH	49	BR_STATUS	CT_REP	0;
	50	0	CT_TBRCH	50	BR_STATUS	CT_REP	0;
	51	0	CT_TBRCH	51	BR_STATUS	CT_REP	0;
	52	0	CT_TBRCH	52	BR_STATUS	CT_REP	0;
	53	0	CT_TBRCH	53	BR_STATUS	CT_REP	0;
	54	0	CT_TBRCH	54	BR_STATUS	CT_REP	0;
	55	0	CT_TBRCH	55	BR_STATUS	CT_REP	0;
	56	0	CT_TBRCH	56	BR_STATUS	CT_REP	0;
	57	0	CT_TBRCH	57	BR_STATUS	CT_REP	0;
	58	0	CT_TBRCH	58	BR_STATUS	CT_REP	0;
	59	0	CT_TBRCH	59	BR_STATUS	CT_REP	0;
	60	0	CT_TBRCH	60	BR_STATUS	CT_REP	0;
	61	0	CT_TBRCH	61	BR_STATUS	CT_REP	0;
	62	0	CT_TBRCH	62	BR_STATUS	CT_REP	0;
	63	0	CT_TBRCH	63	BR_STATUS	CT_REP	0;
	64	0	CT_TBRCH	64	BR_STATUS	CT_REP	0;
	65	0	CT_TBRCH	65	BR_STATUS	CT_REP	0;
	66	0	CT_TBRCH	66	BR_STATUS	CT_REP	0;
	67	0	CT_TBRCH	67	BR_STATUS	CT_REP	0;
	68	0	CT_TBRCH	68	BR_STATUS	CT_REP	0;
	69	0	CT_TBRCH	69	BR_STATUS	CT_REP	0;
	70	0	CT_TBRCH	70	BR_STATUS	CT_REP	0;
	71	0	CT_TBRCH	71	BR_STATUS	CT_REP	0;
	72	0	CT_TBRCH	72	BR_STATUS	CT_REP	0;
	73	0	CT_TBRCH	73	BR_STATUS	CT_REP	0;
	74	0	CT_TBRCH	74	BR_STATUS	CT_REP	0;
	75	0	CT_TBRCH	75	BR_STATUS	CT_REP	0;
	76	0	CT_TBRCH	76	BR_STATUS	CT_REP	0;
	77	0	CT_TBRCH	77	BR_STATUS	CT_REP	0;
	78	0	CT_TBRCH	78	BR_STATUS	CT_REP	0;
	79	0	CT_TBRCH	79	BR_STATUS	CT_REP	0;
	80	0	CT_TBRCH	80	BR_STATUS	CT_REP	0;
	81	0	CT_TBRCH	81	BR_STATUS	CT_REP	0;
	82	0	CT_TBRCH	82	BR_STATUS	CT_REP	0;
	83	0	CT_TBRCH	83	BR_STATUS	CT_REP	0;
	84	0	CT_TBRCH	84	BR_STATUS	CT_REP	0;
	85	0	CT_TBRCH	85	BR_STATUS	CT_REP	0;
	86	0	CT_TBRCH	86	BR_STATUS	CT_REP	0;
	87	0	CT_TBRCH	87	BR_STATUS	CT_REP	0;
	88	0	CT_TBRCH	88	BR_STATUS	CT_REP	0;
	89	0	CT_TBRCH	89	BR_STATUS	CT_REP	0;
	90	0	CT_TBRCH	90	BR_STATUS	CT_REP	0;
	91	0	CT_TBRCH	91	BR_STATUS	CT_REP	0;
	92	0	CT_TBRCH	92	BR_STATUS	CT_REP	0;
	93	0	CT_TBRCH	93	BR_STATUS	CT_REP	0;
	94	0	CT_TBRCH	94	BR_STATUS	CT_REP	0;
	95	0	CT_TBRCH	95	BR_STATUS	CT_REP	0;
	96	0	CT_TBRCH	96	BR_STATUS	CT_REP	0;
	97	0	CT_TBRCH	97	BR_STATUS	CT_REP	0;
	98	0	CT_TBRCH	98	BR_STATUS	CT_REP	0;
	99	0	CT_TBRCH	99	BR_STATUS	CT_REP	0;
	100	0	CT_TBRCH	100	BR_STATUS	CT_REP	0;
	101	0	CT_TBRCH	101	BR_STATUS	CT_REP	0;
	102	0	CT_TBRCH	102	BR_STATUS	CT_REP	0;
	103	0	CT_TBRCH	103	BR_STATUS	CT_REP	0;
	104	0	CT_TBRCH	104	BR_STATUS	CT_REP	0;
	105	0	CT_TBRCH	105	BR_STATUS	CT_REP	0;
	106	0	CT_TBRCH	106	BR_STATUS	CT_REP	0;
	107	0	CT_TBRCH	107	BR_STATUS	CT_REP	0;
	108	0	CT_TBRCH	108	BR_STATUS	CT_REP	0;
	109	0	CT_TBRCH	109	BR_STATUS	CT_REP	0;
	110	0	CT_TBRCH	110	BR_STATUS	CT_REP	0;
	111	0	CT_TBRCH	111	BR_STATUS	CT_REP	0;
	112	0	CT_TBRCH	112	BR_STATUS	CT_REP	0;
	113	0	CT_TBRCH	113	BR_STATUS	CT_REP	0;
	114	0	CT_TBRCH	114	BR_STATUS	CT_REP	0;
	115	0	CT_TBRCH	115	BR_STATUS	CT_REP	0;
	116	0	CT_TBRCH	116	BR_STATUS	CT_REP	0;
	117	0	CT_TBRCH	119	BR_STATUS	CT_REP	0;
	118	0	CT_TBRCH	120	BR_STATUS	CT_REP	0;
	119	0	CT_TBRCH	121	BR_STATUS	CT_REP	0;
	120	0	CT_TBRCH	122	BR_STATUS	CT_REP	0;
	121	0	CT_TBRCH	123	BR_STATUS	CT_REP	0;
	122	0	CT_TBRCH	124	BR_STATUS	CT_REP	0;
	123	0	CT_TBRCH	125	BR_STATUS	CT_REP	0;
	124	0	CT_TBRCH	126	BR_STATUS	CT_REP	0;
	125	0	CT_TBRCH	127	BR_STATUS	CT_REP	0;
	126	0	CT_TBRCH	128	BR_STATUS	CT_REP	0;
	127	0	CT_TBRCH	129	BR_STATUS	CT_REP	0;
	128	0	CT_TBRCH	130	BR_STATUS	CT_REP	0;
	129	0	CT_TBRCH	131	BR_STATUS	CT_REP	0;
	130	0	CT_TBRCH	132	BR_STATUS	CT_REP	0;
	131	0	CT_TBRCH	133	BR_STATUS	CT_REP	0;
	132	0	CT_TBRCH	134	BR_STATUS	CT_REP	0;
	133	0	CT_TBRCH	135	BR_STATUS	CT_REP	0;
	134	0	CT_TBRCH	136	BR_STATUS	CT_REP	0;
	135	0	CT_TBRCH	137	BR_STATUS	CT_REP	0;
	136	0	CT_TBRCH	138	BR_STATUS	CT_REP	0;
	137	0	CT_TBRCH	139	BR_STATUS	CT_REP	0;
	138	0	CT_TBRCH	140	BR_STATUS	CT_REP	0;
	139	0	CT_TBRCH	141	BR_STATUS	CT_REP	0;
	140	0	CT_TBRCH	142	BR_STATUS	CT_REP	0;
	141	0	CT_TBRCH	143	BR_STATUS	CT_REP	0;
	142	0	CT_TBRCH	144	BR_STATUS	CT_REP	0;
	143	0	CT_TBRCH	145	BR_STATUS	CT_REP	0;
	144	0	CT_TBRCH	146	BR_STATUS	CT_REP	0;
	145	0	CT_TBRCH	147	BR_STATUS	CT_REP	0;
	146	0	CT_TBRCH	148	BR_STATUS	CT_REP	0;
	147	0	CT_TBRCH	149	BR_STATUS	CT_REP	0;
	148	0	CT_TBRCH	150	BR_STATUS	CT_REP	0;
	149	0	CT_TBRCH	151	BR_STATUS	CT_REP	0;
	150	0	CT_TBRCH	152	BR_STATUS	CT_REP	0;
	151	0	CT_TBRCH	153	BR_STATUS	CT_REP	0;
	152	0	CT_TBRCH	154	BR_STATUS	CT_REP	0;
	153	0	CT_TBRCH	155	BR_STATUS	CT_REP	0;
	154	0	CT_TBRCH	156	BR_STATUS	CT_REP	0;
	155	0	CT_TBRCH	157	BR_STATUS	CT_REP	0;
	156	0	CT_TBRCH	158	BR_STATUS	CT_REP	0;
	157	0	CT_TBRCH	159	BR_STATUS	CT_REP	0;
	158	0	CT_TBRCH	160	BR_STATUS	CT_REP	0;
	159	0	CT_TBRCH	161	BR_STATUS	CT_REP	0;
	160	0	CT_TBRCH	162	BR_STATUS	CT_REP	0;
	161	0	CT_TBRCH	163	BR_STATUS	CT_REP	0;
	162	0	CT_TBRCH	164	BR_STATUS	CT_REP	0;
	163	0	CT_TBRCH	165	BR_STATUS	CT_REP	0;
	164	0	CT_TBRCH	166	BR_STATUS	CT_REP	0;
	165	0	CT_TBRCH	167	BR_STATUS	CT_REP	0;
	166	0	CT_TBRCH	168	BR_STATUS	CT_REP	0;
	167	0	CT_TBRCH	169	BR_STATUS	CT_REP	0;
	168	0	CT_TBRCH	170	BR_STATUS	CT_REP	0;
	169	0	CT_TBRCH	171	BR_STATUS	CT_REP	0;
	170	0	CT_TBRCH	172	BR_STATUS	CT_REP	0;
	171	0	CT_TBRCH	173	BR_STATUS	CT_REP	0;
	172	0	CT_TBRCH	174	BR_STATUS	CT_REP	0;
	173	0	CT_TBRCH	175	BR_STATUS	CT_REP	0;
	174	0	CT_TBRCH	176	BR_STATUS	CT_REP	0;
	175	0	CT_TBRCH	177	BR_STATUS	CT_REP	0;
	176	0	CT_TBRCH	178	BR_STATUS	CT_REP	0;
	177	0	CT_TBRCH	179	BR_STATUS	CT_REP	0;
	178	0	CT_TBRCH	180	BR_STATUS	CT_REP	0;
	179	0	CT_TBRCH	181	BR_STATUS	CT_REP	0;
	180	0	CT_TBRCH	182	BR_STATUS	CT_REP	0;
	181	0	CT_TBRCH	183	BR_STATUS	CT_REP	0;
	182	0	CT_TBRCH	184	BR_STATUS	CT_REP	0;
	183	0	CT_TBRCH	185	BR_STATUS	CT_REP	0;
	184	0	CT_TBRCH	186	BR_STATUS	CT_REP	0;
	185	0	CT_TBRCH	187	BR_STATUS	CT_REP	0;
	186	0	CT_TBRCH	188	BR_STATUS	CT_REP	0;
	187	0	CT_TBRCH	189	BR_STATUS	CT_REP	0;
	188	0	CT_TBRCH	190	BR_STATUS	CT_REP	0;
	189	0	CT_TBRCH	191	BR_STATUS	CT_REP	0;
	190	0	CT_TBRCH	192	BR_STATUS	CT_REP	0;
	191	0	CT_TBRCH	193	BR_STATUS	CT_REP	0;
	192	0	CT_TBRCH	194	BR_STATUS	CT_REP	0;
	193	0	CT_TBRCH	195	BR_STATUS	CT_REP	0;
	194	0	CT_TBRCH	196	BR_STATUS	CT_REP	0;
	195	0	CT_TBRCH	197	BR_STATUS	CT_REP	0;
	196	0	CT_TBRCH	198	BR_STATUS	CT_REP	0;
	197	0	CT_TBRCH	199	BR_STATUS	CT_REP	0;
	198	0	CT_TBRCH	200	BR_STATUS	CT_REP	0;
	199	0	CT_TBRCH	201	BR_STATUS	CT_REP	0;
	200	0	CT_TBRCH	202	BR_STATUS	CT_REP	0;
	201	0	CT_TBRCH	203	BR_STATUS	CT_REP	0;
	202	0	CT_TBRCH	204	BR_STATUS	CT_REP	0;
	203	0	CT_TBRCH	205	BR_STATUS	CT_REP	0;
	204	0	CT_TBRCH	206	BR_STATUS	CT_REP	0;
	205	0	CT_TBRCH	207	BR_STATUS	CT_REP	0;
	206	0	CT_TBRCH	208	BR_STATUS	CT_REP	0;
	207	0	CT_TBRCH	209	BR_STATUS	CT_REP	0;
	208	0	CT_TBRCH	210	BR_STATUS	CT_REP	0;
	209	0	CT_TBRCH	211	BR_STATUS	CT_REP	0;
	210	0	CT_TBRCH	212	BR_STATUS	CT_REP	0;
	211	0	CT_TBRCH	213	BR_STATUS	CT_REP	0;
	212	0	CT_TBRCH	214	BR_STATUS	CT_REP	0;
	213	0	CT_TBRCH	215	BR_STATUS	CT_REP	0;
	214	0	CT_TBRCH	216	BR_STATUS	CT_REP	0;
	215	0	CT_TBRCH	217	BR_STATUS	CT_REP	0;
	216	0	CT_TBRCH	218	BR_STATUS	CT_REP	0;
	217	0	CT_TBRCH	219	BR_STATUS	CT_REP	0;
	218	0	CT_TBRCH	220	BR_STATUS	CT_REP	0;
	219	0	CT_TBRCH	221	BR_STATUS	CT_REP	0;
	220	0	CT_TBRCH	222	BR_STATUS	CT_REP	0;
	221	0	CT_TBRCH	223	BR_STATUS	CT_REP	0;
	222	0	CT_TBRCH	224	BR_STATUS	CT_REP	0;
	223	0	CT_TBRCH	225	BR_STATUS	CT_REP	0;
	224	0	CT_TBRCH	226	BR_STATUS	CT_REP	0;
	225	0	CT_TBRCH	227	BR_STATUS	CT_REP	0;
	226	0	CT_TBRCH	228	BR_STATUS	CT_REP	0;
	227	0	CT_TBRCH	229	BR_STATUS	CT_REP	0;
	228	0	CT_TBRCH	230	BR_STATUS	CT_REP	0;
	229	0	CT_TBRCH	231	BR_STATUS	CT_REP	0;
	230	0	CT_TBRCH	232	BR_STATUS	CT_REP	0;
	231	0	CT_TBRCH	233	BR_STATUS	CT_REP	0;
	232	0	CT_TBRCH	234	BR_STATUS	CT_REP	0;
	233	0	CT_TBRCH	235	BR_STATUS	CT_REP	0;
	234	0	CT_TBRCH	236	BR_STATUS	CT_REP	0;
	235	0	CT_TBRCH	237	BR_STATUS	CT_REP	0;
	236	0	CT_TBRCH	238	BR_STATUS	CT_REP	0;
	237	0	CT_TBRCH	239	BR_STATUS	CT_REP	0;
	238	0	CT_TBRCH	240	BR_STATUS	CT_REP	0;
	239	0	CT_TBRCH	241	BR_STATUS	CT_REP	0;
	240	0	CT_TBRCH	242	BR_STATUS	CT_REP	0;
	241	0	CT_TBRCH	243	BR_STATUS	CT_REP	0;
	242	0	CT_TBRCH	244	BR_STATUS	CT_REP	0;
	243	0	CT_TBRCH	245	BR_STATUS	CT_REP	0;
	244	0	CT_TBRCH	246	BR_STATUS	CT_REP	0;
	245	0	CT_TBRCH	247	BR_STATUS	CT_REP	0;
	246	0	CT_TBRCH	248	BR_STATUS	CT_REP	0;
	247	0	CT_TBRCH	249	BR_STATUS	CT_REP	0;
	248	0	CT_TBRCH	250	BR_STATUS	CT_REP	0;
	249	0	CT_TBRCH	251	BR_STATUS	CT_REP	0;
	250	0	CT_TBRCH	252	BR_STATUS	CT_REP	0;
	251	0	CT_TBRCH	253	BR_STATUS	CT_REP	0;
	252	0	CT_TBRCH	254	BR_STATUS	CT_REP	0;
	253	0	CT_TBRCH	255	BR_STATUS	CT_REP	0;
	254	0	CT_TBRCH	256	BR_STATUS	CT_REP	0;
	255	0	CT_TBRCH	257	BR_STATUS	CT_REP	0;
	256	0	CT_TBRCH	258	BR_STATUS	CT_REP	0;
	257	0	CT_TBRCH	259	BR_STATUS	CT_REP	0;
	258	0	CT_TBRCH	260	BR_STATUS	CT_REP	0;
	259	0	CT_TBRCH	261	BR_STATUS	CT_REP	0;
	260	0	CT_TBRCH	262	BR_STATUS	CT_REP	0;
	261	0	CT_TBRCH	263	BR_STATUS	CT_REP	0;
	262	0	CT_TBRCH	264	BR_STATUS	CT_REP	0;
	263	0	CT_TBRCH	265	BR_STATUS	CT_REP	0;
	264	0	CT_TBRCH	266	BR_STATUS	CT_REP	0;
	265	0	CT_TBRCH	267	BR_STATUS	CT_REP	0;
	266	0	CT_TBRCH	268	BR_STATUS	CT_REP	0;
	267	0	CT_TBRCH	269	BR_STATUS	CT_REP	0;
	268	0	CT_TBRCH	270	BR_STATUS	CT_REP	0;
	269	0	CT_TBRCH	271	BR_STATUS	CT_REP	0;
	270	0	CT_TBRCH	272	BR_STATUS	CT_REP	0;
	271	0	CT_TBRCH	273	BR_STATUS	CT_REP	0;
	272	0	CT_TBRCH	274	BR_STATUS	CT_REP	0;
	273	0	CT_TBRCH	275	BR_STATUS	CT_REP	0;
	274	0	CT_TBRCH	276	BR_STATUS	CT_REP	0;
	275	0	CT_TBRCH	277	BR_STATUS	CT_REP	0;
	276	0	CT_TBRCH	278	BR_STATUS	CT_REP	0;
	277	0	CT_TBRCH	279	BR_STATUS	CT_REP	0;
	278	0	CT_TBRCH	280	BR_STATUS	CT_REP	0;
	279	0	CT_TBRCH	281	BR_STATUS	CT_REP	0;
	280	0	CT_TBRCH	282	BR_STATUS	CT_REP	0;
	281	0	CT_TBRCH	283	BR_STATUS	CT_REP	0;
	282	0	CT_TBRCH	284	BR_STATUS	CT_REP	0;
	283	0	CT_TBRCH	285	BR_STATUS	CT_REP	0;
	284	0	CT_TBRCH	286	BR_STATUS	CT_REP	0;
	285	0	CT_TBRCH	287	BR_STATUS	CT_REP	0;
	286	0	CT_TBRCH	288	BR_STATUS	CT_REP	0;
	287	0	CT_TBRCH	289	BR_STATUS	CT_REP	0;
	288	0	CT_TBRCH	290	BR_STATUS	CT_REP	0;
	289	0	CT_TBRCH	291	BR_STATUS	CT_REP	0;
	290	0	CT_TBRCH	292	BR_STATUS	CT_REP	0;
	291	0	CT_TBRCH	293	BR_STATUS	CT_REP	0;
	292	0	CT_TBRCH	294	BR_STATUS	CT_REP	0;
	293	0	CT_TBRCH	295	BR_STATUS	CT_REP	0;
	294	0	CT_TBRCH	296	BR_STATUS	CT_REP	0;
	295	0	CT_TBRCH	297	BR_STATUS	CT_REP	0;
	296	0	CT_TBRCH	298	BR_STATUS	CT_REP	0;
	297	0	CT_TBRCH	299	BR_STATUS	CT_REP	0;
	298	0	CT_TBRCH	300	BR_STATUS	CT_REP	0;
	299	0	CT_TBRCH	301	BR_STATUS	CT_REP	0;
	300	0	CT_TBRCH	302	BR_STATUS	CT_REP	0;
	301	0	CT_TBRCH	303	BR_STATUS	CT_REP	0;
	302	0	CT_TBRCH	304	BR_STATUS	CT_REP	0;
	303	0	CT_TBRCH	305	BR_STATUS	CT_REP	0;
	304	0	CT_TBRCH	306	BR_STATUS	CT_REP	0;
	305	0	CT_TBRCH	307	BR_STATUS	CT_REP	0;
	306	0	CT_TBRCH	308	BR_STATUS	CT_REP	0;
	307	0	CT_TBRCH	309	BR_STATUS	CT_REP	0;
	308	0	CT_TBRCH	310	BR_STATUS	CT_REP	0;
	309	0	CT_TBRCH	311	BR_STATUS	CT_REP	0;
	310	0	CT_TBRCH	312	BR_STATUS	CT_REP	0;
	311	0	CT_TBRCH	313	BR_STATUS	CT_REP	0;
	312	0	CT_TBRCH	314	BR_STATUS	CT_REP	0;
	313	0	CT_TBRCH	315	BR_STATUS	CT_REP	0;
	314	0	CT_TBRCH	316	BR_STATUS	CT_REP	0;
	315	0	CT_TBRCH	317	BR_STATUS	CT_REP	0;
	316	0	CT_TBRCH	318	BR_STATUS	CT_REP	0;
	317	0	CT_TBRCH	319	BR_STATUS	CT_REP	0;
	318	0	CT_TBRCH	320	BR_STATUS	CT_REP	0;
	319	0	CT_TBRCH	321	BR_STATUS	CT_REP	0;
	320	0	CT_TBRCH	322	BR_STATUS	CT_REP	0;
	321	0	CT_TBRCH	323	BR_STATUS	CT_REP	0;
	322	0	CT_TBRCH	324	BR_STATUS	CT_REP	0;
	323	0	CT_TBRCH	325	BR_STATUS	CT_REP	0;
	324	0	CT_TBRCH	326	BR_STATUS	CT_REP	0;
	325	0	CT_TBRCH	327	BR_STATUS	CT_REP	0;
	326	0	CT_TBRCH	328	BR_STATUS	CT_REP	0;
	327	0	CT_TBRCH	329	BR_STATUS	CT_REP	0;
	328	0	CT_TBRCH	330	BR_STATUS	CT_REP	0;
	329	0	CT_TBRCH	331	BR_STATUS	CT_REP	0;
	330	0	CT_TBRCH	332	BR_STATUS	CT_REP	0;
	331	0	CT_TBRCH	333	BR_STATUS	CT_REP	0;
	332	0	CT_TBRCH	334	BR_STATUS	CT_REP	0;
	333	0	CT_TBRCH	335	BR_STATUS	CT_REP	0;
	334	0	CT_TBRCH	336	BR_STATUS	CT_REP	0;
	335	0	CT_TBRCH	337	BR_STATUS	CT_REP	0;
	336	0	CT_TBRCH	338	BR_STATUS	CT_REP	0;
	337	0	CT_TBRCH	339	BR_STATUS	CT_REP	0;
	338	0	CT_TBRCH	340	BR_STATUS	CT_REP	0;
	339	0	CT_TBRCH	341	BR_STATUS	CT_REP	0;
	340	0	CT_TBRCH	342	BR_STATUS	CT_REP	0;
	341	0	CT_TBRCH	343	BR_STATUS	CT_REP	0;
	342	0	CT_TBRCH	344	BR_STATUS	CT_REP	0;
	343	0	CT_TBRCH	345	BR_STATUS	CT_REP	0;
	344	0	CT_TBRCH	346	BR_STATUS	CT_REP	0;
	345	0	CT_TBRCH	347	BR_STATUS	CT_REP	0;
	346	0	CT_TBRCH	348	BR_STATUS	CT_REP	0;
	347	0	CT_TBRCH	349	BR_STATUS	CT_REP	0;
	348	0	CT_TBRCH	350	BR_STATUS	CT_REP	0;
	349	0	CT_TBRCH	351	BR_STATUS	CT_REP	0;
	350	0	CT_TBRCH	352	BR_STATUS	CT_REP	0;
	351	0	CT_TBRCH	353	BR_STATUS	CT_REP	0;
	352	0	CT_TBRCH	354	BR_STATUS	CT_REP	0;
	353	0	CT_TBRCH	355	BR_STATUS	CT_REP	0;
	354	0	CT_TBRCH	356	BR_STATUS	CT_REP	0;
	355	0	CT_TBRCH	357	BR_STATUS	CT_REP	0;
	356	0	CT_TBRCH	358	BR_STATUS	CT_REP	0;
	357	0	CT_TBRCH	359	BR_STATUS	CT_REP	0;
	358	0	CT_TBRCH	360	BR_STATUS	CT_REP	0;
	359	0	CT_TBRCH	361	BR_STATUS	CT_REP	0;
	360	0	CT_TBRCH	362	BR_STATUS	CT_REP	0;
	361	0	CT_TBRCH	363	BR_STATUS	CT_REP	0;
	362	0	CT_TBRCH	364	BR_STATUS	CT_REP	0;
	363	0	CT_TBRCH	365	BR_STATUS	CT_REP	0;
	364	0	CT_TBRCH	366	BR_STATUS	CT_REP	0;
	365	0	CT_TBRCH	367	BR_STATUS	CT_REP	0;
	366	0	CT_TBRCH	368	BR_STATUS	CT_REP	0;
	367	0	CT_TBRCH	369	BR_STATUS	CT_REP	0;
	368	0	CT_TBRCH	370	BR_STATUS	CT_REP	0;
	369	0	CT_TBRCH	371	BR_STATUS	CT_REP	0;
	370	0	CT_TBRCH	372	BR_STATUS	CT_REP	0;
	371	0	CT_TBRCH	373	BR_STATUS	CT_REP	0;
	372	0	CT_TBRCH	374	BR_STATUS	CT_REP	0;
	373	0	CT_TBRCH	375	BR_STATUS	CT_REP	0;
	374	0	CT_TBRCH	376	BR_STATUS	CT_REP	0;
	375	0	CT_TBRCH	377	BR_STATUS	CT_REP	0;
	376	0	CT_TBRCH	378	BR_STATUS	CT_REP	0;
	377	0	CT_TBRCH	379	BR_STATUS	CT_REP	0;
	378	0	CT_TBRCH	380	BR_STATUS	CT_REP	0;
	379	0	CT_TBRCH	381	BR_STATUS	CT_REP	0;
	380	0	CT_TBRCH	382	BR_STATUS	CT_REP	0;
	381	0	CT_TBRCH	383	BR_STATUS	CT_REP	0;
	382	0	CT_TBRCH	384	BR_STATUS	CT_REP	0;
	383	0	CT_TBRCH	385	BR_STATUS	CT_REP	0;
	384	0	CT_TBRCH	386	BR_STATUS	CT_REP	0;
	385	0	CT_TBRCH	387	BR_STATUS	CT_REP	0;
	386	0	CT_TBRCH	389	BR_STATUS	CT_REP	0;
	387	0	CT_TBRCH	390	BR_STATUS	CT_REP	0;
	388	0	CT_TBRCH	391	BR_STATUS	CT_REP	0;
	389	0	CT_TBRCH	392	BR_STATUS	CT_REP	0;
	390	0	CT_TBRCH	393	BR_STATUS	CT_REP	0;
	391	0	CT_TBRCH	394	BR_STATUS	CT_REP	0;
	392	0	CT_TBRCH	395	BR_STATUS	CT_REP	0;
	393	0	CT_TBRCH	396	BR_STATUS	CT_REP	0;
	394	0	CT_TBRCH	397	BR_STATUS	CT_REP	0;
	395	0	CT_TBRCH	398	BR_STATUS	CT_REP	0;
	396	0	CT_TBRCH	399	BR_STATUS	CT_REP	0;
	397	0	CT_TBRCH	400	BR_STATUS	CT_REP	0;
	398	0	CT_TBRCH	401	BR_STATUS	CT_REP	0;
	399	0	CT_TBRCH	402	BR_STATUS	CT_REP	0;
	400	0	CT_TBRCH	403	BR_STATUS	CT_REP	0;
	401	0	CT_TBRCH	404	BR_STATUS	CT_REP	0;
	402	0	CT_TBRCH	405	BR_STATUS	CT_REP	0;
	403	0	CT_TBRCH	406	BR_STATUS	CT_REP	0;
	404	0	CT_TBRCH	407	BR_STATUS	CT_REP	0;
	405	0	CT_TBRCH	408	BR_STATUS	CT_REP	0;
	406	0	CT_TBRCH	409	BR_STATUS	CT_REP	0;
	407	0	CT_TBRCH	410	BR_STATUS	CT_REP	0;
	408	0	CT_TBRCH	411	BR_STATUS	CT_REP	0;
	409	0	CT_TBRCH	412	BR_STATUS	CT_REP	0;
	410	0	CT_TBRCH	413	BR_STATUS	CT_REP	0;
	411	0	CT_TBRCH	414	BR_STATUS	CT_REP	0;
	412	0	CT_TBRCH	415	BR_STATUS	CT_REP	0;
	413	0	CT_TBRCH	416	BR_STATUS	CT_REP	0;
	414	0	CT_TBRCH	417	BR_STATUS	CT_REP	0;
	415	0	CT_TBRCH	418	BR_STATUS	CT_REP	0;
	416	0	CT_TBRCH	419	BR_STATUS	CT_REP	0;
	417	0	CT_TBRCH	420	BR_STATUS	CT_REP	0;
	418	0	CT_TBRCH	421	BR_STATUS	CT_REP	0;
	419	0	CT_TBRCH	422	BR_STATUS	CT_REP	0;
	420	0	CT_TBRCH	423	BR_STATUS	CT_REP	0;
	421	0	CT_TBRCH	424	BR_STATUS	CT_REP	0;
	422	0	CT_TBRCH	425	BR_STATUS	CT_REP	0;
	423	0	CT_TBRCH	426	BR_STATUS	CT_REP	0;
	424	0	CT_TBRCH	427	BR_STATUS	CT_REP	0;
	425	0	CT_TBRCH	428	BR_STATUS	CT_REP	0;
	426	0	CT_TBRCH	429	BR_STATUS	CT_REP	0;
	427	0	CT_TBRCH	430	BR_STATUS	CT_REP	0;
	428	0	CT_TBRCH	431	BR_STATUS	CT_REP	0;
	429	0	CT_TBRCH	432	BR_STATUS	CT_REP	0;
	430	0	CT_TBRCH	433	BR_STATUS	CT_REP	0;
	431	0	CT_TBRCH	434	BR_STATUS	CT_REP	0;
	432	0	CT_TBRCH	435	BR_STATUS	CT_REP	0;
	433	0	CT_TBRCH	436	BR_STATUS	CT_REP	0;
	434	0	CT_TBRCH	437	BR_STATUS	CT_REP	0;
	435	0	CT_TBRCH	438	BR_STATUS	CT_REP	0;
	436	0	CT_TBRCH	439	BR_STATUS	CT_REP	0;
	437	0	CT_TBRCH	440	BR_STATUS	CT_REP	0;
	438	0	CT_TBRCH	441	BR_STATUS	CT_REP	0;
	439	0	CT_TBRCH	442	BR_STATUS	CT_REP	0;
	440	0	CT_TBRCH	443	BR_STATUS	CT_REP	0;
	441	0	CT_TBRCH	444	BR_STATUS	CT_REP	0;
	442	0	CT_TBRCH	445	BR_STATUS	CT_REP	0;
	443	0	CT_TBRCH	446	BR_STATUS	CT_REP	0;
	444	0	CT_TBRCH	447	BR_STATUS	CT_REP	0;
	445	0	CT_TBRCH	448	BR_STATUS	CT_REP	0;
	446	0	CT_TBRCH	449	BR_STATUS	CT_REP	0;
	447	0	CT_TBRCH	450	BR_STATUS	CT_REP	0;
	448	0	CT_TBRCH	451	BR_STATUS	CT_REP	0;
	449	0	CT_TBRCH	452	BR_STATUS	CT_REP	0;
	450	0	CT_TBRCH	454	BR_STATUS	CT_REP	0;
	451	0	CT_TBRCH	455	BR_STATUS	CT_REP	0;
	452	0	CT_TBRCH	456	BR_STATUS	CT_REP	0;
	453	0	CT_TBRCH	457	BR_STATUS	CT_REP	0;
	454	0	CT_TBRCH	459	BR_STATUS	CT_REP	0;
	455	0	CT_TBRCH	460	BR_STATUS	CT_REP	0;
	456	0	CT_TBRCH	461	BR_STATUS	CT_REP	0;
	457	0	CT_TBRCH	462	BR_STATUS	CT_REP	0;
	458	0	CT_TBRCH	463	BR_STATUS	CT_REP	0;
	459	0	CT_TBRCH	464	BR_STATUS	CT_REP	0;
	460	0	CT_TBRCH	465	BR_STATUS	CT_REP	0;
	461	0	CT_TBRCH	466	BR_STATUS	CT_REP	0;
	462	0	CT_TBRCH	467	BR_STATUS	CT_REP	0;
	463	0	CT_TBRCH	468	BR_STATUS	CT_REP	0;
	464	0	CT_TBRCH	469	BR_STATUS	CT_REP	0;
	465	0	CT_TBRCH	470	BR_STATUS	CT_REP	0;
	466	0	CT_TBRCH	471	BR_STATUS	CT_REP	0;
	467	0	CT_TBRCH	472	BR_STATUS	CT_REP	0;
	468	0	CT_TBRCH	473	BR_STATUS	CT_REP	0;
	469	0	CT_TBRCH	474	BR_STATUS	CT_REP	0;
	470	0	CT_TBRCH	475	BR_STATUS	CT_REP	0;
	471	0	CT_TBRCH	476	BR_STATUS	CT_REP	0;
	472	0	CT_TBRCH	477	BR_STATUS	CT_REP	0;
	473	0	CT_TBRCH	478	BR_STATUS	CT_REP	0;
	474	0	CT_TBRCH	479	BR_STATUS	CT_REP	0;
	475	0	CT_TBRCH	480	BR_STATUS	CT_REP	0;
	476	0	CT_TBRCH	481	BR_STATUS	CT_REP	0;
	477	0	CT_TBRCH	482	BR_STATUS	CT_REP	0;
	478	0	CT_TBRCH	483	BR_STATUS	CT_REP	0;
	479	0	CT_TBRCH	484	BR_STATUS	CT_REP	0;
	480	0	CT_TBRCH	485	BR_STATUS	CT_REP	0;
	481	0	CT_TBRCH	486	BR_STATUS	CT_REP	0;
	482	0	CT_TBRCH	487	BR_STATUS	CT_REP	0;
	483	0	CT_TBRCH	488	BR_STATUS	CT_REP	0;
	484	0	CT_TBRCH	489	BR_STATUS	CT_REP	0;
	485	0	CT_TBRCH	490	BR_STATUS	CT_REP	0;
	486	0	CT_TBRCH	491	BR_STATUS	CT_REP	0;
	487	0	CT_TBRCH	492	BR_STATUS	CT_REP	0;
	488	0	CT_TBRCH	493	BR_STATUS	CT_REP	0;
	489	0	CT_TBRCH	494	BR_STATUS	CT_REP	0;
	490	0	CT_TBRCH	495	BR_STATUS	CT_REP	0;
	491	0	CT_TBRCH	496	BR_STATUS	CT_REP	0;
	492	0	CT_TBRCH	497	BR_STATUS	CT_REP	0;
	493	0	CT_TBRCH	498	BR_STATUS	CT_REP	0;
	494	0	CT_TBRCH	499	BR_STATUS	CT_REP	0;
	495	0	CT_TBRCH	500	BR_STATUS	CT_REP	0;
	496	0	CT_TBRCH	501	BR_STATUS	CT_REP	0;
	497	0	CT_TBRCH	502	BR_STATUS	CT_REP	0;
	498	0	CT_TBRCH	503	BR_STATUS	CT_REP	0;
	499	0	CT_TBRCH	504	BR_STATUS	CT_REP	0;
	500	0	CT_TBRCH	507	BR_STATUS	CT_REP	0;
	501	0	CT_TBRCH	505	BR_STATUS	CT_REP	0;
	502	0	CT_TBRCH	506	BR_STATUS	CT_REP	0;
	503	0	CT_TBRCH	508	BR_STATUS	CT_REP	0;
	504	0	CT_TBRCH	509	BR_STATUS	CT_REP	0;
	505	0	CT_TBRCH	510	BR_STATUS	CT_REP	0;
	506	0	CT_TBRCH	511	BR_STATUS	CT_REP	0;
	507	0	CT_TBRCH	512	BR_STATUS	CT_REP	0;
	508	0	CT_TBRCH	513	BR_STATUS	CT_REP	0;
	509	0	CT_TBRCH	514	BR_STATUS	CT_REP	0;
	510	0	CT_TBRCH	515	BR_STATUS	CT_REP	0;
	511	0	CT_TBRCH	516	BR_STATUS	CT_REP	0;
	512	0	CT_TBRCH	517	BR_STATUS	CT_REP	0;
	513	0	CT_TBRCH	518	BR_STATUS	CT_REP	0;
	514	0	CT_TBRCH	519	BR_STATUS	CT_REP	0;
	515	0	CT_TBRCH	520	BR_STATUS	CT_REP	0;
	516	0	CT_TBRCH	521	BR_STATUS	CT_REP	0;
	517	0	CT_TBRCH	522	BR_STATUS	CT_REP	0;
	518	0	CT_TBRCH	523	BR_STATUS	CT_REP	0;
	519	0	CT_TBRCH	524	BR_STATUS	CT_REP	0;
	520	0	CT_TBRCH	525	BR_STATUS	CT_REP	0;
	521	0	CT_TBRCH	526	BR_STATUS	CT_REP	0;
	522	0	CT_TBRCH	527	BR_STATUS	CT_REP	0;
	523	0	CT_TBRCH	528	BR_STATUS	CT_REP	0;
	524	0	CT_TBRCH	529	BR_STATUS	CT_REP	0;
	525	0	CT_TBRCH	530	BR_STATUS	CT_REP	0;
	526	0	CT_TBRCH	531	BR_STATUS	CT_REP	0;
	527	0	CT_TBRCH	532	BR_STATUS	CT_REP	0;
	528	0	CT_TBRCH	533	BR_STATUS	CT_REP	0;
	529	0	CT_TBRCH	534	BR_STATUS	CT_REP	0;
	530	0	CT_TBRCH	535	BR_STATUS	CT_REP	0;
	531	0	CT_TBRCH	536	BR_STATUS	CT_REP	0;
	532	0	CT_TBRCH	537	BR_STATUS	CT_REP	0;
	533	0	CT_TBRCH	538	BR_STATUS	CT_REP	0;
	534	0	CT_TBRCH	539	BR_STATUS	CT_REP	0;
	535	0	CT_TBRCH	540	BR_STATUS	CT_REP	0;
	536	0	CT_TBRCH	541	BR_STATUS	CT_REP	0;
	537	0	CT_TBRCH	542	BR_STATUS	CT_REP	0;
	538	0	CT_TBRCH	543	BR_STATUS	CT_REP	0;
	539	0	CT_TBRCH	544	BR_STATUS	CT_REP	0;
	540	0	CT_TBRCH	545	BR_STATUS	CT_REP	0;
	541	0	CT_TBRCH	546	BR_STATUS	CT_REP	0;
	542	0	CT_TBRCH	547	BR_STATUS	CT_REP	0;
	543	0	CT_TBRCH	548	BR_STATUS	CT_REP	0;
	544	0	CT_TBRCH	549	BR_STATUS	CT_REP	0;
	545	0	CT_TBRCH	550	BR_STATUS	CT_REP	0;
	546	0	CT_TBRCH	551	BR_STATUS	CT_REP	0;
	547	0	CT_TBRCH	552	BR_STATUS	CT_REP	0;
	548	0	CT_TBRCH	553	BR_STATUS	CT_REP	0;
	549	0	CT_TBRCH	554	BR_STATUS	CT_REP	0;
	550	0	CT_TBRCH	555	BR_STATUS	CT_REP	0;
	551	0	CT_TBRCH	556	BR_STATUS	CT_REP	0;
	552	0	CT_TBRCH	557	BR_STATUS	CT_REP	0;
	553	0	CT_TBRCH	558	BR_STATUS	CT_REP	0;
	554	0	CT_TBRCH	559	BR_STATUS	CT_REP	0;
	555	0	CT_TBRCH	560	BR_STATUS	CT_REP	0;
	556	0	CT_TBRCH	561	BR_STATUS	CT_REP	0;
	557	0	CT_TBRCH	562	BR_STATUS	CT_REP	0;
	558	0	CT_TBRCH	563	BR_STATUS	CT_REP	0;
	559	0	CT_TBRCH	564	BR_STATUS	CT_REP	0;
	560	0	CT_TBRCH	565	BR_STATUS	CT_REP	0;
	561	0	CT_TBRCH	566	BR_STATUS	CT_REP	0;
	562	0	CT_TBRCH	567	BR_STATUS	CT_REP	0;
	563	0	CT_TBRCH	568	BR_STATUS	CT_REP	0;
	564	0	CT_TBRCH	569	BR_STATUS	CT_REP	0;
	565	0	CT_TBRCH	570	BR_STATUS	CT_REP	0;
	566	0	CT_TBRCH	571	BR_STATUS	CT_REP	0;
	567	0	CT_TBRCH	572	BR_STATUS	CT_REP	0;
	568	0	CT_TBRCH	573	BR_STATUS	CT_REP	0;
	569	0	CT_TBRCH	574	BR_STATUS	CT_REP	0;
	570	0	CT_TBRCH	575	BR_STATUS	CT_REP	0;
	571	0	CT_TBRCH	576	BR_STATUS	CT_REP	0;
	572	0	CT_TBRCH	577	BR_STATUS	CT_REP	0;
	573	0	CT_TBRCH	578	BR_STATUS	CT_REP	0;
	574	0	CT_TBRCH	579	BR_STATUS	CT_REP	0;
	575	0	CT_TBRCH	580	BR_STATUS	CT_REP	0;
	576	0	CT_TBRCH	581	BR_STATUS	CT_REP	0;
	577	0	CT_TBRCH	582	BR_STATUS	CT_REP	0;
	578	0	CT_TBRCH	583	BR_STATUS	CT_REP	0;
	579	0	CT_TBRCH	584	BR_STATUS	CT_REP	0;
	580	0	CT_TBRCH	585	BR_STATUS	CT_REP	0;
	581	0	CT_TBRCH	586	BR_STATUS	CT_REP	0;
	582	0	CT_TBRCH	587	BR_STATUS	CT_REP	0;
	583	0	CT_TBRCH	588	BR_STATUS	CT_REP	0;
	584	0	CT_TBRCH	589	BR_STATUS	CT_REP	0;
	585	0	CT_TBRCH	590	BR_STATUS	CT_REP	0;
	586	0	CT_TBRCH	591	BR_STATUS	CT_REP	0;
	587	0	CT_TBRCH	592	BR_STATUS	CT_REP	0;
	588	0	CT_TBRCH	593	BR_STATUS	CT_REP	0;
	589	0	CT_TBRCH	594	BR_STATUS	CT_REP	0;
	590	0	CT_TBRCH	595	BR_STATUS	CT_REP	0;
	591	0	CT_TBRCH	596	BR_STATUS	CT_REP	0;
	592	0	CT_TBRCH	597	BR_STATUS	CT_REP	0;
	593	0	CT_TBRCH	598	BR_STATUS	CT_REP	0;
	594	0	CT_TBRCH	599	BR_STATUS	CT_REP	0;
	595	0	CT_TBRCH	600	BR_STATUS	CT_REP	0;
	596	0	CT_TBRCH	601	BR_STATUS	CT_REP	0;
	597	0	CT_TBRCH	602	BR_STATUS	CT_REP	0;
	598	0	CT_TBRCH	603	BR_STATUS	CT_REP	0;
	599	0	CT_TBRCH	604	BR_STATUS	CT_REP	0;
	600	0	CT_TBRCH	605	BR_STATUS	CT_REP	0;
	601	0	CT_TBRCH	606	BR_STATUS	CT_REP	0;
	602	0	CT_TBRCH	607	BR_STATUS	CT_REP	0;
	603	0	CT_TBRCH	608	BR_STATUS	CT_REP	0;
	604	0	CT_TBRCH	609	BR_STATUS	CT_REP	0;
	605	0	CT_TBRCH	610	BR_STATUS	CT_REP	0;
	606	0	CT_TBRCH	611	BR_STATUS	CT_REP	0;
	607	0	CT_TBRCH	612	BR_STATUS	CT_REP	0;
	608	0	CT_TBRCH	613	BR_STATUS	CT_REP	0;
	609	0	CT_TBRCH	614	BR_STATUS	CT_REP	0;
	610	0	CT_TBRCH	615	BR_STATUS	CT_REP	0;
	611	0	CT_TBRCH	616	BR_STATUS	CT_REP	0;
	612	0	CT_TBRCH	617	BR_STATUS	CT_REP	0;
	613	0	CT_TBRCH	618	BR_STATUS	CT_REP	0;
	614	0	CT_TBRCH	619	BR_STATUS	CT_REP	0;
	615	0	CT_TBRCH	620	BR_STATUS	CT_REP	0;
	616	0	CT_TBRCH	621	BR_STATUS	CT_REP	0;
	617	0	CT_TBRCH	622	BR_STATUS	CT_REP	0;
	618	0	CT_TBRCH	623	BR_STATUS	CT_REP	0;
	619	0	CT_TBRCH	624	BR_STATUS	CT_REP	0;
	620	0	CT_TBRCH	625	BR_STATUS	CT_REP	0;
	621	0	CT_TBRCH	626	BR_STATUS	CT_REP	0;
	622	0	CT_TBRCH	627	BR_STATUS	CT_REP	0;
	623	0	CT_TBRCH	628	BR_STATUS	CT_REP	0;
	624	0	CT_TBRCH	629	BR_STATUS	CT_REP	0;
	625	0	CT_TBRCH	630	BR_STATUS	CT_REP	0;
	626	0	CT_TBRCH	631	BR_STATUS	CT_REP	0;
	627	0	CT_TBRCH	632	BR_STATUS	CT_REP	0;
	628	0	CT_TBRCH	633	BR_STATUS	CT_REP	0;
	629	0	CT_TBRCH	634	BR_STATUS	CT_REP	0;
	630	0	CT_TBRCH	635	BR_STATUS	CT_REP	0;
	631	0	CT_TBRCH	636	BR_STATUS	CT_REP	0;
	632	0	CT_TBRCH	637	BR_STATUS	CT_REP	0;
	633	0	CT_TBRCH	638	BR_STATUS	CT_REP	0;
	634	0	CT_TBRCH	639	BR_STATUS	CT_REP	0;
	635	0	CT_TBRCH	640	BR_STATUS	CT_REP	0;
	636	0	CT_TBRCH	641	BR_STATUS	CT_REP	0;
	637	0	CT_TBRCH	642	BR_STATUS	CT_REP	0;
	638	0	CT_TBRCH	643	BR_STATUS	CT_REP	0;
	639	0	CT_TBRCH	644	BR_STATUS	CT_REP	0;
	640	0	CT_TBRCH	645	BR_STATUS	CT_REP	0;
	641	0	CT_TBRCH	646	BR_STATUS	CT_REP	0;
	642	0	CT_TBRCH	647	BR_STATUS	CT_REP	0;
	643	0	CT_TBRCH	648	BR_STATUS	CT_REP	0;
	644	0	CT_TBRCH	649	BR_STATUS	CT_REP	0;
	645	0	CT_TBRCH	650	BR_STATUS	CT_REP	0;
	646	0	CT_TBRCH	651	BR_STATUS	CT_REP	0;
	647	0	CT_TBRCH	652	BR_STATUS	CT_REP	0;
	648	0	CT_TBRCH	653	BR_STATUS	CT_REP	0;
	649	0	CT_TBRCH	654	BR_STATUS	CT_REP	0;
	650	0	CT_TBRCH	655	BR_STATUS	CT_REP	0;
	651	0	CT_TBRCH	656	BR_STATUS	CT_REP	0;
	652	0	CT_TBRCH	657	BR_STATUS	CT_REP	0;
	653	0	CT_TBRCH	658	BR_STATUS	CT_REP	0;
	654	0	CT_TBRCH	659	BR_STATUS	CT_REP	0;
	655	0	CT_TBRCH	660	BR_STATUS	CT_REP	0;
	656	0	CT_TBRCH	661	BR_STATUS	CT_REP	0;
	657	0	CT_TBRCH	662	BR_STATUS	CT_REP	0;
	658	0	CT_TBRCH	663	BR_STATUS	CT_REP	0;
	659	0	CT_TBRCH	664	BR_STATUS	CT_REP	0;
	660	0	CT_TBRCH	665	BR_STATUS	CT_REP	0;
	661	0	CT_TBRCH	666	BR_STATUS	CT_REP	0;
	662	0	CT_TBRCH	667	BR_STATUS	CT_REP	0;
	663	0	CT_TBRCH	668	BR_STATUS	CT_REP	0;
	664	0	CT_TBRCH	669	BR_STATUS	CT_REP	0;
	665	0	CT_TBRCH	670	BR_STATUS	CT_REP	0;
	666	0	CT_TBRCH	671	BR_STATUS	CT_REP	0;
	667	0	CT_TBRCH	672	BR_STATUS	CT_REP	0;
	668	0	CT_TBRCH	673	BR_STATUS	CT_REP	0;
	669	0	CT_TBRCH	674	BR_STATUS	CT_REP	0;
	670	0	CT_TBRCH	675	BR_STATUS	CT_REP	0;
	671	0	CT_TBRCH	676	BR_STATUS	CT_REP	0;
	672	0	CT_TBRCH	677	BR_STATUS	CT_REP	0;
	673	0	CT_TBRCH	678	BR_STATUS	CT_REP	0;
	674	0	CT_TBRCH	679	BR_STATUS	CT_REP	0;
	675	0	CT_TBRCH	680	BR_STATUS	CT_REP	0;
	676	0	CT_TBRCH	681	BR_STATUS	CT_REP	0;
	677	0	CT_TBRCH	682	BR_STATUS	CT_REP	0;
	678	0	CT_TBRCH	683	BR_STATUS	CT_REP	0;
	679	0	CT_TBRCH	684	BR_STATUS	CT_REP	0;
	680	0	CT_TBRCH	685	BR_STATUS	CT_REP	0;
	681	0	CT_TBRCH	686	BR_STATUS	CT_REP	0;
	682	0	CT_TBRCH	687	BR_STATUS	CT_REP	0;
	683	0	CT_TBRCH	688	BR_STATUS	CT_REP	0;
	684	0	CT_TBRCH	689	BR_STATUS	CT_REP	0;
	685	0	CT_TBRCH	690	BR_STATUS	CT_REP	0;
	686	0	CT_TBRCH	691	BR_STATUS	CT_REP	0;
	687	0	CT_TBRCH	692	BR_STATUS	CT_REP	0;
	688	0	CT_TBRCH	693	BR_STATUS	CT_REP	0;
	689	0	CT_TBRCH	694	BR_STATUS	CT_REP	0;
	690	0	CT_TBRCH	695	BR_STATUS	CT_REP	0;
	691	0	CT_TBRCH	696	BR_STATUS	CT_REP	0;
	692	0	CT_TBRCH	697	BR_STATUS	CT_REP	0;
	693	0	CT_TBRCH	698	BR_STATUS	CT_REP	0;
	694	0	CT_TBRCH	699	BR_STATUS	CT_REP	0;
	695	0	CT_TBRCH	700	BR_STATUS	CT_REP	0;
	696	0	CT_TBRCH	701	BR_STATUS	CT_REP	0;
	697	0	CT_TBRCH	702	BR_STATUS	CT_REP	0;
	698	0	CT_TBRCH	703	BR_STATUS	CT_REP	0;
	699	0	CT_TBRCH	704	BR_STATUS	CT_REP	0;
	700	0	CT_TBRCH	705	BR_STATUS	CT_REP	0;
	701	0	CT_TBRCH	706	BR_STATUS	CT_REP	0;
	702	0	CT_TBRCH	707	BR_STATUS	CT_REP	0;
	703	0	CT_TBRCH	708	BR_STATUS	CT_REP	0;
	704	0	CT_TBRCH	709	BR_STATUS	CT_REP	0;
	705	0	CT_TBRCH	710	BR_STATUS	CT_REP	0;
	706	0	CT_TBRCH	711	BR_STATUS	CT_REP	0;
	707	0	CT_TBRCH	712	BR_STATUS	CT_REP	0;
	708	0	CT_TBRCH	713	BR_STATUS	CT_REP	0;
	709	0	CT_TBRCH	714	BR_STATUS	CT_REP	0;
	710	0	CT_TBRCH	715	BR_STATUS	CT_REP	0;
	711	0	CT_TBRCH	716	BR_STATUS	CT_REP	0;
	712	0	CT_TBRCH	717	BR_STATUS	CT_REP	0;
	713	0	CT_TBRCH	718	BR_STATUS	CT_REP	0;
	714	0	CT_TBRCH	719	BR_STATUS	CT_REP	0;
	715	0	CT_TBRCH	720	BR_STATUS	CT_REP	0;
	716	0	CT_TBRCH	721	BR_STATUS	CT_REP	0;
	717	0	CT_TBRCH	722	BR_STATUS	CT_REP	0;
	718	0	CT_TBRCH	723	BR_STATUS	CT_REP	0;
	719	0	CT_TBRCH	724	BR_STATUS	CT_REP	0;
	720	0	CT_TBRCH	725	BR_STATUS	CT_REP	0;
	721	0	CT_TBRCH	726	BR_STATUS	CT_REP	0;
	722	0	CT_TBRCH	727	BR_STATUS	CT_REP	0;
	723	0	CT_TBRCH	728	BR_STATUS	CT_REP	0;
	724	0	CT_TBRCH	729	BR_STATUS	CT_REP	0;
	725	0	CT_TBRCH	730	BR_STATUS	CT_REP	0;
	726	0	CT_TBRCH	731	BR_STATUS	CT_REP	0;
	727	0	CT_TBRCH	732	BR_STATUS	CT_REP	0;
	728	0	CT_TBRCH	733	BR_STATUS	CT_REP	0;
	729	0	CT_TBRCH	734	BR_STATUS	CT_REP	0;
	730	0	CT_TBRCH	735	BR_STATUS	CT_REP	0;
	731	0	CT_TBRCH	736	BR_STATUS	CT_REP	0;
	732	0	CT_TBRCH	737	BR_STATUS	CT_REP	0;
	733	0	CT_TBRCH	738	BR_STATUS	CT_REP	0;
	734	0	CT_TBRCH	739	BR_STATUS	CT_REP	0;
	735	0	CT_TBRCH	740	BR_STATUS	CT_REP	0;
	736	0	CT_TBRCH	741	BR_STATUS	CT_REP	0;
	737	0	CT_TBRCH	742	BR_STATUS	CT_REP	0;
	738	0	CT_TBRCH	743	BR_STATUS	CT_REP	0;
	739	0	CT_TBRCH	744	BR_STATUS	CT_REP	0;
	740	0	CT_TBRCH	745	BR_STATUS	CT_REP	0;
	741	0	CT_TBRCH	746	BR_STATUS	CT_REP	0;
	742	0	CT_TBRCH	747	BR_STATUS	CT_REP	0;
	743	0	CT_TBRCH	748	BR_STATUS	CT_REP	0;
	744	0	CT_TBRCH	749	BR_STATUS	CT_REP	0;
	745	0	CT_TBRCH	750	BR_STATUS	CT_REP	0;
	746	0	CT_TBRCH	751	BR_STATUS	CT_REP	0;
	747	0	CT_TBRCH	752	BR_STATUS	CT_REP	0;
	748	0	CT_TBRCH	753	BR_STATUS	CT_REP	0;
	749	0	CT_TBRCH	754	BR_STATUS	CT_REP	0;
	750	0	CT_TBRCH	755	BR_STATUS	CT_REP	0;
	751	0	CT_TBRCH	756	BR_STATUS	CT_REP	0;
	752	0	CT_TBRCH	757	BR_STATUS	CT_REP	0;
	753	0	CT_TBRCH	758	BR_STATUS	CT_REP	0;
	754	0	CT_TBRCH	759	BR_STATUS	CT_REP	0;
	755	0	CT_TBRCH	760	BR_STATUS	CT_REP	0;
	756	0	CT_TBRCH	761	BR_STATUS	CT_REP	0;
	757	0	CT_TBRCH	762	BR_STATUS	CT_REP	0;
	758	0	CT_TBRCH	763	BR_STATUS	CT_REP	0;
	759	0	CT_TBRCH	764	BR_STATUS	CT_REP	0;
	760	0	CT_TBRCH	765	BR_STATUS	CT_REP	0;
	761	0	CT_TBRCH	766	BR_STATUS	CT_REP	0;
	762	0	CT_TBRCH	767	BR_STATUS	CT_REP	0;
	763	0	CT_TBRCH	768	BR_STATUS	CT_REP	0;
	764	0	CT_TBRCH	769	BR_STATUS	CT_REP	0;
	765	0	CT_TBRCH	770	BR_STATUS	CT_REP	0;
	766	0	CT_TBRCH	771	BR_STATUS	CT_REP	0;
	767	0	CT_TBRCH	772	BR_STATUS	CT_REP	0;
	768	0	CT_TBRCH	773	BR_STATUS	CT_REP	0;
	769	0	CT_TBRCH	774	BR_STATUS	CT_REP	0;
	770	0	CT_TBRCH	775	BR_STATUS	CT_REP	0;
	771	0	CT_TBRCH	776	BR_STATUS	CT_REP	0;
	772	0	CT_TBRCH	778	BR_STATUS	CT_REP	0;
	773	0	CT_TBRCH	779	BR_STATUS	CT_REP	0;
	774	0	CT_TBRCH	780	BR_STATUS	CT_REP	0;
	775	0	CT_TBRCH	781	BR_STATUS	CT_REP	0;
	776	0	CT_TBRCH	782	BR_STATUS	CT_REP	0;
	777	0	CT_TBRCH	783	BR_STATUS	CT_REP	0;
	778	0	CT_TBRCH	784	BR_STATUS	CT_REP	0;
	779	0	CT_TBRCH	785	BR_STATUS	CT_REP	0;
	780	0	CT_TBRCH	786	BR_STATUS	CT_REP	0;
	781	0	CT_TBRCH	787	BR_STATUS	CT_REP	0;
	782	0	CT_TBRCH	788	BR_STATUS	CT_REP	0;
	783	0	CT_TBRCH	789	BR_STATUS	CT_REP	0;
	784	0	CT_TBRCH	790	BR_STATUS	CT_REP	0;
	785	0	CT_TBRCH	791	BR_STATUS	CT_REP	0;
	786	0	CT_TBRCH	792	BR_STATUS	CT_REP	0;
	787	0	CT_TBRCH	793	BR_STATUS	CT_REP	0;
	788	0	CT_TBRCH	794	BR_STATUS	CT_REP	0;
	789	0	CT_TBRCH	796	BR_STATUS	CT_REP	0;
	790	0	CT_TBRCH	795	BR_STATUS	CT_REP	0;
	791	0	CT_TBRCH	797	BR_STATUS	CT_REP	0;
	792	0	CT_TBRCH	798	BR_STATUS	CT_REP	0;
	793	0	CT_TBRCH	799	BR_STATUS	CT_REP	0;
	794	0	CT_TBRCH	800	BR_STATUS	CT_REP	0;
	795	0	CT_TBRCH	801	BR_STATUS	CT_REP	0;
	796	0	CT_TBRCH	802	BR_STATUS	CT_REP	0;
	797	0	CT_TBRCH	803	BR_STATUS	CT_REP	0;
	798	0	CT_TBRCH	804	BR_STATUS	CT_REP	0;
	799	0	CT_TBRCH	805	BR_STATUS	CT_REP	0;
	800	0	CT_TBRCH	806	BR_STATUS	CT_REP	0;
	801	0	CT_TBRCH	807	BR_STATUS	CT_REP	0;
	802	0	CT_TBRCH	808	BR_STATUS	CT_REP	0;
	803	0	CT_TBRCH	809	BR_STATUS	CT_REP	0;
	804	0	CT_TBRCH	810	BR_STATUS	CT_REP	0;
	805	0	CT_TBRCH	811	BR_STATUS	CT_REP	0;
	806	0	CT_TBRCH	812	BR_STATUS	CT_REP	0;
	807	0	CT_TBRCH	813	BR_STATUS	CT_REP	0;
	808	0	CT_TBRCH	818	BR_STATUS	CT_REP	0;
	809	0	CT_TBRCH	819	BR_STATUS	CT_REP	0;
	810	0	CT_TBRCH	820	BR_STATUS	CT_REP	0;
	811	0	CT_TBRCH	821	BR_STATUS	CT_REP	0;
	812	0	CT_TBRCH	822	BR_STATUS	CT_REP	0;
	813	0	CT_TBRCH	823	BR_STATUS	CT_REP	0;
	814	0	CT_TBRCH	824	BR_STATUS	CT_REP	0;
	815	0	CT_TBRCH	825	BR_STATUS	CT_REP	0;
	816	0	CT_TBRCH	826	BR_STATUS	CT_REP	0;
	817	0	CT_TBRCH	827	BR_STATUS	CT_REP	0;
	818	0	CT_TBRCH	828	BR_STATUS	CT_REP	0;
	819	0	CT_TBRCH	829	BR_STATUS	CT_REP	0;
	820	0	CT_TBRCH	830	BR_STATUS	CT_REP	0;
	821	0	CT_TBRCH	831	BR_STATUS	CT_REP	0;
	822	0	CT_TBRCH	832	BR_STATUS	CT_REP	0;
	823	0	CT_TBRCH	833	BR_STATUS	CT_REP	0;
	824	0	CT_TBRCH	834	BR_STATUS	CT_REP	0;
	825	0	CT_TBRCH	835	BR_STATUS	CT_REP	0;
	826	0	CT_TBRCH	836	BR_STATUS	CT_REP	0;
	827	0	CT_TBRCH	837	BR_STATUS	CT_REP	0;
	828	0	CT_TBRCH	838	BR_STATUS	CT_REP	0;
	829	0	CT_TBRCH	839	BR_STATUS	CT_REP	0;
	830	0	CT_TBRCH	840	BR_STATUS	CT_REP	0;
	831	0	CT_TBRCH	841	BR_STATUS	CT_REP	0;
	832	0	CT_TBRCH	842	BR_STATUS	CT_REP	0;
	833	0	CT_TBRCH	843	BR_STATUS	CT_REP	0;
	834	0	CT_TBRCH	844	BR_STATUS	CT_REP	0;
	835	0	CT_TBRCH	845	BR_STATUS	CT_REP	0;
	836	0	CT_TBRCH	846	BR_STATUS	CT_REP	0;
	837	0	CT_TBRCH	847	BR_STATUS	CT_REP	0;
	838	0	CT_TBRCH	848	BR_STATUS	CT_REP	0;
	839	0	CT_TBRCH	849	BR_STATUS	CT_REP	0;
	840	0	CT_TBRCH	850	BR_STATUS	CT_REP	0;
	841	0	CT_TBRCH	851	BR_STATUS	CT_REP	0;
	842	0	CT_TBRCH	852	BR_STATUS	CT_REP	0;
	843	0	CT_TBRCH	853	BR_STATUS	CT_REP	0;
	844	0	CT_TBRCH	854	BR_STATUS	CT_REP	0;
	845	0	CT_TBRCH	855	BR_STATUS	CT_REP	0;
	846	0	CT_TBRCH	856	BR_STATUS	CT_REP	0;
	847	0	CT_TBRCH	857	BR_STATUS	CT_REP	0;
	848	0	CT_TBRCH	858	BR_STATUS	CT_REP	0;
	849	0	CT_TBRCH	859	BR_STATUS	CT_REP	0;
	850	0	CT_TBRCH	860	BR_STATUS	CT_REP	0;
	851	0	CT_TBRCH	861	BR_STATUS	CT_REP	0;
	852	0	CT_TBRCH	862	BR_STATUS	CT_REP	0;
	853	0	CT_TBRCH	863	BR_STATUS	CT_REP	0;
	854	0	CT_TBRCH	864	BR_STATUS	CT_REP	0;
	855	0	CT_TBRCH	865	BR_STATUS	CT_REP	0;
	856	0	CT_TBRCH	866	BR_STATUS	CT_REP	0;
	857	0	CT_TBRCH	868	BR_STATUS	CT_REP	0;
	858	0	CT_TBRCH	869	BR_STATUS	CT_REP	0;
	859	0	CT_TBRCH	870	BR_STATUS	CT_REP	0;
	860	0	CT_TBRCH	871	BR_STATUS	CT_REP	0;
	861	0	CT_TBRCH	872	BR_STATUS	CT_REP	0;
	862	0	CT_TBRCH	873	BR_STATUS	CT_REP	0;
	863	0	CT_TBRCH	874	BR_STATUS	CT_REP	0;
	864	0	CT_TBRCH	875	BR_STATUS	CT_REP	0;
	865	0	CT_TBRCH	876	BR_STATUS	CT_REP	0;
	866	0	CT_TBRCH	877	BR_STATUS	CT_REP	0;
	867	0	CT_TBRCH	878	BR_STATUS	CT_REP	0;
	868	0	CT_TBRCH	879	BR_STATUS	CT_REP	0;
	869	0	CT_TBRCH	880	BR_STATUS	CT_REP	0;
	870	0	CT_TBRCH	881	BR_STATUS	CT_REP	0;
	871	0	CT_TBRCH	882	BR_STATUS	CT_REP	0;
	872	0	CT_TBRCH	883	BR_STATUS	CT_REP	0;
	873	0	CT_TBRCH	884	BR_STATUS	CT_REP	0;
	874	0	CT_TBRCH	885	BR_STATUS	CT_REP	0;
	875	0	CT_TBRCH	886	BR_STATUS	CT_REP	0;
	876	0	CT_TBRCH	887	BR_STATUS	CT_REP	0;
	877	0	CT_TBRCH	888	BR_STATUS	CT_REP	0;
	878	0	CT_TBRCH	889	BR_STATUS	CT_REP	0;
	879	0	CT_TBRCH	890	BR_STATUS	CT_REP	0;
	880	0	CT_TBRCH	891	BR_STATUS	CT_REP	0;
	881	0	CT_TBRCH	892	BR_STATUS	CT_REP	0;
	882	0	CT_TBRCH	893	BR_STATUS	CT_REP	0;
	883	0	CT_TBRCH	894	BR_STATUS	CT_REP	0;
	884	0	CT_TBRCH	895	BR_STATUS	CT_REP	0;
	885	0	CT_TBRCH	896	BR_STATUS	CT_REP	0;
	886	0	CT_TBRCH	897	BR_STATUS	CT_REP	0;
	887	0	CT_TBRCH	898	BR_STATUS	CT_REP	0;
	888	0	CT_TBRCH	899	BR_STATUS	CT_REP	0;
	889	0	CT_TBRCH	900	BR_STATUS	CT_REP	0;
	890	0	CT_TBRCH	901	BR_STATUS	CT_REP	0;
	891	0	CT_TBRCH	902	BR_STATUS	CT_REP	0;
	892	0	CT_TBRCH	903	BR_STATUS	CT_REP	0;
	893	0	CT_TBRCH	904	BR_STATUS	CT_REP	0;
	894	0	CT_TBRCH	905	BR_STATUS	CT_REP	0;
	895	0	CT_TBRCH	906	BR_STATUS	CT_REP	0;
	896	0	CT_TBRCH	907	BR_STATUS	CT_REP	0;
	897	0	CT_TBRCH	908	BR_STATUS	CT_REP	0;
	898	0	CT_TBRCH	909	BR_STATUS	CT_REP	0;
	899	0	CT_TBRCH	910	BR_STATUS	CT_REP	0;
	900	0	CT_TBRCH	911	BR_STATUS	CT_REP	0;
	901	0	CT_TBRCH	912	BR_STATUS	CT_REP	0;
	902	0	CT_TBRCH	913	BR_STATUS	CT_REP	0;
	903	0	CT_TBRCH	914	BR_STATUS	CT_REP	0;
	904	0	CT_TBRCH	915	BR_STATUS	CT_REP	0;
	905	0	CT_TBRCH	916	BR_STATUS	CT_REP	0;
	906	0	CT_TBRCH	917	BR_STATUS	CT_REP	0;
	907	0	CT_TBRCH	918	BR_STATUS	CT_REP	0;
	908	0	CT_TBRCH	919	BR_STATUS	CT_REP	0;
	909	0	CT_TBRCH	920	BR_STATUS	CT_REP	0;
	910	0	CT_TBRCH	921	BR_STATUS	CT_REP	0;
	911	0	CT_TBRCH	922	BR_STATUS	CT_REP	0;
	912	0	CT_TBRCH	923	BR_STATUS	CT_REP	0;
	913	0	CT_TBRCH	924	BR_STATUS	CT_REP	0;
	914	0	CT_TBRCH	925	BR_STATUS	CT_REP	0;
	915	0	CT_TBRCH	926	BR_STATUS	CT_REP	0;
	916	0	CT_TBRCH	927	BR_STATUS	CT_REP	0;
	917	0	CT_TBRCH	928	BR_STATUS	CT_REP	0;
	918	0	CT_TBRCH	929	BR_STATUS	CT_REP	0;
	919	0	CT_TBRCH	930	BR_STATUS	CT_REP	0;
	920	0	CT_TBRCH	931	BR_STATUS	CT_REP	0;
	921	0	CT_TBRCH	932	BR_STATUS	CT_REP	0;
	922	0	CT_TBRCH	933	BR_STATUS	CT_REP	0;
	923	0	CT_TBRCH	934	BR_STATUS	CT_REP	0;
	924	0	CT_TBRCH	935	BR_STATUS	CT_REP	0;
	925	0	CT_TBRCH	936	BR_STATUS	CT_REP	0;
	926	0	CT_TBRCH	937	BR_STATUS	CT_REP	0;
	927	0	CT_TBRCH	938	BR_STATUS	CT_REP	0;
	928	0	CT_TBRCH	939	BR_STATUS	CT_REP	0;
	929	0	CT_TBRCH	940	BR_STATUS	CT_REP	0;
	930	0	CT_TBRCH	941	BR_STATUS	CT_REP	0;
	931	0	CT_TBRCH	942	BR_STATUS	CT_REP	0;
	932	0	CT_TBRCH	943	BR_STATUS	CT_REP	0;
	933	0	CT_TBRCH	944	BR_STATUS	CT_REP	0;
	934	0	CT_TBRCH	945	BR_STATUS	CT_REP	0;
	935	0	CT_TBRCH	946	BR_STATUS	CT_REP	0;
	936	0	CT_TBRCH	947	BR_STATUS	CT_REP	0;
	937	0	CT_TBRCH	948	BR_STATUS	CT_REP	0;
	938	0	CT_TBRCH	949	BR_STATUS	CT_REP	0;
	939	0	CT_TBRCH	950	BR_STATUS	CT_REP	0;
	940	0	CT_TBRCH	951	BR_STATUS	CT_REP	0;
	941	0	CT_TBRCH	952	BR_STATUS	CT_REP	0;
	942	0	CT_TBRCH	953	BR_STATUS	CT_REP	0;
	943	0	CT_TBRCH	954	BR_STATUS	CT_REP	0;
	944	0	CT_TBRCH	955	BR_STATUS	CT_REP	0;
	945	0	CT_TBRCH	957	BR_STATUS	CT_REP	0;
	946	0	CT_TBRCH	958	BR_STATUS	CT_REP	0;
	947	0	CT_TBRCH	959	BR_STATUS	CT_REP	0;
	948	0	CT_TBRCH	960	BR_STATUS	CT_REP	0;
	949	0	CT_TBRCH	961	BR_STATUS	CT_REP	0;
	950	0	CT_TBRCH	962	BR_STATUS	CT_REP	0;
	951	0	CT_TBRCH	963	BR_STATUS	CT_REP	0;
	952	0	CT_TBRCH	964	BR_STATUS	CT_REP	0;
	953	0	CT_TBRCH	965	BR_STATUS	CT_REP	0;
	954	0	CT_TBRCH	966	BR_STATUS	CT_REP	0;
	955	0	CT_TBRCH	967	BR_STATUS	CT_REP	0;
	956	0	CT_TBRCH	968	BR_STATUS	CT_REP	0;
	957	0	CT_TBRCH	969	BR_STATUS	CT_REP	0;
	958	0	CT_TBRCH	970	BR_STATUS	CT_REP	0;
	959	0	CT_TBRCH	971	BR_STATUS	CT_REP	0;
	960	0	CT_TBRCH	972	BR_STATUS	CT_REP	0;
	961	0	CT_TBRCH	973	BR_STATUS	CT_REP	0;
	962	0	CT_TBRCH	974	BR_STATUS	CT_REP	0;
	963	0	CT_TBRCH	975	BR_STATUS	CT_REP	0;
	964	0	CT_TBRCH	976	BR_STATUS	CT_REP	0;
	965	0	CT_TBRCH	977	BR_STATUS	CT_REP	0;
	966	0	CT_TBRCH	978	BR_STATUS	CT_REP	0;
	967	0	CT_TBRCH	979	BR_STATUS	CT_REP	0;
	968	0	CT_TBRCH	980	BR_STATUS	CT_REP	0;
	969	0	CT_TBRCH	981	BR_STATUS	CT_REP	0;
	970	0	CT_TBRCH	982	BR_STATUS	CT_REP	0;
	971	0	CT_TBRCH	983	BR_STATUS	CT_REP	0;
	972	0	CT_TBRCH	984	BR_STATUS	CT_REP	0;
	973	0	CT_TBRCH	985	BR_STATUS	CT_REP	0;
	974	0	CT_TBRCH	986	BR_STATUS	CT_REP	0;
	975	0	CT_TBRCH	987	BR_STATUS	CT_REP	0;
	976	0	CT_TBRCH	988	BR_STATUS	CT_REP	0;
	977	0	CT_TBRCH	989	BR_STATUS	CT_REP	0;
	978	0	CT_TBRCH	990	BR_STATUS	CT_REP	0;
	979	0	CT_TBRCH	991	BR_STATUS	CT_REP	0;
	980	0	CT_TBRCH	992	BR_STATUS	CT_REP	0;
	981	0	CT_TBRCH	993	BR_STATUS	CT_REP	0;
	982	0	CT_TBRCH	994	BR_STATUS	CT_REP	0;
	983	0	CT_TBRCH	995	BR_STATUS	CT_REP	0;
	984	0	CT_TBRCH	996	BR_STATUS	CT_REP	0;
	985	0	CT_TBRCH	997	BR_STATUS	CT_REP	0;
	986	0	CT_TBRCH	998	BR_STATUS	CT_REP	0;
	987	0	CT_TBRCH	999	BR_STATUS	CT_REP	0;
	988	0	CT_TBRCH	1000	BR_STATUS	CT_REP	0;
	989	0	CT_TBRCH	1001	BR_STATUS	CT_REP	0;
	990	0	CT_TBRCH	1002	BR_STATUS	CT_REP	0;
	991	0	CT_TBRCH	1003	BR_STATUS	CT_REP	0;
	992	0	CT_TBRCH	1004	BR_STATUS	CT_REP	0;
	993	0	CT_TBRCH	1005	BR_STATUS	CT_REP	0;
	994	0	CT_TBRCH	1006	BR_STATUS	CT_REP	0;
	995	0	CT_TBRCH	1007	BR_STATUS	CT_REP	0;
	996	0	CT_TBRCH	1008	BR_STATUS	CT_REP	0;
	997	0	CT_TBRCH	1009	BR_STATUS	CT_REP	0;
	998	0	CT_TBRCH	1010	BR_STATUS	CT_REP	0;
	999	0	CT_TBRCH	1011	BR_STATUS	CT_REP	0;
	1000	0	CT_TBRCH	1012	BR_STATUS	CT_REP	0;
	1001	0	CT_TBRCH	1013	BR_STATUS	CT_REP	0;
	1002	0	CT_TBRCH	1014	BR_STATUS	CT_REP	0;
	1003	0	CT_TBRCH	1015	BR_STATUS	CT_REP	0;
	1004	0	CT_TBRCH	1016	BR_STATUS	CT_REP	0;
	1005	0	CT_TBRCH	1017	BR_STATUS	CT_REP	0;
	1006	0	CT_TBRCH	1018	BR_STATUS	CT_REP	0;
	1007	0	CT_TBRCH	1019	BR_STATUS	CT_REP	0;
	1008	0	CT_TBRCH	1020	BR_STATUS	CT_REP	0;
	1009	0	CT_TBRCH	1021	BR_STATUS	CT_REP	0;
	1010	0	CT_TBRCH	1022	BR_STATUS	CT_REP	0;
	1011	0	CT_TBRCH	1023	BR_STATUS	CT_REP	0;
	1012	0	CT_TBRCH	1024	BR_STATUS	CT_REP	0;
	1013	0	CT_TBRCH	1025	BR_STATUS	CT_REP	0;
	1014	0	CT_TBRCH	1026	BR_STATUS	CT_REP	0;
	1015	0	CT_TBRCH	1027	BR_STATUS	CT_REP	0;
	1016	0	CT_TBRCH	1028	BR_STATUS	CT_REP	0;
	1017	0	CT_TBRCH	1029	BR_STATUS	CT_REP	0;
	1018	0	CT_TBRCH	1030	BR_STATUS	CT_REP	0;
	1019	0	CT_TBRCH	1031	BR_STATUS	CT_REP	0;
	1020	0	CT_TBRCH	1032	BR_STATUS	CT_REP	0;
	1021	0	CT_TBRCH	1033	BR_STATUS	CT_REP	0;
	1022	0	CT_TBRCH	1034	BR_STATUS	CT_REP	0;
	1023	0	CT_TBRCH	1035	BR_STATUS	CT_REP	0;
	1024	0	CT_TBRCH	1036	BR_STATUS	CT_REP	0;
	1025	0	CT_TBRCH	1037	BR_STATUS	CT_REP	0;
	1026	0	CT_TBRCH	1038	BR_STATUS	CT_REP	0;
	1027	0	CT_TBRCH	1039	BR_STATUS	CT_REP	0;
	1028	0	CT_TBRCH	1040	BR_STATUS	CT_REP	0;
	1029	0	CT_TBRCH	1041	BR_STATUS	CT_REP	0;
	1030	0	CT_TBRCH	1042	BR_STATUS	CT_REP	0;
	1031	0	CT_TBRCH	1043	BR_STATUS	CT_REP	0;
	1032	0	CT_TBRCH	1044	BR_STATUS	CT_REP	0;
	1033	0	CT_TBRCH	1045	BR_STATUS	CT_REP	0;
	1034	0	CT_TBRCH	1046	BR_STATUS	CT_REP	0;
	1035	0	CT_TBRCH	1047	BR_STATUS	CT_REP	0;
	1036	0	CT_TBRCH	1048	BR_STATUS	CT_REP	0;
	1037	0	CT_TBRCH	1049	BR_STATUS	CT_REP	0;
	1038	0	CT_TBRCH	1050	BR_STATUS	CT_REP	0;
	1039	0	CT_TBRCH	1051	BR_STATUS	CT_REP	0;
	1040	0	CT_TBRCH	1052	BR_STATUS	CT_REP	0;
	1041	0	CT_TBRCH	1053	BR_STATUS	CT_REP	0;
	1042	0	CT_TBRCH	1054	BR_STATUS	CT_REP	0;
	1043	0	CT_TBRCH	1055	BR_STATUS	CT_REP	0;
	1044	0	CT_TBRCH	1056	BR_STATUS	CT_REP	0;
	1045	0	CT_TBRCH	1057	BR_STATUS	CT_REP	0;
	1046	0	CT_TBRCH	1058	BR_STATUS	CT_REP	0;
	1047	0	CT_TBRCH	1059	BR_STATUS	CT_REP	0;
	1048	0	CT_TBRCH	1060	BR_STATUS	CT_REP	0;
	1049	0	CT_TBRCH	1061	BR_STATUS	CT_REP	0;
	1050	0	CT_TBRCH	1062	BR_STATUS	CT_REP	0;
	1051	0	CT_TBRCH	1063	BR_STATUS	CT_REP	0;
	1052	0	CT_TBRCH	1064	BR_STATUS	CT_REP	0;
	1053	0	CT_TBRCH	1065	BR_STATUS	CT_REP	0;
	1054	0	CT_TBRCH	1066	BR_STATUS	CT_REP	0;
	1055	0	CT_TBRCH	1067	BR_STATUS	CT_REP	0;
	1056	0	CT_TBRCH	1068	BR_STATUS	CT_REP	0;
	1057	0	CT_TBRCH	1069	BR_STATUS	CT_REP	0;
	1058	0	CT_TBRCH	1070	BR_STATUS	CT_REP	0;
	1059	0	CT_TBRCH	1071	BR_STATUS	CT_REP	0;
	1060	0	CT_TBRCH	1072	BR_STATUS	CT_REP	0;
	1061	0	CT_TBRCH	1073	BR_STATUS	CT_REP	0;
	1062	0	CT_TBRCH	1074	BR_STATUS	CT_REP	0;
	1063	0	CT_TBRCH	1075	BR_STATUS	CT_REP	0;
	1064	0	CT_TBRCH	1076	BR_STATUS	CT_REP	0;
	1065	0	CT_TBRCH	1077	BR_STATUS	CT_REP	0;
	1066	0	CT_TBRCH	1078	BR_STATUS	CT_REP	0;
	1067	0	CT_TBRCH	1079	BR_STATUS	CT_REP	0;
	1068	0	CT_TBRCH	1080	BR_STATUS	CT_REP	0;
	1069	0	CT_TBRCH	1081	BR_STATUS	CT_REP	0;
	1070	0	CT_TBRCH	1082	BR_STATUS	CT_REP	0;
	1071	0	CT_TBRCH	1083	BR_STATUS	CT_REP	0;
	1072	0	CT_TBRCH	1084	BR_STATUS	CT_REP	0;
	1073	0	CT_TBRCH	1085	BR_STATUS	CT_REP	0;
	1074	0	CT_TBRCH	1086	BR_STATUS	CT_REP	0;
	1075	0	CT_TBRCH	1087	BR_STATUS	CT_REP	0;
	1076	0	CT_TBRCH	1088	BR_STATUS	CT_REP	0;
	1077	0	CT_TBRCH	1089	BR_STATUS	CT_REP	0;
	1078	0	CT_TBRCH	1090	BR_STATUS	CT_REP	0;
	1079	0	CT_TBRCH	1091	BR_STATUS	CT_REP	0;
	1080	0	CT_TBRCH	1092	BR_STATUS	CT_REP	0;
	1081	0	CT_TBRCH	1093	BR_STATUS	CT_REP	0;
	1082	0	CT_TBRCH	1094	BR_STATUS	CT_REP	0;
	1083	0	CT_TBRCH	1095	BR_STATUS	CT_REP	0;
	1084	0	CT_TBRCH	1096	BR_STATUS	CT_REP	0;
	1085	0	CT_TBRCH	1097	BR_STATUS	CT_REP	0;
	1086	0	CT_TBRCH	1098	BR_STATUS	CT_REP	0;
	1087	0	CT_TBRCH	1099	BR_STATUS	CT_REP	0;
	1088	0	CT_TBRCH	1100	BR_STATUS	CT_REP	0;
	1089	0	CT_TBRCH	1101	BR_STATUS	CT_REP	0;
	1090	0	CT_TBRCH	1102	BR_STATUS	CT_REP	0;
	1091	0	CT_TBRCH	1103	BR_STATUS	CT_REP	0;
	1092	0	CT_TBRCH	1104	BR_STATUS	CT_REP	0;
	1093	0	CT_TBRCH	1105	BR_STATUS	CT_REP	0;
	1094	0	CT_TBRCH	1106	BR_STATUS	CT_REP	0;
	1095	0	CT_TBRCH	1107	BR_STATUS	CT_REP	0;
	1096	0	CT_TBRCH	1108	BR_STATUS	CT_REP	0;
	1097	0	CT_TBRCH	1109	BR_STATUS	CT_REP	0;
	1098	0	CT_TBRCH	1110	BR_STATUS	CT_REP	0;
	1099	0	CT_TBRCH	1111	BR_STATUS	CT_REP	0;
	1100	0	CT_TBRCH	1112	BR_STATUS	CT_REP	0;
	1101	0	CT_TBRCH	1113	BR_STATUS	CT_REP	0;
	1102	0	CT_TBRCH	1114	BR_STATUS	CT_REP	0;
	1103	0	CT_TBRCH	1115	BR_STATUS	CT_REP	0;
	1104	0	CT_TBRCH	1116	BR_STATUS	CT_REP	0;
	1105	0	CT_TBRCH	1117	BR_STATUS	CT_REP	0;
	1106	0	CT_TBRCH	1118	BR_STATUS	CT_REP	0;
	1107	0	CT_TBRCH	1119	BR_STATUS	CT_REP	0;
	1108	0	CT_TBRCH	1120	BR_STATUS	CT_REP	0;
	1109	0	CT_TBRCH	1121	BR_STATUS	CT_REP	0;
	1110	0	CT_TBRCH	1122	BR_STATUS	CT_REP	0;
	1111	0	CT_TBRCH	1123	BR_STATUS	CT_REP	0;
	1112	0	CT_TBRCH	1124	BR_STATUS	CT_REP	0;
	1113	0	CT_TBRCH	1125	BR_STATUS	CT_REP	0;
	1114	0	CT_TBRCH	1126	BR_STATUS	CT_REP	0;
	1115	0	CT_TBRCH	1127	BR_STATUS	CT_REP	0;
	1116	0	CT_TBRCH	1128	BR_STATUS	CT_REP	0;
	1117	0	CT_TBRCH	1129	BR_STATUS	CT_REP	0;
	1118	0	CT_TBRCH	1130	BR_STATUS	CT_REP	0;
	1119	0	CT_TBRCH	1131	BR_STATUS	CT_REP	0;
	1120	0	CT_TBRCH	1132	BR_STATUS	CT_REP	0;
	1121	0	CT_TBRCH	1133	BR_STATUS	CT_REP	0;
	1122	0	CT_TBRCH	1134	BR_STATUS	CT_REP	0;
	1123	0	CT_TBRCH	1135	BR_STATUS	CT_REP	0;
	1124	0	CT_TBRCH	1136	BR_STATUS	CT_REP	0;
	1125	0	CT_TBRCH	1137	BR_STATUS	CT_REP	0;
	1126	0	CT_TBRCH	1138	BR_STATUS	CT_REP	0;
	1127	0	CT_TBRCH	1139	BR_STATUS	CT_REP	0;
	1128	0	CT_TBRCH	1140	BR_STATUS	CT_REP	0;
	1129	0	CT_TBRCH	1141	BR_STATUS	CT_REP	0;
	1130	0	CT_TBRCH	1142	BR_STATUS	CT_REP	0;
	1131	0	CT_TBRCH	1143	BR_STATUS	CT_REP	0;
	1132	0	CT_TBRCH	1144	BR_STATUS	CT_REP	0;
	1133	0	CT_TBRCH	1145	BR_STATUS	CT_REP	0;
	1134	0	CT_TBRCH	1146	BR_STATUS	CT_REP	0;
	1135	0	CT_TBRCH	1147	BR_STATUS	CT_REP	0;
	1136	0	CT_TBRCH	1148	BR_STATUS	CT_REP	0;
	1137	0	CT_TBRCH	1149	BR_STATUS	CT_REP	0;
	1138	0	CT_TBRCH	1150	BR_STATUS	CT_REP	0;
	1139	0	CT_TBRCH	1151	BR_STATUS	CT_REP	0;
	1140	0	CT_TBRCH	1152	BR_STATUS	CT_REP	0;
	1141	0	CT_TBRCH	1153	BR_STATUS	CT_REP	0;
	1142	0	CT_TBRCH	1154	BR_STATUS	CT_REP	0;
	1143	0	CT_TBRCH	1155	BR_STATUS	CT_REP	0;
	1144	0	CT_TBRCH	1156	BR_STATUS	CT_REP	0;
	1145	0	CT_TBRCH	1157	BR_STATUS	CT_REP	0;
	1146	0	CT_TBRCH	1158	BR_STATUS	CT_REP	0;
	1147	0	CT_TBRCH	1159	BR_STATUS	CT_REP	0;
	1148	0	CT_TBRCH	1160	BR_STATUS	CT_REP	0;
	1149	0	CT_TBRCH	1161	BR_STATUS	CT_REP	0;
	1150	0	CT_TBRCH	1162	BR_STATUS	CT_REP	0;
	1151	0	CT_TBRCH	1163	BR_STATUS	CT_REP	0;
	1152	0	CT_TBRCH	1164	BR_STATUS	CT_REP	0;
	1153	0	CT_TBRCH	1165	BR_STATUS	CT_REP	0;
	1154	0	CT_TBRCH	1166	BR_STATUS	CT_REP	0;
	1155	0	CT_TBRCH	1167	BR_STATUS	CT_REP	0;
	1156	0	CT_TBRCH	1168	BR_STATUS	CT_REP	0;
	1157	0	CT_TBRCH	1169	BR_STATUS	CT_REP	0;
	1158	0	CT_TBRCH	1170	BR_STATUS	CT_REP	0;
	1159	0	CT_TBRCH	1171	BR_STATUS	CT_REP	0;
	1160	0	CT_TBRCH	1172	BR_STATUS	CT_REP	0;
	1161	0	CT_TBRCH	1173	BR_STATUS	CT_REP	0;
	1162	0	CT_TBRCH	1174	BR_STATUS	CT_REP	0;
	1163	0	CT_TBRCH	1175	BR_STATUS	CT_REP	0;
	1164	0	CT_TBRCH	1176	BR_STATUS	CT_REP	0;
	1165	0	CT_TBRCH	1177	BR_STATUS	CT_REP	0;
	1166	0	CT_TBRCH	1178	BR_STATUS	CT_REP	0;
	1167	0	CT_TBRCH	1179	BR_STATUS	CT_REP	0;
	1168	0	CT_TBRCH	1180	BR_STATUS	CT_REP	0;
	1169	0	CT_TBRCH	1181	BR_STATUS	CT_REP	0;
	1170	0	CT_TBRCH	1182	BR_STATUS	CT_REP	0;
	1171	0	CT_TBRCH	1183	BR_STATUS	CT_REP	0;
	1172	0	CT_TBRCH	1184	BR_STATUS	CT_REP	0;
	1173	0	CT_TBRCH	1185	BR_STATUS	CT_REP	0;
	1174	0	CT_TBRCH	1186	BR_STATUS	CT_REP	0;
	1175	0	CT_TBRCH	1187	BR_STATUS	CT_REP	0;
	1176	0	CT_TBRCH	1188	BR_STATUS	CT_REP	0;
	1177	0	CT_TBRCH	1189	BR_STATUS	CT_REP	0;
	1178	0	CT_TBRCH	1190	BR_STATUS	CT_REP	0;
	1179	0	CT_TBRCH	1191	BR_STATUS	CT_REP	0;
	1180	0	CT_TBRCH	1192	BR_STATUS	CT_REP	0;
	1181	0	CT_TBRCH	1193	BR_STATUS	CT_REP	0;
	1182	0	CT_TBRCH	1194	BR_STATUS	CT_REP	0;
	1183	0	CT_TBRCH	1195	BR_STATUS	CT_REP	0;
	1184	0	CT_TBRCH	1196	BR_STATUS	CT_REP	0;
	1185	0	CT_TBRCH	1197	BR_STATUS	CT_REP	0;
	1186	0	CT_TBRCH	1198	BR_STATUS	CT_REP	0;
	1187	0	CT_TBRCH	1199	BR_STATUS	CT_REP	0;
	1188	0	CT_TBRCH	1200	BR_STATUS	CT_REP	0;
	1189	0	CT_TBRCH	1201	BR_STATUS	CT_REP	0;
	1190	0	CT_TBRCH	1202	BR_STATUS	CT_REP	0;
	1191	0	CT_TBRCH	1203	BR_STATUS	CT_REP	0;
	1192	0	CT_TBRCH	1204	BR_STATUS	CT_REP	0;
	1193	0	CT_TBRCH	1205	BR_STATUS	CT_REP	0;
	1194	0	CT_TBRCH	1206	BR_STATUS	CT_REP	0;
	1195	0	CT_TBRCH	1207	BR_STATUS	CT_REP	0;
	1196	0	CT_TBRCH	1208	BR_STATUS	CT_REP	0;
	1197	0	CT_TBRCH	1209	BR_STATUS	CT_REP	0;
	1198	0	CT_TBRCH	1210	BR_STATUS	CT_REP	0;
	1199	0	CT_TBRCH	1211	BR_STATUS	CT_REP	0;
	1200	0	CT_TBRCH	1212	BR_STATUS	CT_REP	0;
	1201	0	CT_TBRCH	1213	BR_STATUS	CT_REP	0;
	1202	0	CT_TBRCH	1214	BR_STATUS	CT_REP	0;
	1203	0	CT_TBRCH	1215	BR_STATUS	CT_REP	0;
	1204	0	CT_TBRCH	1216	BR_STATUS	CT_REP	0;
	1205	0	CT_TBRCH	1217	BR_STATUS	CT_REP	0;
	1206	0	CT_TBRCH	1218	BR_STATUS	CT_REP	0;
	1207	0	CT_TBRCH	1219	BR_STATUS	CT_REP	0;
	1208	0	CT_TBRCH	1220	BR_STATUS	CT_REP	0;
	1209	0	CT_TBRCH	1221	BR_STATUS	CT_REP	0;
	1210	0	CT_TBRCH	1222	BR_STATUS	CT_REP	0;
	1211	0	CT_TBRCH	1223	BR_STATUS	CT_REP	0;
	1212	0	CT_TBRCH	1224	BR_STATUS	CT_REP	0;
	1213	0	CT_TBRCH	1225	BR_STATUS	CT_REP	0;
	1214	0	CT_TBRCH	1226	BR_STATUS	CT_REP	0;
	1215	0	CT_TBRCH	1227	BR_STATUS	CT_REP	0;
	1216	0	CT_TBRCH	1228	BR_STATUS	CT_REP	0;
	1217	0	CT_TBRCH	1229	BR_STATUS	CT_REP	0;
	1218	0	CT_TBRCH	1230	BR_STATUS	CT_REP	0;
	1219	0	CT_TBRCH	1231	BR_STATUS	CT_REP	0;
	1220	0	CT_TBRCH	1232	BR_STATUS	CT_REP	0;
	1221	0	CT_TBRCH	1233	BR_STATUS	CT_REP	0;
	1222	0	CT_TBRCH	1234	BR_STATUS	CT_REP	0;
	1223	0	CT_TBRCH	1235	BR_STATUS	CT_REP	0;
	1224	0	CT_TBRCH	1236	BR_STATUS	CT_REP	0;
	1225	0	CT_TBRCH	1237	BR_STATUS	CT_REP	0;
	1226	0	CT_TBRCH	1238	BR_STATUS	CT_REP	0;
	1227	0	CT_TBRCH	1239	BR_STATUS	CT_REP	0;
	1228	0	CT_TBRCH	1240	BR_STATUS	CT_REP	0;
	1229	0	CT_TBRCH	1241	BR_STATUS	CT_REP	0;
	1230	0	CT_TBRCH	1242	BR_STATUS	CT_REP	0;
	1231	0	CT_TBRCH	1243	BR_STATUS	CT_REP	0;
	1232	0	CT_TBRCH	1244	BR_STATUS	CT_REP	0;
	1233	0	CT_TBRCH	1245	BR_STATUS	CT_REP	0;
	1234	0	CT_TBRCH	1246	BR_STATUS	CT_REP	0;
	1235	0	CT_TBRCH	1247	BR_STATUS	CT_REP	0;
	1236	0	CT_TBRCH	1248	BR_STATUS	CT_REP	0;
	1237	0	CT_TBRCH	1249	BR_STATUS	CT_REP	0;
	1238	0	CT_TBRCH	1250	BR_STATUS	CT_REP	0;
	1239	0	CT_TBRCH	1251	BR_STATUS	CT_REP	0;
	1240	0	CT_TBRCH	1252	BR_STATUS	CT_REP	0;
	1241	0	CT_TBRCH	1253	BR_STATUS	CT_REP	0;
	1242	0	CT_TBRCH	1254	BR_STATUS	CT_REP	0;
	1243	0	CT_TBRCH	1255	BR_STATUS	CT_REP	0;
	1244	0	CT_TBRCH	1256	BR_STATUS	CT_REP	0;
	1245	0	CT_TBRCH	1257	BR_STATUS	CT_REP	0;
	1246	0	CT_TBRCH	1258	BR_STATUS	CT_REP	0;
	1247	0	CT_TBRCH	1259	BR_STATUS	CT_REP	0;
	1248	0	CT_TBRCH	1260	BR_STATUS	CT_REP	0;
	1249	0	CT_TBRCH	1261	BR_STATUS	CT_REP	0;
	1250	0	CT_TBRCH	1262	BR_STATUS	CT_REP	0;
	1251	0	CT_TBRCH	1263	BR_STATUS	CT_REP	0;
	1252	0	CT_TBRCH	1264	BR_STATUS	CT_REP	0;
	1253	0	CT_TBRCH	1265	BR_STATUS	CT_REP	0;
	1254	0	CT_TBRCH	1266	BR_STATUS	CT_REP	0;
	1255	0	CT_TBRCH	1267	BR_STATUS	CT_REP	0;
	1256	0	CT_TBRCH	1268	BR_STATUS	CT_REP	0;
	1257	0	CT_TBRCH	1269	BR_STATUS	CT_REP	0;
	1258	0	CT_TBRCH	1270	BR_STATUS	CT_REP	0;
	1259	0	CT_TBRCH	1271	BR_STATUS	CT_REP	0;
	1260	0	CT_TBRCH	1272	BR_STATUS	CT_REP	0;
	1261	0	CT_TBRCH	1273	BR_STATUS	CT_REP	0;
	1262	0	CT_TBRCH	1274	BR_STATUS	CT_REP	0;
	1263	0	CT_TBRCH	1275	BR_STATUS	CT_REP	0;
	1264	0	CT_TBRCH	1276	BR_STATUS	CT_REP	0;
	1265	0	CT_TBRCH	1277	BR_STATUS	CT_REP	0;
	1266	0	CT_TBRCH	1278	BR_STATUS	CT_REP	0;
	1267	0	CT_TBRCH	1279	BR_STATUS	CT_REP	0;
	1268	0	CT_TBRCH	1280	BR_STATUS	CT_REP	0;
	1269	0	CT_TBRCH	1281	BR_STATUS	CT_REP	0;
	1270	0	CT_TBRCH	1282	BR_STATUS	CT_REP	0;
	1271	0	CT_TBRCH	1283	BR_STATUS	CT_REP	0;
	1272	0	CT_TBRCH	1284	BR_STATUS	CT_REP	0;
	1273	0	CT_TBRCH	1285	BR_STATUS	CT_REP	0;
	1274	0	CT_TBRCH	1286	BR_STATUS	CT_REP	0;
	1275	0	CT_TBRCH	1287	BR_STATUS	CT_REP	0;
	1276	0	CT_TBRCH	1288	BR_STATUS	CT_REP	0;
	1277	0	CT_TBRCH	1289	BR_STATUS	CT_REP	0;
	1278	0	CT_TBRCH	1290	BR_STATUS	CT_REP	0;
	1279	0	CT_TBRCH	1291	BR_STATUS	CT_REP	0;
	1280	0	CT_TBRCH	1292	BR_STATUS	CT_REP	0;
	1281	0	CT_TBRCH	1293	BR_STATUS	CT_REP	0;
	1282	0	CT_TBRCH	1294	BR_STATUS	CT_REP	0;
	1283	0	CT_TBRCH	1295	BR_STATUS	CT_REP	0;
	1284	0	CT_TBRCH	1296	BR_STATUS	CT_REP	0;
	1285	0	CT_TBRCH	1297	BR_STATUS	CT_REP	0;
	1286	0	CT_TBRCH	1298	BR_STATUS	CT_REP	0;
	1287	0	CT_TBRCH	1299	BR_STATUS	CT_REP	0;
	1288	0	CT_TBRCH	1300	BR_STATUS	CT_REP	0;
	1289	0	CT_TBRCH	1301	BR_STATUS	CT_REP	0;
	1290	0	CT_TBRCH	1302	BR_STATUS	CT_REP	0;
	1291	0	CT_TBRCH	1303	BR_STATUS	CT_REP	0;
	1292	0	CT_TBRCH	1304	BR_STATUS	CT_REP	0;
	1293	0	CT_TBRCH	1305	BR_STATUS	CT_REP	0;
	1294	0	CT_TBRCH	1306	BR_STATUS	CT_REP	0;
	1295	0	CT_TBRCH	1307	BR_STATUS	CT_REP	0;
	1296	0	CT_TBRCH	1308	BR_STATUS	CT_REP	0;
	1297	0	CT_TBRCH	1309	BR_STATUS	CT_REP	0;
	1298	0	CT_TBRCH	1310	BR_STATUS	CT_REP	0;
	1299	0	CT_TBRCH	1311	BR_STATUS	CT_REP	0;
	1300	0	CT_TBRCH	1313	BR_STATUS	CT_REP	0;
	1301	0	CT_TBRCH	1312	BR_STATUS	CT_REP	0;
	1302	0	CT_TBRCH	1314	BR_STATUS	CT_REP	0;
	1303	0	CT_TBRCH	1315	BR_STATUS	CT_REP	0;
	1304	0	CT_TBRCH	1316	BR_STATUS	CT_REP	0;
	1305	0	CT_TBRCH	1317	BR_STATUS	CT_REP	0;
	1306	0	CT_TBRCH	1318	BR_STATUS	CT_REP	0;
	1307	0	CT_TBRCH	1319	BR_STATUS	CT_REP	0;
	1308	0	CT_TBRCH	1320	BR_STATUS	CT_REP	0;
	1309	0	CT_TBRCH	1321	BR_STATUS	CT_REP	0;
	1310	0	CT_TBRCH	1322	BR_STATUS	CT_REP	0;
	1311	0	CT_TBRCH	1323	BR_STATUS	CT_REP	0;
	1312	0	CT_TBRCH	1324	BR_STATUS	CT_REP	0;
	1313	0	CT_TBRCH	1325	BR_STATUS	CT_REP	0;
	1314	0	CT_TBRCH	1326	BR_STATUS	CT_REP	0;
	1315	0	CT_TBRCH	1327	BR_STATUS	CT_REP	0;
	1316	0	CT_TBRCH	1328	BR_STATUS	CT_REP	0;
	1317	0	CT_TBRCH	1329	BR_STATUS	CT_REP	0;
	1318	0	CT_TBRCH	1330	BR_STATUS	CT_REP	0;
	1319	0	CT_TBRCH	1331	BR_STATUS	CT_REP	0;
	1320	0	CT_TBRCH	1332	BR_STATUS	CT_REP	0;
	1321	0	CT_TBRCH	1333	BR_STATUS	CT_REP	0;
	1322	0	CT_TBRCH	1334	BR_STATUS	CT_REP	0;
	1323	0	CT_TBRCH	1335	BR_STATUS	CT_REP	0;
	1324	0	CT_TBRCH	1336	BR_STATUS	CT_REP	0;
	1325	0	CT_TBRCH	1337	BR_STATUS	CT_REP	0;
	1326	0	CT_TBRCH	1338	BR_STATUS	CT_REP	0;
	1327	0	CT_TBRCH	1339	BR_STATUS	CT_REP	0;
	1328	0	CT_TBRCH	1340	BR_STATUS	CT_REP	0;
	1329	0	CT_TBRCH	1341	BR_STATUS	CT_REP	0;
	1330	0	CT_TBRCH	1342	BR_STATUS	CT_REP	0;
	1331	0	CT_TBRCH	1343	BR_STATUS	CT_REP	0;
	1332	0	CT_TBRCH	1344	BR_STATUS	CT_REP	0;
	1333	0	CT_TBRCH	1345	BR_STATUS	CT_REP	0;
	1334	0	CT_TBRCH	1346	BR_STATUS	CT_REP	0;
	1335	0	CT_TBRCH	1347	BR_STATUS	CT_REP	0;
	1336	0	CT_TBRCH	1348	BR_STATUS	CT_REP	0;
	1337	0	CT_TBRCH	1349	BR_STATUS	CT_REP	0;
	1338	0	CT_TBRCH	1350	BR_STATUS	CT_REP	0;
	1339	0	CT_TBRCH	1351	BR_STATUS	CT_REP	0;
	1340	0	CT_TBRCH	1352	BR_STATUS	CT_REP	0;
	1341	0	CT_TBRCH	1353	BR_STATUS	CT_REP	0;
	1342	0	CT_TBRCH	1354	BR_STATUS	CT_REP	0;
	1343	0	CT_TBRCH	1355	BR_STATUS	CT_REP	0;
	1344	0	CT_TBRCH	1356	BR_STATUS	CT_REP	0;
	1345	0	CT_TBRCH	1357	BR_STATUS	CT_REP	0;
	1346	0	CT_TBRCH	1358	BR_STATUS	CT_REP	0;
	1347	0	CT_TBRCH	1359	BR_STATUS	CT_REP	0;
	1348	0	CT_TBRCH	1360	BR_STATUS	CT_REP	0;
	1349	0	CT_TBRCH	1361	BR_STATUS	CT_REP	0;
	1350	0	CT_TBRCH	1362	BR_STATUS	CT_REP	0;
	1351	0	CT_TBRCH	1363	BR_STATUS	CT_REP	0;
	1352	0	CT_TBRCH	1364	BR_STATUS	CT_REP	0;
	1353	0	CT_TBRCH	1365	BR_STATUS	CT_REP	0;
	1354	0	CT_TBRCH	1366	BR_STATUS	CT_REP	0;
	1355	0	CT_TBRCH	1367	BR_STATUS	CT_REP	0;
	1356	0	CT_TBRCH	1368	BR_STATUS	CT_REP	0;
	1357	0	CT_TBRCH	1369	BR_STATUS	CT_REP	0;
	1358	0	CT_TBRCH	1370	BR_STATUS	CT_REP	0;
	1359	0	CT_TBRCH	1371	BR_STATUS	CT_REP	0;
	1360	0	CT_TBRCH	1372	BR_STATUS	CT_REP	0;
	1361	0	CT_TBRCH	1373	BR_STATUS	CT_REP	0;
	1362	0	CT_TBRCH	1374	BR_STATUS	CT_REP	0;
	1363	0	CT_TBRCH	1375	BR_STATUS	CT_REP	0;
	1364	0	CT_TBRCH	1376	BR_STATUS	CT_REP	0;
	1365	0	CT_TBRCH	1377	BR_STATUS	CT_REP	0;
	1366	0	CT_TBRCH	3164	BR_STATUS	CT_REP	0;
	1367	0	CT_TBRCH	1378	BR_STATUS	CT_REP	0;
	1368	0	CT_TBRCH	1379	BR_STATUS	CT_REP	0;
	1369	0	CT_TBRCH	1380	BR_STATUS	CT_REP	0;
	1370	0	CT_TBRCH	1381	BR_STATUS	CT_REP	0;
	1371	0	CT_TBRCH	1382	BR_STATUS	CT_REP	0;
	1372	0	CT_TBRCH	1383	BR_STATUS	CT_REP	0;
	1373	0	CT_TBRCH	1384	BR_STATUS	CT_REP	0;
	1374	0	CT_TBRCH	1385	BR_STATUS	CT_REP	0;
	1375	0	CT_TBRCH	1386	BR_STATUS	CT_REP	0;
	1376	0	CT_TBRCH	1387	BR_STATUS	CT_REP	0;
	1377	0	CT_TBRCH	1388	BR_STATUS	CT_REP	0;
	1378	0	CT_TBRCH	1389	BR_STATUS	CT_REP	0;
	1379	0	CT_TBRCH	1390	BR_STATUS	CT_REP	0;
	1380	0	CT_TBRCH	1391	BR_STATUS	CT_REP	0;
	1381	0	CT_TBRCH	1392	BR_STATUS	CT_REP	0;
	1382	0	CT_TBRCH	1393	BR_STATUS	CT_REP	0;
	1383	0	CT_TBRCH	1394	BR_STATUS	CT_REP	0;
	1384	0	CT_TBRCH	1395	BR_STATUS	CT_REP	0;
	1385	0	CT_TBRCH	1396	BR_STATUS	CT_REP	0;
	1386	0	CT_TBRCH	1397	BR_STATUS	CT_REP	0;
	1387	0	CT_TBRCH	1398	BR_STATUS	CT_REP	0;
	1388	0	CT_TBRCH	1399	BR_STATUS	CT_REP	0;
	1389	0	CT_TBRCH	1400	BR_STATUS	CT_REP	0;
	1390	0	CT_TBRCH	1401	BR_STATUS	CT_REP	0;
	1391	0	CT_TBRCH	1402	BR_STATUS	CT_REP	0;
	1392	0	CT_TBRCH	1403	BR_STATUS	CT_REP	0;
	1393	0	CT_TBRCH	1404	BR_STATUS	CT_REP	0;
	1394	0	CT_TBRCH	1405	BR_STATUS	CT_REP	0;
	1395	0	CT_TBRCH	1406	BR_STATUS	CT_REP	0;
	1396	0	CT_TBRCH	1407	BR_STATUS	CT_REP	0;
	1397	0	CT_TBRCH	1408	BR_STATUS	CT_REP	0;
	1398	0	CT_TBRCH	1409	BR_STATUS	CT_REP	0;
	1399	0	CT_TBRCH	1410	BR_STATUS	CT_REP	0;
	1400	0	CT_TBRCH	1411	BR_STATUS	CT_REP	0;
	1401	0	CT_TBRCH	1412	BR_STATUS	CT_REP	0;
	1402	0	CT_TBRCH	1413	BR_STATUS	CT_REP	0;
	1403	0	CT_TBRCH	1414	BR_STATUS	CT_REP	0;
	1404	0	CT_TBRCH	1415	BR_STATUS	CT_REP	0;
	1405	0	CT_TBRCH	1416	BR_STATUS	CT_REP	0;
	1406	0	CT_TBRCH	1417	BR_STATUS	CT_REP	0;
	1407	0	CT_TBRCH	1418	BR_STATUS	CT_REP	0;
	1408	0	CT_TBRCH	1419	BR_STATUS	CT_REP	0;
	1409	0	CT_TBRCH	1420	BR_STATUS	CT_REP	0;
	1410	0	CT_TBRCH	1421	BR_STATUS	CT_REP	0;
	1411	0	CT_TBRCH	1422	BR_STATUS	CT_REP	0;
	1412	0	CT_TBRCH	1423	BR_STATUS	CT_REP	0;
	1413	0	CT_TBRCH	1424	BR_STATUS	CT_REP	0;
	1414	0	CT_TBRCH	1425	BR_STATUS	CT_REP	0;
	1415	0	CT_TBRCH	1426	BR_STATUS	CT_REP	0;
	1416	0	CT_TBRCH	1427	BR_STATUS	CT_REP	0;
	1417	0	CT_TBRCH	1428	BR_STATUS	CT_REP	0;
	1418	0	CT_TBRCH	1429	BR_STATUS	CT_REP	0;
	1419	0	CT_TBRCH	1430	BR_STATUS	CT_REP	0;
	1420	0	CT_TBRCH	1431	BR_STATUS	CT_REP	0;
	1421	0	CT_TBRCH	1432	BR_STATUS	CT_REP	0;
	1422	0	CT_TBRCH	1433	BR_STATUS	CT_REP	0;
	1423	0	CT_TBRCH	1434	BR_STATUS	CT_REP	0;
	1424	0	CT_TBRCH	1435	BR_STATUS	CT_REP	0;
	1425	0	CT_TBRCH	1436	BR_STATUS	CT_REP	0;
	1426	0	CT_TBRCH	1437	BR_STATUS	CT_REP	0;
	1427	0	CT_TBRCH	1438	BR_STATUS	CT_REP	0;
	1428	0	CT_TBRCH	1439	BR_STATUS	CT_REP	0;
	1429	0	CT_TBRCH	1440	BR_STATUS	CT_REP	0;
	1430	0	CT_TBRCH	1441	BR_STATUS	CT_REP	0;
	1431	0	CT_TBRCH	1442	BR_STATUS	CT_REP	0;
	1432	0	CT_TBRCH	1443	BR_STATUS	CT_REP	0;
	1433	0	CT_TBRCH	1444	BR_STATUS	CT_REP	0;
	1434	0	CT_TBRCH	1445	BR_STATUS	CT_REP	0;
	1435	0	CT_TBRCH	1446	BR_STATUS	CT_REP	0;
	1436	0	CT_TBRCH	1447	BR_STATUS	CT_REP	0;
	1437	0	CT_TBRCH	1448	BR_STATUS	CT_REP	0;
	1438	0	CT_TBRCH	1449	BR_STATUS	CT_REP	0;
	1439	0	CT_TBRCH	1450	BR_STATUS	CT_REP	0;
	1440	0	CT_TBRCH	1451	BR_STATUS	CT_REP	0;
	1441	0	CT_TBRCH	1452	BR_STATUS	CT_REP	0;
	1442	0	CT_TBRCH	1453	BR_STATUS	CT_REP	0;
	1443	0	CT_TBRCH	1454	BR_STATUS	CT_REP	0;
	1444	0	CT_TBRCH	1455	BR_STATUS	CT_REP	0;
	1445	0	CT_TBRCH	1456	BR_STATUS	CT_REP	0;
	1446	0	CT_TBRCH	1457	BR_STATUS	CT_REP	0;
	1447	0	CT_TBRCH	1458	BR_STATUS	CT_REP	0;
	1448	0	CT_TBRCH	1459	BR_STATUS	CT_REP	0;
	1449	0	CT_TBRCH	1460	BR_STATUS	CT_REP	0;
	1450	0	CT_TBRCH	1461	BR_STATUS	CT_REP	0;
	1451	0	CT_TBRCH	1462	BR_STATUS	CT_REP	0;
	1452	0	CT_TBRCH	1463	BR_STATUS	CT_REP	0;
	1453	0	CT_TBRCH	1464	BR_STATUS	CT_REP	0;
	1454	0	CT_TBRCH	1465	BR_STATUS	CT_REP	0;
	1455	0	CT_TBRCH	1466	BR_STATUS	CT_REP	0;
	1456	0	CT_TBRCH	1467	BR_STATUS	CT_REP	0;
	1457	0	CT_TBRCH	1468	BR_STATUS	CT_REP	0;
	1458	0	CT_TBRCH	1469	BR_STATUS	CT_REP	0;
	1459	0	CT_TBRCH	1470	BR_STATUS	CT_REP	0;
	1460	0	CT_TBRCH	1471	BR_STATUS	CT_REP	0;
	1461	0	CT_TBRCH	1472	BR_STATUS	CT_REP	0;
	1462	0	CT_TBRCH	1473	BR_STATUS	CT_REP	0;
	1463	0	CT_TBRCH	1474	BR_STATUS	CT_REP	0;
	1464	0	CT_TBRCH	1475	BR_STATUS	CT_REP	0;
	1465	0	CT_TBRCH	1476	BR_STATUS	CT_REP	0;
	1466	0	CT_TBRCH	1477	BR_STATUS	CT_REP	0;
	1467	0	CT_TBRCH	1478	BR_STATUS	CT_REP	0;
	1468	0	CT_TBRCH	1479	BR_STATUS	CT_REP	0;
	1469	0	CT_TBRCH	1480	BR_STATUS	CT_REP	0;
	1470	0	CT_TBRCH	1481	BR_STATUS	CT_REP	0;
	1471	0	CT_TBRCH	1482	BR_STATUS	CT_REP	0;
	1472	0	CT_TBRCH	1483	BR_STATUS	CT_REP	0;
	1473	0	CT_TBRCH	1484	BR_STATUS	CT_REP	0;
	1474	0	CT_TBRCH	1485	BR_STATUS	CT_REP	0;
	1475	0	CT_TBRCH	1486	BR_STATUS	CT_REP	0;
	1476	0	CT_TBRCH	1487	BR_STATUS	CT_REP	0;
	1477	0	CT_TBRCH	1488	BR_STATUS	CT_REP	0;
	1478	0	CT_TBRCH	1489	BR_STATUS	CT_REP	0;
	1479	0	CT_TBRCH	1490	BR_STATUS	CT_REP	0;
	1480	0	CT_TBRCH	1491	BR_STATUS	CT_REP	0;
	1481	0	CT_TBRCH	1492	BR_STATUS	CT_REP	0;
	1482	0	CT_TBRCH	1493	BR_STATUS	CT_REP	0;
	1483	0	CT_TBRCH	1494	BR_STATUS	CT_REP	0;
	1484	0	CT_TBRCH	1495	BR_STATUS	CT_REP	0;
	1485	0	CT_TBRCH	1496	BR_STATUS	CT_REP	0;
	1486	0	CT_TBRCH	1497	BR_STATUS	CT_REP	0;
	1487	0	CT_TBRCH	1498	BR_STATUS	CT_REP	0;
	1488	0	CT_TBRCH	1499	BR_STATUS	CT_REP	0;
	1489	0	CT_TBRCH	1500	BR_STATUS	CT_REP	0;
	1490	0	CT_TBRCH	1501	BR_STATUS	CT_REP	0;
	1491	0	CT_TBRCH	1502	BR_STATUS	CT_REP	0;
	1492	0	CT_TBRCH	1503	BR_STATUS	CT_REP	0;
	1493	0	CT_TBRCH	1504	BR_STATUS	CT_REP	0;
	1494	0	CT_TBRCH	1507	BR_STATUS	CT_REP	0;
	1495	0	CT_TBRCH	1508	BR_STATUS	CT_REP	0;
	1496	0	CT_TBRCH	1509	BR_STATUS	CT_REP	0;
	1497	0	CT_TBRCH	1510	BR_STATUS	CT_REP	0;
	1498	0	CT_TBRCH	1511	BR_STATUS	CT_REP	0;
	1499	0	CT_TBRCH	1512	BR_STATUS	CT_REP	0;
	1500	0	CT_TBRCH	1513	BR_STATUS	CT_REP	0;
	1501	0	CT_TBRCH	1514	BR_STATUS	CT_REP	0;
	1502	0	CT_TBRCH	1515	BR_STATUS	CT_REP	0;
	1503	0	CT_TBRCH	1516	BR_STATUS	CT_REP	0;
	1504	0	CT_TBRCH	1517	BR_STATUS	CT_REP	0;
	1505	0	CT_TBRCH	1518	BR_STATUS	CT_REP	0;
	1506	0	CT_TBRCH	1519	BR_STATUS	CT_REP	0;
	1507	0	CT_TBRCH	1520	BR_STATUS	CT_REP	0;
	1508	0	CT_TBRCH	1521	BR_STATUS	CT_REP	0;
	1509	0	CT_TBRCH	1522	BR_STATUS	CT_REP	0;
	1510	0	CT_TBRCH	1523	BR_STATUS	CT_REP	0;
	1511	0	CT_TBRCH	1524	BR_STATUS	CT_REP	0;
	1512	0	CT_TBRCH	1525	BR_STATUS	CT_REP	0;
	1513	0	CT_TBRCH	1526	BR_STATUS	CT_REP	0;
	1514	0	CT_TBRCH	1527	BR_STATUS	CT_REP	0;
	1515	0	CT_TBRCH	1528	BR_STATUS	CT_REP	0;
	1516	0	CT_TBRCH	1529	BR_STATUS	CT_REP	0;
	1517	0	CT_TBRCH	1530	BR_STATUS	CT_REP	0;
	1518	0	CT_TBRCH	1531	BR_STATUS	CT_REP	0;
	1519	0	CT_TBRCH	1532	BR_STATUS	CT_REP	0;
	1520	0	CT_TBRCH	1533	BR_STATUS	CT_REP	0;
	1521	0	CT_TBRCH	1534	BR_STATUS	CT_REP	0;
	1522	0	CT_TBRCH	1535	BR_STATUS	CT_REP	0;
	1523	0	CT_TBRCH	1536	BR_STATUS	CT_REP	0;
	1524	0	CT_TBRCH	1537	BR_STATUS	CT_REP	0;
	1525	0	CT_TBRCH	1538	BR_STATUS	CT_REP	0;
	1526	0	CT_TBRCH	1539	BR_STATUS	CT_REP	0;
	1527	0	CT_TBRCH	1540	BR_STATUS	CT_REP	0;
	1528	0	CT_TBRCH	1541	BR_STATUS	CT_REP	0;
	1529	0	CT_TBRCH	1542	BR_STATUS	CT_REP	0;
	1530	0	CT_TBRCH	1543	BR_STATUS	CT_REP	0;
	1531	0	CT_TBRCH	1544	BR_STATUS	CT_REP	0;
	1532	0	CT_TBRCH	1545	BR_STATUS	CT_REP	0;
	1533	0	CT_TBRCH	1546	BR_STATUS	CT_REP	0;
	1534	0	CT_TBRCH	1547	BR_STATUS	CT_REP	0;
	1535	0	CT_TBRCH	1548	BR_STATUS	CT_REP	0;
	1536	0	CT_TBRCH	1549	BR_STATUS	CT_REP	0;
	1537	0	CT_TBRCH	1550	BR_STATUS	CT_REP	0;
	1538	0	CT_TBRCH	1551	BR_STATUS	CT_REP	0;
	1539	0	CT_TBRCH	1552	BR_STATUS	CT_REP	0;
	1540	0	CT_TBRCH	1553	BR_STATUS	CT_REP	0;
	1541	0	CT_TBRCH	1554	BR_STATUS	CT_REP	0;
	1542	0	CT_TBRCH	1555	BR_STATUS	CT_REP	0;
	1543	0	CT_TBRCH	1556	BR_STATUS	CT_REP	0;
	1544	0	CT_TBRCH	1557	BR_STATUS	CT_REP	0;
	1545	0	CT_TBRCH	1558	BR_STATUS	CT_REP	0;
	1546	0	CT_TBRCH	1559	BR_STATUS	CT_REP	0;
	1547	0	CT_TBRCH	1560	BR_STATUS	CT_REP	0;
	1548	0	CT_TBRCH	1561	BR_STATUS	CT_REP	0;
	1549	0	CT_TBRCH	1562	BR_STATUS	CT_REP	0;
	1550	0	CT_TBRCH	1563	BR_STATUS	CT_REP	0;
	1551	0	CT_TBRCH	1564	BR_STATUS	CT_REP	0;
	1552	0	CT_TBRCH	1565	BR_STATUS	CT_REP	0;
	1553	0	CT_TBRCH	1566	BR_STATUS	CT_REP	0;
	1554	0	CT_TBRCH	1567	BR_STATUS	CT_REP	0;
	1555	0	CT_TBRCH	1568	BR_STATUS	CT_REP	0;
	1556	0	CT_TBRCH	1569	BR_STATUS	CT_REP	0;
	1557	0	CT_TBRCH	1570	BR_STATUS	CT_REP	0;
	1558	0	CT_TBRCH	1571	BR_STATUS	CT_REP	0;
	1559	0	CT_TBRCH	1572	BR_STATUS	CT_REP	0;
	1560	0	CT_TBRCH	1573	BR_STATUS	CT_REP	0;
	1561	0	CT_TBRCH	1574	BR_STATUS	CT_REP	0;
	1562	0	CT_TBRCH	1575	BR_STATUS	CT_REP	0;
	1563	0	CT_TBRCH	1576	BR_STATUS	CT_REP	0;
	1564	0	CT_TBRCH	1577	BR_STATUS	CT_REP	0;
	1565	0	CT_TBRCH	1578	BR_STATUS	CT_REP	0;
	1566	0	CT_TBRCH	1579	BR_STATUS	CT_REP	0;
	1567	0	CT_TBRCH	1580	BR_STATUS	CT_REP	0;
	1568	0	CT_TBRCH	1581	BR_STATUS	CT_REP	0;
	1569	0	CT_TBRCH	956	BR_STATUS	CT_REP	0;
	1570	0	CT_TBRCH	1582	BR_STATUS	CT_REP	0;
	1571	0	CT_TBRCH	1583	BR_STATUS	CT_REP	0;
	1572	0	CT_TBRCH	1584	BR_STATUS	CT_REP	0;
	1573	0	CT_TBRCH	1585	BR_STATUS	CT_REP	0;
	1574	0	CT_TBRCH	1586	BR_STATUS	CT_REP	0;
	1575	0	CT_TBRCH	1587	BR_STATUS	CT_REP	0;
	1576	0	CT_TBRCH	1588	BR_STATUS	CT_REP	0;
	1577	0	CT_TBRCH	1589	BR_STATUS	CT_REP	0;
	1578	0	CT_TBRCH	1590	BR_STATUS	CT_REP	0;
	1579	0	CT_TBRCH	1591	BR_STATUS	CT_REP	0;
	1580	0	CT_TBRCH	1592	BR_STATUS	CT_REP	0;
	1581	0	CT_TBRCH	1593	BR_STATUS	CT_REP	0;
	1582	0	CT_TBRCH	1594	BR_STATUS	CT_REP	0;
	1583	0	CT_TBRCH	1595	BR_STATUS	CT_REP	0;
	1584	0	CT_TBRCH	1596	BR_STATUS	CT_REP	0;
	1585	0	CT_TBRCH	1597	BR_STATUS	CT_REP	0;
	1586	0	CT_TBRCH	1598	BR_STATUS	CT_REP	0;
	1587	0	CT_TBRCH	1599	BR_STATUS	CT_REP	0;
	1588	0	CT_TBRCH	1600	BR_STATUS	CT_REP	0;
	1589	0	CT_TBRCH	1601	BR_STATUS	CT_REP	0;
	1590	0	CT_TBRCH	1602	BR_STATUS	CT_REP	0;
	1591	0	CT_TBRCH	1603	BR_STATUS	CT_REP	0;
	1592	0	CT_TBRCH	1604	BR_STATUS	CT_REP	0;
	1593	0	CT_TBRCH	1606	BR_STATUS	CT_REP	0;
	1594	0	CT_TBRCH	1605	BR_STATUS	CT_REP	0;
	1595	0	CT_TBRCH	1607	BR_STATUS	CT_REP	0;
	1596	0	CT_TBRCH	1608	BR_STATUS	CT_REP	0;
	1597	0	CT_TBRCH	1609	BR_STATUS	CT_REP	0;
	1598	0	CT_TBRCH	1610	BR_STATUS	CT_REP	0;
	1599	0	CT_TBRCH	1611	BR_STATUS	CT_REP	0;
	1600	0	CT_TBRCH	1612	BR_STATUS	CT_REP	0;
	1601	0	CT_TBRCH	1613	BR_STATUS	CT_REP	0;
	1602	0	CT_TBRCH	1614	BR_STATUS	CT_REP	0;
	1603	0	CT_TBRCH	1615	BR_STATUS	CT_REP	0;
	1604	0	CT_TBRCH	1616	BR_STATUS	CT_REP	0;
	1605	0	CT_TBRCH	1617	BR_STATUS	CT_REP	0;
	1606	0	CT_TBRCH	1618	BR_STATUS	CT_REP	0;
	1607	0	CT_TBRCH	1619	BR_STATUS	CT_REP	0;
	1608	0	CT_TBRCH	1620	BR_STATUS	CT_REP	0;
	1609	0	CT_TBRCH	1621	BR_STATUS	CT_REP	0;
	1610	0	CT_TBRCH	1622	BR_STATUS	CT_REP	0;
	1611	0	CT_TBRCH	1623	BR_STATUS	CT_REP	0;
	1612	0	CT_TBRCH	1624	BR_STATUS	CT_REP	0;
	1613	0	CT_TBRCH	1625	BR_STATUS	CT_REP	0;
	1614	0	CT_TBRCH	1626	BR_STATUS	CT_REP	0;
	1615	0	CT_TBRCH	1627	BR_STATUS	CT_REP	0;
	1616	0	CT_TBRCH	1628	BR_STATUS	CT_REP	0;
	1617	0	CT_TBRCH	1629	BR_STATUS	CT_REP	0;
	1618	0	CT_TBRCH	1630	BR_STATUS	CT_REP	0;
	1619	0	CT_TBRCH	1631	BR_STATUS	CT_REP	0;
	1620	0	CT_TBRCH	1632	BR_STATUS	CT_REP	0;
	1621	0	CT_TBRCH	1633	BR_STATUS	CT_REP	0;
	1622	0	CT_TBRCH	1634	BR_STATUS	CT_REP	0;
	1623	0	CT_TBRCH	1635	BR_STATUS	CT_REP	0;
	1624	0	CT_TBRCH	1636	BR_STATUS	CT_REP	0;
	1625	0	CT_TBRCH	1637	BR_STATUS	CT_REP	0;
	1626	0	CT_TBRCH	1638	BR_STATUS	CT_REP	0;
	1627	0	CT_TBRCH	1639	BR_STATUS	CT_REP	0;
	1628	0	CT_TBRCH	1640	BR_STATUS	CT_REP	0;
	1629	0	CT_TBRCH	1641	BR_STATUS	CT_REP	0;
	1630	0	CT_TBRCH	1642	BR_STATUS	CT_REP	0;
	1631	0	CT_TBRCH	1643	BR_STATUS	CT_REP	0;
	1632	0	CT_TBRCH	1644	BR_STATUS	CT_REP	0;
	1633	0	CT_TBRCH	1645	BR_STATUS	CT_REP	0;
	1634	0	CT_TBRCH	1646	BR_STATUS	CT_REP	0;
	1635	0	CT_TBRCH	1647	BR_STATUS	CT_REP	0;
	1636	0	CT_TBRCH	1648	BR_STATUS	CT_REP	0;
	1637	0	CT_TBRCH	1649	BR_STATUS	CT_REP	0;
	1638	0	CT_TBRCH	1650	BR_STATUS	CT_REP	0;
	1639	0	CT_TBRCH	1651	BR_STATUS	CT_REP	0;
	1640	0	CT_TBRCH	1652	BR_STATUS	CT_REP	0;
	1641	0	CT_TBRCH	1653	BR_STATUS	CT_REP	0;
	1642	0	CT_TBRCH	1654	BR_STATUS	CT_REP	0;
	1643	0	CT_TBRCH	1655	BR_STATUS	CT_REP	0;
	1644	0	CT_TBRCH	1656	BR_STATUS	CT_REP	0;
	1645	0	CT_TBRCH	1657	BR_STATUS	CT_REP	0;
	1646	0	CT_TBRCH	1658	BR_STATUS	CT_REP	0;
	1647	0	CT_TBRCH	1659	BR_STATUS	CT_REP	0;
	1648	0	CT_TBRCH	1660	BR_STATUS	CT_REP	0;
	1649	0	CT_TBRCH	1661	BR_STATUS	CT_REP	0;
	1650	0	CT_TBRCH	1662	BR_STATUS	CT_REP	0;
	1651	0	CT_TBRCH	1663	BR_STATUS	CT_REP	0;
	1652	0	CT_TBRCH	1664	BR_STATUS	CT_REP	0;
	1653	0	CT_TBRCH	1665	BR_STATUS	CT_REP	0;
	1654	0	CT_TBRCH	1666	BR_STATUS	CT_REP	0;
	1655	0	CT_TBRCH	1667	BR_STATUS	CT_REP	0;
	1656	0	CT_TBRCH	1668	BR_STATUS	CT_REP	0;
	1657	0	CT_TBRCH	1669	BR_STATUS	CT_REP	0;
	1658	0	CT_TBRCH	1670	BR_STATUS	CT_REP	0;
	1659	0	CT_TBRCH	1671	BR_STATUS	CT_REP	0;
	1660	0	CT_TBRCH	1672	BR_STATUS	CT_REP	0;
	1661	0	CT_TBRCH	1673	BR_STATUS	CT_REP	0;
	1662	0	CT_TBRCH	1674	BR_STATUS	CT_REP	0;
	1663	0	CT_TBRCH	1675	BR_STATUS	CT_REP	0;
	1664	0	CT_TBRCH	1676	BR_STATUS	CT_REP	0;
	1665	0	CT_TBRCH	1677	BR_STATUS	CT_REP	0;
	1666	0	CT_TBRCH	1678	BR_STATUS	CT_REP	0;
	1667	0	CT_TBRCH	1679	BR_STATUS	CT_REP	0;
	1668	0	CT_TBRCH	1680	BR_STATUS	CT_REP	0;
	1669	0	CT_TBRCH	1681	BR_STATUS	CT_REP	0;
	1670	0	CT_TBRCH	1682	BR_STATUS	CT_REP	0;
	1671	0	CT_TBRCH	1683	BR_STATUS	CT_REP	0;
	1672	0	CT_TBRCH	1684	BR_STATUS	CT_REP	0;
	1673	0	CT_TBRCH	1685	BR_STATUS	CT_REP	0;
	1674	0	CT_TBRCH	1686	BR_STATUS	CT_REP	0;
	1675	0	CT_TBRCH	1687	BR_STATUS	CT_REP	0;
	1676	0	CT_TBRCH	1688	BR_STATUS	CT_REP	0;
	1677	0	CT_TBRCH	1689	BR_STATUS	CT_REP	0;
	1678	0	CT_TBRCH	1690	BR_STATUS	CT_REP	0;
	1679	0	CT_TBRCH	1691	BR_STATUS	CT_REP	0;
	1680	0	CT_TBRCH	1692	BR_STATUS	CT_REP	0;
	1681	0	CT_TBRCH	1693	BR_STATUS	CT_REP	0;
	1682	0	CT_TBRCH	1694	BR_STATUS	CT_REP	0;
	1683	0	CT_TBRCH	1695	BR_STATUS	CT_REP	0;
	1684	0	CT_TBRCH	1696	BR_STATUS	CT_REP	0;
	1685	0	CT_TBRCH	1697	BR_STATUS	CT_REP	0;
	1686	0	CT_TBRCH	1698	BR_STATUS	CT_REP	0;
	1687	0	CT_TBRCH	1699	BR_STATUS	CT_REP	0;
	1688	0	CT_TBRCH	1700	BR_STATUS	CT_REP	0;
	1689	0	CT_TBRCH	1701	BR_STATUS	CT_REP	0;
	1690	0	CT_TBRCH	1702	BR_STATUS	CT_REP	0;
	1691	0	CT_TBRCH	1703	BR_STATUS	CT_REP	0;
	1692	0	CT_TBRCH	1704	BR_STATUS	CT_REP	0;
	1693	0	CT_TBRCH	1705	BR_STATUS	CT_REP	0;
	1694	0	CT_TBRCH	1706	BR_STATUS	CT_REP	0;
	1695	0	CT_TBRCH	1707	BR_STATUS	CT_REP	0;
	1696	0	CT_TBRCH	1708	BR_STATUS	CT_REP	0;
	1697	0	CT_TBRCH	1709	BR_STATUS	CT_REP	0;
	1698	0	CT_TBRCH	1710	BR_STATUS	CT_REP	0;
	1699	0	CT_TBRCH	1711	BR_STATUS	CT_REP	0;
	1700	0	CT_TBRCH	1712	BR_STATUS	CT_REP	0;
	1701	0	CT_TBRCH	1713	BR_STATUS	CT_REP	0;
	1702	0	CT_TBRCH	1714	BR_STATUS	CT_REP	0;
	1703	0	CT_TBRCH	1715	BR_STATUS	CT_REP	0;
	1704	0	CT_TBRCH	1716	BR_STATUS	CT_REP	0;
	1705	0	CT_TBRCH	1717	BR_STATUS	CT_REP	0;
	1706	0	CT_TBRCH	1718	BR_STATUS	CT_REP	0;
	1707	0	CT_TBRCH	1719	BR_STATUS	CT_REP	0;
	1708	0	CT_TBRCH	1720	BR_STATUS	CT_REP	0;
	1709	0	CT_TBRCH	1721	BR_STATUS	CT_REP	0;
	1710	0	CT_TBRCH	1722	BR_STATUS	CT_REP	0;
	1711	0	CT_TBRCH	1723	BR_STATUS	CT_REP	0;
	1712	0	CT_TBRCH	1724	BR_STATUS	CT_REP	0;
	1713	0	CT_TBRCH	1725	BR_STATUS	CT_REP	0;
	1714	0	CT_TBRCH	1726	BR_STATUS	CT_REP	0;
	1715	0	CT_TBRCH	1727	BR_STATUS	CT_REP	0;
	1716	0	CT_TBRCH	1728	BR_STATUS	CT_REP	0;
	1717	0	CT_TBRCH	1729	BR_STATUS	CT_REP	0;
	1718	0	CT_TBRCH	1730	BR_STATUS	CT_REP	0;
	1719	0	CT_TBRCH	1731	BR_STATUS	CT_REP	0;
	1720	0	CT_TBRCH	1732	BR_STATUS	CT_REP	0;
	1721	0	CT_TBRCH	1733	BR_STATUS	CT_REP	0;
	1722	0	CT_TBRCH	1734	BR_STATUS	CT_REP	0;
	1723	0	CT_TBRCH	1735	BR_STATUS	CT_REP	0;
	1724	0	CT_TBRCH	1736	BR_STATUS	CT_REP	0;
	1725	0	CT_TBRCH	1737	BR_STATUS	CT_REP	0;
	1726	0	CT_TBRCH	1738	BR_STATUS	CT_REP	0;
	1727	0	CT_TBRCH	1739	BR_STATUS	CT_REP	0;
	1728	0	CT_TBRCH	1740	BR_STATUS	CT_REP	0;
	1729	0	CT_TBRCH	1741	BR_STATUS	CT_REP	0;
	1730	0	CT_TBRCH	1742	BR_STATUS	CT_REP	0;
	1731	0	CT_TBRCH	1743	BR_STATUS	CT_REP	0;
	1732	0	CT_TBRCH	1744	BR_STATUS	CT_REP	0;
	1733	0	CT_TBRCH	1745	BR_STATUS	CT_REP	0;
	1734	0	CT_TBRCH	1746	BR_STATUS	CT_REP	0;
	1735	0	CT_TBRCH	1747	BR_STATUS	CT_REP	0;
	1736	0	CT_TBRCH	1748	BR_STATUS	CT_REP	0;
	1737	0	CT_TBRCH	1749	BR_STATUS	CT_REP	0;
	1738	0	CT_TBRCH	1750	BR_STATUS	CT_REP	0;
	1739	0	CT_TBRCH	1751	BR_STATUS	CT_REP	0;
	1740	0	CT_TBRCH	1752	BR_STATUS	CT_REP	0;
	1741	0	CT_TBRCH	1753	BR_STATUS	CT_REP	0;
	1742	0	CT_TBRCH	1754	BR_STATUS	CT_REP	0;
	1743	0	CT_TBRCH	1755	BR_STATUS	CT_REP	0;
	1744	0	CT_TBRCH	1756	BR_STATUS	CT_REP	0;
	1745	0	CT_TBRCH	1757	BR_STATUS	CT_REP	0;
	1746	0	CT_TBRCH	1758	BR_STATUS	CT_REP	0;
	1747	0	CT_TBRCH	1759	BR_STATUS	CT_REP	0;
	1748	0	CT_TBRCH	1760	BR_STATUS	CT_REP	0;
	1749	0	CT_TBRCH	1761	BR_STATUS	CT_REP	0;
	1750	0	CT_TBRCH	1762	BR_STATUS	CT_REP	0;
	1751	0	CT_TBRCH	1763	BR_STATUS	CT_REP	0;
	1752	0	CT_TBRCH	1764	BR_STATUS	CT_REP	0;
	1753	0	CT_TBRCH	1765	BR_STATUS	CT_REP	0;
	1754	0	CT_TBRCH	1766	BR_STATUS	CT_REP	0;
	1755	0	CT_TBRCH	1767	BR_STATUS	CT_REP	0;
	1756	0	CT_TBRCH	1768	BR_STATUS	CT_REP	0;
	1757	0	CT_TBRCH	1769	BR_STATUS	CT_REP	0;
	1758	0	CT_TBRCH	1770	BR_STATUS	CT_REP	0;
	1759	0	CT_TBRCH	1771	BR_STATUS	CT_REP	0;
	1760	0	CT_TBRCH	1772	BR_STATUS	CT_REP	0;
	1761	0	CT_TBRCH	1773	BR_STATUS	CT_REP	0;
	1762	0	CT_TBRCH	1774	BR_STATUS	CT_REP	0;
	1763	0	CT_TBRCH	1775	BR_STATUS	CT_REP	0;
	1764	0	CT_TBRCH	1776	BR_STATUS	CT_REP	0;
	1765	0	CT_TBRCH	1777	BR_STATUS	CT_REP	0;
	1766	0	CT_TBRCH	1778	BR_STATUS	CT_REP	0;
	1767	0	CT_TBRCH	1779	BR_STATUS	CT_REP	0;
	1768	0	CT_TBRCH	1780	BR_STATUS	CT_REP	0;
	1769	0	CT_TBRCH	1781	BR_STATUS	CT_REP	0;
	1770	0	CT_TBRCH	1782	BR_STATUS	CT_REP	0;
	1771	0	CT_TBRCH	1783	BR_STATUS	CT_REP	0;
	1772	0	CT_TBRCH	1784	BR_STATUS	CT_REP	0;
	1773	0	CT_TBRCH	1785	BR_STATUS	CT_REP	0;
	1774	0	CT_TBRCH	1786	BR_STATUS	CT_REP	0;
	1775	0	CT_TBRCH	1787	BR_STATUS	CT_REP	0;
	1776	0	CT_TBRCH	1788	BR_STATUS	CT_REP	0;
	1777	0	CT_TBRCH	1789	BR_STATUS	CT_REP	0;
	1778	0	CT_TBRCH	1790	BR_STATUS	CT_REP	0;
	1779	0	CT_TBRCH	1791	BR_STATUS	CT_REP	0;
	1780	0	CT_TBRCH	1792	BR_STATUS	CT_REP	0;
	1781	0	CT_TBRCH	1793	BR_STATUS	CT_REP	0;
	1782	0	CT_TBRCH	1794	BR_STATUS	CT_REP	0;
	1783	0	CT_TBRCH	1795	BR_STATUS	CT_REP	0;
	1784	0	CT_TBRCH	1796	BR_STATUS	CT_REP	0;
	1785	0	CT_TBRCH	1797	BR_STATUS	CT_REP	0;
	1786	0	CT_TBRCH	1798	BR_STATUS	CT_REP	0;
	1787	0	CT_TBRCH	1799	BR_STATUS	CT_REP	0;
	1788	0	CT_TBRCH	1800	BR_STATUS	CT_REP	0;
	1789	0	CT_TBRCH	1801	BR_STATUS	CT_REP	0;
	1790	0	CT_TBRCH	1802	BR_STATUS	CT_REP	0;
	1791	0	CT_TBRCH	1803	BR_STATUS	CT_REP	0;
	1792	0	CT_TBRCH	1804	BR_STATUS	CT_REP	0;
	1793	0	CT_TBRCH	1805	BR_STATUS	CT_REP	0;
	1794	0	CT_TBRCH	1806	BR_STATUS	CT_REP	0;
	1795	0	CT_TBRCH	1807	BR_STATUS	CT_REP	0;
	1796	0	CT_TBRCH	1808	BR_STATUS	CT_REP	0;
	1797	0	CT_TBRCH	1809	BR_STATUS	CT_REP	0;
	1798	0	CT_TBRCH	1810	BR_STATUS	CT_REP	0;
	1799	0	CT_TBRCH	1811	BR_STATUS	CT_REP	0;
	1800	0	CT_TBRCH	1812	BR_STATUS	CT_REP	0;
	1801	0	CT_TBRCH	1813	BR_STATUS	CT_REP	0;
	1802	0	CT_TBRCH	1814	BR_STATUS	CT_REP	0;
	1803	0	CT_TBRCH	1815	BR_STATUS	CT_REP	0;
	1804	0	CT_TBRCH	1816	BR_STATUS	CT_REP	0;
	1805	0	CT_TBRCH	1817	BR_STATUS	CT_REP	0;
	1806	0	CT_TBRCH	1818	BR_STATUS	CT_REP	0;
	1807	0	CT_TBRCH	1819	BR_STATUS	CT_REP	0;
	1808	0	CT_TBRCH	1820	BR_STATUS	CT_REP	0;
	1809	0	CT_TBRCH	1821	BR_STATUS	CT_REP	0;
	1810	0	CT_TBRCH	1822	BR_STATUS	CT_REP	0;
	1811	0	CT_TBRCH	1823	BR_STATUS	CT_REP	0;
	1812	0	CT_TBRCH	1824	BR_STATUS	CT_REP	0;
	1813	0	CT_TBRCH	1825	BR_STATUS	CT_REP	0;
	1814	0	CT_TBRCH	1826	BR_STATUS	CT_REP	0;
	1815	0	CT_TBRCH	1827	BR_STATUS	CT_REP	0;
	1816	0	CT_TBRCH	1828	BR_STATUS	CT_REP	0;
	1817	0	CT_TBRCH	1829	BR_STATUS	CT_REP	0;
	1818	0	CT_TBRCH	1830	BR_STATUS	CT_REP	0;
	1819	0	CT_TBRCH	1831	BR_STATUS	CT_REP	0;
	1820	0	CT_TBRCH	1832	BR_STATUS	CT_REP	0;
	1821	0	CT_TBRCH	1833	BR_STATUS	CT_REP	0;
	1822	0	CT_TBRCH	1834	BR_STATUS	CT_REP	0;
	1823	0	CT_TBRCH	1835	BR_STATUS	CT_REP	0;
	1824	0	CT_TBRCH	1836	BR_STATUS	CT_REP	0;
	1825	0	CT_TBRCH	1837	BR_STATUS	CT_REP	0;
	1826	0	CT_TBRCH	1838	BR_STATUS	CT_REP	0;
	1827	0	CT_TBRCH	1839	BR_STATUS	CT_REP	0;
	1828	0	CT_TBRCH	1840	BR_STATUS	CT_REP	0;
	1829	0	CT_TBRCH	1841	BR_STATUS	CT_REP	0;
	1830	0	CT_TBRCH	1842	BR_STATUS	CT_REP	0;
	1831	0	CT_TBRCH	1843	BR_STATUS	CT_REP	0;
	1832	0	CT_TBRCH	1844	BR_STATUS	CT_REP	0;
	1833	0	CT_TBRCH	1845	BR_STATUS	CT_REP	0;
	1834	0	CT_TBRCH	1846	BR_STATUS	CT_REP	0;
	1835	0	CT_TBRCH	1847	BR_STATUS	CT_REP	0;
	1836	0	CT_TBRCH	1848	BR_STATUS	CT_REP	0;
	1837	0	CT_TBRCH	1849	BR_STATUS	CT_REP	0;
	1838	0	CT_TBRCH	1850	BR_STATUS	CT_REP	0;
	1839	0	CT_TBRCH	1851	BR_STATUS	CT_REP	0;
	1840	0	CT_TBRCH	1852	BR_STATUS	CT_REP	0;
	1841	0	CT_TBRCH	1853	BR_STATUS	CT_REP	0;
	1842	0	CT_TBRCH	1854	BR_STATUS	CT_REP	0;
	1843	0	CT_TBRCH	1855	BR_STATUS	CT_REP	0;
	1844	0	CT_TBRCH	1856	BR_STATUS	CT_REP	0;
	1845	0	CT_TBRCH	1857	BR_STATUS	CT_REP	0;
	1846	0	CT_TBRCH	1858	BR_STATUS	CT_REP	0;
	1847	0	CT_TBRCH	1859	BR_STATUS	CT_REP	0;
	1848	0	CT_TBRCH	1860	BR_STATUS	CT_REP	0;
	1849	0	CT_TBRCH	1861	BR_STATUS	CT_REP	0;
	1850	0	CT_TBRCH	1862	BR_STATUS	CT_REP	0;
	1851	0	CT_TBRCH	1863	BR_STATUS	CT_REP	0;
	1852	0	CT_TBRCH	1864	BR_STATUS	CT_REP	0;
	1853	0	CT_TBRCH	1865	BR_STATUS	CT_REP	0;
	1854	0	CT_TBRCH	1866	BR_STATUS	CT_REP	0;
	1855	0	CT_TBRCH	1867	BR_STATUS	CT_REP	0;
	1856	0	CT_TBRCH	1868	BR_STATUS	CT_REP	0;
	1857	0	CT_TBRCH	1869	BR_STATUS	CT_REP	0;
	1858	0	CT_TBRCH	1870	BR_STATUS	CT_REP	0;
	1859	0	CT_TBRCH	1871	BR_STATUS	CT_REP	0;
	1860	0	CT_TBRCH	1872	BR_STATUS	CT_REP	0;
	1861	0	CT_TBRCH	1873	BR_STATUS	CT_REP	0;
	1862	0	CT_TBRCH	1874	BR_STATUS	CT_REP	0;
	1863	0	CT_TBRCH	1875	BR_STATUS	CT_REP	0;
	1864	0	CT_TBRCH	1876	BR_STATUS	CT_REP	0;
	1865	0	CT_TBRCH	1877	BR_STATUS	CT_REP	0;
	1866	0	CT_TBRCH	1878	BR_STATUS	CT_REP	0;
	1867	0	CT_TBRCH	1879	BR_STATUS	CT_REP	0;
	1868	0	CT_TBRCH	1880	BR_STATUS	CT_REP	0;
	1869	0	CT_TBRCH	1881	BR_STATUS	CT_REP	0;
	1870	0	CT_TBRCH	1882	BR_STATUS	CT_REP	0;
	1871	0	CT_TBRCH	1883	BR_STATUS	CT_REP	0;
	1872	0	CT_TBRCH	1884	BR_STATUS	CT_REP	0;
	1873	0	CT_TBRCH	1885	BR_STATUS	CT_REP	0;
	1874	0	CT_TBRCH	1886	BR_STATUS	CT_REP	0;
	1875	0	CT_TBRCH	1887	BR_STATUS	CT_REP	0;
	1876	0	CT_TBRCH	1888	BR_STATUS	CT_REP	0;
	1877	0	CT_TBRCH	1889	BR_STATUS	CT_REP	0;
	1878	0	CT_TBRCH	1890	BR_STATUS	CT_REP	0;
	1879	0	CT_TBRCH	1891	BR_STATUS	CT_REP	0;
	1880	0	CT_TBRCH	1892	BR_STATUS	CT_REP	0;
	1881	0	CT_TBRCH	1893	BR_STATUS	CT_REP	0;
	1882	0	CT_TBRCH	1894	BR_STATUS	CT_REP	0;
	1883	0	CT_TBRCH	1895	BR_STATUS	CT_REP	0;
	1884	0	CT_TBRCH	1896	BR_STATUS	CT_REP	0;
	1885	0	CT_TBRCH	1897	BR_STATUS	CT_REP	0;
	1886	0	CT_TBRCH	1898	BR_STATUS	CT_REP	0;
	1887	0	CT_TBRCH	1899	BR_STATUS	CT_REP	0;
	1888	0	CT_TBRCH	1900	BR_STATUS	CT_REP	0;
	1889	0	CT_TBRCH	1901	BR_STATUS	CT_REP	0;
	1890	0	CT_TBRCH	1902	BR_STATUS	CT_REP	0;
	1891	0	CT_TBRCH	1903	BR_STATUS	CT_REP	0;
	1892	0	CT_TBRCH	1904	BR_STATUS	CT_REP	0;
	1893	0	CT_TBRCH	1905	BR_STATUS	CT_REP	0;
	1894	0	CT_TBRCH	1906	BR_STATUS	CT_REP	0;
	1895	0	CT_TBRCH	1907	BR_STATUS	CT_REP	0;
	1896	0	CT_TBRCH	1908	BR_STATUS	CT_REP	0;
	1897	0	CT_TBRCH	1909	BR_STATUS	CT_REP	0;
	1898	0	CT_TBRCH	1910	BR_STATUS	CT_REP	0;
	1899	0	CT_TBRCH	1911	BR_STATUS	CT_REP	0;
	1900	0	CT_TBRCH	1912	BR_STATUS	CT_REP	0;
	1901	0	CT_TBRCH	1913	BR_STATUS	CT_REP	0;
	1902	0	CT_TBRCH	1914	BR_STATUS	CT_REP	0;
	1903	0	CT_TBRCH	1915	BR_STATUS	CT_REP	0;
	1904	0	CT_TBRCH	1916	BR_STATUS	CT_REP	0;
	1905	0	CT_TBRCH	1917	BR_STATUS	CT_REP	0;
	1906	0	CT_TBRCH	1918	BR_STATUS	CT_REP	0;
	1907	0	CT_TBRCH	1919	BR_STATUS	CT_REP	0;
	1908	0	CT_TBRCH	1920	BR_STATUS	CT_REP	0;
	1909	0	CT_TBRCH	1921	BR_STATUS	CT_REP	0;
	1910	0	CT_TBRCH	1922	BR_STATUS	CT_REP	0;
	1911	0	CT_TBRCH	1923	BR_STATUS	CT_REP	0;
	1912	0	CT_TBRCH	1924	BR_STATUS	CT_REP	0;
	1913	0	CT_TBRCH	1925	BR_STATUS	CT_REP	0;
	1914	0	CT_TBRCH	1926	BR_STATUS	CT_REP	0;
	1915	0	CT_TBRCH	1927	BR_STATUS	CT_REP	0;
	1916	0	CT_TBRCH	1928	BR_STATUS	CT_REP	0;
	1917	0	CT_TBRCH	1929	BR_STATUS	CT_REP	0;
	1918	0	CT_TBRCH	1930	BR_STATUS	CT_REP	0;
	1919	0	CT_TBRCH	1931	BR_STATUS	CT_REP	0;
	1920	0	CT_TBRCH	1932	BR_STATUS	CT_REP	0;
	1921	0	CT_TBRCH	1933	BR_STATUS	CT_REP	0;
	1922	0	CT_TBRCH	1934	BR_STATUS	CT_REP	0;
	1923	0	CT_TBRCH	1935	BR_STATUS	CT_REP	0;
	1924	0	CT_TBRCH	1936	BR_STATUS	CT_REP	0;
	1925	0	CT_TBRCH	1937	BR_STATUS	CT_REP	0;
	1926	0	CT_TBRCH	1938	BR_STATUS	CT_REP	0;
	1927	0	CT_TBRCH	1939	BR_STATUS	CT_REP	0;
	1928	0	CT_TBRCH	1940	BR_STATUS	CT_REP	0;
	1929	0	CT_TBRCH	1941	BR_STATUS	CT_REP	0;
	1930	0	CT_TBRCH	1942	BR_STATUS	CT_REP	0;
	1931	0	CT_TBRCH	1943	BR_STATUS	CT_REP	0;
	1932	0	CT_TBRCH	1944	BR_STATUS	CT_REP	0;
	1933	0	CT_TBRCH	1945	BR_STATUS	CT_REP	0;
	1934	0	CT_TBRCH	1946	BR_STATUS	CT_REP	0;
	1935	0	CT_TBRCH	1947	BR_STATUS	CT_REP	0;
	1936	0	CT_TBRCH	1948	BR_STATUS	CT_REP	0;
	1937	0	CT_TBRCH	1949	BR_STATUS	CT_REP	0;
	1938	0	CT_TBRCH	1950	BR_STATUS	CT_REP	0;
	1939	0	CT_TBRCH	1951	BR_STATUS	CT_REP	0;
	1940	0	CT_TBRCH	1952	BR_STATUS	CT_REP	0;
	1941	0	CT_TBRCH	1953	BR_STATUS	CT_REP	0;
	1942	0	CT_TBRCH	1954	BR_STATUS	CT_REP	0;
	1943	0	CT_TBRCH	1955	BR_STATUS	CT_REP	0;
	1944	0	CT_TBRCH	1956	BR_STATUS	CT_REP	0;
	1945	0	CT_TBRCH	1957	BR_STATUS	CT_REP	0;
	1946	0	CT_TBRCH	1958	BR_STATUS	CT_REP	0;
	1947	0	CT_TBRCH	1959	BR_STATUS	CT_REP	0;
	1948	0	CT_TBRCH	1960	BR_STATUS	CT_REP	0;
	1949	0	CT_TBRCH	1961	BR_STATUS	CT_REP	0;
	1950	0	CT_TBRCH	1962	BR_STATUS	CT_REP	0;
	1951	0	CT_TBRCH	1963	BR_STATUS	CT_REP	0;
	1952	0	CT_TBRCH	1964	BR_STATUS	CT_REP	0;
	1953	0	CT_TBRCH	1965	BR_STATUS	CT_REP	0;
	1954	0	CT_TBRCH	1966	BR_STATUS	CT_REP	0;
	1955	0	CT_TBRCH	1967	BR_STATUS	CT_REP	0;
	1956	0	CT_TBRCH	1968	BR_STATUS	CT_REP	0;
	1957	0	CT_TBRCH	1969	BR_STATUS	CT_REP	0;
	1958	0	CT_TBRCH	1970	BR_STATUS	CT_REP	0;
	1959	0	CT_TBRCH	1971	BR_STATUS	CT_REP	0;
	1960	0	CT_TBRCH	1972	BR_STATUS	CT_REP	0;
	1961	0	CT_TBRCH	1973	BR_STATUS	CT_REP	0;
	1962	0	CT_TBRCH	1974	BR_STATUS	CT_REP	0;
	1963	0	CT_TBRCH	1975	BR_STATUS	CT_REP	0;
	1964	0	CT_TBRCH	1976	BR_STATUS	CT_REP	0;
	1965	0	CT_TBRCH	1977	BR_STATUS	CT_REP	0;
	1966	0	CT_TBRCH	1978	BR_STATUS	CT_REP	0;
	1967	0	CT_TBRCH	1979	BR_STATUS	CT_REP	0;
	1968	0	CT_TBRCH	1980	BR_STATUS	CT_REP	0;
	1969	0	CT_TBRCH	1981	BR_STATUS	CT_REP	0;
	1970	0	CT_TBRCH	1982	BR_STATUS	CT_REP	0;
	1971	0	CT_TBRCH	1983	BR_STATUS	CT_REP	0;
	1972	0	CT_TBRCH	1984	BR_STATUS	CT_REP	0;
	1973	0	CT_TBRCH	1985	BR_STATUS	CT_REP	0;
	1974	0	CT_TBRCH	1986	BR_STATUS	CT_REP	0;
	1975	0	CT_TBRCH	1987	BR_STATUS	CT_REP	0;
	1976	0	CT_TBRCH	1988	BR_STATUS	CT_REP	0;
	1977	0	CT_TBRCH	1989	BR_STATUS	CT_REP	0;
	1978	0	CT_TBRCH	1990	BR_STATUS	CT_REP	0;
	1979	0	CT_TBRCH	1991	BR_STATUS	CT_REP	0;
	1980	0	CT_TBRCH	1992	BR_STATUS	CT_REP	0;
	1981	0	CT_TBRCH	1993	BR_STATUS	CT_REP	0;
	1982	0	CT_TBRCH	1994	BR_STATUS	CT_REP	0;
	1983	0	CT_TBRCH	1995	BR_STATUS	CT_REP	0;
	1984	0	CT_TBRCH	1996	BR_STATUS	CT_REP	0;
	1985	0	CT_TBRCH	1997	BR_STATUS	CT_REP	0;
	1986	0	CT_TBRCH	1998	BR_STATUS	CT_REP	0;
	1987	0	CT_TBRCH	1999	BR_STATUS	CT_REP	0;
	1988	0	CT_TBRCH	2000	BR_STATUS	CT_REP	0;
	1989	0	CT_TBRCH	2001	BR_STATUS	CT_REP	0;
	1990	0	CT_TBRCH	2002	BR_STATUS	CT_REP	0;
	1991	0	CT_TBRCH	2003	BR_STATUS	CT_REP	0;
	1992	0	CT_TBRCH	2004	BR_STATUS	CT_REP	0;
	1993	0	CT_TBRCH	2005	BR_STATUS	CT_REP	0;
	1994	0	CT_TBRCH	2006	BR_STATUS	CT_REP	0;
	1995	0	CT_TBRCH	2007	BR_STATUS	CT_REP	0;
	1996	0	CT_TBRCH	2008	BR_STATUS	CT_REP	0;
	1997	0	CT_TBRCH	2009	BR_STATUS	CT_REP	0;
	1998	0	CT_TBRCH	2010	BR_STATUS	CT_REP	0;
	1999	0	CT_TBRCH	2011	BR_STATUS	CT_REP	0;
	2000	0	CT_TBRCH	2012	BR_STATUS	CT_REP	0;
	2001	0	CT_TBRCH	2013	BR_STATUS	CT_REP	0;
	2002	0	CT_TBRCH	2014	BR_STATUS	CT_REP	0;
	2003	0	CT_TBRCH	2015	BR_STATUS	CT_REP	0;
	2004	0	CT_TBRCH	2016	BR_STATUS	CT_REP	0;
	2005	0	CT_TBRCH	2017	BR_STATUS	CT_REP	0;
	2006	0	CT_TBRCH	2018	BR_STATUS	CT_REP	0;
	2007	0	CT_TBRCH	2019	BR_STATUS	CT_REP	0;
	2008	0	CT_TBRCH	2020	BR_STATUS	CT_REP	0;
	2009	0	CT_TBRCH	2021	BR_STATUS	CT_REP	0;
	2010	0	CT_TBRCH	2022	BR_STATUS	CT_REP	0;
	2011	0	CT_TBRCH	2023	BR_STATUS	CT_REP	0;
	2012	0	CT_TBRCH	2024	BR_STATUS	CT_REP	0;
	2013	0	CT_TBRCH	2025	BR_STATUS	CT_REP	0;
	2014	0	CT_TBRCH	2026	BR_STATUS	CT_REP	0;
	2015	0	CT_TBRCH	2027	BR_STATUS	CT_REP	0;
	2016	0	CT_TBRCH	2028	BR_STATUS	CT_REP	0;
	2017	0	CT_TBRCH	2029	BR_STATUS	CT_REP	0;
	2018	0	CT_TBRCH	2030	BR_STATUS	CT_REP	0;
	2019	0	CT_TBRCH	2031	BR_STATUS	CT_REP	0;
	2020	0	CT_TBRCH	2032	BR_STATUS	CT_REP	0;
	2021	0	CT_TBRCH	2033	BR_STATUS	CT_REP	0;
	2022	0	CT_TBRCH	2034	BR_STATUS	CT_REP	0;
	2023	0	CT_TBRCH	2035	BR_STATUS	CT_REP	0;
	2024	0	CT_TBRCH	2036	BR_STATUS	CT_REP	0;
	2025	0	CT_TBRCH	2037	BR_STATUS	CT_REP	0;
	2026	0	CT_TBRCH	2038	BR_STATUS	CT_REP	0;
	2027	0	CT_TBRCH	2039	BR_STATUS	CT_REP	0;
	2028	0	CT_TBRCH	2040	BR_STATUS	CT_REP	0;
	2029	0	CT_TBRCH	2041	BR_STATUS	CT_REP	0;
	2030	0	CT_TBRCH	2042	BR_STATUS	CT_REP	0;
	2031	0	CT_TBRCH	2043	BR_STATUS	CT_REP	0;
	2032	0	CT_TBRCH	2044	BR_STATUS	CT_REP	0;
	2033	0	CT_TBRCH	2045	BR_STATUS	CT_REP	0;
	2034	0	CT_TBRCH	2046	BR_STATUS	CT_REP	0;
	2035	0	CT_TBRCH	2047	BR_STATUS	CT_REP	0;
	2036	0	CT_TBRCH	2048	BR_STATUS	CT_REP	0;
	2037	0	CT_TBRCH	2049	BR_STATUS	CT_REP	0;
	2038	0	CT_TBRCH	2050	BR_STATUS	CT_REP	0;
	2039	0	CT_TBRCH	2051	BR_STATUS	CT_REP	0;
	2040	0	CT_TBRCH	2052	BR_STATUS	CT_REP	0;
	2041	0	CT_TBRCH	2053	BR_STATUS	CT_REP	0;
	2042	0	CT_TBRCH	2054	BR_STATUS	CT_REP	0;
	2043	0	CT_TBRCH	2055	BR_STATUS	CT_REP	0;
	2044	0	CT_TBRCH	2056	BR_STATUS	CT_REP	0;
	2045	0	CT_TBRCH	2057	BR_STATUS	CT_REP	0;
	2046	0	CT_TBRCH	2058	BR_STATUS	CT_REP	0;
	2047	0	CT_TBRCH	2059	BR_STATUS	CT_REP	0;
	2048	0	CT_TBRCH	2060	BR_STATUS	CT_REP	0;
	2049	0	CT_TBRCH	2061	BR_STATUS	CT_REP	0;
	2050	0	CT_TBRCH	2062	BR_STATUS	CT_REP	0;
	2051	0	CT_TBRCH	2063	BR_STATUS	CT_REP	0;
	2052	0	CT_TBRCH	2064	BR_STATUS	CT_REP	0;
	2053	0	CT_TBRCH	2065	BR_STATUS	CT_REP	0;
	2054	0	CT_TBRCH	2066	BR_STATUS	CT_REP	0;
	2055	0	CT_TBRCH	2067	BR_STATUS	CT_REP	0;
	2056	0	CT_TBRCH	2068	BR_STATUS	CT_REP	0;
	2057	0	CT_TBRCH	2070	BR_STATUS	CT_REP	0;
	2058	0	CT_TBRCH	2069	BR_STATUS	CT_REP	0;
	2059	0	CT_TBRCH	2071	BR_STATUS	CT_REP	0;
	2060	0	CT_TBRCH	2072	BR_STATUS	CT_REP	0;
	2061	0	CT_TBRCH	2073	BR_STATUS	CT_REP	0;
	2062	0	CT_TBRCH	2074	BR_STATUS	CT_REP	0;
	2063	0	CT_TBRCH	2075	BR_STATUS	CT_REP	0;
	2064	0	CT_TBRCH	2076	BR_STATUS	CT_REP	0;
	2065	0	CT_TBRCH	2077	BR_STATUS	CT_REP	0;
	2066	0	CT_TBRCH	2078	BR_STATUS	CT_REP	0;
	2067	0	CT_TBRCH	2079	BR_STATUS	CT_REP	0;
	2068	0	CT_TBRCH	2080	BR_STATUS	CT_REP	0;
	2069	0	CT_TBRCH	2081	BR_STATUS	CT_REP	0;
	2070	0	CT_TBRCH	2082	BR_STATUS	CT_REP	0;
	2071	0	CT_TBRCH	2083	BR_STATUS	CT_REP	0;
	2072	0	CT_TBRCH	2084	BR_STATUS	CT_REP	0;
	2073	0	CT_TBRCH	2085	BR_STATUS	CT_REP	0;
	2074	0	CT_TBRCH	2086	BR_STATUS	CT_REP	0;
	2075	0	CT_TBRCH	2087	BR_STATUS	CT_REP	0;
	2076	0	CT_TBRCH	2088	BR_STATUS	CT_REP	0;
	2077	0	CT_TBRCH	2089	BR_STATUS	CT_REP	0;
	2078	0	CT_TBRCH	816	BR_STATUS	CT_REP	0;
	2079	0	CT_TBRCH	2091	BR_STATUS	CT_REP	0;
	2080	0	CT_TBRCH	2092	BR_STATUS	CT_REP	0;
	2081	0	CT_TBRCH	2093	BR_STATUS	CT_REP	0;
	2082	0	CT_TBRCH	2094	BR_STATUS	CT_REP	0;
	2083	0	CT_TBRCH	2095	BR_STATUS	CT_REP	0;
	2084	0	CT_TBRCH	2096	BR_STATUS	CT_REP	0;
	2085	0	CT_TBRCH	2097	BR_STATUS	CT_REP	0;
	2086	0	CT_TBRCH	2098	BR_STATUS	CT_REP	0;
	2087	0	CT_TBRCH	2099	BR_STATUS	CT_REP	0;
	2088	0	CT_TBRCH	2100	BR_STATUS	CT_REP	0;
	2089	0	CT_TBRCH	2101	BR_STATUS	CT_REP	0;
	2090	0	CT_TBRCH	2102	BR_STATUS	CT_REP	0;
	2091	0	CT_TBRCH	2103	BR_STATUS	CT_REP	0;
	2092	0	CT_TBRCH	2104	BR_STATUS	CT_REP	0;
	2093	0	CT_TBRCH	2105	BR_STATUS	CT_REP	0;
	2094	0	CT_TBRCH	2106	BR_STATUS	CT_REP	0;
	2095	0	CT_TBRCH	2107	BR_STATUS	CT_REP	0;
	2096	0	CT_TBRCH	2108	BR_STATUS	CT_REP	0;
	2097	0	CT_TBRCH	2109	BR_STATUS	CT_REP	0;
	2098	0	CT_TBRCH	2110	BR_STATUS	CT_REP	0;
	2099	0	CT_TBRCH	2111	BR_STATUS	CT_REP	0;
	2100	0	CT_TBRCH	2112	BR_STATUS	CT_REP	0;
	2101	0	CT_TBRCH	2113	BR_STATUS	CT_REP	0;
	2102	0	CT_TBRCH	2114	BR_STATUS	CT_REP	0;
	2103	0	CT_TBRCH	2115	BR_STATUS	CT_REP	0;
	2104	0	CT_TBRCH	2116	BR_STATUS	CT_REP	0;
	2105	0	CT_TBRCH	2117	BR_STATUS	CT_REP	0;
	2106	0	CT_TBRCH	2118	BR_STATUS	CT_REP	0;
	2107	0	CT_TBRCH	2119	BR_STATUS	CT_REP	0;
	2108	0	CT_TBRCH	2120	BR_STATUS	CT_REP	0;
	2109	0	CT_TBRCH	2121	BR_STATUS	CT_REP	0;
	2110	0	CT_TBRCH	2122	BR_STATUS	CT_REP	0;
	2111	0	CT_TBRCH	2123	BR_STATUS	CT_REP	0;
	2112	0	CT_TBRCH	2124	BR_STATUS	CT_REP	0;
	2113	0	CT_TBRCH	2125	BR_STATUS	CT_REP	0;
	2114	0	CT_TBRCH	2126	BR_STATUS	CT_REP	0;
	2115	0	CT_TBRCH	2127	BR_STATUS	CT_REP	0;
	2116	0	CT_TBRCH	2128	BR_STATUS	CT_REP	0;
	2117	0	CT_TBRCH	2129	BR_STATUS	CT_REP	0;
	2118	0	CT_TBRCH	2130	BR_STATUS	CT_REP	0;
	2119	0	CT_TBRCH	2131	BR_STATUS	CT_REP	0;
	2120	0	CT_TBRCH	2132	BR_STATUS	CT_REP	0;
	2121	0	CT_TBRCH	2133	BR_STATUS	CT_REP	0;
	2122	0	CT_TBRCH	2134	BR_STATUS	CT_REP	0;
	2123	0	CT_TBRCH	2135	BR_STATUS	CT_REP	0;
	2124	0	CT_TBRCH	2136	BR_STATUS	CT_REP	0;
	2125	0	CT_TBRCH	2137	BR_STATUS	CT_REP	0;
	2126	0	CT_TBRCH	2138	BR_STATUS	CT_REP	0;
	2127	0	CT_TBRCH	2139	BR_STATUS	CT_REP	0;
	2128	0	CT_TBRCH	2140	BR_STATUS	CT_REP	0;
	2129	0	CT_TBRCH	2141	BR_STATUS	CT_REP	0;
	2130	0	CT_TBRCH	2142	BR_STATUS	CT_REP	0;
	2131	0	CT_TBRCH	2143	BR_STATUS	CT_REP	0;
	2132	0	CT_TBRCH	2144	BR_STATUS	CT_REP	0;
	2133	0	CT_TBRCH	2145	BR_STATUS	CT_REP	0;
	2134	0	CT_TBRCH	2146	BR_STATUS	CT_REP	0;
	2135	0	CT_TBRCH	2147	BR_STATUS	CT_REP	0;
	2136	0	CT_TBRCH	2148	BR_STATUS	CT_REP	0;
	2137	0	CT_TBRCH	2149	BR_STATUS	CT_REP	0;
	2138	0	CT_TBRCH	2150	BR_STATUS	CT_REP	0;
	2139	0	CT_TBRCH	2151	BR_STATUS	CT_REP	0;
	2140	0	CT_TBRCH	2152	BR_STATUS	CT_REP	0;
	2141	0	CT_TBRCH	2153	BR_STATUS	CT_REP	0;
	2142	0	CT_TBRCH	2154	BR_STATUS	CT_REP	0;
	2143	0	CT_TBRCH	2155	BR_STATUS	CT_REP	0;
	2144	0	CT_TBRCH	2156	BR_STATUS	CT_REP	0;
	2145	0	CT_TBRCH	2157	BR_STATUS	CT_REP	0;
	2146	0	CT_TBRCH	2158	BR_STATUS	CT_REP	0;
	2147	0	CT_TBRCH	2159	BR_STATUS	CT_REP	0;
	2148	0	CT_TBRCH	2160	BR_STATUS	CT_REP	0;
	2149	0	CT_TBRCH	2161	BR_STATUS	CT_REP	0;
	2150	0	CT_TBRCH	2162	BR_STATUS	CT_REP	0;
	2151	0	CT_TBRCH	2163	BR_STATUS	CT_REP	0;
	2152	0	CT_TBRCH	2164	BR_STATUS	CT_REP	0;
	2153	0	CT_TBRCH	2165	BR_STATUS	CT_REP	0;
	2154	0	CT_TBRCH	2166	BR_STATUS	CT_REP	0;
	2155	0	CT_TBRCH	2167	BR_STATUS	CT_REP	0;
	2156	0	CT_TBRCH	2168	BR_STATUS	CT_REP	0;
	2157	0	CT_TBRCH	815	BR_STATUS	CT_REP	0;
	2158	0	CT_TBRCH	817	BR_STATUS	CT_REP	0;
	2159	0	CT_TBRCH	2169	BR_STATUS	CT_REP	0;
	2160	0	CT_TBRCH	2170	BR_STATUS	CT_REP	0;
	2161	0	CT_TBRCH	2171	BR_STATUS	CT_REP	0;
	2162	0	CT_TBRCH	2172	BR_STATUS	CT_REP	0;
	2163	0	CT_TBRCH	2173	BR_STATUS	CT_REP	0;
	2164	0	CT_TBRCH	2175	BR_STATUS	CT_REP	0;
	2165	0	CT_TBRCH	2176	BR_STATUS	CT_REP	0;
	2166	0	CT_TBRCH	2177	BR_STATUS	CT_REP	0;
	2167	0	CT_TBRCH	2178	BR_STATUS	CT_REP	0;
	2168	0	CT_TBRCH	2179	BR_STATUS	CT_REP	0;
	2169	0	CT_TBRCH	2180	BR_STATUS	CT_REP	0;
	2170	0	CT_TBRCH	2181	BR_STATUS	CT_REP	0;
	2171	0	CT_TBRCH	2182	BR_STATUS	CT_REP	0;
	2172	0	CT_TBRCH	2183	BR_STATUS	CT_REP	0;
	2173	0	CT_TBRCH	2184	BR_STATUS	CT_REP	0;
	2174	0	CT_TBRCH	2185	BR_STATUS	CT_REP	0;
	2175	0	CT_TBRCH	2186	BR_STATUS	CT_REP	0;
	2176	0	CT_TBRCH	2187	BR_STATUS	CT_REP	0;
	2177	0	CT_TBRCH	2188	BR_STATUS	CT_REP	0;
	2178	0	CT_TBRCH	2189	BR_STATUS	CT_REP	0;
	2179	0	CT_TBRCH	2190	BR_STATUS	CT_REP	0;
	2180	0	CT_TBRCH	2191	BR_STATUS	CT_REP	0;
	2181	0	CT_TBRCH	2192	BR_STATUS	CT_REP	0;
	2182	0	CT_TBRCH	2193	BR_STATUS	CT_REP	0;
	2183	0	CT_TBRCH	2194	BR_STATUS	CT_REP	0;
	2184	0	CT_TBRCH	2195	BR_STATUS	CT_REP	0;
	2185	0	CT_TBRCH	2196	BR_STATUS	CT_REP	0;
	2186	0	CT_TBRCH	2197	BR_STATUS	CT_REP	0;
	2187	0	CT_TBRCH	2198	BR_STATUS	CT_REP	0;
	2188	0	CT_TBRCH	2199	BR_STATUS	CT_REP	0;
	2189	0	CT_TBRCH	2200	BR_STATUS	CT_REP	0;
	2190	0	CT_TBRCH	2201	BR_STATUS	CT_REP	0;
	2191	0	CT_TBRCH	2202	BR_STATUS	CT_REP	0;
	2192	0	CT_TBRCH	2203	BR_STATUS	CT_REP	0;
	2193	0	CT_TBRCH	2204	BR_STATUS	CT_REP	0;
	2194	0	CT_TBRCH	2205	BR_STATUS	CT_REP	0;
	2195	0	CT_TBRCH	2206	BR_STATUS	CT_REP	0;
	2196	0	CT_TBRCH	2207	BR_STATUS	CT_REP	0;
	2197	0	CT_TBRCH	2208	BR_STATUS	CT_REP	0;
	2198	0	CT_TBRCH	2209	BR_STATUS	CT_REP	0;
	2199	0	CT_TBRCH	2210	BR_STATUS	CT_REP	0;
	2200	0	CT_TBRCH	2211	BR_STATUS	CT_REP	0;
	2201	0	CT_TBRCH	2212	BR_STATUS	CT_REP	0;
	2202	0	CT_TBRCH	2213	BR_STATUS	CT_REP	0;
	2203	0	CT_TBRCH	2214	BR_STATUS	CT_REP	0;
	2204	0	CT_TBRCH	2215	BR_STATUS	CT_REP	0;
	2205	0	CT_TBRCH	2216	BR_STATUS	CT_REP	0;
	2206	0	CT_TBRCH	2217	BR_STATUS	CT_REP	0;
	2207	0	CT_TBRCH	2218	BR_STATUS	CT_REP	0;
	2208	0	CT_TBRCH	2219	BR_STATUS	CT_REP	0;
	2209	0	CT_TBRCH	2220	BR_STATUS	CT_REP	0;
	2210	0	CT_TBRCH	2221	BR_STATUS	CT_REP	0;
	2211	0	CT_TBRCH	2222	BR_STATUS	CT_REP	0;
	2212	0	CT_TBRCH	2223	BR_STATUS	CT_REP	0;
	2213	0	CT_TBRCH	2224	BR_STATUS	CT_REP	0;
	2214	0	CT_TBRCH	2225	BR_STATUS	CT_REP	0;
	2215	0	CT_TBRCH	2226	BR_STATUS	CT_REP	0;
	2216	0	CT_TBRCH	2227	BR_STATUS	CT_REP	0;
	2217	0	CT_TBRCH	2228	BR_STATUS	CT_REP	0;
	2218	0	CT_TBRCH	2229	BR_STATUS	CT_REP	0;
	2219	0	CT_TBRCH	2230	BR_STATUS	CT_REP	0;
	2220	0	CT_TBRCH	2231	BR_STATUS	CT_REP	0;
	2221	0	CT_TBRCH	2232	BR_STATUS	CT_REP	0;
	2222	0	CT_TBRCH	2233	BR_STATUS	CT_REP	0;
	2223	0	CT_TBRCH	2234	BR_STATUS	CT_REP	0;
	2224	0	CT_TBRCH	2235	BR_STATUS	CT_REP	0;
	2225	0	CT_TBRCH	2236	BR_STATUS	CT_REP	0;
	2226	0	CT_TBRCH	2237	BR_STATUS	CT_REP	0;
	2227	0	CT_TBRCH	2238	BR_STATUS	CT_REP	0;
	2228	0	CT_TBRCH	2239	BR_STATUS	CT_REP	0;
	2229	0	CT_TBRCH	2240	BR_STATUS	CT_REP	0;
	2230	0	CT_TBRCH	2241	BR_STATUS	CT_REP	0;
	2231	0	CT_TBRCH	2242	BR_STATUS	CT_REP	0;
	2232	0	CT_TBRCH	2243	BR_STATUS	CT_REP	0;
	2233	0	CT_TBRCH	2244	BR_STATUS	CT_REP	0;
	2234	0	CT_TBRCH	2245	BR_STATUS	CT_REP	0;
	2235	0	CT_TBRCH	2246	BR_STATUS	CT_REP	0;
	2236	0	CT_TBRCH	2247	BR_STATUS	CT_REP	0;
	2237	0	CT_TBRCH	2248	BR_STATUS	CT_REP	0;
	2238	0	CT_TBRCH	2249	BR_STATUS	CT_REP	0;
	2239	0	CT_TBRCH	2250	BR_STATUS	CT_REP	0;
	2240	0	CT_TBRCH	2251	BR_STATUS	CT_REP	0;
	2241	0	CT_TBRCH	2252	BR_STATUS	CT_REP	0;
	2242	0	CT_TBRCH	2253	BR_STATUS	CT_REP	0;
	2243	0	CT_TBRCH	2254	BR_STATUS	CT_REP	0;
	2244	0	CT_TBRCH	2255	BR_STATUS	CT_REP	0;
	2245	0	CT_TBRCH	2256	BR_STATUS	CT_REP	0;
	2246	0	CT_TBRCH	2257	BR_STATUS	CT_REP	0;
	2247	0	CT_TBRCH	2258	BR_STATUS	CT_REP	0;
	2248	0	CT_TBRCH	2259	BR_STATUS	CT_REP	0;
	2249	0	CT_TBRCH	2260	BR_STATUS	CT_REP	0;
	2250	0	CT_TBRCH	2261	BR_STATUS	CT_REP	0;
	2251	0	CT_TBRCH	2262	BR_STATUS	CT_REP	0;
	2252	0	CT_TBRCH	2263	BR_STATUS	CT_REP	0;
	2253	0	CT_TBRCH	2264	BR_STATUS	CT_REP	0;
	2254	0	CT_TBRCH	2265	BR_STATUS	CT_REP	0;
	2255	0	CT_TBRCH	2266	BR_STATUS	CT_REP	0;
	2256	0	CT_TBRCH	2267	BR_STATUS	CT_REP	0;
	2257	0	CT_TBRCH	2268	BR_STATUS	CT_REP	0;
	2258	0	CT_TBRCH	2269	BR_STATUS	CT_REP	0;
	2259	0	CT_TBRCH	2270	BR_STATUS	CT_REP	0;
	2260	0	CT_TBRCH	2271	BR_STATUS	CT_REP	0;
	2261	0	CT_TBRCH	2272	BR_STATUS	CT_REP	0;
	2262	0	CT_TBRCH	2273	BR_STATUS	CT_REP	0;
	2263	0	CT_TBRCH	2274	BR_STATUS	CT_REP	0;
	2264	0	CT_TBRCH	2275	BR_STATUS	CT_REP	0;
	2265	0	CT_TBRCH	2276	BR_STATUS	CT_REP	0;
	2266	0	CT_TBRCH	2277	BR_STATUS	CT_REP	0;
	2267	0	CT_TBRCH	2278	BR_STATUS	CT_REP	0;
	2268	0	CT_TBRCH	2279	BR_STATUS	CT_REP	0;
	2269	0	CT_TBRCH	2280	BR_STATUS	CT_REP	0;
	2270	0	CT_TBRCH	2281	BR_STATUS	CT_REP	0;
	2271	0	CT_TBRCH	2282	BR_STATUS	CT_REP	0;
	2272	0	CT_TBRCH	2283	BR_STATUS	CT_REP	0;
	2273	0	CT_TBRCH	2284	BR_STATUS	CT_REP	0;
	2274	0	CT_TBRCH	2285	BR_STATUS	CT_REP	0;
	2275	0	CT_TBRCH	2286	BR_STATUS	CT_REP	0;
	2276	0	CT_TBRCH	2287	BR_STATUS	CT_REP	0;
	2277	0	CT_TBRCH	2288	BR_STATUS	CT_REP	0;
	2278	0	CT_TBRCH	2289	BR_STATUS	CT_REP	0;
	2279	0	CT_TBRCH	2290	BR_STATUS	CT_REP	0;
	2280	0	CT_TBRCH	2291	BR_STATUS	CT_REP	0;
	2281	0	CT_TBRCH	2292	BR_STATUS	CT_REP	0;
	2282	0	CT_TBRCH	2293	BR_STATUS	CT_REP	0;
	2283	0	CT_TBRCH	2294	BR_STATUS	CT_REP	0;
	2284	0	CT_TBRCH	2295	BR_STATUS	CT_REP	0;
	2285	0	CT_TBRCH	2296	BR_STATUS	CT_REP	0;
	2286	0	CT_TBRCH	2297	BR_STATUS	CT_REP	0;
	2287	0	CT_TBRCH	2298	BR_STATUS	CT_REP	0;
	2288	0	CT_TBRCH	2299	BR_STATUS	CT_REP	0;
	2289	0	CT_TBRCH	2300	BR_STATUS	CT_REP	0;
	2290	0	CT_TBRCH	2301	BR_STATUS	CT_REP	0;
	2291	0	CT_TBRCH	2302	BR_STATUS	CT_REP	0;
	2292	0	CT_TBRCH	2303	BR_STATUS	CT_REP	0;
	2293	0	CT_TBRCH	2304	BR_STATUS	CT_REP	0;
	2294	0	CT_TBRCH	2305	BR_STATUS	CT_REP	0;
	2295	0	CT_TBRCH	2306	BR_STATUS	CT_REP	0;
	2296	0	CT_TBRCH	2307	BR_STATUS	CT_REP	0;
	2297	0	CT_TBRCH	2308	BR_STATUS	CT_REP	0;
	2298	0	CT_TBRCH	2309	BR_STATUS	CT_REP	0;
	2299	0	CT_TBRCH	2310	BR_STATUS	CT_REP	0;
	2300	0	CT_TBRCH	2311	BR_STATUS	CT_REP	0;
	2301	0	CT_TBRCH	2312	BR_STATUS	CT_REP	0;
	2302	0	CT_TBRCH	2313	BR_STATUS	CT_REP	0;
	2303	0	CT_TBRCH	2314	BR_STATUS	CT_REP	0;
	2304	0	CT_TBRCH	2315	BR_STATUS	CT_REP	0;
	2305	0	CT_TBRCH	2316	BR_STATUS	CT_REP	0;
	2306	0	CT_TBRCH	2317	BR_STATUS	CT_REP	0;
	2307	0	CT_TBRCH	2318	BR_STATUS	CT_REP	0;
	2308	0	CT_TBRCH	2319	BR_STATUS	CT_REP	0;
	2309	0	CT_TBRCH	2320	BR_STATUS	CT_REP	0;
	2310	0	CT_TBRCH	2321	BR_STATUS	CT_REP	0;
	2311	0	CT_TBRCH	2322	BR_STATUS	CT_REP	0;
	2312	0	CT_TBRCH	2323	BR_STATUS	CT_REP	0;
	2313	0	CT_TBRCH	2324	BR_STATUS	CT_REP	0;
	2314	0	CT_TBRCH	2325	BR_STATUS	CT_REP	0;
	2315	0	CT_TBRCH	2326	BR_STATUS	CT_REP	0;
	2316	0	CT_TBRCH	2327	BR_STATUS	CT_REP	0;
	2317	0	CT_TBRCH	2328	BR_STATUS	CT_REP	0;
	2318	0	CT_TBRCH	2329	BR_STATUS	CT_REP	0;
	2319	0	CT_TBRCH	2330	BR_STATUS	CT_REP	0;
	2320	0	CT_TBRCH	2331	BR_STATUS	CT_REP	0;
	2321	0	CT_TBRCH	2332	BR_STATUS	CT_REP	0;
	2322	0	CT_TBRCH	2333	BR_STATUS	CT_REP	0;
	2323	0	CT_TBRCH	2334	BR_STATUS	CT_REP	0;
	2324	0	CT_TBRCH	2335	BR_STATUS	CT_REP	0;
	2325	0	CT_TBRCH	2336	BR_STATUS	CT_REP	0;
	2326	0	CT_TBRCH	2337	BR_STATUS	CT_REP	0;
	2327	0	CT_TBRCH	2338	BR_STATUS	CT_REP	0;
	2328	0	CT_TBRCH	2339	BR_STATUS	CT_REP	0;
	2329	0	CT_TBRCH	2340	BR_STATUS	CT_REP	0;
	2330	0	CT_TBRCH	2341	BR_STATUS	CT_REP	0;
	2331	0	CT_TBRCH	2342	BR_STATUS	CT_REP	0;
	2332	0	CT_TBRCH	2343	BR_STATUS	CT_REP	0;
	2333	0	CT_TBRCH	2344	BR_STATUS	CT_REP	0;
	2334	0	CT_TBRCH	2345	BR_STATUS	CT_REP	0;
	2335	0	CT_TBRCH	2346	BR_STATUS	CT_REP	0;
	2336	0	CT_TBRCH	2347	BR_STATUS	CT_REP	0;
	2337	0	CT_TBRCH	2348	BR_STATUS	CT_REP	0;
	2338	0	CT_TBRCH	2349	BR_STATUS	CT_REP	0;
	2339	0	CT_TBRCH	2350	BR_STATUS	CT_REP	0;
	2340	0	CT_TBRCH	2351	BR_STATUS	CT_REP	0;
	2341	0	CT_TBRCH	2352	BR_STATUS	CT_REP	0;
	2342	0	CT_TBRCH	2353	BR_STATUS	CT_REP	0;
	2343	0	CT_TBRCH	2354	BR_STATUS	CT_REP	0;
	2344	0	CT_TBRCH	2355	BR_STATUS	CT_REP	0;
	2345	0	CT_TBRCH	2356	BR_STATUS	CT_REP	0;
	2346	0	CT_TBRCH	2357	BR_STATUS	CT_REP	0;
	2347	0	CT_TBRCH	2358	BR_STATUS	CT_REP	0;
	2348	0	CT_TBRCH	2359	BR_STATUS	CT_REP	0;
	2349	0	CT_TBRCH	2360	BR_STATUS	CT_REP	0;
	2350	0	CT_TBRCH	2361	BR_STATUS	CT_REP	0;
	2351	0	CT_TBRCH	2362	BR_STATUS	CT_REP	0;
	2352	0	CT_TBRCH	2363	BR_STATUS	CT_REP	0;
	2353	0	CT_TBRCH	2364	BR_STATUS	CT_REP	0;
	2354	0	CT_TBRCH	2365	BR_STATUS	CT_REP	0;
	2355	0	CT_TBRCH	2366	BR_STATUS	CT_REP	0;
	2356	0	CT_TBRCH	2367	BR_STATUS	CT_REP	0;
	2357	0	CT_TBRCH	2368	BR_STATUS	CT_REP	0;
	2358	0	CT_TBRCH	2369	BR_STATUS	CT_REP	0;
	2359	0	CT_TBRCH	2370	BR_STATUS	CT_REP	0;
	2360	0	CT_TBRCH	2371	BR_STATUS	CT_REP	0;
	2361	0	CT_TBRCH	2372	BR_STATUS	CT_REP	0;
	2362	0	CT_TBRCH	2373	BR_STATUS	CT_REP	0;
	2363	0	CT_TBRCH	2374	BR_STATUS	CT_REP	0;
	2364	0	CT_TBRCH	2375	BR_STATUS	CT_REP	0;
	2365	0	CT_TBRCH	2376	BR_STATUS	CT_REP	0;
	2366	0	CT_TBRCH	2377	BR_STATUS	CT_REP	0;
	2367	0	CT_TBRCH	2378	BR_STATUS	CT_REP	0;
	2368	0	CT_TBRCH	2379	BR_STATUS	CT_REP	0;
	2369	0	CT_TBRCH	2380	BR_STATUS	CT_REP	0;
	2370	0	CT_TBRCH	2381	BR_STATUS	CT_REP	0;
	2371	0	CT_TBRCH	2382	BR_STATUS	CT_REP	0;
	2372	0	CT_TBRCH	2383	BR_STATUS	CT_REP	0;
	2373	0	CT_TBRCH	2384	BR_STATUS	CT_REP	0;
	2374	0	CT_TBRCH	2385	BR_STATUS	CT_REP	0;
	2375	0	CT_TBRCH	2386	BR_STATUS	CT_REP	0;
	2376	0	CT_TBRCH	2387	BR_STATUS	CT_REP	0;
	2377	0	CT_TBRCH	2388	BR_STATUS	CT_REP	0;
	2378	0	CT_TBRCH	2389	BR_STATUS	CT_REP	0;
	2379	0	CT_TBRCH	2390	BR_STATUS	CT_REP	0;
	2380	0	CT_TBRCH	2391	BR_STATUS	CT_REP	0;
	2381	0	CT_TBRCH	2392	BR_STATUS	CT_REP	0;
	2382	0	CT_TBRCH	2393	BR_STATUS	CT_REP	0;
	2383	0	CT_TBRCH	2394	BR_STATUS	CT_REP	0;
	2384	0	CT_TBRCH	2395	BR_STATUS	CT_REP	0;
	2385	0	CT_TBRCH	2396	BR_STATUS	CT_REP	0;
	2386	0	CT_TBRCH	2397	BR_STATUS	CT_REP	0;
	2387	0	CT_TBRCH	2398	BR_STATUS	CT_REP	0;
	2388	0	CT_TBRCH	2399	BR_STATUS	CT_REP	0;
	2389	0	CT_TBRCH	2400	BR_STATUS	CT_REP	0;
	2390	0	CT_TBRCH	2401	BR_STATUS	CT_REP	0;
	2391	0	CT_TBRCH	2402	BR_STATUS	CT_REP	0;
	2392	0	CT_TBRCH	2403	BR_STATUS	CT_REP	0;
	2393	0	CT_TBRCH	2404	BR_STATUS	CT_REP	0;
	2394	0	CT_TBRCH	2405	BR_STATUS	CT_REP	0;
	2395	0	CT_TBRCH	2406	BR_STATUS	CT_REP	0;
	2396	0	CT_TBRCH	2407	BR_STATUS	CT_REP	0;
	2397	0	CT_TBRCH	2408	BR_STATUS	CT_REP	0;
	2398	0	CT_TBRCH	2409	BR_STATUS	CT_REP	0;
	2399	0	CT_TBRCH	2410	BR_STATUS	CT_REP	0;
	2400	0	CT_TBRCH	2411	BR_STATUS	CT_REP	0;
	2401	0	CT_TBRCH	2412	BR_STATUS	CT_REP	0;
	2402	0	CT_TBRCH	2413	BR_STATUS	CT_REP	0;
	2403	0	CT_TBRCH	2414	BR_STATUS	CT_REP	0;
	2404	0	CT_TBRCH	2415	BR_STATUS	CT_REP	0;
	2405	0	CT_TBRCH	2416	BR_STATUS	CT_REP	0;
	2406	0	CT_TBRCH	2417	BR_STATUS	CT_REP	0;
	2407	0	CT_TBRCH	2418	BR_STATUS	CT_REP	0;
	2408	0	CT_TBRCH	2419	BR_STATUS	CT_REP	0;
	2409	0	CT_TBRCH	2420	BR_STATUS	CT_REP	0;
	2410	0	CT_TBRCH	2421	BR_STATUS	CT_REP	0;
	2411	0	CT_TBRCH	2422	BR_STATUS	CT_REP	0;
	2412	0	CT_TBRCH	2423	BR_STATUS	CT_REP	0;
	2413	0	CT_TBRCH	2424	BR_STATUS	CT_REP	0;
	2414	0	CT_TBRCH	2425	BR_STATUS	CT_REP	0;
	2415	0	CT_TBRCH	2426	BR_STATUS	CT_REP	0;
	2416	0	CT_TBRCH	2427	BR_STATUS	CT_REP	0;
	2417	0	CT_TBRCH	2428	BR_STATUS	CT_REP	0;
	2418	0	CT_TBRCH	2429	BR_STATUS	CT_REP	0;
	2419	0	CT_TBRCH	2430	BR_STATUS	CT_REP	0;
	2420	0	CT_TBRCH	2431	BR_STATUS	CT_REP	0;
	2421	0	CT_TBRCH	2432	BR_STATUS	CT_REP	0;
	2422	0	CT_TBRCH	2433	BR_STATUS	CT_REP	0;
	2423	0	CT_TBRCH	2434	BR_STATUS	CT_REP	0;
	2424	0	CT_TBRCH	2435	BR_STATUS	CT_REP	0;
	2425	0	CT_TBRCH	2436	BR_STATUS	CT_REP	0;
	2426	0	CT_TBRCH	2437	BR_STATUS	CT_REP	0;
	2427	0	CT_TBRCH	2438	BR_STATUS	CT_REP	0;
	2428	0	CT_TBRCH	2439	BR_STATUS	CT_REP	0;
	2429	0	CT_TBRCH	2440	BR_STATUS	CT_REP	0;
	2430	0	CT_TBRCH	2441	BR_STATUS	CT_REP	0;
	2431	0	CT_TBRCH	2442	BR_STATUS	CT_REP	0;
	2432	0	CT_TBRCH	2443	BR_STATUS	CT_REP	0;
	2433	0	CT_TBRCH	2444	BR_STATUS	CT_REP	0;
	2434	0	CT_TBRCH	2445	BR_STATUS	CT_REP	0;
	2435	0	CT_TBRCH	2446	BR_STATUS	CT_REP	0;
	2436	0	CT_TBRCH	2447	BR_STATUS	CT_REP	0;
	2437	0	CT_TBRCH	2448	BR_STATUS	CT_REP	0;
	2438	0	CT_TBRCH	2449	BR_STATUS	CT_REP	0;
	2439	0	CT_TBRCH	2450	BR_STATUS	CT_REP	0;
	2440	0	CT_TBRCH	2451	BR_STATUS	CT_REP	0;
	2441	0	CT_TBRCH	2452	BR_STATUS	CT_REP	0;
	2442	0	CT_TBRCH	2453	BR_STATUS	CT_REP	0;
	2443	0	CT_TBRCH	2454	BR_STATUS	CT_REP	0;
	2444	0	CT_TBRCH	2455	BR_STATUS	CT_REP	0;
	2445	0	CT_TBRCH	2456	BR_STATUS	CT_REP	0;
	2446	0	CT_TBRCH	2457	BR_STATUS	CT_REP	0;
	2447	0	CT_TBRCH	2458	BR_STATUS	CT_REP	0;
	2448	0	CT_TBRCH	2459	BR_STATUS	CT_REP	0;
	2449	0	CT_TBRCH	2460	BR_STATUS	CT_REP	0;
	2450	0	CT_TBRCH	2461	BR_STATUS	CT_REP	0;
	2451	0	CT_TBRCH	2462	BR_STATUS	CT_REP	0;
	2452	0	CT_TBRCH	2463	BR_STATUS	CT_REP	0;
	2453	0	CT_TBRCH	2464	BR_STATUS	CT_REP	0;
	2454	0	CT_TBRCH	2465	BR_STATUS	CT_REP	0;
	2455	0	CT_TBRCH	2466	BR_STATUS	CT_REP	0;
	2456	0	CT_TBRCH	2467	BR_STATUS	CT_REP	0;
	2457	0	CT_TBRCH	2468	BR_STATUS	CT_REP	0;
	2458	0	CT_TBRCH	2469	BR_STATUS	CT_REP	0;
	2459	0	CT_TBRCH	2470	BR_STATUS	CT_REP	0;
	2460	0	CT_TBRCH	2471	BR_STATUS	CT_REP	0;
	2461	0	CT_TBRCH	2472	BR_STATUS	CT_REP	0;
	2462	0	CT_TBRCH	2473	BR_STATUS	CT_REP	0;
	2463	0	CT_TBRCH	2474	BR_STATUS	CT_REP	0;
	2464	0	CT_TBRCH	2475	BR_STATUS	CT_REP	0;
	2465	0	CT_TBRCH	2476	BR_STATUS	CT_REP	0;
	2466	0	CT_TBRCH	2477	BR_STATUS	CT_REP	0;
	2467	0	CT_TBRCH	2478	BR_STATUS	CT_REP	0;
	2468	0	CT_TBRCH	2479	BR_STATUS	CT_REP	0;
	2469	0	CT_TBRCH	2480	BR_STATUS	CT_REP	0;
	2470	0	CT_TBRCH	2481	BR_STATUS	CT_REP	0;
	2471	0	CT_TBRCH	2482	BR_STATUS	CT_REP	0;
	2472	0	CT_TBRCH	2483	BR_STATUS	CT_REP	0;
	2473	0	CT_TBRCH	2484	BR_STATUS	CT_REP	0;
	2474	0	CT_TBRCH	2485	BR_STATUS	CT_REP	0;
	2475	0	CT_TBRCH	2486	BR_STATUS	CT_REP	0;
	2476	0	CT_TBRCH	2487	BR_STATUS	CT_REP	0;
	2477	0	CT_TBRCH	2488	BR_STATUS	CT_REP	0;
	2478	0	CT_TBRCH	2489	BR_STATUS	CT_REP	0;
	2479	0	CT_TBRCH	2490	BR_STATUS	CT_REP	0;
	2480	0	CT_TBRCH	2491	BR_STATUS	CT_REP	0;
	2481	0	CT_TBRCH	2492	BR_STATUS	CT_REP	0;
	2482	0	CT_TBRCH	2493	BR_STATUS	CT_REP	0;
	2483	0	CT_TBRCH	2494	BR_STATUS	CT_REP	0;
	2484	0	CT_TBRCH	2495	BR_STATUS	CT_REP	0;
	2485	0	CT_TBRCH	2496	BR_STATUS	CT_REP	0;
	2486	0	CT_TBRCH	2497	BR_STATUS	CT_REP	0;
	2487	0	CT_TBRCH	2498	BR_STATUS	CT_REP	0;
	2488	0	CT_TBRCH	2499	BR_STATUS	CT_REP	0;
	2489	0	CT_TBRCH	2500	BR_STATUS	CT_REP	0;
	2490	0	CT_TBRCH	2501	BR_STATUS	CT_REP	0;
	2491	0	CT_TBRCH	2502	BR_STATUS	CT_REP	0;
	2492	0	CT_TBRCH	2503	BR_STATUS	CT_REP	0;
	2493	0	CT_TBRCH	2504	BR_STATUS	CT_REP	0;
	2494	0	CT_TBRCH	2505	BR_STATUS	CT_REP	0;
	2495	0	CT_TBRCH	2506	BR_STATUS	CT_REP	0;
	2496	0	CT_TBRCH	2507	BR_STATUS	CT_REP	0;
	2497	0	CT_TBRCH	2508	BR_STATUS	CT_REP	0;
	2498	0	CT_TBRCH	2509	BR_STATUS	CT_REP	0;
	2499	0	CT_TBRCH	2510	BR_STATUS	CT_REP	0;
	2500	0	CT_TBRCH	2511	BR_STATUS	CT_REP	0;
	2501	0	CT_TBRCH	2512	BR_STATUS	CT_REP	0;
	2502	0	CT_TBRCH	2513	BR_STATUS	CT_REP	0;
	2503	0	CT_TBRCH	2514	BR_STATUS	CT_REP	0;
	2504	0	CT_TBRCH	2515	BR_STATUS	CT_REP	0;
	2505	0	CT_TBRCH	2516	BR_STATUS	CT_REP	0;
	2506	0	CT_TBRCH	2517	BR_STATUS	CT_REP	0;
	2507	0	CT_TBRCH	2518	BR_STATUS	CT_REP	0;
	2508	0	CT_TBRCH	2519	BR_STATUS	CT_REP	0;
	2509	0	CT_TBRCH	2520	BR_STATUS	CT_REP	0;
	2510	0	CT_TBRCH	2521	BR_STATUS	CT_REP	0;
	2511	0	CT_TBRCH	2522	BR_STATUS	CT_REP	0;
	2512	0	CT_TBRCH	2523	BR_STATUS	CT_REP	0;
	2513	0	CT_TBRCH	2524	BR_STATUS	CT_REP	0;
	2514	0	CT_TBRCH	2525	BR_STATUS	CT_REP	0;
	2515	0	CT_TBRCH	2526	BR_STATUS	CT_REP	0;
	2516	0	CT_TBRCH	2527	BR_STATUS	CT_REP	0;
	2517	0	CT_TBRCH	2528	BR_STATUS	CT_REP	0;
	2518	0	CT_TBRCH	2529	BR_STATUS	CT_REP	0;
	2519	0	CT_TBRCH	2530	BR_STATUS	CT_REP	0;
	2520	0	CT_TBRCH	2531	BR_STATUS	CT_REP	0;
	2521	0	CT_TBRCH	2532	BR_STATUS	CT_REP	0;
	2522	0	CT_TBRCH	2533	BR_STATUS	CT_REP	0;
	2523	0	CT_TBRCH	2534	BR_STATUS	CT_REP	0;
	2524	0	CT_TBRCH	2535	BR_STATUS	CT_REP	0;
	2525	0	CT_TBRCH	2536	BR_STATUS	CT_REP	0;
	2526	0	CT_TBRCH	2537	BR_STATUS	CT_REP	0;
	2527	0	CT_TBRCH	2538	BR_STATUS	CT_REP	0;
	2528	0	CT_TBRCH	2539	BR_STATUS	CT_REP	0;
	2529	0	CT_TBRCH	2540	BR_STATUS	CT_REP	0;
	2530	0	CT_TBRCH	2541	BR_STATUS	CT_REP	0;
	2531	0	CT_TBRCH	2542	BR_STATUS	CT_REP	0;
	2532	0	CT_TBRCH	2543	BR_STATUS	CT_REP	0;
	2533	0	CT_TBRCH	2544	BR_STATUS	CT_REP	0;
	2534	0	CT_TBRCH	2545	BR_STATUS	CT_REP	0;
	2535	0	CT_TBRCH	2546	BR_STATUS	CT_REP	0;
	2536	0	CT_TBRCH	2547	BR_STATUS	CT_REP	0;
	2537	0	CT_TBRCH	2548	BR_STATUS	CT_REP	0;
	2538	0	CT_TBRCH	2549	BR_STATUS	CT_REP	0;
	2539	0	CT_TBRCH	2550	BR_STATUS	CT_REP	0;
	2540	0	CT_TBRCH	2551	BR_STATUS	CT_REP	0;
	2541	0	CT_TBRCH	2552	BR_STATUS	CT_REP	0;
	2542	0	CT_TBRCH	2553	BR_STATUS	CT_REP	0;
	2543	0	CT_TBRCH	2554	BR_STATUS	CT_REP	0;
	2544	0	CT_TBRCH	2555	BR_STATUS	CT_REP	0;
	2545	0	CT_TBRCH	2556	BR_STATUS	CT_REP	0;
	2546	0	CT_TBRCH	2557	BR_STATUS	CT_REP	0;
	2547	0	CT_TBRCH	2558	BR_STATUS	CT_REP	0;
	2548	0	CT_TBRCH	2559	BR_STATUS	CT_REP	0;
	2549	0	CT_TBRCH	2560	BR_STATUS	CT_REP	0;
	2550	0	CT_TBRCH	2561	BR_STATUS	CT_REP	0;
	2551	0	CT_TBRCH	2562	BR_STATUS	CT_REP	0;
	2552	0	CT_TBRCH	2563	BR_STATUS	CT_REP	0;
	2553	0	CT_TBRCH	2564	BR_STATUS	CT_REP	0;
	2554	0	CT_TBRCH	2565	BR_STATUS	CT_REP	0;
	2555	0	CT_TBRCH	2566	BR_STATUS	CT_REP	0;
	2556	0	CT_TBRCH	2567	BR_STATUS	CT_REP	0;
	2557	0	CT_TBRCH	2568	BR_STATUS	CT_REP	0;
	2558	0	CT_TBRCH	2569	BR_STATUS	CT_REP	0;
	2559	0	CT_TBRCH	2570	BR_STATUS	CT_REP	0;
	2560	0	CT_TBRCH	2571	BR_STATUS	CT_REP	0;
	2561	0	CT_TBRCH	2572	BR_STATUS	CT_REP	0;
	2562	0	CT_TBRCH	2573	BR_STATUS	CT_REP	0;
	2563	0	CT_TBRCH	2574	BR_STATUS	CT_REP	0;
	2564	0	CT_TBRCH	2575	BR_STATUS	CT_REP	0;
	2565	0	CT_TBRCH	2576	BR_STATUS	CT_REP	0;
	2566	0	CT_TBRCH	2577	BR_STATUS	CT_REP	0;
	2567	0	CT_TBRCH	2578	BR_STATUS	CT_REP	0;
	2568	0	CT_TBRCH	2579	BR_STATUS	CT_REP	0;
	2569	0	CT_TBRCH	2580	BR_STATUS	CT_REP	0;
	2570	0	CT_TBRCH	2581	BR_STATUS	CT_REP	0;
	2571	0	CT_TBRCH	2582	BR_STATUS	CT_REP	0;
	2572	0	CT_TBRCH	2583	BR_STATUS	CT_REP	0;
	2573	0	CT_TBRCH	2584	BR_STATUS	CT_REP	0;
	2574	0	CT_TBRCH	2585	BR_STATUS	CT_REP	0;
	2575	0	CT_TBRCH	2586	BR_STATUS	CT_REP	0;
	2576	0	CT_TBRCH	2587	BR_STATUS	CT_REP	0;
	2577	0	CT_TBRCH	2588	BR_STATUS	CT_REP	0;
	2578	0	CT_TBRCH	2589	BR_STATUS	CT_REP	0;
	2579	0	CT_TBRCH	2590	BR_STATUS	CT_REP	0;
	2580	0	CT_TBRCH	2591	BR_STATUS	CT_REP	0;
	2581	0	CT_TBRCH	2592	BR_STATUS	CT_REP	0;
	2582	0	CT_TBRCH	2593	BR_STATUS	CT_REP	0;
	2583	0	CT_TBRCH	2594	BR_STATUS	CT_REP	0;
	2584	0	CT_TBRCH	2595	BR_STATUS	CT_REP	0;
	2585	0	CT_TBRCH	2596	BR_STATUS	CT_REP	0;
	2586	0	CT_TBRCH	2597	BR_STATUS	CT_REP	0;
	2587	0	CT_TBRCH	2598	BR_STATUS	CT_REP	0;
	2588	0	CT_TBRCH	2599	BR_STATUS	CT_REP	0;
	2589	0	CT_TBRCH	2600	BR_STATUS	CT_REP	0;
	2590	0	CT_TBRCH	2601	BR_STATUS	CT_REP	0;
	2591	0	CT_TBRCH	2602	BR_STATUS	CT_REP	0;
	2592	0	CT_TBRCH	2603	BR_STATUS	CT_REP	0;
	2593	0	CT_TBRCH	2604	BR_STATUS	CT_REP	0;
	2594	0	CT_TBRCH	2605	BR_STATUS	CT_REP	0;
	2595	0	CT_TBRCH	2606	BR_STATUS	CT_REP	0;
	2596	0	CT_TBRCH	2607	BR_STATUS	CT_REP	0;
	2597	0	CT_TBRCH	2608	BR_STATUS	CT_REP	0;
	2598	0	CT_TBRCH	2609	BR_STATUS	CT_REP	0;
	2599	0	CT_TBRCH	2610	BR_STATUS	CT_REP	0;
	2600	0	CT_TBRCH	2611	BR_STATUS	CT_REP	0;
	2601	0	CT_TBRCH	2612	BR_STATUS	CT_REP	0;
	2602	0	CT_TBRCH	2613	BR_STATUS	CT_REP	0;
	2603	0	CT_TBRCH	2614	BR_STATUS	CT_REP	0;
	2604	0	CT_TBRCH	2615	BR_STATUS	CT_REP	0;
	2605	0	CT_TBRCH	2616	BR_STATUS	CT_REP	0;
	2606	0	CT_TBRCH	2617	BR_STATUS	CT_REP	0;
	2607	0	CT_TBRCH	2618	BR_STATUS	CT_REP	0;
	2608	0	CT_TBRCH	2619	BR_STATUS	CT_REP	0;
	2609	0	CT_TBRCH	2620	BR_STATUS	CT_REP	0;
	2610	0	CT_TBRCH	2621	BR_STATUS	CT_REP	0;
	2611	0	CT_TBRCH	2622	BR_STATUS	CT_REP	0;
	2612	0	CT_TBRCH	2623	BR_STATUS	CT_REP	0;
	2613	0	CT_TBRCH	2624	BR_STATUS	CT_REP	0;
	2614	0	CT_TBRCH	2625	BR_STATUS	CT_REP	0;
	2615	0	CT_TBRCH	2626	BR_STATUS	CT_REP	0;
	2616	0	CT_TBRCH	2627	BR_STATUS	CT_REP	0;
	2617	0	CT_TBRCH	2628	BR_STATUS	CT_REP	0;
	2618	0	CT_TBRCH	2629	BR_STATUS	CT_REP	0;
	2619	0	CT_TBRCH	2630	BR_STATUS	CT_REP	0;
	2620	0	CT_TBRCH	2631	BR_STATUS	CT_REP	0;
	2621	0	CT_TBRCH	2632	BR_STATUS	CT_REP	0;
	2622	0	CT_TBRCH	2633	BR_STATUS	CT_REP	0;
	2623	0	CT_TBRCH	2634	BR_STATUS	CT_REP	0;
	2624	0	CT_TBRCH	2635	BR_STATUS	CT_REP	0;
	2625	0	CT_TBRCH	2636	BR_STATUS	CT_REP	0;
	2626	0	CT_TBRCH	2637	BR_STATUS	CT_REP	0;
	2627	0	CT_TBRCH	2638	BR_STATUS	CT_REP	0;
	2628	0	CT_TBRCH	2639	BR_STATUS	CT_REP	0;
	2629	0	CT_TBRCH	2640	BR_STATUS	CT_REP	0;
	2630	0	CT_TBRCH	2641	BR_STATUS	CT_REP	0;
	2631	0	CT_TBRCH	2642	BR_STATUS	CT_REP	0;
	2632	0	CT_TBRCH	2643	BR_STATUS	CT_REP	0;
	2633	0	CT_TBRCH	2644	BR_STATUS	CT_REP	0;
	2634	0	CT_TBRCH	2645	BR_STATUS	CT_REP	0;
	2635	0	CT_TBRCH	2646	BR_STATUS	CT_REP	0;
	2636	0	CT_TBRCH	2647	BR_STATUS	CT_REP	0;
	2637	0	CT_TBRCH	2648	BR_STATUS	CT_REP	0;
	2638	0	CT_TBRCH	2649	BR_STATUS	CT_REP	0;
	2639	0	CT_TBRCH	2650	BR_STATUS	CT_REP	0;
	2640	0	CT_TBRCH	2651	BR_STATUS	CT_REP	0;
	2641	0	CT_TBRCH	2652	BR_STATUS	CT_REP	0;
	2642	0	CT_TBRCH	2653	BR_STATUS	CT_REP	0;
	2643	0	CT_TBRCH	2654	BR_STATUS	CT_REP	0;
	2644	0	CT_TBRCH	2655	BR_STATUS	CT_REP	0;
	2645	0	CT_TBRCH	2656	BR_STATUS	CT_REP	0;
	2646	0	CT_TBRCH	2657	BR_STATUS	CT_REP	0;
	2647	0	CT_TBRCH	2658	BR_STATUS	CT_REP	0;
	2648	0	CT_TBRCH	2661	BR_STATUS	CT_REP	0;
	2649	0	CT_TBRCH	2659	BR_STATUS	CT_REP	0;
	2650	0	CT_TBRCH	2660	BR_STATUS	CT_REP	0;
	2651	0	CT_TBRCH	2662	BR_STATUS	CT_REP	0;
	2652	0	CT_TBRCH	2663	BR_STATUS	CT_REP	0;
	2653	0	CT_TBRCH	2664	BR_STATUS	CT_REP	0;
	2654	0	CT_TBRCH	2665	BR_STATUS	CT_REP	0;
	2655	0	CT_TBRCH	2666	BR_STATUS	CT_REP	0;
	2656	0	CT_TBRCH	2667	BR_STATUS	CT_REP	0;
	2657	0	CT_TBRCH	2668	BR_STATUS	CT_REP	0;
	2658	0	CT_TBRCH	2669	BR_STATUS	CT_REP	0;
	2659	0	CT_TBRCH	2670	BR_STATUS	CT_REP	0;
	2660	0	CT_TBRCH	2671	BR_STATUS	CT_REP	0;
	2661	0	CT_TBRCH	2672	BR_STATUS	CT_REP	0;
	2662	0	CT_TBRCH	2673	BR_STATUS	CT_REP	0;
	2663	0	CT_TBRCH	2674	BR_STATUS	CT_REP	0;
	2664	0	CT_TBRCH	2675	BR_STATUS	CT_REP	0;
	2665	0	CT_TBRCH	2676	BR_STATUS	CT_REP	0;
	2666	0	CT_TBRCH	2677	BR_STATUS	CT_REP	0;
	2667	0	CT_TBRCH	2678	BR_STATUS	CT_REP	0;
	2668	0	CT_TBRCH	2679	BR_STATUS	CT_REP	0;
	2669	0	CT_TBRCH	2680	BR_STATUS	CT_REP	0;
	2670	0	CT_TBRCH	2681	BR_STATUS	CT_REP	0;
	2671	0	CT_TBRCH	2682	BR_STATUS	CT_REP	0;
	2672	0	CT_TBRCH	2683	BR_STATUS	CT_REP	0;
	2673	0	CT_TBRCH	2684	BR_STATUS	CT_REP	0;
	2674	0	CT_TBRCH	2685	BR_STATUS	CT_REP	0;
	2675	0	CT_TBRCH	2686	BR_STATUS	CT_REP	0;
	2676	0	CT_TBRCH	2687	BR_STATUS	CT_REP	0;
	2677	0	CT_TBRCH	2688	BR_STATUS	CT_REP	0;
	2678	0	CT_TBRCH	2689	BR_STATUS	CT_REP	0;
	2679	0	CT_TBRCH	2690	BR_STATUS	CT_REP	0;
	2680	0	CT_TBRCH	2691	BR_STATUS	CT_REP	0;
	2681	0	CT_TBRCH	2692	BR_STATUS	CT_REP	0;
	2682	0	CT_TBRCH	2693	BR_STATUS	CT_REP	0;
	2683	0	CT_TBRCH	2694	BR_STATUS	CT_REP	0;
	2684	0	CT_TBRCH	2695	BR_STATUS	CT_REP	0;
	2685	0	CT_TBRCH	2696	BR_STATUS	CT_REP	0;
	2686	0	CT_TBRCH	2697	BR_STATUS	CT_REP	0;
	2687	0	CT_TBRCH	2698	BR_STATUS	CT_REP	0;
	2688	0	CT_TBRCH	2699	BR_STATUS	CT_REP	0;
	2689	0	CT_TBRCH	2700	BR_STATUS	CT_REP	0;
	2690	0	CT_TBRCH	2701	BR_STATUS	CT_REP	0;
	2691	0	CT_TBRCH	2702	BR_STATUS	CT_REP	0;
	2692	0	CT_TBRCH	2703	BR_STATUS	CT_REP	0;
	2693	0	CT_TBRCH	2704	BR_STATUS	CT_REP	0;
	2694	0	CT_TBRCH	2705	BR_STATUS	CT_REP	0;
	2695	0	CT_TBRCH	2706	BR_STATUS	CT_REP	0;
	2696	0	CT_TBRCH	2707	BR_STATUS	CT_REP	0;
	2697	0	CT_TBRCH	2708	BR_STATUS	CT_REP	0;
	2698	0	CT_TBRCH	2709	BR_STATUS	CT_REP	0;
	2699	0	CT_TBRCH	2710	BR_STATUS	CT_REP	0;
	2700	0	CT_TBRCH	2711	BR_STATUS	CT_REP	0;
	2701	0	CT_TBRCH	2712	BR_STATUS	CT_REP	0;
	2702	0	CT_TBRCH	2713	BR_STATUS	CT_REP	0;
	2703	0	CT_TBRCH	2714	BR_STATUS	CT_REP	0;
	2704	0	CT_TBRCH	2715	BR_STATUS	CT_REP	0;
	2705	0	CT_TBRCH	2716	BR_STATUS	CT_REP	0;
	2706	0	CT_TBRCH	2717	BR_STATUS	CT_REP	0;
	2707	0	CT_TBRCH	2718	BR_STATUS	CT_REP	0;
	2708	0	CT_TBRCH	2719	BR_STATUS	CT_REP	0;
	2709	0	CT_TBRCH	2720	BR_STATUS	CT_REP	0;
	2710	0	CT_TBRCH	2721	BR_STATUS	CT_REP	0;
	2711	0	CT_TBRCH	2722	BR_STATUS	CT_REP	0;
	2712	0	CT_TBRCH	2723	BR_STATUS	CT_REP	0;
	2713	0	CT_TBRCH	2724	BR_STATUS	CT_REP	0;
	2714	0	CT_TBRCH	2725	BR_STATUS	CT_REP	0;
	2715	0	CT_TBRCH	2726	BR_STATUS	CT_REP	0;
	2716	0	CT_TBRCH	2727	BR_STATUS	CT_REP	0;
	2717	0	CT_TBRCH	2728	BR_STATUS	CT_REP	0;
	2718	0	CT_TBRCH	2729	BR_STATUS	CT_REP	0;
	2719	0	CT_TBRCH	2730	BR_STATUS	CT_REP	0;
	2720	0	CT_TBRCH	2731	BR_STATUS	CT_REP	0;
	2721	0	CT_TBRCH	2732	BR_STATUS	CT_REP	0;
	2722	0	CT_TBRCH	2733	BR_STATUS	CT_REP	0;
	2723	0	CT_TBRCH	2734	BR_STATUS	CT_REP	0;
	2724	0	CT_TBRCH	2735	BR_STATUS	CT_REP	0;
	2725	0	CT_TBRCH	2736	BR_STATUS	CT_REP	0;
	2726	0	CT_TBRCH	2737	BR_STATUS	CT_REP	0;
	2727	0	CT_TBRCH	2738	BR_STATUS	CT_REP	0;
	2728	0	CT_TBRCH	2739	BR_STATUS	CT_REP	0;
	2729	0	CT_TBRCH	2740	BR_STATUS	CT_REP	0;
	2730	0	CT_TBRCH	2741	BR_STATUS	CT_REP	0;
	2731	0	CT_TBRCH	2742	BR_STATUS	CT_REP	0;
	2732	0	CT_TBRCH	2743	BR_STATUS	CT_REP	0;
	2733	0	CT_TBRCH	2744	BR_STATUS	CT_REP	0;
	2734	0	CT_TBRCH	2745	BR_STATUS	CT_REP	0;
	2735	0	CT_TBRCH	2746	BR_STATUS	CT_REP	0;
	2736	0	CT_TBRCH	2747	BR_STATUS	CT_REP	0;
	2737	0	CT_TBRCH	2748	BR_STATUS	CT_REP	0;
	2738	0	CT_TBRCH	2749	BR_STATUS	CT_REP	0;
	2739	0	CT_TBRCH	2750	BR_STATUS	CT_REP	0;
	2740	0	CT_TBRCH	2751	BR_STATUS	CT_REP	0;
	2741	0	CT_TBRCH	2752	BR_STATUS	CT_REP	0;
	2742	0	CT_TBRCH	2753	BR_STATUS	CT_REP	0;
	2743	0	CT_TBRCH	2754	BR_STATUS	CT_REP	0;
	2744	0	CT_TBRCH	2755	BR_STATUS	CT_REP	0;
	2745	0	CT_TBRCH	2756	BR_STATUS	CT_REP	0;
	2746	0	CT_TBRCH	2757	BR_STATUS	CT_REP	0;
	2747	0	CT_TBRCH	2758	BR_STATUS	CT_REP	0;
	2748	0	CT_TBRCH	2759	BR_STATUS	CT_REP	0;
	2749	0	CT_TBRCH	2761	BR_STATUS	CT_REP	0;
	2750	0	CT_TBRCH	2762	BR_STATUS	CT_REP	0;
	2751	0	CT_TBRCH	2763	BR_STATUS	CT_REP	0;
	2752	0	CT_TBRCH	2764	BR_STATUS	CT_REP	0;
	2753	0	CT_TBRCH	2765	BR_STATUS	CT_REP	0;
	2754	0	CT_TBRCH	2766	BR_STATUS	CT_REP	0;
	2755	0	CT_TBRCH	2767	BR_STATUS	CT_REP	0;
	2756	0	CT_TBRCH	2768	BR_STATUS	CT_REP	0;
	2757	0	CT_TBRCH	2769	BR_STATUS	CT_REP	0;
	2758	0	CT_TBRCH	2770	BR_STATUS	CT_REP	0;
	2759	0	CT_TBRCH	2771	BR_STATUS	CT_REP	0;
	2760	0	CT_TBRCH	2772	BR_STATUS	CT_REP	0;
	2761	0	CT_TBRCH	2773	BR_STATUS	CT_REP	0;
	2762	0	CT_TBRCH	2774	BR_STATUS	CT_REP	0;
	2763	0	CT_TBRCH	2775	BR_STATUS	CT_REP	0;
	2764	0	CT_TBRCH	2776	BR_STATUS	CT_REP	0;
	2765	0	CT_TBRCH	2777	BR_STATUS	CT_REP	0;
	2766	0	CT_TBRCH	2778	BR_STATUS	CT_REP	0;
	2767	0	CT_TBRCH	2779	BR_STATUS	CT_REP	0;
	2768	0	CT_TBRCH	2780	BR_STATUS	CT_REP	0;
	2769	0	CT_TBRCH	2781	BR_STATUS	CT_REP	0;
	2770	0	CT_TBRCH	2782	BR_STATUS	CT_REP	0;
	2771	0	CT_TBRCH	2783	BR_STATUS	CT_REP	0;
	2772	0	CT_TBRCH	2784	BR_STATUS	CT_REP	0;
	2773	0	CT_TBRCH	2785	BR_STATUS	CT_REP	0;
	2774	0	CT_TBRCH	2786	BR_STATUS	CT_REP	0;
	2775	0	CT_TBRCH	2787	BR_STATUS	CT_REP	0;
	2776	0	CT_TBRCH	2788	BR_STATUS	CT_REP	0;
	2777	0	CT_TBRCH	2789	BR_STATUS	CT_REP	0;
	2778	0	CT_TBRCH	2790	BR_STATUS	CT_REP	0;
	2779	0	CT_TBRCH	2791	BR_STATUS	CT_REP	0;
	2780	0	CT_TBRCH	2792	BR_STATUS	CT_REP	0;
	2781	0	CT_TBRCH	2793	BR_STATUS	CT_REP	0;
	2782	0	CT_TBRCH	2794	BR_STATUS	CT_REP	0;
	2783	0	CT_TBRCH	2795	BR_STATUS	CT_REP	0;
	2784	0	CT_TBRCH	2796	BR_STATUS	CT_REP	0;
	2785	0	CT_TBRCH	2797	BR_STATUS	CT_REP	0;
	2786	0	CT_TBRCH	2798	BR_STATUS	CT_REP	0;
	2787	0	CT_TBRCH	2799	BR_STATUS	CT_REP	0;
	2788	0	CT_TBRCH	2800	BR_STATUS	CT_REP	0;
	2789	0	CT_TBRCH	2801	BR_STATUS	CT_REP	0;
	2790	0	CT_TBRCH	2802	BR_STATUS	CT_REP	0;
	2791	0	CT_TBRCH	2803	BR_STATUS	CT_REP	0;
	2792	0	CT_TBRCH	2804	BR_STATUS	CT_REP	0;
	2793	0	CT_TBRCH	2805	BR_STATUS	CT_REP	0;
	2794	0	CT_TBRCH	2806	BR_STATUS	CT_REP	0;
	2795	0	CT_TBRCH	2807	BR_STATUS	CT_REP	0;
	2796	0	CT_TBRCH	2808	BR_STATUS	CT_REP	0;
	2797	0	CT_TBRCH	2809	BR_STATUS	CT_REP	0;
	2798	0	CT_TBRCH	2810	BR_STATUS	CT_REP	0;
	2799	0	CT_TBRCH	2811	BR_STATUS	CT_REP	0;
	2800	0	CT_TBRCH	2812	BR_STATUS	CT_REP	0;
	2801	0	CT_TBRCH	2813	BR_STATUS	CT_REP	0;
	2802	0	CT_TBRCH	2814	BR_STATUS	CT_REP	0;
	2803	0	CT_TBRCH	2815	BR_STATUS	CT_REP	0;
	2804	0	CT_TBRCH	2816	BR_STATUS	CT_REP	0;
	2805	0	CT_TBRCH	2817	BR_STATUS	CT_REP	0;
	2806	0	CT_TBRCH	2818	BR_STATUS	CT_REP	0;
	2807	0	CT_TBRCH	2819	BR_STATUS	CT_REP	0;
	2808	0	CT_TBRCH	2820	BR_STATUS	CT_REP	0;
	2809	0	CT_TBRCH	2821	BR_STATUS	CT_REP	0;
	2810	0	CT_TBRCH	2822	BR_STATUS	CT_REP	0;
	2811	0	CT_TBRCH	2823	BR_STATUS	CT_REP	0;
	2812	0	CT_TBRCH	2824	BR_STATUS	CT_REP	0;
	2813	0	CT_TBRCH	2825	BR_STATUS	CT_REP	0;
	2814	0	CT_TBRCH	2826	BR_STATUS	CT_REP	0;
	2815	0	CT_TBRCH	2827	BR_STATUS	CT_REP	0;
	2816	0	CT_TBRCH	2828	BR_STATUS	CT_REP	0;
	2817	0	CT_TBRCH	2829	BR_STATUS	CT_REP	0;
	2818	0	CT_TBRCH	2830	BR_STATUS	CT_REP	0;
	2819	0	CT_TBRCH	2831	BR_STATUS	CT_REP	0;
	2820	0	CT_TBRCH	2832	BR_STATUS	CT_REP	0;
	2821	0	CT_TBRCH	2833	BR_STATUS	CT_REP	0;
	2822	0	CT_TBRCH	2834	BR_STATUS	CT_REP	0;
	2823	0	CT_TBRCH	2835	BR_STATUS	CT_REP	0;
	2824	0	CT_TBRCH	2836	BR_STATUS	CT_REP	0;
	2825	0	CT_TBRCH	2837	BR_STATUS	CT_REP	0;
	2826	0	CT_TBRCH	2838	BR_STATUS	CT_REP	0;
	2827	0	CT_TBRCH	2839	BR_STATUS	CT_REP	0;
	2828	0	CT_TBRCH	2840	BR_STATUS	CT_REP	0;
	2829	0	CT_TBRCH	2841	BR_STATUS	CT_REP	0;
	2830	0	CT_TBRCH	2842	BR_STATUS	CT_REP	0;
	2831	0	CT_TBRCH	2843	BR_STATUS	CT_REP	0;
	2832	0	CT_TBRCH	2844	BR_STATUS	CT_REP	0;
	2833	0	CT_TBRCH	2845	BR_STATUS	CT_REP	0;
	2834	0	CT_TBRCH	2846	BR_STATUS	CT_REP	0;
	2835	0	CT_TBRCH	2847	BR_STATUS	CT_REP	0;
	2836	0	CT_TBRCH	2848	BR_STATUS	CT_REP	0;
	2837	0	CT_TBRCH	2849	BR_STATUS	CT_REP	0;
	2838	0	CT_TBRCH	2850	BR_STATUS	CT_REP	0;
	2839	0	CT_TBRCH	2851	BR_STATUS	CT_REP	0;
	2840	0	CT_TBRCH	2852	BR_STATUS	CT_REP	0;
	2841	0	CT_TBRCH	2853	BR_STATUS	CT_REP	0;
	2842	0	CT_TBRCH	2854	BR_STATUS	CT_REP	0;
	2843	0	CT_TBRCH	2855	BR_STATUS	CT_REP	0;
	2844	0	CT_TBRCH	2856	BR_STATUS	CT_REP	0;
	2845	0	CT_TBRCH	2857	BR_STATUS	CT_REP	0;
	2846	0	CT_TBRCH	2858	BR_STATUS	CT_REP	0;
	2847	0	CT_TBRCH	2859	BR_STATUS	CT_REP	0;
	2848	0	CT_TBRCH	2860	BR_STATUS	CT_REP	0;
	2849	0	CT_TBRCH	2861	BR_STATUS	CT_REP	0;
	2850	0	CT_TBRCH	2862	BR_STATUS	CT_REP	0;
	2851	0	CT_TBRCH	2863	BR_STATUS	CT_REP	0;
	2852	0	CT_TBRCH	2864	BR_STATUS	CT_REP	0;
	2853	0	CT_TBRCH	2865	BR_STATUS	CT_REP	0;
	2854	0	CT_TBRCH	2866	BR_STATUS	CT_REP	0;
	2855	0	CT_TBRCH	2867	BR_STATUS	CT_REP	0;
	2856	0	CT_TBRCH	2868	BR_STATUS	CT_REP	0;
	2857	0	CT_TBRCH	2869	BR_STATUS	CT_REP	0;
	2858	0	CT_TBRCH	2870	BR_STATUS	CT_REP	0;
	2859	0	CT_TBRCH	2871	BR_STATUS	CT_REP	0;
	2860	0	CT_TBRCH	2872	BR_STATUS	CT_REP	0;
	2861	0	CT_TBRCH	2873	BR_STATUS	CT_REP	0;
	2862	0	CT_TBRCH	2874	BR_STATUS	CT_REP	0;
	2863	0	CT_TBRCH	2875	BR_STATUS	CT_REP	0;
	2864	0	CT_TBRCH	2876	BR_STATUS	CT_REP	0;
	2865	0	CT_TBRCH	2877	BR_STATUS	CT_REP	0;
	2866	0	CT_TBRCH	2878	BR_STATUS	CT_REP	0;
	2867	0	CT_TBRCH	2879	BR_STATUS	CT_REP	0;
	2868	0	CT_TBRCH	2880	BR_STATUS	CT_REP	0;
	2869	0	CT_TBRCH	2881	BR_STATUS	CT_REP	0;
	2870	0	CT_TBRCH	2882	BR_STATUS	CT_REP	0;
	2871	0	CT_TBRCH	2883	BR_STATUS	CT_REP	0;
	2872	0	CT_TBRCH	2884	BR_STATUS	CT_REP	0;
	2873	0	CT_TBRCH	2885	BR_STATUS	CT_REP	0;
	2874	0	CT_TBRCH	2886	BR_STATUS	CT_REP	0;
	2875	0	CT_TBRCH	2887	BR_STATUS	CT_REP	0;
	2876	0	CT_TBRCH	2888	BR_STATUS	CT_REP	0;
	2877	0	CT_TBRCH	2889	BR_STATUS	CT_REP	0;
	2878	0	CT_TBRCH	2890	BR_STATUS	CT_REP	0;
	2879	0	CT_TBRCH	2891	BR_STATUS	CT_REP	0;
	2880	0	CT_TBRCH	2892	BR_STATUS	CT_REP	0;
	2881	0	CT_TBRCH	2893	BR_STATUS	CT_REP	0;
	2882	0	CT_TBRCH	2894	BR_STATUS	CT_REP	0;
	2883	0	CT_TBRCH	2895	BR_STATUS	CT_REP	0;
	2884	0	CT_TBRCH	2896	BR_STATUS	CT_REP	0;
	2885	0	CT_TBRCH	2897	BR_STATUS	CT_REP	0;
	2886	0	CT_TBRCH	2898	BR_STATUS	CT_REP	0;
	2887	0	CT_TBRCH	2899	BR_STATUS	CT_REP	0;
	2888	0	CT_TBRCH	2900	BR_STATUS	CT_REP	0;
	2889	0	CT_TBRCH	2901	BR_STATUS	CT_REP	0;
	2890	0	CT_TBRCH	2902	BR_STATUS	CT_REP	0;
	2891	0	CT_TBRCH	2903	BR_STATUS	CT_REP	0;
	2892	0	CT_TBRCH	2904	BR_STATUS	CT_REP	0;
	2893	0	CT_TBRCH	2905	BR_STATUS	CT_REP	0;
	2894	0	CT_TBRCH	2906	BR_STATUS	CT_REP	0;
	2895	0	CT_TBRCH	2907	BR_STATUS	CT_REP	0;
	2896	0	CT_TBRCH	2908	BR_STATUS	CT_REP	0;
	2897	0	CT_TBRCH	2909	BR_STATUS	CT_REP	0;
	2898	0	CT_TBRCH	2910	BR_STATUS	CT_REP	0;
	2899	0	CT_TBRCH	2911	BR_STATUS	CT_REP	0;
	2900	0	CT_TBRCH	2912	BR_STATUS	CT_REP	0;
	2901	0	CT_TBRCH	2913	BR_STATUS	CT_REP	0;
	2902	0	CT_TBRCH	2914	BR_STATUS	CT_REP	0;
	2903	0	CT_TBRCH	2915	BR_STATUS	CT_REP	0;
	2904	0	CT_TBRCH	2916	BR_STATUS	CT_REP	0;
	2905	0	CT_TBRCH	2917	BR_STATUS	CT_REP	0;
	2906	0	CT_TBRCH	2918	BR_STATUS	CT_REP	0;
	2907	0	CT_TBRCH	2919	BR_STATUS	CT_REP	0;
	2908	0	CT_TBRCH	2920	BR_STATUS	CT_REP	0;
	2909	0	CT_TBRCH	2921	BR_STATUS	CT_REP	0;
	2910	0	CT_TBRCH	2922	BR_STATUS	CT_REP	0;
	2911	0	CT_TBRCH	2923	BR_STATUS	CT_REP	0;
	2912	0	CT_TBRCH	2924	BR_STATUS	CT_REP	0;
	2913	0	CT_TBRCH	2925	BR_STATUS	CT_REP	0;
	2914	0	CT_TBRCH	2926	BR_STATUS	CT_REP	0;
	2915	0	CT_TBRCH	2927	BR_STATUS	CT_REP	0;
	2916	0	CT_TBRCH	2928	BR_STATUS	CT_REP	0;
	2917	0	CT_TBRCH	2929	BR_STATUS	CT_REP	0;
	2918	0	CT_TBRCH	2930	BR_STATUS	CT_REP	0;
	2919	0	CT_TBRCH	2931	BR_STATUS	CT_REP	0;
	2920	0	CT_TBRCH	2932	BR_STATUS	CT_REP	0;
	2921	0	CT_TBRCH	2933	BR_STATUS	CT_REP	0;
	2922	0	CT_TBRCH	2934	BR_STATUS	CT_REP	0;
	2923	0	CT_TBRCH	2935	BR_STATUS	CT_REP	0;
	2924	0	CT_TBRCH	2936	BR_STATUS	CT_REP	0;
	2925	0	CT_TBRCH	2937	BR_STATUS	CT_REP	0;
	2926	0	CT_TBRCH	2938	BR_STATUS	CT_REP	0;
	2927	0	CT_TBRCH	2939	BR_STATUS	CT_REP	0;
	2928	0	CT_TBRCH	2940	BR_STATUS	CT_REP	0;
	2929	0	CT_TBRCH	2941	BR_STATUS	CT_REP	0;
	2930	0	CT_TBRCH	2942	BR_STATUS	CT_REP	0;
	2931	0	CT_TBRCH	2943	BR_STATUS	CT_REP	0;
	2932	0	CT_TBRCH	2944	BR_STATUS	CT_REP	0;
	2933	0	CT_TBRCH	2945	BR_STATUS	CT_REP	0;
	2934	0	CT_TBRCH	2946	BR_STATUS	CT_REP	0;
	2935	0	CT_TBRCH	2947	BR_STATUS	CT_REP	0;
	2936	0	CT_TBRCH	2948	BR_STATUS	CT_REP	0;
	2937	0	CT_TBRCH	2949	BR_STATUS	CT_REP	0;
	2938	0	CT_TBRCH	2950	BR_STATUS	CT_REP	0;
	2939	0	CT_TBRCH	2951	BR_STATUS	CT_REP	0;
	2940	0	CT_TBRCH	2952	BR_STATUS	CT_REP	0;
	2941	0	CT_TBRCH	2953	BR_STATUS	CT_REP	0;
	2942	0	CT_TBRCH	2954	BR_STATUS	CT_REP	0;
	2943	0	CT_TBRCH	2955	BR_STATUS	CT_REP	0;
	2944	0	CT_TBRCH	2956	BR_STATUS	CT_REP	0;
	2945	0	CT_TBRCH	2957	BR_STATUS	CT_REP	0;
	2946	0	CT_TBRCH	2958	BR_STATUS	CT_REP	0;
	2947	0	CT_TBRCH	2959	BR_STATUS	CT_REP	0;
	2948	0	CT_TBRCH	2960	BR_STATUS	CT_REP	0;
	2949	0	CT_TBRCH	2961	BR_STATUS	CT_REP	0;
	2950	0	CT_TBRCH	2962	BR_STATUS	CT_REP	0;
	2951	0	CT_TBRCH	2963	BR_STATUS	CT_REP	0;
	2952	0	CT_TBRCH	2964	BR_STATUS	CT_REP	0;
	2953	0	CT_TBRCH	2965	BR_STATUS	CT_REP	0;
	2954	0	CT_TBRCH	2966	BR_STATUS	CT_REP	0;
	2955	0	CT_TBRCH	2967	BR_STATUS	CT_REP	0;
	2956	0	CT_TBRCH	2968	BR_STATUS	CT_REP	0;
	2957	0	CT_TBRCH	2969	BR_STATUS	CT_REP	0;
	2958	0	CT_TBRCH	2970	BR_STATUS	CT_REP	0;
	2959	0	CT_TBRCH	2971	BR_STATUS	CT_REP	0;
	2960	0	CT_TBRCH	2972	BR_STATUS	CT_REP	0;
	2961	0	CT_TBRCH	2973	BR_STATUS	CT_REP	0;
	2962	0	CT_TBRCH	2974	BR_STATUS	CT_REP	0;
	2963	0	CT_TBRCH	2975	BR_STATUS	CT_REP	0;
	2964	0	CT_TBRCH	2976	BR_STATUS	CT_REP	0;
	2965	0	CT_TBRCH	2977	BR_STATUS	CT_REP	0;
	2966	0	CT_TBRCH	2978	BR_STATUS	CT_REP	0;
	2967	0	CT_TBRCH	2979	BR_STATUS	CT_REP	0;
	2968	0	CT_TBRCH	2980	BR_STATUS	CT_REP	0;
	2969	0	CT_TBRCH	2981	BR_STATUS	CT_REP	0;
	2970	0	CT_TBRCH	2982	BR_STATUS	CT_REP	0;
	2971	0	CT_TBRCH	2983	BR_STATUS	CT_REP	0;
	2972	0	CT_TBRCH	2984	BR_STATUS	CT_REP	0;
	2973	0	CT_TBRCH	2985	BR_STATUS	CT_REP	0;
	2974	0	CT_TBRCH	2986	BR_STATUS	CT_REP	0;
	2975	0	CT_TBRCH	2987	BR_STATUS	CT_REP	0;
	2976	0	CT_TBRCH	2988	BR_STATUS	CT_REP	0;
	2977	0	CT_TBRCH	2989	BR_STATUS	CT_REP	0;
	2978	0	CT_TBRCH	2990	BR_STATUS	CT_REP	0;
	2979	0	CT_TBRCH	2991	BR_STATUS	CT_REP	0;
	2980	0	CT_TBRCH	2992	BR_STATUS	CT_REP	0;
	2981	0	CT_TBRCH	2993	BR_STATUS	CT_REP	0;
	2982	0	CT_TBRCH	2994	BR_STATUS	CT_REP	0;
	2983	0	CT_TBRCH	2995	BR_STATUS	CT_REP	0;
	2984	0	CT_TBRCH	2996	BR_STATUS	CT_REP	0;
	2985	0	CT_TBRCH	2997	BR_STATUS	CT_REP	0;
	2986	0	CT_TBRCH	2998	BR_STATUS	CT_REP	0;
	2987	0	CT_TBRCH	2999	BR_STATUS	CT_REP	0;
	2988	0	CT_TBRCH	3000	BR_STATUS	CT_REP	0;
	2989	0	CT_TBRCH	3001	BR_STATUS	CT_REP	0;
	2990	0	CT_TBRCH	3002	BR_STATUS	CT_REP	0;
	2991	0	CT_TBRCH	3003	BR_STATUS	CT_REP	0;
	2992	0	CT_TBRCH	3004	BR_STATUS	CT_REP	0;
	2993	0	CT_TBRCH	3005	BR_STATUS	CT_REP	0;
	2994	0	CT_TBRCH	3006	BR_STATUS	CT_REP	0;
	2995	0	CT_TBRCH	3007	BR_STATUS	CT_REP	0;
	2996	0	CT_TBRCH	3008	BR_STATUS	CT_REP	0;
	2997	0	CT_TBRCH	3009	BR_STATUS	CT_REP	0;
	2998	0	CT_TBRCH	3010	BR_STATUS	CT_REP	0;
	2999	0	CT_TBRCH	3011	BR_STATUS	CT_REP	0;
	3000	0	CT_TBRCH	3012	BR_STATUS	CT_REP	0;
	3001	0	CT_TBRCH	3013	BR_STATUS	CT_REP	0;
	3002	0	CT_TBRCH	3014	BR_STATUS	CT_REP	0;
	3003	0	CT_TBRCH	3015	BR_STATUS	CT_REP	0;
	3004	0	CT_TBRCH	3016	BR_STATUS	CT_REP	0;
	3005	0	CT_TBRCH	3017	BR_STATUS	CT_REP	0;
	3006	0	CT_TBRCH	3018	BR_STATUS	CT_REP	0;
	3007	0	CT_TBRCH	3019	BR_STATUS	CT_REP	0;
	3008	0	CT_TBRCH	3020	BR_STATUS	CT_REP	0;
	3009	0	CT_TBRCH	3021	BR_STATUS	CT_REP	0;
	3010	0	CT_TBRCH	3022	BR_STATUS	CT_REP	0;
	3011	0	CT_TBRCH	3023	BR_STATUS	CT_REP	0;
	3012	0	CT_TBRCH	3024	BR_STATUS	CT_REP	0;
	3013	0	CT_TBRCH	3025	BR_STATUS	CT_REP	0;
	3014	0	CT_TBRCH	3026	BR_STATUS	CT_REP	0;
	3015	0	CT_TBRCH	3027	BR_STATUS	CT_REP	0;
	3016	0	CT_TBRCH	3028	BR_STATUS	CT_REP	0;
	3017	0	CT_TBRCH	3029	BR_STATUS	CT_REP	0;
	3018	0	CT_TBRCH	3030	BR_STATUS	CT_REP	0;
	3019	0	CT_TBRCH	3031	BR_STATUS	CT_REP	0;
	3020	0	CT_TBRCH	3032	BR_STATUS	CT_REP	0;
	3021	0	CT_TBRCH	3033	BR_STATUS	CT_REP	0;
	3022	0	CT_TBRCH	3034	BR_STATUS	CT_REP	0;
	3023	0	CT_TBRCH	3035	BR_STATUS	CT_REP	0;
	3024	0	CT_TBRCH	3036	BR_STATUS	CT_REP	0;
	3025	0	CT_TBRCH	3037	BR_STATUS	CT_REP	0;
	3026	0	CT_TBRCH	3038	BR_STATUS	CT_REP	0;
	3027	0	CT_TBRCH	3039	BR_STATUS	CT_REP	0;
	3028	0	CT_TBRCH	3040	BR_STATUS	CT_REP	0;
	3029	0	CT_TBRCH	3041	BR_STATUS	CT_REP	0;
	3030	0	CT_TBRCH	3042	BR_STATUS	CT_REP	0;
	3031	0	CT_TBRCH	3043	BR_STATUS	CT_REP	0;
	3032	0	CT_TBRCH	3044	BR_STATUS	CT_REP	0;
	3033	0	CT_TBRCH	3045	BR_STATUS	CT_REP	0;
	3034	0	CT_TBRCH	3046	BR_STATUS	CT_REP	0;
	3035	0	CT_TBRCH	3047	BR_STATUS	CT_REP	0;
	3036	0	CT_TBRCH	3048	BR_STATUS	CT_REP	0;
	3037	0	CT_TBRCH	3049	BR_STATUS	CT_REP	0;
	3038	0	CT_TBRCH	3050	BR_STATUS	CT_REP	0;
	3039	0	CT_TBRCH	3051	BR_STATUS	CT_REP	0;
	3040	0	CT_TBRCH	3052	BR_STATUS	CT_REP	0;
	3041	0	CT_TBRCH	3053	BR_STATUS	CT_REP	0;
	3042	0	CT_TBRCH	3054	BR_STATUS	CT_REP	0;
	3043	0	CT_TBRCH	3055	BR_STATUS	CT_REP	0;
	3044	0	CT_TBRCH	3056	BR_STATUS	CT_REP	0;
	3045	0	CT_TBRCH	3057	BR_STATUS	CT_REP	0;
	3046	0	CT_TBRCH	3058	BR_STATUS	CT_REP	0;
	3047	0	CT_TBRCH	3059	BR_STATUS	CT_REP	0;
	3048	0	CT_TBRCH	3060	BR_STATUS	CT_REP	0;
	3049	0	CT_TBRCH	3061	BR_STATUS	CT_REP	0;
	3050	0	CT_TBRCH	3062	BR_STATUS	CT_REP	0;
	3051	0	CT_TBRCH	3063	BR_STATUS	CT_REP	0;
	3052	0	CT_TBRCH	3064	BR_STATUS	CT_REP	0;
	3053	0	CT_TBRCH	3065	BR_STATUS	CT_REP	0;
	3054	0	CT_TBRCH	3066	BR_STATUS	CT_REP	0;
	3055	0	CT_TBRCH	3067	BR_STATUS	CT_REP	0;
	3056	0	CT_TBRCH	3068	BR_STATUS	CT_REP	0;
	3057	0	CT_TBRCH	3069	BR_STATUS	CT_REP	0;
	3058	0	CT_TBRCH	3070	BR_STATUS	CT_REP	0;
	3059	0	CT_TBRCH	3071	BR_STATUS	CT_REP	0;
	3060	0	CT_TBRCH	3072	BR_STATUS	CT_REP	0;
	3061	0	CT_TBRCH	3074	BR_STATUS	CT_REP	0;
	3062	0	CT_TBRCH	3075	BR_STATUS	CT_REP	0;
	3063	0	CT_TBRCH	3076	BR_STATUS	CT_REP	0;
	3064	0	CT_TBRCH	3077	BR_STATUS	CT_REP	0;
	3065	0	CT_TBRCH	3078	BR_STATUS	CT_REP	0;
	3066	0	CT_TBRCH	3079	BR_STATUS	CT_REP	0;
	3067	0	CT_TBRCH	3080	BR_STATUS	CT_REP	0;
	3068	0	CT_TBRCH	3081	BR_STATUS	CT_REP	0;
	3069	0	CT_TBRCH	3082	BR_STATUS	CT_REP	0;
	3070	0	CT_TBRCH	3083	BR_STATUS	CT_REP	0;
	3071	0	CT_TBRCH	3084	BR_STATUS	CT_REP	0;
	3072	0	CT_TBRCH	3085	BR_STATUS	CT_REP	0;
	3073	0	CT_TBRCH	3086	BR_STATUS	CT_REP	0;
	3074	0	CT_TBRCH	3087	BR_STATUS	CT_REP	0;
	3075	0	CT_TBRCH	3088	BR_STATUS	CT_REP	0;
	3076	0	CT_TBRCH	3089	BR_STATUS	CT_REP	0;
	3077	0	CT_TBRCH	3090	BR_STATUS	CT_REP	0;
	3078	0	CT_TBRCH	3091	BR_STATUS	CT_REP	0;
	3079	0	CT_TBRCH	3092	BR_STATUS	CT_REP	0;
	3080	0	CT_TBRCH	3093	BR_STATUS	CT_REP	0;
	3081	0	CT_TBRCH	3094	BR_STATUS	CT_REP	0;
	3082	0	CT_TBRCH	3095	BR_STATUS	CT_REP	0;
	3083	0	CT_TBRCH	3096	BR_STATUS	CT_REP	0;
	3084	0	CT_TBRCH	3097	BR_STATUS	CT_REP	0;
	3085	0	CT_TBRCH	3098	BR_STATUS	CT_REP	0;
	3086	0	CT_TBRCH	3099	BR_STATUS	CT_REP	0;
	3087	0	CT_TBRCH	3100	BR_STATUS	CT_REP	0;
	3088	0	CT_TBRCH	3101	BR_STATUS	CT_REP	0;
	3089	0	CT_TBRCH	3102	BR_STATUS	CT_REP	0;
	3090	0	CT_TBRCH	3103	BR_STATUS	CT_REP	0;
	3091	0	CT_TBRCH	3104	BR_STATUS	CT_REP	0;
	3092	0	CT_TBRCH	3105	BR_STATUS	CT_REP	0;
	3093	0	CT_TBRCH	3106	BR_STATUS	CT_REP	0;
	3094	0	CT_TBRCH	3107	BR_STATUS	CT_REP	0;
	3095	0	CT_TBRCH	3108	BR_STATUS	CT_REP	0;
	3096	0	CT_TBRCH	3109	BR_STATUS	CT_REP	0;
	3097	0	CT_TBRCH	3110	BR_STATUS	CT_REP	0;
	3098	0	CT_TBRCH	3111	BR_STATUS	CT_REP	0;
	3099	0	CT_TBRCH	3112	BR_STATUS	CT_REP	0;
	3100	0	CT_TBRCH	3113	BR_STATUS	CT_REP	0;
	3101	0	CT_TBRCH	3114	BR_STATUS	CT_REP	0;
	3102	0	CT_TBRCH	3115	BR_STATUS	CT_REP	0;
	3103	0	CT_TBRCH	3116	BR_STATUS	CT_REP	0;
	3104	0	CT_TBRCH	3117	BR_STATUS	CT_REP	0;
	3105	0	CT_TBRCH	3118	BR_STATUS	CT_REP	0;
	3106	0	CT_TBRCH	3119	BR_STATUS	CT_REP	0;
	3107	0	CT_TBRCH	3120	BR_STATUS	CT_REP	0;
	3108	0	CT_TBRCH	3121	BR_STATUS	CT_REP	0;
	3109	0	CT_TBRCH	3123	BR_STATUS	CT_REP	0;
	3110	0	CT_TBRCH	3125	BR_STATUS	CT_REP	0;
	3111	0	CT_TBRCH	3126	BR_STATUS	CT_REP	0;
	3112	0	CT_TBRCH	3127	BR_STATUS	CT_REP	0;
	3113	0	CT_TBRCH	3128	BR_STATUS	CT_REP	0;
	3114	0	CT_TBRCH	3129	BR_STATUS	CT_REP	0;
	3115	0	CT_TBRCH	3130	BR_STATUS	CT_REP	0;
	3116	0	CT_TBRCH	3131	BR_STATUS	CT_REP	0;
	3117	0	CT_TBRCH	3132	BR_STATUS	CT_REP	0;
	3118	0	CT_TBRCH	3133	BR_STATUS	CT_REP	0;
	3119	0	CT_TBRCH	3134	BR_STATUS	CT_REP	0;
	3120	0	CT_TBRCH	3135	BR_STATUS	CT_REP	0;
	3121	0	CT_TBRCH	3136	BR_STATUS	CT_REP	0;
	3122	0	CT_TBRCH	3137	BR_STATUS	CT_REP	0;
	3123	0	CT_TBRCH	3138	BR_STATUS	CT_REP	0;
	3124	0	CT_TBRCH	3139	BR_STATUS	CT_REP	0;
	3125	0	CT_TBRCH	3140	BR_STATUS	CT_REP	0;
	3126	0	CT_TBRCH	3141	BR_STATUS	CT_REP	0;
	3127	0	CT_TBRCH	3142	BR_STATUS	CT_REP	0;
	3128	0	CT_TBRCH	3143	BR_STATUS	CT_REP	0;
	3129	0	CT_TBRCH	3144	BR_STATUS	CT_REP	0;
	3130	0	CT_TBRCH	3145	BR_STATUS	CT_REP	0;
	3131	0	CT_TBRCH	3146	BR_STATUS	CT_REP	0;
	3132	0	CT_TBRCH	3147	BR_STATUS	CT_REP	0;
	3133	0	CT_TBRCH	3148	BR_STATUS	CT_REP	0;
	3134	0	CT_TBRCH	3149	BR_STATUS	CT_REP	0;
	3135	0	CT_TBRCH	3150	BR_STATUS	CT_REP	0;
	3136	0	CT_TBRCH	3151	BR_STATUS	CT_REP	0;
	3137	0	CT_TBRCH	3152	BR_STATUS	CT_REP	0;
	3138	0	CT_TBRCH	3153	BR_STATUS	CT_REP	0;
	3139	0	CT_TBRCH	3154	BR_STATUS	CT_REP	0;
	3140	0	CT_TBRCH	3155	BR_STATUS	CT_REP	0;
	3141	0	CT_TBRCH	3156	BR_STATUS	CT_REP	0;
	3142	0	CT_TBRCH	3157	BR_STATUS	CT_REP	0;
	3143	0	CT_TBRCH	3158	BR_STATUS	CT_REP	0;
	3144	0	CT_TBRCH	3159	BR_STATUS	CT_REP	0;
	3145	0	CT_TBRCH	3160	BR_STATUS	CT_REP	0;
	3146	0	CT_TBRCH	3161	BR_STATUS	CT_REP	0;
	3147	0	CT_TBRCH	3162	BR_STATUS	CT_REP	0;
	3148	0	CT_TBRCH	3163	BR_STATUS	CT_REP	0;
	3149	0	CT_TBRCH	3165	BR_STATUS	CT_REP	0;
	3150	0	CT_TBRCH	3166	BR_STATUS	CT_REP	0;
	3151	0	CT_TBRCH	3167	BR_STATUS	CT_REP	0;
	3152	0	CT_TBRCH	3168	BR_STATUS	CT_REP	0;
	3153	0	CT_TBRCH	3169	BR_STATUS	CT_REP	0;
	3154	0	CT_TBRCH	3170	BR_STATUS	CT_REP	0;
	3155	0	CT_TBRCH	3171	BR_STATUS	CT_REP	0;
	3156	0	CT_TBRCH	3172	BR_STATUS	CT_REP	0;
	3157	0	CT_TBRCH	3173	BR_STATUS	CT_REP	0;
	3158	0	CT_TBRCH	3174	BR_STATUS	CT_REP	0;
	3159	0	CT_TBRCH	3175	BR_STATUS	CT_REP	0;
	3160	0	CT_TBRCH	3176	BR_STATUS	CT_REP	0;
	3161	0	CT_TBRCH	3177	BR_STATUS	CT_REP	0;
	3162	0	CT_TBRCH	3178	BR_STATUS	CT_REP	0;
	3163	0	CT_TBRCH	3179	BR_STATUS	CT_REP	0;
	3164	0	CT_TBRCH	3180	BR_STATUS	CT_REP	0;
	3165	0	CT_TBRCH	3181	BR_STATUS	CT_REP	0;
	3166	0	CT_TBRCH	3182	BR_STATUS	CT_REP	0;
	3167	0	CT_TBRCH	3183	BR_STATUS	CT_REP	0;
	3168	0	CT_TBRCH	3184	BR_STATUS	CT_REP	0;
	3169	0	CT_TBRCH	3185	BR_STATUS	CT_REP	0;
	3170	0	CT_TBRCH	3186	BR_STATUS	CT_REP	0;
	3171	0	CT_TBRCH	3187	BR_STATUS	CT_REP	0;
	3172	0	CT_TBRCH	3188	BR_STATUS	CT_REP	0;
	3173	0	CT_TBRCH	3189	BR_STATUS	CT_REP	0;
	3174	0	CT_TBRCH	3190	BR_STATUS	CT_REP	0;
	3175	0	CT_TBRCH	3191	BR_STATUS	CT_REP	0;
	3176	0	CT_TBRCH	3192	BR_STATUS	CT_REP	0;
	3177	0	CT_TBRCH	3193	BR_STATUS	CT_REP	0;
	3178	0	CT_TBRCH	3194	BR_STATUS	CT_REP	0;
	3179	0	CT_TBRCH	3195	BR_STATUS	CT_REP	0;
	3180	0	CT_TBRCH	3196	BR_STATUS	CT_REP	0;
	3181	0	CT_TBRCH	3197	BR_STATUS	CT_REP	0;
	3182	0	CT_TBRCH	3198	BR_STATUS	CT_REP	0;
	3183	0	CT_TBRCH	3199	BR_STATUS	CT_REP	0;
	3184	0	CT_TBRCH	3200	BR_STATUS	CT_REP	0;
	3185	0	CT_TBRCH	3201	BR_STATUS	CT_REP	0;
	3186	0	CT_TBRCH	3202	BR_STATUS	CT_REP	0;
	3187	0	CT_TBRCH	3203	BR_STATUS	CT_REP	0;
	3188	0	CT_TBRCH	3204	BR_STATUS	CT_REP	0;
	3189	0	CT_TBRCH	3205	BR_STATUS	CT_REP	0;
	3190	0	CT_TBRCH	3206	BR_STATUS	CT_REP	0;
	3191	0	CT_TGEN	1	GEN_STATUS	CT_REP	0;
	3192	0	CT_TGEN	2	GEN_STATUS	CT_REP	0;
	3193	0	CT_TGEN	3	GEN_STATUS	CT_REP	0;
	3194	0	CT_TGEN	4	GEN_STATUS	CT_REP	0;
	3195	0	CT_TGEN	5	GEN_STATUS	CT_REP	0;
	3196	0	CT_TGEN	6	GEN_STATUS	CT_REP	0;
	3197	0	CT_TGEN	7	GEN_STATUS	CT_REP	0;
	3198	0	CT_TGEN	8	GEN_STATUS	CT_REP	0;
	3199	0	CT_TGEN	9	GEN_STATUS	CT_REP	0;
	3200	0	CT_TGEN	10	GEN_STATUS	CT_REP	0;
	3201	0	CT_TGEN	11	GEN_STATUS	CT_REP	0;
	3202	0	CT_TGEN	12	GEN_STATUS	CT_REP	0;
	3203	0	CT_TGEN	13	GEN_STATUS	CT_REP	0;
	3204	0	CT_TGEN	14	GEN_STATUS	CT_REP	0;
	3205	0	CT_TGEN	15	GEN_STATUS	CT_REP	0;
	3206	0	CT_TGEN	16	GEN_STATUS	CT_REP	0;
	3207	0	CT_TGEN	17	GEN_STATUS	CT_REP	0;
	3208	0	CT_TGEN	18	GEN_STATUS	CT_REP	0;
	3209	0	CT_TGEN	19	GEN_STATUS	CT_REP	0;
	3210	0	CT_TGEN	20	GEN_STATUS	CT_REP	0;
	3211	0	CT_TGEN	21	GEN_STATUS	CT_REP	0;
	3212	0	CT_TGEN	22	GEN_STATUS	CT_REP	0;
	3213	0	CT_TGEN	23	GEN_STATUS	CT_REP	0;
	3214	0	CT_TGEN	24	GEN_STATUS	CT_REP	0;
	3215	0	CT_TGEN	25	GEN_STATUS	CT_REP	0;
	3216	0	CT_TGEN	26	GEN_STATUS	CT_REP	0;
	3217	0	CT_TGEN	27	GEN_STATUS	CT_REP	0;
	3218	0	CT_TGEN	28	GEN_STATUS	CT_REP	0;
	3219	0	CT_TGEN	29	GEN_STATUS	CT_REP	0;
	3220	0	CT_TGEN	30	GEN_STATUS	CT_REP	0;
	3221	0	CT_TGEN	31	GEN_STATUS	CT_REP	0;
	3222	0	CT_TGEN	32	GEN_STATUS	CT_REP	0;
	3223	0	CT_TGEN	33	GEN_STATUS	CT_REP	0;
	3224	0	CT_TGEN	34	GEN_STATUS	CT_REP	0;
	3225	0	CT_TGEN	35	GEN_STATUS	CT_REP	0;
	3226	0	CT_TGEN	36	GEN_STATUS	CT_REP	0;
	3227	0	CT_TGEN	37	GEN_STATUS	CT_REP	0;
	3228	0	CT_TGEN	38	GEN_STATUS	CT_REP	0;
	3229	0	CT_TGEN	39	GEN_STATUS	CT_REP	0;
	3230	0	CT_TGEN	40	GEN_STATUS	CT_REP	0;
	3231	0	CT_TGEN	41	GEN_STATUS	CT_REP	0;
	3232	0	CT_TGEN	42	GEN_STATUS	CT_REP	0;
	3233	0	CT_TGEN	43	GEN_STATUS	CT_REP	0;
	3234	0	CT_TGEN	44	GEN_STATUS	CT_REP	0;
	3235	0	CT_TGEN	45	GEN_STATUS	CT_REP	0;
	3236	0	CT_TGEN	46	GEN_STATUS	CT_REP	0;
	3237	0	CT_TGEN	47	GEN_STATUS	CT_REP	0;
	3238	0	CT_TGEN	48	GEN_STATUS	CT_REP	0;
	3239	0	CT_TGEN	49	GEN_STATUS	CT_REP	0;
	3240	0	CT_TGEN	50	GEN_STATUS	CT_REP	0;
	3241	0	CT_TGEN	51	GEN_STATUS	CT_REP	0;
	3242	0	CT_TGEN	52	GEN_STATUS	CT_REP	0;
	3243	0	CT_TGEN	53	GEN_STATUS	CT_REP	0;
	3244	0	CT_TGEN	54	GEN_STATUS	CT_REP	0;
	3245	0	CT_TGEN	55	GEN_STATUS	CT_REP	0;
	3246	0	CT_TGEN	56	GEN_STATUS	CT_REP	0;
	3247	0	CT_TGEN	57	GEN_STATUS	CT_REP	0;
	3248	0	CT_TGEN	58	GEN_STATUS	CT_REP	0;
	3249	0	CT_TGEN	59	GEN_STATUS	CT_REP	0;
	3250	0	CT_TGEN	60	GEN_STATUS	CT_REP	0;
	3251	0	CT_TGEN	61	GEN_STATUS	CT_REP	0;
	3252	0	CT_TGEN	62	GEN_STATUS	CT_REP	0;
	3253	0	CT_TGEN	63	GEN_STATUS	CT_REP	0;
	3254	0	CT_TGEN	64	GEN_STATUS	CT_REP	0;
	3255	0	CT_TGEN	65	GEN_STATUS	CT_REP	0;
	3256	0	CT_TGEN	66	GEN_STATUS	CT_REP	0;
	3257	0	CT_TGEN	67	GEN_STATUS	CT_REP	0;
	3258	0	CT_TGEN	68	GEN_STATUS	CT_REP	0;
	3259	0	CT_TGEN	69	GEN_STATUS	CT_REP	0;
	3260	0	CT_TGEN	70	GEN_STATUS	CT_REP	0;
	3261	0	CT_TGEN	71	GEN_STATUS	CT_REP	0;
	3262	0	CT_TGEN	72	GEN_STATUS	CT_REP	0;
	3263	0	CT_TGEN	73	GEN_STATUS	CT_REP	0;
	3264	0	CT_TGEN	74	GEN_STATUS	CT_REP	0;
	3265	0	CT_TGEN	75	GEN_STATUS	CT_REP	0;
	3266	0	CT_TGEN	76	GEN_STATUS	CT_REP	0;
	3267	0	CT_TGEN	77	GEN_STATUS	CT_REP	0;
	3268	0	CT_TGEN	78	GEN_STATUS	CT_REP	0;
	3269	0	CT_TGEN	79	GEN_STATUS	CT_REP	0;
	3270	0	CT_TGEN	80	GEN_STATUS	CT_REP	0;
	3271	0	CT_TGEN	81	GEN_STATUS	CT_REP	0;
	3272	0	CT_TGEN	82	GEN_STATUS	CT_REP	0;
	3273	0	CT_TGEN	83	GEN_STATUS	CT_REP	0;
	3274	0	CT_TGEN	84	GEN_STATUS	CT_REP	0;
	3275	0	CT_TGEN	85	GEN_STATUS	CT_REP	0;
	3276	0	CT_TGEN	86	GEN_STATUS	CT_REP	0;
	3277	0	CT_TGEN	87	GEN_STATUS	CT_REP	0;
	3278	0	CT_TGEN	88	GEN_STATUS	CT_REP	0;
	3279	0	CT_TGEN	89	GEN_STATUS	CT_REP	0;
	3280	0	CT_TGEN	90	GEN_STATUS	CT_REP	0;
	3281	0	CT_TGEN	91	GEN_STATUS	CT_REP	0;
	3282	0	CT_TGEN	92	GEN_STATUS	CT_REP	0;
	3283	0	CT_TGEN	93	GEN_STATUS	CT_REP	0;
	3284	0	CT_TGEN	94	GEN_STATUS	CT_REP	0;
	3285	0	CT_TGEN	95	GEN_STATUS	CT_REP	0;
	3286	0	CT_TGEN	96	GEN_STATUS	CT_REP	0;
	3287	0	CT_TGEN	97	GEN_STATUS	CT_REP	0;
	3288	0	CT_TGEN	98	GEN_STATUS	CT_REP	0;
	3289	0	CT_TGEN	99	GEN_STATUS	CT_REP	0;
	3290	0	CT_TGEN	100	GEN_STATUS	CT_REP	0;
	3291	0	CT_TGEN	101	GEN_STATUS	CT_REP	0;
	3292	0	CT_TGEN	102	GEN_STATUS	CT_REP	0;
	3293	0	CT_TGEN	103	GEN_STATUS	CT_REP	0;
	3294	0	CT_TGEN	104	GEN_STATUS	CT_REP	0;
	3295	0	CT_TGEN	105	GEN_STATUS	CT_REP	0;
	3296	0	CT_TGEN	106	GEN_STATUS	CT_REP	0;
	3297	0	CT_TGEN	107	GEN_STATUS	CT_REP	0;
	3298	0	CT_TGEN	108	GEN_STATUS	CT_REP	0;
	3299	0	CT_TGEN	109	GEN_STATUS	CT_REP	0;
	3300	0	CT_TGEN	110	GEN_STATUS	CT_REP	0;
	3301	0	CT_TGEN	111	GEN_STATUS	CT_REP	0;
	3302	0	CT_TGEN	112	GEN_STATUS	CT_REP	0;
	3303	0	CT_TGEN	113	GEN_STATUS	CT_REP	0;
	3304	0	CT_TGEN	114	GEN_STATUS	CT_REP	0;
	3305	0	CT_TGEN	115	GEN_STATUS	CT_REP	0;
	3306	0	CT_TGEN	116	GEN_STATUS	CT_REP	0;
	3307	0	CT_TGEN	117	GEN_STATUS	CT_REP	0;
	3308	0	CT_TGEN	118	GEN_STATUS	CT_REP	0;
	3309	0	CT_TGEN	119	GEN_STATUS	CT_REP	0;
	3310	0	CT_TGEN	120	GEN_STATUS	CT_REP	0;
	3311	0	CT_TGEN	121	GEN_STATUS	CT_REP	0;
	3312	0	CT_TGEN	122	GEN_STATUS	CT_REP	0;
	3313	0	CT_TGEN	123	GEN_STATUS	CT_REP	0;
	3314	0	CT_TGEN	124	GEN_STATUS	CT_REP	0;
	3315	0	CT_TGEN	125	GEN_STATUS	CT_REP	0;
	3316	0	CT_TGEN	126	GEN_STATUS	CT_REP	0;
	3317	0	CT_TGEN	127	GEN_STATUS	CT_REP	0;
	3318	0	CT_TGEN	128	GEN_STATUS	CT_REP	0;
	3319	0	CT_TGEN	129	GEN_STATUS	CT_REP	0;
	3320	0	CT_TGEN	130	GEN_STATUS	CT_REP	0;
	3321	0	CT_TGEN	131	GEN_STATUS	CT_REP	0;
	3322	0	CT_TGEN	132	GEN_STATUS	CT_REP	0;
	3323	0	CT_TGEN	133	GEN_STATUS	CT_REP	0;
	3324	0	CT_TGEN	134	GEN_STATUS	CT_REP	0;
	3325	0	CT_TGEN	135	GEN_STATUS	CT_REP	0;
	3326	0	CT_TGEN	136	GEN_STATUS	CT_REP	0;
	3327	0	CT_TGEN	137	GEN_STATUS	CT_REP	0;
	3328	0	CT_TGEN	138	GEN_STATUS	CT_REP	0;
	3329	0	CT_TGEN	139	GEN_STATUS	CT_REP	0;
	3330	0	CT_TGEN	140	GEN_STATUS	CT_REP	0;
	3331	0	CT_TGEN	141	GEN_STATUS	CT_REP	0;
	3332	0	CT_TGEN	142	GEN_STATUS	CT_REP	0;
	3333	0	CT_TGEN	143	GEN_STATUS	CT_REP	0;
	3334	0	CT_TGEN	144	GEN_STATUS	CT_REP	0;
	3335	0	CT_TGEN	145	GEN_STATUS	CT_REP	0;
	3336	0	CT_TGEN	146	GEN_STATUS	CT_REP	0;
	3337	0	CT_TGEN	147	GEN_STATUS	CT_REP	0;
	3338	0	CT_TGEN	148	GEN_STATUS	CT_REP	0;
	3339	0	CT_TGEN	149	GEN_STATUS	CT_REP	0;
	3340	0	CT_TGEN	150	GEN_STATUS	CT_REP	0;
	3341	0	CT_TGEN	151	GEN_STATUS	CT_REP	0;
	3342	0	CT_TGEN	152	GEN_STATUS	CT_REP	0;
	3343	0	CT_TGEN	153	GEN_STATUS	CT_REP	0;
	3344	0	CT_TGEN	154	GEN_STATUS	CT_REP	0;
	3345	0	CT_TGEN	155	GEN_STATUS	CT_REP	0;
	3346	0	CT_TGEN	156	GEN_STATUS	CT_REP	0;
	3347	0	CT_TGEN	157	GEN_STATUS	CT_REP	0;
	3348	0	CT_TGEN	158	GEN_STATUS	CT_REP	0;
	3349	0	CT_TGEN	159	GEN_STATUS	CT_REP	0;
	3350	0	CT_TGEN	160	GEN_STATUS	CT_REP	0;
	3351	0	CT_TGEN	161	GEN_STATUS	CT_REP	0;
	3352	0	CT_TGEN	162	GEN_STATUS	CT_REP	0;
	3353	0	CT_TGEN	163	GEN_STATUS	CT_REP	0;
	3354	0	CT_TGEN	164	GEN_STATUS	CT_REP	0;
	3355	0	CT_TGEN	165	GEN_STATUS	CT_REP	0;
	3356	0	CT_TGEN	166	GEN_STATUS	CT_REP	0;
	3357	0	CT_TGEN	167	GEN_STATUS	CT_REP	0;
	3358	0	CT_TGEN	168	GEN_STATUS	CT_REP	0;
	3359	0	CT_TGEN	169	GEN_STATUS	CT_REP	0;
	3360	0	CT_TGEN	170	GEN_STATUS	CT_REP	0;
	3361	0	CT_TGEN	179	GEN_STATUS	CT_REP	0;
	3362	0	CT_TGEN	171	GEN_STATUS	CT_REP	0;
	3363	0	CT_TGEN	172	GEN_STATUS	CT_REP	0;
	3364	0	CT_TGEN	173	GEN_STATUS	CT_REP	0;
	3365	0	CT_TGEN	174	GEN_STATUS	CT_REP	0;
	3366	0	CT_TGEN	175	GEN_STATUS	CT_REP	0;
	3367	0	CT_TGEN	176	GEN_STATUS	CT_REP	0;
	3368	0	CT_TGEN	177	GEN_STATUS	CT_REP	0;
	3369	0	CT_TGEN	178	GEN_STATUS	CT_REP	0;
	3370	0	CT_TGEN	180	GEN_STATUS	CT_REP	0;
	3371	0	CT_TGEN	182	GEN_STATUS	CT_REP	0;
	3372	0	CT_TGEN	183	GEN_STATUS	CT_REP	0;
	3373	0	CT_TGEN	184	GEN_STATUS	CT_REP	0;
	3374	0	CT_TGEN	185	GEN_STATUS	CT_REP	0;
	3375	0	CT_TGEN	186	GEN_STATUS	CT_REP	0;
	3376	0	CT_TGEN	187	GEN_STATUS	CT_REP	0;
	3377	0	CT_TGEN	188	GEN_STATUS	CT_REP	0;
	3378	0	CT_TGEN	189	GEN_STATUS	CT_REP	0;
	3379	0	CT_TGEN	190	GEN_STATUS	CT_REP	0;
	3380	0	CT_TGEN	191	GEN_STATUS	CT_REP	0;
	3381	0	CT_TGEN	192	GEN_STATUS	CT_REP	0;
	3383	0	CT_TGEN	193	GEN_STATUS	CT_REP	0;
	3384	0	CT_TGEN	194	GEN_STATUS	CT_REP	0;
	3385	0	CT_TGEN	195	GEN_STATUS	CT_REP	0;
	3386	0	CT_TGEN	196	GEN_STATUS	CT_REP	0;
	3387	0	CT_TGEN	197	GEN_STATUS	CT_REP	0;
	3388	0	CT_TGEN	198	GEN_STATUS	CT_REP	0;
	3389	0	CT_TGEN	199	GEN_STATUS	CT_REP	0;
	3390	0	CT_TGEN	200	GEN_STATUS	CT_REP	0;
	3391	0	CT_TGEN	201	GEN_STATUS	CT_REP	0;
	3392	0	CT_TGEN	202	GEN_STATUS	CT_REP	0;
	3393	0	CT_TGEN	203	GEN_STATUS	CT_REP	0;
	3394	0	CT_TGEN	204	GEN_STATUS	CT_REP	0;
	3395	0	CT_TGEN	205	GEN_STATUS	CT_REP	0;
	3396	0	CT_TGEN	206	GEN_STATUS	CT_REP	0;
	3397	0	CT_TGEN	207	GEN_STATUS	CT_REP	0;
	3398	0	CT_TGEN	208	GEN_STATUS	CT_REP	0;
	3399	0	CT_TGEN	209	GEN_STATUS	CT_REP	0;
	3400	0	CT_TGEN	210	GEN_STATUS	CT_REP	0;
	3401	0	CT_TGEN	211	GEN_STATUS	CT_REP	0;
	3402	0	CT_TGEN	212	GEN_STATUS	CT_REP	0;
	3403	0	CT_TGEN	213	GEN_STATUS	CT_REP	0;
	3404	0	CT_TGEN	214	GEN_STATUS	CT_REP	0;
	3405	0	CT_TGEN	215	GEN_STATUS	CT_REP	0;
	3406	0	CT_TGEN	216	GEN_STATUS	CT_REP	0;
	3407	0	CT_TGEN	217	GEN_STATUS	CT_REP	0;
	3408	0	CT_TGEN	218	GEN_STATUS	CT_REP	0;
	3409	0	CT_TGEN	219	GEN_STATUS	CT_REP	0;
	3410	0	CT_TGEN	220	GEN_STATUS	CT_REP	0;
	3411	0	CT_TGEN	221	GEN_STATUS	CT_REP	0;
	3412	0	CT_TGEN	222	GEN_STATUS	CT_REP	0;
	3413	0	CT_TGEN	223	GEN_STATUS	CT_REP	0;
	3414	0	CT_TGEN	224	GEN_STATUS	CT_REP	0;
	3415	0	CT_TGEN	225	GEN_STATUS	CT_REP	0;
	3416	0	CT_TGEN	226	GEN_STATUS	CT_REP	0;
	3417	0	CT_TGEN	227	GEN_STATUS	CT_REP	0;
	3418	0	CT_TGEN	228	GEN_STATUS	CT_REP	0;
	3419	0	CT_TGEN	229	GEN_STATUS	CT_REP	0;
	3420	0	CT_TGEN	230	GEN_STATUS	CT_REP	0;
	3421	0	CT_TGEN	231	GEN_STATUS	CT_REP	0;
	3422	0	CT_TGEN	232	GEN_STATUS	CT_REP	0;
	3423	0	CT_TGEN	233	GEN_STATUS	CT_REP	0;
	3424	0	CT_TGEN	234	GEN_STATUS	CT_REP	0;
	3425	0	CT_TGEN	235	GEN_STATUS	CT_REP	0;
	3426	0	CT_TGEN	236	GEN_STATUS	CT_REP	0;
	3427	0	CT_TGEN	237	GEN_STATUS	CT_REP	0;
	3428	0	CT_TGEN	238	GEN_STATUS	CT_REP	0;
	3429	0	CT_TGEN	239	GEN_STATUS	CT_REP	0;
	3430	0	CT_TGEN	240	GEN_STATUS	CT_REP	0;
	3431	0	CT_TGEN	241	GEN_STATUS	CT_REP	0;
	3432	0	CT_TGEN	242	GEN_STATUS	CT_REP	0;
	3433	0	CT_TGEN	243	GEN_STATUS	CT_REP	0;
	3434	0	CT_TGEN	244	GEN_STATUS	CT_REP	0;
	3435	0	CT_TGEN	245	GEN_STATUS	CT_REP	0;
	3436	0	CT_TGEN	246	GEN_STATUS	CT_REP	0;
	3437	0	CT_TGEN	247	GEN_STATUS	CT_REP	0;
	3438	0	CT_TGEN	248	GEN_STATUS	CT_REP	0;
	3439	0	CT_TGEN	249	GEN_STATUS	CT_REP	0;
	3440	0	CT_TGEN	250	GEN_STATUS	CT_REP	0;
	3441	0	CT_TGEN	251	GEN_STATUS	CT_REP	0;
	3442	0	CT_TGEN	252	GEN_STATUS	CT_REP	0;
	3443	0	CT_TGEN	253	GEN_STATUS	CT_REP	0;
	3444	0	CT_TGEN	254	GEN_STATUS	CT_REP	0;
	3445	0	CT_TGEN	255	GEN_STATUS	CT_REP	0;
	3446	0	CT_TGEN	256	GEN_STATUS	CT_REP	0;
	3447	0	CT_TGEN	257	GEN_STATUS	CT_REP	0;
	3448	0	CT_TGEN	258	GEN_STATUS	CT_REP	0;
	3449	0	CT_TGEN	259	GEN_STATUS	CT_REP	0;
	3450	0	CT_TGEN	260	GEN_STATUS	CT_REP	0;
	3451	0	CT_TGEN	261	GEN_STATUS	CT_REP	0;
	3452	0	CT_TGEN	262	GEN_STATUS	CT_REP	0;
	3453	0	CT_TGEN	263	GEN_STATUS	CT_REP	0;
	3454	0	CT_TGEN	264	GEN_STATUS	CT_REP	0;
	3455	0	CT_TGEN	265	GEN_STATUS	CT_REP	0;
	3456	0	CT_TGEN	266	GEN_STATUS	CT_REP	0;
	3457	0	CT_TGEN	267	GEN_STATUS	CT_REP	0;
	3458	0	CT_TGEN	268	GEN_STATUS	CT_REP	0;
	3459	0	CT_TGEN	269	GEN_STATUS	CT_REP	0;
	3460	0	CT_TGEN	270	GEN_STATUS	CT_REP	0;
	3461	0	CT_TGEN	271	GEN_STATUS	CT_REP	0;
	3462	0	CT_TGEN	272	GEN_STATUS	CT_REP	0;
	3463	0	CT_TGEN	273	GEN_STATUS	CT_REP	0;
	3464	0	CT_TGEN	274	GEN_STATUS	CT_REP	0;
	3465	0	CT_TGEN	275	GEN_STATUS	CT_REP	0;
	3466	0	CT_TGEN	276	GEN_STATUS	CT_REP	0;
	3467	0	CT_TGEN	277	GEN_STATUS	CT_REP	0;
	3468	0	CT_TGEN	278	GEN_STATUS	CT_REP	0;
	3469	0	CT_TGEN	279	GEN_STATUS	CT_REP	0;
	3470	0	CT_TGEN	280	GEN_STATUS	CT_REP	0;
	3471	0	CT_TGEN	281	GEN_STATUS	CT_REP	0;
	3472	0	CT_TGEN	282	GEN_STATUS	CT_REP	0;
	3473	0	CT_TGEN	283	GEN_STATUS	CT_REP	0;
	3474	0	CT_TGEN	284	GEN_STATUS	CT_REP	0;
	3475	0	CT_TGEN	285	GEN_STATUS	CT_REP	0;
	3476	0	CT_TGEN	286	GEN_STATUS	CT_REP	0;
	3477	0	CT_TGEN	287	GEN_STATUS	CT_REP	0;
	3478	0	CT_TGEN	288	GEN_STATUS	CT_REP	0;
	3479	0	CT_TGEN	289	GEN_STATUS	CT_REP	0;
	3480	0	CT_TGEN	290	GEN_STATUS	CT_REP	0;
	3481	0	CT_TGEN	291	GEN_STATUS	CT_REP	0;
	3482	0	CT_TGEN	292	GEN_STATUS	CT_REP	0;
	3483	0	CT_TGEN	293	GEN_STATUS	CT_REP	0;
	3484	0	CT_TGEN	294	GEN_STATUS	CT_REP	0;
	3485	0	CT_TGEN	295	GEN_STATUS	CT_REP	0;
	3486	0	CT_TGEN	296	GEN_STATUS	CT_REP	0;
	3487	0	CT_TGEN	297	GEN_STATUS	CT_REP	0;
	3488	0	CT_TGEN	298	GEN_STATUS	CT_REP	0;
	3489	0	CT_TGEN	299	GEN_STATUS	CT_REP	0;
	3490	0	CT_TGEN	300	GEN_STATUS	CT_REP	0;
	3491	0	CT_TGEN	301	GEN_STATUS	CT_REP	0;
	3492	0	CT_TGEN	302	GEN_STATUS	CT_REP	0;
	3493	0	CT_TGEN	303	GEN_STATUS	CT_REP	0;
	3494	0	CT_TGEN	304	GEN_STATUS	CT_REP	0;
	3495	0	CT_TGEN	305	GEN_STATUS	CT_REP	0;
	3496	0	CT_TGEN	306	GEN_STATUS	CT_REP	0;
	3497	0	CT_TGEN	307	GEN_STATUS	CT_REP	0;
	3498	0	CT_TGEN	308	GEN_STATUS	CT_REP	0;
	3499	0	CT_TGEN	309	GEN_STATUS	CT_REP	0;
	3500	0	CT_TGEN	310	GEN_STATUS	CT_REP	0;
	3501	0	CT_TGEN	311	GEN_STATUS	CT_REP	0;
	3502	0	CT_TGEN	312	GEN_STATUS	CT_REP	0;
	3503	0	CT_TGEN	313	GEN_STATUS	CT_REP	0;
	3504	0	CT_TGEN	314	GEN_STATUS	CT_REP	0;
	3505	0	CT_TGEN	315	GEN_STATUS	CT_REP	0;
	3506	0	CT_TGEN	316	GEN_STATUS	CT_REP	0;
	3507	0	CT_TGEN	317	GEN_STATUS	CT_REP	0;
	3508	0	CT_TGEN	318	GEN_STATUS	CT_REP	0;
	3509	0	CT_TGEN	319	GEN_STATUS	CT_REP	0;
	3510	0	CT_TGEN	320	GEN_STATUS	CT_REP	0;
	3511	0	CT_TGEN	321	GEN_STATUS	CT_REP	0;
	3512	0	CT_TGEN	322	GEN_STATUS	CT_REP	0;
	3513	0	CT_TGEN	323	GEN_STATUS	CT_REP	0;
	3514	0	CT_TGEN	324	GEN_STATUS	CT_REP	0;
	3515	0	CT_TGEN	325	GEN_STATUS	CT_REP	0;
	3516	0	CT_TGEN	326	GEN_STATUS	CT_REP	0;
	3517	0	CT_TGEN	327	GEN_STATUS	CT_REP	0;
	3518	0	CT_TGEN	328	GEN_STATUS	CT_REP	0;
	3519	0	CT_TGEN	329	GEN_STATUS	CT_REP	0;
	3520	0	CT_TGEN	330	GEN_STATUS	CT_REP	0;
	3521	0	CT_TGEN	331	GEN_STATUS	CT_REP	0;
	3522	0	CT_TGEN	332	GEN_STATUS	CT_REP	0;
	3523	0	CT_TGEN	333	GEN_STATUS	CT_REP	0;
	3524	0	CT_TGEN	334	GEN_STATUS	CT_REP	0;
	3525	0	CT_TGEN	335	GEN_STATUS	CT_REP	0;
	3526	0	CT_TGEN	336	GEN_STATUS	CT_REP	0;
	3527	0	CT_TGEN	337	GEN_STATUS	CT_REP	0;
	3528	0	CT_TGEN	338	GEN_STATUS	CT_REP	0;
	3529	0	CT_TGEN	339	GEN_STATUS	CT_REP	0;
	3530	0	CT_TGEN	340	GEN_STATUS	CT_REP	0;
	3531	0	CT_TGEN	181	GEN_STATUS	CT_REP	0;
	3532	0	CT_TGEN	341	GEN_STATUS	CT_REP	0;
	3533	0	CT_TGEN	350	GEN_STATUS	CT_REP	0;
	3534	0	CT_TGEN	351	GEN_STATUS	CT_REP	0;
	3535	0	CT_TGEN	342	GEN_STATUS	CT_REP	0;
	3536	0	CT_TGEN	343	GEN_STATUS	CT_REP	0;
	3537	0	CT_TGEN	344	GEN_STATUS	CT_REP	0;
	3538	0	CT_TGEN	345	GEN_STATUS	CT_REP	0;
	3539	0	CT_TGEN	346	GEN_STATUS	CT_REP	0;
	3540	0	CT_TGEN	347	GEN_STATUS	CT_REP	0;
	3541	0	CT_TGEN	348	GEN_STATUS	CT_REP	0;
	3542	0	CT_TGEN	349	GEN_STATUS	CT_REP	0;
	3543	0	CT_TGEN	352	GEN_STATUS	CT_REP	0;
	3544	0	CT_TGEN	353	GEN_STATUS	CT_REP	0;
	3545	0	CT_TGEN	354	GEN_STATUS	CT_REP	0;
	3546	0	CT_TGEN	355	GEN_STATUS	CT_REP	0;
	3547	0	CT_TGEN	356	GEN_STATUS	CT_REP	0;
	3548	0	CT_TGEN	357	GEN_STATUS	CT_REP	0;
	3549	0	CT_TGEN	358	GEN_STATUS	CT_REP	0;
	3550	0	CT_TGEN	359	GEN_STATUS	CT_REP	0;
	3551	0	CT_TGEN	360	GEN_STATUS	CT_REP	0;
	3552	0	CT_TGEN	361	GEN_STATUS	CT_REP	0;
	3553	0	CT_TGEN	362	GEN_STATUS	CT_REP	0;
	3554	0	CT_TGEN	363	GEN_STATUS	CT_REP	0;
	3555	0	CT_TGEN	364	GEN_STATUS	CT_REP	0;
	3556	0	CT_TGEN	365	GEN_STATUS	CT_REP	0;
	3557	0	CT_TGEN	366	GEN_STATUS	CT_REP	0;
	3558	0	CT_TGEN	367	GEN_STATUS	CT_REP	0;
	3559	0	CT_TGEN	368	GEN_STATUS	CT_REP	0;
	3560	0	CT_TGEN	369	GEN_STATUS	CT_REP	0;
	3561	0	CT_TGEN	370	GEN_STATUS	CT_REP	0;
	3562	0	CT_TGEN	371	GEN_STATUS	CT_REP	0;
	3563	0	CT_TGEN	372	GEN_STATUS	CT_REP	0;
	3564	0	CT_TGEN	373	GEN_STATUS	CT_REP	0;
	3565	0	CT_TGEN	374	GEN_STATUS	CT_REP	0;
	3566	0	CT_TGEN	375	GEN_STATUS	CT_REP	0;
	3567	0	CT_TGEN	376	GEN_STATUS	CT_REP	0;
	3568	0	CT_TGEN	377	GEN_STATUS	CT_REP	0;
	3569	0	CT_TGEN	378	GEN_STATUS	CT_REP	0;
	3570	0	CT_TGEN	379	GEN_STATUS	CT_REP	0;
	3571	0	CT_TGEN	380	GEN_STATUS	CT_REP	0;
	3572	0	CT_TGEN	381	GEN_STATUS	CT_REP	0;
	3573	0	CT_TGEN	382	GEN_STATUS	CT_REP	0;
	3574	0	CT_TGEN	383	GEN_STATUS	CT_REP	0;
	3575	0	CT_TGEN	384	GEN_STATUS	CT_REP	0;
	3576	0	CT_TGEN	385	GEN_STATUS	CT_REP	0;
	3577	0	CT_TGEN	386	GEN_STATUS	CT_REP	0;
	3578	0	CT_TGEN	387	GEN_STATUS	CT_REP	0;
	3579	0	CT_TGEN	388	GEN_STATUS	CT_REP	0;
	3580	0	CT_TGEN	389	GEN_STATUS	CT_REP	0;
	3581	0	CT_TGEN	390	GEN_STATUS	CT_REP	0;
	3582	0	CT_TGEN	391	GEN_STATUS	CT_REP	0;
	3583	0	CT_TGEN	392	GEN_STATUS	CT_REP	0;
	3584	0	CT_TGEN	393	GEN_STATUS	CT_REP	0;
	3585	0	CT_TGEN	394	GEN_STATUS	CT_REP	0;
	3586	0	CT_TGEN	395	GEN_STATUS	CT_REP	0;
	3587	0	CT_TGEN	396	GEN_STATUS	CT_REP	0;
	3588	0	CT_TGEN	397	GEN_STATUS	CT_REP	0;
	3589	0	CT_TGEN	398	GEN_STATUS	CT_REP	0;
	3590	0	CT_TGEN	399	GEN_STATUS	CT_REP	0;
	3591	0	CT_TGEN	400	GEN_STATUS	CT_REP	0;
	3592	0	CT_TGEN	401	GEN_STATUS	CT_REP	0;
	3593	0	CT_TGEN	402	GEN_STATUS	CT_REP	0;
	3594	0	CT_TGEN	403	GEN_STATUS	CT_REP	0;
	3595	0	CT_TGEN	404	GEN_STATUS	CT_REP	0;
	3596	0	CT_TGEN	405	GEN_STATUS	CT_REP	0;
	3597	0	CT_TGEN	406	GEN_STATUS	CT_REP	0;
	3598	0	CT_TGEN	407	GEN_STATUS	CT_REP	0;
	3599	0	CT_TGEN	408	GEN_STATUS	CT_REP	0;
	3600	0	CT_TGEN	409	GEN_STATUS	CT_REP	0;
	3601	0	CT_TGEN	410	GEN_STATUS	CT_REP	0;
	3602	0	CT_TGEN	411	GEN_STATUS	CT_REP	0;
	3603	0	CT_TGEN	412	GEN_STATUS	CT_REP	0;
	3604	0	CT_TGEN	413	GEN_STATUS	CT_REP	0;
	3605	0	CT_TGEN	414	GEN_STATUS	CT_REP	0;
	3606	0	CT_TGEN	415	GEN_STATUS	CT_REP	0;
	3607	0	CT_TGEN	416	GEN_STATUS	CT_REP	0;
	3608	0	CT_TGEN	417	GEN_STATUS	CT_REP	0;
	3609	0	CT_TGEN	418	GEN_STATUS	CT_REP	0;
	3610	0	CT_TGEN	419	GEN_STATUS	CT_REP	0;
	3611	0	CT_TGEN	420	GEN_STATUS	CT_REP	0;
	3612	0	CT_TGEN	421	GEN_STATUS	CT_REP	0;
	3613	0	CT_TGEN	422	GEN_STATUS	CT_REP	0;
	3614	0	CT_TGEN	423	GEN_STATUS	CT_REP	0;
	3615	0	CT_TGEN	424	GEN_STATUS	CT_REP	0;
	3616	0	CT_TGEN	425	GEN_STATUS	CT_REP	0;
	3617	0	CT_TGEN	426	GEN_STATUS	CT_REP	0;
	3618	0	CT_TGEN	427	GEN_STATUS	CT_REP	0;
	3619	0	CT_TGEN	428	GEN_STATUS	CT_REP	0;
	3620	0	CT_TGEN	429	GEN_STATUS	CT_REP	0;
	3621	0	CT_TGEN	430	GEN_STATUS	CT_REP	0;
	3622	0	CT_TGEN	431	GEN_STATUS	CT_REP	0;
	3623	0	CT_TGEN	432	GEN_STATUS	CT_REP	0;
	3624	0	CT_TGEN	433	GEN_STATUS	CT_REP	0;
	3625	0	CT_TGEN	434	GEN_STATUS	CT_REP	0;
	3626	0	CT_TGEN	435	GEN_STATUS	CT_REP	0;
	3627	0	CT_TGEN	436	GEN_STATUS	CT_REP	0;
	3628	0	CT_TGEN	437	GEN_STATUS	CT_REP	0;
	3629	0	CT_TGEN	438	GEN_STATUS	CT_REP	0;
	3630	0	CT_TGEN	439	GEN_STATUS	CT_REP	0;
	3631	0	CT_TGEN	440	GEN_STATUS	CT_REP	0;
	3632	0	CT_TGEN	441	GEN_STATUS	CT_REP	0;
	3633	0	CT_TGEN	442	GEN_STATUS	CT_REP	0;
	3634	0	CT_TGEN	443	GEN_STATUS	CT_REP	0;
	3635	0	CT_TGEN	444	GEN_STATUS	CT_REP	0;
	3636	0	CT_TGEN	445	GEN_STATUS	CT_REP	0;
	3637	0	CT_TGEN	446	GEN_STATUS	CT_REP	0;
	3638	0	CT_TGEN	447	GEN_STATUS	CT_REP	0;
	3639	0	CT_TGEN	448	GEN_STATUS	CT_REP	0;
	3640	0	CT_TGEN	449	GEN_STATUS	CT_REP	0;
	3641	0	CT_TGEN	450	GEN_STATUS	CT_REP	0;
	3642	0	CT_TGEN	451	GEN_STATUS	CT_REP	0;
	3643	0	CT_TGEN	452	GEN_STATUS	CT_REP	0;
	3644	0	CT_TGEN	453	GEN_STATUS	CT_REP	0;
	3645	0	CT_TGEN	454	GEN_STATUS	CT_REP	0;
	3646	0	CT_TGEN	455	GEN_STATUS	CT_REP	0;
	3647	0	CT_TGEN	456	GEN_STATUS	CT_REP	0;
	3648	0	CT_TGEN	457	GEN_STATUS	CT_REP	0;
	3649	0	CT_TGEN	458	GEN_STATUS	CT_REP	0;
	3650	0	CT_TGEN	459	GEN_STATUS	CT_REP	0;
	3651	0	CT_TGEN	460	GEN_STATUS	CT_REP	0;
	3652	0	CT_TGEN	461	GEN_STATUS	CT_REP	0;
	3653	0	CT_TGEN	462	GEN_STATUS	CT_REP	0;
	3654	0	CT_TGEN	463	GEN_STATUS	CT_REP	0;
	3655	0	CT_TGEN	464	GEN_STATUS	CT_REP	0;
	3656	0	CT_TGEN	465	GEN_STATUS	CT_REP	0;
	3657	0	CT_TGEN	466	GEN_STATUS	CT_REP	0;
	3658	0	CT_TGEN	467	GEN_STATUS	CT_REP	0;
	3659	0	CT_TGEN	468	GEN_STATUS	CT_REP	0;
	3660	0	CT_TGEN	469	GEN_STATUS	CT_REP	0;
	3661	0	CT_TGEN	470	GEN_STATUS	CT_REP	0;
	3662	0	CT_TGEN	471	GEN_STATUS	CT_REP	0;
	3663	0	CT_TGEN	472	GEN_STATUS	CT_REP	0;
	3664	0	CT_TGEN	473	GEN_STATUS	CT_REP	0;
	3665	0	CT_TGEN	474	GEN_STATUS	CT_REP	0;
	3666	0	CT_TGEN	475	GEN_STATUS	CT_REP	0;
	3667	0	CT_TGEN	476	GEN_STATUS	CT_REP	0;
	3668	0	CT_TGEN	477	GEN_STATUS	CT_REP	0;
	3669	0	CT_TGEN	478	GEN_STATUS	CT_REP	0;
	3670	0	CT_TGEN	479	GEN_STATUS	CT_REP	0;
	3671	0	CT_TGEN	480	GEN_STATUS	CT_REP	0;
	3672	0	CT_TGEN	481	GEN_STATUS	CT_REP	0;
	3673	0	CT_TGEN	482	GEN_STATUS	CT_REP	0;
	3674	0	CT_TGEN	483	GEN_STATUS	CT_REP	0;
	3675	0	CT_TGEN	484	GEN_STATUS	CT_REP	0;
	3676	0	CT_TGEN	485	GEN_STATUS	CT_REP	0;
	3677	0	CT_TGEN	486	GEN_STATUS	CT_REP	0;
	3678	0	CT_TGEN	487	GEN_STATUS	CT_REP	0;
	3679	0	CT_TGEN	488	GEN_STATUS	CT_REP	0;
	3680	0	CT_TGEN	497	GEN_STATUS	CT_REP	0;
	3681	0	CT_TGEN	498	GEN_STATUS	CT_REP	0;
	3682	0	CT_TGEN	489	GEN_STATUS	CT_REP	0;
	3683	0	CT_TGEN	490	GEN_STATUS	CT_REP	0;
	3684	0	CT_TGEN	491	GEN_STATUS	CT_REP	0;
	3685	0	CT_TGEN	492	GEN_STATUS	CT_REP	0;
	3686	0	CT_TGEN	493	GEN_STATUS	CT_REP	0;
	3687	0	CT_TGEN	494	GEN_STATUS	CT_REP	0;
	3688	0	CT_TGEN	495	GEN_STATUS	CT_REP	0;
	3689	0	CT_TGEN	496	GEN_STATUS	CT_REP	0;
	3690	0	CT_TGEN	499	GEN_STATUS	CT_REP	0;
	3691	0	CT_TGEN	508	GEN_STATUS	CT_REP	0;
	3692	0	CT_TGEN	509	GEN_STATUS	CT_REP	0;
	3693	0	CT_TGEN	500	GEN_STATUS	CT_REP	0;
	3694	0	CT_TGEN	501	GEN_STATUS	CT_REP	0;
	3695	0	CT_TGEN	502	GEN_STATUS	CT_REP	0;
	3696	0	CT_TGEN	503	GEN_STATUS	CT_REP	0;
	3697	0	CT_TGEN	504	GEN_STATUS	CT_REP	0;
	3698	0	CT_TGEN	505	GEN_STATUS	CT_REP	0;
	3699	0	CT_TGEN	506	GEN_STATUS	CT_REP	0;
	3700	0	CT_TGEN	507	GEN_STATUS	CT_REP	0;
	3701	0	CT_TGEN	510	GEN_STATUS	CT_REP	0;
	3702	0	CT_TGEN	511	GEN_STATUS	CT_REP	0;
	3703	0	CT_TGEN	512	GEN_STATUS	CT_REP	0;
	3704	0	CT_TGEN	513	GEN_STATUS	CT_REP	0;
	3705	0	CT_TGEN	514	GEN_STATUS	CT_REP	0;
	3706	0	CT_TGEN	515	GEN_STATUS	CT_REP	0;
	3707	0	CT_TGEN	516	GEN_STATUS	CT_REP	0;
	3708	0	CT_TGEN	517	GEN_STATUS	CT_REP	0;
	3709	0	CT_TGEN	518	GEN_STATUS	CT_REP	0;
	3710	0	CT_TGEN	519	GEN_STATUS	CT_REP	0;
	3711	0	CT_TGEN	520	GEN_STATUS	CT_REP	0;
	3712	0	CT_TGEN	521	GEN_STATUS	CT_REP	0;
	3713	0	CT_TGEN	522	GEN_STATUS	CT_REP	0;
	3714	0	CT_TGEN	523	GEN_STATUS	CT_REP	0;
	3715	0	CT_TGEN	524	GEN_STATUS	CT_REP	0;
	3716	0	CT_TGEN	525	GEN_STATUS	CT_REP	0;
	3717	0	CT_TGEN	526	GEN_STATUS	CT_REP	0;
	3718	0	CT_TGEN	527	GEN_STATUS	CT_REP	0;
	3719	0	CT_TGEN	528	GEN_STATUS	CT_REP	0;
	3720	0	CT_TGEN	529	GEN_STATUS	CT_REP	0;
	3721	0	CT_TGEN	530	GEN_STATUS	CT_REP	0;
	3722	0	CT_TGEN	531	GEN_STATUS	CT_REP	0;
	3723	0	CT_TGEN	532	GEN_STATUS	CT_REP	0;
	3724	0	CT_TGEN	533	GEN_STATUS	CT_REP	0;
	3725	0	CT_TGEN	534	GEN_STATUS	CT_REP	0;
	3726	0	CT_TGEN	535	GEN_STATUS	CT_REP	0;
	3727	0	CT_TGEN	536	GEN_STATUS	CT_REP	0;
	3728	0	CT_TGEN	537	GEN_STATUS	CT_REP	0;
	3729	0	CT_TGEN	538	GEN_STATUS	CT_REP	0;
	3730	0	CT_TGEN	539	GEN_STATUS	CT_REP	0;
	3731	0	CT_TGEN	540	GEN_STATUS	CT_REP	0;
	3732	0	CT_TGEN	541	GEN_STATUS	CT_REP	0;
	3733	0	CT_TGEN	542	GEN_STATUS	CT_REP	0;
	3734	0	CT_TGEN	543	GEN_STATUS	CT_REP	0;
	3735	0	CT_TGEN	544	GEN_STATUS	CT_REP	0;
];
